﻿// Generated by Construct 2, the HTML5 game and app creator :: http://www.scirra.com
//////////////////////////////////////
// COCOONJS.JS                      //
//////////////////////////////////////

(function()
{
	// There should not be a CocoonJS object when this code is executed.
	// if (typeof window.CocoonJS !== 'undefined') throw("This is strange, a CocoonJS object already exists when trying to create it.");

    /**
    * The basic object for all the CocoonJS related specific APIs === extensions.
    * @namespace
    */
    CocoonJS = window.CocoonJS ? window.CocoonJS : {};

	CocoonJS.nativeExtensionObjectAvailable = typeof window.ext !== 'undefined';

	/**
	* This type represents a 2D size structure with horizontal and vertical values.
	* @namespace
	*/
	CocoonJS.Size = {
		/**
		* The horizontal size value.
		*/
		width : 0,

		/**
		* The vertical size value.
		*/
		height : 0
	};

	/**
	* This utility function allows to create an object oriented like hierarchy between two functions using their prototypes.
	* This function adds a "superclass" and a "__super" attributes to the subclass and it's functions to reference the super class.
	* @param {function} subc The subclass function.
	* @param {function} superc The superclass function.
	*/
	CocoonJS.extend = function(subc, superc) {
	    var subcp = subc.prototype;

	    // Class pattern.
	    var CocoonJSExtendHierarchyChainClass = function() {};
	    CocoonJSExtendHierarchyChainClass.prototype = superc.prototype;

	    subc.prototype = new CocoonJSExtendHierarchyChainClass();       // chain prototypes.
	    subc.superclass = superc.prototype;
	    subc.prototype.constructor = subc;

	    // Reset constructor. See Object Oriented Javascript for an in-depth explanation of this.
	    if (superc.prototype.constructor === Object.prototype.constructor) {
	        superc.prototype.constructor = superc;
	    }

	    // Check all the elements in the subclass prototype and add them to the chain object's prototype.
	    for (var method in subcp) {
	        if (subcp.hasOwnProperty(method)) {
	            subc.prototype[method] = subcp[method];

	            // // tenemos en super un metodo con igual nombre.
	            // if ( superc.prototype[method]) 
	            // {
	            //     subc.prototype[method]= (function(fn, fnsuper) 
	            //     {
	            //         return function() 
	            //         {
	            //             var prevMethod= this.__super;

	            //             this.__super= fnsuper;

	            //             var retValue= fn.apply(
	            //                     this,
	            //                     Array.prototype.slice.call(arguments) );

	            //             this.__super= prevMethod;

	            //             return retValue;
	            //         };
	            //     })(subc.prototype[method], superc.prototype[method]);
	            // }
	        }
	    }
	}

	/**
	* IMPORTANT: This function should only be used by Ludei.
	* This function allows a call to the native extension object function reusing the same arguments object.
	* Why is interesting to use this function instead of calling the native object's function directly?
	* As the CocoonJS object functions expicitly receive parameters, if they are not present and the native call is direcly mapped,
	* undefined arguments are passed to the native side. Some native functions do not check the parameters validation
	* correctly (just check the number of parameters passed).
	* Another solution instead of using this function call is to correctly check if the parameters are valid (not undefined) to make the
	* call, but it takes more work than using this approach.
	* @static
	* @param {string} nativeExtensionObjectName The name of the native extension object name. The object that is a member of the 'ext' object.
	* @param {string} nativeFunctionName The name of the function to be called inside the native extension object.
	* @param {object} arguments The arguments object of the CocoonJS extension object function. It contains all the arguments passed to the CocoonJS extension object function and these are the ones that will be passed to the native call too.
	* @param {boolean} [async] A flag to indicate if the makeCall (false or undefined) or the makeCallAsync function should be used to perform the native call.
	* @returns Whatever the native function call returns.
	*/
	CocoonJS.makeNativeExtensionObjectFunctionCall = function(nativeExtensionObjectName, nativeFunctionName, args, async) {
		if (CocoonJS.nativeExtensionObjectAvailable) {
			var argumentsArray = Array.prototype.slice.call(args);
			argumentsArray.unshift(nativeFunctionName);
			var nativeExtensionObject = ext[nativeExtensionObjectName];
			var makeCallFunction = async ? nativeExtensionObject.makeCallAsync : nativeExtensionObject.makeCall;
			var ret = makeCallFunction.apply(nativeExtensionObject, argumentsArray);
			var finalRet = ret;
			if (typeof ret === "string") {
				try	{
					finalRet = JSON.parse(ret);
				}
				catch(error) {
				}
			}
			return finalRet;
		}
	};

	/**
	* Returns an object retrieved from a path specified by a dot specified text path starting from a given base object.
	* It could be useful to find the reference of an object from a defined base object. For example the base object could be window and the
	* path could be "CocoonJS.App" or "document.body".
	* @param {Object} baseObject The object to start from to find the object using the given text path.
	* @param {string} objectPath The path in the form of a text using the dot notation. i.e. "document.body"
	* For example:
	* var body = getObjectFromPath(window, "document.body");
	*/
	CocoonJS.getObjectFromPath = function(baseObject, objectPath) {
    	var parts = objectPath.split('.');
    	var obj = baseObject;
        for (var i = 0, len = parts.length; i < len; ++i) 
        {
            obj[parts[i]] = obj[parts[i]] || undefined;
    		obj = obj[parts[i]];
    	}
    	return obj;
 	};

 	/**
 	* Returns the key for a value in a dictionary. It looks for an specific value inside a dictionary and returns the corresponding key.
 	* @param {Object} dictionary The dictionary to look for the value in and get the corresponding key.
 	* @param {Object} value The value to look for inside the dictionary and return it's corresponding key.
 	* @return The key that corresponds to the given value it is has been found or null.
 	*/
 	CocoonJS.getKeyForValueInDictionary = function(dictionary, value) {
        var finalKey = null;
        for (var key in dictionary) {
            if (dictionary[key] === value)            {
                finalKey = key;
                break;
            }
        }
        return finalKey;
 	}

 	/**
 	* Finds a string inside a given array of strings by looking for a given substring. It can also
 	* specify if the search must be performed taking care or not of the case sensitivity.
 	* @param {Array} stringArray The array of strings in which to to look for the string.
 	* @param {string} subString The substring to look for inside all the strings of the array.
 	* @param {boolean} caseSensitive A flag to indicate if the search must be performed taking case of the 
 	* case sensitiveness (true) or not (false).
 	* @return {string} The string that has been found or null if the substring is not inside any of the string of the array.
 	*/
 	CocoonJS.findStringInStringArrayThatIsIndexOf = function(stringArray, subString, caseSensitive) {
 		var foundString = null;
 		subString = caseSensitive ? subString : subString.toUpperCase();
 		for (var i = 0; foundString == null && i < stringArray.length; i++)	{
 			foundString = caseSensitive ? stringArray[i] : stringArray[i].toUpperCase();
 			foundString = foundString.indexOf(subString) >= 0 ? stringArray[i] : null; 
 		}
 		return foundString;
 	};

	/**
	* A class that represents objects to handle events. Event handlers have always the same structure:
	* Mainly they provide the addEventListener and removeEventListener functions.
	* Both functions receive a callback function that will be added or removed. All the added callback
	* functions will be called when the event takes place.
	* Additionally they also allow the addEventListenerOnce and notifyEventListeners functions.
	* @constructor
	* @param {string} nativeExtensionObjectName The name of the native extension object (inside the ext object) to be used.
	* @param {string} cocoonJSExtensionObjectName The name of the sugarized extension object.
	* @param {string} nativeEventName The name of the native event inside the ext object.
	* @param {number} [chainFunction] An optional function used to preprocess the listener callbacks. This function, if provided,
	* will be called before any of the other listeners.
	*/
	CocoonJS.EventHandler = function(nativeExtensionObjectName, cocoonJSExtensionObjectName, nativeEventName, chainFunction) {
		this.listeners = [];
		this.listenersOnce = [];
		this.chainFunction = chainFunction;

		/**
		* Adds a callback function so it can be called when the event takes place.
		* @param {function} listener The callback function to be added to the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
		*/
		this.addEventListener = function(listener) {
			if (chainFunction) {
				var f = function() {
					chainFunction.call(this, arguments.callee.sourceListener, Array.prototype.slice.call(arguments)); 
				};
				listener.CocoonJSEventHandlerChainFunction = f;
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0) {
                	this.listeners.push(listener);
                }
            }
		};

        this.addEventListenerOnce = function(listener)
		{
			if (chainFunction) {
				var f = function() { chainFunction(arguments.callee.sourceListener,Array.prototype.slice.call(arguments)); };
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListenerOnce(nativeEventName, listener);
            }
            else
            {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0)
                {
                	this.listenersOnce.push(listener);
                }
            }
		};

        /**
         * Removes a callback function that was added to the event handler so it won't be called when the event takes place.
         * @param {function} listener The callback function to be removed from the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
         */
        this.removeEventListener = function (listener) {

        	if (chainFunction) {
        		listener = listener.CocoonJSEventHandlerChainFunction;
        		delete listener.CocoonJSEventHandlerChainFunction;
        	}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].removeEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener >= 0) {
                    this.listeners.splice(indexOfListener, 1);
                }
            }
        };

		this.notifyEventListeners = function() {
			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].notifyEventListeners(nativeEventName);
            } else {

                var argumentsArray= Array.prototype.slice.call(arguments);
                var listeners =     Array.prototype.slice.call(this.listeners);
                var listenersOnce = Array.prototype.slice.call(this.listenersOnce);
                var _this = this;
                // Notify listeners after a while ;) === do not block this thread.
                setTimeout(function() {
                    for (var i = 0; i < listeners.length; i++) {
                        listeners[i].apply(_this, argumentsArray);
                    }
                    for (var i = 0; i < listenersOnce.length; i++) {
                        listenersOnce[i].apply(_this, argumentsArray);
                    }
                }, 0);

                _this.listenersOnce= [];
            }
		};
		return this;
	};

	/**
	* A simple timer class. Update it every loop iteration and get values from accumulated time to elapsed time in seconds or milliseconds.
	*/
	CocoonJS.Timer = function() {
		this.reset();
		return this;
	};

	CocoonJS.Timer.prototype = {
		currentTimeInMillis : 0,
		lastTimeInMillis : 0,
		elapsedTimeInMillis : 0,
		elapsedTimeInSeconds : 0,
		accumTimeInMillis : 0,

		/**
		Resets the timer to 0.
		*/
		reset : function() {
			this.currentTimeInMillis = this.lastTimeInMillis = new Date().getTime();
			this.accumTimeInMillis = this.elapsedTimeInMillis = this.elapsedTimeInSeconds = 0;
		},

		/**
		Updates the timer calculating the elapsed time between update calls.
		*/
		update : function() {
			this.currentTimeInMillis = new Date().getTime();
			this.elapsedTimeInMillis = this.currentTimeInMillis - this.lastTimeInMillis;
			this.elapsedTimeInSeconds = this.elapsedTimeInMillis / 1000.0;
			this.lastTimeInMillis = this.currentTimeInMillis;
			this.accumTimeInMillis += this.elapsedTimeInMillis;
		}
	};

	// CocoonJS.FindAllNativeBindingsInCocoonJSExtensionObject = function(cocoonJSExtensionObject, nativeFunctionBindingCallback, nativeEventBindingCallback)
	// {
	// 	for (var cocoonJSExtensionObjectAttributeName in cocoonJSExtensionObject)
	// 	{
	// 		var cocoonJSExtensionObjectAttribute = cocoonJSExtensionObject[cocoonJSExtensionObjectAttributeName];

	// 		// Function
	// 		if (typeof cocoonJSExtensionObjectAttribute === 'function' && typeof cocoonJSExtensionObjectAttribute.nativeFunctionName !== 'undefined')
	// 		{
	// 			var nativeFunctionName = cocoonJSExtensionObjectAttribute.nativeFunctionName;
	// 			nativeFunctionBindingCallback(cocoonJSExtensionObjectAttributeName, nativeFunctionName);
	// 		}
	// 		// Event object
	// 		else if (typeof cocoonJSExtensionObjectAttribute === 'object' && cocoonJSExtensionObjectAttribute !== null && typeof cocoonJSExtensionObjectAttribute.nativeEventName !== 'undefined')
	// 		{
	// 			var nativeEventName = cocoonJSExtensionObjectAttribute.nativeEventName;
	// 			nativeEventBindingCallback(cocoonJSExtensionObjectAttributeName, nativeEventName);
	// 		}
	// 	}
	// }

	/**
	This function looks for a CocoonJS extension object that is bound to the given native ext object name.
	@returns The CocoonJS extension object that corresponds to the give native extension object name or null if it cannot be found.
	*/
	// CocoonJS.GetCocoonJSExtensionObjectForNativeExtensionObjectName = function(nativeExtensionObjectName)
	// {
	// 	var cocoonJSExtensionObject = null;
	// 	// Look in the CocoonJS object and for every object that is a CocoonJS.Extension check if it's nativeExtensionObjectName matches to the one passed as argument. If so, create an object that will represent it's documentation for the native ext object.
	// 	for (var cocoonJSAttributeName in CocoonJS)
	// 	{
	// 		var cocoonJSAttribute = CocoonJS[cocoonJSAttributeName];
	// 		if (typeof cocoonJSAttribute === 'object' && cocoonJSAttribute instanceof CocoonJS.Extension && cocoonJSAttribute.nativeExtensionObjectName === nativeExtensionObjectName)
	// 		{
	// 			// We have found the CocoonJS object that represents the native ext extension object name. 
	// 			cocoonJSExtensionObject = cocoonJSAttribute;
	// 			break;
	// 		}
	// 	}
	// 	return cocoonJSExtensionObject;
	// };

	/**
	This function adds functions to a CocoonJS extension object in order to bind them to the native makeCall function calls of the ext object.

	@param extensionObject The reference to the CocoonJS extension object where to add the new functions bound to the ext object makeCall functions calls.

	@param nativeFunctionsConfiguration An array of objects with the following structure:

		{ nativeFunctionName : "" [, functionName : "", isAsync : true/false] }

		- nativeFunctionName: Specifies the name of the function inside the ext object makeCall function call that will be bound.
		- functionName: An optional attribute that allows to specify the name of the function to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeFunctionName.
		- isAsync: An optional attribute that allows to specify if the call should be performed using makeCall (false or missing) or makeCallAsync (true).
		- alternativeFunction: An optional attribute that allows to specify an alternative function that will be called internally when this function is called. This attribute
		allows for adding new functionalities like for example adding methods 

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeFunctionBindingsToExtensionObject = function(extensionObject, nativeFunctionsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeFunctionsConfiguration === 'undefined' || nativeFunctionsConfiguration === null) throw("The passed native functions configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeFunctionsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeFunctionsConfiguration[i].nativeFunctionName === 'undefined') throw("The 'nativeFunctionName' attribute in the native function configuration object at index '" + i + "' in the native function configuration array cannot be undefined.");
	// 		var nativeFunctionName = nativeFunctionsConfiguration[i].nativeFunctionName;
	// 		var functionName = typeof nativeFunctionsConfiguration[i].functionName !== 'undefined' ? nativeFunctionsConfiguration[i].functionName : nativeFunctionName;
	// 		var makeCallFunction = null;
	// 		makeCallFunction = typeof nativeFunctionsConfiguration[i].isAsync !== 'undefined' && nativeFunctionsConfiguration[i].isAsync ? extensionObject.nativeExtensionObject.makeCallAsync : extensionObject.nativeExtensionObject.makeCall;
	// 		// Add the new function to the CocoonJS extension object
	// 		extensionObject[functionName] = function()
	// 		{
	// 			// Convert the arguments object to an array
	// 			var arguments = Array.prototype.slice.call(arguments);
	// 			// Add the native function name as the first parameter
	// 			arguments.unshift(nativeFunctionName);
	// 			// Make the native ext object call
	// 			var result = makeCallFunction.apply(extensionObject.nativeExtensionObject, arguments);
	// 			return result;
	// 		}
	// 		// Add a property to the newly added function to store the name of the original function.
	// 		extensionObject[functionName].nativeFunctionName = nativeFunctionName;
	// 	}
	// 	return extensionObject;
	// };

	/**
	This function adds objects to a CocoonJS extension object to allow event listener handling (add and remove) bound to the native ext object event listener handling.

	@param extensionObject The reference to the CocoonJS extension object where to add the new objects bound to the ext object event listener handling.

	@param nativeEventsConfiguration An array of objects with the following structure:

		{ nativeEventName : "" [, eventObjectName : ""] }

		- nativeEventName: Specifies the event in the native ext object to be bound.
		- eventObjectName: An optional attribute that allows to specify the name of the object to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeEventName.
		- alternativeAddEventListenerFunction:
		- alternativeRemoveEventListenerFunction:

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeEventBindingsToExtensionObject = function(extensionObject, nativeEventsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeEventsConfiguration === 'undefined' || nativeEventsConfiguration === null) throw("The passed native events configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeEventsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeEventsConfiguration[i].nativeEventName === 'undefined') throw("The 'nativeEventName' attribute in the native event configuration object at index '" + i + "' in the native event configuration array cannot be undefined.");
	// 		var nativeEventName = nativeEventsConfiguration[i].nativeEventName;
	// 		var eventObjectName = typeof nativeEventsConfiguration[i].eventObjectName !== 'undefined' ? nativeEventsConfiguration[i].eventObjectName : nativeEventName;
	// 		// Anonymous function call so each variable in the loop is used in the event listener handling function bindings.
	// 		(function(nativeEventName, eventObjectName)
	// 		{
	//     		extensionObject[eventObjectName] =
	//     		{
	//     			// Store the native event name
	//     			nativeEventName : nativeEventName,
	//     			// Create the event listener management functions bound to the native counterparts
	//     			addEventListener : function(callback)
	// 	    		{
	// 	    			extensionObject.nativeExtensionObject.addEventListener(nativeEventName, callback);
	//     			},
	//     			removeEventListener : function(callback)
	//     			{
	// 	    			extensionObject.nativeExtensionObject.removeEventListener(nativeEventName, callback);
	//     			}
	//     			// ,
	//     			// removeAllEventListeners : function()
	//     			// {

	//     			// }
	//     		};
	// 		})(nativeEventName, eventObjectName);
	// 	}
	// 	return extensionObject;
	// };

	/**
	The function object constructor function all the CocoonJS extensions can use to instantiate the CocoonJS extension object and add all the functionality needed bound to the native ext object.

	@param nativeExtensionObject The reference to the ext object extension object.

	@param nativeFunctionsConfiguration See CocoonJS.AddNativeFunctionBindingsToExtensionObject function's documentation for more details.

	@param nativeEventsConfiguration See CocoonJS.AddNativeEventBindingsToExtensionObject function's documentation for more details.

	@returns The new CocoonJS extension object.
	*/
	// CocoonJS.Extension = function(nativeExtensionObjectName, nativeFunctionsConfiguration, nativeEventsConfiguration)
	// {
	// 	if (typeof nativeExtensionObjectName === 'undefined' || nativeExtensionObjectName === null) throw("The native extension object name cannot be null");

	// 	if (window.ext[nativeExtensionObjectName] === 'undefined') throw("The given native extension object name '" + nativeExtensionObjectName + "' is incorrect or the native extension object is undefined.");

	// 	var nativeExtensionObject = window.ext[nativeExtensionObjectName];

	// 	// Store a reference to the native extension object and to it's name
	// 	this.nativeExtensionObject = nativeExtensionObject;
	// 	this.nativeExtensionObjectName = nativeExtensionObjectName;

	// 	// If native function configuration is passed, use it to add some functions to the new extension object.
	// 	if (typeof nativeFunctionsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeFunctionBindingsToExtensionObject(this, nativeFunctionsConfiguration);
	// 	}

	// 	// If native event configuration is passed, use it to add some event objects to the new extension object.
	// 	if (typeof nativeEventsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeEventBindingsToExtensionObject(this, nativeEventsConfiguration);
	// 	}

	// 	return this;
	// };   

})();

//////////////////////////////////////
// COCOONJS_APP.JS                  //
//////////////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents all the basic functionalities available in the CocoonJS extension API.
     * @namespace
     */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    CocoonJS.App.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_APP !== 'undefined';

    /**
     * The predefined possible layouts for the FPS overlay.
     * @namespace
     */
    CocoonJS.App.FPSLayout = {
        TOP_LEFT:'top-left',
        TOP_RIGHT:'top-right',
        BOTTOM_LEFT:'bottom-left',
        BOTTOM_RIGHT:'bottom-right'
    };

    /**
     * Contains all the possible values to specify the input keyboard type to be used when introducing text.
     * @namespace
     */
    CocoonJS.App.KeyboardType = {
        /**
         * Represents a generic text input keyboard.
         */
        TEXT:"text",

        /**
         * Represents a number like input keyboard.
         */
        NUMBER:"num",

        /**
         * Represents a phone like input keyboard.
         */
        PHONE:"phone",

        /**
         * Represents an email like input keyboard.
         */
        EMAIL:"email",

        /**
         * Represents an URL like input keyboard.
         */
        URL:"url"
    };

    /**
     * The storage types to be used with file system related operations.
     * @namespace
     */
    CocoonJS.App.StorageType = {
        /**
         * Represents the application storage. The application storage is the place where all the resources that come with the application are stored.
         */
        APP_STORAGE:"APP_STORAGE",

        /**
         * Represents the internal storage. The internal storage is a different storage space that the application storage and only the data that the application has stored
         * in it will be in this storage. It is internal to the platform/device.
         */
        INTERNAL_STORAGE:"INTERNAL_STORAGE",

        /**
         * Represents an external storage. The external storage is similar to the internal storage in the sense that it only contains information that the application has written
         * in it but it represents an external storage device like a SD-CARD. If there is no exrernal storage, it will represent the same as the internal storage.
         */
        EXTERNAL_STORAGE:"EXTERNAL_STORAGE",

        /**
         * Represents the temporal storage. Same as the internal and external storage spaces in the sense that it only contains information that the application has written
         * in it but the main difference is that the information in this storage may dissapear without notice.
         */
        TEMPORARY_STORAGE:"TEMPORARY_STORAGE"
    };

    /**
     * The capture types to capture screenshots using CocoonJS native capabilities.
     * @namespace
     */
    CocoonJS.App.CaptureType = {
        /**
         Captures everything, both the CocoonJS GL hardware accelerated surface and the system views (like the WebView).
         */
        EVERYTHING:0,

        /**
         * Captures just the CocoonJS GL hardware accelerated surface.
         */
        JUST_COCOONJS_GL_SURFACE:1,

        /**
         * Captures just the sustem views (like the webview)
         */
        JUST_SYSTEM_VIEWS:2
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It waits until the code is executed and the result of it is returned === synchronous.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @return {string} The result of the execution of the passed JavaScript code in the different JavaScript environment.
     */
    CocoonJS.App.forward = function (javaScriptCode) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forward", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                //return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                return window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It is asyncrhonous so it does not wait until the code is executed and the result of it is returned. Instead, it calls a callback function when the execution has finished to pass the result.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @param {function} [returnCallback] A function callback that will be called when the passed JavaScript code is executed in a different thread to pass the result of the execution in the different JavaScript environment.
     */
    CocoonJS.App.forwardAsync = function (javaScriptCode, returnCallback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            if (typeof returnCallback !== 'undefined') {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode, returnCallback);
            }
            else {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode);
            }
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                // window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Pops up a text dialog so the user can introduce some text and the application can get it back. It is the first approach CocoonJS has taken to be able to introduce
     * text input in a easy way. The dialog execution events are passed to the application through the {@link CocoonJS.App.onTextDialogFinished} and the {@link CocoonJS.App.onTextDialogCancelled} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [text] Default value is "". The initial text to be introduced in the text input field.
     * @param {CocoonJS.App.KeyboardType} [keyboardType] Default value is {@link CocoonJS.App.KeyboardType.TEXT}. The keyboard type to be used when the text has to be introduced.
     * @param {string} [cancelButtonText] Default value is "". The text to be displayed in the cancel button of the dialog.
     * @param {string} [okButtonText] Default value is "". The text to be displayed in the ok button of the dialog.
     * @see CocoonJS.App.onTextDialogFinished
     * @see CocoonJS.App.onTextDialogCancelled
     */
    CocoonJS.App.showTextDialog = function (title, message, text, keyboardType, cancelButtonText, okButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showTextDialog", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            if (!text) {
                text = "";
            }
            var result = prompt(message, text);
            var eventObject = result ? CocoonJS.App.onTextDialogFinished : CocoonJS.App.onTextDialogCancelled;
            eventObject.notifyEventListeners(result);
        }
    };

    /**
     * Pops up a message dialog so the user can decide between a yes or no like confirmation. The message box execution events are passed to the application through the {@link CocoonJS.App.onMessageBoxConfirmed} and the {@link CocoonJS.App.onMessageBoxDenied} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [confirmButtonText] Default value is "Yes". The text to be displayed for the confirm button.
     * @param {string} [denyButtonText] Default value is "No". The text to be displayed for the deny button.
     * @see CocoonJS.App.onMessageBoxConfirmed
     * @see CocoonJS.App.onMessageBoxDenied
     */
    CocoonJS.App.showMessageBox = function (title, message, confirmButtonText, denyButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showMessageBox", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            var result = confirm(message);
            var eventObject = result ? CocoonJS.App.onMessageBoxConfirmed : CocoonJS.App.onMessageBoxDenied;
            eventObject.notifyEventListeners();
        }
    };

    /**
     * It allows to load a new JavaScript/HTML5 resource that can be loaded either locally (inside the platform/device storage) or using a remote URL.
     * @function
     * @param {string} path A path to a resource stored in the platform or in a URL to a remote resource.
     * @param {CocoonJS.App.StorageType} [storageType] If the path argument represents a locally stored resource, the developer can specify the storage where it is stored. If no value is passes, the {@link CocoonJS.App.StorageType.APP_STORAGE} value is used by default.
     */
    CocoonJS.App.load = function (path, storageType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "loadPath", arguments);
        }
        else if (!navigator.isCocoonJS) {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function (event) {
                if (xhr.readyState === 4) {
                    if (xhr.status === 200) {
                        // TODO: As window load event is not being called (WHY???), I have decided to call the listeners directly
                        // var callback= function(event){
                        //     window.removeEventListener("load", callback);
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInCocoonJSSucceed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                        // };
                        // window.addEventListener("load", callback);
                        window.location.href = path;
                    }
                    else if (xhr.status === 404) {
                        this.onreadystatechange = null;
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInCocoonJSFailed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the current context.
     * @function
     */
    CocoonJS.App.reload = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "reload", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.location.reload();
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.location.reload();
            }
        }
    };

    /**
     * Opens a given URL using a system service that is able to open it. For example, open a HTTP URL using the system WebBrowser.+
     * @function
     * @param {string} url The URL to be opened by a system service.
     */
    CocoonJS.App.openURL = function (url) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "openURL", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            window.open(url, '_blank');
        }
    }

    /**
     * Forces the app to be finished.
     * @function
     */
    CocoonJS.App.forceToFinish = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forceToFinish", arguments);
        }
        else if (!navigator.isCocoonJS) {
            window.close();
        }
    }

    /**
     * Enables or disables the auto lock to control if the screen keeps on after an inactivity period.
     * When the auto lock is enabled and the application has no user input for a short period, the system puts the device into a "sleepâ€ state where the screen dims or turns off.
     * When the auto lock is disabled the screen keeps on even when there is no user input for long times.
     * @param enabled A boolean value that controls whether to enable or disable the auto lock.
     */
    CocoonJS.App.setAutoLockEnabled = function (enabled) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setAutoLockEnabled", arguments);
        }
    }

    /**
     * Creates a canvas element that is automatically resized to the screen size. When the app is being executed
     * inside CocoonJS. This canvas is optimized for rendering so it is higly recommended to use it if it fits
     * your app needs. If your app uses one canvas as the main canvas where all other canvases and images are displayed, Ludei recommends to
     * call this function in order to create this main canvas. A usual 2x performance gain is achieved by doing so
     * depending on the device and the graphics card driver.
     * @function
     * @return {object} The canvas object that should be used as the main canvas and that is resized to the screen resolution.
     */
    CocoonJS.App.createScreenCanvas = function () {
        var screenCanvas;
        if (navigator.isCocoonJS) {
            screenCanvas = document.createElement("screencanvas");
        }
        else if (!navigator.isCocoonJS) {
            screenCanvas = document.createElement("canvas");
            screenCanvas.width = window.innerWidth;
            screenCanvas.height = window.innerHeight;
        }
        return screenCanvas;
    };

    /**
     * Disables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.disableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Enables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.enableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Disables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.disableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "WebView");
        }
    };

    /**
     * Enables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.enableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "WebView");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the accelerometer updates.
     * It defines the rate at which the devicemotion events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setAccelerometerUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setAccelerometerUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for accelerometer related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for accelerometer related events.
     */
    CocoonJS.App.getAccelerometerUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getAccelerometerUpdateIntervalInSeconds");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the gyroscope updates.
     * It defines the rate at which the devicemotion and deviceorientation events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setGyroscopeUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setGyroscopeUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for gyroscope related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for gyroscope related events.
     */
    CocoonJS.App.getGyroscopeUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("getGyroscopeUpdateIntervalInSeconds");
        }
    };


    /**
     * Setups a origin proxy for a given typeName. What this means is that after calling this function the environment that makes this call will suddenly
     * have a way of creating instances of the given typeName and those instances will act as a transparent proxy to counterpart instances in the destination environment.
     * Manipulating attributes, calling funcitions or handling events will all be performed in the destination environment but the developer will think they will be
     * happening in the origin environment.
     * IMPORTANT NOTE: These proxies only work with types that use attributes and function parameters and return types that are primitive like numbers, strings or arrays.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} [attributeNames] A list of the names of the attributes to be proxified.
     * @param {array} [functionNames] A list of the names of the functions to be proxified.
     * @param {array} [eventHandlerNames] A list of the names of the event handlers to be proxified (onXXXX like attributes that represent callbacks).
     * A valid typeName and at least one valid array for attribute, function or event handler names is mandatory.
     */
    CocoonJS.App.setupOriginProxyType = function (typeName, attributeNames, functionNames, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            // Control the parameters.
            if (!typeName) throw "The given typeName must be valid.";
            if (!attributeNames && !functionNames && !eventHandlerNames) throw "There is no point on setting up a proxy for no attributes, functions nor eventHandlers.";
            attributeNames = attributeNames ? attributeNames : [];
            functionNames = functionNames ? functionNames : [];
            eventHandlerNames = eventHandlerNames ? eventHandlerNames : [];

            // The parent object will be the window. It could be another object but careful, the destination side should know about this.
            // TODO: Specify the parentObject as a parameter, obtain it's path from the window object and pass it to the destination environment so it knows about it.
            var parentObject = window;

            // Setup the destination side too.
            var jsCode = "CocoonJS.App.setupDestinationProxyType(" + JSON.stringify(typeName) + ", " + JSON.stringify(eventHandlerNames) + ");";
            CocoonJS.App.forward(jsCode);

            var originalType = parentObject[typeName];

            // Constructor. This will be the new proxified type in the origin environment. Instances of this type will be created by the developer without knowing that they are
            // internally calling to their counterparts in the destination environment.
            parentObject[typeName] = function () {
                var _this = this;

                // Each proxy object will have a origin object inside with all the necessary information to be a proxy to the destination.
                this._cocoonjs_proxy_object_data = {};
                // The id is obtained calling to the destination side to create an instance of the type.
                var jsCode = "CocoonJS.App.newDestinationProxyObject(" + JSON.stringify(typeName) + ");";
                this._cocoonjs_proxy_object_data.id = CocoonJS.App.forward(jsCode);
                // The eventHandlers dictionary contains objects of the type { eventHandlerName : string, eventHandler : function } to be able to make the callbacks when the 
                // webview makes the corresponding calls.
                this._cocoonjs_proxy_object_data.eventHandlers = {};
                // Also store the typename inside each instance.
                this._cocoonjs_proxy_object_data.typeName = typeName;
                // A dictionary to store the event handlers
                this._cocoonjs_proxy_object_data.eventListeners = {};

                // TODO: eventHandlers and eventListeners should be in the same list ;)

                // Store all the proxy instances in a list that belongs to the type itself.
                parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[this._cocoonjs_proxy_object_data.id] = this;

                // Create a setter and a getter for all the attribute names that have been specified. When the attributes are accessed (set or get) a call to the destination counterpart will be performed.
                for (var i = 0; i < attributeNames.length; i++) {
                    (function (attributeName) {
                        _this.__defineSetter__(attributeName, function (value) {
                            var jsCode = "CocoonJS.App.setDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ", " + JSON.stringify(value) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                        _this.__defineGetter__(attributeName, function () {
                            var jsCode = "CocoonJS.App.getDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                    })(attributeNames[i]);
                }

                // Create a function that performs a call to the destination environment counterpart for all the function names that have been specified.
                for (var i = 0; i < functionNames.length; i++) {
                    (function (functionName) {
                        _this[functionName] = function () {
                            // Get the arguments as an array and add the typeName, the proxy id and the functionName before all the other arguments before making the call to the destination counterpart.
                            var argumentsArray = Array.prototype.slice.call(arguments);
                            argumentsArray.unshift(functionName);
                            argumentsArray.unshift(this._cocoonjs_proxy_object_data.id);
                            argumentsArray.unshift(typeName);
                            // Use the array to create the correct function call.
                            var jsCode = "CocoonJS.App.callDestinationProxyObjectFunction(";
                            for (var i = 0; i < argumentsArray.length; i++) {
                                // The second argument (the id) should not be stringified
                                jsCode += (i !== 1 ? JSON.stringify(argumentsArray[i]) : argumentsArray[i]) + (i < argumentsArray.length - 1 ? ", " : "");
                            }
                            jsCode += ");";
                            // TODO: This next call should be synchronous but it seems that some customers are experiencing some crash issues. Making it async solves these crashes.
                            // Another possible solution could be to be able to specify which calls could be async and which sync in the proxification array.
                            var ret = CocoonJS.App.forwardAsync(jsCode);
                            return ret;
                        };
                    })(functionNames[i]);
                }

                // Create a setter and getter for all the event handler names that have been specified. When the event handlers are accessed, store them inside the corresponding position on the eventHandlers
                // array so they can be called when the destination environment makes the corresponding callback call.
                for (var i = 0; i < eventHandlerNames.length; i++) {
                    (function (eventHandlerName) {
                        _this.__defineSetter__(eventHandlerName, function (value) {
                            _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName] = value;
                        });
                        _this.__defineGetter__(eventHandlerName, function () {
                            return _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                        });
                    })(eventHandlerNames[i]);
                }

                // Setup the add and remove event listeners in the proxy object
                _this.addEventListener = function (eventTypeName, eventCallback) {
                    var addEventCallback = true;
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        // As the eventListeners were already added, check that the same callback has not been added.
                        addEventCallback = eventListeners.indexOf(eventCallback) < 0;
                    }
                    else {
                        // There are no event listeners, so add the one and add the listeners array for the specific event type name
                        eventListeners = [];
                        _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = eventListeners;

                        // Forward the call so the other end registers a event listener (only one is needed).
                        var jsCode = "CocoonJS.App.addDestinationProxyObjectEventListener(" + JSON.stringify(_this._cocoonjs_proxy_object_data.typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                    // Only if the alforithm above specify so, add the eventcallback and notify the destination environment to do the same
                    if (addEventCallback) {
                        eventListeners.push(eventCallback);
                    }
                };

                _this.removeEventListener = function (eventTypeName, eventCallback) {
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        var eventCallbackIndex = eventListeners.indexOf(eventCallback);
                        if (eventCallbackIndex >= 0) {
                            eventListeners.splice(eventCallbackIndex, 1);
                        }
                    }
                };

                // Return the proxy instance.
                return this;
            };

            // The type will contain a proxy data structure to store all the instances that are created so they are available when the destination environment calls back. 
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                originalType:originalType,
                proxyObjects:[]
            };

            /**
             * Deletes a proxy instance from both the CocoonJS environment structures and also deleting it's webview environment counterpart.
             * This function should be manually called whenever a proxy instance won't be accessed anymore.
             * @param {object} object The proxy object to be deleted.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.deleteProxyObject = function (object) {
                var proxyObjectKey = CocoonJS.getKeyForValueInDictionary(this.proxyObjects, object);
                if (proxyObjectKey) {
                    var jsCode = "CocoonJS.App.deleteDestinationProxyObject(" + JSON.stringify(typeName) + ", " + object._cocoonjs_proxy_object_data.id + ");";
                    CocoonJS.App.forwardAsync(jsCode);
                    object._cocoonjs_proxy_object_data = null;
                    delete this.proxyObjects[proxyObjectKey];
                }
            };

            /**
             * Calls a event handler for the given proxy object id and eventHandlerName.
             * @param {number} id The id to be used to look for the proxy object for which to make the call to it's event handler.
             * @param {string} eventHandlerName The name of the handler to be called.
             * NOTE: Events are a complex thing in the HTML specification. This function just performs a call but at least provides a
             * structure to the event passing the target (the proxy object).
             * TODO: The destination should serialize the event object as far as it can so many parameters can be passed to the origin
             * side. Using JSON.stringify in the destination side and parse in origin side maybe? Still must add the target to the event structure though.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler = function (id, eventHandlerName) {
                var object = this.proxyObjects[id];
                var eventHandler = object._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                if (eventHandler) {
                    eventHandler({ target:object });
                }
            };

            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners = function (id, eventTypeName) {
                var object = this.proxyObjects[id];
                var eventListeners = object._cocoonjs_proxy_object_data.eventListeners[eventTypeName].slice();
                for (var i = 0; i < eventListeners.length; i++) {
                    eventListeners[i]({ target:object });
                }
            };
        }
    };

    /**
     * Takes down the proxification of a type and restores it to it's original type. Do not worry if you pass a type name that is not proxified yet. The
     * function will handle it correctly for compativility reasons.
     * @param {string} typeName The name of the type to be deproxified (take down the proxification and restore the type to it's original state)
     */
    CocoonJS.App.takedownOriginProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parentObject[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                parentObject[typeName] = parentObject[typeName]._cocoonjs_proxy_type_data.originalType;
            }
        }
    };

    /**
     * Deletes everything related to a proxy object in both environments. Do not worry of you do not pass a proxified object to the
     * function. For compatibility reasons, you can still have calls to this function even when no poxification of a type has been done.
     * @param {object} object The proxified object to be deleted.
     */
    CocoonJS.App.deleteOriginProxyObject = function (object) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (object && object._cocoonjs_proxy_object_data) {
                parentObject[object._cocoonjs_proxy_object_data.typeName]._cocoonjs_proxy_type_data.deleteProxyObject(object);
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when an event handler need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventHandlerName The name of the event handler to be called.
     */
    CocoonJS.App.callOriginProxyObjectEventHandler = function (typeName, id, eventHandlerName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler(id, eventHandlerName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when all the event listeners related to a specific event need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventTypeName The name of the event type to call the listeners related to it.
     */
    CocoonJS.App.callOriginProxyObjectEventListeners = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners(id, eventTypeName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Setups all the structures that are needed to proxify a destination type to an origin type.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} eventHandlerNames An array with al the event handlers to be proxified. Needed in order to be able to create callbacks for all the event handlers
     * and call to the CocoonJS counterparts accordingly.
     */
    CocoonJS.App.setupDestinationProxyType = function (typeName, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            // Add a cocoonjs structure to the destination proxified type to store some useful information like all the proxy instances that are created, plus the id counter 
            // and the names of all the event handlers and some utility functions.
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                nextId:0,
                proxyObjects:{},
                eventHandlerNames:eventHandlerNames
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Takes down the proxy type at the destination environment. Just removes the data structure related to proxies that was added to the type when proxification tool place.
     * @param {string} typeName The name of the type to take the proxification down.
     */
    CocoonJS.App.takedownDestinationProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parent[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                delete parentObject[typeName]._cocoonjs_proxy_type_data;
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Creates a new destination object instance and generates a id to reference it from the original environment.
     * @param {string} typeName The name of the type to be proxified and to generate an instance.
     * @return The id to be used from the original environment to identify the corresponding destination object instance.
     */
    CocoonJS.App.newDestinationProxyObject = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            var proxyObject = new parentObject[typeName]();
            // Also store some additional information in the proxy object
            proxyObject._cocoonjs_proxy_object_data = {};
            // Like the type name, that could be useful late ;)
            proxyObject._cocoonjs_proxy_object_data.typeName = typeName;
            // Caculate the id for the object. It will be returned to the origin environment so this object can be referenced later
            var proxyObjectId = parentObject[typeName]._cocoonjs_proxy_type_data.nextId;
            // Store the created object in the structure defined in the setup of proxification with an id associated to it
            parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[proxyObjectId] = proxyObject;
            // Also store the id inside the proxy object itself
            proxyObject._cocoonjs_proxy_object_data.id = proxyObjectId;
            // Calculate a new id for the next object.
            parentObject[typeName]._cocoonjs_proxy_type_data.nextId++;

            // Setup all the event handlers.
            for (var i = 0; i < parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames.length; i++) {
                (function (eventHandlerName) {
                    proxyObject[eventHandlerName] = function (event) {
                        var proxyObject = this; // event.target;
                        // var eventHandlerName = CocoonJS.getKeyForValueInDictionary(proxyObject, this); // Avoid closures ;)
                        var jsCode = "CocoonJS.App.callOriginProxyObjectEventHandler(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventHandlerName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    };
                })(parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames[i]);
            }

            // Add the dictionary where the event listeners (callbacks) will be added.
            proxyObject._cocoonjs_proxy_object_data.eventListeners = {};

            return proxyObjectId;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environement whenever it is needed to work with proxy objects.
     * Calls a function of a destination object idetified by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} functionName The name of the function to be called.
     * @return Whatever the function call returns.
     */
    CocoonJS.App.callDestinationProxyObjectFunction = function (typeName, id, functionName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var argumentsArray = Array.prototype.slice.call(arguments);
            argumentsArray.splice(0, 3);
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            var result = proxyObject[functionName].apply(proxyObject, argumentsArray);
            return result;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Sets a value to the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be set.
     * @param {unknown} attributeValue The value to be set to the attribute.
     */
    CocoonJS.App.setDestinationProxyObjectAttribute = function (typeName, id, attributeName, attributeValue) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            proxyObject[attributeName] = attributeValue;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Retrieves the value of the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be retrieved.
     */
    CocoonJS.App.getDestinationProxyObjectAttribute = function (typeName, id, attributeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            return proxyObject[attributeName];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Deletes a proxy object identifying it using it's typeName and id. Deleting a proxy object mainly means to remove the instance from the global structure
     * that hold all the instances.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     */
    CocoonJS.App.deleteDestinationProxyObject = function (typeName, id) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            delete parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     */
    CocoonJS.App.addDestinationProxyObjectEventListener = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            // Look for the proxy object
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];

            var callback = function (event) {
                var proxyObject = this; // event.target;
                // var eventTypeName = CocoonJS.getKeyForValueInDictionary(proxyObject._cocoonjs_proxy_object_data.eventListeners, this); // Avoid closures ;)
                // TODO: Is there a way to retrieve the callbackId without a closure?
                var jsCode = "CocoonJS.App.callOriginProxyObjectEventListeners(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                CocoonJS.App.forwardAsync(jsCode);
            };

            proxyObject._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = callback;

            // Finally add the event listener callback to the proxy object
            proxyObject.addEventListener(eventTypeName, callback);
        }
    };

    // TODO: We could add a removeDestinationProxyObjectEventListener although it seems that is not completely necessary.

    /**
     * Proxifies the XMLHttpRequest type for the environment where this call is made. After calling this function, all the new objects
     * of XMLHttpRequest that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyXHR = function () {
        var ATTRIBUTE_NAMES =
            [
                "timeout",
                "withCredentials",
                "upload",
                "status",
                "statusText",
                "responseType",
                "response",
                "responseText",
                "responseXML",
                "readyState"
            ];
        var FUNCTION_NAMES =
            [
                "open",
                "setRequestHeader",
                "send",
                "abort",
                "getResponseHeader",
                "getAllResponseHeaders",
                "overrideMimeType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onloadstart",
                "onprogress",
                "onabort",
                "onerror",
                "onload",
                "ontimeout",
                "onloadend",
                "onreadystatechange"
            ];
        CocoonJS.App.setupOriginProxyType("XMLHttpRequest", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Proxifies the Audio type for the environment where this call is made. After calling this function, all the new objects
     * of Audio that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyAudio = function () {
        var ATTRIBUTE_NAMES =
            [
                "src",
                "loop",
                "volume",
                "preload"
            ];
        var FUNCTION_NAMES =
            [
                "play",
                "pause",
                "load",
                "canPlayType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onended",
                "oncanplay",
                "oncanplaythrough",
                "onerror"
            ];
        CocoonJS.App.setupOriginProxyType("Audio", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Captures a image of the screen synchronously and saves it to a file. Sync mode allows to capture the screen in the middle of a frame rendering.
     * @param {string} fileName Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} storageType The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @return The URL of the saved file.
     * @throws exception if the image fails to be stored or there is another error.
     * @see CocoonJS.App.onCaptureScreenSucceeded
     * @see CocoonJS.App.onCaptureScreenFailed
     */
    CocoonJS.App.captureScreen = function (fileName, storageType, captureType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("captureScreen", fileName, storageType, captureType);
        }
    };

    /**
     * Captures a image of the screen asynchronously and saves it to a file.
     * Async mode captures a final frame as soon as possible.
     * @param {string} Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} [storageType] The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface, 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @param {function} callback. Response callback, check the error property to monitor errors. Check the 'url' property to get the URL of the saved Image
     */
    CocoonJS.App.captureScreenAsync = function (fileName, storageType, captureType, callback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCallAsync("captureScreen", fileName, storageType, captureType, callback);
        }
    };

    /**
     * Returns the device UUID
     * @return {string} The device UUID
     */
    CocoonJS.App.getDeviceId = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceId");
        }
    };

    /**
     * Structure that defines the getDeviceInfo returned information
     */
    CocoonJS.App.DeviceInfo = {

        /**
        * The operating system name (ios, android,...)
        * @type string
        */
        os: null,

        /**
        * The operating system version (4.2.2, 5.0,...)
        * @type string
        */
        version: null,

        /**
        * The operating system screen density in dpi
        * @type string
        */
        dpi: null,

        /**
        * The device manufacturer (apple, samsung, lg,...)
        * @type string
        */
        brand: null,

        /**
        * The device model (iPhone 4S, SAMSUNG-SGH-I997, SAMSUNG-SGH-I997R, etc)
        * @type string
        */
        model: null,

        /**
        * The phone IMEI
        * Android: The phone IMEI is returned or null if the device has not telepohny
        * iOS: null is returned as we cannot get the IMEI in iOS, no public API available for that yet.
        * @type string
        */
        imei: null,

        /**
        * The platform Id
        * Android: The ANDROID_ID is used.
        * iOS: The OpenUDID is used as there is no Android ANDROID_ID equivalent in iOS
        * @type string
        */
        platformId: null,

        /**
        * The Odin generated id https://code.google.com/p/odinmobile/
        * @type string
        */
        odin: null,

        /**
        * The OpenUDID generated Id https://github.com/ylechelle/OpenUDID
        * @type string
        */
        openudid: null
    };

    /**
     * Returns the device Info
     * @return {CocoonJS.App.DeviceInfo} The device Info
     */
    CocoonJS.App.getDeviceInfo = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceInfo");
        }
    };    

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onTextDialogFinished} event calls.
     * @name OnTextDialogFinishedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} text The text that was introduced in the text dialog when it was finished.
     */
    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function's documentation is represented by {@link CocoonJS.App.OnTextDialogFinishedListener}
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogFinished = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogfinish");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogCancelled = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogcancel");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxConfirmed = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxconfirmed");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxDenied = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxdenied");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is suspended.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onSuspended = new CocoonJS.EventHandler("IDTK_APP", "App", "onsuspended");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is activated.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onActivated = new CocoonJS.EventHandler("IDTK_APP", "App", "onactivated");

})();

//////////////////////////////////////
// COCOONJS_APP_FORCOCOONJS.JS		//
//////////////////////////////////////

(function()
{
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before adding more functionalities to an extension.");
    if (typeof window.CocoonJS.App === 'undefined' || window.CocoonJS.App === null) throw("The CocoonJS.App object must exist and be valid before adding more functionalities to it.");

    /**
    * This namespace represents all the basic functionalities available in the CocoonJS extension API.
    * @namespace
    */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    if (!CocoonJS.App.nativeExtensionObjectAvailable)
    {
        (function createWebView() { 
            CocoonJS.App.EmulatedWebView = document.createElement('div'); 
            CocoonJS.App.EmulatedWebView.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewDiv'); 
            CocoonJS.App.EmulatedWebView.style.width = 0; 
            CocoonJS.App.EmulatedWebView.style.height = 0; 
            CocoonJS.App.EmulatedWebView.style.position = "absolute"; 
            CocoonJS.App.EmulatedWebView.style.left = 0; 
            CocoonJS.App.EmulatedWebView.style.top = 0;
            CocoonJS.App.EmulatedWebView.style.backgroundColor = 'transparent';
            CocoonJS.App.EmulatedWebView.style.border = "0px solid #000"; 
            CocoonJS.App.EmulatedWebViewIFrame = document.createElement("IFRAME"); 
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('name', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.style.width = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.style.height = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.frameBorder = 0;
            CocoonJS.App.EmulatedWebViewIFrame.allowtransparency = true;
            CocoonJS.App.EmulatedWebView.appendChild(CocoonJS.App.EmulatedWebViewIFrame);
            if(!document.body)
            document.body = document.createElement("body");
            document.body.appendChild(CocoonJS.App.EmulatedWebView);
        })(); 
    }

    /**
    * Pauses the CocoonJS JavaScript execution loop.
    * @function
    * @augments CocoonJS.App
    */
    CocoonJS.App.pause = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "pause", arguments);
        }
    };

    /**
    * Resumes the CocoonJS JavaScript execution loop.
    * @static
    * @function
    */
    CocoonJS.App.resume = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "resume", arguments);
        }
    };

    /**
    * Loads a resource in the WebView environment from the CocoonJS environment.
    * @function
    * @param {string} path The path to the resource. It can be a remote URL or a path to a local file.
    * @param {CocoonJS.App.StorageType} [storageType] An optional parameter to specify at which storage in the device the file path is stored. By default, APP_STORAGE is used.
    * @see CocoonJS.App.load
    * @see CocoonJS.App.onLoadInTheWebViewSucceed
    * @see CocoonJS.App.onLoadInTheWebViewFailed
    */
    CocoonJS.App.loadInTheWebView = function(path, storageType)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            // TODO: All this code should be changed to a simple call makeNativeExtensionObjectFunctionCall when the native argument control is improved.
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('loadPath'";
            if (typeof path !== 'undefined')
            {
                javaScriptCodeToForward += ", '" + path + "'";
                if (typeof storageType !== 'undefined')
                {
                    javaScriptCodeToForward += ", '" + storageType + "'";
                }
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function(event) {
                if (xhr.readyState === 4)
                {
                    if (xhr.status === 200)
                    {
                        var callback= function(event){
                            CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners(path);
                            CocoonJS.App.EmulatedWebViewIFrame.removeEventListener("load", callback);
                        };

                        CocoonJS.App.EmulatedWebViewIFrame.addEventListener(
                            "load", 
                            callback
                        );
                        CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.href= path;
                    }
                    else if (xhr.status === 404)
                    {
                        this.onreadystatechange = null;
                        CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners(path);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the WebView context.
     * @function
     */
    CocoonJS.App.reloadWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.App.forwardAsync("ext.IDTK_APP.makeCall('reload');");
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.reload();
        }
    };

    /**
    * Shows the webview.
    * @function
    * @param {int} x The top lef x coordinate of the rectangle where the webview will be shown.
    * @param {int} y The top lef y coordinate of the rectangle where the webview will be shown.
    * @param {width} y The width of the rectangle where the webview will be shown.
    * @param {height} y The height of the rectangle where the webview will be shown.
    */
    CocoonJS.App.showTheWebView = function(x, y, width, height)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('show'";
            if (typeof x !== 'undefined' && typeof y !== 'undefined' && typeof width !== 'undefined' && typeof height !== 'undefined')
            {
                javaScriptCodeToForward += ", " + x + ", " + y + ", " + width + ", " + height;
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebViewIFrame.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.left = (x ? x : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.top = (y ? y : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebView.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.display = "block";
        }
    };

    /**
    * Hides the webview.
    * @function
    */
    CocoonJS.App.hideTheWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('hide');";
            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebView.style.display = "none";
        }
    };

    /**
    * Marks a audio file to be used as music by the system. CocoonJS, internally, differentiates among music files and sound files.
    * Music files are usually bigger in size and longer in duration that sound files. There can only be just one music file 
    * playing at a specific given time. The developer can mark as many files as he/she wants to be treated as music. When the corresponding
    * HTML5 audio object is used, the system will automatically know how to treat the audio resource as music or as sound.
    * Note that it is not mandatory to use this function. The system automatically tries to identify if a file is suitable to be treated as music
    * or as sound by checking file size and duration thresholds. It is recommended, though, that the developer specifies him/herself what he/she considers
    * to be music.
    * @function
    * @param {string} audioFilePath The same audio file path that will be used to create HTML5 audio objects.
    */
    CocoonJS.App.markAsMusic = function(audioFilePath)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "addForceMusic", arguments);
        }
    };

    /**
    * Activates or deactivates the antialas functionality from the CocoonJS rendering.
    * @function
    * @param {boolean} enable A flag that indicates if the antialas should be activated (true) or deactivated (false).
    */
    CocoonJS.App.setAntialias = function(enable)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultAntialias", arguments);
        }
    };

    /**
    * Sets a callback function that will be called whenever the system tries to finish the app.
    * The developer can specify how the system will react to the finish of the app by returning a
    * boolean value in the callback function: true means, close the app, false means that the developer
    * will handle the app close.
    * A common example of this is the back button in Android devices. When the back button is pressed, this
    * callback will be called and the system will react depending on the developers choice finishing, or not,
    * the application.
    * @function
    * @param {function} appShouldFinishCallback A function object that will be called when the system
    * determines that the app should be finished. This function must return a true or a false value
    * depending on what the developer wants: true === finish the app, false === do not close the app.
    */
    CocoonJS.App.setAppShouldFinishCallback = function(appShouldFinishCallback)
    {
        if (navigator.isCocoonJS)
        {
            window.onidtkappfinish = appShouldFinishCallback;
        }
    }

    /**
    * Sets the texture reduction options. The texture reduction is a process that allows big images to be reduced/scaled down when they are loaded.
    * Although the quality of the images may decrease, it can be very useful in low end devices or those with limited amount of memory.
    * The function sets the threshold on image size (width or height) that will be used in order to know if an image should be reduced or not.
    * It also allows to specify a list of strings to identify in which images file paths should be applied (when they meet the size threshold requirement) 
    * The developer will still think that the image is of the original size. CocoonJS handles all of the internals to be able to show the image correctly.
    * IMPORTANT NOTE: This function should be called when the application is initialized before any image is set to be loaded for obvious reasons ;).
    * and in which sould be forbid (even if they meet the threshold requirement).
    * @function
    * @param {number} sizeThreshold This parameter specifies the minimun size (either width or height) that an image should have in order to be reduced.
    * @param {string or array} [applyTo] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it will be reduced. This parameter can also be null.
    * @param {string or array} [forbidFor] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it won't be reduced. This parameter should be used in order to mantain the 
    * quality of some images even they meet the size threshold requirement.
    */
    CocoonJS.App.setTextureReduction = function(sizeThreshold, applyTo, forbidFor)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultTextureReducerThreshold", arguments);
        }
    };


    /**
    * Prints to the console the memory usage of the currently alive textures
    * @function
    */
    CocoonJS.App.logMemoryInfo = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "logMemoryInfo", arguments);
        }
    };

    /**
    * Enable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.enableFPSInTheWebView = function(fpsLayout, textColor)
    {
        if (!CocoonJS.App.fpsInTheWebViewEnabled)
        {
            fpsLayout = fpsLayout ? fpsLayout : CocoonJS.App.FPSLayout.TOP_RIGHT;
            textColor = textColor ? textColor : "white";
            var jsCode = "" +
                "(function()" +
                "{" +
                    "var COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES = ['js/CocoonJSExtensions/CocoonJS.js', 'js/CocoonJSExtensions/CocoonJS_App.js', 'js/CocoonJSExtensions/CocoonJS_App_ForWebView.js'];" +
                    "var loadedScriptCounter = 0;" + 
                    "var loadedScriptFunction = function() " +
                    "{ " +
                        "loadedScriptCounter++;"+
                        "if (loadedScriptCounter >= COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length)"+
                        "{"+
                            "CocoonJS.App.enableFPS(" + JSON.stringify(fpsLayout) + ", " + JSON.stringify(textColor) + ");"+
                        "}"+
                    "};"+
                    "for (var i = 0; i < COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length; i++)"+
                    "{"+
                        "var s = document.createElement('script');"+
                        "s.onload = loadedScriptFunction;"+
                        "s.src = COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES[i];"+
                        "document.body.appendChild(s);"+
                    "}" +
                "})();";
            setTimeout(function()
            {
                CocoonJS.App.forward(jsCode);
            }, 3000);
            CocoonJS.App.fpsInTheWebViewEnabled = true;
        }
    };

    /**
    * Disable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.disableFPSInTheWebView = function()
    {
        // TODO: Implement this function.
    };

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewSucceed} event calls.
     * @name OnLoadInTheWebViewSucceedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load has completed successfully.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewSucceedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    * @param {string} pageURL A string that represents the page URL loaded.
    */
    CocoonJS.App.onLoadInTheWebViewSucceed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpageload");

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewFailed} event calls.
     * @name OnLoadInTheWebViewFailedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load fails.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewFailedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    */
    CocoonJS.App.onLoadInTheWebViewFailed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpagefail");
    
})();

//////////////////////////////////////
// COCOONJS_AD.JS                   //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Advertisement extension API.
    * @namespace
    */
    CocoonJS.Ad = {};

    CocoonJS.Ad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_AD !== 'undefined';

    /**
    * The predefined possible layouts for a banner ad.
    * @namespace 
    */
	CocoonJS.Ad.BannerLayout = 
	{
		/**
		* Specifies that the banner must be shown in the top of the screen and vertically centered.
		*/
	    TOP_CENTER      : "TOP_CENTER",

		/**
		* Specifies that the banner must be shown in the bottom of the screen and vertically centered.
		*/
	    BOTTOM_CENTER   : "BOTTOM_CENTER"
	};

	/**
    * A rectangle object that contains the banner dimensions
    * @namespace 
    * @constructor
    * @param {int} x The top lef x coordinate of the rectangle.
    * @param {int} y The top lef y coordinate of the rectangle.
    * @param {width} y The rectangle width.
    * @param {height} y The rectangle height.
    */
	CocoonJS.Ad.Rectangle = function(x, y, width, height) 
	{
		/**
		* The top lef x coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.x = x;

		/**
		* The top lef y coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.y = y;

	    /**
		* The rectangle width
		* @field 
		* @type {int}
		*/
	    this.width = width;

	    /**
		* The rectangle height
		* @field 
		* @type {int}
		*/
	    this.height = height;
	};

	CocoonJS.Ad.Banner = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
    	* The callback function does not receive any parameter.
    	* @param {number} width The banner width
    	* @param {number} height The banner height
    	* @static
    	* @event
    	*/
		this.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener(args[1], args[2]);
    		}
    	});
	};

	CocoonJS.Ad.Banner.prototype = {

		/**
		* Shows a banner ad if available.
		* @function
		*/
		showBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", [this.id], true);
			}
		},

		/**
		* Hides the banner ad if it was being shown.
		* @function
		*/
		hideBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", [this.id], true);
			}
		},

		/**
		* Refreshes the banner.
		* @function
		*/
		refreshBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", [this.id], true);
			}
		},

		/**
		* Gets the rectangle representing the banner screen position.
		* @function
		* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
		*/
		getRectangle : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", [this.id]);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* @function
		* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
		*/
		setRectangle : function(rect)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", [this.id, rect],true);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* You can use this method if you want to have better control of the banner screen positioning.
		* @function
		* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
		*/
		setBannerLayout : function(bannerLayout)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", [this.id, bannerLayout],true);
			}
		}
	};

	CocoonJS.Ad.Fullscreen = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
		this.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

    	/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});
	};

	CocoonJS.Ad.Fullscreen.prototype = {

		/**
		* Shows a full screen ad if available.
		* @function
		* @see CocoonJS.Ad.onFullScreenShown
		* @see CocoonJS.Ad.onFullScreenHidden
		*/
		showFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", [this.id], true);
			}
		},

		/**
		* Refreshes the fullscreen.
		* @function
		*/
		refreshFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", [this.id], true);
			}
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Ad.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "requestInitialization", arguments, true);
		}
	};

	/**
	* Creates a new banner ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createBanner = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createBanner", [parameters]);
			var banner = new CocoonJS.Ad.Banner(adId);

			return banner;
		}
	};

	/**
	* Releases a banner.
	* @function
	* @param {object} The banner ad object to be released.
	*/
	CocoonJS.Ad.releaseBanner = function(banner)
	{
		if (typeof banner === "undefined") {
            throw "The banner ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseBanner", [banner.id]);
		}
	};

	/**
	* Creates a new fullscreen ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createFullscreen = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createFullscreen", [parameters]);
			var fullscreen = new CocoonJS.Ad.Fullscreen(adId);

			return fullscreen;
		}
	};

	/**
	* Releases a fullscreen ad.
	* @function
	* @param {object} The fullscreen ad object to be released.
	*/
	CocoonJS.Ad.releaseFullscreen = function(fullscreen)
	{
		if (typeof fullscreen === "undefined") {
            throw "The fullscreen ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseFullscreen", [fullscreen.id]);
		}
	};

	/**
	* Shows a banner ad if available.
	* @function
	* @see CocoonJS.Ad.setBannerLayout
	* @see CocoonJS.Ad.onBannerShown
	*/
	CocoonJS.Ad.showBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", arguments, true);
		}
	};

	/**
	* Hides the banner ad if it was being shown.
	* @function
	*/
	CocoonJS.Ad.hideBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", arguments, true);
		}
	};

	/**
	* Refreshes the banner.
	* @function
	*/
	CocoonJS.Ad.refreshBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", arguments, true);
		}
	};

	/**
	* Shows a full screen ad if available.
	* @function
	* @see CocoonJS.Ad.onFullScreenShown
	* @see CocoonJS.Ad.onFullScreenHidden
	*/
	CocoonJS.Ad.showFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", arguments, true);
		}
	};

	/**
	* Refreshes the fullscreen.
	* @function
	*/
	CocoonJS.Ad.refreshFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", arguments, true);
		}
	};

	/**
	* Makes a request to preload a banner ad.
	* @function
	*/
	CocoonJS.Ad.preloadBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadBanner", arguments, true);
		}
	};

	/**
	* Makes a request to preload a full screen ad.
	* @function
	*/
	CocoonJS.Ad.preloadFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadFullScreen", arguments, true);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* @function
	* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.setRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", arguments, true);
		}
	};

	/**
	* Gets the rectangle representing the banner screen position.
	* @function
	* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.getRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", arguments);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* You can use this method if you want to have better control of the banner screen positioning.
	* @function
	* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
	*/
	CocoonJS.Ad.setBannerLayout = function(bannerLayout)
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", arguments, true);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide"); 

	/**
	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
	* The callback function does not receive any parameter.
	* @param {number} width The banner width
	* @param {number} height The banner height
	* @static
	* @event
	*/
	CocoonJS.Ad.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready"); 

})();

//////////////////////////////////////
// COCOONJS_STORE.JS                //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS In-App Purchase extension.
    * @namespace
    */
    CocoonJS.Store = {};

    CocoonJS.Store.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_STORE !== 'undefined';

	/**
	* The data structure that represents the information of a product in the store.
	* @namespace
	* @constructor
	* @param {string} The id of the product.
	* @param {string} The alias of the product.
	* @param {CocoonJS.Store.ProductType} The product type @see CocoonJS.Store.ProductType.
	* @param {string} The title of the product.
	* @param {string} The description of the product.
	* @param {string} The localized price of the product.
	* @param {string} The URL of the asset to be downloaded for this purchase.
	*/
	CocoonJS.Store.ProductInfo = function(productAlias, productId, productType, title, description, price, localizedPrice, downloadURL)
	{
		/**
		* The id of the product.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The alias of the product.
		* @field
		* @type string
		*/
		this.productAlias = productAlias;

		/**
		* The product type @see CocoonJS.Store.ProductType
		* @field
		* @type CocoonJS.Store.ProductType
		*/
		this.productType = productType;

		/**
		* The title of the product.
		* @field
		* @type string
		*/
		this.title = title;

		/**
		* The description of the product.
		* @field
		* @type string
		*/
		this.description = description;

		/**
		* The price of the product.
		* @field
		* @type string
		*/
		this.price = price;

		/**
		* The localized price of the product.
		* @field
		* @type string
		*/
		this.localizedPrice = localizedPrice;

		/**
		* The URL of the asset to be downloaded for this purchase.
		* @field
		* @type string
		*/
		this.downloadURL = downloadURL;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.ProductType = 
	{
		/**
		* A consumable product. See platform documentation for further information.
		*/
	    CONSUMABLE : 0,

		/**
		* A non-cunsumable product. . See platform documentation for further information.
		*/
	    NON_CONSUMABLE : 1,

	    /**
		* An auto-renewable subscription. See platform documentation for further information.
		*/
	    AUTO_RENEWABLE_SUBSCRIPTION : 2,

	    /**
		* A free subscription. See platform documentation for further information.
		*/
	    FREE_SUBSCRIPTION : 3,

	    /**
		* A non-renewable subscription. See platform documentation for further information.
		*/
	    NON_RENEWABLE_SUBSCRIPTION : 4
	};

	/**
    * The predefined possible store types.
    * @namespace 
    */
	CocoonJS.Store.StoreType = 
	{
		/**
		* Apple AppStore
		*/
	    APP_STORE : 0,

	    /**
	    * Android Play Store
	    */
	    PLAY_STORE : 1,

		/**
		* Mock Store
		*/
		MOCK_STORE : 2,

		/**
	    * Amazon AppStore
	    */
	    CHROME_STORE : 3,

	    /**
	    * Amazon AppStore
	    */
	    AMAZON_STORE : 4,

	    /**
	    * Nook Store
	    */
	    NOOK_STORE : 5
	};

	/**
	* The data structure that represents the information of a purchase.
	* @namespace
	* @constructor
	* @param {string} The transaction id of a purchase.
	* @param {string} The time when the purchase was done in seconds since 1970.
	* @param {CocoonJS.Store.PurchaseState} The state of the purchase. @see CocoonJS.Store.PurchaseState
	* @param {string} The product id related to this purchase.
	* @param {number} The number of products of the productId kind purchased in this transaction.
	*/
	CocoonJS.Store.PurchaseInfo = function(transactionId, purchaseTime, purchaseState, productId, quantity)
	{
		/**
		* The transaction id of a purchase.
		* @field
		* @type string
		*/
		this.transactionId = transactionId;

		/**
		* The time when the purchase was done in seconds since 1970.
		* @field
		* @type string
		*/
		this.purchaseTime = purchaseTime;

		/**
		* The state of the purchase. @see CocoonJS.Store.PurchaseState
		* @field
		* @type CocoonJS.Store.PurchaseState
		*/
		this.purchaseState = purchaseState;

		/**
		* The product id related to this purchase.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The number of products of the productId kind purchased in this transaction.
		* @field
		* @type number
		*/
		this.quantity = quantity;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.PurchaseState = 
	{
		/**
		* The product has been successfully purchased. The transaction has ended successfully.
		*/
	    PURCHASED : 0,

		/**
		* The purchase has been canceled.
		*/
	    CANCELED : 1,

	    /**
		* The purchase has been refunded.
		*/
	    REFUNDED : 2,

	    /**
		* The purchase (subscriptions only) has expired and is no longer valid.
		*/
	    EXPIRED : 3
	};

	/**
	* Gets the name of the native store implementation. 
	* @return {CocoonJS.Store.StoreType} The store type
	* @function
	*/ 
	CocoonJS.Store.getStoreType = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getStoreType", arguments);
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Store.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") 
        {
            parameters = {};
        }
        else
        {
        	if (parameters['managed'] !== undefined) parameters['remote'] = parameters['managed'];
        	if (parameters['sandbox'] !== undefined) parameters['debug'] = parameters['sandbox'];
        }

		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "requestInitialization", arguments, true);
		}
	};

	/**
	* Starts the Store Service. 
	* This will make the system to initialize the Store Service and probably Store callbacks will start to be received after calling this method so you should have set your event handler before calling this method so don't lose any callback.
	* @function
	*/ 
	CocoonJS.Store.start = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "start", arguments);
		}
	};

	/**
	* This method allows you to check is the  Store service is available in this platform. 
	* Not all iOS and Android devices will have the Store service available so you should check if it is before calling any other method.
	* @function
	* @return {boolean} True if the service is available and false otherwise.
	*/ 
	CocoonJS.Store.canPurchase = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "canPurchase", arguments);
		}
	};

	/**
	* Fetches the products from the CocoonJS Cloud Compiling service store configuration. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @deprecated You should now use fetchProductsFromStore. We don't support cloud products now.
	* @function
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromServer = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromServer", arguments, true);
		}
	};

	/**
	* Fetches the products information from the Store. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @function
	* @param {array} productIds An array with the ids of the products to retrieve information from.
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromStore = function(productIds)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromStore", arguments, true);
		}
	};

	/**
	* Finish a purchase transaction and removes the transaction from the transaction queue. 
	* This method must be called after a purchase finishes successfully and the  {@link CocoonJS.Store.onProductPurchaseCompleted} callback has been received. 
	* If the purchase includes some asset to download from an external server this method must be called after the asset has been successfully downloaded. 
	* If you do not finish the transaction because the asset has not been correctly downloaded the {@link CocoonJS.Store.onProductPurchaseStarted} method will be called again later on.
	* @function
	* @param {string} transactionId The transactionId of the purchase to finish.
	*/ 
	CocoonJS.Store.finishPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "finishPurchase", arguments, true);
		}
	};

	/**
	* Consumes a purchase. This makes that product to be purchasable again. 
	* @function
	* @param {string} transactionId The transaction Id of the purchase to consume.
	* @param {string} productId The product Id of the product to be consumed.
	*/ 
	CocoonJS.Store.consumePurchase = function(transactionId, productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "consumePurchase", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeature", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id showing a modal progress dialog. 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.puchaseProductModal = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModal", arguments, true);
		}
	};

	/**
	* Request the purchase of a product given it's product id showing a dialog with a preview of the product (title and description). 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProductModalWithPreview = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModalWithPreview", arguments, true);
		}
	};

	/**
	* Returns if a product has been already purchased or not. 
	* @function
	* @param {string} productId The product id or alias of the product to be checked.
	* @returns {boolean} A flag that indicates whether the product has been already purchased (true) or not (false).
	*/
	CocoonJS.Store.isProductPurchased = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "isFeaturePurchased", arguments);
		}
	};

	/**
	* Restores all the purchases from the platform's market. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchases", arguments, true);
		}
	};

	/**
	* Restores all the purchases from the platform's market showing a modal progress dialog. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchasesModal = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchasesModal", arguments, true);
		}
	};

	/**
	* Returns all the products available to be purchased.
	* @function
	* @returns {array} An array with  all the {@link CocoonJS.Store.ProductInfo} objects available for purchase.
	*/
	CocoonJS.Store.getProducts = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getProducts", arguments);
		}
	};

	/**
	* Adds a product to the products local DB. 
	* @function
	* @param {CocoonJS.Store.ProductInfo} product The product to be added to the local products DB.
	*/
	CocoonJS.Store.addProduct = function(product)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addProduct", arguments);
		}
	};

	/**
	* Removes a product from the products local DB given its productId. 
	* @function
	* @param {string} productId The product or alias of the product to be removed from the local products DB.
	*/
	CocoonJS.Store.removeProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removeProduct", arguments);
		}
	};

	/**
	* Returns all the locally stored purchases.
	* @function
	* @returns {array} An array with all the {@link CocoonJS.Store.PurchaseInfo} completed purchases.
	*/
	CocoonJS.Store.getPurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getPurchases", arguments);
		}
	};

	/**
	* Adds a purchase to the local purchases DB. 
	* @function
	* @param {CocoonJS.Store.StorePurchase} purchase The purchase to be added.
	*/ 
	CocoonJS.Store.addPurchase = function(purchase)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addPurchase", arguments);
		}
	};

	/**
	* Removes a purchase from the local purchases DB given it's transaction id. 
	* @function
	* @param {string} transactionId The id of the transaction to be removed.
	*/ 
	CocoonJS.Store.removePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removePurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase cancel. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be canceled.
	*/
	CocoonJS.Store.cancelPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "cancelPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase refundment. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be refunded.
	*/
	CocoonJS.Store.refundPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "refundPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase expiration. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be expired.
	*/
	CocoonJS.Store.expirePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "expirePurchase", arguments);
		}
	};

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onProductsFetchStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchStarted");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has completed.
    * The callback function receives a parameter with an the valid products array.
    * @static
    * @event
    * @param {array} validProducts An array of {@link CocoonJS.Store.ProductInfo} objects representing all the valid fetched products.
    */
	CocoonJS.Store.onProductsFetchCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onProductsFetchFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product starts.
    * The callback function receives a parameters with the information of the purchased product @see CocoonJS.Store.ProductInfo.
    * @static
	* @event
    * @param {string} productId The product id of the product being purchased.
    */
	CocoonJS.Store.onProductPurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseStarted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a request for purchase verification has been received from the Store.
    * The callback function receives two parameters, one with the productId of the purchased product and another one with a JSON object containing the data to be verified.
    * In Andorid this JSON object will containt two keys: signedData and signature. You will need that information to verify the purchase against the backend server.
    * @static
    * @event
    * @param {string} productId The product id of the product to be verified.
    * @param {string} data The string with the data to be verified.
    */
	CocoonJS.Store.onProductPurchaseVerificationRequestReceived = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseVerificationRequestReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product succeeds.
    * The callback function receives as parameter the information of the purchase {@see CocoonJS.Store.PurchaseInfo}.
    * @static
    * @event
    * @param {CocoonJS.Store.PurchaseInfo} purchaseInfo The purchase info.
    */
	CocoonJS.Store.onProductPurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product fails.
    * The callback function receives a parameters with the product id and an error message.
    * @static
    * @event
    * @param {string} productId The product id.
    * @param {string} msg The error message.
    */
	CocoonJS.Store.onProductPurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has completed.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onRestorePurchasesFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesFailed");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has started.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase being consumed.
    */
	CocoonJS.Store.onConsumePurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has completed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the consumed purchase.
    */
	CocoonJS.Store.onConsumePurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has failed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase that couldn't be consumed.
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onConsumePurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseFailed");

})();

//////////////////////////////////////
// COCOONJS_SOCIAL.JS               //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.Social = function(nativeExtensionName, extensionName)
	{
		if (typeof nativeExtensionName !== 'string') throw "The given native extension name '" + nativeExtensionName + "' is not a string.";
		if (typeof extensionName !== 'string') throw "The given extension name '" + extensionName + "' is not a string.";

		this.nativeExtensionName = nativeExtensionName;
		this.extensionName = extensionName;
	    this.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[nativeExtensionName] !== 'undefined';

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationSucceed} event calls.
	     * @name OnRequestInitializationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when requestInitialization was called.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationFailed} event calls.
	     * @name OnRequestInitializationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when the requestInitialization function was called.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginSucceed} event calls.
	     * @name OnRequestLoginSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the user that logged in.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginFailed} event calls.
	     * @name OnRequestLoginFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user logs out.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onLogout = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLogout");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoSucceed} event calls.
	     * @name OnRequestUserInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the request user id.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoFailed} event calls.
	     * @name OnRequestUserInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLSucceed} event calls.
	     * @name OnRequestUserImageURLSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} imageURL The URL of the image of the requested user. 
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLFailed} event calls.
	     * @name OnRequestUserImageURLFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user the request was placed for.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosSucceed} event calls.
	     * @name OnRequestUserFriendsUserInfosSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user for whom the friend user infos where requested.
	     * @param {array} friendsInfo An array of {@link CocoonJS.Social.UserInfo} objects representing the information of the friends of the user.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info is successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosFailed} event calls.
	     * @name OnRequestUserFriendsUserInfosFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param 
	     * @param {string} userID The id of the user fro whom the friends infos were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationSucceed} event calls.
	     * @name OnRequestMessagePublicationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
 	     * @param {CocoonJS.Social.Message} message The message that has been published.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    * @param {CocoonJS.Social.Message} message The message that has been published.
	    */
		this.onRequestMessagePublicationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationFailed} event calls.
	     * @name OnRequestMessagePublicationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.Message} message The message that was supposed to be published.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestMessagePublicationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationFailed");

		/**
        * @ignore
        */
        this.on= function(event, callback) {
            event= "on"+event[0].toUpperCase()+event.substr(1);
            var signal= this[event];
            if (signal) {
                signal.addEventListener(callback);
            } else {
                console.error("SocialGaming service: '"+this.extensionName+"' does not understand '"+event+' signal.');
            }

            return this;
        };

	    return this;
	};

	CocoonJS.Social.prototype = {
        userInfo : null,
        userInfoCocoonJS : null,

        /**
        * @ignore
        */
        getUserInfo : function() {
            return this.userInfo;
        },

        /**
        * Returns the information of the currently logged in user.
        * @return {@link CocoonJS.Social.UserInfo}
        */
        getLoggedInUserInfo : function() {
            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getLoggedInUserInfo", arguments);
            }
            else {
                return this.userInfoCocoonJS;
            }
        },

        /**
        * @ignore
        */
        setUserInfo : function( userInfo) {
            this.userInfo= userInfo;
        },

        /**
        * @ignore
        */
        setUserInfoCocoonJS : function( userInfoCocoonJS ) {
            this.userInfoCocoonJS = userInfoCocoonJS;
        },

		/**
        * Request initialization of the underlying social service.
        * @param {object} paramsObject A data structure to initialize the service. It will be dependable of the underlying service.
        * @see CocoonJS.Social.onRequestInitializationSucceed
        * @see CocoonJS.Social.onRequestInitializationFailed
        */
		requestInitialization : function(paramsObject) 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestInitialization", arguments, true);
			}
		},

		/**
        * Returns a flag to indicate if the underlying service has been initialized or not.
        * @return {boolean} If the underlying service had been initialized using the requestInitialization function call.
        */
		isInitialized : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isInitialized", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to log in the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Socual.onRequestLoginFailed
		*/
		requestLogin : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogin", arguments, true);
			}
		},

		/**
		* Request to log out of the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Social.onRequestLoginFailed
		* @see CocoonJS.Social.onLogout
		*/
		requestLogout : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogout", arguments, true);
			}
		},

		/**
		* Check if the user is logged in.
		* @return {boolean} true if the user is still logged in, false otherwise.
		*/
		isLoggedIn : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isLoggedIn", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Returns all the granted permissions for the current session.
		* @return {Array} An array containin the user granted permissions.
		*/
		getPermissions : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getPermissions", arguments);
			}
			else
			{
				return new Array();
			}
		},

		/**
		* Check if the user has granted the publish permission for the current session.
		* @return {boolean} true if the user has granted the publish permission for the current session, false otherwise.
		*/
		hasPublishPermission : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "hasPublishPermission", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to retrieve the current or a specific user's id. The request can be monitored using the {@link CocoonJS.Social.onUserInfoRequestSucceed} and {@link CocoonJS.Social.onUserInfoRequestFailed} event handlers.
		* @param {string} [userId] The id of the user to retireve the information from. If no userID is specified, the currently logged in user is assumed.
		* @see CocoonJS.Social.onRequestUserInfoSucceed
		* @see CocoonJS.Social.onRequestUserInfoFailed
		*/
		requestUserInfo : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserInfo", arguments, true);
			}
		},

		/**
		* Request to retrieve the Image of a user
		* @param {string} [userID] The id of the user to get the image for. If no userID is specified, the currently logged user is used.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}. If no value is specified, SMALL is used.
		* @see CocoonJS.Social.onRequestUserImageURLSucceed;
		* @see CocoonJS.Social.onRequestUserImageURLFailed;
		*/
		requestUserImageURL : function( imageSizeType, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserImageURL", arguments, true);
			}
		},

		/**
		* Request for the information of all the friends of the currently logged user.
		* @param {string} [userID] The id of the user to get the friends infos for. If no userID is specified, the currently logged user is used.
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosSucceed;
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosFailed;
		*/
		requestUserFriendsUserInfos : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserFriendsUserInfos", arguments, true);
			}
		},

		/**
		* Request the publication of a message using a dialog.
		* @param {CocoonJS.Social.Message} message A object representing the information to be published.
		* @see CocoonJS.Social.onRequestMessagePublicationSucceed
		* @see CocoonJS.Social.onRequestMessagePublicationFailed
		*/
		requestMessagePublicationWithDialog : function(message)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestMessagePublicationWithDialog", arguments, true);
			}
		}
	};

	/**
	* This structure represents the possible images to be obtained for a user in the social gaming extension.
	* @namespace
	*/
	CocoonJS.Social.ImageSizeType = 
	{
		/**
		* Represent a thumbnail like image size.
		*/
	    THUMB : "thumb",

		/**
		* Represents the small image size.
		*/
	    SMALL : "small",

		/**
		* Represents the medium image size.
		*/
	    MEDIUM : "medium",

		/**
		* Represents the large image size.
		*/
	    LARGE : "large"
	};

	/**
	* The data structure that represents the information of a user inside the social gaming extension.
	* @namespace
	* @constructor
	* @param {string} userID The id of the user.
	* @param {string} userName The user name of the user.
	*/
	CocoonJS.Social.UserInfo = function(userID, userName)
	{
		/**
		* The id of the user.
		* @field
		* @type string
		*/
		this.userID = userID;

		/**
		* The user name of the user.
		* @field
		* @type string
		*/
		this.userName = userName;
	};

	/**
	* This type represents a message to be published.
	* @namespace
	* @constructor
	* @param {string} message The message to be published.
	* @param {string} mediaURL An URL to a media (image, video, ...)
	* @param {string} linkURL An URL to add to the message so the user can click on that link to get more information.
	* @param {string} linkText The text that will appear in the message link.
	* @param {string} linkCaption The text caption that will appear in the message link.
	*/
	CocoonJS.Social.Message = function(message, mediaURL, linkURL, linkText, linkCaption)
	{
		/**
		* The message to be published.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* An URL to a media (image, video, ...)
		* @field
		* @type string
		*/
		this.mediaURL = mediaURL;

		/**
		* An URL to add to the message so the user can click on that link to get more information.
		* @field
		* @type string
		*/
		this.linkURL = linkURL;

		/**
		* The text that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkText = linkText;

		/**
		* The text caption that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkCaption = linkCaption;

		return this;
	};

})();

//////////////////////////////////////
// COCOONJS_SOCIALGAMING.JS         //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    if (!CocoonJS.Social)
		throw("The CocoonJS.Social object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social Gamming extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.SocialGaming = function(nativeExtensionName, extensionName)
	{
		CocoonJS.SocialGaming.superclass.constructor.call(this, nativeExtensionName, extensionName);

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed} event calls.
	     * @name OnRequestUserAndFriendsScoresSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} userAndFriendsScoreInfos An array of {@link CocoonJS.SocialGaming.UserScoreInfo} objects representing the information of the user's and friends' scores.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and friends scores request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed} event calls.
	     * @name OnRequestUserAndFriendsScoresFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score and friends scores were requested.
	     * @param {string} leadeboardID The id of the leaderboard for whom the score and friends scores were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and his/her friends scores request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreSucceed} event calls.
	     * @name OnRequestUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.UserScoreInfo} userScoreInfo The info of the user's score.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreFailed} event calls.
	     * @name OnRequestUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score was requested.
	     * @param {string} leaderboardID The id of the leaderboard for whom the score was requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreSucceed} event calls.
	     * @name OnSubmitUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score has been submitted.
	     * @param {string} leaderboardID The id of the leaderboard for which the score has been submitted.
	     * @param {number} score The score that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreFailed} event calls.
	     * @name OnSubmitUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score submition was requested.
	     * @param {string} leaderboadID The id of the leaderboard for which the score submition was requested.
	     * @param {number} score The score that was submitted and failed.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} event calls.
	     * @name OnRequestUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where requested.
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of the user's achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsFailed} event calls.
	     * @name OnRequestUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were requested.
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} event calls.
	     * @name OnRequestAllAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of all the achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsFailed} event calls.
	     * @name OnRequestAllAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoSucceed} event calls.
	     * @name OnRequestAchievementInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.AchievementInfo} achievementInfo A {@link CocoonJS.SocialGaming.AchievementInfo} object representing the information of the achievement.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoFailed} event calls.
	     * @name OnRequestAchievementInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} achievementID The id of the achievement for which the information retrieval was requested.
	     * @param {string} errorMessage The error message.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementSucceed} event calls.
	     * @name OnSubmitUserAchievementSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievement has been submitted.
	     * @param {string} achievementID The id of the achievement that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementFailed} event calls.
	     * @name OnSubmitUserAchievementFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievment was submitted.
	     * @param {string} achievementID The id of the achievement that was submitted.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsSucceed} event calls.
	     * @name OnResetUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were reset.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsFailed} event calls.
	     * @name OnResetUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where tried to be reset.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the users closes the achievements view.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onAchievementsViewFailed} event calls.
	     * @name OnAchievementsViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} errorMessage The message that describes why the call failed.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the achievements view failed to show.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnAchievementsViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewFailed");

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when achievements view shows successfully.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewClosed} event calls.
	     * @name OnLeaderboardViewClosedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewClosedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewFailed} event calls.
	     * @name OnLeaderboardViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewSucceed} event calls.
	     * @name OnLeaderboardViewSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewSucceed");

		return this;
	};

	CocoonJS.SocialGaming.prototype = 
	{
        abstractToSocialGamingAchievementMap : null,
        abstractToSocialGamingAchievementMapInverse : null,

        /**
        * @ignore
        */
        setAbstractToSocialGamingAchievementMap : function( map ) {
            this.abstractToSocialGamingAchievementMap= map;

            // build a reciprocal map.
            this.abstractToSocialGamingAchievementMapInverse= {};
            for( var id in map ) {
                if ( map.hasOwnProperty(id) ) {
                    this.abstractToSocialGamingAchievementMapInverse[ map[id] ]= id;
                }
            }
            return this;
        },

        /**
        * @ignore
        */
        getAbstractToSocialGamingAchievementTranslation : function( achievementID ) {
            /**
             * If a translation map for abstract in-game achievements has been set, translate achievementID from
             * abstract to SocialGamingService.
             */
            if (this.abstractToSocialGamingAchievementMap) {
                var socialGamingAchievementID = this.abstractToSocialGamingAchievementMap[achievementID];
                if (socialGamingAchievementID) {
                    console.log("Abstract achieventID='" + achievementID + "' turned to '" + socialGamingAchievementID + "'");
                    achievementID = socialGamingAchievementID;
                } else {
                    console.log("Something may be wrong: abstract achievementID: '" + achievementID + "' w/o translation.")
                }
            }

            return achievementID;
        },

		/**
		* Request to retrieve the scores of all friends of a given user.
		* @param {string} [leaderboardID] The id of the leaderboard to request the scores for.
		* @param {string} [userID] The id of the user. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed
		*/
		requestUserAndFriendsScores : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAndFriendsScores", arguments, true);
			}
		},

		/**
		* Request to retrieve the score of a user.
		* @param {string} [leaderboardID] The id of the scores leaderboard to retireve the score from. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to retireve the score from. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserScoreSucceed
		* @see CocoonJS.SocualGaming.onRequestUserScoreFailed
		*/
		requestUserScore : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserScore", arguments, true);
			}
		},

		/**
		* Request to the server the score of a user.
		* @param {number} [score] the score to submit
		* @param {string} [leaderboardID] The id of the scores leaderboard to submit the score to. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to submit the score for. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onSubmitUserScoreSucceed
		* @see CocoonJS.SocualGaming.onSubmitUserScoreFailed
		*/
		submitUserScore : function(score, leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserScore", arguments, true);
			}
		},
		/**
		* Shows the leaderboard using a platform dependant view.
		* @param {string} [leaderboardID] The id of the scores leaderboard to show the view for. If null or underfined is passed, the "leadeboard" id will be used.
		* @see CocoonJS.SocialGaming.onLeaderboardViewClosed
		*/
		showLeaderboardView : function(leaderboardID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showLeaderboardView", arguments, true);
			}
		},

		/**
		* Request to retrieve the user achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} and {@link CocoonJS.Social.onRequestUserAchievementsFailed} event handlers.
		* @param {string} [userID] The id of the user to retireve the achievements from. if null/undefined/"" is specified, the currently logged in user is assumed.
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsFailed
		*/
		requestUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve all the achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} and {@link CocoonJS.Social.onRequestAllAchievementsFailed} event handlers.
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsFailed
		*/
		requestAllAchievements : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAllAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve the information about an achievement. 
		* @param {string} achievementID The id of the achievement to get the information for.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}
		*/
		requestAchievementInfo : function(achievementID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAchievementInfo", arguments, true);
			}
		},

		/**
		* Submits an achievement to the server. If the process fails, the achievement is stored to submit it later.
		* @param {string} [achievementID] the achievement identifier
		* @param {number} [percentComplete] an optional number between 0 and 100 that indicates a completion percentage.
		* @see CocoonJS.SocialGaming.onSubmitAchievementSucceed
		* @see CocoonJS.SocualGaming.onSubmitAchievementFailed
		*/
        submitUserAchievement:function (achievementID, userID) {
            achievementID = this.getAbstractToSocialGamingAchievementTranslation(achievementID);

            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserAchievement", arguments, true);
            }
        },

		/**
		* Shows the achievements using a platform dependant view.
		* @see CocoonJS.SocialGaming.onAchievementsViewClosed
		*/
		showUserAchievementsView : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showUserAchievementsView", arguments, true);
			}
		},

		/**
		* Resets all the achievements of the current user
		* @param {string} [userID] The id of the user to reset the achievements for. If null/undefined/"", the logged in user is assumed.
		* @see CocoonJS.SocialGaming.onResetAchievementsSucceed
		* @see CocoonJS.SocualGaming.onResetAchievementsFailed
		*/
		resetUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "resetUserAchievements", arguments, true);
			}
		}
	};

	/**
    * @ignore
    */
	CocoonJS.extend(CocoonJS.SocialGaming, CocoonJS.Social);

	/**
	* The data structure that represents the information of the user score in the application.
	* @namespace
	* @constructor
	* @param {string} userID The user id.
	* @param {number} score The score of the user.
	* @param {string} userName The name of the user.
	* @param {string} imageURL The url of the user image.
	* @param {number} leaderboardID The id of the leaderboard the score belongs to.
	*/
	CocoonJS.SocialGaming.UserScoreInfo = function(userID, score, userName, imageURL, leaderboardID)
	{
		/**
		* The user id. 
		* @type string
		*/
		this.userID = userID;

		/**
		* The score of the user.
		* @type number
		*/
		this.score = score ? score : 0;

		/**
		* The name of the user.
		* @type string
		*/
        this.userName = userName;

		/**
		* The url of the user image.
		* @type string
		*/
        this.imageURL = imageURL;

        /**
		* The id of the leaderboard the score belongs to.
		* @type number
		*/
        this.leaderboardID = leaderboardID;
	};

	/**
	* The data structure that represents the information of an achievement in the application.
	* @namespace
	* @constructor
	* @param {string} achievementID The id of the achievement info.
	* @param {string} title The title of the achievement.
	* @param {string} description The description of the achievement.
	* @param {string} imageURL The url to the image representing the achievement.
	* @param {number} points The points value of the achievement
	*/
	CocoonJS.SocialGaming.AchievementInfo = function(achievementID, title, description, imageURL, points)
	{
		/**
		* The id of the achievement info.
		* @type string
		*/
		this.achievementID = achievementID;

		/**
		* The title of the achievement.
		* @type string
		*/
		this.title = title;

		/**
		* The description of the achievement.
		* @type string
		*/
		this.description = description;

		/**
		* The url to the image representing the achievement.
		* @type string
		*/
		this.imageURL = imageURL;

		/**
		* The points value of the achievement
		* @type number
		*/
		this.points = points ? points : 0;
	};

})();

/////////////////////////////////////////
// COCOONJS_SOCIALGAMING_GAMECENTER.JS //
/////////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (typeof window.CocoonJS.SocialGaming === 'undefined' || window.CocoonJS === null) throw("The CocoonJS.SocialGaming object must exist and be valid before creating a Game Center extension object.");

	/**
	* This instance represents the extension object to access GameCenter related native functionalities.
	* The data structure for initialization: None.
	* @see CocoonJS.Social
	*/
	CocoonJS.SocialGaming.GameCenter = new CocoonJS.SocialGaming("IDTK_SRV_SOCIAL_GAMECENTER", "SocialGaming.GameCenter");
})();

//////////////////////////////
// COCOONJS_GAMEPAD.JS 		//
//////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents the functionalities related to OUYA android gaming control.
     * @namespace
     */
    CocoonJS.Gamepad = {};

    CocoonJS.Gamepad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.Gamepad !== 'undefined';

    CocoonJS.Gamepad.Indices = {
        BUTTON_0                : 0, 
        BUTTON_1                : 1,
        BUTTON_2                : 2,
        BUTTON_3                : 3,
        BUTTON_LEFT_BUMPER      : 4,
        BUTTON_RIGHT_BUMPER     : 5,
        
        BUTTON_LEFT_TRIGGER     : 6,
        BUTTON_RIGHT_TRIGGER    : 7,
        
        BUTTON_LEFT_JOYSTICK    : 10,
        BUTTON_RIGHT_JOYSTICK   : 11,
        BUTTON_DPAD_UP          : 12,
        BUTTON_DPAD_DOWN        : 13,
        BUTTON_DPAD_LEFT        : 14,
        BUTTON_DPAD_RIGHT       : 15,
        BUTTON_MENU             : 16,
        
        AXE_LEFT_JOYSTICK_X     : 0,
        AXE_LEFT_JOYSTICK_Y     : 1,
        AXE_RIGHT_JOYSTICK_X    : 2,
        AXE_RIGHT_JOYSTICK_Y    : 3
    };

    // If the extension is present and the navigator does not provide the gamepad API:
    // 1.- Add the getGamepads function to the navigator object.
    // 2.- Replace the window add and remove event listener functions to call to the extension for the gamepad related events.
    var systemSupportsGamepads = navigator["getGamepads"] || navigator["webkitGetGamepads"];
    if (CocoonJS.Gamepad.nativeExtensionObjectAvailable && !systemSupportsGamepads)
    {
        navigator.getGamepads = function()
        {
            return window.ext.Gamepad.makeCall("getGamepads");
        };

        CocoonJS.Gamepad.originalWindowAddEventListener = window.addEventListener;
        CocoonJS.Gamepad.originalWindowRemoveEventListener = window.removeEventListener;

        window.addEventListener = function(eventName, callback)
        {
            console.log("The new window.addEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.addEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowAddEventListener.apply(window, argumentsArray);
            }
        };
        window.removeEventListener = function(eventName, callback)
        {
            console.log("The new window.removeEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.removeEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowRemoveEventListener.apply(window, argumentsArray);
            }
        };
    } 
    else if (systemSupportsGamepads) 
    {
        if (!navigator.getGamepads)
        {
            console.log("navigator.getGamepads does not exist.");
            if (navigator.webkitGetGamepads)
            {
                console.log("navigator.webkitGamepads exists, adding navigator.getGamepads to point to it.");
                navigator.getGamepads = navigator.webkitGetGamepads;
            }
            else
            {
                console.log("navigator.webkitGetGamepads does not exist either.");
            }
        }
    }
})();

//////////////////////////////
// COCOONJS_NOTIFICATION.JS //
//////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Notification extension.
    * @namespace
    */
    CocoonJS.Notification = {};

    CocoonJS.Notification.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_NOTIFICATION !== 'undefined';

	/**
	* The data structure that represents the information of a local notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {string} contentBody The body content to be showed in the expanded notification information.
	* @param {string} contentTitle The title to be showed in the expanded notification information.
	* @param {number} date Time in millisecs from 1970 when the notification will be fired.
	*/
	CocoonJS.Notification.LocalNotification = function(message, soundEnabled, badgeNumber, userData, contentBody, contentTitle, scheduleTime)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* (iOS only) The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData;

		/**
		* (Android only) The body content to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentBody !== undefined)
			this.contentBody = contentBody;
		else
			this.contentBody = "";

		/**
		* (Android only) The title to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentTitle !== undefined)
			this.contentTitle = contentTitle;
		else
			this.contentTitle = "";

		/**
		* Time in millisecs from 1970 when the local notification will be fired
		* @field
		* @type number
		*/
		var currentTime = new Date().getTime();
		if (scheduleTime !== undefined){
			this.scheduleTime = scheduleTime;
		}else{
			this.scheduleTime = currentTime;
		}
	};

	/**
	* The data structure that represents the information of a push notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {array} channels An array containing the channels names this notification will be delivered to.
	* @param {number} expirationTime A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	* @param {number} expirationTimeInterval An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	*/
	CocoonJS.Notification.PushNotification = function(message, soundEnabled, badgeNumber, userData, channels, expirationTime, expirationTimeInterval)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData

		/**
		* An array containing the channels names this notification will be delivered to.
		* @field
		* @type array
		*/
		this.channels = channels;

		/**
		* A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTime !== undefined)
			this.expirationTime = expirationTime;
		else
			this.expirationTime = 0;

		/**
		* An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTimeInterval !== undefined)
			this.expirationTimeInterval = expirationTimeInterval;
		else
			this.expirationTimeInterval = 0;
	};

	/**
	* Start processing received notifications. The user must call this method when the game is ready to process notifications. Notifications received before being prepared are stored and processed later.
	*/
	CocoonJS.Notification.start = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "start", arguments, true);
		}
	};


	/**
	* Register to be able to receive push notifications.
	* The registration process is controlled using the {@link CocoonJS.Notification.onRegisterForPushNotificationsSucceed} and {@link CocoonJS.Notification.onRegisterForPushNotificationsFailed} event handlers.
	* @function
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsSucceed}
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsFailed}
	*/
	CocoonJS.Notification.registerForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "registerForPushNotifications", arguments, true);
		}
	};

	/**
	* Unregister from receiving push notifications.
	* The unregistration process is controlled using the {@link CocoonJS.Notification.onUnregisterForPushNotificationsSucceed} event handler.
	* @function
	* @see CocoonJS.Notification.onUnregisterForPushNotificationsSucceed
	*/
	CocoonJS.Notification.unregisterForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unregisterForPushNotifications", arguments, true);
		}
	};

	/**
	* Cancel the last sent local notification.
	* The last sent local notification will be remove from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelLastSentLocalNotificiation = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelLocalNotification", arguments, true);
		}
	};

	/**
	* Cancel all sent local notifications.
	* All the notifications will ve removed from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelAllLocalNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelAllLocalNotifications", arguments, true);
		}
	};

	/**
	* Send a local notification.
	* @function
	* @param {CocoonJS.Notification.LocalNotification} localNotification The local notification to be sent.
	*/
	CocoonJS.Notification.sendLocalNotification = function(localNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendLocalNotification", arguments, true);
		}
	};

	/**
	* Subscribe to a channel in order to receive notifications targeted to that channel.
	* @function
	* @param {string} channel The channel id to subscribe to.
	*/
	CocoonJS.Notification.subscribeToChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "subscribe", arguments, true);
		}
	};

	/**
	* Unsubscribe from a channel in order to stop receiving notifications targeted to it.
	* @function
	* @param {string} channel The channel id to unsubscribe from.
	*/
	CocoonJS.Notification.unsubscribeFromChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unsubscribe", arguments, true);
		}
	};

	/**
	* Send a push notification.
	* @function
	* @param {CocoonJS.Notification.PushNotification} pushNotification The push notification object to be sent.
	* @see CocoonJS.Notification.onPushNotificationDeliverySucceed
	* @see CocoonJS.Notification.onPushNotificationDeliveryFailed
	*/
	CocoonJS.Notification.sendPushNotification = function(pushNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendPushNotification", arguments, true);
		}
	};

	/**
	* (iOS only) Set the badge number for this application.
	* This is useful if you want to modify the badge number set by a notification.
	* @function
	* @param {number} badgeNumber The number of the badge.
	*/
	CocoonJS.Notification.setBadgeNumber = function(badgeNumber)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "setBadgeNumber", arguments);
		}
	};

	/**
	* (iOS only) Returns the current badge number.
	* @function
	* @returns {number} The badge number.
	*/
	CocoonJS.Notification.getBadgeNumber = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getBadgeNumber", arguments);
		}
	};

	/**
	* Returns the last received user data from a Local notification.
	* @function
	* @returns {object} The last received user data from a Local notification.
	*/
	CocoonJS.Notification.getLastReceivedLocalNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedLocalNotificationData", arguments);
		}
	};

	/**
	* Returns the last received user data from a Push notification.
	* @function
	* @returns {object} The last received user data from a Push notification.
	*/
	CocoonJS.Notification.getLastReceivedPushNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedPushNotificationData", arguments);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notification succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @param {string} token The token (apid or device token) received at registration time.
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onRegisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceRegistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the unregistration for push notifications succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onUnregisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceUnregistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notifications fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onRegisterForPushNotificationsFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceFailedToRegister");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a push notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a local notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onLocalNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "localNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a notification is successfully delivered.
    * The callback function receives a parameter with the notificationId of the delivered notification.
    * @static
    * @event
    * @param {string} userData A string with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationDeliverySucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationSuccessfullyDelivered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the delivery of push a notification fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onPushNotificationDeliveryFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationDeliveryError");

})();

/////////////////
// PATHFIND.JS //
/////////////////

// Pathfind.js
// Written by Ashley Gullen
// Copyright (c) 2013 Scirra Ltd.

// A* pathfinding javascript implementation

(function() {
	
	var PF_CLEAR = 0;
	var PF_OBSTACLE = 32767;
	
	function node()
	{
		this.parent = null;
		
		this.x = 0;
		this.y = 0;

		this.f = 0;
		this.g = 0;
		this.h = 0;
	};
	
	var nodeCache = [];			// for recycling nodes
	
	function allocNode()
	{
		var ret;
		
		if (nodeCache.length)
			ret = nodeCache.pop();
		else
			ret = new node();
			
		ret.parent = null;
		ret.x = 0;
		ret.y = 0;
		ret.f = 0;
		ret.g = 0;
		ret.h = 0;
		return ret;
	};
	
	function freeNode(n)
	{
		if (nodeCache.length < 64000)
			nodeCache.push(n);
	};
	
	function resultNode(x_, y_)
	{
		this.x = x_ || 0;
		this.y = y_ || 0;
	};
	
	var resultNodeCache = [];			// for recycling resultNodes
	
	function allocResultNode()
	{
		if (resultNodeCache.length)
			return resultNodeCache.pop();
		else
			return new resultNode(0, 0);
	};
	
	function freeResultNode(n)
	{
		if (resultNodeCache.length < 10000)
			resultNodeCache.push(n);
	};
	
	var workersSupported = (typeof Worker !== "undefined");
	var isInWebWorker = (typeof document === "undefined");		// no DOM in a worker
	var myInstance = null;										// single pathfinder instance for worker
	
	if (isInWebWorker)
	{
		self.addEventListener("message", function (e)
		{
			var d = e.data;
			
			if (!d)
				return;		// could be empty postMessage() to start worker
			
			if (d.cmd === "init")
			{
				if (!myInstance)
					myInstance = new pathfinder();
					
				myInstance.init(d.hcells, d.vcells, d.data, d.diagonals);
			}
			else if (d.cmd === "find")
			{
				// receive a pathfind job, process it them dispatch result
				myInstance.pathEnd.parent = null;
				myInstance.targetX = d.endX;
				myInstance.targetY = d.endY;
				
				if (myInstance.doLongFindPath(d.startX, d.startY))
				{
					self.postMessage({ cmd: "result", pathList: myInstance.pathList });
				}
				else
				{
					self.postMessage({ cmd: "result", pathList: null });
				}
			}
			else if (d.cmd === "setdiag")
			{
				// update diagonalsEnabled flag
				myInstance.diagonalsEnabled = d.diagonals;
			}
			
		}, false);
	}
	
	function pathfinder()
	{
		this.hcells = 0;
		this.vcells = 0;
		
		this.pathEnd = allocNode();
		
		this.cells = null;
		this.openList = [];
		this.closedList = [];
		this.closedCache = {};
		this.pathList = [];
		
		this.currentNode = null;
		this.targetX = 0;
		this.targetY = 0;
		this.diagonalsEnabled = true;
		
		this.worker = null;
		this.workerQueue = [];		// jobs awaiting completion from worker in order of requests made
		this.workerRecycle = [];
		
		var self = this;
		var i, len;
		
		if (workersSupported && !isInWebWorker)
		{
			// Create worker and receive results of pathfind jobs from it
			this.worker = new Worker("pathfind.js");
			
			this.worker.addEventListener("message", function (e) {
			
				if (!e || !e.data)
					return;
				
				if (e.data.cmd === "result")
				{
					if (e.data.pathList)
					{
						for (i = 0, len = self.pathList.length; i < len; i++)
							freeResultNode(self.pathList[i]);
						
						self.pathList = e.data.pathList;
						self.workerQueue[0].success();
					}
					else
						self.workerQueue[0].fail();
						
					self.workerRecycle.push(self.workerQueue.shift());
				}
			}, false);
			
			this.worker.addEventListener("error", function (e) {
				console.error(e);
			}, false);
			
			this.worker.postMessage(null);
		}
	};
	
	pathfinder.prototype.init = function (hcells_, vcells_, data_, diagonals_)
	{
		this.hcells = hcells_;
		this.vcells = vcells_;
		this.cells = data_;
		this.diagonalsEnabled = diagonals_;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "init",
				hcells: hcells_,
				vcells: vcells_,
				diagonals: diagonals_,
				data: data_
			});
		}
	};
	
	pathfinder.prototype.isReady = function ()
	{
		return !!this.cells;
	};
	
	pathfinder.prototype.setDiagonals = function (d)
	{
		if (this.diagonalsEnabled === d)
			return;
		
		this.diagonalsEnabled = d;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "setdiag",
				diagonals: d,
			});
		}
	};
	
	pathfinder.prototype.at = function (x_, y_)
	{
		if (x_ < 0 || y_ < 0 || x_ >= this.hcells || y_ >= this.vcells)
			return PF_OBSTACLE;
			
		return this.cells[x_][y_];
	};
	
	pathfinder.prototype.findPath = function (startX, startY, endX, endY, successCallback, failCallback)
	{
		if (!this.cells)
		{
			// not yet initialised
			failCallback();
			return;
		}
		
		startX = Math.floor(startX);
		startY = Math.floor(startY);
		endX = Math.floor(endX);
		endY = Math.floor(endY);
		
		this.targetX = endX;
		this.targetY = endY;
		this.pathEnd.parent = null;
		
		// Check the box made by the start and dest cells.
		// If the complete box is empty, allow a direct move to target.
		var minX = Math.min(startX, endX);
		var maxX = Math.max(startX, endX);
		var minY = Math.min(startY, endY);
		var maxY = Math.max(startY, endY);
		
		// Path goes out of bounds: no calculable path
		if (minX < 0 || minY < 0 || maxX >= this.hcells || maxY >= this.vcells)
		{
			failCallback();
			return;
		}
		
		var x, y, i, len, c, h, n;

		if (this.diagonalsEnabled)
		{
			var canMoveDirect = true;
			
			for (x = minX; x <= maxX; x++)
			{
				for (y = minY; y <= maxY; y++)
				{
					if (this.cells[x][y] !== 0)
					{
						canMoveDirect = false;
						
						// Break both loops
						x = maxX + 1;
						break;
					}
				}
			}

			// A "direct" path is available (box is empty)
			if (canMoveDirect)
			{
				for (i = 0, len = this.pathList.length; i < len; i++)
					freeResultNode(this.pathList[i]);
				this.pathList.length = 0;
			
				this.pathEnd.x = endX;
				this.pathEnd.y = endY;
				this.pathEnd.parent = null;
				n = allocResultNode();
				n.x = endX;
				n.y = endY;
				this.pathList.push(n);
				successCallback();
				return;
			}
		}
		
		if (workersSupported)
		{
			// recycle objects in the worker queue
			if (this.workerRecycle.length)
				h = this.workerRecycle.pop();
			else
				h = {};
			
			h.success = successCallback;
			h.fail = failCallback;
			
			// dispatch the heavy lifting to the worker thread
			this.workerQueue.push(h);

			this.worker.postMessage({
				cmd: "find",
				startX: startX,
				startY: startY,
				endX: endX,
				endY: endY
			});
		}
		else
		{
			// no web worker support, just run on main thread
			if (this.doLongFindPath(startX, startY))
				successCallback();
			else
				failCallback();
		}
	};
		
	pathfinder.prototype.doLongFindPath = function (startX, startY)
	{
		var i, len, c, n, p, lastDir = 8, curDir = -1, addNode;
		for (i = 0, len = this.openList.length; i < len; i++)
			freeNode(this.openList[i]);
		for (i = 0, len = this.closedList.length; i < len; i++)
			freeNode(this.closedList[i]);
		for (i = 0, len = this.pathList.length; i < len; i++)
			freeResultNode(this.pathList[i]);
		this.openList.length = 0;
		this.closedList.length = 0;
		this.closedCache = {};
		this.pathList.length = 0;

		// Add the start node to the open list
		var startNode = allocNode();
		startNode.x = startX;
		startNode.y = startY;

		this.openList.push(startNode);
		var obsLeft = false, obsTop = false, obsRight = false, obsBottom = false;
		var diagonals = this.diagonalsEnabled;
		
		// While there are nodes on the open list
		while (this.openList.length)
		{
			// Move the best F value to closed list
			c = this.openList.shift();
			this.closedList.unshift(c);
			this.closedCache[((c.x << 16) + c.y).toString()] = true;

			// Are we there yet?
			if (c.x === this.targetX && c.y === this.targetY)
			{
				this.pathEnd.parent = c.parent;
				this.pathEnd.x = c.x;
				this.pathEnd.y = c.y;
				
				// Link up the whole path to an indexable array
				p = this.pathEnd;
				
				while (p)
				{
					// filter redundant nodes in straight lines
					if (this.pathList.length === 0)
					{
						addNode = true;
						
						if (p.parent)
						{
							lastDir = this.nodeDirection(p, p.parent);
							curDir = lastDir;
						}
					}
					else if (!p.parent)
						addNode = false;
					else 
					{
						curDir = this.nodeDirection(p, p.parent);
						addNode = (curDir !== lastDir);
					}
					
					if (addNode)
					{
						n = allocResultNode();
						n.x = p.x;
						n.y = p.y;
						this.pathList.unshift(n);
						lastDir = curDir;
					}
					
					p = p.parent;
				}
				
				return true;
			}

			// Get current node
			this.currentNode = c;
			var x = c.x;
			var y = c.y;
			
			var obsLeft = (this.at(x - 1, y) === PF_OBSTACLE);
			var obsTop = (this.at(x, y - 1) === PF_OBSTACLE);
			var obsRight = (this.at(x + 1, y) === PF_OBSTACLE);
			var obsBottom = (this.at(x, y + 1) === PF_OBSTACLE);

			// Check adjacent 8 nodes.  No diagonals allowed if either cell being crossed is obstacle.
			if (!obsLeft)
				this.addCellToOpenList(x - 1, y, 10);

			if (diagonals && !obsLeft && !obsTop)
				this.addCellToOpenList(x - 1, y - 1, 14);

			if (!obsTop)
				this.addCellToOpenList(x, y - 1, 10);

			if (diagonals && !obsTop && !obsRight)
				this.addCellToOpenList(x + 1, y - 1, 14);

			if (!obsRight)
				this.addCellToOpenList(x + 1, y, 10);

			if (diagonals && !obsRight && !obsBottom)
				this.addCellToOpenList(x + 1, y + 1, 14);

			if (!obsBottom)
				this.addCellToOpenList(x, y + 1, 10);

			if (diagonals && !obsBottom && !obsLeft)
				this.addCellToOpenList(x - 1, y + 1, 14);
		}
		
		return false;
	};
	
	pathfinder.prototype.insertToOpenList = function (c)
	{
		var i, len;
		
		// Needs to go at end
		if (c.f >= this.openList[this.openList.length - 1].f)
		{
			this.openList.push(c);
		}
		else
		{
			for (i = 0, len = this.openList.length; i < len; i++)
			{
				if (c.f < this.openList[i].f)
				{
					this.openList.splice(i, 0, c);
					break;
				}
			}
		}
	};
	
	pathfinder.prototype.addCellToOpenList = function (x_, y_, g_)
	{
		// Ignore if cell on closed list
		if (this.closedCache.hasOwnProperty(((x_ << 16) + y_).toString()))
			return;
		
		var i, len, c;
		
		// Cell costs can be increased by changing the number in the map
		var curCellCost = this.at(x_, y_);

		// Is this cell already on the open list?
		for (i = 0, len = this.openList.length; i < len; i++)
		{
			c = this.openList[i];
			
			if (x_ === c.x && y_ === c.y)
			{
				// Is this a better path?
				if (this.currentNode.g + g_ + curCellCost < c.g)
				{
					// Update F, G and H and update parent
					c.parent = this.currentNode;
					c.g = this.currentNode.g + g_ + curCellCost;
					c.h = this.estimateH(c.x, c.y);
					c.f = c.g + c.h;

					// This node's F has changed:  Delete it then re-insert it in the right place

					if (this.openList.length === 1)
					{
						// no need to remove then re-insert same node, just leave it there
						return;
					}
					
					this.openList.splice(i, 1);
					this.insertToOpenList(c);
				}

				return;
			}
		}

		// Not on the open list; add it in the right place
		c = allocNode();
		c.x = x_;
		c.y = y_;
		c.h = this.estimateH(x_, y_);
		c.g = this.currentNode.g + g_ + curCellCost;
		c.f = c.h + c.g;
		c.parent = this.currentNode;

		// Insert this node sorted in the open list
		// The loop below won't add new largest F values
		if (!this.openList.length)
		{
			this.openList.push(c);
			return;
		}
		
		this.insertToOpenList(c);
	};
	
	function quickAbs(x)
	{
		return x < 0 ? -x : x;
	};
	
	pathfinder.prototype.estimateH = function (x_, y_)
	{
		var dx = quickAbs(x_ - this.targetX);
		var dy = quickAbs(y_ - this.targetY);

		return dx * 10 + dy * 10;
	};
	
	pathfinder.prototype.nodeDirection = function (a, b)
	{
		var ax = a.x;
		var ay = a.y;
		var bx = b.x;
		var by = b.y;

		if (ax === bx)
		{
			if (by > ay) return 6;
			if (by < ay) return 2;
			if (ay == by) return 8;
		}
		else if (ay === by)
		{
			if (bx > ax) return 4;
			if (by < ax) return 0;
		}
		else
		{
			if (bx < ax && by < ay) return 1;
			if (bx > ax && by < ay) return 3;
			if (bx < ax && by > ay) return 7;
			if (bx > ax && by > ay) return 5;
		}
		return 8;
	};
	
	if (!isInWebWorker)
	{
		window.PF_CLEAR = PF_CLEAR;
		window.PF_OBSTACLE = PF_OBSTACLE;
		window.Pathfinder = pathfinder;
		
		window.ResultNode = resultNode;
		window.allocResultNode = allocResultNode;
		window.freeResultNode = freeResultNode;
	}

})();
(function() {
'use strict';var cr={plugins_:{},behaviors:{}};"function"!==typeof Object.getPrototypeOf&&(Object.getPrototypeOf="object"===typeof"test".__proto__?function(a){return a.__proto__}:function(a){return a.constructor.prototype});
(function(){function a(g,k){this.x=g;this.y=k;cr.seal(this)}function b(g,k,t,a){this.set(g,k,t,a);cr.seal(this)}function d(){this.bly=this.blx=this.bry=this.brx=this.try_=this.trx=this.tly=this.tlx=0;cr.seal(this)}function e(g,k,t,a){g<k?t<a?(p=g<t?g:t,s=k>a?k:a):(p=g<a?g:a,s=k>t?k:t):t<a?(p=k<t?k:t,s=g>a?g:a):(p=k<a?k:a,s=g>t?g:t)}function c(){this.items=this.s=null;this.item_count=0;v?this.s=new Set:this.items={};this.values_cache=[];this.cache_valid=!0;cr.seal(this)}function h(g){w[y++]=g}function m(){this.sum=
this.t=this.y=this.c=0;cr.seal(this)}function r(g){this.pts_cache=[];this.bboxBottom=this.bboxRight=this.bboxTop=this.bboxLeft=0;this.convexpolys=null;this.set_pts(g);cr.seal(this)}function l(g,k){this.cellwidth=g;this.cellheight=k;this.cells={}}function n(g,k,a){var h;l.prototype.totalCellCount++;return t.length?(h=t.pop(),h.grid=g,h.x=k,h.y=a,h):new cr.GridCell(g,k,a)}function f(g,k,t){this.grid=g;this.x=k;this.y=t;this.objects=new cr.ObjectSet}cr.logexport=function(g){window.console&&window.console.log&&
window.console.log(g)};cr.seal=function(g){return g};cr.freeze=function(g){return g};cr.is_undefined=function(g){return"undefined"===typeof g};cr.is_number=function(g){return"number"===typeof g};cr.is_string=function(g){return"string"===typeof g};cr.isPOT=function(g){return 0<g&&0===(g-1&g)};cr.nextHighestPowerOfTwo=function(g){--g;for(var k=1;32>k;k<<=1)g|=g>>k;return g+1};cr.abs=function(g){return 0>g?-g:g};cr.max=function(g,k){return g>k?g:k};cr.min=function(g,k){return g<k?g:k};cr.PI=Math.PI;
cr.round=function(g){return g+0.5|0};cr.floor=function(g){return 0<=g?g|0:(g|0)-1};cr.ceil=function(g){var k=g|0;return k===g?k:k+1};a.prototype.offset=function(g,k){this.x+=g;this.y+=k;return this};a.prototype.mul=function(g,k){this.x*=g;this.y*=k;return this};cr.vector2=a;cr.segments_intersect=function(g,k,t,a,h,u,c,b){var f,m,p,d;g<t?(m=g,f=t):(m=t,f=g);h<c?(d=h,p=c):(d=c,p=h);if(f<d||m>p)return!1;k<a?(m=k,f=a):(m=a,f=k);u<b?(d=u,p=b):(d=b,p=u);if(f<d||m>p)return!1;f=h-g+c-t;m=u-k+b-a;g=t-g;k=
a-k;h=c-h;u=b-u;b=cr.abs(k*h-u*g);return cr.abs(h*m-u*f)>b?!1:cr.abs(g*m-k*f)<=b};b.prototype.set=function(g,k,t,a){this.left=g;this.top=k;this.right=t;this.bottom=a};b.prototype.copy=function(g){this.left=g.left;this.top=g.top;this.right=g.right;this.bottom=g.bottom};b.prototype.width=function(){return this.right-this.left};b.prototype.height=function(){return this.bottom-this.top};b.prototype.offset=function(g,k){this.left+=g;this.top+=k;this.right+=g;this.bottom+=k;return this};b.prototype.normalize=
function(){var g=0;this.left>this.right&&(g=this.left,this.left=this.right,this.right=g);this.top>this.bottom&&(g=this.top,this.top=this.bottom,this.bottom=g)};b.prototype.intersects_rect=function(g){return!(g.right<this.left||g.bottom<this.top||g.left>this.right||g.top>this.bottom)};b.prototype.intersects_rect_off=function(g,k,t){return!(g.right+k<this.left||g.bottom+t<this.top||g.left+k>this.right||g.top+t>this.bottom)};b.prototype.contains_pt=function(g,k){return g>=this.left&&g<=this.right&&k>=
this.top&&k<=this.bottom};b.prototype.equals=function(g){return this.left===g.left&&this.top===g.top&&this.right===g.right&&this.bottom===g.bottom};cr.rect=b;d.prototype.set_from_rect=function(g){this.tlx=g.left;this.tly=g.top;this.trx=g.right;this.try_=g.top;this.brx=g.right;this.bry=g.bottom;this.blx=g.left;this.bly=g.bottom};d.prototype.set_from_rotated_rect=function(g,k){if(0===k)this.set_from_rect(g);else{var t=Math.sin(k),a=Math.cos(k),h=g.left*t,u=g.top*t,c=g.right*t,t=g.bottom*t,b=g.left*
a,f=g.top*a,m=g.right*a,a=g.bottom*a;this.tlx=b-u;this.tly=f+h;this.trx=m-u;this.try_=f+c;this.brx=m-t;this.bry=a+c;this.blx=b-t;this.bly=a+h}};d.prototype.offset=function(g,k){this.tlx+=g;this.tly+=k;this.trx+=g;this.try_+=k;this.brx+=g;this.bry+=k;this.blx+=g;this.bly+=k;return this};var p=0,s=0;d.prototype.bounding_box=function(g){e(this.tlx,this.trx,this.brx,this.blx);g.left=p;g.right=s;e(this.tly,this.try_,this.bry,this.bly);g.top=p;g.bottom=s};d.prototype.contains_pt=function(g,k){var t=this.trx-
this.tlx,a=this.try_-this.tly,h=this.brx-this.tlx,u=this.bry-this.tly,c=g-this.tlx,b=k-this.tly,f=t*t+a*a,m=t*h+a*u,a=t*c+a*b,p=h*h+u*u,d=h*c+u*b,q=1/(f*p-m*m),t=(p*a-m*d)*q,f=(f*d-m*a)*q;if(0<=t&&0<f&&1>t+f)return!0;t=this.blx-this.tlx;a=this.bly-this.tly;f=t*t+a*a;m=t*h+a*u;a=t*c+a*b;q=1/(f*p-m*m);t=(p*a-m*d)*q;f=(f*d-m*a)*q;return 0<=t&&0<f&&1>t+f};d.prototype.at=function(g,k){if(k)switch(g){case 0:return this.tlx;case 1:return this.trx;case 2:return this.brx;case 3:return this.blx;case 4:return this.tlx;
default:return this.tlx}else switch(g){case 0:return this.tly;case 1:return this.try_;case 2:return this.bry;case 3:return this.bly;case 4:return this.tly;default:return this.tly}};d.prototype.midX=function(){return(this.tlx+this.trx+this.brx+this.blx)/4};d.prototype.midY=function(){return(this.tly+this.try_+this.bry+this.bly)/4};d.prototype.intersects_segment=function(g,k,t,a){if(this.contains_pt(g,k)||this.contains_pt(t,a))return!0;var h,u,c,b,f;for(f=0;4>f;f++)if(h=this.at(f,!0),u=this.at(f,!1),
c=this.at(f+1,!0),b=this.at(f+1,!1),cr.segments_intersect(g,k,t,a,h,u,c,b))return!0;return!1};d.prototype.intersects_quad=function(g){var k=g.midX(),t=g.midY();if(this.contains_pt(k,t))return!0;k=this.midX();t=this.midY();if(g.contains_pt(k,t))return!0;var a,h,u,c,b,f,m,p;for(m=0;4>m;m++)for(p=0;4>p;p++)if(k=this.at(m,!0),t=this.at(m,!1),a=this.at(m+1,!0),h=this.at(m+1,!1),u=g.at(p,!0),c=g.at(p,!1),b=g.at(p+1,!0),f=g.at(p+1,!1),cr.segments_intersect(k,t,a,h,u,c,b,f))return!0;return!1};cr.quad=d;cr.RGB=
function(g,k,t){return Math.max(Math.min(g,255),0)|Math.max(Math.min(k,255),0)<<8|Math.max(Math.min(t,255),0)<<16};cr.GetRValue=function(g){return g&255};cr.GetGValue=function(g){return(g&65280)>>8};cr.GetBValue=function(g){return(g&16711680)>>16};cr.shallowCopy=function(g,k,t){for(var a in k)k.hasOwnProperty(a)&&(g[a]=k[a]);return g};cr.arrayRemove=function(g,k){var t,a;k=cr.floor(k);if(!(0>k||k>=g.length))if(0===k)g.shift();else if(k===g.length-1)g.pop();else{t=k;for(a=g.length-1;t<a;t++)g[t]=g[t+
1];g.length=a}};cr.shallowAssignArray=function(g,k){g.length=k.length;var t,a;t=0;for(a=k.length;t<a;t++)g[t]=k[t]};cr.appendArray=function(g,k){g.push.apply(g,k)};cr.arrayFindRemove=function(g,k){var t=g.indexOf(k);-1!==t&&cr.arrayRemove(g,t)};cr.clamp=function(g,k,t){return g<k?k:g>t?t:g};cr.to_radians=function(g){return g/(180/cr.PI)};cr.to_degrees=function(g){return g*(180/cr.PI)};cr.clamp_angle_degrees=function(g){g%=360;0>g&&(g+=360);return g};cr.clamp_angle=function(g){g%=2*cr.PI;0>g&&(g+=
2*cr.PI);return g};cr.to_clamped_degrees=function(g){return cr.clamp_angle_degrees(cr.to_degrees(g))};cr.to_clamped_radians=function(g){return cr.clamp_angle(cr.to_radians(g))};cr.angleTo=function(g,k,t,a){return Math.atan2(a-k,t-g)};cr.angleDiff=function(g,k){if(g===k)return 0;var t=Math.sin(g),a=Math.cos(g),h=Math.sin(k),u=Math.cos(k),t=t*h+a*u;return 1<=t?0:-1>=t?cr.PI:Math.acos(t)};cr.angleRotate=function(g,k,t){var a=Math.sin(g),h=Math.cos(g),u=Math.sin(k),c=Math.cos(k);return Math.acos(a*u+
h*c)>t?0<h*u-a*c?cr.clamp_angle(g+t):cr.clamp_angle(g-t):cr.clamp_angle(k)};cr.angleClockwise=function(g,k){var t=Math.sin(g),a=Math.cos(g),h=Math.sin(k),u=Math.cos(k);return 0>=a*h-t*u};cr.rotatePtAround=function(g,k,t,a,h,u){if(0===t)return u?g:k;var c=Math.sin(t);t=Math.cos(t);g-=a;k-=h;var b=g*c;g=g*t-k*c;k=k*t+b;return u?g+a:k+h};cr.distanceTo=function(g,k,t,a){g=t-g;k=a-k;return Math.sqrt(g*g+k*k)};cr.xor=function(g,k){return!g!==!k};cr.lerp=function(g,k,t){return g+(k-g)*t};cr.unlerp=function(g,
k,t){return g===k?0:(t-g)/(k-g)};cr.anglelerp=function(g,k,t){var a=cr.angleDiff(g,k);return cr.angleClockwise(k,g)?g+a*t:g-a*t};cr.hasAnyOwnProperty=function(g){for(var k in g)if(g.hasOwnProperty(k))return!0;return!1};cr.wipe=function(g){for(var k in g)g.hasOwnProperty(k)&&delete g[k]};var q=+new Date;cr.performance_now=function(){if("undefined"!==typeof window.performance){var g=window.performance;if("undefined"!==typeof g.now)return g.now();if("undefined"!==typeof g.webkitNow)return g.webkitNow();
if("undefined"!==typeof g.mozNow)return g.mozNow();if("undefined"!==typeof g.msNow)return g.msNow()}return Date.now()-q};var v="undefined"!==typeof Set&&"undefined"!==typeof Set.prototype.forEach;c.prototype.contains=function(g){return v?this.s.has(g):this.items.hasOwnProperty(g.toString())};c.prototype.add=function(g){if(v)this.s.has(g)||(this.s.add(g),this.cache_valid=!1);else{var k=g.toString();this.items.hasOwnProperty(k)||(this.items[k]=g,this.item_count++,this.cache_valid=!1)}return this};c.prototype.remove=
function(g){v?this.s.has(g)&&(this.s["delete"](g),this.cache_valid=!1):(g=g.toString(),this.items.hasOwnProperty(g)&&(delete this.items[g],this.item_count--,this.cache_valid=!1));return this};c.prototype.clear=function(){v?this.s.clear():(this.items={},this.item_count=0);this.values_cache.length=0;this.cache_valid=!0;return this};c.prototype.isEmpty=function(){return v?0===this.s.size:0===this.item_count};c.prototype.count=function(){return v?this.s.size:this.item_count};var w=null,y=0;c.prototype.update_cache=
function(){if(!this.cache_valid){if(v)this.values_cache.length=this.s.size,w=this.values_cache,y=0,this.s.forEach(h),w=null,y=0;else{this.values_cache.length=this.item_count;var g,k=0;for(g in this.items)this.items.hasOwnProperty(g)&&(this.values_cache[k++]=this.items[g])}this.cache_valid=!0}};c.prototype.values=function(){this.update_cache();return this.values_cache.slice(0)};c.prototype.valuesRef=function(){this.update_cache();return this.values_cache};cr.ObjectSet=c;m.prototype.add=function(g){this.y=
g-this.c;this.t=this.sum+this.y;this.c=this.t-this.sum-this.y;this.sum=this.t};m.prototype.reset=function(){this.sum=this.t=this.y=this.c=0};cr.KahanAdder=m;cr.regexp_escape=function(g){return g.replace(/[-[\]{}()*+?.,\\^$|#\s]/g,"\\$&")};r.prototype.set_pts=function(g){this.pts_array=g;this.pts_count=g.length/2;this.pts_cache.length=g.length;this.cache_height=this.cache_width=-1;this.cache_angle=0};r.prototype.is_empty=function(){return!this.pts_array.length};r.prototype.update_bbox=function(){for(var g=
this.pts_cache,k=g[0],t=k,a=g[1],h=a,u,c,b=1,f=this.pts_count;b<f;++b)c=2*b,u=g[c],c=g[c+1],u<k&&(k=u),u>t&&(t=u),c<a&&(a=c),c>h&&(h=c);this.bboxLeft=k;this.bboxRight=t;this.bboxTop=a;this.bboxBottom=h};r.prototype.set_from_rect=function(g,k,t){this.pts_cache.length=8;this.pts_count=4;var a=this.pts_cache;a[0]=g.left-k;a[1]=g.top-t;a[2]=g.right-k;a[3]=g.top-t;a[4]=g.right-k;a[5]=g.bottom-t;a[6]=g.left-k;a[7]=g.bottom-t;this.cache_width=g.right-g.left;this.cache_height=g.bottom-g.top;this.update_bbox()};
r.prototype.set_from_quad=function(g,k,t,a,h){this.pts_cache.length=8;this.pts_count=4;var u=this.pts_cache;u[0]=g.tlx-k;u[1]=g.tly-t;u[2]=g.trx-k;u[3]=g.try_-t;u[4]=g.brx-k;u[5]=g.bry-t;u[6]=g.blx-k;u[7]=g.bly-t;this.cache_width=a;this.cache_height=h;this.update_bbox()};r.prototype.set_from_poly=function(g){this.pts_count=g.pts_count;cr.shallowAssignArray(this.pts_cache,g.pts_cache);this.bboxLeft=g.bboxLeft;this.bboxTop-g.bboxTop;this.bboxRight=g.bboxRight;this.bboxBottom=g.bboxBottom};r.prototype.cache_poly=
function(g,k,t){if(this.cache_width!==g||this.cache_height!==k||this.cache_angle!==t){this.cache_width=g;this.cache_height=k;this.cache_angle=t;var a,h,u,c,b,f=0,m=1,p=this.pts_array,d=this.pts_cache;0!==t&&(f=Math.sin(t),m=Math.cos(t));t=0;for(u=this.pts_count;t<u;t++)a=2*t,h=a+1,c=p[a]*g,b=p[h]*k,d[a]=c*m-b*f,d[h]=b*m+c*f;this.update_bbox()}};r.prototype.contains_pt=function(g,k){var t=this.pts_cache;if(g===t[0]&&k===t[1])return!0;var a,h,u,c=this.pts_count,b=this.bboxLeft-110,f=this.bboxTop-101,
m=this.bboxRight+131,p=this.bboxBottom+120,d,q,n=0,e=0;for(a=0;a<c;a++)h=2*a,u=2*((a+1)%c),d=t[h],h=t[h+1],q=t[u],u=t[u+1],cr.segments_intersect(b,f,g,k,d,h,q,u)&&n++,cr.segments_intersect(m,p,g,k,d,h,q,u)&&e++;return 1===n%2||1===e%2};r.prototype.intersects_poly=function(g,k,t){var a=g.pts_cache,h=this.pts_cache;if(this.contains_pt(a[0]+k,a[1]+t)||g.contains_pt(h[0]-k,h[1]-t))return!0;var u,c,b,f,m,p,d,q,n,e,l,r;u=0;for(f=this.pts_count;u<f;u++)for(c=2*u,b=2*((u+1)%f),q=h[c],c=h[c+1],n=h[b],e=h[b+
1],b=0,d=g.pts_count;b<d;b++)if(m=2*b,p=2*((b+1)%d),l=a[m]+k,m=a[m+1]+t,r=a[p]+k,p=a[p+1]+t,cr.segments_intersect(q,c,n,e,l,m,r,p))return!0;return!1};r.prototype.intersects_segment=function(g,k,t,a,h,u){var c=this.pts_cache;if(this.contains_pt(t-g,a-k))return!0;var b,f,m,p,d,q;b=0;for(f=this.pts_count;b<f;b++)if(m=2*b,p=2*((b+1)%f),d=c[m]+g,m=c[m+1]+k,q=c[p]+g,p=c[p+1]+k,cr.segments_intersect(t,a,h,u,d,m,q,p))return!0;return!1};r.prototype.mirror=function(g){var k,t,a;k=0;for(t=this.pts_count;k<t;++k)a=
2*k,this.pts_cache[a]=2*g-this.pts_cache[a]};r.prototype.flip=function(g){var k,t,a;k=0;for(t=this.pts_count;k<t;++k)a=2*k+1,this.pts_cache[a]=2*g-this.pts_cache[a]};r.prototype.diag=function(){var g,k,t,a,h;g=0;for(k=this.pts_count;g<k;++g)t=2*g,a=t+1,h=this.pts_cache[t],this.pts_cache[t]=this.pts_cache[a],this.pts_cache[a]=h};cr.CollisionPoly=r;l.prototype.totalCellCount=0;l.prototype.getCell=function(g,k,t){var a;a=this.cells[g];return a?(a=a[k])?a:t?(a=n(this,g,k),this.cells[g][k]=a):null:t?(a=
n(this,g,k),this.cells[g]={},this.cells[g][k]=a):null};l.prototype.XToCell=function(g){return cr.floor(g/this.cellwidth)};l.prototype.YToCell=function(g){return cr.floor(g/this.cellheight)};l.prototype.update=function(g,k,a){var h,u,c,b,f;if(k)for(h=k.left,u=k.right;h<=u;++h)for(c=k.top,b=k.bottom;c<=b;++c)if(!a||!a.contains_pt(h,c))if(f=this.getCell(h,c,!1))f.remove(g),f.isEmpty()&&(l.prototype.totalCellCount--,f.objects.clear(),1E3>t.length&&t.push(f),this.cells[h][c]=null);if(a)for(h=a.left,u=
a.right;h<=u;++h)for(c=a.top,b=a.bottom;c<=b;++c)k&&k.contains_pt(h,c)||this.getCell(h,c,!0).insert(g)};l.prototype.queryRange=function(g,k){var t,a,h,u,c,b;t=this.XToCell(g.left);h=this.YToCell(g.top);a=this.XToCell(g.right);for(c=this.YToCell(g.bottom);t<=a;++t)for(u=h;u<=c;++u)(b=this.getCell(t,u,!1))&&b.dump(k)};cr.SparseGrid=l;var t=[];f.prototype.isEmpty=function(){return this.objects.isEmpty()};f.prototype.insert=function(g){this.objects.add(g)};f.prototype.remove=function(g){this.objects.remove(g)};
f.prototype.dump=function(g){cr.appendArray(g,this.objects.valuesRef())};cr.GridCell=f;var u="lighter xor copy destination-over source-in destination-in source-out destination-out source-atop destination-atop".split(" ");cr.effectToCompositeOp=function(g){return 0>=g||11<=g?"source-over":u[g-1]};cr.setGLBlend=function(g,k,t){if(t)switch(g.srcBlend=t.ONE,g.destBlend=t.ONE_MINUS_SRC_ALPHA,k){case 1:g.srcBlend=t.ONE;g.destBlend=t.ONE;break;case 3:g.srcBlend=t.ONE;g.destBlend=t.ZERO;break;case 4:g.srcBlend=
t.ONE_MINUS_DST_ALPHA;g.destBlend=t.ONE;break;case 5:g.srcBlend=t.DST_ALPHA;g.destBlend=t.ZERO;break;case 6:g.srcBlend=t.ZERO;g.destBlend=t.SRC_ALPHA;break;case 7:g.srcBlend=t.ONE_MINUS_DST_ALPHA;g.destBlend=t.ZERO;break;case 8:g.srcBlend=t.ZERO;g.destBlend=t.ONE_MINUS_SRC_ALPHA;break;case 9:g.srcBlend=t.DST_ALPHA;g.destBlend=t.ONE_MINUS_SRC_ALPHA;break;case 10:g.srcBlend=t.ONE_MINUS_DST_ALPHA,g.destBlend=t.SRC_ALPHA}};cr.round6dp=function(g){return cr.round(1E6*g)/1E6};cr.equals_nocase=function(g,
k){return"string"!==typeof g||"string"!==typeof k||g.length!==k.length?!1:g===k?!0:g.toLowerCase()===k.toLowerCase()}})();var MatrixArray="undefined"!==typeof Float32Array?Float32Array:Array,glMatrixArrayType=MatrixArray,vec3={},mat3={},mat4={},quat4={};vec3.create=function(a){var b=new MatrixArray(3);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2]);return b};vec3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];return b};
vec3.add=function(a,b,d){if(!d||a===d)return a[0]+=b[0],a[1]+=b[1],a[2]+=b[2],a;d[0]=a[0]+b[0];d[1]=a[1]+b[1];d[2]=a[2]+b[2];return d};vec3.subtract=function(a,b,d){if(!d||a===d)return a[0]-=b[0],a[1]-=b[1],a[2]-=b[2],a;d[0]=a[0]-b[0];d[1]=a[1]-b[1];d[2]=a[2]-b[2];return d};vec3.negate=function(a,b){b||(b=a);b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];return b};vec3.scale=function(a,b,d){if(!d||a===d)return a[0]*=b,a[1]*=b,a[2]*=b,a;d[0]=a[0]*b;d[1]=a[1]*b;d[2]=a[2]*b;return d};
vec3.normalize=function(a,b){b||(b=a);var d=a[0],e=a[1],c=a[2],h=Math.sqrt(d*d+e*e+c*c);if(h){if(1===h)return b[0]=d,b[1]=e,b[2]=c,b}else return b[0]=0,b[1]=0,b[2]=0,b;h=1/h;b[0]=d*h;b[1]=e*h;b[2]=c*h;return b};vec3.cross=function(a,b,d){d||(d=a);var e=a[0],c=a[1];a=a[2];var h=b[0],m=b[1];b=b[2];d[0]=c*b-a*m;d[1]=a*h-e*b;d[2]=e*m-c*h;return d};vec3.length=function(a){var b=a[0],d=a[1];a=a[2];return Math.sqrt(b*b+d*d+a*a)};vec3.dot=function(a,b){return a[0]*b[0]+a[1]*b[1]+a[2]*b[2]};
vec3.direction=function(a,b,d){d||(d=a);var e=a[0]-b[0],c=a[1]-b[1];a=a[2]-b[2];b=Math.sqrt(e*e+c*c+a*a);if(!b)return d[0]=0,d[1]=0,d[2]=0,d;b=1/b;d[0]=e*b;d[1]=c*b;d[2]=a*b;return d};vec3.lerp=function(a,b,d,e){e||(e=a);e[0]=a[0]+d*(b[0]-a[0]);e[1]=a[1]+d*(b[1]-a[1]);e[2]=a[2]+d*(b[2]-a[2]);return e};vec3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+"]"};
mat3.create=function(a){var b=new MatrixArray(9);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8]);return b};mat3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];return b};mat3.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=1;a[5]=0;a[6]=0;a[7]=0;a[8]=1;return a};
mat3.transpose=function(a,b){if(!b||a===b){var d=a[1],e=a[2],c=a[5];a[1]=a[3];a[2]=a[6];a[3]=d;a[5]=a[7];a[6]=e;a[7]=c;return a}b[0]=a[0];b[1]=a[3];b[2]=a[6];b[3]=a[1];b[4]=a[4];b[5]=a[7];b[6]=a[2];b[7]=a[5];b[8]=a[8];return b};mat3.toMat4=function(a,b){b||(b=mat4.create());b[15]=1;b[14]=0;b[13]=0;b[12]=0;b[11]=0;b[10]=a[8];b[9]=a[7];b[8]=a[6];b[7]=0;b[6]=a[5];b[5]=a[4];b[4]=a[3];b[3]=0;b[2]=a[2];b[1]=a[1];b[0]=a[0];return b};
mat3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+"]"};mat4.create=function(a){var b=new MatrixArray(16);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8],b[9]=a[9],b[10]=a[10],b[11]=a[11],b[12]=a[12],b[13]=a[13],b[14]=a[14],b[15]=a[15]);return b};
mat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=a[12];b[13]=a[13];b[14]=a[14];b[15]=a[15];return b};mat4.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=0;a[5]=1;a[6]=0;a[7]=0;a[8]=0;a[9]=0;a[10]=1;a[11]=0;a[12]=0;a[13]=0;a[14]=0;a[15]=1;return a};
mat4.transpose=function(a,b){if(!b||a===b){var d=a[1],e=a[2],c=a[3],h=a[6],m=a[7],r=a[11];a[1]=a[4];a[2]=a[8];a[3]=a[12];a[4]=d;a[6]=a[9];a[7]=a[13];a[8]=e;a[9]=h;a[11]=a[14];a[12]=c;a[13]=m;a[14]=r;return a}b[0]=a[0];b[1]=a[4];b[2]=a[8];b[3]=a[12];b[4]=a[1];b[5]=a[5];b[6]=a[9];b[7]=a[13];b[8]=a[2];b[9]=a[6];b[10]=a[10];b[11]=a[14];b[12]=a[3];b[13]=a[7];b[14]=a[11];b[15]=a[15];return b};
mat4.determinant=function(a){var b=a[0],d=a[1],e=a[2],c=a[3],h=a[4],m=a[5],r=a[6],l=a[7],n=a[8],f=a[9],p=a[10],s=a[11],q=a[12],v=a[13],w=a[14];a=a[15];return q*f*r*c-n*v*r*c-q*m*p*c+h*v*p*c+n*m*w*c-h*f*w*c-q*f*e*l+n*v*e*l+q*d*p*l-b*v*p*l-n*d*w*l+b*f*w*l+q*m*e*s-h*v*e*s-q*d*r*s+b*v*r*s+h*d*w*s-b*m*w*s-n*m*e*a+h*f*e*a+n*d*r*a-b*f*r*a-h*d*p*a+b*m*p*a};
mat4.inverse=function(a,b){b||(b=a);var d=a[0],e=a[1],c=a[2],h=a[3],m=a[4],r=a[5],l=a[6],n=a[7],f=a[8],p=a[9],s=a[10],q=a[11],v=a[12],w=a[13],y=a[14],t=a[15],u=d*r-e*m,g=d*l-c*m,k=d*n-h*m,E=e*l-c*r,z=e*n-h*r,B=c*n-h*l,x=f*w-p*v,G=f*y-s*v,H=f*t-q*v,A=p*y-s*w,L=p*t-q*w,C=s*t-q*y,D=1/(u*C-g*L+k*A+E*H-z*G+B*x);b[0]=(r*C-l*L+n*A)*D;b[1]=(-e*C+c*L-h*A)*D;b[2]=(w*B-y*z+t*E)*D;b[3]=(-p*B+s*z-q*E)*D;b[4]=(-m*C+l*H-n*G)*D;b[5]=(d*C-c*H+h*G)*D;b[6]=(-v*B+y*k-t*g)*D;b[7]=(f*B-s*k+q*g)*D;b[8]=(m*L-r*H+n*x)*D;
b[9]=(-d*L+e*H-h*x)*D;b[10]=(v*z-w*k+t*u)*D;b[11]=(-f*z+p*k-q*u)*D;b[12]=(-m*A+r*G-l*x)*D;b[13]=(d*A-e*G+c*x)*D;b[14]=(-v*E+w*g-y*u)*D;b[15]=(f*E-p*g+s*u)*D;return b};mat4.toRotationMat=function(a,b){b||(b=mat4.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
mat4.toMat3=function(a,b){b||(b=mat3.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[4];b[4]=a[5];b[5]=a[6];b[6]=a[8];b[7]=a[9];b[8]=a[10];return b};mat4.toInverseMat3=function(a,b){var d=a[0],e=a[1],c=a[2],h=a[4],m=a[5],r=a[6],l=a[8],n=a[9],f=a[10],p=f*m-r*n,s=-f*h+r*l,q=n*h-m*l,v=d*p+e*s+c*q;if(!v)return null;v=1/v;b||(b=mat3.create());b[0]=p*v;b[1]=(-f*e+c*n)*v;b[2]=(r*e-c*m)*v;b[3]=s*v;b[4]=(f*d-c*l)*v;b[5]=(-r*d+c*h)*v;b[6]=q*v;b[7]=(-n*d+e*l)*v;b[8]=(m*d-e*h)*v;return b};
mat4.multiply=function(a,b,d){d||(d=a);var e=a[0],c=a[1],h=a[2],m=a[3],r=a[4],l=a[5],n=a[6],f=a[7],p=a[8],s=a[9],q=a[10],v=a[11],w=a[12],y=a[13],t=a[14];a=a[15];var u=b[0],g=b[1],k=b[2],E=b[3],z=b[4],B=b[5],x=b[6],G=b[7],H=b[8],A=b[9],L=b[10],C=b[11],D=b[12],I=b[13],T=b[14];b=b[15];d[0]=u*e+g*r+k*p+E*w;d[1]=u*c+g*l+k*s+E*y;d[2]=u*h+g*n+k*q+E*t;d[3]=u*m+g*f+k*v+E*a;d[4]=z*e+B*r+x*p+G*w;d[5]=z*c+B*l+x*s+G*y;d[6]=z*h+B*n+x*q+G*t;d[7]=z*m+B*f+x*v+G*a;d[8]=H*e+A*r+L*p+C*w;d[9]=H*c+A*l+L*s+C*y;d[10]=H*
h+A*n+L*q+C*t;d[11]=H*m+A*f+L*v+C*a;d[12]=D*e+I*r+T*p+b*w;d[13]=D*c+I*l+T*s+b*y;d[14]=D*h+I*n+T*q+b*t;d[15]=D*m+I*f+T*v+b*a;return d};mat4.multiplyVec3=function(a,b,d){d||(d=b);var e=b[0],c=b[1];b=b[2];d[0]=a[0]*e+a[4]*c+a[8]*b+a[12];d[1]=a[1]*e+a[5]*c+a[9]*b+a[13];d[2]=a[2]*e+a[6]*c+a[10]*b+a[14];return d};
mat4.multiplyVec4=function(a,b,d){d||(d=b);var e=b[0],c=b[1],h=b[2];b=b[3];d[0]=a[0]*e+a[4]*c+a[8]*h+a[12]*b;d[1]=a[1]*e+a[5]*c+a[9]*h+a[13]*b;d[2]=a[2]*e+a[6]*c+a[10]*h+a[14]*b;d[3]=a[3]*e+a[7]*c+a[11]*h+a[15]*b;return d};
mat4.translate=function(a,b,d){var e=b[0],c=b[1];b=b[2];var h,m,r,l,n,f,p,s,q,v,w,y;if(!d||a===d)return a[12]=a[0]*e+a[4]*c+a[8]*b+a[12],a[13]=a[1]*e+a[5]*c+a[9]*b+a[13],a[14]=a[2]*e+a[6]*c+a[10]*b+a[14],a[15]=a[3]*e+a[7]*c+a[11]*b+a[15],a;h=a[0];m=a[1];r=a[2];l=a[3];n=a[4];f=a[5];p=a[6];s=a[7];q=a[8];v=a[9];w=a[10];y=a[11];d[0]=h;d[1]=m;d[2]=r;d[3]=l;d[4]=n;d[5]=f;d[6]=p;d[7]=s;d[8]=q;d[9]=v;d[10]=w;d[11]=y;d[12]=h*e+n*c+q*b+a[12];d[13]=m*e+f*c+v*b+a[13];d[14]=r*e+p*c+w*b+a[14];d[15]=l*e+s*c+y*b+
a[15];return d};mat4.scale=function(a,b,d){var e=b[0],c=b[1];b=b[2];if(!d||a===d)return a[0]*=e,a[1]*=e,a[2]*=e,a[3]*=e,a[4]*=c,a[5]*=c,a[6]*=c,a[7]*=c,a[8]*=b,a[9]*=b,a[10]*=b,a[11]*=b,a;d[0]=a[0]*e;d[1]=a[1]*e;d[2]=a[2]*e;d[3]=a[3]*e;d[4]=a[4]*c;d[5]=a[5]*c;d[6]=a[6]*c;d[7]=a[7]*c;d[8]=a[8]*b;d[9]=a[9]*b;d[10]=a[10]*b;d[11]=a[11]*b;d[12]=a[12];d[13]=a[13];d[14]=a[14];d[15]=a[15];return d};
mat4.rotate=function(a,b,d,e){var c=d[0],h=d[1];d=d[2];var m=Math.sqrt(c*c+h*h+d*d),r,l,n,f,p,s,q,v,w,y,t,u,g,k,E,z,B,x,G,H;if(!m)return null;1!==m&&(m=1/m,c*=m,h*=m,d*=m);r=Math.sin(b);l=Math.cos(b);n=1-l;b=a[0];m=a[1];f=a[2];p=a[3];s=a[4];q=a[5];v=a[6];w=a[7];y=a[8];t=a[9];u=a[10];g=a[11];k=c*c*n+l;E=h*c*n+d*r;z=d*c*n-h*r;B=c*h*n-d*r;x=h*h*n+l;G=d*h*n+c*r;H=c*d*n+h*r;c=h*d*n-c*r;h=d*d*n+l;e?a!==e&&(e[12]=a[12],e[13]=a[13],e[14]=a[14],e[15]=a[15]):e=a;e[0]=b*k+s*E+y*z;e[1]=m*k+q*E+t*z;e[2]=f*k+v*
E+u*z;e[3]=p*k+w*E+g*z;e[4]=b*B+s*x+y*G;e[5]=m*B+q*x+t*G;e[6]=f*B+v*x+u*G;e[7]=p*B+w*x+g*G;e[8]=b*H+s*c+y*h;e[9]=m*H+q*c+t*h;e[10]=f*H+v*c+u*h;e[11]=p*H+w*c+g*h;return e};
mat4.rotateX=function(a,b,d){var e=Math.sin(b);b=Math.cos(b);var c=a[4],h=a[5],m=a[6],r=a[7],l=a[8],n=a[9],f=a[10],p=a[11];d?a!==d&&(d[0]=a[0],d[1]=a[1],d[2]=a[2],d[3]=a[3],d[12]=a[12],d[13]=a[13],d[14]=a[14],d[15]=a[15]):d=a;d[4]=c*b+l*e;d[5]=h*b+n*e;d[6]=m*b+f*e;d[7]=r*b+p*e;d[8]=c*-e+l*b;d[9]=h*-e+n*b;d[10]=m*-e+f*b;d[11]=r*-e+p*b;return d};
mat4.rotateY=function(a,b,d){var e=Math.sin(b);b=Math.cos(b);var c=a[0],h=a[1],m=a[2],r=a[3],l=a[8],n=a[9],f=a[10],p=a[11];d?a!==d&&(d[4]=a[4],d[5]=a[5],d[6]=a[6],d[7]=a[7],d[12]=a[12],d[13]=a[13],d[14]=a[14],d[15]=a[15]):d=a;d[0]=c*b+l*-e;d[1]=h*b+n*-e;d[2]=m*b+f*-e;d[3]=r*b+p*-e;d[8]=c*e+l*b;d[9]=h*e+n*b;d[10]=m*e+f*b;d[11]=r*e+p*b;return d};
mat4.rotateZ=function(a,b,d){var e=Math.sin(b);b=Math.cos(b);var c=a[0],h=a[1],m=a[2],r=a[3],l=a[4],n=a[5],f=a[6],p=a[7];d?a!==d&&(d[8]=a[8],d[9]=a[9],d[10]=a[10],d[11]=a[11],d[12]=a[12],d[13]=a[13],d[14]=a[14],d[15]=a[15]):d=a;d[0]=c*b+l*e;d[1]=h*b+n*e;d[2]=m*b+f*e;d[3]=r*b+p*e;d[4]=c*-e+l*b;d[5]=h*-e+n*b;d[6]=m*-e+f*b;d[7]=r*-e+p*b;return d};
mat4.frustum=function(a,b,d,e,c,h,m){m||(m=mat4.create());var r=b-a,l=e-d,n=h-c;m[0]=2*c/r;m[1]=0;m[2]=0;m[3]=0;m[4]=0;m[5]=2*c/l;m[6]=0;m[7]=0;m[8]=(b+a)/r;m[9]=(e+d)/l;m[10]=-(h+c)/n;m[11]=-1;m[12]=0;m[13]=0;m[14]=-(2*h*c)/n;m[15]=0;return m};mat4.perspective=function(a,b,d,e,c){a=d*Math.tan(a*Math.PI/360);b*=a;return mat4.frustum(-b,b,-a,a,d,e,c)};
mat4.ortho=function(a,b,d,e,c,h,m){m||(m=mat4.create());var r=b-a,l=e-d,n=h-c;m[0]=2/r;m[1]=0;m[2]=0;m[3]=0;m[4]=0;m[5]=2/l;m[6]=0;m[7]=0;m[8]=0;m[9]=0;m[10]=-2/n;m[11]=0;m[12]=-(a+b)/r;m[13]=-(e+d)/l;m[14]=-(h+c)/n;m[15]=1;return m};
mat4.lookAt=function(a,b,d,e){e||(e=mat4.create());var c,h,m,r,l,n,f,p,s=a[0],q=a[1];a=a[2];h=d[0];m=d[1];c=d[2];d=b[1];n=b[2];if(s===b[0]&&q===d&&a===n)return mat4.identity(e);d=s-b[0];n=q-b[1];f=a-b[2];p=1/Math.sqrt(d*d+n*n+f*f);d*=p;n*=p;f*=p;b=m*f-c*n;c=c*d-h*f;h=h*n-m*d;(p=Math.sqrt(b*b+c*c+h*h))?(p=1/p,b*=p,c*=p,h*=p):h=c=b=0;m=n*h-f*c;r=f*b-d*h;l=d*c-n*b;(p=Math.sqrt(m*m+r*r+l*l))?(p=1/p,m*=p,r*=p,l*=p):l=r=m=0;e[0]=b;e[1]=m;e[2]=d;e[3]=0;e[4]=c;e[5]=r;e[6]=n;e[7]=0;e[8]=h;e[9]=l;e[10]=f;e[11]=
0;e[12]=-(b*s+c*q+h*a);e[13]=-(m*s+r*q+l*a);e[14]=-(d*s+n*q+f*a);e[15]=1;return e};mat4.fromRotationTranslation=function(a,b,d){d||(d=mat4.create());var e=a[0],c=a[1],h=a[2],m=a[3],r=e+e,l=c+c,n=h+h;a=e*r;var f=e*l,e=e*n,p=c*l,c=c*n,h=h*n,r=r*m,l=l*m,m=m*n;d[0]=1-(p+h);d[1]=f+m;d[2]=e-l;d[3]=0;d[4]=f-m;d[5]=1-(a+h);d[6]=c+r;d[7]=0;d[8]=e+l;d[9]=c-r;d[10]=1-(a+p);d[11]=0;d[12]=b[0];d[13]=b[1];d[14]=b[2];d[15]=1;return d};
mat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+", "+a[9]+", "+a[10]+", "+a[11]+", "+a[12]+", "+a[13]+", "+a[14]+", "+a[15]+"]"};quat4.create=function(a){var b=new MatrixArray(4);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3]);return b};quat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];return b};
quat4.calculateW=function(a,b){var d=a[0],e=a[1],c=a[2];if(!b||a===b)return a[3]=-Math.sqrt(Math.abs(1-d*d-e*e-c*c)),a;b[0]=d;b[1]=e;b[2]=c;b[3]=-Math.sqrt(Math.abs(1-d*d-e*e-c*c));return b};quat4.inverse=function(a,b){if(!b||a===b)return a[0]*=-1,a[1]*=-1,a[2]*=-1,a;b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];b[3]=a[3];return b};quat4.length=function(a){var b=a[0],d=a[1],e=a[2];a=a[3];return Math.sqrt(b*b+d*d+e*e+a*a)};
quat4.normalize=function(a,b){b||(b=a);var d=a[0],e=a[1],c=a[2],h=a[3],m=Math.sqrt(d*d+e*e+c*c+h*h);if(0===m)return b[0]=0,b[1]=0,b[2]=0,b[3]=0,b;m=1/m;b[0]=d*m;b[1]=e*m;b[2]=c*m;b[3]=h*m;return b};quat4.multiply=function(a,b,d){d||(d=a);var e=a[0],c=a[1],h=a[2];a=a[3];var m=b[0],r=b[1],l=b[2];b=b[3];d[0]=e*b+a*m+c*l-h*r;d[1]=c*b+a*r+h*m-e*l;d[2]=h*b+a*l+e*r-c*m;d[3]=a*b-e*m-c*r-h*l;return d};
quat4.multiplyVec3=function(a,b,d){d||(d=b);var e=b[0],c=b[1],h=b[2];b=a[0];var m=a[1],r=a[2];a=a[3];var l=a*e+m*h-r*c,n=a*c+r*e-b*h,f=a*h+b*c-m*e,e=-b*e-m*c-r*h;d[0]=l*a+e*-b+n*-r-f*-m;d[1]=n*a+e*-m+f*-b-l*-r;d[2]=f*a+e*-r+l*-m-n*-b;return d};quat4.toMat3=function(a,b){b||(b=mat3.create());var d=a[0],e=a[1],c=a[2],h=a[3],m=d+d,r=e+e,l=c+c,n=d*m,f=d*r,d=d*l,p=e*r,e=e*l,c=c*l,m=m*h,r=r*h,h=h*l;b[0]=1-(p+c);b[1]=f+h;b[2]=d-r;b[3]=f-h;b[4]=1-(n+c);b[5]=e+m;b[6]=d+r;b[7]=e-m;b[8]=1-(n+p);return b};
quat4.toMat4=function(a,b){b||(b=mat4.create());var d=a[0],e=a[1],c=a[2],h=a[3],m=d+d,r=e+e,l=c+c,n=d*m,f=d*r,d=d*l,p=e*r,e=e*l,c=c*l,m=m*h,r=r*h,h=h*l;b[0]=1-(p+c);b[1]=f+h;b[2]=d-r;b[3]=0;b[4]=f-h;b[5]=1-(n+c);b[6]=e+m;b[7]=0;b[8]=d+r;b[9]=e-m;b[10]=1-(n+p);b[11]=0;b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
quat4.slerp=function(a,b,d,e){e||(e=a);var c=a[0]*b[0]+a[1]*b[1]+a[2]*b[2]+a[3]*b[3],h,m;if(1<=Math.abs(c))return e!==a&&(e[0]=a[0],e[1]=a[1],e[2]=a[2],e[3]=a[3]),e;h=Math.acos(c);m=Math.sqrt(1-c*c);if(0.0010>Math.abs(m))return e[0]=0.5*a[0]+0.5*b[0],e[1]=0.5*a[1]+0.5*b[1],e[2]=0.5*a[2]+0.5*b[2],e[3]=0.5*a[3]+0.5*b[3],e;c=Math.sin((1-d)*h)/m;d=Math.sin(d*h)/m;e[0]=a[0]*c+b[0]*d;e[1]=a[1]*c+b[1]*d;e[2]=a[2]*c+b[2]*d;e[3]=a[3]*c+b[3]*d;return e};
quat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+"]"};
(function(){function a(a,c){this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent);this.height=this.width=0;this.cam=vec3.create([0,0,100]);this.look=vec3.create([0,0,0]);this.up=vec3.create([0,1,0]);this.worldScale=vec3.create([1,1,1]);this.matP=mat4.create();this.matMV=mat4.create();this.lastMV=mat4.create();this.currentMV=mat4.create();this.gl=a;this.initState()}function b(a,c,b){this.gl=a;this.shaderProgram=c;this.name=b;this.locAPos=a.getAttribLocation(c,"aPos");this.locATex=
a.getAttribLocation(c,"aTex");this.locMatP=a.getUniformLocation(c,"matP");this.locMatMV=a.getUniformLocation(c,"matMV");this.locOpacity=a.getUniformLocation(c,"opacity");this.locSamplerFront=a.getUniformLocation(c,"samplerFront");this.locSamplerBack=a.getUniformLocation(c,"samplerBack");this.locDestStart=a.getUniformLocation(c,"destStart");this.locDestEnd=a.getUniformLocation(c,"destEnd");this.locSeconds=a.getUniformLocation(c,"seconds");this.locPixelWidth=a.getUniformLocation(c,"pixelWidth");this.locPixelHeight=
a.getUniformLocation(c,"pixelHeight");this.locLayerScale=a.getUniformLocation(c,"layerScale");this.locLayerAngle=a.getUniformLocation(c,"layerAngle");this.locViewOrigin=a.getUniformLocation(c,"viewOrigin");this.hasAnyOptionalUniforms=!!(this.locPixelWidth||this.locPixelHeight||this.locSeconds||this.locSamplerBack||this.locDestStart||this.locDestEnd||this.locLayerScale||this.locLayerAngle||this.locViewOrigin);this.locOpacity&&a.uniform1f(this.locOpacity,1);this.locSamplerFront&&a.uniform1i(this.locSamplerFront,
0);this.locSamplerBack&&a.uniform1i(this.locSamplerBack,1);this.locDestStart&&a.uniform2f(this.locDestStart,0,0);this.locDestEnd&&a.uniform2f(this.locDestEnd,1,1);this.locLayerScale&&a.uniform1f(this.locLayerScale,1);this.locLayerAngle&&a.uniform1f(this.locLayerAngle,0);this.locViewOrigin&&a.uniform2f(this.locViewOrigin,0,0);this.hasCurrentMatMV=!1}function d(a,c){this.type=a;this.glwrap=c;this.gl=c.gl;this.indexCount=this.startIndex=this.opacityParam=0;this.mat4param=this.texParam=null;this.shaderParams=
[];cr.seal(this)}a.prototype.initState=function(){var a=this.gl,c;this.lastOpacity=1;this.lastTexture1=this.lastTexture0=null;this.currentOpacity=1;a.clearColor(0,0,0,0);a.clear(a.COLOR_BUFFER_BIT);a.enable(a.BLEND);a.blendFunc(a.ONE,a.ONE_MINUS_SRC_ALPHA);a.disable(a.CULL_FACE);a.disable(a.DEPTH_TEST);this.maxTextureSize=a.getParameter(a.MAX_TEXTURE_SIZE);this.lastSrcBlend=a.ONE;this.lastDestBlend=a.ONE_MINUS_SRC_ALPHA;this.pointBuffer=a.createBuffer();a.bindBuffer(a.ARRAY_BUFFER,this.pointBuffer);
this.vertexBuffers=Array(4);this.texcoordBuffers=Array(4);for(c=0;4>c;c++)this.vertexBuffers[c]=a.createBuffer(),a.bindBuffer(a.ARRAY_BUFFER,this.vertexBuffers[c]),this.texcoordBuffers[c]=a.createBuffer(),a.bindBuffer(a.ARRAY_BUFFER,this.texcoordBuffers[c]);this.curBuffer=0;this.indexBuffer=a.createBuffer();a.bindBuffer(a.ELEMENT_ARRAY_BUFFER,this.indexBuffer);this.vertexData=new Float32Array(16E3);this.texcoordData=new Float32Array(16E3);this.pointData=new Float32Array(32E3);for(var b=new Uint16Array(12E3),
d=c=0;12E3>c;)b[c++]=d,b[c++]=d+1,b[c++]=d+2,b[c++]=d,b[c++]=d+2,b[c++]=d+3,d+=4;a.bufferData(a.ELEMENT_ARRAY_BUFFER,b,a.STATIC_DRAW);this.pointPtr=this.vertexPtr=0;this.shaderPrograms=[];c=this.createShaderProgram({src:"varying mediump vec2 vTex;\nuniform lowp float opacity;\nuniform lowp sampler2D samplerFront;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, vTex);\n\tgl_FragColor *= opacity;\n}"},"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",
"<default>");this.shaderPrograms.push(c);c=this.createShaderProgram({src:"uniform mediump sampler2D samplerFront;\nvarying lowp float opacity;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, gl_PointCoord);\n\tgl_FragColor *= opacity;\n}"},"attribute vec4 aPos;\nvarying float opacity;\nuniform mat4 matP;\nuniform mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tgl_PointSize = aPos.z;\n\topacity = aPos.w;\n}","<point>");this.shaderPrograms.push(c);
for(var n in cr.shaders)cr.shaders.hasOwnProperty(n)&&this.shaderPrograms.push(this.createShaderProgram(cr.shaders[n],"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",n));a.activeTexture(a.TEXTURE0);a.bindTexture(a.TEXTURE_2D,null);this.batch=[];this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;
this.currentProgram=this.lastProgram=-1;this.currentShader=null;this.fbo=a.createFramebuffer();this.renderToTex=null;this.tmpVec3=vec3.create([0,0,0]);a=a.getParameter(a.ALIASED_POINT_SIZE_RANGE);this.minPointSize=a[0];this.maxPointSize=a[1];this.switchProgram(0);cr.seal(this)};a.prototype.createShaderProgram=function(a,c,d){var e=this.gl,n=e.createShader(e.FRAGMENT_SHADER);e.shaderSource(n,a.src);e.compileShader(n);if(!e.getShaderParameter(n,e.COMPILE_STATUS))return e.deleteShader(n),null;var f=
e.createShader(e.VERTEX_SHADER);e.shaderSource(f,c);e.compileShader(f);if(!e.getShaderParameter(f,e.COMPILE_STATUS))return e.deleteShader(n),e.deleteShader(f),null;c=e.createProgram();e.attachShader(c,n);e.attachShader(c,f);e.linkProgram(c);if(!e.getProgramParameter(c,e.LINK_STATUS))return e.deleteShader(n),e.deleteShader(f),e.deleteProgram(c),null;e.useProgram(c);e.deleteShader(n);e.deleteShader(f);d=new b(e,c,d);d.extendBoxHorizontal=a.extendBoxHorizontal||0;d.extendBoxVertical=a.extendBoxVertical||
0;d.crossSampling=!!a.crossSampling;d.animated=!!a.animated;d.parameters=a.parameters||[];a=0;for(n=d.parameters.length;a<n;a++)d.parameters[a][1]=e.getUniformLocation(c,d.parameters[a][0]),e.uniform1f(d.parameters[a][1],0);cr.seal(d);return d};a.prototype.getShaderIndex=function(a){var c,b;c=0;for(b=this.shaderPrograms.length;c<b;c++)if(this.shaderPrograms[c].name===a)return c;return-1};a.prototype.project=function(a,c,b){var d=this.matMV,e=this.matP,f=[0,0,0,0,0,0,0,0];f[0]=d[0]*a+d[4]*c+d[12];
f[1]=d[1]*a+d[5]*c+d[13];f[2]=d[2]*a+d[6]*c+d[14];f[3]=d[3]*a+d[7]*c+d[15];f[4]=e[0]*f[0]+e[4]*f[1]+e[8]*f[2]+e[12]*f[3];f[5]=e[1]*f[0]+e[5]*f[1]+e[9]*f[2]+e[13]*f[3];f[6]=e[2]*f[0]+e[6]*f[1]+e[10]*f[2]+e[14]*f[3];f[7]=-f[2];0!==f[7]&&(f[7]=1/f[7],f[4]*=f[7],f[5]*=f[7],f[6]*=f[7],b[0]=(0.5*f[4]+0.5)*this.width,b[1]=(0.5*f[5]+0.5)*this.height)};a.prototype.setSize=function(a,c,b){if(this.width!==a||this.height!==c||b){this.endBatch();this.width=a;this.height=c;this.gl.viewport(0,0,a,c);mat4.perspective(45,
a/c,1,1E3,this.matP);mat4.lookAt(this.cam,this.look,this.up,this.matMV);a=[0,0];c=[0,0];this.project(0,0,a);this.project(1,1,c);this.worldScale[0]=1/(c[0]-a[0]);this.worldScale[1]=-1/(c[1]-a[1]);a=0;for(c=this.shaderPrograms.length;a<c;a++)b=this.shaderPrograms[a],b.hasCurrentMatMV=!1,b.locMatP&&(this.gl.useProgram(b.shaderProgram),this.gl.uniformMatrix4fv(b.locMatP,!1,this.matP));this.gl.useProgram(this.shaderPrograms[this.lastProgram].shaderProgram);this.gl.bindTexture(this.gl.TEXTURE_2D,null);
this.gl.activeTexture(this.gl.TEXTURE1);this.gl.bindTexture(this.gl.TEXTURE_2D,null);this.gl.activeTexture(this.gl.TEXTURE0);this.lastTexture1=this.lastTexture0=null}};a.prototype.resetModelView=function(){mat4.lookAt(this.cam,this.look,this.up,this.matMV);mat4.scale(this.matMV,this.worldScale)};a.prototype.translate=function(a,c){if(0!==a||0!==c)this.tmpVec3[0]=a,this.tmpVec3[1]=c,this.tmpVec3[2]=0,mat4.translate(this.matMV,this.tmpVec3)};a.prototype.scale=function(a,c){if(1!==a||1!==c)this.tmpVec3[0]=
a,this.tmpVec3[1]=c,this.tmpVec3[2]=1,mat4.scale(this.matMV,this.tmpVec3)};a.prototype.rotateZ=function(a){0!==a&&mat4.rotateZ(this.matMV,a)};a.prototype.updateModelView=function(){for(var a=!1,c=0;16>c;c++)if(this.lastMV[c]!==this.matMV[c]){a=!0;break}a&&(a=this.pushBatch(),a.type=5,a.mat4param?mat4.set(this.matMV,a.mat4param):a.mat4param=mat4.create(this.matMV),mat4.set(this.matMV,this.lastMV),this.hasPointBatchTop=this.hasQuadBatchTop=!1)};d.prototype.doSetTexture=function(){this.gl.bindTexture(this.gl.TEXTURE_2D,
this.texParam)};d.prototype.doSetTexture1=function(){var a=this.gl;a.activeTexture(a.TEXTURE1);a.bindTexture(a.TEXTURE_2D,this.texParam);a.activeTexture(a.TEXTURE0)};d.prototype.doSetOpacity=function(){var a=this.opacityParam,c=this.glwrap;c.currentOpacity=a;c=c.currentShader;c.locOpacity&&this.gl.uniform1f(c.locOpacity,a)};d.prototype.doQuad=function(){this.gl.drawElements(this.gl.TRIANGLES,this.indexCount,this.gl.UNSIGNED_SHORT,2*this.startIndex)};d.prototype.doSetBlend=function(){this.gl.blendFunc(this.startIndex,
this.indexCount)};d.prototype.doUpdateModelView=function(){var a,c,b,d=this.glwrap.shaderPrograms,e=this.glwrap.currentProgram;a=0;for(c=d.length;a<c;a++)b=d[a],a===e&&b.locMatMV?(this.gl.uniformMatrix4fv(b.locMatMV,!1,this.mat4param),b.hasCurrentMatMV=!0):b.hasCurrentMatMV=!1;mat4.set(this.mat4param,this.glwrap.currentMV)};d.prototype.doRenderToTexture=function(){var a=this.gl,c=this.glwrap;this.texParam?(c.lastTexture1===this.texParam&&(a.activeTexture(a.TEXTURE1),a.bindTexture(a.TEXTURE_2D,null),
c.lastTexture1=null,a.activeTexture(a.TEXTURE0)),a.bindFramebuffer(a.FRAMEBUFFER,c.fbo),a.framebufferTexture2D(a.FRAMEBUFFER,a.COLOR_ATTACHMENT0,a.TEXTURE_2D,this.texParam,0)):(a.framebufferTexture2D(a.FRAMEBUFFER,a.COLOR_ATTACHMENT0,a.TEXTURE_2D,null,0),a.bindFramebuffer(a.FRAMEBUFFER,null))};d.prototype.doClear=function(){var a=this.gl;0===this.startIndex?(a.clearColor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),a.clear(a.COLOR_BUFFER_BIT)):(a.enable(a.SCISSOR_TEST),
a.scissor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),a.clearColor(0,0,0,0),a.clear(this.gl.COLOR_BUFFER_BIT),a.disable(a.SCISSOR_TEST))};d.prototype.doPoints=function(){var a=this.gl,c=this.glwrap,b=c.shaderPrograms[1];a.useProgram(b.shaderProgram);!b.hasCurrentMatMV&&b.locMatMV&&(a.uniformMatrix4fv(b.locMatMV,!1,c.currentMV),b.hasCurrentMatMV=!0);a.enableVertexAttribArray(b.locAPos);a.bindBuffer(a.ARRAY_BUFFER,c.pointBuffer);a.vertexAttribPointer(b.locAPos,4,a.FLOAT,
!1,0,0);a.drawArrays(a.POINTS,this.startIndex/4,this.indexCount);b=c.currentShader;a.useProgram(b.shaderProgram);0<=b.locAPos&&(a.enableVertexAttribArray(b.locAPos),a.bindBuffer(a.ARRAY_BUFFER,c.vertexBuffers[c.curBuffer]),a.vertexAttribPointer(b.locAPos,2,a.FLOAT,!1,0,0));0<=b.locATex&&(a.enableVertexAttribArray(b.locATex),a.bindBuffer(a.ARRAY_BUFFER,c.texcoordBuffers[c.curBuffer]),a.vertexAttribPointer(b.locATex,2,a.FLOAT,!1,0,0))};d.prototype.doSetProgram=function(){var a=this.gl,c=this.glwrap,
b=c.shaderPrograms[this.startIndex];c.currentProgram=this.startIndex;c.currentShader=b;a.useProgram(b.shaderProgram);!b.hasCurrentMatMV&&b.locMatMV&&(a.uniformMatrix4fv(b.locMatMV,!1,c.currentMV),b.hasCurrentMatMV=!0);b.locOpacity&&a.uniform1f(b.locOpacity,c.currentOpacity);0<=b.locAPos&&(a.enableVertexAttribArray(b.locAPos),a.bindBuffer(a.ARRAY_BUFFER,c.vertexBuffers[c.curBuffer]),a.vertexAttribPointer(b.locAPos,2,a.FLOAT,!1,0,0));0<=b.locATex&&(a.enableVertexAttribArray(b.locATex),a.bindBuffer(a.ARRAY_BUFFER,
c.texcoordBuffers[c.curBuffer]),a.vertexAttribPointer(b.locATex,2,a.FLOAT,!1,0,0))};d.prototype.doSetProgramParameters=function(){var a,c,b=this.glwrap.currentShader,d=this.gl;a=this.mat4param;b.locSamplerBack&&this.glwrap.lastTexture1!==this.texParam&&(d.activeTexture(d.TEXTURE1),d.bindTexture(d.TEXTURE_2D,this.texParam),this.glwrap.lastTexture1=this.texParam,d.activeTexture(d.TEXTURE0));b.locPixelWidth&&d.uniform1f(b.locPixelWidth,a[0]);b.locPixelHeight&&d.uniform1f(b.locPixelHeight,a[1]);b.locDestStart&&
d.uniform2f(b.locDestStart,a[2],a[3]);b.locDestEnd&&d.uniform2f(b.locDestEnd,a[4],a[5]);b.locLayerScale&&d.uniform1f(b.locLayerScale,a[6]);b.locLayerAngle&&d.uniform1f(b.locLayerAngle,a[7]);b.locViewOrigin&&d.uniform2f(b.locViewOrigin,a[8],a[9]);b.locSeconds&&d.uniform1f(b.locSeconds,cr.performance_now()/1E3);if(b.parameters.length)for(a=0,c=b.parameters.length;a<c;a++)d.uniform1f(b.parameters[a][1],this.shaderParams[a])};a.prototype.pushBatch=function(){this.batchPtr===this.batch.length&&this.batch.push(new d(0,
this));return this.batch[this.batchPtr++]};a.prototype.endBatch=function(){if(0!==this.batchPtr&&!this.gl.isContextLost()){var a=this.gl;0<this.pointPtr&&(a.bindBuffer(a.ARRAY_BUFFER,this.pointBuffer),a.bufferData(a.ARRAY_BUFFER,this.pointData.subarray(0,this.pointPtr),a.STREAM_DRAW),c&&0<=c.locAPos&&"<point>"===c.name&&a.vertexAttribPointer(c.locAPos,4,a.FLOAT,!1,0,0));if(0<this.vertexPtr){var c=this.currentShader;a.bindBuffer(a.ARRAY_BUFFER,this.vertexBuffers[this.curBuffer]);a.bufferData(a.ARRAY_BUFFER,
this.vertexData.subarray(0,this.vertexPtr),a.STREAM_DRAW);c&&0<=c.locAPos&&"<point>"!==c.name&&a.vertexAttribPointer(c.locAPos,2,a.FLOAT,!1,0,0);a.bindBuffer(a.ARRAY_BUFFER,this.texcoordBuffers[this.curBuffer]);a.bufferData(a.ARRAY_BUFFER,this.texcoordData.subarray(0,this.vertexPtr),a.STREAM_DRAW);c&&0<=c.locATex&&"<point>"!==c.name&&a.vertexAttribPointer(c.locATex,2,a.FLOAT,!1,0,0)}for(var b,a=0,c=this.batchPtr;a<c;a++)switch(b=this.batch[a],b.type){case 1:b.doQuad();break;case 2:b.doSetTexture();
break;case 3:b.doSetOpacity();break;case 4:b.doSetBlend();break;case 5:b.doUpdateModelView();break;case 6:b.doRenderToTexture();break;case 7:b.doClear();break;case 8:b.doPoints();break;case 9:b.doSetProgram();break;case 10:b.doSetProgramParameters();break;case 11:b.doSetTexture1()}this.pointPtr=this.vertexPtr=this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;this.curBuffer++;4<=this.curBuffer&&(this.curBuffer=0)}};a.prototype.setOpacity=function(a){if(a!==this.lastOpacity){var c=this.pushBatch();
c.type=3;this.lastOpacity=c.opacityParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setTexture=function(a){if(a!==this.lastTexture0){var c=this.pushBatch();c.type=2;this.lastTexture0=c.texParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setBlend=function(a,c){if(a!==this.lastSrcBlend||c!==this.lastDestBlend){var b=this.pushBatch();b.type=4;b.startIndex=a;b.indexCount=c;this.lastSrcBlend=a;this.lastDestBlend=c;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.isPremultipliedAlphaBlend=
function(){return this.lastSrcBlend===this.gl.ONE&&this.lastDestBlend===this.gl.ONE_MINUS_SRC_ALPHA};a.prototype.setAlphaBlend=function(){this.setBlend(this.gl.ONE,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.setNoPremultiplyAlphaBlend=function(){this.setBlend(this.gl.SRC_ALPHA,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.quad=function(a,c,b,d,e,f,p,s){15992<=this.vertexPtr&&this.endBatch();var q=this.vertexPtr,v=this.vertexData,w=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var y=this.pushBatch();y.type=1;y.startIndex=3*(q/4);y.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}v[q]=a;w[q++]=0;v[q]=c;w[q++]=0;v[q]=b;w[q++]=1;v[q]=d;w[q++]=0;v[q]=e;w[q++]=1;v[q]=f;w[q++]=1;v[q]=p;w[q++]=0;v[q]=s;w[q++]=1;this.vertexPtr=q};a.prototype.quadTex=function(a,c,b,d,e,f,p,s,q){15992<=this.vertexPtr&&this.endBatch();var v=this.vertexPtr,w=this.vertexData,y=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=6;else{var t=this.pushBatch();
t.type=1;t.startIndex=3*(v/4);t.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}var t=q.left,u=q.top,g=q.right;q=q.bottom;w[v]=a;y[v++]=t;w[v]=c;y[v++]=u;w[v]=b;y[v++]=g;w[v]=d;y[v++]=u;w[v]=e;y[v++]=g;w[v]=f;y[v++]=q;w[v]=p;y[v++]=t;w[v]=s;y[v++]=q;this.vertexPtr=v};a.prototype.quadTexUV=function(a,c,b,d,e,f,p,s,q,v,w,y,t,u,g,k){15992<=this.vertexPtr&&this.endBatch();var E=this.vertexPtr,z=this.vertexData,B=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var x=this.pushBatch();x.type=1;x.startIndex=3*(E/4);x.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}z[E]=a;B[E++]=q;z[E]=c;B[E++]=v;z[E]=b;B[E++]=w;z[E]=d;B[E++]=y;z[E]=e;B[E++]=t;z[E]=f;B[E++]=u;z[E]=p;B[E++]=g;z[E]=s;B[E++]=k;this.vertexPtr=E};a.prototype.point=function(a,c,b,d){7996<=this.pointPtr&&this.endBatch();var e=this.pointPtr,f=this.pointData;if(this.hasPointBatchTop)this.batch[this.batchPtr-1].indexCount++;else{var p=this.pushBatch();p.type=8;p.startIndex=e;p.indexCount=
1;this.hasPointBatchTop=!0;this.hasQuadBatchTop=!1}f[e++]=a;f[e++]=c;f[e++]=b;f[e++]=d;this.pointPtr=e};a.prototype.switchProgram=function(a){if(this.lastProgram!==a){if(!this.shaderPrograms[a]){if(0===this.lastProgram)return;a=0}var c=this.pushBatch();c.type=9;this.lastProgram=c.startIndex=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.programUsesDest=function(a){a=this.shaderPrograms[a];return!(!a.locDestStart&&!a.locDestEnd)};a.prototype.programUsesCrossSampling=function(a){a=this.shaderPrograms[a];
return!!(a.locDestStart||a.locDestEnd||a.crossSampling)};a.prototype.programExtendsBox=function(a){a=this.shaderPrograms[a];return 0!==a.extendBoxHorizontal||0!==a.extendBoxVertical};a.prototype.getProgramBoxExtendHorizontal=function(a){return this.shaderPrograms[a].extendBoxHorizontal};a.prototype.getProgramBoxExtendVertical=function(a){return this.shaderPrograms[a].extendBoxVertical};a.prototype.getProgramParameterType=function(a,c){return this.shaderPrograms[a].parameters[c][2]};a.prototype.programIsAnimated=
function(a){return this.shaderPrograms[a].animated};a.prototype.setProgramParameters=function(a,c,b,d,e,f,p,s,q,v,w,y){var t=this.shaderPrograms[this.lastProgram],u,g;if(t.hasAnyOptionalUniforms||y.length){u=this.pushBatch();u.type=10;u.mat4param?mat4.set(this.matMV,u.mat4param):u.mat4param=mat4.create();g=u.mat4param;g[0]=c;g[1]=b;g[2]=d;g[3]=e;g[4]=f;g[5]=p;g[6]=s;g[7]=q;g[8]=v;g[9]=w;u.texParam=t.locSamplerBack?a:null;if(y.length)for(b=u.shaderParams,b.length=y.length,a=0,c=y.length;a<c;a++)b[a]=
y[a];this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.clear=function(a,c,b,d){var e=this.pushBatch();e.type=7;e.startIndex=0;e.mat4param||(e.mat4param=mat4.create());e.mat4param[0]=a;e.mat4param[1]=c;e.mat4param[2]=b;e.mat4param[3]=d;this.hasPointBatchTop=this.hasQuadBatchTop=!1};a.prototype.clearRect=function(a,c,b,d){var e=this.pushBatch();e.type=7;e.startIndex=1;e.mat4param||(e.mat4param=mat4.create());e.mat4param[0]=a;e.mat4param[1]=c;e.mat4param[2]=b;e.mat4param[3]=d;this.hasPointBatchTop=
this.hasQuadBatchTop=!1};a.prototype.present=function(){this.endBatch();this.gl.flush()};var e=[],c={};a.prototype.loadTexture=function(a,b,d,l,n){b=!!b;d=!!d;var f=a.src+","+b+","+d+(b?","+n:""),p=null;if("undefined"!==typeof a.src&&c.hasOwnProperty(f))return p=c[f],p.c2refcount++,p;this.endBatch();var s=this.gl,q=cr.isPOT(a.width)&&cr.isPOT(a.height),p=s.createTexture();s.bindTexture(s.TEXTURE_2D,p);s.pixelStorei(s.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);var v=s.RGBA,w=s.RGBA,y=s.UNSIGNED_BYTE;if(l&&
!this.isIE)switch(l){case 1:w=v=s.RGB;break;case 2:y=s.UNSIGNED_SHORT_4_4_4_4;break;case 3:y=s.UNSIGNED_SHORT_5_5_5_1;break;case 4:w=v=s.RGB,y=s.UNSIGNED_SHORT_5_6_5}!q&&b?(l=document.createElement("canvas"),l.width=cr.nextHighestPowerOfTwo(a.width),l.height=cr.nextHighestPowerOfTwo(a.height),l.getContext("2d").drawImage(a,0,0,a.width,a.height,0,0,l.width,l.height),s.texImage2D(s.TEXTURE_2D,0,v,w,y,l)):s.texImage2D(s.TEXTURE_2D,0,v,w,y,a);b?"repeat-x"===n?(s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_S,
s.REPEAT),s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_T,s.CLAMP_TO_EDGE)):("repeat-y"===n?s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_S,s.CLAMP_TO_EDGE):s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_S,s.REPEAT),s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_T,s.REPEAT)):(s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_S,s.CLAMP_TO_EDGE),s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_T,s.CLAMP_TO_EDGE));d?(s.texParameteri(s.TEXTURE_2D,s.TEXTURE_MAG_FILTER,s.LINEAR),q?(s.texParameteri(s.TEXTURE_2D,s.TEXTURE_MIN_FILTER,
s.LINEAR_MIPMAP_LINEAR),s.generateMipmap(s.TEXTURE_2D)):s.texParameteri(s.TEXTURE_2D,s.TEXTURE_MIN_FILTER,s.LINEAR)):(s.texParameteri(s.TEXTURE_2D,s.TEXTURE_MAG_FILTER,s.NEAREST),s.texParameteri(s.TEXTURE_2D,s.TEXTURE_MIN_FILTER,s.NEAREST));s.bindTexture(s.TEXTURE_2D,null);this.lastTexture0=null;p.c2width=a.width;p.c2height=a.height;p.c2refcount=1;p.c2texkey=f;e.push(p);return c[f]=p};a.prototype.createEmptyTexture=function(a,c,b,d,n){this.endBatch();var f=this.gl;this.isIE&&(d=!1);var p=f.createTexture();
f.bindTexture(f.TEXTURE_2D,p);f.texImage2D(f.TEXTURE_2D,0,f.RGBA,a,c,0,f.RGBA,d?f.UNSIGNED_SHORT_4_4_4_4:f.UNSIGNED_BYTE,null);n?(f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_S,f.REPEAT),f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_T,f.REPEAT)):(f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_S,f.CLAMP_TO_EDGE),f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_T,f.CLAMP_TO_EDGE));f.texParameteri(f.TEXTURE_2D,f.TEXTURE_MAG_FILTER,b?f.LINEAR:f.NEAREST);f.texParameteri(f.TEXTURE_2D,f.TEXTURE_MIN_FILTER,b?f.LINEAR:
f.NEAREST);f.bindTexture(f.TEXTURE_2D,null);this.lastTexture0=null;p.c2width=a;p.c2height=c;e.push(p);return p};a.prototype.videoToTexture=function(a,c,b){this.endBatch();var d=this.gl;this.isIE&&(b=!1);d.bindTexture(d.TEXTURE_2D,c);d.pixelStorei(d.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);d.texImage2D(d.TEXTURE_2D,0,d.RGBA,d.RGBA,b?d.UNSIGNED_SHORT_4_4_4_4:d.UNSIGNED_BYTE,a);d.bindTexture(d.TEXTURE_2D,null);this.lastTexture0=null};a.prototype.deleteTexture=function(a){a&&("undefined"!==typeof a.c2refcount&&
1<a.c2refcount?a.c2refcount--:(this.endBatch(),a===this.lastTexture0&&(this.gl.bindTexture(this.gl.TEXTURE_2D,null),this.lastTexture0=null),a===this.lastTexture1&&(this.gl.activeTexture(this.gl.TEXTURE1),this.gl.bindTexture(this.gl.TEXTURE_2D,null),this.gl.activeTexture(this.gl.TEXTURE0),this.lastTexture1=null),cr.arrayFindRemove(e,a),"undefined"!==typeof a.c2texkey&&delete c[a.c2texkey],this.gl.deleteTexture(a)))};a.prototype.estimateVRAM=function(){var a=8*this.width*this.height,c,b,d;c=0;for(b=
e.length;c<b;c++)d=e[c],a+=4*d.c2width*d.c2height;return a};a.prototype.textureCount=function(){return e.length};a.prototype.setRenderingToTexture=function(a){if(a!==this.renderToTex){var c=this.pushBatch();c.type=6;this.renderToTex=c.texParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};cr.GLWrap=a})();
(function(){function a(a){if(a&&(a.getContext||a.dc)&&!a.c2runtime){a.c2runtime=this;var c=this;this.isCrosswalk=/crosswalk/i.test(navigator.userAgent)||/xwalk/i.test(navigator.userAgent)||!("undefined"===typeof window.c2isCrosswalk||!window.c2isCrosswalk);this.isPhoneGap=!this.isCrosswalk&&"undefined"!==typeof window.device&&("undefined"!==typeof window.device.cordova||"undefined"!==typeof window.device.phonegap);this.isDirectCanvas=!!a.dc;this.isAppMobi="undefined"!==typeof window.AppMobi||this.isDirectCanvas;
if(this.isCocoonJs=!!window.c2cocoonjs)CocoonJS.App.onSuspended.addEventListener(function(){c.setSuspended(!0)}),CocoonJS.App.onActivated.addEventListener(function(){c.setSuspended(!1)});this.isDomFree=this.isDirectCanvas||this.isCocoonJs;this.isTizen=/tizen/i.test(navigator.userAgent);this.isAndroid=/android/i.test(navigator.userAgent)&&!this.isTizen;this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent);this.isiPhone=/iphone/i.test(navigator.userAgent)||/ipod/i.test(navigator.userAgent);
this.isiPad=/ipad/i.test(navigator.userAgent);this.isiOS=this.isiPhone||this.isiPad;this.isiPhoneiOS6=this.isiPhone&&/os\s6/i.test(navigator.userAgent);this.isChrome=/chrome/i.test(navigator.userAgent)||/chromium/i.test(navigator.userAgent);this.isAmazonWebApp=/amazonwebappplatform/i.test(navigator.userAgent);this.isFirefox=/firefox/i.test(navigator.userAgent);this.isSafari=!this.isChrome&&/safari/i.test(navigator.userAgent);this.isWindows=/windows/i.test(navigator.userAgent);this.isNodeWebkit="undefined"!==
typeof window.c2nodewebkit||/nodewebkit/i.test(navigator.userAgent);this.isArcade="undefined"!==typeof window.is_scirra_arcade;this.isWindows8App=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.isWindowsPhone8=!("undefined"===typeof window.c2isWindowsPhone8||!window.c2isWindowsPhone8);this.isBlackberry10=!("undefined"===typeof window.c2isBlackberry10||!window.c2isBlackberry10);this.isAndroidStockBrowser=this.isAndroid&&!this.isChrome&&!this.isFirefox&&!this.isAmazonWebApp&&
!this.isDomFree;this.devicePixelRatio=1;this.isMobile=this.isPhoneGap||this.isCrosswalk||this.isAppMobi||this.isCocoonJs||this.isAndroid||this.isiOS||this.isWindowsPhone8||this.isBlackberry10||this.isTizen;this.isMobile||(this.isMobile=/(blackberry|bb10|playbook|palm|symbian|nokia|windows\s+ce|phone|mobile|tablet)/i.test(navigator.userAgent));"undefined"===typeof cr_is_preview||this.isNodeWebkit||"?nw"!==window.location.search&&!/nodewebkit/i.test(navigator.userAgent)||(this.isNodeWebkit=!0);this.isDebug=
"undefined"!==typeof cr_is_preview&&-1<window.location.search.indexOf("debug");this.canvas=a;this.canvasdiv=document.getElementById("c2canvasdiv");this.ctx=this.glwrap=this.gl=null;this.fullscreenOldMarginCss="";this.firstInFullscreen=!1;this.oldHeight=this.oldWidth=0;this.canvas.oncontextmenu=function(a){a.preventDefault&&a.preventDefault();return!1};this.canvas.onselectstart=function(a){a.preventDefault&&a.preventDefault();return!1};this.isDirectCanvas&&(window.c2runtime=this);this.isNodeWebkit&&
(window.ondragover=function(a){a.preventDefault();return!1},window.ondrop=function(a){a.preventDefault();return!1},require("nw.gui").App.clearCache());this.width=a.width;this.height=a.height;this.draw_width=this.width;this.draw_height=this.height;this.cssWidth=this.width;this.cssHeight=this.height;this.lastWindowWidth=window.innerWidth;this.lastWindowHeight=window.innerHeight;this.redraw=!0;this.blockSuspend=this.isSuspended=!1;Date.now||(Date.now=function(){return+new Date});this.plugins=[];this.types=
{};this.types_by_index=[];this.behaviors=[];this.layouts={};this.layouts_by_index=[];this.eventsheets={};this.eventsheets_by_index=[];this.wait_for_textures=[];this.triggers_to_postinit=[];this.all_global_vars=[];this.all_local_vars=[];this.jumpthruBehavior=this.solidBehavior=null;this.deathRow=new cr.ObjectSet;this.isInClearDeathRow=!1;this.isInOnDestroy=0;this.isRunningEvents=!1;this.createRow=[];this.isLoadingState=!1;this.lastSaveJson=this.loadFromJson=this.loadFromSlot=this.saveToSlot="";this.suspendDrawing=
this.signalledContinuousPreview=!1;this.zeroDtCount=this.cpuutilisation=this.logictime=this.dt1=this.dt=0;this.timescale=1;this.kahanTime=new cr.KahanAdder;this.last_tick_time=0;this.measuring_dt=!0;this.objectcount=this.framecount=this.execcount=this.tickcount=this.last_fps_time=this.fps=0;this.changelayout=null;this.destroycallbacks=[];this.event_stack=[];this.event_stack_index=-1;this.localvar_stack=[[]];this.trigger_depth=this.localvar_stack_index=0;this.pushEventStack(null);this.loop_stack=[];
this.loop_stack_index=-1;this.next_puid=this.next_uid=0;this.layout_first_tick=!0;this.family_count=0;this.suspend_events=[];this.timeout_id=this.raf_id=0;this.isloading=!0;this.loadingprogress=0;this.isNodeFullscreen=!1;this.stackLocalCount=0;this.halfFramerateMode=!1;this.lastRafTime=0;this.isInUserInputEvent=this.had_a_click=this.ranLastRaf=!1;this.objects_to_tick=new cr.ObjectSet;this.objects_to_tick2=new cr.ObjectSet;this.registered_collisions=[];this.temp_poly=new cr.CollisionPoly([]);this.temp_poly2=
new cr.CollisionPoly([]);this.allGroups=[];this.activeGroups={};this.cndsBySid={};this.actsBySid={};this.varsBySid={};this.blocksBySid={};this.layout_ctx=this.layout_canvas=this.layout_tex=this.layer_tex=this.layer_ctx=this.layer_canvas=this.running_layout=null;this.uses_background_blending=this.is_WebGL_context_lost=!1;this.fx_tex=[null,null];this.fullscreen_scaling=0;this.files_subfolder="";this.objectsByUid={};this.snapshotCanvas=this.loaderlogo=null;this.snapshotData="";this.load();this.devicePixelRatio=
(this.isRetina=!this.isDomFree&&this.useHighDpi&&!this.isAndroidStockBrowser)?window.devicePixelRatio||window.webkitDevicePixelRatio||window.mozDevicePixelRatio||window.msDevicePixelRatio||1:1;this.ClearDeathRow();var g,k=this.alphaBackground&&!(this.isNodeWebkit||this.isWindows8App||this.isWindowsPhone8);0<this.fullscreen_mode&&this.setSize(window.innerWidth,window.innerHeight,!0);try{!this.enableWebGL||!this.isCocoonJs&&this.isDomFree||(g={alpha:k,depth:!1,antialias:!1,failIfMajorPerformanceCaveat:!0},
this.gl=a.getContext("webgl",g)||a.getContext("experimental-webgl",g))}catch(b){}if(this.gl){this.isDomFree||(this.overlay_canvas=document.createElement("canvas"),jQuery(this.overlay_canvas).appendTo(this.canvas.parentNode),this.overlay_canvas.oncontextmenu=function(a){return!1},this.overlay_canvas.onselectstart=function(a){return!1},this.overlay_canvas.width=this.cssWidth,this.overlay_canvas.height=this.cssHeight,jQuery(this.overlay_canvas).css({width:this.cssWidth+"px",height:this.cssHeight+"px"}),
this.positionOverlayCanvas(),this.overlay_ctx=this.overlay_canvas.getContext("2d"));this.glwrap=new cr.GLWrap(this.gl,this.isMobile);this.glwrap.setSize(a.width,a.height);this.ctx=null;this.canvas.addEventListener("webglcontextlost",function(a){a.preventDefault();c.onContextLost();console.log("[Construct 2] WebGL context lost");window.cr_setSuspended(!0)},!1);this.canvas.addEventListener("webglcontextrestored",function(a){c.glwrap.initState();c.glwrap.setSize(c.glwrap.width,c.glwrap.height,!0);c.layer_tex=
null;c.layout_tex=null;c.fx_tex[0]=null;c.fx_tex[1]=null;c.onContextRestored();c.redraw=!0;console.log("[Construct 2] WebGL context restored");window.cr_setSuspended(!1)},!1);var d,f,e,p,q,h;a=0;for(g=this.types_by_index.length;a<g;a++)for(f=this.types_by_index[a],k=0,d=f.effect_types.length;k<d;k++)p=f.effect_types[k],p.shaderindex=this.glwrap.getShaderIndex(p.id),this.uses_background_blending=this.uses_background_blending||this.glwrap.programUsesDest(p.shaderindex);a=0;for(g=this.layouts_by_index.length;a<
g;a++){q=this.layouts_by_index[a];k=0;for(d=q.effect_types.length;k<d;k++)p=q.effect_types[k],p.shaderindex=this.glwrap.getShaderIndex(p.id);k=0;for(d=q.layers.length;k<d;k++)for(h=q.layers[k],f=0,e=h.effect_types.length;f<e;f++)p=h.effect_types[f],p.shaderindex=this.glwrap.getShaderIndex(p.id),this.uses_background_blending=this.uses_background_blending||this.glwrap.programUsesDest(p.shaderindex)}}else{if(0<this.fullscreen_mode&&this.isDirectCanvas){this.canvas=null;document.oncontextmenu=function(a){return!1};
document.onselectstart=function(a){return!1};this.ctx=AppMobi.canvas.getContext("2d");try{this.ctx.samplingMode=this.linearSampling?"smooth":"sharp",this.ctx.globalScale=1,this.ctx.HTML5CompatibilityMode=!0,this.ctx.imageSmoothingEnabled=this.linearSampling}catch(n){}0!==this.width&&0!==this.height&&(this.ctx.width=this.width,this.ctx.height=this.height)}this.ctx||(g=this.isCocoonJs?{antialias:!!this.linearSampling,alpha:k}:{alpha:k},this.ctx=a.getContext("2d",g),this.ctx.webkitImageSmoothingEnabled=
this.linearSampling,this.ctx.mozImageSmoothingEnabled=this.linearSampling,this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling);this.overlay_ctx=this.overlay_canvas=null}this.tickFunc=function(){c.tick()};window==window.top||this.isDomFree||this.isWindows8App||(document.addEventListener("mousedown",function(){window.focus()},!0),document.addEventListener("touchstart",function(){window.focus()},!0));"undefined"!==typeof cr_is_preview&&(this.isCocoonJs&&
console.log("[Construct 2] In preview-over-wifi via CocoonJS mode"),-1<window.location.search.indexOf("continuous")&&(cr.logexport("Reloading for continuous preview"),this.loadFromSlot="__c2_continuouspreview",this.suspendDrawing=!0),this.pauseOnBlur&&!this.isMobile&&(jQuery(window).focus(function(){c.setSuspended(!1)}),jQuery(window).blur(function(){c.setSuspended(!0)})));0===this.fullscreen_mode&&this.isRetina&&1<this.devicePixelRatio&&this.setSize(this.original_width,this.original_height,!0);this.tryLockOrientation();
this.go();this.extra={};cr.seal(this)}}function b(a){a.target.result.createObjectStore("saves",{keyPath:"slot"})}function d(a,c,g,k){var E=indexedDB.open("_C2SaveStates");E.onupgradeneeded=b;E.onerror=k;E.onsuccess=function(b){b=b.target.result;b.onerror=k;b.transaction(["saves"],"readwrite").objectStore("saves").put({slot:a,data:c}).onsuccess=g}}function e(a,c,g){var k=indexedDB.open("_C2SaveStates");k.onupgradeneeded=b;k.onerror=g;k.onsuccess=function(k){k=k.target.result;k.onerror=g;var b=k.transaction(["saves"]).objectStore("saves").get(a);
b.onsuccess=function(a){b.result?c(b.result.data):c(null)}}}function c(){cr.logexport("Reloading for continuous preview");window.c2cocoonjs?CocoonJS.App.reload():-1<window.location.search.indexOf("continuous")?window.location.reload(!0):window.location+="?continuous"}function h(a){var c,g={};for(c in a)!a.hasOwnProperty(c)||a[c]instanceof cr.ObjectSet||a[c]&&"undefined"!==typeof a[c].c2userdata||(g[c]=a[c]);return g}a.prototype.setSize=function(a,c,g){var k=0,b=0,d=0,f=0,f=0,p=this.isiPhoneiOS6&&
this.isSafari&&!navigator.standalone&&!this.isDomFree&&!this.isPhoneGap;p&&(c+=60);if(this.lastWindowWidth!==a||this.lastWindowHeight!==c||g){this.lastWindowWidth=a;this.lastWindowHeight=c;var e=this.fullscreen_mode,q=document.mozFullScreen||document.webkitIsFullScreen||!!document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen;if(q||0!==this.fullscreen_mode||g)q&&0<this.fullscreen_scaling&&(e=this.fullscreen_scaling),4<=e?(g=this.original_width/this.original_height,a/c>g?(d=c*g,5===
e?(f=d/this.original_width,1<f?f=Math.floor(f):1>f&&(f=1/Math.ceil(1/f)),d=this.original_width*f,f*=this.original_height,k=(a-d)/2,b=(c-f)/2,a=d,c=f):(k=(a-d)/2,a=d)):(f=a/g,5===e?(f/=this.original_height,1<f?f=Math.floor(f):1>f&&(f=1/Math.ceil(1/f)),d=this.original_width*f,f*=this.original_height,k=(a-d)/2,b=(c-f)/2,a=d):b=(c-f)/2,c=f),q&&!this.isNodeWebkit&&(b=k=0),k=Math.floor(k),b=Math.floor(b),a=Math.floor(a),c=Math.floor(c)):this.isNodeWebkit&&this.isNodeFullscreen&&0===this.fullscreen_mode_set&&
(k=Math.floor((a-this.original_width)/2),b=Math.floor((c-this.original_height)/2),a=this.original_width,c=this.original_height),2>e&&(this.aspect_scale=this.devicePixelRatio),this.isRetina&&this.isiPad&&1<this.devicePixelRatio&&(1024<=a&&(a=1023),1024<=c&&(c=1023)),q=this.devicePixelRatio,this.cssWidth=a,this.cssHeight=c,this.width=Math.round(a*q),this.height=Math.round(c*q),this.redraw=!0,this.wantFullscreenScalingQuality?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=
!0):this.width<this.original_width&&this.height<this.original_height||1===e?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=!0):(this.draw_width=this.original_width,this.draw_height=this.original_height,this.fullscreenScalingQuality=!1,2===e?(g=this.original_width/this.original_height,e=this.lastWindowWidth/this.lastWindowHeight,e<g?this.draw_width=this.draw_height*e:e>g&&(this.draw_height=this.draw_width/e)):3===e&&(g=this.original_width/this.original_height,
e=this.lastWindowWidth/this.lastWindowHeight,e>g?this.draw_width=this.draw_height*e:e<g&&(this.draw_height=this.draw_width/e))),this.canvasdiv&&!this.isDomFree&&(jQuery(this.canvasdiv).css({width:a+"px",height:c+"px","margin-left":k,"margin-top":b}),"undefined"!==typeof cr_is_preview&&jQuery("#borderwrap").css({width:a+"px",height:c+"px"})),this.canvas&&(this.canvas.width=Math.round(a*q),this.canvas.height=Math.round(c*q),this.isRetina&&jQuery(this.canvas).css({width:a+"px",height:c+"px"})),this.overlay_canvas&&
(this.overlay_canvas.width=a,this.overlay_canvas.height=c,jQuery(this.overlay_canvas).css({width:a+"px",height:c+"px"})),this.glwrap&&this.glwrap.setSize(Math.round(a*q),Math.round(c*q)),this.isDirectCanvas&&this.ctx&&(this.ctx.width=a,this.ctx.height=c),this.ctx&&(this.ctx.webkitImageSmoothingEnabled=this.linearSampling,this.ctx.mozImageSmoothingEnabled=this.linearSampling,this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling),this.tryLockOrientation(),
p&&window.setTimeout(function(){window.scrollTo(0,1)},100)}};a.prototype.tryLockOrientation=function(){if(this.autoLockOrientation&&0!==this.orientations){var a="portrait";2===this.orientations&&(a="landscape");screen.lockOrientation?screen.lockOrientation(a):screen.webkitLockOrientation?screen.webkitLockOrientation(a):screen.mozLockOrientation?screen.mozLockOrientation(a):screen.msLockOrientation&&screen.msLockOrientation(a)}};a.prototype.onContextLost=function(){this.is_WebGL_context_lost=!0;var a,
c,g;a=0;for(c=this.types_by_index.length;a<c;a++)if(g=this.types_by_index[a],g.onLostWebGLContext)g.onLostWebGLContext()};a.prototype.onContextRestored=function(){this.is_WebGL_context_lost=!1;var a,c,g;a=0;for(c=this.types_by_index.length;a<c;a++)if(g=this.types_by_index[a],g.onRestoreWebGLContext)g.onRestoreWebGLContext()};a.prototype.positionOverlayCanvas=function(){if(!this.isDomFree){var a=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||document.msFullscreenElement||
this.isNodeFullscreen?jQuery(this.canvas).offset():jQuery(this.canvas).position();a.position="absolute";jQuery(this.overlay_canvas).css(a)}};var m=window.cancelAnimationFrame||window.mozCancelAnimationFrame||window.webkitCancelAnimationFrame||window.msCancelAnimationFrame||window.oCancelAnimationFrame;a.prototype.setSuspended=function(a){var c;if(a&&!this.isSuspended&&!this.blockSuspend)for(cr.logexport("[Construct 2] Suspending"),this.isSuspended=!0,0!==this.raf_id&&m&&m(this.raf_id),0!==this.timeout_id&&
clearTimeout(this.timeout_id),a=0,c=this.suspend_events.length;a<c;a++)this.suspend_events[a](!0);else if(!a&&this.isSuspended){cr.logexport("[Construct 2] Resuming");this.isSuspended=!1;this.last_tick_time=cr.performance_now();this.last_fps_time=cr.performance_now();a=this.logictime=this.framecount=0;for(c=this.suspend_events.length;a<c;a++)this.suspend_events[a](!1);this.tick()}};a.prototype.addSuspendCallback=function(a){this.suspend_events.push(a)};a.prototype.load=function(){var a=cr.getProjectModel();
this.name=a[0];this.first_layout=a[1];this.fullscreen_mode=a[11];this.fullscreen_mode_set=a[11];this.original_width=a[9];this.original_height=a[10];this.parallax_x_origin=this.original_width/2;this.parallax_y_origin=this.original_height/2;this.isDomFree&&(4<=a[11]||0===a[11])&&(cr.logexport("[Construct 2] Letterbox scale fullscreen modes are not supported on this platform - falling back to 'Scale outer'"),this.fullscreen_mode_set=this.fullscreen_mode=3);this.uses_loader_layout=a[17];this.loaderstyle=
a[18];0===this.loaderstyle&&(this.loaderlogo=new Image,this.loaderlogo.src="loading-logo.png");this.next_uid=a[20];this.system=new cr.system_object(this);var c,g,k,b,d,f,e,p,q;c=0;for(g=a[2].length;c<g;c++){e=a[2][c];cr.add_common_aces(e);q=new e[0](this);q.singleglobal=e[1];q.is_world=e[2];q.must_predraw=e[9];if(q.onCreate)q.onCreate();cr.seal(q);this.plugins.push(q)}a=cr.getProjectModel();c=0;for(g=a[3].length;c<g;c++){e=a[3][c];d=e[1];q=null;k=0;for(b=this.plugins.length;k<b;k++)if(this.plugins[k]instanceof
d){q=this.plugins[k];break}var h=new q.Type(q);h.name=e[0];h.is_family=e[2];h.instvar_sids=e[3].slice(0);h.vars_count=e[3].length;h.behs_count=e[4];h.fx_count=e[5];h.sid=e[11];h.is_family?(h.members=[],h.family_index=this.family_count++,h.families=null):(h.members=null,h.family_index=-1,h.families=[]);h.family_var_map=null;h.family_beh_map=null;h.family_fx_map=null;h.is_contained=!1;h.container=null;e[6]?(h.texture_file=e[6][0],h.texture_filesize=e[6][1],h.texture_pixelformat=e[6][2]):(h.texture_file=
null,h.texture_filesize=0,h.texture_pixelformat=0);h.animations=e[7]?e[7]:null;h.index=c;h.instances=[];h.deadCache=[];h.solstack=[new cr.selection(h)];h.cur_sol=0;h.default_instance=null;h.default_layerindex=0;h.stale_iids=!0;h.updateIIDs=cr.type_updateIIDs;h.getFirstPicked=cr.type_getFirstPicked;h.getPairedInstance=cr.type_getPairedInstance;h.getCurrentSol=cr.type_getCurrentSol;h.pushCleanSol=cr.type_pushCleanSol;h.pushCopySol=cr.type_pushCopySol;h.popSol=cr.type_popSol;h.getBehaviorByName=cr.type_getBehaviorByName;
h.getBehaviorIndexByName=cr.type_getBehaviorIndexByName;h.getEffectIndexByName=cr.type_getEffectIndexByName;h.applySolToContainer=cr.type_applySolToContainer;h.getInstanceByIID=cr.type_getInstanceByIID;h.collision_grid=new cr.SparseGrid(this.original_width,this.original_height);h.any_cell_changed=!0;h.any_instance_parallaxed=!1;h.extra={};h.toString=cr.type_toString;h.behaviors=[];k=0;for(b=e[8].length;k<b;k++){p=e[8][k];var n=p[1],m=null;d=0;for(f=this.behaviors.length;d<f;d++)if(this.behaviors[d]instanceof
n){m=this.behaviors[d];break}if(!m){m=new n(this);m.my_types=[];m.my_instances=new cr.ObjectSet;if(m.onCreate)m.onCreate();cr.seal(m);this.behaviors.push(m);cr.behaviors.solid&&m instanceof cr.behaviors.solid&&(this.solidBehavior=m);cr.behaviors.jumpthru&&m instanceof cr.behaviors.jumpthru&&(this.jumpthruBehavior=m)}-1===m.my_types.indexOf(h)&&m.my_types.push(h);d=new m.Type(m,h);d.name=p[0];d.sid=p[2];d.onCreate();cr.seal(d);h.behaviors.push(d)}h.global=e[9];h.isOnLoaderLayout=e[10];h.effect_types=
[];k=0;for(b=e[12].length;k<b;k++)h.effect_types.push({id:e[12][k][0],name:e[12][k][1],shaderindex:-1,active:!0,index:k});h.tile_poly_data=e[13];if(!this.uses_loader_layout||h.is_family||h.isOnLoaderLayout||!q.is_world)h.onCreate(),cr.seal(h);h.name&&(this.types[h.name]=h);this.types_by_index.push(h);q.singleglobal&&(k=new q.Instance(h),k.uid=this.next_uid++,k.puid=this.next_puid++,k.iid=0,k.get_iid=cr.inst_get_iid,k.toString=cr.inst_toString,k.properties=e[14],k.onCreate(),cr.seal(k),h.instances.push(k),
this.objectsByUid[k.uid.toString()]=k)}c=0;for(g=a[4].length;c<g;c++)for(d=a[4][c],f=this.types_by_index[d[0]],k=1,b=d.length;k<b;k++)e=this.types_by_index[d[k]],e.families.push(f),f.members.push(e);c=0;for(g=a[23].length;c<g;c++){d=a[23][c];f=[];k=0;for(b=d.length;k<b;k++)f.push(this.types_by_index[d[k]]);k=0;for(b=f.length;k<b;k++)f[k].is_contained=!0,f[k].container=f}if(0<this.family_count)for(c=0,g=this.types_by_index.length;c<g;c++)if(e=this.types_by_index[c],!e.is_family&&e.families.length){e.family_var_map=
Array(this.family_count);e.family_beh_map=Array(this.family_count);e.family_fx_map=Array(this.family_count);h=[];k=m=n=p=0;for(b=e.families.length;k<b;k++)for(q=e.families[k],e.family_var_map[q.family_index]=p,p+=q.vars_count,e.family_beh_map[q.family_index]=n,n+=q.behs_count,e.family_fx_map[q.family_index]=m,m+=q.fx_count,d=0,f=q.effect_types.length;d<f;d++)h.push(cr.shallowCopy({},q.effect_types[d]));e.effect_types=h.concat(e.effect_types);k=0;for(b=e.effect_types.length;k<b;k++)e.effect_types[k].index=
k}c=0;for(g=a[5].length;c<g;c++)e=a[5][c],k=new cr.layout(this,e),cr.seal(k),this.layouts[k.name]=k,this.layouts_by_index.push(k);c=0;for(g=a[6].length;c<g;c++)e=a[6][c],k=new cr.eventsheet(this,e),cr.seal(k),this.eventsheets[k.name]=k,this.eventsheets_by_index.push(k);c=0;for(g=this.eventsheets_by_index.length;c<g;c++)this.eventsheets_by_index[c].postInit();c=0;for(g=this.triggers_to_postinit.length;c<g;c++)this.triggers_to_postinit[c].postInit();this.triggers_to_postinit.length=0;this.files_subfolder=
a[7];this.pixel_rounding=a[8];this.aspect_scale=1;this.enableWebGL=a[12];this.linearSampling=a[13];this.alphaBackground=a[14];this.versionstr=a[15];this.useHighDpi=a[16];this.orientations=a[19];this.autoLockOrientation=0<this.orientations;this.pauseOnBlur=a[21];this.fullscreenScalingQuality=this.wantFullscreenScalingQuality=a[22];this.start_time=Date.now()};var r=!1;a.prototype.waitForImageLoad=function(a){a.onerror=function(){r=a.c2error=!0};this.wait_for_textures.push(a)};a.prototype.findWaitingTexture=
function(a){var c,g;c=0;for(g=this.wait_for_textures.length;c<g;c++)if(this.wait_for_textures[c].cr_src===a)return this.wait_for_textures[c];return null};a.prototype.areAllTexturesLoaded=function(){var a=0,c=0,g=!0,k,b,d;k=0;for(b=this.wait_for_textures.length;k<b;k++){d=this.wait_for_textures[k];var f=d.cr_filesize;if(!f||0>=f)f=5E4;a+=f;!d.complete&&!d.loaded||d.c2error?g=!1:c+=f}this.progress=0==a?0:c/a;return g};a.prototype.go=function(){if(this.ctx||this.glwrap){var a=this.ctx||this.overlay_ctx;
this.overlay_canvas&&this.positionOverlayCanvas();this.progress=0;this.last_progress=-1;if(this.areAllTexturesLoaded())this.go_textures_done();else{var c=Date.now()-this.start_time;if(a){var g=this.width,k=this.height,b=this.devicePixelRatio;this.overlay_canvas&&(g=this.cssWidth,k=this.cssHeight,b=1);if(3!==this.loaderstyle&&500<=c&&this.last_progress!=this.progress){a.clearRect(0,0,g,k);var c=g/2,k=k/2,g=0===this.loaderstyle&&this.loaderlogo.complete,d=40*b,f=0,e=80*b,p;g&&(e=this.loaderlogo.width*
b,p=this.loaderlogo.height*b,d=e/2,f=p/2,a.drawImage(this.loaderlogo,cr.floor(c-d),cr.floor(k-f),e,p));1>=this.loaderstyle?(k+=f+(g?12*b:0),c=cr.floor(c-d)+0.5,k=cr.floor(k)+0.5,a.fillStyle=r?"red":"DodgerBlue",a.fillRect(c,k,Math.floor(e*this.progress),6*b),a.strokeStyle="black",a.strokeRect(c,k,e,6*b),a.strokeStyle="white",a.strokeRect(c-1*b,k-1*b,e+2*b,8*b)):2===this.loaderstyle&&(a.font="12pt Arial",a.fillStyle=r?"#f00":"#999",a.textBaseLine="middle",b=Math.round(100*this.progress)+"%",g=a.measureText?
a.measureText(b):null,a.fillText(b,c-(g?g.width:0)/2,k))}this.last_progress=this.progress}setTimeout(function(a){return function(){a.go()}}(this),100)}}};a.prototype.go_textures_done=function(){this.overlay_canvas&&(this.canvas.parentNode.removeChild(this.overlay_canvas),this.overlay_canvas=this.overlay_ctx=null);this.start_time=Date.now();this.last_fps_time=cr.performance_now();var a,c,g;if(this.uses_loader_layout)for(a=0,c=this.types_by_index.length;a<c;a++)g=this.types_by_index[a],g.is_family||
g.isOnLoaderLayout||!g.plugin.is_world||(g.onCreate(),cr.seal(g));else this.isloading=!1;a=0;for(c=this.layouts_by_index.length;a<c;a++)this.layouts_by_index[a].createGlobalNonWorlds();2<=this.fullscreen_mode&&(a=this.original_width/this.original_height,c=this.width/this.height,this.aspect_scale=2!==this.fullscreen_mode&&c>a||2===this.fullscreen_mode&&c<a?this.height/this.original_height:this.width/this.original_width);this.first_layout?this.layouts[this.first_layout].startRunning():this.layouts_by_index[0].startRunning();
this.uses_loader_layout||(this.loadingprogress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null));navigator.splashscreen&&navigator.splashscreen.hide&&navigator.splashscreen.hide();a=0;for(c=this.types_by_index.length;a<c;a++)if(g=this.types_by_index[a],g.onAppBegin)g.onAppBegin();this.tick();this.isDirectCanvas&&AppMobi.webview.execute("onGameReady();")};var l=window.requestAnimationFrame||window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame||window.msRequestAnimationFrame||
window.oRequestAnimationFrame;a.prototype.tick=function(){if(this.running_layout){var a=cr.performance_now();if(this.halfFramerateMode&&this.ranLastRaf&&29>a-this.lastRafTime)this.ranLastRaf=!1,this.lastRafTime=a,l?this.raf_id=l(this.tickFunc,this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16);else{this.ranLastRaf=!0;this.lastRafTime=a;var c=this.fullscreen_mode,g=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement;(g||this.isNodeFullscreen)&&
0<this.fullscreen_scaling&&(c=this.fullscreen_scaling);if(0<c&&(!this.isiPhone||window.self!==window.top)){var c=window.innerWidth,k=window.innerHeight;this.lastWindowWidth===c&&this.lastWindowHeight===k||this.setSize(c,k)}this.isDomFree||(g?(this.firstInFullscreen||(this.fullscreenOldMarginCss=jQuery(this.canvas).css("margin")||"0",this.firstInFullscreen=!0),this.isChrome||this.isNodeWebkit||jQuery(this.canvas).css({"margin-left":""+Math.floor((screen.width-this.width/this.devicePixelRatio)/2)+"px",
"margin-top":""+Math.floor((screen.height-this.height/this.devicePixelRatio)/2)+"px"})):this.firstInFullscreen?(this.isChrome||this.isNodeWebkit||jQuery(this.canvas).css("margin",this.fullscreenOldMarginCss),this.fullscreenOldMarginCss="",this.firstInFullscreen=!1,0===this.fullscreen_mode&&this.setSize(Math.round(this.oldWidth/this.devicePixelRatio),Math.round(this.oldHeight/this.devicePixelRatio),!0)):(this.oldWidth=this.width,this.oldHeight=this.height));this.isloading&&(g=this.areAllTexturesLoaded(),
this.loadingprogress=this.progress,g&&(this.isloading=!1,this.progress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null)));this.logic();!this.redraw&&!this.isCocoonJs||this.is_WebGL_context_lost||this.suspendDrawing||(this.redraw=!1,this.glwrap?this.drawGL():this.draw(),this.snapshotCanvas&&(this.canvas&&this.canvas.toDataURL&&(this.snapshotData=this.canvas.toDataURL(this.snapshotCanvas[0],this.snapshotCanvas[1]),this.trigger(cr.system_object.prototype.cnds.OnCanvasSnapshot,null)),
this.snapshotCanvas=null));this.hit_breakpoint||(this.tickcount++,this.execcount++,this.framecount++);this.logictime+=cr.performance_now()-a;this.isSuspended||(l?this.raf_id=l(this.tickFunc,this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16))}}};a.prototype.logic=function(){var a,c,g,k,b,d,f,e,p;a=cr.performance_now();1E3<=a-this.last_fps_time&&(this.last_fps_time+=1E3,this.fps=this.framecount,this.framecount=0,this.cpuutilisation=this.logictime,this.logictime=0);this.measuring_dt&&
(0!==this.last_tick_time&&(c=a-this.last_tick_time,0!==c||this.isDebug?(this.dt1=c/1E3,0.5<this.dt1?this.dt1=0:0.1<this.dt1&&(this.dt1=0.1)):(this.zeroDtCount++,10<=this.zeroDtCout&&(this.measuring_dt=!1),this.dt1=1/60)),this.last_tick_time=a);this.dt=this.dt1*this.timescale;this.kahanTime.add(this.dt);a=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement||this.isNodeFullscreen;2<=this.fullscreen_mode||a&&0<this.fullscreen_scaling?(c=this.original_width/
this.original_height,g=this.width/this.height,k=this.fullscreen_mode,a&&0<this.fullscreen_scaling&&(k=this.fullscreen_scaling),this.aspect_scale=2!==k&&g>c||2===k&&g<c?this.height/this.original_height:this.width/this.original_width,this.running_layout&&(this.running_layout.scrollToX(this.running_layout.scrollX),this.running_layout.scrollToY(this.running_layout.scrollY))):this.aspect_scale=this.isRetina?this.devicePixelRatio:1;this.ClearDeathRow();this.isInOnDestroy++;this.system.runWaits();this.isInOnDestroy--;
this.ClearDeathRow();this.isInOnDestroy++;a=0;for(c=this.types_by_index.length;a<c;a++)if(f=this.types_by_index[a],!f.is_family&&(f.behaviors.length||f.families.length))for(g=0,k=f.instances.length;g<k;g++)for(e=f.instances[g],b=0,d=e.behavior_insts.length;b<d;b++)e.behavior_insts[b].tick();a=0;for(c=this.types_by_index.length;a<c;a++)if(f=this.types_by_index[a],!f.is_family&&(f.behaviors.length||f.families.length))for(g=0,k=f.instances.length;g<k;g++)for(e=f.instances[g],b=0,d=e.behavior_insts.length;b<
d;b++)p=e.behavior_insts[b],p.posttick&&p.posttick();g=this.objects_to_tick.valuesRef();a=0;for(c=g.length;a<c;a++)g[a].tick();this.isInOnDestroy--;this.handleSaveLoad();for(a=0;this.changelayout&&10>a++;)this.doChangeLayout(this.changelayout);a=0;for(c=this.eventsheets_by_index.length;a<c;a++)this.eventsheets_by_index[a].hasRun=!1;this.running_layout.event_sheet&&this.running_layout.event_sheet.run();this.registered_collisions.length=0;this.layout_first_tick=!1;this.isInOnDestroy++;a=0;for(c=this.types_by_index.length;a<
c;a++)if(f=this.types_by_index[a],!f.is_family&&(f.behaviors.length||f.families.length))for(g=0,k=f.instances.length;g<k;g++)for(e=f.instances[g],b=0,d=e.behavior_insts.length;b<d;b++)p=e.behavior_insts[b],p.tick2&&p.tick2();g=this.objects_to_tick2.valuesRef();a=0;for(c=g.length;a<c;a++)g[a].tick2();this.isInOnDestroy--};a.prototype.doChangeLayout=function(a){var c=this.running_layout;this.running_layout.stopRunning();var g,k,b,d,f,e,p;if(this.glwrap)for(g=0,k=this.types_by_index.length;g<k;g++)f=
this.types_by_index[g],f.is_family||!f.unloadTextures||f.global&&0!==f.instances.length||-1!==a.initial_types.indexOf(f)||f.unloadTextures();c==a&&(this.system.waits.length=0);a.startRunning();g=0;for(k=this.types_by_index.length;g<k;g++)if(f=this.types_by_index[g],f.global||f.plugin.singleglobal)for(a=0,c=f.instances.length;a<c;a++){e=f.instances[a];if(e.onLayoutChange)e.onLayoutChange();if(e.behavior_insts)for(b=0,d=e.behavior_insts.length;b<d;b++)if(p=e.behavior_insts[b],p.onLayoutChange)p.onLayoutChange()}this.layout_first_tick=
this.redraw=!0;this.ClearDeathRow()};a.prototype.tickMe=function(a){this.objects_to_tick.add(a)};a.prototype.untickMe=function(a){this.objects_to_tick.remove(a)};a.prototype.tick2Me=function(a){this.objects_to_tick2.add(a)};a.prototype.untick2Me=function(a){this.objects_to_tick2.remove(a)};a.prototype.getDt=function(a){return a&&-1!==a.my_timescale?this.dt1*a.my_timescale:this.dt};a.prototype.draw=function(){this.running_layout.draw(this.ctx);this.isDirectCanvas&&this.ctx.present()};a.prototype.drawGL=
function(){this.running_layout.drawGL(this.glwrap);this.glwrap.present()};a.prototype.addDestroyCallback=function(a){a&&this.destroycallbacks.push(a)};a.prototype.removeDestroyCallback=function(a){cr.arrayFindRemove(this.destroycallbacks,a)};a.prototype.getObjectByUID=function(a){a=a.toString();return this.objectsByUid.hasOwnProperty(a)?this.objectsByUid[a]:null};a.prototype.DestroyInstance=function(a){var c,g;if(!this.deathRow.contains(a)){this.deathRow.add(a);if(a.is_contained)for(c=0,g=a.siblings.length;c<
g;c++)this.DestroyInstance(a.siblings[c]);this.isInClearDeathRow&&this.deathRow.values_cache.push(a);this.isInOnDestroy++;this.trigger(Object.getPrototypeOf(a.type.plugin).cnds.OnDestroyed,a);this.isInOnDestroy--}};a.prototype.ClearDeathRow=function(){var a,c,g,k,b,d,f,e,p,q;this.isInClearDeathRow=!0;k=0;for(d=this.createRow.length;k<d;k++)for(a=this.createRow[k],c=a.type,c.instances.push(a),b=0,f=c.families.length;b<f;b++)c.families[b].instances.push(a),c.families[b].stale_iids=!0;this.createRow.length=
0;d=this.deathRow.valuesRef();for(k=0;k<d.length;k++){a=d[k];c=a.type;g=c.instances;b=0;for(f=this.destroycallbacks.length;b<f;b++)this.destroycallbacks[b](a);cr.arrayFindRemove(g,a);0===g.length&&(c.any_instance_parallaxed=!1);a.collcells&&c.collision_grid.update(a,a.collcells,null);a.layer&&(cr.arrayRemove(a.layer.instances,a.get_zindex()),a.layer.zindices_stale=!0);b=0;for(f=c.families.length;b<f;b++)cr.arrayFindRemove(c.families[b].instances,a),c.families[b].stale_iids=!0;if(a.behavior_insts)for(b=
0,f=a.behavior_insts.length;b<f;b++){g=a.behavior_insts[b];if(g.onDestroy)g.onDestroy();g.behavior.my_instances.remove(a)}this.objects_to_tick.remove(a);this.objects_to_tick2.remove(a);b=0;for(f=this.system.waits.length;b<f;b++)if(p=this.system.waits[b],p.sols.hasOwnProperty(c.index)&&cr.arrayFindRemove(p.sols[c.index].insts,a),!c.is_family)for(g=0,e=c.families.length;g<e;g++)q=c.families[g],p.sols.hasOwnProperty(q.index)&&cr.arrayFindRemove(p.sols[q.index].insts,a);if(a.onDestroy)a.onDestroy();this.objectsByUid.hasOwnProperty(a.uid.toString())&&
delete this.objectsByUid[a.uid.toString()];this.objectcount--;64>c.deadCache.length&&c.deadCache.push(a);c.stale_iids=!0}this.deathRow.isEmpty()||(this.redraw=!0);this.deathRow.clear();this.isInClearDeathRow=!1};a.prototype.createInstance=function(a,c,g,k){if(a.is_family){var b=cr.floor(Math.random()*a.members.length);return this.createInstance(a.members[b],c,g,k)}return a.default_instance?this.createInstanceFromInit(a.default_instance,c,!1,g,k,!1):null};var n=[];a.prototype.createInstanceFromInit=
function(a,c,g,k,b,d){var f,e,p,q;if(!a)return null;var h=this.types_by_index[a[1]],m=h.plugin.is_world;if(this.isloading&&m&&!h.isOnLoaderLayout||m&&!this.glwrap&&11===a[0][11])return null;var y=c;m||(c=null);var l;h.deadCache.length?(l=h.deadCache.pop(),l.recycled=!0,h.plugin.Instance.call(l,h)):(l=new h.plugin.Instance(h),l.recycled=!1);l.uid=g&&!d?a[2]:this.next_uid++;this.objectsByUid[l.uid.toString()]=l;l.puid=this.next_puid++;l.iid=h.instances.length;f=0;for(e=this.createRow.length;f<e;++f)this.createRow[f].type===
h&&l.iid++;l.get_iid=cr.inst_get_iid;p=a[3];if(l.recycled)cr.wipe(l.extra);else{l.extra={};if("undefined"!==typeof cr_is_preview)for(l.instance_var_names=[],l.instance_var_names.length=p.length,f=0,e=p.length;f<e;f++)l.instance_var_names[f]=p[f][1];l.instance_vars=[];l.instance_vars.length=p.length}f=0;for(e=p.length;f<e;f++)l.instance_vars[f]=p[f][0];if(m){var s=a[0];l.x=cr.is_undefined(k)?s[0]:k;l.y=cr.is_undefined(b)?s[1]:b;l.z=s[2];l.width=s[3];l.height=s[4];l.depth=s[5];l.angle=s[6];l.opacity=
s[7];l.hotspotX=s[8];l.hotspotY=s[9];l.blend_mode=s[10];f=s[11];!this.glwrap&&h.effect_types.length&&(l.blend_mode=f);l.compositeOp=cr.effectToCompositeOp(l.blend_mode);this.gl&&cr.setGLBlend(l,l.blend_mode,this.gl);if(l.recycled){f=0;for(e=s[12].length;f<e;f++)for(p=0,q=s[12][f].length;p<q;p++)l.effect_params[f][p]=s[12][f][p];l.bbox.set(0,0,0,0);l.collcells.set(0,0,-1,-1);l.bquad.set_from_rect(l.bbox);l.bbox_changed_callbacks.length=0}else{l.effect_params=s[12].slice(0);f=0;for(e=l.effect_params.length;f<
e;f++)l.effect_params[f]=s[12][f].slice(0);l.active_effect_types=[];l.active_effect_flags=[];l.active_effect_flags.length=h.effect_types.length;l.bbox=new cr.rect(0,0,0,0);l.collcells=new cr.rect(0,0,-1,-1);l.bquad=new cr.quad;l.bbox_changed_callbacks=[];l.set_bbox_changed=cr.set_bbox_changed;l.add_bbox_changed_callback=cr.add_bbox_changed_callback;l.contains_pt=cr.inst_contains_pt;l.update_bbox=cr.update_bbox;l.update_collision_cell=cr.update_collision_cell;l.get_zindex=cr.inst_get_zindex}l.tilemap_exists=
!1;l.tilemap_width=0;l.tilemap_height=0;l.tilemap_data=null;14===s.length&&(l.tilemap_exists=!0,l.tilemap_width=s[13][0],l.tilemap_height=s[13][1],l.tilemap_data=s[13][2]);f=0;for(e=h.effect_types.length;f<e;f++)l.active_effect_flags[f]=!0;l.updateActiveEffects=cr.inst_updateActiveEffects;l.updateActiveEffects();l.uses_shaders=!!l.active_effect_types.length;l.bbox_changed=!0;l.cell_changed=!0;h.any_cell_changed=!0;l.visible=!0;l.my_timescale=-1;l.layer=c;l.zindex=c.instances.length;"undefined"===
typeof l.collision_poly&&(l.collision_poly=null);this.redraw=l.collisionsEnabled=!0}l.toString=cr.inst_toString;var r;f=n.length=0;for(e=h.families.length;f<e;f++)n.push.apply(n,h.families[f].behaviors);n.push.apply(n,h.behaviors);if(l.recycled)for(f=0,e=n.length;f<e;f++){var w=n[f];r=l.behavior_insts[f];r.recycled=!0;w.behavior.Instance.call(r,w,l);s=a[4][f];p=0;for(q=s.length;p<q;p++)r.properties[p]=s[p];r.onCreate();w.behavior.my_instances.add(l)}else for(l.behavior_insts=[],f=0,e=n.length;f<e;f++)w=
n[f],r=new w.behavior.Instance(w,l),r.recycled=!1,r.properties=a[4][f].slice(0),r.onCreate(),cr.seal(r),l.behavior_insts.push(r),w.behavior.my_instances.add(l);s=a[5];if(l.recycled)for(f=0,e=s.length;f<e;f++)l.properties[f]=s[f];else l.properties=s.slice(0);this.createRow.push(l);c&&(c.instances.push(l),1!==c.parallaxX||1!==c.parallaxY)&&(h.any_instance_parallaxed=!0);this.objectcount++;if(h.is_contained){if(l.is_contained=!0,l.recycled?l.siblings.length=0:l.siblings=[],!g&&!d){f=0;for(e=h.container.length;f<
e;f++)if(h.container[f]!==h){if(!h.container[f].default_instance)return null;l.siblings.push(this.createInstanceFromInit(h.container[f].default_instance,y,!1,m?l.x:k,m?l.y:b,!0))}f=0;for(e=l.siblings.length;f<e;f++)for(l.siblings[f].siblings.push(l),p=0;p<e;p++)f!==p&&l.siblings[f].siblings.push(l.siblings[p])}}else l.is_contained=!1,l.siblings=null;l.onCreate();l.recycled||cr.seal(l);f=0;for(e=l.behavior_insts.length;f<e;f++)l.behavior_insts[f].postCreate&&l.behavior_insts[f].postCreate();return l};
a.prototype.getLayerByName=function(a){var c,g;c=0;for(g=this.running_layout.layers.length;c<g;c++){var k=this.running_layout.layers[c];if(cr.equals_nocase(k.name,a))return k}return null};a.prototype.getLayerByNumber=function(a){a=cr.floor(a);0>a&&(a=0);a>=this.running_layout.layers.length&&(a=this.running_layout.layers.length-1);return this.running_layout.layers[a]};a.prototype.getLayer=function(a){return cr.is_number(a)?this.getLayerByNumber(a):this.getLayerByName(a.toString())};a.prototype.clearSol=
function(a){var c,g;c=0;for(g=a.length;c<g;c++)a[c].getCurrentSol().select_all=!0};a.prototype.pushCleanSol=function(a){var c,g;c=0;for(g=a.length;c<g;c++)a[c].pushCleanSol()};a.prototype.pushCopySol=function(a){var c,g;c=0;for(g=a.length;c<g;c++)a[c].pushCopySol()};a.prototype.popSol=function(a){var c,g;c=0;for(g=a.length;c<g;c++)a[c].popSol()};a.prototype.updateAllCells=function(a){if(a.any_cell_changed){var c,g,k=a.instances;c=0;for(g=k.length;c<g;++c)k[c].update_collision_cell();k=this.createRow;
c=0;for(g=k.length;c<g;++c)k[c].type===a&&k[c].update_collision_cell();a.any_cell_changed=!1}};a.prototype.getCollisionCandidates=function(a,c,g,k){var b,f,d=a?1!==a.parallaxX||1!==a.parallaxY:!1;if(c.is_family)for(a=0,b=c.members.length;a<b;++a)f=c.members[a],d||f.any_instance_parallaxed?cr.appendArray(k,f.instances):(this.updateAllCells(f),f.collision_grid.queryRange(g,k));else d||c.any_instance_parallaxed?cr.appendArray(k,c.instances):(this.updateAllCells(c),c.collision_grid.queryRange(g,k))};
a.prototype.getTypesCollisionCandidates=function(a,c,g,k){var b,f;b=0;for(f=c.length;b<f;++b)this.getCollisionCandidates(a,c[b],g,k)};a.prototype.getSolidCollisionCandidates=function(a,c,g){var k=this.getSolidBehavior();if(!k)return null;this.getTypesCollisionCandidates(a,k.my_types,c,g)};a.prototype.getJumpthruCollisionCandidates=function(a,c,g){var k=this.getJumpthruBehavior();if(!k)return null;this.getTypesCollisionCandidates(a,k.my_types,c,g)};a.prototype.testAndSelectCanvasPointOverlap=function(a,
c,g,k){var b=a.getCurrentSol(),f,d,e,p,h,q;if(b.select_all)for(k||(b.select_all=!1,b.instances.length=0),f=0,p=a.instances.length;f<p;f++){if(e=a.instances[f],e.update_bbox(),h=e.layer.canvasToLayer(c,g,!0),q=e.layer.canvasToLayer(c,g,!1),e.contains_pt(h,q)){if(k)return!1;b.instances.push(e)}}else{f=d=0;for(p=b.instances.length;f<p;f++)if(e=b.instances[f],e.update_bbox(),h=e.layer.canvasToLayer(c,g,!0),q=e.layer.canvasToLayer(c,g,!1),e.contains_pt(h,q)){if(k)return!1;b.instances[d]=b.instances[f];
d++}k||(b.instances.length=d)}a.applySolToContainer();return k?!0:b.hasObjects()};a.prototype.testOverlap=function(a,c){if(!(a&&c&&a!==c&&a.collisionsEnabled&&c.collisionsEnabled))return!1;a.update_bbox();c.update_bbox();var g=a.layer,k=c.layer,b,f,d,e,p,h,q,l;if(g===k||g.parallaxX===k.parallaxX&&k.parallaxY===k.parallaxY&&g.scale===k.scale&&g.angle===k.angle&&g.zoomRate===k.zoomRate){if(!a.bbox.intersects_rect(c.bbox)||!a.bquad.intersects_quad(c.bquad)||a.tilemap_exists&&c.tilemap_exists)return!1;
if(a.tilemap_exists)return this.testTilemapOverlap(a,c);if(c.tilemap_exists)return this.testTilemapOverlap(c,a);q=a.collision_poly&&!a.collision_poly.is_empty();b=c.collision_poly&&!c.collision_poly.is_empty();if(!q&&!b)return!0;q?(a.collision_poly.cache_poly(a.width,a.height,a.angle),q=a.collision_poly):(this.temp_poly.set_from_quad(a.bquad,a.x,a.y,a.width,a.height),q=this.temp_poly);b?(c.collision_poly.cache_poly(c.width,c.height,c.angle),l=c.collision_poly):(this.temp_poly.set_from_quad(c.bquad,
c.x,c.y,c.width,c.height),l=this.temp_poly);return q.intersects_poly(l,c.x-a.x,c.y-a.y)}q=a.collision_poly&&!a.collision_poly.is_empty();b=c.collision_poly&&!c.collision_poly.is_empty();q?(a.collision_poly.cache_poly(a.width,a.height,a.angle),this.temp_poly.set_from_poly(a.collision_poly)):this.temp_poly.set_from_quad(a.bquad,a.x,a.y,a.width,a.height);q=this.temp_poly;b?(c.collision_poly.cache_poly(c.width,c.height,c.angle),this.temp_poly2.set_from_poly(c.collision_poly)):this.temp_poly2.set_from_quad(c.bquad,
c.x,c.y,c.width,c.height);l=this.temp_poly2;b=0;for(f=q.pts_count;b<f;b++)d=2*b,e=d+1,p=q.pts_cache[d],h=q.pts_cache[e],q.pts_cache[d]=g.layerToCanvas(p+a.x,h+a.y,!0),q.pts_cache[e]=g.layerToCanvas(p+a.x,h+a.y,!1);q.update_bbox();b=0;for(f=l.pts_count;b<f;b++)d=2*b,e=d+1,p=l.pts_cache[d],h=l.pts_cache[e],l.pts_cache[d]=k.layerToCanvas(p+c.x,h+c.y,!0),l.pts_cache[e]=k.layerToCanvas(p+c.x,h+c.y,!1);l.update_bbox();return q.intersects_poly(l,0,0)};var f=new cr.quad,p=new cr.rect(0,0,0,0),s=[];a.prototype.testTilemapOverlap=
function(a,c){var g,k,b,d,e=c.bbox,p=a.x,h=a.y;a.getCollisionRectCandidates(e,s);var q=c.collision_poly&&!c.collision_poly.is_empty();g=0;for(k=s.length;g<k;++g)if(b=s[g],d=b.rc,e.intersects_rect_off(d,p,h)&&(f.set_from_rect(d),f.offset(p,h),f.intersects_quad(c.bquad)))if(q)if(c.collision_poly.cache_poly(c.width,c.height,c.angle),b.poly){if(b.poly.intersects_poly(c.collision_poly,c.x-(p+d.left),c.y-(h+d.top)))return s.length=0,!0}else{if(this.temp_poly.set_from_quad(f,0,0,d.right-d.left,d.bottom-
d.top),this.temp_poly.intersects_poly(c.collision_poly,c.x,c.y))return s.length=0,!0}else if(b.poly){if(this.temp_poly.set_from_quad(c.bquad,0,0,c.width,c.height),b.poly.intersects_poly(this.temp_poly,-(p+d.left),-(h+d.top)))return s.length=0,!0}else return s.length=0,!0;s.length=0;return!1};a.prototype.testRectOverlap=function(a,c){if(!c||!c.collisionsEnabled)return!1;c.update_bbox();if(!c.bbox.intersects_rect(a))return!1;if(c.tilemap_exists){c.getCollisionRectCandidates(a,s);var g,k,b,d,e=c.x,p=
c.y;g=0;for(k=s.length;g<k;++g)if(b=s[g],d=b.rc,a.intersects_rect_off(d,e,p))if(b.poly){if(this.temp_poly.set_from_rect(a,0,0),b.poly.intersects_poly(this.temp_poly,-(e+d.left),-(p+d.top)))return s.length=0,!0}else return s.length=0,!0;s.length=0;return!1}f.set_from_rect(a);if(!c.bquad.intersects_quad(f))return!1;if(!c.collision_poly||c.collision_poly.is_empty())return!0;c.collision_poly.cache_poly(c.width,c.height,c.angle);f.offset(-a.left,-a.top);this.temp_poly.set_from_quad(f,0,0,1,1);return c.collision_poly.intersects_poly(this.temp_poly,
a.left-c.x,a.top-c.y)};a.prototype.testSegmentOverlap=function(a,c,g,k,b){if(!b||!b.collisionsEnabled)return!1;b.update_bbox();p.set(cr.min(a,g),cr.min(c,k),cr.max(a,g),cr.max(c,k));if(!b.bbox.intersects_rect(p))return!1;if(b.tilemap_exists){b.getCollisionRectCandidates(p,s);var d,e,h,q=b.x,l=b.y;b=0;for(d=s.length;b<d;++b)if(e=s[b],h=e.rc,p.intersects_rect_off(h,q,l)&&(f.set_from_rect(h),f.offset(q,l),f.intersects_segment(a,c,g,k)))if(e.poly){if(e.poly.intersects_segment(q+h.left,l+h.top,a,c,g,k))return s.length=
0,!0}else return s.length=0,!0;s.length=0;return!1}if(!b.bquad.intersects_segment(a,c,g,k))return!1;if(!b.collision_poly||b.collision_poly.is_empty())return!0;b.collision_poly.cache_poly(b.width,b.height,b.angle);return b.collision_poly.intersects_segment(b.x,b.y,a,c,g,k)};a.prototype.typeHasBehavior=function(a,c){if(!c)return!1;var g,k,b,f,d;g=0;for(k=a.behaviors.length;g<k;g++)if(a.behaviors[g].behavior instanceof c)return!0;if(!a.is_family)for(g=0,k=a.families.length;g<k;g++)for(d=a.families[g],
b=0,f=d.behaviors.length;b<f;b++)if(d.behaviors[b].behavior instanceof c)return!0;return!1};a.prototype.typeHasNoSaveBehavior=function(a){return this.typeHasBehavior(a,cr.behaviors.NoSave)};a.prototype.typeHasPersistBehavior=function(a){return this.typeHasBehavior(a,cr.behaviors.Persist)};a.prototype.getSolidBehavior=function(){return this.solidBehavior};a.prototype.getJumpthruBehavior=function(){return this.jumpthruBehavior};var q=[];a.prototype.testOverlapSolid=function(a){var c,g,k;a.update_bbox();
this.getSolidCollisionCandidates(a.layer,a.bbox,q);c=0;for(g=q.length;c<g;++c)if(k=q[c],k.extra.solidEnabled&&this.testOverlap(a,k))return q.length=0,k;q.length=0;return null};a.prototype.testRectOverlapSolid=function(a){var c,g,k;this.getSolidCollisionCandidates(null,a,q);c=0;for(g=q.length;c<g;++c)if(k=q[c],k.extra.solidEnabled&&this.testRectOverlap(a,k))return q.length=0,k;q.length=0;return null};var v=[];a.prototype.testOverlapJumpThru=function(a,c){var g=null;c&&(g=v,g.length=0);a.update_bbox();
this.getJumpthruCollisionCandidates(a.layer,a.bbox,q);var k,b,f;k=0;for(b=q.length;k<b;++k)if(f=q[k],f.extra.jumpthruEnabled&&this.testOverlap(a,f))if(c)g.push(f);else return q.length=0,f;q.length=0;return g};a.prototype.pushOutSolid=function(a,c,g,k,b,f){k=k||50;var d=a.x,e=a.y,p,h=null,q=null;for(p=0;p<k;p++)if(a.x=d+c*p,a.y=e+g*p,a.set_bbox_changed(),!this.testOverlap(a,h)&&((h=this.testOverlapSolid(a))&&(q=h),!h&&(b&&(h=f?this.testOverlap(a,f)?f:null:this.testOverlapJumpThru(a))&&(q=h),!h)))return q&&
this.pushInFractional(a,c,g,q,16),!0;a.x=d;a.y=e;a.set_bbox_changed();return!1};a.prototype.pushOut=function(a,c,g,k,b){k=k||50;var f=a.x,d=a.y,e;for(e=0;e<k;e++)if(a.x=f+c*e,a.y=d+g*e,a.set_bbox_changed(),!this.testOverlap(a,b))return!0;a.x=f;a.y=d;a.set_bbox_changed();return!1};a.prototype.pushInFractional=function(a,c,g,k,b){var f=2,d,e=!1;d=!1;for(var p=a.x,h=a.y;f<=b;)d=1/f,f*=2,a.x+=c*d*(e?1:-1),a.y+=g*d*(e?1:-1),a.set_bbox_changed(),this.testOverlap(a,k)?d=e=!0:(d=e=!1,p=a.x,h=a.y);d&&(a.x=
p,a.y=h,a.set_bbox_changed())};a.prototype.pushOutSolidNearest=function(a,c){var g=cr.is_undefined(c)?100:c,k=0,b=a.x,f=a.y,d=0,e=0,p=0,h=this.testOverlapSolid(a);if(!h)return!0;for(;k<=g;){switch(d){case 0:e=0;p=-1;k++;break;case 1:e=1;p=-1;break;case 2:e=1;p=0;break;case 3:p=e=1;break;case 4:e=0;p=1;break;case 5:e=-1;p=1;break;case 6:e=-1;p=0;break;case 7:p=e=-1}d=(d+1)%8;a.x=cr.floor(b+e*k);a.y=cr.floor(f+p*k);a.set_bbox_changed();if(!this.testOverlap(a,h)&&(h=this.testOverlapSolid(a),!h))return!0}a.x=
b;a.y=f;a.set_bbox_changed();return!1};a.prototype.registerCollision=function(a,c){a.collisionsEnabled&&c.collisionsEnabled&&this.registered_collisions.push([a,c])};a.prototype.checkRegisteredCollision=function(a,c){var g,k,b;g=0;for(k=this.registered_collisions.length;g<k;g++)if(b=this.registered_collisions[g],b[0]==a&&b[1]==c||b[0]==c&&b[1]==a)return!0;return!1};a.prototype.calculateSolidBounceAngle=function(a,c,g,k){var b=a.x,f=a.y,d=cr.max(10,cr.distanceTo(c,g,b,f)),e=cr.angleTo(c,g,b,f),p=k||
this.testOverlapSolid(a);if(!p)return cr.clamp_angle(e+cr.PI);var h=p,q,l,n,m,s=cr.to_radians(5);for(q=1;36>q;q++)if(l=e-q*s,a.x=c+Math.cos(l)*d,a.y=g+Math.sin(l)*d,a.set_bbox_changed(),!this.testOverlap(a,h)&&(h=k?null:this.testOverlapSolid(a),!h)){n=l;break}36===q&&(n=cr.clamp_angle(e+cr.PI));h=p;for(q=1;36>q;q++)if(l=e+q*s,a.x=c+Math.cos(l)*d,a.y=g+Math.sin(l)*d,a.set_bbox_changed(),!this.testOverlap(a,h)&&(h=k?null:this.testOverlapSolid(a),!h)){m=l;break}36===q&&(m=cr.clamp_angle(e+cr.PI));a.x=
b;a.y=f;a.set_bbox_changed();if(m===n)return m;a=cr.angleDiff(m,n)/2;a=cr.angleClockwise(m,n)?cr.clamp_angle(n+a+cr.PI):cr.clamp_angle(m+a);n=Math.cos(e);e=Math.sin(e);m=Math.cos(a);a=Math.sin(a);c=n*m+e*a;return cr.angleTo(0,0,n-2*c*m,e-2*c*a)};var w=[],y=-1;a.prototype.trigger=function(a,c,g){if(!this.running_layout)return!1;var k=this.running_layout.event_sheet;if(!k)return!1;y++;y===w.length?w.push(new cr.ObjectSet):w[y].clear();a=this.triggerOnSheet(a,c,k,g);y--;return a};a.prototype.triggerOnSheet=
function(a,c,g,k){var b=w[y];if(b.contains(g))return!1;b.add(g);var b=g.includes.valuesRef(),f=!1,d,e,p;d=0;for(e=b.length;d<e;d++)b[d].isActive()&&(p=this.triggerOnSheet(a,c,b[d].include_sheet,k),f=f||p);if(c)for(p=this.triggerOnSheetForTypeName(a,c,c.type.name,g,k),f=f||p,d=0,e=c.type.families.length;d<e;d++)p=this.triggerOnSheetForTypeName(a,c,c.type.families[d].name,g,k),f=f||p;else p=this.triggerOnSheetForTypeName(a,c,"system",g,k),f=f||p;return f};a.prototype.triggerOnSheetForTypeName=function(a,
c,g,k,b){var f,d=!1,e=!1,e="undefined"!==typeof b,p=(e?k.fasttriggers:k.triggers)[g];if(!p)return d;var h=null;k=0;for(f=p.length;k<f;k++)if(p[k].method==a){h=p[k].evs;break}if(!h)return d;a=e?h[b]:h;if(!a)return null;k=0;for(f=a.length;k<f;k++)b=a[k][0],e=a[k][1],e=this.executeSingleTrigger(c,g,b,e),d=d||e;return d};a.prototype.executeSingleTrigger=function(a,c,g,k){var b,f,d=!1;this.trigger_depth++;var e=this.getCurrentEventStack().current_event;e&&this.pushCleanSol(e.solModifiersIncludingParents);
var p=1<this.trigger_depth;this.pushCleanSol(g.solModifiersIncludingParents);p&&this.pushLocalVarStack();var h=this.pushEventStack(g);h.current_event=g;a&&(b=this.types[c].getCurrentSol(),b.select_all=!1,b.instances.length=1,b.instances[0]=a,this.types[c].applySolToContainer());a=!0;if(g.parent){c=h.temp_parents_arr;for(b=g.parent;b;)c.push(b),b=b.parent;c.reverse();b=0;for(f=c.length;b<f;b++)if(!c[b].run_pretrigger()){a=!1;break}}a&&(this.execcount++,g.orblock?g.run_orblocktrigger(k):g.run(),d=d||
h.last_event_true);this.popEventStack();p&&this.popLocalVarStack();this.popSol(g.solModifiersIncludingParents);e&&this.popSol(e.solModifiersIncludingParents);0!==this.isInOnDestroy||0!==y||this.isRunningEvents||this.deathRow.isEmpty()&&!this.createRow.length||this.ClearDeathRow();this.trigger_depth--;return d};a.prototype.getCurrentCondition=function(){var a=this.getCurrentEventStack();return a.current_event.conditions[a.cndindex]};a.prototype.getCurrentAction=function(){var a=this.getCurrentEventStack();
return a.current_event.actions[a.actindex]};a.prototype.pushLocalVarStack=function(){this.localvar_stack_index++;this.localvar_stack_index>=this.localvar_stack.length&&this.localvar_stack.push([])};a.prototype.popLocalVarStack=function(){this.localvar_stack_index--};a.prototype.getCurrentLocalVarStack=function(){return this.localvar_stack[this.localvar_stack_index]};a.prototype.pushEventStack=function(a){this.event_stack_index++;this.event_stack_index>=this.event_stack.length&&this.event_stack.push(new cr.eventStackFrame);
var c=this.getCurrentEventStack();c.reset(a);return c};a.prototype.popEventStack=function(){this.event_stack_index--};a.prototype.getCurrentEventStack=function(){return this.event_stack[this.event_stack_index]};a.prototype.pushLoopStack=function(a){this.loop_stack_index++;this.loop_stack_index>=this.loop_stack.length&&this.loop_stack.push(cr.seal({name:a,index:0,stopped:!1}));var c=this.getCurrentLoop();c.name=a;c.index=0;c.stopped=!1;return c};a.prototype.popLoopStack=function(){this.loop_stack_index--};
a.prototype.getCurrentLoop=function(){return this.loop_stack[this.loop_stack_index]};a.prototype.getEventVariableByName=function(a,c){for(var g,k,b,f,d,e;c;){g=0;for(k=c.subevents.length;g<k;g++)if(e=c.subevents[g],e instanceof cr.eventvariable&&cr.equals_nocase(a,e.name))return e;c=c.parent}g=0;for(k=this.eventsheets_by_index.length;g<k;g++)for(d=this.eventsheets_by_index[g],b=0,f=d.events.length;b<f;b++)if(e=d.events[b],e instanceof cr.eventvariable&&cr.equals_nocase(a,e.name))return e;return null};
a.prototype.getLayoutBySid=function(a){var c,g;c=0;for(g=this.layouts_by_index.length;c<g;c++)if(this.layouts_by_index[c].sid===a)return this.layouts_by_index[c];return null};a.prototype.getObjectTypeBySid=function(a){var c,g;c=0;for(g=this.types_by_index.length;c<g;c++)if(this.types_by_index[c].sid===a)return this.types_by_index[c];return null};a.prototype.getGroupBySid=function(a){var c,g;c=0;for(g=this.allGroups.length;c<g;c++)if(this.allGroups[c].sid===a)return this.allGroups[c];return null};
a.prototype.signalContinuousPreview=function(){this.signalledContinuousPreview=!0};a.prototype.handleSaveLoad=function(){var a=this,b=this.saveToSlot,g=this.lastSaveJson,k=this.loadFromSlot,f=!1;this.signalledContinuousPreview&&(f=!0,b="__c2_continuouspreview",this.signalledContinuousPreview=!1);if(b.length){this.ClearDeathRow();g=this.saveToJSONString();if(window.indexedDB&&!this.isCocoonJs)d(b,g,function(){cr.logexport("Saved state to IndexedDB storage ("+g.length+" bytes)");a.lastSaveJson=g;a.trigger(cr.system_object.prototype.cnds.OnSaveComplete,
null);a.lastSaveJson="";f&&c()},function(k){try{localStorage.setItem("__c2save_"+b,g),cr.logexport("Saved state to WebStorage ("+g.length+" bytes)"),a.lastSaveJson=g,a.trigger(cr.system_object.prototype.cnds.OnSaveComplete,null),a.lastSaveJson="",f&&c()}catch(d){cr.logexport("Failed to save game state: "+k+"; "+d)}});else try{localStorage.setItem("__c2save_"+b,g),cr.logexport("Saved state to WebStorage ("+g.length+" bytes)"),a.lastSaveJson=g,this.trigger(cr.system_object.prototype.cnds.OnSaveComplete,
null),a.lastSaveJson="",f&&c()}catch(p){cr.logexport("Error saving to WebStorage: "+p)}this.loadFromJson=this.loadFromSlot=this.saveToSlot=""}k.length&&(window.indexedDB&&!this.isCocoonJs?e(k,function(g){g?(a.loadFromJson=g,cr.logexport("Loaded state from IndexedDB storage ("+a.loadFromJson.length+" bytes)")):(a.loadFromJson=localStorage.getItem("__c2save_"+k)||"",cr.logexport("Loaded state from WebStorage ("+a.loadFromJson.length+" bytes)"));a.suspendDrawing=!1;a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,
null)},function(g){a.loadFromJson=localStorage.getItem("__c2save_"+k)||"";cr.logexport("Loaded state from WebStorage ("+a.loadFromJson.length+" bytes)");a.suspendDrawing=!1;a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)}):(this.loadFromJson=localStorage.getItem("__c2save_"+k)||"",cr.logexport("Loaded state from WebStorage ("+this.loadFromJson.length+" bytes)"),this.suspendDrawing=!1,a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,
null)),this.saveToSlot=this.loadFromSlot="");this.loadFromJson.length&&(this.ClearDeathRow(),this.loadFromJSONString(this.loadFromJson),this.lastSaveJson=this.loadFromJson,this.trigger(cr.system_object.prototype.cnds.OnLoadComplete,null),this.loadFromJson=this.lastSaveJson="")};a.prototype.saveToJSONString=function(){var a,c,g,k,b,f,d,e={c2save:!0,version:1,rt:{time:this.kahanTime.sum,timescale:this.timescale,tickcount:this.tickcount,execcount:this.execcount,next_uid:this.next_uid,running_layout:this.running_layout.sid,
start_time_offset:Date.now()-this.start_time},types:{},layouts:{},events:{groups:{},cnds:{},acts:{},vars:{}}};a=0;for(c=this.types_by_index.length;a<c;a++)if(b=this.types_by_index[a],!b.is_family&&!this.typeHasNoSaveBehavior(b)){f={instances:[]};cr.hasAnyOwnProperty(b.extra)&&(f.ex=h(b.extra));g=0;for(k=b.instances.length;g<k;g++)f.instances.push(this.saveInstanceToJSON(b.instances[g]));e.types[b.sid.toString()]=f}a=0;for(c=this.layouts_by_index.length;a<c;a++)g=this.layouts_by_index[a],e.layouts[g.sid.toString()]=
g.saveToJSON();k=e.events.groups;a=0;for(c=this.allGroups.length;a<c;a++)g=this.allGroups[a],k[g.sid.toString()]=!!this.activeGroups[g.group_name];c=e.events.cnds;for(d in this.cndsBySid)this.cndsBySid.hasOwnProperty(d)&&(a=this.cndsBySid[d],cr.hasAnyOwnProperty(a.extra)&&(c[d]={ex:h(a.extra)}));c=e.events.acts;for(d in this.actsBySid)this.actsBySid.hasOwnProperty(d)&&(a=this.actsBySid[d],cr.hasAnyOwnProperty(a.extra)&&(c[d]={ex:a.extra}));c=e.events.vars;for(d in this.varsBySid)this.varsBySid.hasOwnProperty(d)&&
(a=this.varsBySid[d],a.is_constant||a.parent&&!a.is_static||(c[d]=a.data));e.system=this.system.saveToJSON();return JSON.stringify(e)};a.prototype.refreshUidMap=function(){var a,c,g,k,b,f;this.objectsByUid={};a=0;for(c=this.types_by_index.length;a<c;a++)if(g=this.types_by_index[a],!g.is_family)for(k=0,b=g.instances.length;k<b;k++)f=g.instances[k],this.objectsByUid[f.uid.toString()]=f};a.prototype.loadFromJSONString=function(a){a=JSON.parse(a);if(a.c2save&&!(1<a.version)){var c=a.rt;this.kahanTime.reset();
this.kahanTime.sum=c.time;this.timescale=c.timescale;this.tickcount=c.tickcount;this.start_time=Date.now()-c.start_time_offset;var g=c.running_layout;if(g!==this.running_layout.sid)if(g=this.getLayoutBySid(g))this.doChangeLayout(g);else return;this.isLoadingState=!0;var k,b,f,d,e,p,h;p=a.types;for(b in p)if(p.hasOwnProperty(b)&&(d=this.getObjectTypeBySid(parseInt(b,10)))&&!d.is_family&&!this.typeHasNoSaveBehavior(d)){p[b].ex?d.extra=p[b].ex:cr.wipe(d.extra);e=d.instances;f=p[b].instances;g=0;for(k=
cr.min(e.length,f.length);g<k;g++)this.loadInstanceFromJSON(e[g],f[g]);g=f.length;for(k=e.length;g<k;g++)this.DestroyInstance(e[g]);g=e.length;for(k=f.length;g<k;g++){e=null;if(d.plugin.is_world&&(e=this.running_layout.getLayerBySid(f[g].w.l),!e))continue;e=this.createInstanceFromInit(d.default_instance,e,!1,0,0,!0);this.loadInstanceFromJSON(e,f[g])}d.stale_iids=!0}this.ClearDeathRow();this.refreshUidMap();k=a.layouts;for(b in k)k.hasOwnProperty(b)&&(g=this.getLayoutBySid(parseInt(b,10)))&&g.loadFromJSON(k[b]);
k=a.events.groups;for(b in k)k.hasOwnProperty(b)&&(g=this.getGroupBySid(parseInt(b,10)))&&(this.activeGroups[g.group_name]=k[b]);g=a.events.cnds;for(b in g)g.hasOwnProperty(b)&&this.cndsBySid.hasOwnProperty(b)&&(this.cndsBySid[b].extra=g[b].ex);g=a.events.acts;for(b in g)g.hasOwnProperty(b)&&this.actsBySid.hasOwnProperty(b)&&(this.actsBySid[b].extra=g[b].ex);g=a.events.vars;for(b in g)g.hasOwnProperty(b)&&this.varsBySid.hasOwnProperty(b)&&(this.varsBySid[b].data=g[b]);this.next_uid=c.next_uid;this.isLoadingState=
!1;this.system.loadFromJSON(a.system);g=0;for(k=this.types_by_index.length;g<k;g++)if(d=this.types_by_index[g],!d.is_family)for(b=0,a=d.instances.length;b<a;b++){e=d.instances[b];if(d.is_contained)for(p=e.get_iid(),c=e.siblings.length=0,f=d.container.length;c<f;c++)h=d.container[c],d!==h&&e.siblings.push(h.instances[p]);e.afterLoad&&e.afterLoad();if(e.behavior_insts)for(c=0,f=e.behavior_insts.length;c<f;c++)p=e.behavior_insts[c],p.afterLoad&&p.afterLoad()}this.redraw=!0}};a.prototype.saveInstanceToJSON=
function(a,c){var g,k,b,f,d;f=a.type;b=f.plugin;var e={};c?e.c2=!0:e.uid=a.uid;cr.hasAnyOwnProperty(a.extra)&&(e.ex=h(a.extra));if(a.instance_vars&&a.instance_vars.length)for(e.ivs={},g=0,k=a.instance_vars.length;g<k;g++)e.ivs[a.type.instvar_sids[g].toString()]=a.instance_vars[g];if(b.is_world){b={x:a.x,y:a.y,w:a.width,h:a.height,l:a.layer.sid,zi:a.get_zindex()};0!==a.angle&&(b.a=a.angle);1!==a.opacity&&(b.o=a.opacity);0.5!==a.hotspotX&&(b.hX=a.hotspotX);0.5!==a.hotspotY&&(b.hY=a.hotspotY);0!==a.blend_mode&&
(b.bm=a.blend_mode);a.visible||(b.v=a.visible);a.collisionsEnabled||(b.ce=a.collisionsEnabled);-1!==a.my_timescale&&(b.mts=a.my_timescale);if(f.effect_types.length)for(b.fx=[],g=0,k=f.effect_types.length;g<k;g++)d=f.effect_types[g],b.fx.push({name:d.name,active:a.active_effect_flags[d.index],params:a.effect_params[d.index]});e.w=b}if(a.behavior_insts&&a.behavior_insts.length)for(e.behs={},g=0,k=a.behavior_insts.length;g<k;g++)f=a.behavior_insts[g],f.saveToJSON&&(e.behs[f.type.sid.toString()]=f.saveToJSON());
a.saveToJSON&&(e.data=a.saveToJSON());return e};a.prototype.getInstanceVarIndexBySid=function(a,c){var g,k;g=0;for(k=a.instvar_sids.length;g<k;g++)if(a.instvar_sids[g]===c)return g;return-1};a.prototype.getBehaviorIndexBySid=function(a,c){var g,k;g=0;for(k=a.behavior_insts.length;g<k;g++)if(a.behavior_insts[g].type.sid===c)return g;return-1};a.prototype.loadInstanceFromJSON=function(a,c,g){var k,b,f,e,d;d=a.type;f=d.plugin;if(g){if(!c.c2)return}else a.uid=c.uid;c.ex?a.extra=c.ex:cr.wipe(a.extra);
if(b=c.ivs)for(k in b)b.hasOwnProperty(k)&&(g=this.getInstanceVarIndexBySid(d,parseInt(k,10)),0>g||g>=a.instance_vars.length||(a.instance_vars[g]=b[k]));if(f.is_world){f=c.w;a.layer.sid!==f.l&&(g=a.layer,a.layer=this.running_layout.getLayerBySid(f.l),a.layer?(a.layer.instances.push(a),a.layer.zindices_stale=!0,cr.arrayFindRemove(g.instances,a),g.zindices_stale=!0):(a.layer=g,this.DestroyInstance(a)));a.x=f.x;a.y=f.y;a.width=f.w;a.height=f.h;a.zindex=f.zi;a.angle=f.hasOwnProperty("a")?f.a:0;a.opacity=
f.hasOwnProperty("o")?f.o:1;a.hotspotX=f.hasOwnProperty("hX")?f.hX:0.5;a.hotspotY=f.hasOwnProperty("hY")?f.hY:0.5;a.visible=f.hasOwnProperty("v")?f.v:!0;a.collisionsEnabled=f.hasOwnProperty("ce")?f.ce:!0;a.my_timescale=f.hasOwnProperty("mts")?f.mts:-1;a.blend_mode=f.hasOwnProperty("bm")?f.bm:0;a.compositeOp=cr.effectToCompositeOp(a.blend_mode);this.gl&&cr.setGLBlend(a,a.blend_mode,this.gl);a.set_bbox_changed();if(f.hasOwnProperty("fx"))for(g=0,b=f.fx.length;g<b;g++)e=d.getEffectIndexByName(f.fx[g].name),
0>e||(a.active_effect_flags[e]=f.fx[g].active,a.effect_params[e]=f.fx[g].params);a.updateActiveEffects()}if(d=c.behs)for(k in d)d.hasOwnProperty(k)&&(f=this.getBehaviorIndexBySid(a,parseInt(k,10)),0>f||a.behavior_insts[f].loadFromJSON(d[k]));c.data&&a.loadFromJSON(c.data)};cr.runtime=a;cr.createRuntime=function(c){return new a(document.getElementById(c))};cr.createDCRuntime=function(c,b){return new a({dc:!0,width:c,height:b})};window.cr_createRuntime=cr.createRuntime;window.cr_createDCRuntime=cr.createDCRuntime;
window.createCocoonJSRuntime=function(){window.c2cocoonjs=!0;var c=document.createElement("screencanvas")||document.createElement("canvas");c.screencanvas=!0;document.body.appendChild(c);c=new a(c);window.c2runtime=c;window.addEventListener("orientationchange",function(){window.c2runtime.setSize(window.innerWidth,window.innerHeight)});window.c2runtime.setSize(window.innerWidth,window.innerHeight);return c}})();
window.cr_getC2Runtime=function(){var a=document.getElementById("c2canvas");return a?a.c2runtime:window.c2runtime?window.c2runtime:null};window.cr_sizeCanvas=function(a,b){if(0!==a&&0!==b){var d=window.cr_getC2Runtime();d&&d.setSize(a,b)}};window.cr_setSuspended=function(a){var b=window.cr_getC2Runtime();b&&b.setSuspended(a)};
(function(){function a(a,b){this.runtime=a;this.event_sheet=null;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;this.scale=1;this.angle=0;this.first_visit=!0;this.name=b[0];this.width=b[1];this.height=b[2];this.unbounded_scrolling=b[3];this.sheetname=b[4];this.sid=b[5];var d=b[6],e,l;this.layers=[];this.initial_types=[];e=0;for(l=d.length;e<l;e++){var n=new cr.layer(this,d[e]);n.number=e;cr.seal(n);this.layers.push(n)}d=b[7];this.initial_nonworld=[];e=0;for(l=
d.length;e<l;e++){var n=d[e],f=this.runtime.types_by_index[n[1]];f.default_instance||(f.default_instance=n);this.initial_nonworld.push(n);-1===this.initial_types.indexOf(f)&&this.initial_types.push(f)}this.effect_types=[];this.active_effect_types=[];this.effect_params=[];e=0;for(l=b[8].length;e<l;e++)this.effect_types.push({id:b[8][e][0],name:b[8][e][1],shaderindex:-1,active:!0,index:e}),this.effect_params.push(b[8][e][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=
new cr.rect(0,0,1,1);this.persist_data={}}function b(a,b){this.layout=a;this.runtime=a.runtime;this.instances=[];this.scale=1;this.angle=0;this.disableAngle=!1;this.tmprect=new cr.rect(0,0,0,0);this.tmpquad=new cr.quad;this.viewBottom=this.viewTop=this.viewRight=this.viewLeft=0;this.zindices_stale=!1;this.name=b[0];this.index=b[1];this.sid=b[2];this.visible=b[3];this.background_color=b[4];this.transparent=b[5];this.parallaxX=b[6];this.parallaxY=b[7];this.opacity=b[8];this.forceOwnTexture=b[9];this.zoomRate=
b[10];this.blend_mode=b[11];this.effect_fallback=b[12];this.compositeOp="source-over";this.destBlend=this.srcBlend=0;this.render_offscreen=!1;var e=b[13],d,l;this.initial_instances=[];d=0;for(l=e.length;d<l;d++){var n=e[d],f=this.runtime.types_by_index[n[1]];f.default_instance||(f.default_instance=n,f.default_layerindex=this.index);this.initial_instances.push(n);-1===this.layout.initial_types.indexOf(f)&&this.layout.initial_types.push(f)}this.effect_types=[];this.active_effect_types=[];this.effect_params=
[];d=0;for(l=b[14].length;d<l;d++)this.effect_types.push({id:b[14][d][0],name:b[14][d][1],shaderindex:-1,active:!0,index:d}),this.effect_params.push(b[14][d][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=new cr.rect(0,0,1,1)}function d(a,b){return a.zindex-b.zindex}a.prototype.saveObjectToPersist=function(a){var b=a.type.sid.toString();this.persist_data.hasOwnProperty(b)||(this.persist_data[b]=[]);this.persist_data[b].push(this.runtime.saveInstanceToJSON(a))};
a.prototype.hasOpaqueBottomLayer=function(){var a=this.layers[0];return!a.transparent&&1===a.opacity&&!a.forceOwnTexture&&a.visible};a.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,d;a=0;for(b=this.effect_types.length;a<b;a++)d=this.effect_types[a],d.active&&this.active_effect_types.push(d)};a.prototype.getEffectByName=function(a){var b,d,e;b=0;for(d=this.effect_types.length;b<d;b++)if(e=this.effect_types[b],e.name===a)return e;return null};var e=[];a.prototype.startRunning=
function(){this.sheetname&&(this.event_sheet=this.runtime.eventsheets[this.sheetname]);this.runtime.running_layout=this;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;var a,b,m,r,l,n,f;a=0;for(m=this.runtime.types_by_index.length;a<m;a++)if(b=this.runtime.types_by_index[a],!b.is_family)for(l=b.instances,b=0,r=l.length;b<r;b++)if(n=l[b],n.layer){var p=n.layer.number;p>=this.layers.length&&(p=this.layers.length-1);n.layer=this.layers[p];n.layer.instances.push(n);
n.layer.zindices_stale=!0}e.length=0;this.boundScrolling();a=0;for(m=this.layers.length;a<m;a++)n=this.layers[a],n.createInitialInstances(),n.disableAngle=!0,b=n.canvasToLayer(0,0,!0,!0),r=n.canvasToLayer(0,0,!1,!0),n.disableAngle=!1,this.runtime.pixel_rounding&&(b=b+0.5|0,r=r+0.5|0),n.rotateViewport(b,r,null);l=!1;if(!this.first_visit){for(f in this.persist_data)if(this.persist_data.hasOwnProperty(f)&&(b=this.runtime.getObjectTypeBySid(parseInt(f,10)))&&!b.is_family&&this.runtime.typeHasPersistBehavior(b)){r=
this.persist_data[f];a=0;for(m=r.length;a<m;a++){n=null;if(b.plugin.is_world&&(n=this.getLayerBySid(r[a].w.l),!n))continue;n=this.runtime.createInstanceFromInit(b.default_instance,n,!1,0,0,!0);this.runtime.loadInstanceFromJSON(n,r[a]);l=!0;e.push(n)}r.length=0}a=0;for(m=this.layers.length;a<m;a++)this.layers[a].instances.sort(d),this.layers[a].zindices_stale=!0}l&&(this.runtime.ClearDeathRow(),this.runtime.refreshUidMap());for(a=0;a<e.length;a++)if(n=e[a],n.type.is_contained)for(m=n.get_iid(),b=0,
r=n.type.container.length;b<r;b++)f=n.type.container[b],n.type!==f&&(f.instances.length>m?n.siblings.push(f.instances[m]):f.default_instance&&(l=this.runtime.createInstanceFromInit(f.default_instance,n.layer,!0,n.x,n.y,!0),this.runtime.ClearDeathRow(),f.updateIIDs(),n.siblings.push(l),e.push(l)));a=0;for(m=this.initial_nonworld.length;a<m;a++)this.runtime.createInstanceFromInit(this.initial_nonworld[a],null,!0);this.runtime.changelayout=null;this.runtime.ClearDeathRow();if(this.runtime.ctx&&!this.runtime.isDomFree)for(a=
0,m=this.runtime.types_by_index.length;a<m;a++)f=this.runtime.types_by_index[a],!f.is_family&&f.instances.length&&f.preloadCanvas2D&&f.preloadCanvas2D(this.runtime.ctx);a=0;for(m=e.length;a<m;a++)n=e[a],this.runtime.trigger(Object.getPrototypeOf(n.type.plugin).cnds.OnCreated,n);e.length=0;this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutStart,null);this.first_visit=!1};a.prototype.createGlobalNonWorlds=function(){var a,b,d,e,l;b=a=0;for(d=this.initial_nonworld.length;a<d;a++)e=this.initial_nonworld[a],
l=this.runtime.types_by_index[e[1]],l.global?this.runtime.createInstanceFromInit(e,null,!0):(this.initial_nonworld[b]=e,b++);this.initial_nonworld.length=b};a.prototype.stopRunning=function(){this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutEnd,null);this.runtime.system.waits.length=0;var a,b,d,e,l,n;a=0;for(b=this.layers.length;a<b;a++){l=this.layers[a].instances;d=0;for(e=l.length;d<e;d++)n=l[d],n.type.global||(this.runtime.typeHasPersistBehavior(n.type)&&this.saveObjectToPersist(n),
this.runtime.DestroyInstance(n));this.runtime.ClearDeathRow();l.length=0;this.layers[a].zindices_stale=!0}a=0;for(b=this.runtime.types_by_index.length;a<b;a++)if(l=this.runtime.types_by_index[a],!(l.global||l.plugin.is_world||l.plugin.singleglobal||l.is_family)){d=0;for(e=l.instances.length;d<e;d++)this.runtime.DestroyInstance(l.instances[d]);this.runtime.ClearDeathRow()}};a.prototype.draw=function(a){var b,d=a,e=!1,l=!this.runtime.fullscreenScalingQuality;l&&(this.runtime.layout_canvas||(this.runtime.layout_canvas=
document.createElement("canvas"),b=this.runtime.layout_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layout_ctx=b.getContext("2d"),e=!0),b=this.runtime.layout_canvas,d=this.runtime.layout_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,e=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,e=!0),e&&(d.webkitImageSmoothingEnabled=this.runtime.linearSampling,d.mozImageSmoothingEnabled=this.runtime.linearSampling,
d.msImageSmoothingEnabled=this.runtime.linearSampling,d.imageSmoothingEnabled=this.runtime.linearSampling));d.globalAlpha=1;d.globalCompositeOperation="source-over";this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&d.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height);var n,f,e=0;for(n=this.layers.length;e<n;e++)f=this.layers[e],f.visible&&0<f.opacity&&11!==f.blend_mode&&f.draw(d);l&&a.drawImage(b,0,0,this.runtime.width,this.runtime.height)};a.prototype.drawGL=function(a){var b=
0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality;if(b){this.runtime.layout_tex||(this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layout_tex.c2width!==this.runtime.draw_width||this.runtime.layout_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,
this.runtime.draw_height,this.runtime.linearSampling);a.setRenderingToTexture(this.runtime.layout_tex);this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.draw_width,this.runtime.draw_height)}else this.runtime.layout_tex&&(a.setRenderingToTexture(null),a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=null);this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&a.clear(0,0,0,0);var d,e;d=0;for(e=this.layers.length;d<e;d++)this.layers[d].visible&&0<this.layers[d].opacity&&
this.layers[d].drawGL(a);b&&(0===this.active_effect_types.length||1===this.active_effect_types.length&&this.runtime.fullscreenScalingQuality?(1===this.active_effect_types.length?(b=this.active_effect_types[0].index,a.switchProgram(this.active_effect_types[0].shaderindex),a.setProgramParameters(null,1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.scale,this.angle,0,0,this.effect_params[b]),a.programIsAnimated(this.active_effect_types[0].shaderindex)&&(this.runtime.redraw=!0)):a.switchProgram(0),
this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.width,this.runtime.height),a.setRenderingToTexture(null),a.setOpacity(1),a.setTexture(this.runtime.layout_tex),a.setAlphaBlend(),a.resetModelView(),a.updateModelView(),b=this.runtime.width/2,d=this.runtime.height/2,a.quad(-b,d,b,d,b,-d,-b,-d),a.setTexture(null)):this.renderEffectChain(a,null,null,null))};a.prototype.getRenderTarget=function(){return 0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality?
this.runtime.layout_tex:null};a.prototype.getMinLayerScale=function(){var a=this.layers[0].getScale(),b,d,e;b=1;for(d=this.layers.length;b<d;b++)e=this.layers[b],(0!==e.parallaxX||0!==e.parallaxY)&&e.getScale()<a&&(a=e.getScale());return a};a.prototype.scrollToX=function(a){if(!this.unbounded_scrolling){var b=this.runtime.draw_width*(1/this.getMinLayerScale())/2;a>this.width-b&&(a=this.width-b);a<b&&(a=b)}this.scrollX!==a&&(this.scrollX=a,this.runtime.redraw=!0)};a.prototype.scrollToY=function(a){if(!this.unbounded_scrolling){var b=
this.runtime.draw_height*(1/this.getMinLayerScale())/2;a>this.height-b&&(a=this.height-b);a<b&&(a=b)}this.scrollY!==a&&(this.scrollY=a,this.runtime.redraw=!0)};a.prototype.boundScrolling=function(){this.scrollToX(this.scrollX);this.scrollToY(this.scrollY)};a.prototype.renderEffectChain=function(a,b,d,e){var l=d?d.active_effect_types:b?b.active_effect_types:this.active_effect_types,n=1,f=0,p=0,s=0;d?(n=d.layer.getScale(),f=d.layer.getAngle(),p=d.layer.viewLeft,s=d.layer.viewTop):b&&(n=b.getScale(),
f=b.getAngle(),p=b.viewLeft,s=b.viewTop);var q=this.runtime.fx_tex,v,w,y,t,u=0,g=1,k,E=this.runtime.draw_width,z=this.runtime.draw_height,B=E/2,x=z/2,G=b?b.rcTex:this.rcTex,H=b?b.rcTex2:this.rcTex2,A=0,L=0,C=0,D=0,I=E,T=E,N=z,P=z,K=y=0,F=d?d.layer.getAngle():0;if(d){v=0;for(w=l.length;v<w;v++)y+=a.getProgramBoxExtendHorizontal(l[v].shaderindex),K+=a.getProgramBoxExtendVertical(l[v].shaderindex);t=d.bbox;A=b.layerToCanvas(t.left,t.top,!0,!0);C=b.layerToCanvas(t.left,t.top,!1,!0);I=b.layerToCanvas(t.right,
t.bottom,!0,!0);N=b.layerToCanvas(t.right,t.bottom,!1,!0);0!==F&&(v=b.layerToCanvas(t.right,t.top,!0,!0),w=b.layerToCanvas(t.right,t.top,!1,!0),L=b.layerToCanvas(t.left,t.bottom,!0,!0),D=b.layerToCanvas(t.left,t.bottom,!1,!0),t=Math.min(A,I,v,L),I=Math.max(A,I,v,L),A=t,t=Math.min(C,N,w,D),N=Math.max(C,N,w,D),C=t);A-=y;C-=K;I+=y;N+=K;H.left=A/E;H.top=1-C/z;H.right=I/E;H.bottom=1-N/z;L=A=cr.floor(A);D=C=cr.floor(C);T=I=cr.ceil(I);P=N=cr.ceil(N);L-=y;D-=K;T+=y;P+=K;0>A&&(A=0);0>C&&(C=0);I>E&&(I=E);N>
z&&(N=z);0>L&&(L=0);0>D&&(D=0);T>E&&(T=E);P>z&&(P=z);G.left=A/E;G.top=1-C/z;G.right=I/E;G.bottom=1-N/z}else G.left=H.left=0,G.top=H.top=0,G.right=H.right=1,G.bottom=H.bottom=1;K=d&&((d.angle||F)&&a.programUsesDest(l[0].shaderindex)||0!==y||0!==K||1!==d.opacity||d.type.plugin.must_predraw)||b&&!d&&1!==b.opacity;a.setAlphaBlend();if(K){q[u]||(q[u]=a.createEmptyTexture(E,z,this.runtime.linearSampling));if(q[u].c2width!==E||q[u].c2height!==z)a.deleteTexture(q[u]),q[u]=a.createEmptyTexture(E,z,this.runtime.linearSampling);
a.switchProgram(0);a.setRenderingToTexture(q[u]);k=P-D;a.clearRect(L,z-D-k,T-L,k);d?d.drawGL(a):(a.setTexture(this.runtime.layer_tex),a.setOpacity(b.opacity),a.resetModelView(),a.translate(-B,-x),a.updateModelView(),a.quadTex(A,N,I,N,I,C,A,C,G));H.left=H.top=0;H.right=H.bottom=1;d&&(t=G.top,G.top=G.bottom,G.bottom=t);u=1;g=0}a.setOpacity(1);y=l.length-1;var F=a.programUsesCrossSampling(l[y].shaderindex)||!b&&!d&&!this.runtime.fullscreenScalingQuality,U=0;v=0;for(w=l.length;v<w;v++){q[u]||(q[u]=a.createEmptyTexture(E,
z,this.runtime.linearSampling));if(q[u].c2width!==E||q[u].c2height!==z)a.deleteTexture(q[u]),q[u]=a.createEmptyTexture(E,z,this.runtime.linearSampling);a.switchProgram(l[v].shaderindex);U=l[v].index;a.programIsAnimated(l[v].shaderindex)&&(this.runtime.redraw=!0);0!=v||K?(a.setProgramParameters(e,1/E,1/z,H.left,H.top,H.right,H.bottom,n,f,p,s,d?d.effect_params[U]:b?b.effect_params[U]:this.effect_params[U]),a.setTexture(null),v!==y||F?(a.setRenderingToTexture(q[u]),k=P-D,t=z-D-k,a.clearRect(L,t,T-L,
k)):(d?a.setBlend(d.srcBlend,d.destBlend):b&&a.setBlend(b.srcBlend,b.destBlend),a.setRenderingToTexture(e)),a.setTexture(q[g]),a.resetModelView(),a.translate(-B,-x),a.updateModelView(),a.quadTex(A,N,I,N,I,C,A,C,G),v!==y||F||a.setTexture(null)):(a.setRenderingToTexture(q[u]),k=P-D,t=z-D-k,a.clearRect(L,t,T-L,k),d?(a.setProgramParameters(e,1/d.width,1/d.height,H.left,H.top,H.right,H.bottom,n,f,p,s,d.effect_params[U]),d.drawGL(a)):(a.setProgramParameters(e,1/E,1/z,0,0,1,1,n,f,p,s,b?b.effect_params[U]:
this.effect_params[U]),a.setTexture(b?this.runtime.layer_tex:this.runtime.layout_tex),a.resetModelView(),a.translate(-B,-x),a.updateModelView(),a.quadTex(A,N,I,N,I,C,A,C,G)),H.left=H.top=0,H.right=H.bottom=1,d&&!F&&(t=N,N=C,C=t));u=0===u?1:0;g=0===u?1:0}F&&(a.switchProgram(0),d?a.setBlend(d.srcBlend,d.destBlend):b?a.setBlend(b.srcBlend,b.destBlend):this.runtime.fullscreenScalingQuality||(a.setSize(this.runtime.width,this.runtime.height),B=this.runtime.width/2,x=this.runtime.height/2,C=A=0,I=this.runtime.width,
N=this.runtime.height),a.setRenderingToTexture(e),a.setTexture(q[g]),a.resetModelView(),a.translate(-B,-x),a.updateModelView(),d&&1===l.length&&!K?a.quadTex(A,C,I,C,I,N,A,N,G):a.quadTex(A,N,I,N,I,C,A,C,G),a.setTexture(null))};a.prototype.getLayerBySid=function(a){var b,d;b=0;for(d=this.layers.length;b<d;b++)if(this.layers[b].sid===a)return this.layers[b];return null};a.prototype.saveToJSON=function(){var a,b,d,e={sx:this.scrollX,sy:this.scrollY,s:this.scale,a:this.angle,w:this.width,h:this.height,
fv:this.first_visit,persist:this.persist_data,fx:[],layers:{}};a=0;for(b=this.effect_types.length;a<b;a++)d=this.effect_types[a],e.fx.push({name:d.name,active:d.active,params:this.effect_params[d.index]});a=0;for(b=this.layers.length;a<b;a++)d=this.layers[a],e.layers[d.sid.toString()]=d.saveToJSON();return e};a.prototype.loadFromJSON=function(a){var b,d,e,l;this.scrollX=a.sx;this.scrollY=a.sy;this.scale=a.s;this.angle=a.a;this.width=a.w;this.height=a.h;this.persist_data=a.persist;"undefined"!==typeof a.fv&&
(this.first_visit=a.fv);var n=a.fx;b=0;for(d=n.length;b<d;b++)if(e=this.getEffectByName(n[b].name))e.active=n[b].active,this.effect_params[e.index]=n[b].params;this.updateActiveEffects();b=a.layers;for(l in b)b.hasOwnProperty(l)&&(a=this.getLayerBySid(parseInt(l,10)))&&a.loadFromJSON(b[l])};cr.layout=a;b.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,d;a=0;for(b=this.effect_types.length;a<b;a++)d=this.effect_types[a],d.active&&this.active_effect_types.push(d)};
b.prototype.getEffectByName=function(a){var b,d,e;b=0;for(d=this.effect_types.length;b<d;b++)if(e=this.effect_types[b],e.name===a)return e;return null};b.prototype.createInitialInstances=function(){var a,b,d,r,l,n;b=a=0;for(d=this.initial_instances.length;a<d;a++){r=this.initial_instances[a];l=this.runtime.types_by_index[r[1]];n=this.runtime.typeHasPersistBehavior(l);l=!0;if(!n||this.layout.first_visit)r=this.runtime.createInstanceFromInit(r,this,!0),e.push(r),r.type.global&&(l=!1);l&&(this.initial_instances[b]=
this.initial_instances[a],b++)}this.initial_instances.length=b;this.runtime.ClearDeathRow();!this.runtime.glwrap&&this.effect_types.length&&(this.blend_mode=this.effect_fallback);this.compositeOp=cr.effectToCompositeOp(this.blend_mode);this.runtime.gl&&cr.setGLBlend(this,this.blend_mode,this.runtime.gl)};b.prototype.updateZIndices=function(){if(this.zindices_stale){var a,b;a=0;for(b=this.instances.length;a<b;a++)this.instances[a].zindex=a;this.zindices_stale=!1}};b.prototype.getScale=function(a){return this.getNormalScale()*
(this.runtime.fullscreenScalingQuality||a?this.runtime.aspect_scale:1)};b.prototype.getNormalScale=function(){return(this.scale*this.layout.scale-1)*this.zoomRate+1};b.prototype.getAngle=function(){return this.disableAngle?0:cr.clamp_angle(this.layout.angle+this.angle)};b.prototype.draw=function(a){this.render_offscreen=this.forceOwnTexture||1!==this.opacity||0!==this.blend_mode;var b=this.runtime.canvas,d=a,e=!1;a.globalAlpha=1;a.globalCompositeOperation="source-over";this.render_offscreen&&(this.runtime.layer_canvas||
(this.runtime.layer_canvas=document.createElement("canvas"),b=this.runtime.layer_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layer_ctx=b.getContext("2d"),e=!0),b=this.runtime.layer_canvas,d=this.runtime.layer_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,e=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,e=!0),e&&(d.webkitImageSmoothingEnabled=this.runtime.linearSampling,d.mozImageSmoothingEnabled=this.runtime.linearSampling,
d.msImageSmoothingEnabled=this.runtime.linearSampling,d.imageSmoothingEnabled=this.runtime.linearSampling),this.transparent&&d.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height));this.transparent||(d.fillStyle="rgb("+this.background_color[0]+","+this.background_color[1]+","+this.background_color[2]+")",d.fillRect(0,0,this.runtime.draw_width,this.runtime.draw_height));d.save();this.disableAngle=!0;var e=this.canvasToLayer(0,0,!0,!0),l=this.canvasToLayer(0,0,!1,!0);this.disableAngle=!1;
this.runtime.pixel_rounding&&(e=e+0.5|0,l=l+0.5|0);this.rotateViewport(e,l,d);var n=this.getScale();d.scale(n,n);d.translate(-e,-l);for(var f,e=0,l=this.instances.length;e<l;e++)n=this.instances[e],n.visible&&0!==n.width&&0!==n.height&&(n.update_bbox(),f=n.bbox,f.right<this.viewLeft||f.bottom<this.viewTop||f.left>this.viewRight||f.top>this.viewBottom||(d.globalCompositeOperation=n.compositeOp,n.draw(d)));d.restore();this.render_offscreen&&(a.globalCompositeOperation=this.compositeOp,a.globalAlpha=
this.opacity,a.drawImage(b,0,0))};b.prototype.rotateViewport=function(a,b,d){var e=this.getScale();this.viewLeft=a;this.viewTop=b;this.viewRight=a+this.runtime.draw_width*(1/e);this.viewBottom=b+this.runtime.draw_height*(1/e);a=this.getAngle();0!==a&&(d&&(d.translate(this.runtime.draw_width/2,this.runtime.draw_height/2),d.rotate(-a),d.translate(this.runtime.draw_width/-2,this.runtime.draw_height/-2)),this.tmprect.set(this.viewLeft,this.viewTop,this.viewRight,this.viewBottom),this.tmprect.offset((this.viewLeft+
this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),this.tmpquad.set_from_rotated_rect(this.tmprect,a),this.tmpquad.bounding_box(this.tmprect),this.tmprect.offset((this.viewLeft+this.viewRight)/2,(this.viewTop+this.viewBottom)/2),this.viewLeft=this.tmprect.left,this.viewTop=this.tmprect.top,this.viewRight=this.tmprect.right,this.viewBottom=this.tmprect.bottom)};b.prototype.drawGL=function(a){var b=this.runtime.draw_width,d=this.runtime.draw_height,e=0,l=0;if(this.render_offscreen=this.forceOwnTexture||
1!==this.opacity||0<this.active_effect_types.length||0!==this.blend_mode){this.runtime.layer_tex||(this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layer_tex.c2width!==this.runtime.draw_width||this.runtime.layer_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layer_tex),this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling);
a.setRenderingToTexture(this.runtime.layer_tex);this.transparent&&a.clear(0,0,0,0)}this.transparent||a.clear(this.background_color[0]/255,this.background_color[1]/255,this.background_color[2]/255,1);this.disableAngle=!0;var l=this.canvasToLayer(0,0,!0,!0),n=this.canvasToLayer(0,0,!1,!0);this.disableAngle=!1;this.runtime.pixel_rounding&&(l=l+0.5|0,n=n+0.5|0);this.rotateViewport(l,n,null);n=this.getScale();a.resetModelView();a.scale(n,n);a.rotateZ(-this.getAngle());a.translate((this.viewLeft+this.viewRight)/
-2,(this.viewTop+this.viewBottom)/-2);a.updateModelView();var f,p,s;f=0;for(p=this.instances.length;f<p;f++)if(s=this.instances[f],s.visible&&0!==s.width&&0!==s.height&&(s.update_bbox(),e=s.bbox,!(e.right<this.viewLeft||e.bottom<this.viewTop||e.left>this.viewRight||e.top>this.viewBottom)))if(s.uses_shaders)if(e=s.active_effect_types[0].shaderindex,l=s.active_effect_types[0].index,1!==s.active_effect_types.length||a.programUsesCrossSampling(e)||a.programExtendsBox(e)||(s.angle||s.layer.getAngle())&&
a.programUsesDest(e)||1!==s.opacity||s.type.plugin.must_predraw)this.layout.renderEffectChain(a,this,s,this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget()),a.resetModelView(),a.scale(n,n),a.rotateZ(-this.getAngle()),a.translate((this.viewLeft+this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),a.updateModelView();else{a.switchProgram(e);a.setBlend(s.srcBlend,s.destBlend);a.programIsAnimated(e)&&(this.runtime.redraw=!0);var q=0,v=0,w=0,y=0;a.programUsesDest(e)&&(e=s.bbox,q=
this.layerToCanvas(e.left,e.top,!0,!0),v=this.layerToCanvas(e.left,e.top,!1,!0),w=this.layerToCanvas(e.right,e.bottom,!0,!0),e=this.layerToCanvas(e.right,e.bottom,!1,!0),q/=b,v=1-v/d,w/=b,y=1-e/d);a.setProgramParameters(this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget(),1/s.width,1/s.height,q,v,w,y,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,s.effect_params[l]);s.drawGL(a)}else a.switchProgram(0),a.setBlend(s.srcBlend,s.destBlend),s.drawGL(a);this.render_offscreen&&
(e=this.active_effect_types.length?this.active_effect_types[0].shaderindex:0,l=this.active_effect_types.length?this.active_effect_types[0].index:0,0===this.active_effect_types.length||1===this.active_effect_types.length&&!a.programUsesCrossSampling(e)&&1===this.opacity?(1===this.active_effect_types.length?(a.switchProgram(e),a.setProgramParameters(this.layout.getRenderTarget(),1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,this.effect_params[l]),
a.programIsAnimated(e)&&(this.runtime.redraw=!0)):a.switchProgram(0),a.setRenderingToTexture(this.layout.getRenderTarget()),a.setOpacity(this.opacity),a.setTexture(this.runtime.layer_tex),a.setBlend(this.srcBlend,this.destBlend),a.resetModelView(),a.updateModelView(),b=this.runtime.draw_width/2,d=this.runtime.draw_height/2,a.quad(-b,d,b,d,b,-d,-b,-d),a.setTexture(null)):this.layout.renderEffectChain(a,this,null,this.layout.getRenderTarget()))};b.prototype.canvasToLayer=function(a,b,d,e){var l=this.runtime.devicePixelRatio;
this.runtime.isRetina&&(a*=l,b*=l);var l=this.runtime.parallax_x_origin,n=this.runtime.parallax_y_origin,l=(this.layout.scrollX-l)*this.parallaxX+l,n=(this.layout.scrollY-n)*this.parallaxY+n,f=1/this.getScale(!e);e?(l-=this.runtime.draw_width*f/2,n-=this.runtime.draw_height*f/2):(l-=this.runtime.width*f/2,n-=this.runtime.height*f/2);l+=a*f;n+=b*f;b=this.getAngle();0!==b&&(l-=this.layout.scrollX,n-=this.layout.scrollY,a=Math.cos(b),b=Math.sin(b),e=l*a-n*b,n=n*a+l*b,l=e+this.layout.scrollX,n+=this.layout.scrollY);
return d?l:n};b.prototype.layerToCanvas=function(a,b,d,e){var l=this.getAngle();if(0!==l){a-=this.layout.scrollX;b-=this.layout.scrollY;var n=Math.cos(-l),l=Math.sin(-l),f=a*n-b*l;b=b*n+a*l;a=f+this.layout.scrollX;b+=this.layout.scrollY}n=this.runtime.parallax_x_origin;l=this.runtime.parallax_y_origin;n=(this.layout.scrollX-n)*this.parallaxX+n;l=(this.layout.scrollY-l)*this.parallaxY+l;f=1/this.getScale(!e);e?(n-=this.runtime.draw_width*f/2,l-=this.runtime.draw_height*f/2):(n-=this.runtime.width*
f/2,l-=this.runtime.height*f/2);n=(a-n)/f;l=(b-l)/f;a=this.runtime.devicePixelRatio;this.runtime.isRetina&&(n/=a,l/=a);return d?n:l};b.prototype.rotatePt=function(a,b,d){if(0===this.getAngle())return d?a:b;var e=this.layerToCanvas(a,b,!0);b=this.layerToCanvas(a,b,!1);this.disableAngle=!0;a=this.canvasToLayer(e,b,!0);e=this.canvasToLayer(e,b,!0);this.disableAngle=!1;return d?a:e};b.prototype.saveToJSON=function(){var a,b,d,e={s:this.scale,a:this.angle,vl:this.viewLeft,vt:this.viewTop,vr:this.viewRight,
vb:this.viewBottom,v:this.visible,bc:this.background_color,t:this.transparent,px:this.parallaxX,py:this.parallaxY,o:this.opacity,zr:this.zoomRate,fx:[],instances:[]};a=0;for(b=this.effect_types.length;a<b;a++)d=this.effect_types[a],e.fx.push({name:d.name,active:d.active,params:this.effect_params[d.index]});return e};b.prototype.loadFromJSON=function(a){var b,e;this.scale=a.s;this.angle=a.a;this.viewLeft=a.vl;this.viewTop=a.vt;this.viewRight=a.vr;this.viewBottom=a.vb;this.visible=a.v;this.background_color=
a.bc;this.transparent=a.t;this.parallaxX=a.px;this.parallaxY=a.py;this.opacity=a.o;this.zoomRate=a.zr;var r=a.fx;a=0;for(b=r.length;a<b;a++)if(e=this.getEffectByName(r[a].name))e.active=r[a].active,this.effect_params[e.index]=r[a].params;this.updateActiveEffects();this.instances.sort(d);this.zindices_stale=!0};cr.layer=b})();
(function(){function a(a,b){var c,g=a.length;switch(g){case 0:return!0;case 1:return a[0]===b[0];case 2:return a[0]===b[0]&&a[1]===b[1];default:for(c=0;c<g;c++)if(a[c]!==b[c])return!1;return!0}}function b(a,b){return a.index-b.index}function d(c){var d,e,g,k;2===c.length?c[0].index>c[1].index&&(d=c[0],c[0]=c[1],c[1]=d):2<c.length&&c.sort(b);c.length>=q.length&&(q.length=c.length+1);q[c.length]||(q[c.length]=[]);k=q[c.length];d=0;for(e=k.length;d<e;d++)if(g=k[d],a(c,g))return g;k.push(c);return c}
function e(a,b){this.runtime=a;this.triggers={};this.fasttriggers={};this.hasRun=!1;this.includes=new cr.ObjectSet;this.name=b[0];var c=b[1];this.events=[];var g,k;g=0;for(k=c.length;g<k;g++)this.init_event(c[g],null,this.events)}function c(a){this.type=a;this.instances=[];this.else_instances=[];this.select_all=!0}function h(a,b,c){this.sheet=a;this.parent=b;this.runtime=a.runtime;this.solModifiers=[];this.solModifiersIncludingParents=[];this.has_else_block=this.toplevelgroup=this.toplevelevent=this.initially_activated=
this.group=this.solWriterAfterCnds=!1;this.conditions=[];this.actions=[];this.subevents=[];c[1]?(this.group_name=c[1][1].toLowerCase(),this.group=!0,this.initially_activated=!!c[1][0],this.runtime.allGroups.push(this),this.runtime.activeGroups[this.group_name.toLowerCase()]=this.initially_activated):(this.group_name="",this.initially_activated=this.group=!1);this.orblock=c[2];this.sid=c[4];this.group||(this.runtime.blocksBySid[this.sid.toString()]=this);var g=c[5];a=0;for(b=g.length;a<b;a++){var k=
new cr.condition(this,g[a]);k.index=a;cr.seal(k);this.conditions.push(k);this.addSolModifier(k.type)}g=c[6];a=0;for(b=g.length;a<b;a++)k=new cr.action(this,g[a]),k.index=a,cr.seal(k),this.actions.push(k);if(8===c.length)for(c=c[7],a=0,b=c.length;a<b;a++)this.sheet.init_event(c[a],this,this.subevents);this.is_else_block=!1;this.conditions.length&&(this.is_else_block=null==this.conditions[0].type&&this.conditions[0].func==cr.system_object.prototype.cnds.Else)}function m(a,b){var c,g,k;if(a&&(-1===b.indexOf(a)&&
b.push(a),a.is_contained))for(c=0,g=a.container.length;c<g;c++)k=a.container[c],a!==k&&-1===b.indexOf(k)&&b.push(k)}function r(a,b){this.block=a;this.sheet=a.sheet;this.runtime=a.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.func=b[1];this.trigger=0<b[3];this.fasttrigger=2===b[3];this.looping=b[4];this.inverted=b[5];this.isstatic=b[6];this.sid=b[7];this.runtime.cndsBySid[this.sid.toString()]=this;-1===b[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,
this.beh_index=-1):(this.type=this.runtime.types_by_index[b[0]],this.run=this.isstatic?this.run_static:this.run_object,b[2]?(this.behaviortype=this.type.getBehaviorByName(b[2]),this.beh_index=this.type.getBehaviorIndexByName(b[2])):(this.behaviortype=null,this.beh_index=-1),this.block.parent&&this.block.parent.setSolWriterAfterCnds());this.fasttrigger&&(this.run=this.run_true);if(10===b.length){var c,g,k=b[9];c=0;for(g=k.length;c<g;c++){var d=new cr.parameter(this,k[c]);cr.seal(d);this.parameters.push(d)}this.results.length=
k.length}}function l(a,b){this.block=a;this.sheet=a.sheet;this.runtime=a.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.func=b[1];-1===b[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,this.beh_index=-1):(this.type=this.runtime.types_by_index[b[0]],this.run=this.run_object,b[2]?(this.behaviortype=this.type.getBehaviorByName(b[2]),this.beh_index=this.type.getBehaviorIndexByName(b[2])):(this.behaviortype=null,this.beh_index=-1));this.sid=b[3];this.runtime.actsBySid[this.sid.toString()]=
this;if(6===b.length){var c,g,k=b[5];c=0;for(g=k.length;c<g;c++){var d=new cr.parameter(this,k[c]);cr.seal(d);this.parameters.push(d)}this.results.length=k.length}}function n(a,b){this.owner=a;this.block=a.block;this.sheet=a.sheet;this.runtime=a.runtime;this.type=b[0];this.expression=null;this.combosel=this.solindex=0;this.layout=null;this.key=0;this.object=null;this.index=0;this.variadicret=this.subparams=this.fileinfo=this.eventvar=this.varname=null;var c,g,k;switch(b[0]){case 0:case 7:this.expression=
new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_exp;break;case 1:this.expression=new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_exp_str;break;case 5:this.expression=new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_layer;break;case 3:case 8:this.combosel=b[1];this.get=this.get_combosel;break;case 6:this.layout=this.runtime.layouts[b[1]];this.get=this.get_layout;break;case 9:this.key=b[1];this.get=this.get_key;break;case 4:this.object=this.runtime.types_by_index[b[1]];
this.get=this.get_object;this.block.addSolModifier(this.object);this.owner instanceof cr.action?this.block.setSolWriterAfterCnds():this.block.parent&&this.block.parent.setSolWriterAfterCnds();break;case 10:this.index=b[1];this.get=a.type.is_family?this.get_familyvar:this.get_instvar;break;case 11:this.varname=b[1];this.eventvar=null;this.get=this.get_eventvar;break;case 2:case 12:this.fileinfo=b[1];this.get=this.get_audiofile;break;case 13:for(this.get=this.get_variadic,this.subparams=[],this.variadicret=
[],c=1,g=b.length;c<g;c++)k=new cr.parameter(this.owner,b[c]),cr.seal(k),this.subparams.push(k),this.variadicret.push(0)}}function f(a,b,c){this.sheet=a;this.parent=b;this.runtime=a.runtime;this.solModifiers=[];this.name=c[1];this.vartype=c[2];this.initial=c[3];this.is_static=!!c[4];this.is_constant=!!c[5];this.sid=c[6];this.runtime.varsBySid[this.sid.toString()]=this;this.data=this.initial;this.parent?(this.localIndex=this.is_static||this.is_constant?-1:this.runtime.stackLocalCount++,this.runtime.all_local_vars.push(this)):
(this.localIndex=-1,this.runtime.all_global_vars.push(this))}function p(a,b,c){this.sheet=a;this.parent=b;this.runtime=a.runtime;this.solModifiers=[];this.include_sheet=null;this.include_sheet_name=c[1]}function s(){this.temp_parents_arr=[];this.reset(null);cr.seal(this)}var q=[];e.prototype.toString=function(){return this.name};e.prototype.init_event=function(a,b,c){switch(a[0]){case 0:a=new cr.eventblock(this,b,a);cr.seal(a);if(a.orblock)for(c.push(a),c=0,b=a.conditions.length;c<b;c++)a.conditions[c].trigger&&
this.init_trigger(a,c);else a.is_trigger()?this.init_trigger(a,0):c.push(a);break;case 1:a=new cr.eventvariable(this,b,a);cr.seal(a);c.push(a);break;case 2:a=new cr.eventinclude(this,b,a),cr.seal(a),c.push(a)}};e.prototype.postInit=function(){var a,b;a=0;for(b=this.events.length;a<b;a++)this.events[a].postInit(a<b-1&&this.events[a+1].is_else_block)};e.prototype.run=function(a){this.runtime.resuming_breakpoint||(this.hasRun=!0,a||(this.runtime.isRunningEvents=!0));var b,c;b=0;for(c=this.events.length;b<
c;b++){var g=this.events[b];g.run();this.runtime.clearSol(g.solModifiers);this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow()}a||(this.runtime.isRunningEvents=!1)};e.prototype.init_trigger=function(a,b){a.orblock||this.runtime.triggers_to_postinit.push(a);var c,g,k=a.conditions[b],d;d=k.type?k.type.name:"system";var e=(c=k.fasttrigger)?this.fasttriggers:this.triggers;e[d]||(e[d]=[]);d=e[d];e=k.func;if(c){if(k.parameters.length&&(k=k.parameters[0],1===k.type&&
2===k.expression.type)){k=k.expression.value.toLowerCase();c=0;for(g=d.length;c<g;c++)if(d[c].method==e){c=d[c].evs;c[k]?c[k].push([a,b]):c[k]=[[a,b]];return}c={};c[k]=[[a,b]];d.push({method:e,evs:c})}}else{c=0;for(g=d.length;c<g;c++)if(d[c].method==e){d[c].evs.push([a,b]);return}d.push({method:e,evs:[[a,b]]})}};cr.eventsheet=e;c.prototype.hasObjects=function(){return this.select_all?this.type.instances.length:this.instances.length};c.prototype.getObjects=function(){return this.select_all?this.type.instances:
this.instances};c.prototype.pick_one=function(a){a&&(a.runtime.getCurrentEventStack().current_event.orblock?(this.select_all&&(this.instances.length=0,cr.shallowAssignArray(this.else_instances,a.type.instances),this.select_all=!1),a=this.else_instances.indexOf(a),-1!==a&&(this.instances.push(this.else_instances[a]),this.else_instances.splice(a,1))):(this.select_all=!1,this.instances.length=1,this.instances[0]=a))};cr.selection=c;window._c2hh_="FF6CE7C137557ECFC2EFDF6EBF9B6EE0280B8502";h.prototype.postInit=
function(a){var b,c=this.parent;if(this.group)for(this.toplevelgroup=!0;c;){if(!c.group){this.toplevelgroup=!1;break}c=c.parent}this.toplevelevent=!this.is_trigger()&&(!this.parent||this.parent.group&&this.parent.toplevelgroup);this.has_else_block=!!a;this.solModifiersIncludingParents=this.solModifiers.slice(0);for(c=this.parent;c;){a=0;for(b=c.solModifiers.length;a<b;a++)this.addParentSolModifier(c.solModifiers[a]);c=c.parent}this.solModifiers=d(this.solModifiers);this.solModifiersIncludingParents=
d(this.solModifiersIncludingParents);a=0;for(b=this.conditions.length;a<b;a++)this.conditions[a].postInit();a=0;for(b=this.actions.length;a<b;a++)this.actions[a].postInit();a=0;for(b=this.subevents.length;a<b;a++)this.subevents[a].postInit(a<b-1&&this.subevents[a+1].is_else_block)};h.prototype.addSolModifier=function(a){m(a,this.solModifiers)};h.prototype.addParentSolModifier=function(a){m(a,this.solModifiersIncludingParents)};h.prototype.setSolWriterAfterCnds=function(){this.solWriterAfterCnds=!0;
this.parent&&this.parent.setSolWriterAfterCnds()};h.prototype.is_trigger=function(){return this.conditions.length?this.conditions[0].trigger:!1};h.prototype.run=function(){var a,b=!1,c,g=this.runtime.getCurrentEventStack();g.current_event=this;this.is_else_block||(g.else_branch_ran=!1);if(this.orblock){0===this.conditions.length&&(b=!0);g.cndindex=0;for(a=this.conditions.length;g.cndindex<a;g.cndindex++)this.conditions[g.cndindex].trigger||(c=this.conditions[g.cndindex].run())&&(b=!0);(g.last_event_true=
b)&&this.run_actions_and_subevents()}else{g.cndindex=0;for(a=this.conditions.length;g.cndindex<a;g.cndindex++)if(c=this.conditions[g.cndindex].run(),!c){g.last_event_true=!1;!this.toplevelevent||this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow();return}g.last_event_true=!0;this.run_actions_and_subevents()}this.end_run(g)};h.prototype.end_run=function(a){a.last_event_true&&this.has_else_block&&(a.else_branch_ran=!0);!this.toplevelevent||this.runtime.deathRow.isEmpty()&&
!this.runtime.createRow.length||this.runtime.ClearDeathRow()};h.prototype.run_orblocktrigger=function(a){this.runtime.getCurrentEventStack().current_event=this;this.conditions[a].run()&&(this.run_actions_and_subevents(),this.runtime.getCurrentEventStack().last_event_true=!0)};h.prototype.run_actions_and_subevents=function(){var a=this.runtime.getCurrentEventStack(),b;a.actindex=0;for(b=this.actions.length;a.actindex<b;a.actindex++)if(this.actions[a.actindex].run())return;this.run_subevents()};h.prototype.resume_actions_and_subevents=
function(){var a=this.runtime.getCurrentEventStack(),b;for(b=this.actions.length;a.actindex<b;a.actindex++)if(this.actions[a.actindex].run())return;this.run_subevents()};h.prototype.run_subevents=function(){if(this.subevents.length){var a,b,c,g,k=this.subevents.length-1;this.runtime.pushEventStack(this);if(this.solWriterAfterCnds)for(a=0,b=this.subevents.length;a<b;a++)c=this.subevents[a],(g=!this.toplevelgroup||!this.group&&a<k)&&this.runtime.pushCopySol(c.solModifiers),c.run(),g?this.runtime.popSol(c.solModifiers):
this.runtime.clearSol(c.solModifiers);else for(a=0,b=this.subevents.length;a<b;a++)this.subevents[a].run();this.runtime.popEventStack()}};h.prototype.run_pretrigger=function(){var a=this.runtime.getCurrentEventStack();a.current_event=this;var b=!1,c;a.cndindex=0;for(c=this.conditions.length;a.cndindex<c;a.cndindex++)if(this.conditions[a.cndindex].run())b=!0;else if(!this.orblock)return!1;return this.orblock?b:!0};h.prototype.retrigger=function(){this.runtime.execcount++;var a=this.runtime.getCurrentEventStack().cndindex,
b=this.runtime.pushEventStack(this);if(!this.orblock)for(b.cndindex=a+1,a=this.conditions.length;b.cndindex<a;b.cndindex++)if(!this.conditions[b.cndindex].run())return this.runtime.popEventStack(),!1;this.run_actions_and_subevents();this.runtime.popEventStack();return!0};h.prototype.isFirstConditionOfType=function(a){var b=a.index;if(0===b)return!0;for(--b;0<=b;--b)if(this.conditions[b].type===a.type)return!1;return!0};cr.eventblock=h;r.prototype.postInit=function(){var a,b;a=0;for(b=this.parameters.length;a<
b;a++)this.parameters[a].postInit()};r.prototype.run_true=function(){return!0};r.prototype.run_system=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=this.parameters[a].get();return cr.xor(this.func.apply(this.runtime.system,this.results),this.inverted)};r.prototype.run_static=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=this.parameters[a].get(a);a=this.func.apply(this.behaviortype?this.behaviortype:this.type,this.results);this.type.applySolToContainer();
return a};r.prototype.run_object=function(){var a,b,c,g,k,d,e,f=this.type.getCurrentSol(),p=this.block.orblock&&!this.trigger,q=0,l=this.type.is_contained;if(f.select_all){f.instances.length=0;a=f.else_instances.length=0;for(c=this.type.instances.length;a<c;a++){d=this.type.instances[a];b=0;for(g=this.parameters.length;b<g;b++)this.results[b]=this.parameters[b].get(a);-1<this.beh_index?(this.type.is_family&&(q=d.type.family_beh_map[this.type.family_index]),b=this.func.apply(d.behavior_insts[this.beh_index+
q],this.results)):b=this.func.apply(d,this.results);(k=cr.xor(b,this.inverted))?f.instances.push(d):p&&f.else_instances.push(d)}this.type.finish&&this.type.finish(!0);f.select_all=!1;this.type.applySolToContainer();return f.hasObjects()}var n=0,h=(k=p&&!this.block.isFirstConditionOfType(this))?f.else_instances:f.instances,s=!1;a=0;for(c=h.length;a<c;a++){d=h[a];b=0;for(g=this.parameters.length;b<g;b++)this.results[b]=this.parameters[b].get(a);-1<this.beh_index?(this.type.is_family&&(q=d.type.family_beh_map[this.type.family_index]),
b=this.func.apply(d.behavior_insts[this.beh_index+q],this.results)):b=this.func.apply(d,this.results);if(cr.xor(b,this.inverted))if(s=!0,k){if(f.instances.push(d),l)for(b=0,g=d.siblings.length;b<g;b++)e=d.siblings[b],e.type.getCurrentSol().instances.push(e)}else{h[n]=d;if(l)for(b=0,g=d.siblings.length;b<g;b++)e=d.siblings[b],e.type.getCurrentSol().instances[n]=e;n++}else if(k){h[n]=d;if(l)for(b=0,g=d.siblings.length;b<g;b++)e=d.siblings[b],e.type.getCurrentSol().else_instances[n]=e;n++}else if(p&&
(f.else_instances.push(d),l))for(b=0,g=d.siblings.length;b<g;b++)e=d.siblings[b],e.type.getCurrentSol().else_instances.push(e)}h.length=n;if(l)for(a=0,c=this.type.container.length;a<c;a++)d=this.type.container[a].getCurrentSol(),k?d.else_instances.length=n:d.instances.length=n;q=s;if(k&&!s)for(a=0,c=f.instances.length;a<c;a++){d=f.instances[a];b=0;for(g=this.parameters.length;b<g;b++)this.results[b]=this.parameters[b].get(a);b=-1<this.beh_index?this.func.apply(d.behavior_insts[this.beh_index],this.results):
this.func.apply(d,this.results);if(cr.xor(b,this.inverted)){s=!0;break}}this.type.finish&&this.type.finish(q||p);return p?s:f.hasObjects()};cr.condition=r;l.prototype.postInit=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.parameters[a].postInit()};l.prototype.run_system=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=this.parameters[a].get();return this.func.apply(this.runtime.system,this.results)};l.prototype.run_object=function(){var a=this.type.getCurrentSol().getObjects(),
b,c,g,k,d;b=0;for(g=a.length;b<g;b++){d=a[b];c=0;for(k=this.parameters.length;c<k;c++)this.results[c]=this.parameters[c].get(b);-1<this.beh_index?(c=0,this.type.is_family&&(c=d.type.family_beh_map[this.type.family_index]),this.func.apply(d.behavior_insts[this.beh_index+c],this.results)):this.func.apply(d,this.results)}return!1};cr.action=l;var v=[],w=-1;n.prototype.postInit=function(){var a,b;if(11===this.type)this.eventvar=this.runtime.getEventVariableByName(this.varname,this.block.parent);else if(13===
this.type)for(a=0,b=this.subparams.length;a<b;a++)this.subparams[a].postInit();this.expression&&this.expression.postInit()};n.prototype.pushTempValue=function(){w++;v.length===w&&v.push(new cr.expvalue);return v[w]};n.prototype.popTempValue=function(){w--};n.prototype.get_exp=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();return a.data};n.prototype.get_exp_str=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();
return cr.is_string(a.data)?a.data:""};n.prototype.get_object=function(){return this.object};n.prototype.get_combosel=function(){return this.combosel};n.prototype.get_layer=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();return a.is_number()?this.runtime.getLayerByNumber(a.data):this.runtime.getLayerByName(a.data)};n.prototype.get_layout=function(){return this.layout};n.prototype.get_key=function(){return this.key};n.prototype.get_instvar=function(){return this.index};
n.prototype.get_familyvar=function(a){var b=this.owner.type,c=null,c=b.getCurrentSol(),g=c.getObjects(),c=g.length?g[a%g.length].type:c.else_instances[a%c.else_instances.length].type;return this.index+c.family_var_map[b.family_index]};n.prototype.get_eventvar=function(){return this.eventvar};n.prototype.get_audiofile=function(){return this.fileinfo};n.prototype.get_variadic=function(){var a,b;a=0;for(b=this.subparams.length;a<b;a++)this.variadicret[a]=this.subparams[a].get();return this.variadicret};
cr.parameter=n;f.prototype.postInit=function(){this.solModifiers=d(this.solModifiers)};f.prototype.setValue=function(a){var b=this.runtime.getCurrentLocalVarStack();this.parent&&!this.is_static&&b?(this.localIndex>=b.length&&(b.length=this.localIndex+1),b[this.localIndex]=a):this.data=a};f.prototype.getValue=function(){var a=this.runtime.getCurrentLocalVarStack();return!this.parent||this.is_static||!a||this.is_constant?this.data:this.localIndex>=a.length||"undefined"===typeof a[this.localIndex]?this.initial:
a[this.localIndex]};f.prototype.run=function(){!this.parent||this.is_static||this.is_constant||this.setValue(this.initial)};cr.eventvariable=f;p.prototype.toString=function(){return"include:"+this.include_sheet.toString()};p.prototype.postInit=function(){this.include_sheet=this.runtime.eventsheets[this.include_sheet_name];this.sheet.includes.add(this);this.solModifiers=d(this.solModifiers)};p.prototype.run=function(){this.parent&&this.runtime.pushCleanSol(this.runtime.types_by_index);this.include_sheet.hasRun||
this.include_sheet.run(!0);this.parent&&this.runtime.popSol(this.runtime.types_by_index)};p.prototype.isActive=function(){for(var a=this.parent;a;){if(a.group&&!this.runtime.activeGroups[a.group_name.toLowerCase()])return!1;a=a.parent}return!0};cr.eventinclude=p;s.prototype.reset=function(a){this.current_event=a;this.actindex=this.cndindex=0;this.temp_parents_arr.length=0;this.any_true_state=this.else_branch_ran=this.last_event_true=!1};s.prototype.isModifierAfterCnds=function(){return this.current_event.solWriterAfterCnds?
!0:this.cndindex<this.current_event.conditions.length-1?!!this.current_event.solModifiers.length:!1};cr.eventStackFrame=s})();
(function(){function a(a,b){this.owner=a;this.runtime=a.runtime;this.type=b[0];this.get=[this.eval_int,this.eval_float,this.eval_string,this.eval_unaryminus,this.eval_add,this.eval_subtract,this.eval_multiply,this.eval_divide,this.eval_mod,this.eval_power,this.eval_and,this.eval_or,this.eval_equal,this.eval_notequal,this.eval_less,this.eval_lessequal,this.eval_greater,this.eval_greaterequal,this.eval_conditional,this.eval_system_exp,this.eval_object_behavior_exp,this.eval_instvar_exp,this.eval_object_behavior_exp,
this.eval_eventvar_exp][this.type];var c=null;this.object_type=this.parameters=this.results=this.func=this.third=this.second=this.first=this.value=null;this.beh_index=-1;this.instance_expr=null;this.varindex=-1;this.eventvar=this.varname=this.behavior_type=null;this.return_string=!1;switch(this.type){case 0:case 1:case 2:this.value=b[1];break;case 3:this.first=new cr.expNode(a,b[1]);break;case 18:this.first=new cr.expNode(a,b[1]);this.second=new cr.expNode(a,b[2]);this.third=new cr.expNode(a,b[3]);
break;case 19:this.func=b[1];this.results=[];this.parameters=[];3===b.length?(c=b[2],this.results.length=c.length+1):this.results.length=1;break;case 20:this.object_type=this.runtime.types_by_index[b[1]];this.beh_index=-1;this.func=b[2];this.return_string=b[3];this.instance_expr=b[4]?new cr.expNode(a,b[4]):null;this.results=[];this.parameters=[];6===b.length?(c=b[5],this.results.length=c.length+1):this.results.length=1;break;case 21:this.object_type=this.runtime.types_by_index[b[1]];this.return_string=
b[2];this.instance_expr=b[3]?new cr.expNode(a,b[3]):null;this.varindex=b[4];break;case 22:this.object_type=this.runtime.types_by_index[b[1]];this.behavior_type=this.object_type.getBehaviorByName(b[2]);this.beh_index=this.object_type.getBehaviorIndexByName(b[2]);this.func=b[3];this.return_string=b[4];this.instance_expr=b[5]?new cr.expNode(a,b[5]):null;this.results=[];this.parameters=[];7===b.length?(c=b[6],this.results.length=c.length+1):this.results.length=1;break;case 23:this.varname=b[1],this.eventvar=
null}4<=this.type&&17>=this.type&&(this.first=new cr.expNode(a,b[1]),this.second=new cr.expNode(a,b[2]));if(c){var h,m;h=0;for(m=c.length;h<m;h++)this.parameters.push(new cr.expNode(a,c[h]))}cr.seal(this)}function b(a,b){this.type=a||cr.exptype.Integer;this.data=b||0;this.object_class=null;this.type==cr.exptype.Integer&&(this.data=Math.floor(this.data));cr.seal(this)}a.prototype.postInit=function(){23===this.type&&(this.eventvar=this.owner.runtime.getEventVariableByName(this.varname,this.owner.block.parent));
this.first&&this.first.postInit();this.second&&this.second.postInit();this.third&&this.third.postInit();this.instance_expr&&this.instance_expr.postInit();if(this.parameters){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.parameters[a].postInit()}};a.prototype.eval_system_exp=function(a){this.results[0]=a;a=this.owner.pushTempValue();var b,c;b=0;for(c=this.parameters.length;b<c;b++)this.parameters[b].get(a),this.results[b+1]=a.data;this.owner.popTempValue();this.func.apply(this.runtime.system,
this.results)};a.prototype.eval_object_behavior_exp=function(a){var b=this.object_type.getCurrentSol(),c=b.getObjects();if(!c.length)if(b.else_instances.length)c=b.else_instances;else{this.return_string?a.set_string(""):a.set_int(0);return}this.results[0]=a;a.object_class=this.object_type;a=this.owner.pushTempValue();var h,b=0;for(h=this.parameters.length;b<h;b++)this.parameters[b].get(a),this.results[b+1]=a.data;b=this.owner.solindex;this.instance_expr&&(this.instance_expr.get(a),a.is_number()&&
(b=a.data,c=this.object_type.instances));this.owner.popTempValue();b%=c.length;0>b&&(b+=c.length);c=c[b];-1<this.beh_index?(a=0,this.object_type.is_family&&(a=c.type.family_beh_map[this.object_type.family_index]),this.func.apply(c.behavior_insts[this.beh_index+a],this.results)):this.func.apply(c,this.results)};a.prototype.eval_instvar_exp=function(a){var b=this.object_type.getCurrentSol(),c=b.getObjects();if(!c.length)if(b.else_instances.length)c=b.else_instances;else{this.return_string?a.set_string(""):
a.set_int(0);return}b=this.owner.solindex;if(this.instance_expr){var h=this.owner.pushTempValue();this.instance_expr.get(h);if(h.is_number()){b=h.data;c=this.object_type.instances;b%=c.length;0>b&&(b+=c.length);c=c[b].instance_vars[this.varindex];cr.is_string(c)?a.set_string(c):a.set_float(c);this.owner.popTempValue();return}this.owner.popTempValue()}b%=c.length;0>b&&(b+=c.length);c=c[b];b=0;this.object_type.is_family&&(b=c.type.family_var_map[this.object_type.family_index]);c=c.instance_vars[this.varindex+
b];cr.is_string(c)?a.set_string(c):a.set_float(c)};a.prototype.eval_int=function(a){a.type=cr.exptype.Integer;a.data=this.value};a.prototype.eval_float=function(a){a.type=cr.exptype.Float;a.data=this.value};a.prototype.eval_string=function(a){a.type=cr.exptype.String;a.data=this.value};a.prototype.eval_unaryminus=function(a){this.first.get(a);a.is_number()&&(a.data=-a.data)};a.prototype.eval_add=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&
(a.data+=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_subtract=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data-=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_multiply=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data*=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_divide=
function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data/=b.data,a.make_float());this.owner.popTempValue()};a.prototype.eval_mod=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data%=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_power=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&
(a.data=Math.pow(a.data,b.data),b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_and=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()?b.is_string()?a.set_string(a.data.toString()+b.data):a.data&&b.data?a.set_int(1):a.set_int(0):a.is_string()&&(b.is_string()?a.data+=b.data:a.data+=(Math.round(1E10*b.data)/1E10).toString());this.owner.popTempValue()};a.prototype.eval_or=function(a){this.first.get(a);var b=this.owner.pushTempValue();
this.second.get(b);a.is_number()&&b.is_number()&&(a.data||b.data?a.set_int(1):a.set_int(0));this.owner.popTempValue()};a.prototype.eval_conditional=function(a){this.first.get(a);a.data?this.second.get(a):this.third.get(a)};a.prototype.eval_equal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data===b.data?1:0);this.owner.popTempValue()};a.prototype.eval_notequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data!==
b.data?1:0);this.owner.popTempValue()};a.prototype.eval_less=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data<b.data?1:0);this.owner.popTempValue()};a.prototype.eval_lessequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data<=b.data?1:0);this.owner.popTempValue()};a.prototype.eval_greater=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data>b.data?1:0);
this.owner.popTempValue()};a.prototype.eval_greaterequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data>=b.data?1:0);this.owner.popTempValue()};a.prototype.eval_eventvar_exp=function(a){var b=this.eventvar.getValue();cr.is_number(b)?a.set_float(b):a.set_string(b)};cr.expNode=a;b.prototype.is_int=function(){return this.type===cr.exptype.Integer};b.prototype.is_float=function(){return this.type===cr.exptype.Float};b.prototype.is_number=function(){return this.type===
cr.exptype.Integer||this.type===cr.exptype.Float};b.prototype.is_string=function(){return this.type===cr.exptype.String};b.prototype.make_int=function(){this.is_int()||(this.is_float()?this.data=Math.floor(this.data):this.is_string()&&(this.data=parseInt(this.data,10)),this.type=cr.exptype.Integer)};b.prototype.make_float=function(){this.is_float()||(this.is_string()&&(this.data=parseFloat(this.data)),this.type=cr.exptype.Float)};b.prototype.make_string=function(){this.is_string()||(this.data=this.data.toString(),
this.type=cr.exptype.String)};b.prototype.set_int=function(a){this.type=cr.exptype.Integer;this.data=Math.floor(a)};b.prototype.set_float=function(a){this.type=cr.exptype.Float;this.data=a};b.prototype.set_string=function(a){this.type=cr.exptype.String;this.data=a};b.prototype.set_any=function(a){cr.is_number(a)?(this.type=cr.exptype.Float,this.data=a):cr.is_string(a)?(this.type=cr.exptype.String,this.data=a.toString()):(this.type=cr.exptype.Integer,this.data=0)};cr.expvalue=b;cr.exptype={Integer:0,
Float:1,String:2}})();cr.system_object=function(a){this.runtime=a;this.waits=[]};
cr.system_object.prototype.saveToJSON=function(){var a={},b,d,e,c,h,m,r,l;a.waits=[];var n=a.waits,f;b=0;for(d=this.waits.length;b<d;b++){m=this.waits[b];f={t:m.time,ev:m.ev.sid,sm:[],sols:{}};m.ev.actions[m.actindex]&&(f.act=m.ev.actions[m.actindex].sid);e=0;for(c=m.solModifiers.length;e<c;e++)f.sm.push(m.solModifiers[e].sid);for(h in m.sols)if(m.sols.hasOwnProperty(h)){r=this.runtime.types_by_index[parseInt(h,10)];l={sa:m.sols[h].sa,insts:[]};e=0;for(c=m.sols[h].insts.length;e<c;e++)l.insts.push(m.sols[h].insts[e].uid);
f.sols[r.sid.toString()]=l}n.push(f)}return a};
cr.system_object.prototype.loadFromJSON=function(a){a=a.waits;var b,d,e,c,h,m,r,l,n,f,p;b=this.waits.length=0;for(d=a.length;b<d;b++)if(m=a[b],l=this.runtime.blocksBySid[m.ev.toString()]){n=-1;e=0;for(c=l.actions.length;e<c;e++)if(l.actions[e].sid===m.act){n=e;break}if(-1!==n){r={sols:{},solModifiers:[],deleteme:!1};r.time=m.t;r.ev=l;r.actindex=n;e=0;for(c=m.sm.length;e<c;e++)(l=this.runtime.getObjectTypeBySid(m.sm[e]))&&r.solModifiers.push(l);for(h in m.sols)if(m.sols.hasOwnProperty(h)&&(l=this.runtime.getObjectTypeBySid(parseInt(h,
10)))){n=m.sols[h];f={sa:n.sa,insts:[]};e=0;for(c=n.insts.length;e<c;e++)(p=this.runtime.getObjectByUID(n.insts[e]))&&f.insts.push(p);r.sols[l.index.toString()]=f}this.waits.push(r)}}};
(function(){function a(){}function b(a,b){var c=a.extra.c2_foreachordered_val,f=b.extra.c2_foreachordered_val;if(cr.is_number(c)&&cr.is_number(f))return c-f;c=""+c;f=""+f;return c<f?-1:c>f?1:0}function d(a,b){n&&a===f&&b===p||(n=RegExp(a,b),f=a,p=b);n.lastIndex=0;return n}function e(){}function c(){}function h(a,b,c){if(a!==y||b!==t||c!==u){var f=d(b,c);w=a.match(f);y=a;t=b;u=c}}var m=cr.system_object.prototype;a.prototype.EveryTick=function(){return!0};a.prototype.OnLayoutStart=function(){return!0};
a.prototype.OnLayoutEnd=function(){return!0};a.prototype.Compare=function(a,b,c){return cr.do_cmp(a,b,c)};a.prototype.CompareTime=function(a,b){var c=this.runtime.kahanTime.sum;if(0===a){var f=this.runtime.getCurrentCondition();return!f.extra.CompareTime_executed&&c>=b?f.extra.CompareTime_executed=!0:!1}return cr.do_cmp(c,a,b)};a.prototype.LayerVisible=function(a){return a?a.visible:!1};a.prototype.LayerCmpOpacity=function(a,b,c){return a?cr.do_cmp(100*a.opacity,b,c):!1};a.prototype.Repeat=function(a){var b=
this.runtime.getCurrentEventStack(),c=b.current_event,f=b.isModifierAfterCnds(),b=this.runtime.pushLoopStack();if(f)for(f=0;f<a&&!b.stopped;f++)this.runtime.pushCopySol(c.solModifiers),b.index=f,c.retrigger(),this.runtime.popSol(c.solModifiers);else for(f=0;f<a&&!b.stopped;f++)b.index=f,c.retrigger();this.runtime.popLoopStack();return!1};a.prototype.While=function(a){var b=this.runtime.getCurrentEventStack();a=b.current_event;var c=b.isModifierAfterCnds(),b=this.runtime.pushLoopStack();if(c)for(c=
0;!b.stopped;c++)this.runtime.pushCopySol(a.solModifiers),b.index=c,a.retrigger()||(b.stopped=!0),this.runtime.popSol(a.solModifiers);else for(c=0;!b.stopped;c++)b.index=c,a.retrigger()||(b.stopped=!0);this.runtime.popLoopStack();return!1};a.prototype.For=function(a,b,c){var f=this.runtime.getCurrentEventStack(),d=f.current_event,f=f.isModifierAfterCnds();a=this.runtime.pushLoopStack(a);if(c<b)if(f)for(;b>=c&&!a.stopped;--b)this.runtime.pushCopySol(d.solModifiers),a.index=b,d.retrigger(),this.runtime.popSol(d.solModifiers);
else for(;b>=c&&!a.stopped;--b)a.index=b,d.retrigger();else if(f)for(;b<=c&&!a.stopped;++b)this.runtime.pushCopySol(d.solModifiers),a.index=b,d.retrigger(),this.runtime.popSol(d.solModifiers);else for(;b<=c&&!a.stopped;++b)a.index=b,d.retrigger();this.runtime.popLoopStack();return!1};var r=[],l=-1;a.prototype.ForEach=function(a){var b=a.getCurrentSol();l++;r.length===l&&r.push([]);var c=r[l];cr.shallowAssignArray(c,b.getObjects());var f=this.runtime.getCurrentEventStack(),d=f.current_event,e=f.isModifierAfterCnds(),
f=this.runtime.pushLoopStack(),p,q,n,h,s,w,v=a.is_contained;if(e)for(e=0,p=c.length;e<p&&!f.stopped;e++){this.runtime.pushCopySol(d.solModifiers);h=c[e];b=a.getCurrentSol();b.select_all=!1;b.instances.length=1;b.instances[0]=h;if(v)for(q=0,n=h.siblings.length;q<n;q++)s=h.siblings[q],w=s.type.getCurrentSol(),w.select_all=!1,w.instances.length=1,w.instances[0]=s;f.index=e;d.retrigger();this.runtime.popSol(d.solModifiers)}else for(b.select_all=!1,b.instances.length=1,e=0,p=c.length;e<p&&!f.stopped;e++){h=
c[e];b.instances[0]=h;if(v)for(q=0,n=h.siblings.length;q<n;q++)s=h.siblings[q],w=s.type.getCurrentSol(),w.select_all=!1,w.instances.length=1,w.instances[0]=s;f.index=e;d.retrigger()}c.length=0;this.runtime.popLoopStack();l--;return!1};a.prototype.ForEachOrdered=function(a,c,f){c=a.getCurrentSol();l++;r.length===l&&r.push([]);var d=r[l];cr.shallowAssignArray(d,c.getObjects());var e=this.runtime.getCurrentEventStack(),p=e.current_event,q=this.runtime.getCurrentCondition(),n=e.isModifierAfterCnds(),
e=this.runtime.pushLoopStack(),h,s,w,v,m;h=0;for(s=d.length;h<s;h++)d[h].extra.c2_foreachordered_val=q.parameters[1].get(h);d.sort(b);1===f&&d.reverse();f=a.is_contained;if(n)for(h=0,s=d.length;h<s&&!e.stopped;h++){this.runtime.pushCopySol(p.solModifiers);w=d[h];c=a.getCurrentSol();c.select_all=!1;c.instances.length=1;c.instances[0]=w;if(f)for(q=0,n=w.siblings.length;q<n;q++)v=w.siblings[q],m=v.type.getCurrentSol(),m.select_all=!1,m.instances.length=1,m.instances[0]=v;e.index=h;p.retrigger();this.runtime.popSol(p.solModifiers)}else for(c.select_all=
!1,c.instances.length=1,h=0,s=d.length;h<s&&!e.stopped;h++){w=d[h];c.instances[0]=w;if(f)for(q=0,n=w.siblings.length;q<n;q++)v=w.siblings[q],m=v.type.getCurrentSol(),m.select_all=!1,m.instances.length=1,m.instances[0]=v;e.index=h;p.retrigger()}d.length=0;this.runtime.popLoopStack();l--;return!1};a.prototype.PickByComparison=function(a,b,c,f){var d,e,p,q;if(a){l++;r.length===l&&r.push([]);var n=r[l],h=a.getCurrentSol();cr.shallowAssignArray(n,h.getObjects());h.select_all&&(h.else_instances.length=
0);var s=this.runtime.getCurrentCondition();p=d=0;for(e=n.length;d<e;d++)q=n[d],n[p]=q,b=s.parameters[1].get(d),f=s.parameters[3].get(d),cr.do_cmp(b,c,f)?p++:h.else_instances.push(q);n.length=p;h.select_all=!1;cr.shallowAssignArray(h.instances,n);n.length=0;l--;a.applySolToContainer();return!!h.instances.length}};a.prototype.PickByEvaluate=function(a,b){var c,f,d,e;if(a){l++;r.length===l&&r.push([]);var p=r[l],q=a.getCurrentSol();cr.shallowAssignArray(p,q.getObjects());q.select_all&&(q.else_instances.length=
0);var n=this.runtime.getCurrentCondition();d=c=0;for(f=p.length;c<f;c++)e=p[c],p[d]=e,(b=n.parameters[1].get(c))?d++:q.else_instances.push(e);p.length=d;q.select_all=!1;cr.shallowAssignArray(q.instances,p);p.length=0;l--;a.applySolToContainer();return!!q.instances.length}};a.prototype.TriggerOnce=function(){var a=this.runtime.getCurrentCondition().extra;"undefined"===typeof a.TriggerOnce_lastTick&&(a.TriggerOnce_lastTick=-1);var b=a.TriggerOnce_lastTick,c=this.runtime.tickcount;a.TriggerOnce_lastTick=
c;return this.runtime.layout_first_tick||b!==c-1};a.prototype.Every=function(a){var b=this.runtime.getCurrentCondition(),c=b.extra.Every_lastTime||0,f=this.runtime.kahanTime.sum;"undefined"===typeof b.extra.Every_seconds&&(b.extra.Every_seconds=a);var d=b.extra.Every_seconds;return f>=c+d?(b.extra.Every_lastTime=c+d,f>=b.extra.Every_lastTime+0.04&&(b.extra.Every_lastTime=f),b.extra.Every_seconds=a,!0):!1};a.prototype.PickNth=function(a,b){if(!a)return!1;var c=a.getCurrentSol(),f=c.getObjects();b=
cr.floor(b);if(0>b||b>=f.length)return!1;c.pick_one(f[b]);a.applySolToContainer();return!0};a.prototype.PickRandom=function(a){if(!a)return!1;var b=a.getCurrentSol(),c=b.getObjects(),f=cr.floor(Math.random()*c.length);if(f>=c.length)return!1;b.pick_one(c[f]);a.applySolToContainer();return!0};a.prototype.CompareVar=function(a,b,c){return cr.do_cmp(a.getValue(),b,c)};a.prototype.IsGroupActive=function(a){return this.runtime.activeGroups[a.toLowerCase()]};a.prototype.IsPreview=function(){return"undefined"!==
typeof cr_is_preview};a.prototype.PickAll=function(a){if(!a||!a.instances.length)return!1;a.getCurrentSol().select_all=!0;a.applySolToContainer();return!0};a.prototype.IsMobile=function(){return this.runtime.isMobile};a.prototype.CompareBetween=function(a,b,c){return a>=b&&a<=c};a.prototype.Else=function(){var a=this.runtime.getCurrentEventStack();return a.else_branch_ran?!1:!a.last_event_true};a.prototype.OnLoadFinished=function(){return!0};a.prototype.OnCanvasSnapshot=function(){return!0};a.prototype.EffectsSupported=
function(){return!!this.runtime.glwrap};a.prototype.OnSaveComplete=function(){return!0};a.prototype.OnLoadComplete=function(){return!0};a.prototype.OnLoadFailed=function(){return!0};a.prototype.ObjectUIDExists=function(a){return!!this.runtime.getObjectByUID(a)};a.prototype.IsOnPlatform=function(a){var b=this.runtime;switch(a){case 0:return!b.isDomFree&&!b.isNodeWebkit&&!b.isPhoneGap&&!b.isCrosswalk&&!b.isWindows8App&&!b.isWindowsPhone8&&!b.isBlackberry10&&!b.isAmazonWebApp;case 1:return b.isiOS;case 2:return b.isAndroid;
case 3:return b.isWindows8App;case 4:return b.isWindowsPhone8;case 5:return b.isBlackberry10;case 6:return b.isTizen;case 7:return b.isCocoonJs;case 8:return b.isPhoneGap;case 9:return b.isArcade;case 10:return b.isNodeWebkit;case 11:return b.isCrosswalk;case 12:return b.isAmazonWebApp;default:return!1}};var n=null,f="",p="";a.prototype.RegexTest=function(a,b,c){return d(b,c).test(a)};var s=[];a.prototype.PickOverlappingPoint=function(a,b,c){if(!a)return!1;var f=a.getCurrentSol(),d=f.getObjects(),
e=this.runtime.getCurrentEventStack().current_event.orblock,p=this.runtime.getCurrentCondition(),q,n;f.select_all?(cr.shallowAssignArray(s,d),f.else_instances.length=0,f.select_all=!1,f.instances.length=0):e?(cr.shallowAssignArray(s,f.else_instances),f.else_instances.length=0):(cr.shallowAssignArray(s,d),f.instances.length=0);d=0;for(e=s.length;d<e;++d)q=s[d],(n=cr.xor(q.contains_pt(b,c),p.inverted))?f.instances.push(q):f.else_instances.push(q);a.applySolToContainer();return cr.xor(!!f.instances.length,
p.inverted)};m.cnds=new a;e.prototype.GoToLayout=function(a){this.runtime.isloading||this.runtime.changelayout||(this.runtime.changelayout=a)};e.prototype.CreateObject=function(a,b,c,f){if(b&&a&&(b=this.runtime.createInstance(a,b,c,f))){this.runtime.isInOnDestroy++;var d;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,b);if(b.is_contained)for(c=0,f=b.siblings.length;c<f;c++)d=b.siblings[c],this.runtime.trigger(Object.getPrototypeOf(d.type.plugin).cnds.OnCreated,d);this.runtime.isInOnDestroy--;
a=a.getCurrentSol();a.select_all=!1;a.instances.length=1;a.instances[0]=b;if(b.is_contained)for(c=0,f=b.siblings.length;c<f;c++)d=b.siblings[c],a=d.type.getCurrentSol(),a.select_all=!1,a.instances.length=1,a.instances[0]=d}};e.prototype.SetLayerVisible=function(a,b){a&&a.visible!==b&&(a.visible=b,this.runtime.redraw=!0)};e.prototype.SetLayerOpacity=function(a,b){a&&(b=cr.clamp(b/100,0,1),a.opacity!==b&&(a.opacity=b,this.runtime.redraw=!0))};e.prototype.SetLayerScaleRate=function(a,b){a&&a.zoomRate!==
b&&(a.zoomRate=b,this.runtime.redraw=!0)};e.prototype.SetLayoutScale=function(a){this.runtime.running_layout&&this.runtime.running_layout.scale!==a&&(this.runtime.running_layout.scale=a,this.runtime.running_layout.boundScrolling(),this.runtime.redraw=!0)};e.prototype.ScrollX=function(a){this.runtime.running_layout.scrollToX(a)};e.prototype.ScrollY=function(a){this.runtime.running_layout.scrollToY(a)};e.prototype.Scroll=function(a,b){this.runtime.running_layout.scrollToX(a);this.runtime.running_layout.scrollToY(b)};
e.prototype.ScrollToObject=function(a){if(a=a.getFirstPicked())this.runtime.running_layout.scrollToX(a.x),this.runtime.running_layout.scrollToY(a.y)};e.prototype.SetVar=function(a,b){0===a.vartype?cr.is_number(b)?a.setValue(b):a.setValue(parseFloat(b)):1===a.vartype&&a.setValue(b.toString())};e.prototype.AddVar=function(a,b){0===a.vartype?cr.is_number(b)?a.setValue(a.getValue()+b):a.setValue(a.getValue()+parseFloat(b)):1===a.vartype&&a.setValue(a.getValue()+b.toString())};e.prototype.SubVar=function(a,
b){0===a.vartype&&(cr.is_number(b)?a.setValue(a.getValue()-b):a.setValue(a.getValue()-parseFloat(b)))};e.prototype.SetGroupActive=function(a,b){var c=this.runtime.activeGroups,f=a.toLowerCase();switch(b){case 0:c[f]=!1;break;case 1:c[f]=!0;break;case 2:c[f]=!c[f]}};e.prototype.SetTimescale=function(a){0>a&&(a=0);this.runtime.timescale=a};e.prototype.SetObjectTimescale=function(a,b){var c=b;0>c&&(c=0);if(a){var f=a.getCurrentSol().getObjects(),d,e;d=0;for(e=f.length;d<e;d++)f[d].my_timescale=c}};e.prototype.RestoreObjectTimescale=
function(a){if(!a)return!1;a=a.getCurrentSol().getObjects();var b,c;b=0;for(c=a.length;b<c;b++)a[b].my_timescale=-1};var q=[],v=[];e.prototype.Wait=function(a){if(!(0>a)){var b,c,f,d=this.runtime.getCurrentEventStack(),e;e=q.length?q.pop():{sols:{},solModifiers:[]};e.deleteme=!1;e.time=this.runtime.kahanTime.sum+a;e.ev=d.current_event;e.actindex=d.actindex+1;a=0;for(b=this.runtime.types_by_index.length;a<b;a++)f=this.runtime.types_by_index[a],c=f.getCurrentSol(),c.select_all&&-1===d.current_event.solModifiers.indexOf(f)||
(e.solModifiers.push(f),f=void 0,f=v.length?v.pop():{insts:[]},f.sa=!1,f.sa=c.select_all,cr.shallowAssignArray(f.insts,c.instances),e.sols[a.toString()]=f);this.waits.push(e);return!0}};e.prototype.SetLayerScale=function(a,b){a&&a.scale!==b&&(a.scale=b,this.runtime.redraw=!0)};e.prototype.ResetGlobals=function(){var a,b,c;a=0;for(b=this.runtime.all_global_vars.length;a<b;a++)c=this.runtime.all_global_vars[a],c.data=c.initial};e.prototype.SetLayoutAngle=function(a){a=cr.to_radians(a);a=cr.clamp_angle(a);
this.runtime.running_layout&&this.runtime.running_layout.angle!==a&&(this.runtime.running_layout.angle=a,this.runtime.redraw=!0)};e.prototype.SetLayerAngle=function(a,b){a&&(b=cr.to_radians(b),b=cr.clamp_angle(b),a.angle!==b&&(a.angle=b,this.runtime.redraw=!0))};e.prototype.SetLayerParallax=function(a,b,c){if(a&&(a.parallaxX!==b/100||a.parallaxY!==c/100)){a.parallaxX=b/100;a.parallaxY=c/100;if(1!==a.parallaxX||1!==a.parallaxY)for(c=a.instances,a=0,b=c.length;a<b;++a)c[a].type.any_instance_parallaxed=
!0;this.runtime.redraw=!0}};e.prototype.SetLayerBackground=function(a,b){if(a){var c=cr.GetRValue(b),f=cr.GetGValue(b),d=cr.GetBValue(b);if(a.background_color[0]!==c||a.background_color[1]!==f||a.background_color[2]!==d)a.background_color[0]=c,a.background_color[1]=f,a.background_color[2]=d,this.runtime.redraw=!0}};e.prototype.SetLayerTransparent=function(a,b){a&&!!b!==!!a.transparent&&(a.transparent=!!b,this.runtime.redraw=!0)};e.prototype.StopLoop=function(){0>this.runtime.loop_stack_index||(this.runtime.getCurrentLoop().stopped=
!0)};e.prototype.GoToLayoutByName=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout)for(var b in this.runtime.layouts)if(this.runtime.layouts.hasOwnProperty(b)&&cr.equals_nocase(b,a)){this.runtime.changelayout=this.runtime.layouts[b];break}};e.prototype.RestartLayout=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout&&this.runtime.running_layout){this.runtime.changelayout=this.runtime.running_layout;var b,c;a=0;for(b=this.runtime.allGroups.length;a<b;a++)c=this.runtime.allGroups[a],
this.runtime.activeGroups[c.group_name.toLowerCase()]=c.initially_activated}};e.prototype.SnapshotCanvas=function(a,b){this.runtime.snapshotCanvas=[0===a?"image/png":"image/jpeg",b/100];this.runtime.redraw=!0};e.prototype.SetCanvasSize=function(a,b){if(!(0>=a||0>=b)){var c=this.runtime.fullscreen_mode;(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||this.runtime.isNodeFullscreen)&&0<this.runtime.fullscreen_scaling&&(c=this.runtime.fullscreen_scaling);
0===c?this.runtime.setSize(a,b,!0):(this.runtime.original_width=a,this.runtime.original_height=b,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,!0))}};e.prototype.SetLayoutEffectEnabled=function(a,b){if(this.runtime.running_layout&&this.runtime.glwrap){var c=this.runtime.running_layout.getEffectByName(b);if(c){var f=1===a;c.active!=f&&(c.active=f,this.runtime.running_layout.updateActiveEffects(),this.runtime.redraw=!0)}}};e.prototype.SetLayerEffectEnabled=function(a,
b,c){a&&this.runtime.glwrap&&(c=a.getEffectByName(c))&&(b=1===b,c.active!=b&&(c.active=b,a.updateActiveEffects(),this.runtime.redraw=!0))};e.prototype.SetLayoutEffectParam=function(a,b,c){if(this.runtime.running_layout&&this.runtime.glwrap&&(a=this.runtime.running_layout.getEffectByName(a))){var f=this.runtime.running_layout.effect_params[a.index];b=Math.floor(b);0>b||b>=f.length||(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,b)&&(c/=100),f[b]!==c&&(f[b]=c,a.active&&(this.runtime.redraw=
!0)))}};e.prototype.SetLayerEffectParam=function(a,b,c,f){a&&this.runtime.glwrap&&(b=a.getEffectByName(b))&&(a=a.effect_params[b.index],c=Math.floor(c),0>c||c>=a.length||(1===this.runtime.glwrap.getProgramParameterType(b.shaderindex,c)&&(f/=100),a[c]!==f&&(a[c]=f,b.active&&(this.runtime.redraw=!0))))};e.prototype.SaveState=function(a){this.runtime.saveToSlot=a};e.prototype.LoadState=function(a){this.runtime.loadFromSlot=a};e.prototype.LoadStateJSON=function(a){this.runtime.loadFromJson=a};e.prototype.SetHalfFramerateMode=
function(a){this.runtime.halfFramerateMode=0!==a};e.prototype.SetFullscreenQuality=function(a){if(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen||0!==this.runtime.fullscreen_mode)this.runtime.wantFullscreenScalingQuality=0!==a,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,!0)};m.acts=new e;c.prototype["int"]=function(a,b){cr.is_string(b)?(a.set_int(parseInt(b,10)),isNaN(a.data)&&(a.data=
0)):a.set_int(b)};c.prototype["float"]=function(a,b){cr.is_string(b)?(a.set_float(parseFloat(b)),isNaN(a.data)&&(a.data=0)):a.set_float(b)};c.prototype.str=function(a,b){cr.is_string(b)?a.set_string(b):a.set_string(b.toString())};c.prototype.len=function(a,b){a.set_int(b.length||0)};c.prototype.random=function(a,b,c){void 0===c?a.set_float(Math.random()*b):a.set_float(Math.random()*(c-b)+b)};c.prototype.sqrt=function(a,b){a.set_float(Math.sqrt(b))};c.prototype.abs=function(a,b){a.set_float(Math.abs(b))};
c.prototype.round=function(a,b){a.set_int(Math.round(b))};c.prototype.floor=function(a,b){a.set_int(Math.floor(b))};c.prototype.ceil=function(a,b){a.set_int(Math.ceil(b))};c.prototype.sin=function(a,b){a.set_float(Math.sin(cr.to_radians(b)))};c.prototype.cos=function(a,b){a.set_float(Math.cos(cr.to_radians(b)))};c.prototype.tan=function(a,b){a.set_float(Math.tan(cr.to_radians(b)))};c.prototype.asin=function(a,b){a.set_float(cr.to_degrees(Math.asin(b)))};c.prototype.acos=function(a,b){a.set_float(cr.to_degrees(Math.acos(b)))};
c.prototype.atan=function(a,b){a.set_float(cr.to_degrees(Math.atan(b)))};c.prototype.exp=function(a,b){a.set_float(Math.exp(b))};c.prototype.ln=function(a,b){a.set_float(Math.log(b))};c.prototype.log10=function(a,b){a.set_float(Math.log(b)/Math.LN10)};c.prototype.max=function(a){var b=arguments[1],c,f;c=2;for(f=arguments.length;c<f;c++)b<arguments[c]&&(b=arguments[c]);a.set_float(b)};c.prototype.min=function(a){var b=arguments[1],c,f;c=2;for(f=arguments.length;c<f;c++)b>arguments[c]&&(b=arguments[c]);
a.set_float(b)};c.prototype.dt=function(a){a.set_float(this.runtime.dt)};c.prototype.timescale=function(a){a.set_float(this.runtime.timescale)};c.prototype.wallclocktime=function(a){a.set_float((Date.now()-this.runtime.start_time)/1E3)};c.prototype.time=function(a){a.set_float(this.runtime.kahanTime.sum)};c.prototype.tickcount=function(a){a.set_int(this.runtime.tickcount)};c.prototype.objectcount=function(a){a.set_int(this.runtime.objectcount)};c.prototype.fps=function(a){a.set_int(this.runtime.fps)};
c.prototype.loopindex=function(a,b){var c,f,d;if(this.runtime.loop_stack.length)if(b){f=0;for(d=this.runtime.loop_stack.length;f<d;f++)if(c=this.runtime.loop_stack[f],c.name===b){a.set_int(c.index);return}a.set_int(0)}else c=this.runtime.getCurrentLoop(),a.set_int(c?c.index:-1);else a.set_int(0)};c.prototype.distance=function(a,b,c,f,d){a.set_float(cr.distanceTo(b,c,f,d))};c.prototype.angle=function(a,b,c,f,d){a.set_float(cr.to_degrees(cr.angleTo(b,c,f,d)))};c.prototype.scrollx=function(a){a.set_float(this.runtime.running_layout.scrollX)};
c.prototype.scrolly=function(a){a.set_float(this.runtime.running_layout.scrollY)};c.prototype.newline=function(a){a.set_string("\n")};c.prototype.lerp=function(a,b,c,f){a.set_float(cr.lerp(b,c,f))};c.prototype.windowwidth=function(a){a.set_int(this.runtime.width)};c.prototype.windowheight=function(a){a.set_int(this.runtime.height)};c.prototype.uppercase=function(a,b){a.set_string(cr.is_string(b)?b.toUpperCase():"")};c.prototype.lowercase=function(a,b){a.set_string(cr.is_string(b)?b.toLowerCase():
"")};c.prototype.clamp=function(a,b,c,f){b<c?a.set_float(c):b>f?a.set_float(f):a.set_float(b)};c.prototype.layerscale=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(c.scale):a.set_float(0)};c.prototype.layeropacity=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(100*c.opacity):a.set_float(0)};c.prototype.layerscalerate=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(c.zoomRate):a.set_float(0)};c.prototype.layerparallaxx=function(a,b){var c=this.runtime.getLayer(b);
c?a.set_float(100*c.parallaxX):a.set_float(0)};c.prototype.layerparallaxy=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(100*c.parallaxY):a.set_float(0)};c.prototype.layoutscale=function(a){this.runtime.running_layout?a.set_float(this.runtime.running_layout.scale):a.set_float(0)};c.prototype.layoutangle=function(a){a.set_float(cr.to_degrees(this.runtime.running_layout.angle))};c.prototype.layerangle=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(cr.to_degrees(c.angle)):a.set_float(0)};
c.prototype.layoutwidth=function(a){a.set_int(this.runtime.running_layout.width)};c.prototype.layoutheight=function(a){a.set_int(this.runtime.running_layout.height)};c.prototype.find=function(a,b,c){cr.is_string(b)&&cr.is_string(c)?a.set_int(b.search(RegExp(cr.regexp_escape(c),"i"))):a.set_int(-1)};c.prototype.left=function(a,b,c){a.set_string(cr.is_string(b)?b.substr(0,c):"")};c.prototype.right=function(a,b,c){a.set_string(cr.is_string(b)?b.substr(b.length-c):"")};c.prototype.mid=function(a,b,c,
f){a.set_string(cr.is_string(b)?b.substr(c,f):"")};c.prototype.tokenat=function(a,b,c,f){cr.is_string(b)&&cr.is_string(f)?(b=b.split(f),c=cr.floor(c),0>c||c>=b.length?a.set_string(""):a.set_string(b[c])):a.set_string("")};c.prototype.tokencount=function(a,b,c){cr.is_string(b)&&b.length?a.set_int(b.split(c).length):a.set_int(0)};c.prototype.replace=function(a,b,c,f){cr.is_string(b)&&cr.is_string(c)&&cr.is_string(f)?a.set_string(b.replace(RegExp(cr.regexp_escape(c),"gi"),f)):a.set_string(cr.is_string(b)?
b:"")};c.prototype.trim=function(a,b){a.set_string(cr.is_string(b)?b.trim():"")};c.prototype.pi=function(a){a.set_float(cr.PI)};c.prototype.layoutname=function(a){this.runtime.running_layout?a.set_string(this.runtime.running_layout.name):a.set_string("")};c.prototype.renderer=function(a){a.set_string(this.runtime.gl?"webgl":"canvas2d")};c.prototype.anglediff=function(a,b,c){a.set_float(cr.to_degrees(cr.angleDiff(cr.to_radians(b),cr.to_radians(c))))};c.prototype.choose=function(a){var b=cr.floor(Math.random()*
(arguments.length-1));a.set_any(arguments[b+1])};c.prototype.rgb=function(a,b,c,f){a.set_int(cr.RGB(b,c,f))};c.prototype.projectversion=function(a){a.set_string(this.runtime.versionstr)};c.prototype.anglelerp=function(a,b,c,f){b=cr.to_radians(b);c=cr.to_radians(c);var d=cr.angleDiff(b,c);cr.angleClockwise(c,b)?a.set_float(cr.to_clamped_degrees(b+d*f)):a.set_float(cr.to_clamped_degrees(b-d*f))};c.prototype.anglerotate=function(a,b,c,f){b=cr.to_radians(b);c=cr.to_radians(c);f=cr.to_radians(f);a.set_float(cr.to_clamped_degrees(cr.angleRotate(b,
c,f)))};c.prototype.zeropad=function(a,b,c){var f=0>b?"-":"";0>b&&(b=-b);c-=b.toString().length;for(var d=0;d<c;d++)f+="0";a.set_string(f+b.toString())};c.prototype.cpuutilisation=function(a){a.set_float(this.runtime.cpuutilisation/1E3)};c.prototype.viewportleft=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewLeft:0)};c.prototype.viewporttop=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewTop:0)};c.prototype.viewportright=function(a,b){var c=this.runtime.getLayer(b);
a.set_float(c?c.viewRight:0)};c.prototype.viewportbottom=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewBottom:0)};c.prototype.loadingprogress=function(a){a.set_float(this.runtime.loadingprogress)};c.prototype.unlerp=function(a,b,c,f){a.set_float(cr.unlerp(b,c,f))};c.prototype.canvassnapshot=function(a){a.set_string(this.runtime.snapshotData)};c.prototype.urlencode=function(a,b){a.set_string(encodeURIComponent(b))};c.prototype.urldecode=function(a,b){a.set_string(decodeURIComponent(b))};
c.prototype.canvastolayerx=function(a,b,c,f){b=this.runtime.getLayer(b);a.set_float(b?b.canvasToLayer(c,f,!0):0)};c.prototype.canvastolayery=function(a,b,c,f){b=this.runtime.getLayer(b);a.set_float(b?b.canvasToLayer(c,f,!1):0)};c.prototype.layertocanvasx=function(a,b,c,f){b=this.runtime.getLayer(b);a.set_float(b?b.layerToCanvas(c,f,!0):0)};c.prototype.layertocanvasy=function(a,b,c,f){b=this.runtime.getLayer(b);a.set_float(b?b.layerToCanvas(c,f,!1):0)};c.prototype.savestatejson=function(a){a.set_string(this.runtime.lastSaveJson)};
c.prototype.imagememoryusage=function(a){this.runtime.glwrap?a.set_float(Math.round(100*this.runtime.glwrap.estimateVRAM()/1048576)/100):a.set_float(0)};c.prototype.regexsearch=function(a,b,c,f){c=d(c,f);a.set_int(b?b.search(c):-1)};c.prototype.regexreplace=function(a,b,c,f,e){c=d(c,f);a.set_string(b?b.replace(c,e):"")};var w=[],y="",t="",u="";c.prototype.regexmatchcount=function(a,b,c,f){d(c,f);h(b,c,f);a.set_int(w?w.length:0)};c.prototype.regexmatchat=function(a,b,c,f,e){e=Math.floor(e);d(c,f);
h(b,c,f);!w||0>e||e>=w.length?a.set_string(""):a.set_string(w[e])};c.prototype.infinity=function(a){a.set_float(Infinity)};c.prototype.setbit=function(a,b,c,f){c|=0;a.set_int((b|0)&~(1<<c)|(0!==f?1:0)<<c)};c.prototype.togglebit=function(a,b,c){a.set_int((b|0)^1<<(c|0))};c.prototype.getbit=function(a,b,c){a.set_int((b|0)&1<<(c|0)?1:0)};m.exps=new c;m.runWaits=function(){var a,b,c,f,d,e,p=this.runtime.getCurrentEventStack();a=0;for(c=this.waits.length;a<c;a++)if(f=this.waits[a],!(f.time>this.runtime.kahanTime.sum)){p.current_event=
f.ev;p.actindex=f.actindex;p.cndindex=0;for(b in f.sols)f.sols.hasOwnProperty(b)&&(d=this.runtime.types_by_index[parseInt(b,10)].getCurrentSol(),e=f.sols[b],d.select_all=e.sa,cr.shallowAssignArray(d.instances,e.insts),d=e,d.insts.length=0,v.push(d));f.ev.resume_actions_and_subevents();this.runtime.clearSol(f.solModifiers);f.deleteme=!0}b=a=0;for(c=this.waits.length;a<c;a++)f=this.waits[a],this.waits[b]=f,f.deleteme?(cr.wipe(f.sols),f.solModifiers.length=0,q.push(f)):b++;this.waits.length=b}})();
(function(){cr.add_common_aces=function(a){var d=a[0].prototype,e=a[1],c=a[3],h=a[4],m=a[5],r=a[6],l=a[7];a=a[8];d.cnds||(d.cnds={});d.acts||(d.acts={});d.exps||(d.exps={});var n=d.cnds,f=d.acts,d=d.exps;c&&(n.CompareX=function(a,b){return cr.do_cmp(this.x,a,b)},n.CompareY=function(a,b){return cr.do_cmp(this.y,a,b)},n.IsOnScreen=function(){var a=this.layer;this.update_bbox();var b=this.bbox;return!(b.right<a.viewLeft||b.bottom<a.viewTop||b.left>a.viewRight||b.top>a.viewBottom)},n.IsOutsideLayout=
function(){this.update_bbox();var a=this.bbox,b=this.runtime.running_layout;return 0>a.right||0>a.bottom||a.left>b.width||a.top>b.height},n.PickDistance=function(a,b,c){var f=this.getCurrentSol(),d=f.getObjects();if(!d.length)return!1;var e=d[0],n=e,l=cr.distanceTo(e.x,e.y,b,c),g,k,h;g=1;for(k=d.length;g<k;g++)if(e=d[g],h=cr.distanceTo(e.x,e.y,b,c),0===a&&h<l||1===a&&h>l)l=h,n=e;f.pick_one(n);return!0},f.SetX=function(a){this.x!==a&&(this.x=a,this.set_bbox_changed())},f.SetY=function(a){this.y!==
a&&(this.y=a,this.set_bbox_changed())},f.SetPos=function(a,b){if(this.x!==a||this.y!==b)this.x=a,this.y=b,this.set_bbox_changed()},f.SetPosToObject=function(a,b){var c=a.getPairedInstance(this);if(c){var f;c.getImagePoint?(f=c.getImagePoint(b,!0),c=c.getImagePoint(b,!1)):(f=c.x,c=c.y);if(this.x!==f||this.y!==c)this.x=f,this.y=c,this.set_bbox_changed()}},f.MoveForward=function(a){0!==a&&(this.x+=Math.cos(this.angle)*a,this.y+=Math.sin(this.angle)*a,this.set_bbox_changed())},f.MoveAtAngle=function(a,
b){0!==b&&(this.x+=Math.cos(cr.to_radians(a))*b,this.y+=Math.sin(cr.to_radians(a))*b,this.set_bbox_changed())},d.X=function(a){a.set_float(this.x)},d.Y=function(a){a.set_float(this.y)},d.dt=function(a){a.set_float(this.runtime.getDt(this))});h&&(n.CompareWidth=function(a,b){return cr.do_cmp(this.width,a,b)},n.CompareHeight=function(a,b){return cr.do_cmp(this.height,a,b)},f.SetWidth=function(a){this.width!==a&&(this.width=a,this.set_bbox_changed())},f.SetHeight=function(a){this.height!==a&&(this.height=
a,this.set_bbox_changed())},f.SetSize=function(a,b){if(this.width!==a||this.height!==b)this.width=a,this.height=b,this.set_bbox_changed()},d.Width=function(a){a.set_float(this.width)},d.Height=function(a){a.set_float(this.height)},d.BBoxLeft=function(a){this.update_bbox();a.set_float(this.bbox.left)},d.BBoxTop=function(a){this.update_bbox();a.set_float(this.bbox.top)},d.BBoxRight=function(a){this.update_bbox();a.set_float(this.bbox.right)},d.BBoxBottom=function(a){this.update_bbox();a.set_float(this.bbox.bottom)});
m&&(n.AngleWithin=function(a,b){return cr.angleDiff(this.angle,cr.to_radians(b))<=cr.to_radians(a)},n.IsClockwiseFrom=function(a){return cr.angleClockwise(this.angle,cr.to_radians(a))},n.IsBetweenAngles=function(a,b){var c=cr.to_clamped_radians(a),f=cr.to_clamped_radians(b),d=cr.clamp_angle(this.angle);return cr.angleClockwise(f,c)?cr.angleClockwise(d,c)&&!cr.angleClockwise(d,f):!(!cr.angleClockwise(d,c)&&cr.angleClockwise(d,f))},f.SetAngle=function(a){a=cr.to_radians(cr.clamp_angle_degrees(a));isNaN(a)||
this.angle===a||(this.angle=a,this.set_bbox_changed())},f.RotateClockwise=function(a){0===a||isNaN(a)||(this.angle+=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},f.RotateCounterclockwise=function(a){0===a||isNaN(a)||(this.angle-=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},f.RotateTowardAngle=function(a,b){var c=cr.angleRotate(this.angle,cr.to_radians(b),cr.to_radians(a));isNaN(c)||this.angle===c||(this.angle=c,this.set_bbox_changed())},
f.RotateTowardPosition=function(a,b,c){b=Math.atan2(c-this.y,b-this.x);a=cr.angleRotate(this.angle,b,cr.to_radians(a));isNaN(a)||this.angle===a||(this.angle=a,this.set_bbox_changed())},f.SetTowardPosition=function(a,b){var c=Math.atan2(b-this.y,a-this.x);isNaN(c)||this.angle===c||(this.angle=c,this.set_bbox_changed())},d.Angle=function(a){a.set_float(cr.to_clamped_degrees(this.angle))});e||(n.CompareInstanceVar=function(a,b,c){return cr.do_cmp(this.instance_vars[a],b,c)},n.IsBoolInstanceVarSet=function(a){return this.instance_vars[a]},
n.PickInstVarHiLow=function(a,b){var c=this.getCurrentSol(),f=c.getObjects();if(!f.length)return!1;var d=f[0],e=d,n=d.instance_vars[b],l,g,k;l=1;for(g=f.length;l<g;l++)if(d=f[l],k=d.instance_vars[b],0===a&&k<n||1===a&&k>n)n=k,e=d;c.pick_one(e);return!0},n.PickByUID=function(a){var b,c,f,d,e;if(this.runtime.getCurrentCondition().inverted){e=this.getCurrentSol();if(e.select_all)for(e.select_all=!1,e.instances.length=0,e.else_instances.length=0,f=this.instances,b=0,c=f.length;b<c;b++)d=f[b],d.uid===
a?e.else_instances.push(d):e.instances.push(d);else{f=b=0;for(c=e.instances.length;b<c;b++)d=e.instances[b],e.instances[f]=d,d.uid===a?e.else_instances.push(d):f++;e.instances.length=f}this.applySolToContainer();return!!e.instances.length}d=this.runtime.getObjectByUID(a);if(!d)return!1;e=this.getCurrentSol();if(!e.select_all&&-1===e.instances.indexOf(d))return!1;if(this.is_family)for(a=d.type.families,b=0,c=a.length;b<c;b++){if(a[b]===this)return e.pick_one(d),this.applySolToContainer(),!0}else if(d.type===
this)return e.pick_one(d),this.applySolToContainer(),!0;return!1},n.OnCreated=function(){return!0},n.OnDestroyed=function(){return!0},f.SetInstanceVar=function(a,b){var c=this.instance_vars;cr.is_number(c[a])?cr.is_number(b)?c[a]=b:c[a]=parseFloat(b):cr.is_string(c[a])&&(cr.is_string(b)?c[a]=b:c[a]=b.toString())},f.AddInstanceVar=function(a,b){var c=this.instance_vars;cr.is_number(c[a])?cr.is_number(b)?c[a]+=b:c[a]+=parseFloat(b):cr.is_string(c[a])&&(cr.is_string(b)?c[a]+=b:c[a]+=b.toString())},f.SubInstanceVar=
function(a,b){var c=this.instance_vars;cr.is_number(c[a])&&(cr.is_number(b)?c[a]-=b:c[a]-=parseFloat(b))},f.SetBoolInstanceVar=function(a,b){this.instance_vars[a]=b?1:0},f.ToggleBoolInstanceVar=function(a){this.instance_vars[a]=1-this.instance_vars[a]},f.Destroy=function(){this.runtime.DestroyInstance(this)},f.LoadFromJsonString||(f.LoadFromJsonString=function(a){var b,c;try{b=JSON.parse(a)}catch(f){return}this.runtime.loadInstanceFromJSON(this,b,!0);this.afterLoad&&this.afterLoad();if(this.behavior_insts)for(a=
0,b=this.behavior_insts.length;a<b;++a)c=this.behavior_insts[a],c.afterLoad&&c.afterLoad()}),d.Count=function(a){var b=a.object_class.instances.length,c,f,d;c=0;for(f=this.runtime.createRow.length;c<f;c++)d=this.runtime.createRow[c],a.object_class.is_family?0<=d.type.families.indexOf(a.object_class)&&b++:d.type===a.object_class&&b++;a.set_int(b)},d.PickedCount=function(a){a.set_int(a.object_class.getCurrentSol().getObjects().length)},d.UID=function(a){a.set_int(this.uid)},d.IID=function(a){a.set_int(this.get_iid())},
d.AsJSON||(d.AsJSON=function(a){a.set_string(JSON.stringify(this.runtime.saveInstanceToJSON(this,!0)))}));r&&(n.IsVisible=function(){return this.visible},f.SetVisible=function(a){!a!==!this.visible&&(this.visible=a,this.runtime.redraw=!0)},n.CompareOpacity=function(a,b){return cr.do_cmp(cr.round6dp(100*this.opacity),a,b)},f.SetOpacity=function(a){a/=100;0>a?a=0:1<a&&(a=1);a!==this.opacity&&(this.opacity=a,this.runtime.redraw=!0)},d.Opacity=function(a){a.set_float(cr.round6dp(100*this.opacity))});
l&&(n.IsOnLayer=function(a){return a?this.layer===a:!1},n.PickTopBottom=function(a){var b=this.getCurrentSol(),c=b.getObjects();if(!c.length)return!1;var f=c[0],d=f,e,n;e=1;for(n=c.length;e<n;e++)if(f=c[e],0===a){if(f.layer.index>d.layer.index||f.layer.index===d.layer.index&&f.get_zindex()>d.get_zindex())d=f}else if(f.layer.index<d.layer.index||f.layer.index===d.layer.index&&f.get_zindex()<d.get_zindex())d=f;b.pick_one(d);return!0},f.MoveToTop=function(){var a=this.get_zindex();a!==this.layer.instances.length-
1&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.push(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},f.MoveToBottom=function(){var a=this.get_zindex();0!==a&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.unshift(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},f.MoveToLayer=function(a){a&&a!=this.layer&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=a,this.zindex=a.instances.length,a.instances.push(this),
this.runtime.redraw=!0)},f.ZMoveToObject=function(a,b){var c=0===a;if(b){var f=b.getFirstPicked(this);if(f&&f.uid!==this.uid){this.layer.index!==f.layer.index&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=f.layer,this.zindex=f.layer.instances.length,f.layer.instances.push(this));var d=this.get_zindex(),f=f.get_zindex();cr.arrayRemove(this.layer.instances,d);d<f&&f--;c&&f++;f===this.layer.instances.length?this.layer.instances.push(this):this.layer.instances.splice(f,
0,this);this.layer.zindices_stale=!0;this.runtime.redraw=!0}}},d.LayerNumber=function(a){a.set_int(this.layer.number)},d.LayerName=function(a){a.set_string(this.layer.name)},d.ZIndex=function(a){a.set_int(this.get_zindex())});a&&(f.SetEffectEnabled=function(a,b){if(this.runtime.glwrap){var c=this.type.getEffectIndexByName(b);if(!(0>c)){var f=1===a;this.active_effect_flags[c]!==f&&(this.active_effect_flags[c]=f,this.updateActiveEffects(),this.runtime.redraw=!0)}}},f.SetEffectParam=function(a,b,c){if(this.runtime.glwrap){var f=
this.type.getEffectIndexByName(a);0>f||(a=this.type.effect_types[f],f=this.effect_params[f],b=Math.floor(b),0>b||b>=f.length||(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,b)&&(c/=100),f[b]!==c&&(f[b]=c,a.active&&(this.runtime.redraw=!0))))}})};cr.set_bbox_changed=function(){this.cell_changed=this.bbox_changed=!0;this.type.any_cell_changed=!0;this.runtime.redraw=!0;var a,d,e=this.bbox_changed_callbacks;a=0;for(d=e.length;a<d;++a)e[a](this)};cr.add_bbox_changed_callback=function(a){a&&
this.bbox_changed_callbacks.push(a)};cr.update_bbox=function(){if(this.bbox_changed){var a=this.bbox,d=this.bquad;a.set(this.x,this.y,this.x+this.width,this.y+this.height);a.offset(-this.hotspotX*this.width,-this.hotspotY*this.height);this.angle?(a.offset(-this.x,-this.y),d.set_from_rotated_rect(a,this.angle),d.offset(this.x,this.y),d.bounding_box(a)):d.set_from_rect(a);a.normalize();this.bbox_changed=!1}};var a=new cr.rect(0,0,0,0);cr.update_collision_cell=function(){if(this.cell_changed&&this.collisionsEnabled){this.update_bbox();
var b=this.type.collision_grid,d=this.collcells,e=this.bbox;a.set(b.XToCell(e.left),b.YToCell(e.top),b.XToCell(e.right),b.YToCell(e.bottom));d.equals(a)||(d.right<d.left?b.update(this,null,a):b.update(this,d,a),d.copy(a),this.cell_changed=!1)}};cr.inst_contains_pt=function(a,d){return this.bbox.contains_pt(a,d)&&this.bquad.contains_pt(a,d)?this.collision_poly&&!this.collision_poly.is_empty()?(this.collision_poly.cache_poly(this.width,this.height,this.angle),this.collision_poly.contains_pt(a-this.x,
d-this.y)):!0:!1};cr.inst_get_iid=function(){this.type.updateIIDs();return this.iid};cr.inst_get_zindex=function(){this.layer.updateZIndices();return this.zindex};cr.inst_updateActiveEffects=function(){this.active_effect_types.length=0;var a,d;a=0;for(d=this.active_effect_flags.length;a<d;a++)this.active_effect_flags[a]&&this.active_effect_types.push(this.type.effect_types[a]);this.uses_shaders=!!this.active_effect_types.length};cr.inst_toString=function(){return"Inst"+this.puid};cr.type_getFirstPicked=
function(a){if(a&&a.is_contained&&a.type!=this){var d,e,c;d=0;for(e=a.siblings.length;d<e;d++)if(c=a.siblings[d],c.type==this)return c}a=this.getCurrentSol().getObjects();return a.length?a[0]:null};cr.type_getPairedInstance=function(a){var d=this.getCurrentSol().getObjects();return d.length?d[a.get_iid()%d.length]:null};cr.type_updateIIDs=function(){if(this.stale_iids&&!this.is_family){var a,d;a=0;for(d=this.instances.length;a<d;a++)this.instances[a].iid=a;var e=a,c=this.runtime.createRow;a=0;for(d=
c.length;a<d;++a)c[a].type===this&&(c[a].iid=e++);this.stale_iids=!1}};cr.type_getInstanceByIID=function(a){if(a<this.instances.length)return this.instances[a];a-=this.instances.length;var d=this.runtime.createRow,e,c;e=0;for(c=d.length;e<c;++e)if(d[e].type===this){if(0===a)return d[e];--a}return null};cr.type_getCurrentSol=function(){return this.solstack[this.cur_sol]};cr.type_pushCleanSol=function(){this.cur_sol++;this.cur_sol===this.solstack.length?this.solstack.push(new cr.selection(this)):this.solstack[this.cur_sol].select_all=
!0};cr.type_pushCopySol=function(){this.cur_sol++;this.cur_sol===this.solstack.length&&this.solstack.push(new cr.selection(this));var a=this.solstack[this.cur_sol],d=this.solstack[this.cur_sol-1];d.select_all?a.select_all=!0:(a.select_all=!1,cr.shallowAssignArray(a.instances,d.instances),cr.shallowAssignArray(a.else_instances,d.else_instances))};cr.type_popSol=function(){this.cur_sol--};cr.type_getBehaviorByName=function(a){var d,e,c,h,m,r=0;if(!this.is_family)for(d=0,e=this.families.length;d<e;d++)for(m=
this.families[d],c=0,h=m.behaviors.length;c<h;c++){if(a===m.behaviors[c].name)return this.extra.lastBehIndex=r,m.behaviors[c];r++}d=0;for(e=this.behaviors.length;d<e;d++){if(a===this.behaviors[d].name)return this.extra.lastBehIndex=r,this.behaviors[d];r++}return null};cr.type_getBehaviorIndexByName=function(a){return this.getBehaviorByName(a)?this.extra.lastBehIndex:-1};cr.type_getEffectIndexByName=function(a){var d,e;d=0;for(e=this.effect_types.length;d<e;d++)if(this.effect_types[d].name===a)return d;
return-1};cr.type_applySolToContainer=function(){if(this.is_contained&&!this.is_family){var a,d,e,c,h,m,r;this.updateIIDs();m=this.getCurrentSol();var l=m.select_all,n=(a=this.runtime.getCurrentEventStack())&&a.current_event&&a.current_event.orblock;a=0;for(d=this.container.length;a<d;a++)if(h=this.container[a],h!==this&&(h.updateIIDs(),r=h.getCurrentSol(),r.select_all=l,!l)){r.instances.length=m.instances.length;e=0;for(c=m.instances.length;e<c;e++)r.instances[e]=h.getInstanceByIID(m.instances[e].iid);
if(n)for(r.else_instances.length=m.else_instances.length,e=0,c=m.else_instances.length;e<c;e++)r.else_instances[e]=h.getInstanceByIID(m.else_instances[e].iid)}}};cr.type_toString=function(){return"Type"+this.sid};cr.do_cmp=function(a,d,e){if("undefined"===typeof a||"undefined"===typeof e)return!1;switch(d){case 0:return a===e;case 1:return a!==e;case 2:return a<e;case 3:return a<=e;case 4:return a>e;case 5:return a>=e;default:return!1}}})();cr.shaders={};
cr.shaders.pulse={src:"varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform lowp float intensity;\nuniform lowp float lighting;\nuniform mediump float frequency;\nuniform mediump float speed;\nuniform mediump float centerX;\nuniform mediump float centerY;\nuniform mediump float pixelWidth;\nuniform mediump float pixelHeight;\nuniform mediump float layerScale;\nuniform mediump float seconds;\nvoid main(void)\n{\nmediump vec2 res = vec2(1.0 / pixelWidth, 1.0 / pixelHeight);\nmediump vec2 halfres = res / 2.0;\nmediump vec2 cPos = (vTex - vec2(centerX, 1.0 - centerY)) * res;\nmediump float cLength = length(cPos);\nmediump vec2 uv = vTex+(cPos/cLength)*sin(cLength/frequency/layerScale-seconds*speed)/25.0;\nlowp vec4 front = texture2D(samplerFront, mix(vTex, uv, intensity));\nlowp vec3 col = mix(front.rgb, front.rgb*50.0/cLength, lighting * intensity);\ngl_FragColor = vec4(col,front.a);\n}",extendBoxHorizontal:50,
extendBoxVertical:50,crossSampling:!1,animated:!0,parameters:[["intensity",0,1],["lighting",0,1],["speed",0,0],["frequency",0,0],["centerX",0,1],["centerY",0,1]]};cr.plugins_.AJAX=function(a){this.runtime=a};
(function(){function a(){}function b(){}function d(){}var e=!1,c=null,h=null,m="",r=cr.plugins_.AJAX.prototype;r.Type=function(a){this.plugin=a;this.runtime=a.runtime};r.Type.prototype.onCreate=function(){};r.Instance=function(a){this.type=a;this.runtime=a.runtime;this.curTag=this.lastData="";this.progress=0;if(e=this.runtime.isNodeWebkit)c=require("path"),h=require("fs"),m=c.dirname(process.execPath)+"\\"};var l=r.Instance.prototype,n=null;window.C2_AJAX_DCSide=function(a,b,c){n&&("success"===a?
(n.curTag=b,n.lastData=c,n.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnComplete,n)):"error"===a?(n.curTag=b,n.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnError,n)):"progress"===a&&(n.progress=c,n.curTag=b,n.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnProgress,n)))};l.onCreate=function(){n=this};l.saveToJSON=function(){return{lastData:this.lastData}};l.loadFromJSON=function(a){this.lastData=a.lastData;this.curTag="";this.progress=0};l.doRequest=function(a,b,c,d){if(this.runtime.isDirectCanvas)AppMobi.webview.execute('C2_AJAX_WebSide("'+
a+'", "'+b+'", "'+c+'", '+(d?'"'+d+'"':"null")+");");else{var n=this,l=null,r=function(){n.curTag=a;n.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnError,n)},t=function(){if(e){var a=m+b;h.existsSync(a)?h.readFile(a,{encoding:"utf8"},function(a,b){a?r():(n.lastData=b.replace(/\r\n/g,"\n"),n.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnComplete,n))}):r()}else r()},u=function(b){b.lengthComputable&&(n.progress=b.loaded/b.total,n.curTag=a,n.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnProgress,
n))};try{l=new XMLHttpRequest;l.onreadystatechange=function(){4===l.readyState&&(n.curTag=a,n.lastData=l.responseText?l.responseText.replace(/\r\n/g,"\n"):"",400<=l.status?n.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnError,n):e&&!n.lastData.length||n.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnComplete,n))};l.onerror=t;l.ontimeout=t;l.onabort=t;l.onprogress=u;l.open(c,b);try{l.responseType="text"}catch(g){}"POST"===c&&d?(l.setRequestHeader&&l.setRequestHeader("Content-Type","application/x-www-form-urlencoded"),
l.send(d)):l.send()}catch(k){t()}}};a.prototype.OnComplete=function(a){return cr.equals_nocase(a,this.curTag)};a.prototype.OnError=function(a){return cr.equals_nocase(a,this.curTag)};a.prototype.OnProgress=function(a){return cr.equals_nocase(a,this.curTag)};r.cnds=new a;b.prototype.Request=function(a,b){this.doRequest(a,b,"GET")};b.prototype.RequestFile=function(a,b){this.doRequest(a,b,"GET")};b.prototype.Post=function(a,b,c){this.doRequest(a,b,"POST",c)};r.acts=new b;d.prototype.LastData=function(a){a.set_string(this.lastData)};
d.prototype.Progress=function(a){a.set_float(this.progress)};r.exps=new d})();cr.plugins_.Arr=function(a){this.runtime=a};
(function(){function a(){return l.length?l.pop():[]}function b(a){var c,d;c=0;for(d=a.length;c<d;c++)Array.isArray(a[c])&&b(a[c]);a.length=0;l.push(a)}function d(){}function e(){}function c(a,b){if(cr.is_number(a)&&cr.is_number(b))return a-b;var c=""+a,d=""+b;return c<d?-1:c>d?1:0}function h(){}var m=cr.plugins_.Arr.prototype;m.Type=function(a){this.plugin=a;this.runtime=a.runtime};m.Type.prototype.onCreate=function(){};m.Instance=function(a){this.type=a;this.runtime=a.runtime};var r=m.Instance.prototype,
l=[];Array.isArray||(Array.isArray=function(a){return"[object Array]"===Object.prototype.toString.call(a)});r.onCreate=function(){this.cx=this.properties[0];this.cy=this.properties[1];this.cz=this.properties[2];this.recycled||(this.arr=a());var b=this.arr;b.length=this.cx;var c,d,e;for(c=0;c<this.cx;c++)for(b[c]||(b[c]=a()),b[c].length=this.cy,d=0;d<this.cy;d++)for(b[c][d]||(b[c][d]=a()),b[c][d].length=this.cz,e=0;e<this.cz;e++)b[c][d][e]=0;this.forZ=this.forY=this.forX=0};r.onDestroy=function(){var a;
for(a=0;a<this.cx;a++)b(this.arr[a]);this.arr.length=0};r.at=function(a,b,c){a=Math.floor(a);b=Math.floor(b);c=Math.floor(c);return isNaN(a)||0>a||a>this.cx-1||isNaN(b)||0>b||b>this.cy-1||isNaN(c)||0>c||c>this.cz-1?0:this.arr[a][b][c]};r.set=function(a,b,c,d){a=Math.floor(a);b=Math.floor(b);c=Math.floor(c);isNaN(a)||0>a||a>this.cx-1||isNaN(b)||0>b||b>this.cy-1||isNaN(c)||0>c||c>this.cz-1||(this.arr[a][b][c]=d)};r.getAsJSON=function(){return JSON.stringify({c2array:!0,size:[this.cx,this.cy,this.cz],
data:this.arr})};r.saveToJSON=function(){return{size:[this.cx,this.cy,this.cz],data:this.arr}};r.loadFromJSON=function(a){var b=a.size;this.cx=b[0];this.cy=b[1];this.cz=b[2];this.arr=a.data};r.setSize=function(b,c,d){0>b&&(b=0);0>c&&(c=0);0>d&&(d=0);if(this.cx!==b||this.cy!==c||this.cz!==d){this.cx=b;this.cy=c;this.cz=d;var e,q,l=this.arr;l.length=b;for(b=0;b<this.cx;b++)for(cr.is_undefined(l[b])&&(l[b]=a()),l[b].length=c,e=0;e<this.cy;e++)for(cr.is_undefined(l[b][e])&&(l[b][e]=a()),l[b][e].length=
d,q=0;q<this.cz;q++)cr.is_undefined(l[b][e][q])&&(l[b][e][q]=0)}};d.prototype.CompareX=function(a,b,c){return cr.do_cmp(this.at(a,0,0),b,c)};d.prototype.CompareXY=function(a,b,c,d){return cr.do_cmp(this.at(a,b,0),c,d)};d.prototype.CompareXYZ=function(a,b,c,d,e){return cr.do_cmp(this.at(a,b,c),d,e)};r.doForEachTrigger=function(a){this.runtime.pushCopySol(a.solModifiers);a.retrigger();this.runtime.popSol(a.solModifiers)};d.prototype.ArrForEach=function(a){var b=this.runtime.getCurrentEventStack().current_event;
this.forZ=this.forY=this.forX=0;switch(a){case 0:for(this.forX=0;this.forX<this.cx;this.forX++)for(this.forY=0;this.forY<this.cy;this.forY++)for(this.forZ=0;this.forZ<this.cz;this.forZ++)this.doForEachTrigger(b);break;case 1:for(this.forX=0;this.forX<this.cx;this.forX++)for(this.forY=0;this.forY<this.cy;this.forY++)this.doForEachTrigger(b);break;case 2:for(this.forX=0;this.forX<this.cx;this.forX++)this.doForEachTrigger(b)}this.forZ=this.forY=this.forX=0;return!1};d.prototype.CompareCurrent=function(a,
b){return cr.do_cmp(this.at(this.forX,this.forY,this.forZ),a,b)};d.prototype.Contains=function(a){var b,c,d;for(b=0;b<this.cx;b++)for(c=0;c<this.cy;c++)for(d=0;d<this.cz;d++)if(this.arr[b][c][d]===a)return!0;return!1};d.prototype.IsEmpty=function(){return 0===this.cx||0===this.cy||0===this.cz};d.prototype.CompareSize=function(a,b,c){var d=0;switch(a){case 0:d=this.cx;break;case 1:d=this.cy;break;case 2:d=this.cz}return cr.do_cmp(d,b,c)};m.cnds=new d;e.prototype.Clear=function(){var a,b,c;for(a=0;a<
this.cx;a++)for(b=0;b<this.cy;b++)for(c=0;c<this.cz;c++)this.arr[a][b][c]=0};e.prototype.SetSize=function(a,b,c){this.setSize(a,b,c)};e.prototype.SetX=function(a,b){this.set(a,0,0,b)};e.prototype.SetXY=function(a,b,c){this.set(a,b,0,c)};e.prototype.SetXYZ=function(a,b,c,d){this.set(a,b,c,d)};e.prototype.Push=function(b,c,d){var e=0,q=0,l=0,h=this.arr;switch(d){case 0:0===b?(e=h.length,h.push(a())):(e=0,h.unshift(a()));for(h[e].length=this.cy;q<this.cy;q++)for(h[e][q]=a(),h[e][q].length=this.cz,l=
0;l<this.cz;l++)h[e][q][l]=c;this.cx++;break;case 1:for(;e<this.cx;e++)for(0===b?(q=h[e].length,h[e].push(a())):(q=0,h[e].unshift(a())),h[e][q].length=this.cz,l=0;l<this.cz;l++)h[e][q][l]=c;this.cy++;break;case 2:for(;e<this.cx;e++)for(q=0;q<this.cy;q++)0===b?h[e][q].push(c):h[e][q].unshift(c);this.cz++}};e.prototype.Pop=function(a,c){var d=0,e=0,q=this.arr;switch(c){case 0:if(0===this.cx)break;0===a?b(q.pop()):b(q.shift());this.cx--;break;case 1:if(0===this.cy)break;for(;d<this.cx;d++)0===a?b(q[d].pop()):
b(q[d].shift());this.cy--;break;case 2:if(0===this.cz)break;for(;d<this.cx;d++)for(e=0;e<this.cy;e++)0===a?q[d][e].pop():q[d][e].shift();this.cz--}};e.prototype.Reverse=function(a){var b=0,c=0,d=this.arr;if(0!==this.cx&&0!==this.cy&&0!==this.cz)switch(a){case 0:d.reverse();break;case 1:for(;b<this.cx;b++)d[b].reverse();break;case 2:for(;b<this.cx;b++)for(c=0;c<this.cy;c++)d[b][c].reverse();this.cz--}};e.prototype.Sort=function(a){var b=0,d=0,e=this.arr;if(0!==this.cx&&0!==this.cy&&0!==this.cz)switch(a){case 0:e.sort(function(a,
b){return c(a[0][0],b[0][0])});break;case 1:for(;b<this.cx;b++)e[b].sort(function(a,b){return c(a[0],b[0])});break;case 2:for(;b<this.cx;b++)for(d=0;d<this.cy;d++)e[b][d].sort(c)}};e.prototype.Delete=function(a,c){var d=0,e=0;a=Math.floor(a);var q=this.arr;if(!(0>a))switch(c){case 0:if(a>=this.cx)break;b(q[a]);q.splice(a,1);this.cx--;break;case 1:if(a>=this.cy)break;for(;d<this.cx;d++)b(q[d][a]),q[d].splice(a,1);this.cy--;break;case 2:if(a>=this.cz)break;for(;d<this.cx;d++)for(e=0;e<this.cy;e++)q[d][e].splice(a,
1);this.cz--}};e.prototype.Insert=function(b,c,d){var e=0,q=0,l=0;c=Math.floor(c);var h=this.arr;if(!(0>c))switch(d){case 0:if(c>this.cx)break;e=c;h.splice(e,0,a());for(h[e].length=this.cy;q<this.cy;q++)for(h[e][q]=a(),h[e][q].length=this.cz,l=0;l<this.cz;l++)h[e][q][l]=b;this.cx++;break;case 1:if(c>this.cy)break;for(;e<this.cx;e++)for(q=c,h[e].splice(q,0,a()),h[e][q].length=this.cz,l=0;l<this.cz;l++)h[e][q][l]=b;this.cy++;break;case 2:if(c>this.cz)break;for(;e<this.cx;e++)for(q=0;q<this.cy;q++)h[e][q].splice(c,
0,b);this.cz++}};e.prototype.JSONLoad=function(a){var b;try{b=JSON.parse(a)}catch(c){return}b.c2array&&(a=b.size,this.cx=a[0],this.cy=a[1],this.cz=a[2],this.arr=b.data)};e.prototype.JSONDownload=function(a){var b=document.createElement("a");if("undefined"===typeof b.download)b="data:text/html,"+encodeURIComponent("<p><a download='"+a+"' href=\"data:application/json,"+encodeURIComponent(this.getAsJSON())+'">Download link</a></p>'),window.open(b);else{var c=document.getElementsByTagName("body")[0];
b.textContent=a;b.href="data:application/json,"+encodeURIComponent(this.getAsJSON());b.download=a;c.appendChild(b);a=document.createEvent("MouseEvent");a.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null);b.dispatchEvent(a);c.removeChild(b)}};m.acts=new e;h.prototype.At=function(a,b,c,d){a.set_any(this.at(b,c||0,d||0))};h.prototype.Width=function(a){a.set_int(this.cx)};h.prototype.Height=function(a){a.set_int(this.cy)};h.prototype.Depth=function(a){a.set_int(this.cz)};h.prototype.CurX=
function(a){a.set_int(this.forX)};h.prototype.CurY=function(a){a.set_int(this.forY)};h.prototype.CurZ=function(a){a.set_int(this.forZ)};h.prototype.CurValue=function(a){a.set_any(this.at(this.forX,this.forY,this.forZ))};h.prototype.Front=function(a){a.set_any(this.at(0,0,0))};h.prototype.Back=function(a){a.set_any(this.at(this.cx-1,0,0))};h.prototype.IndexOf=function(a,b){for(var c=0;c<this.cx;c++)if(this.arr[c][0][0]===b){a.set_int(c);return}a.set_int(-1)};h.prototype.LastIndexOf=function(a,b){for(var c=
this.cx-1;0<=c;c--)if(this.arr[c][0][0]===b){a.set_int(c);return}a.set_int(-1)};h.prototype.AsJSON=function(a){a.set_string(this.getAsJSON())};m.exps=new h})();cr.plugins_.Audio=function(a){this.runtime=a};
(function(){function a(a){a=Math.pow(10,a/20);0>a&&(a=0);1<a&&(a=1);return a}function b(a){0>a&&(a=0);1<a&&(a=1);return 20*(Math.log(a)/Math.log(10))}function d(a){a=a.toLowerCase();return Q.hasOwnProperty(a)&&Q[a].length?Q[a][0].getInputNode():J.destination}function e(){return J.createGain?J.createGain():J.createGainNode()}function c(a){return J.createDelay?J.createDelay(a):J.createDelayNode(a)}function h(a){a.start?a.start(0):a.noteOn(0)}function m(a,b,c){a.start?a.start(0,b):a.noteGrainOn(0,b,
c-b)}function r(a){try{a.stop?a.stop(0):a.noteOff(0)}catch(b){}}function l(a,b,c,d){if(a)if(a.cancelScheduledValues(0),0===d)a.value=b;else{var f=J.currentTime;d+=f;switch(c){case 0:a.setValueAtTime(b,d);break;case 1:a.setValueAtTime(a.value,f);a.linearRampToValueAtTime(b,d);break;case 2:a.setValueAtTime(a.value,f),a.exponentialRampToValueAtTime(b,d)}}}function n(a,b,c,d,f,g){this.type="filter";this.params=[a,b,c,d,f,g];this.inputNode=e();this.wetNode=e();this.wetNode.gain.value=g;this.dryNode=e();
this.dryNode.gain.value=1-g;this.filterNode=J.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?a:la[a];this.filterNode.frequency.value=b;this.filterNode.detune&&(this.filterNode.detune.value=c);this.filterNode.Q.value=d;this.filterNode.gain.value=f;this.inputNode.connect(this.filterNode);this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode)}function f(a,b,d){this.type="delay";this.params=[a,b,d];this.inputNode=e();this.wetNode=e();this.wetNode.gain.value=
d;this.dryNode=e();this.dryNode.gain.value=1-d;this.mainNode=e();this.delayNode=c(a);this.delayNode.delayTime.value=a;this.delayGainNode=e();this.delayGainNode.gain.value=b;this.inputNode.connect(this.mainNode);this.inputNode.connect(this.dryNode);this.mainNode.connect(this.wetNode);this.mainNode.connect(this.delayNode);this.delayNode.connect(this.delayGainNode);this.delayGainNode.connect(this.mainNode)}function p(a,b,c,d){this.type="convolve";this.params=[b,c,d];this.inputNode=e();this.wetNode=e();
this.wetNode.gain.value=c;this.dryNode=e();this.dryNode.gain.value=1-c;this.convolveNode=J.createConvolver();a&&(this.convolveNode.normalize=b,this.convolveNode.buffer=a);this.inputNode.connect(this.convolveNode);this.inputNode.connect(this.dryNode);this.convolveNode.connect(this.wetNode)}function s(a,b,d,f,g){this.type="flanger";this.params=[a,b,d,f,g];this.inputNode=e();this.dryNode=e();this.dryNode.gain.value=1-g/2;this.wetNode=e();this.wetNode.gain.value=g/2;this.feedbackNode=e();this.feedbackNode.gain.value=
f;this.delayNode=c(a+b);this.delayNode.delayTime.value=a;this.oscNode=J.createOscillator();this.oscNode.frequency.value=d;this.oscGainNode=e();this.oscGainNode.gain.value=b;this.inputNode.connect(this.delayNode);this.inputNode.connect(this.dryNode);this.delayNode.connect(this.wetNode);this.delayNode.connect(this.feedbackNode);this.feedbackNode.connect(this.delayNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.delayNode.delayTime);h(this.oscNode)}function q(a,b,c,d,f,g){this.type=
"phaser";this.params=[a,b,c,d,f,g];this.inputNode=e();this.dryNode=e();this.dryNode.gain.value=1-g/2;this.wetNode=e();this.wetNode.gain.value=g/2;this.filterNode=J.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?7:"allpass";this.filterNode.frequency.value=a;this.filterNode.detune&&(this.filterNode.detune.value=b);this.filterNode.Q.value=c;this.oscNode=J.createOscillator();this.oscNode.frequency.value=f;this.oscGainNode=e();this.oscGainNode.gain.value=d;this.inputNode.connect(this.filterNode);
this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.filterNode.frequency);h(this.oscNode)}function v(a){this.type="gain";this.params=[a];this.node=e();this.node.gain.value=a}function w(a,b){this.type="tremolo";this.params=[a,b];this.node=e();this.node.gain.value=1-b/2;this.oscNode=J.createOscillator();this.oscNode.frequency.value=a;this.oscGainNode=e();this.oscGainNode.gain.value=b/2;this.oscNode.connect(this.oscGainNode);
this.oscGainNode.connect(this.node.gain);h(this.oscNode)}function y(a,b){this.type="ringmod";this.params=[a,b];this.inputNode=e();this.wetNode=e();this.wetNode.gain.value=b;this.dryNode=e();this.dryNode.gain.value=1-b;this.ringNode=e();this.ringNode.gain.value=0;this.oscNode=J.createOscillator();this.oscNode.frequency.value=a;this.oscNode.connect(this.ringNode.gain);h(this.oscNode);this.inputNode.connect(this.ringNode);this.inputNode.connect(this.dryNode);this.ringNode.connect(this.wetNode)}function t(a,
b,c,d,f){this.type="distortion";this.params=[a,b,c,d,f];this.inputNode=e();this.preGain=e();this.postGain=e();this.setDrive(c,Math.pow(10,d/20));this.wetNode=e();this.wetNode.gain.value=f;this.dryNode=e();this.dryNode.gain.value=1-f;this.waveShaper=J.createWaveShaper();this.curve=new Float32Array(65536);this.generateColortouchCurve(a,b);this.waveShaper.curve=this.curve;this.inputNode.connect(this.preGain);this.inputNode.connect(this.dryNode);this.preGain.connect(this.waveShaper);this.waveShaper.connect(this.postGain);
this.postGain.connect(this.wetNode)}function u(a,b,c,d,f){this.type="compressor";this.params=[a,b,c,d,f];this.node=J.createDynamicsCompressor();try{this.node.threshold.value=a,this.node.knee.value=b,this.node.ratio.value=c,this.node.attack.value=d,this.node.release.value=f}catch(e){}}function g(a,b){this.type="analyser";this.params=[a,b];this.node=J.createAnalyser();this.node.fftSize=a;this.node.smoothingTimeConstant=b;this.freqBins=new Float32Array(this.node.frequencyBinCount);this.signal=new Uint8Array(a);
this.rms=this.peak=0}function k(){this.obj=null;this.loadUid=0;this.speeds=[];this.moveAngle=this.lastY=this.lastX=0}function E(a,b){this.src=a;this.myapi=M;this.is_music=b;this.added_end_listener=!1;var c=this;this.mediaSourceNode=this.outNode=null;this.panWhenReady=[];this.seekWhenReady=0;this.supportWebAudioAPI=this.pauseWhenReady=!1;M===F&&b&&(this.myapi=K,this.outNode=e());this.audioData=this.bufferObject=null;var d;switch(this.myapi){case K:this.bufferObject=new Audio;M===F&&J.createMediaElementSource&&
!I.isFirefox&&(this.supportWebAudioAPI=!0,this.bufferObject.addEventListener("canplay",function(){c.mediaSourceNode||(c.mediaSourceNode=J.createMediaElementSource(c.bufferObject),c.mediaSourceNode.connect(c.outNode))}));this.bufferObject.autoplay=!1;this.bufferObject.preload="auto";this.bufferObject.src=a;break;case F:d=new XMLHttpRequest;d.open("GET",a,!0);d.responseType="arraybuffer";d.onload=function(){c.audioData=d.response;c.decodeAudioBuffer()};d.send();break;case U:this.bufferObject=!0;break;
case W:this.bufferObject=!0}}function z(a,b){var c=this;this.tag=b;this.stopped=this.fresh=!0;this.src=a.src;this.buffer=a;this.myapi=M;this.is_music=a.is_music;this.playbackRate=1;this.pgended=!0;this.is_paused=this.resume_me=!1;this.resume_position=0;this.is_silent=this.is_muted=this.looping=!1;this.mutevol=this.volume=1;this.startTime=I.kahanTime.sum;this.pannerNode=this.gainNode=null;this.pannerEnabled=!1;this.objectTracker=null;this.panConeOuterGain=this.panConeOuter=this.panConeInner=this.panAngle=
this.panY=this.panX=0;this.instanceObject=null;var f=!1;this.myapi!==F||this.buffer.myapi!==K||this.buffer.supportWebAudioAPI||(this.myapi=K);switch(this.myapi){case K:this.is_music?(this.instanceObject=a.bufferObject,f=!a.added_end_listener,a.added_end_listener=!0):(this.instanceObject=new Audio,this.instanceObject.autoplay=!1,this.instanceObject.src=a.bufferObject.src,f=!0);f&&this.instanceObject.addEventListener("ended",function(){N=c.tag;c.stopped=!0;I.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,
T)});break;case F:this.gainNode=e();this.gainNode.connect(d(b));this.buffer.myapi===F?a.bufferObject&&(this.instanceObject=J.createBufferSource(),this.instanceObject.buffer=a.bufferObject,this.instanceObject.connect(this.gainNode)):(this.instanceObject=this.buffer.bufferObject,this.buffer.outNode.connect(this.gainNode));break;case U:this.instanceObject=new window.Media(P+this.src,null,null,function(a){a===window.Media.MEDIA_STOPPED&&(c.pgended=!0,c.stopped=!0,N=c.tag,I.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,
T))});break;case W:this.instanceObject=!0}}function B(a){R.length=0;if(a.length){var b,c,d;b=0;for(c=O.length;b<c;b++)d=O[b],cr.equals_nocase(a,d.tag)&&R.push(d)}else S&&!S.hasEnded()&&(R.length=1,R[0]=S)}function x(a){var b,c,d,f,e=J.destination;if(Q.hasOwnProperty(a)&&(d=Q[a],d.length))for(e=d[0].getInputNode(),b=0,c=d.length;b<c;b++)f=d[b],b+1===c?f.connectTo(J.destination):f.connectTo(d[b+1].getInputNode());B(a);b=0;for(c=R.length;b<c;b++)R[b].reconnect(e);ca&&ia===a&&(ca.disconnect(),ca.connect(e))}
function G(a,b){Q.hasOwnProperty(a)?Q[a].push(b):Q[a]=[b];x(a)}function H(){}function A(){}function L(){}function C(a,b){var c=null;Q.hasOwnProperty(a)&&(c=Q[a]);return c&&0<=b&&b<c.length&&c[b].freqBins?c[b]:null}var D=cr.plugins_.Audio.prototype;D.Type=function(a){this.plugin=a;this.runtime=a.runtime};D.Type.prototype.onCreate=function(){};var I=null,T=null,N="",P="",K=0,F=1,U=2,W=3,M=K,J=null,da=[],O=[],S=null,X=!1,ha=0,V=!1,Y=1,Z=0,aa=0,ja=1,ka=1,ma=10,na=1E4,oa=1,ca=null,ia="",ea=!1,fa=[],Q=
{},la="lowpass highpass bandpass lowshelf highshelf peaking notch allpass".split(" ");n.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};n.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};n.prototype.getInputNode=function(){return this.inputNode};n.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=
1);this.params[5]=b;l(this.wetNode.gain,b,c,d);l(this.dryNode.gain,1-b,c,d);break;case 1:this.params[1]=b;l(this.filterNode.frequency,b,c,d);break;case 2:this.params[2]=b;l(this.filterNode.detune,b,c,d);break;case 3:this.params[3]=b;l(this.filterNode.Q,b,c,d);break;case 4:this.params[4]=b,l(this.filterNode.gain,b,c,d)}};f.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};f.prototype.remove=function(){this.inputNode.disconnect();
this.mainNode.disconnect();this.delayNode.disconnect();this.delayGainNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};f.prototype.getInputNode=function(){return this.inputNode};f.prototype.setParam=function(b,c,d,f){switch(b){case 0:c/=100;0>c&&(c=0);1<c&&(c=1);this.params[2]=c;l(this.wetNode.gain,c,d,f);l(this.dryNode.gain,1-c,d,f);break;case 4:this.params[1]=a(c);l(this.delayGainNode.gain,a(c),d,f);break;case 5:this.params[0]=c,l(this.delayNode.delayTime,c,d,f)}};p.prototype.connectTo=
function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};p.prototype.remove=function(){this.inputNode.disconnect();this.convolveNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};p.prototype.getInputNode=function(){return this.inputNode};p.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100,0>b&&(b=0),1<b&&(b=1),this.params[1]=b,l(this.wetNode.gain,b,c,d),l(this.dryNode.gain,1-b,c,d)}};s.prototype.connectTo=function(a){this.dryNode.disconnect();
this.dryNode.connect(a);this.wetNode.disconnect();this.wetNode.connect(a)};s.prototype.remove=function(){this.inputNode.disconnect();this.delayNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();this.wetNode.disconnect();this.feedbackNode.disconnect()};s.prototype.getInputNode=function(){return this.inputNode};s.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[4]=b;l(this.wetNode.gain,b/2,c,d);l(this.dryNode.gain,
1-b/2,c,d);break;case 6:this.params[1]=b/1E3;l(this.oscGainNode.gain,b/1E3,c,d);break;case 7:this.params[2]=b;l(this.oscNode.frequency,b,c,d);break;case 8:this.params[3]=b/100,l(this.feedbackNode.gain,b/100,c,d)}};q.prototype.connectTo=function(a){this.dryNode.disconnect();this.dryNode.connect(a);this.wetNode.disconnect();this.wetNode.connect(a)};q.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();
this.wetNode.disconnect()};q.prototype.getInputNode=function(){return this.inputNode};q.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[5]=b;l(this.wetNode.gain,b/2,c,d);l(this.dryNode.gain,1-b/2,c,d);break;case 1:this.params[0]=b;l(this.filterNode.frequency,b,c,d);break;case 2:this.params[1]=b;l(this.filterNode.detune,b,c,d);break;case 3:this.params[2]=b;l(this.filterNode.Q,b,c,d);break;case 6:this.params[3]=b;l(this.oscGainNode.gain,b,c,d);break;case 7:this.params[4]=
b,l(this.oscNode.frequency,b,c,d)}};v.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};v.prototype.remove=function(){this.node.disconnect()};v.prototype.getInputNode=function(){return this.node};v.prototype.setParam=function(b,c,d,f){switch(b){case 4:this.params[0]=a(c),l(this.node.gain,a(c),d,f)}};w.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};w.prototype.remove=function(){this.oscNode.disconnect();this.oscGainNode.disconnect();this.node.disconnect()};
w.prototype.getInputNode=function(){return this.node};w.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[1]=b;l(this.node.gain.value,1-b/2,c,d);l(this.oscGainNode.gain.value,b/2,c,d);break;case 7:this.params[0]=b,l(this.oscNode.frequency,b,c,d)}};y.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};y.prototype.remove=function(){this.oscNode.disconnect();this.ringNode.disconnect();
this.inputNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};y.prototype.getInputNode=function(){return this.inputNode};y.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[1]=b;l(this.wetNode.gain,b,c,d);l(this.dryNode.gain,1-b,c,d);break;case 7:this.params[0]=b,l(this.oscNode.frequency,b,c,d)}};t.prototype.setDrive=function(a,b){0.01>a&&(a=0.01);this.preGain.gain.value=a;this.postGain.gain.value=Math.pow(1/a,0.6)*b};t.prototype.shape=
function(a,b,c){var d=1.05*c*b-b;c=0>a?-1:1;a=0>a?-a:a;b=a<b?a:b+d*(1-Math.exp(-(1/d)*(a-b)));return b*c};t.prototype.generateColortouchCurve=function(a,b){for(var c=Math.pow(10,a/20),d=Math.pow(10,b/20),f=0,e=0;32768>e;++e)f=e/32768,f=this.shape(f,c,d),this.curve[32768+e]=f,this.curve[32768-e-1]=-f};t.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};t.prototype.remove=function(){this.inputNode.disconnect();this.preGain.disconnect();
this.waveShaper.disconnect();this.postGain.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};t.prototype.getInputNode=function(){return this.inputNode};t.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100,0>b&&(b=0),1<b&&(b=1),this.params[4]=b,l(this.wetNode.gain,b,c,d),l(this.dryNode.gain,1-b,c,d)}};u.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};u.prototype.remove=function(){this.node.disconnect()};u.prototype.getInputNode=function(){return this.node};
u.prototype.setParam=function(a,b,c,d){};g.prototype.tick=function(){this.node.getFloatFrequencyData(this.freqBins);this.node.getByteTimeDomainData(this.signal);for(var a=this.node.fftSize,c=0,d=this.peak=0,f=0;c<a;c++)f=(this.signal[c]-128)/128,0>f&&(f=-f),this.peak<f&&(this.peak=f),d+=f*f;this.peak=b(this.peak);this.rms=b(Math.sqrt(d/a))};g.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};g.prototype.remove=function(){this.node.disconnect()};g.prototype.getInputNode=
function(){return this.node};g.prototype.setParam=function(a,b,c,d){};k.prototype.setObject=function(a){if(this.obj=a)this.lastX=this.obj.x,this.lastY=this.obj.y;this.speeds.length=0};k.prototype.hasObject=function(){return!!this.obj};k.prototype.tick=function(a){this.obj&&0!==a&&(this.moveAngle=cr.angleTo(this.lastX,this.lastY,this.obj.x,this.obj.y),a=cr.distanceTo(this.lastX,this.lastY,this.obj.x,this.obj.y)/a,4>this.speeds.length||this.speeds.shift(),this.speeds.push(a),this.lastX=this.obj.x,this.lastY=
this.obj.y)};k.prototype.getSpeed=function(){if(!this.speeds.length)return 0;var a,b,c=0;a=0;for(b=this.speeds.length;a<b;a++)c+=this.speeds[a];return c/this.speeds.length};k.prototype.getVelocityX=function(){return Math.cos(this.moveAngle)*this.getSpeed()};k.prototype.getVelocityY=function(){return Math.sin(this.moveAngle)*this.getSpeed()};var pa=!1;E.prototype.decodeAudioBuffer=function(){if(!this.bufferObject&&this.audioData){var a=this;if(J.decodeAudioData)J.decodeAudioData(this.audioData,function(b){a.bufferObject=
b;var c,d,f;if(cr.is_undefined(a.playTagWhenReady)||V)cr.is_undefined(a.convolveWhenReady)||(c=a.convolveWhenReady.convolveNode,c.normalize=a.normalizeWhenReady,c.buffer=b);else if(a.panWhenReady.length){c=0;for(d=a.panWhenReady.length;c<d;c++){b=a.panWhenReady[c];f=new z(a,b.thistag);f.setPannerEnabled(!0);if("undefined"!==typeof b.objUid&&(b.obj=I.getObjectByUID(b.objUid),!b.obj))continue;if(b.obj){var e=cr.rotatePtAround(b.obj.x,b.obj.y,-b.obj.layer.getAngle(),Z,aa,!0),g=cr.rotatePtAround(b.obj.x,
b.obj.y,-b.obj.layer.getAngle(),Z,aa,!1);f.setPan(e,g,cr.to_degrees(b.obj.angle-b.obj.layer.getAngle()),b.ia,b.oa,b.og);f.setObject(b.obj)}else f.setPan(b.x,b.y,b.a,b.ia,b.oa,b.og);f.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady);a.pauseWhenReady&&f.pause();O.push(f)}a.panWhenReady.length=0}else f=new z(a,a.playTagWhenReady),f.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady),a.pauseWhenReady&&f.pause(),O.push(f)});else if(this.bufferObject=J.createBuffer(this.audioData,!1),cr.is_undefined(this.playTagWhenReady)||
V)cr.is_undefined(this.convolveWhenReady)||(b=this.convolveWhenReady.convolveNode,b.normalize=this.normalizeWhenReady,b.buffer=this.bufferObject);else{var b=new z(this,this.playTagWhenReady);b.play(this.loopWhenReady,this.volumeWhenReady,this.seekWhenReady);this.pauseWhenReady&&b.pause();O.push(b)}}};E.prototype.isLoaded=function(){switch(this.myapi){case K:return 4===this.bufferObject.readyState;case F:return!!this.audioData;case U:return!0;case W:return!0}return!1};z.prototype.hasEnded=function(){switch(this.myapi){case K:return this.instanceObject.ended;
case F:return this.buffer.myapi===F?!this.fresh&&!this.stopped&&this.instanceObject.loop||this.is_paused?!1:I.kahanTime.sum-this.startTime>this.buffer.bufferObject.duration:this.instanceObject.ended;case U:return this.pgended;case W:!0}return!0};z.prototype.canBeRecycled=function(){return this.fresh||this.stopped?!0:this.hasEnded()};z.prototype.setPannerEnabled=function(a){M===F&&(!this.pannerEnabled&&a?this.gainNode&&(this.pannerNode||(this.pannerNode=J.createPanner(),this.pannerNode.panningModel=
"number"===typeof this.pannerNode.panningModel?ja:["equalpower","HRTF","soundfield"][ja],this.pannerNode.distanceModel="number"===typeof this.pannerNode.distanceModel?ka:["linear","inverse","exponential"][ka],this.pannerNode.refDistance=ma,this.pannerNode.maxDistance=na,this.pannerNode.rolloffFactor=oa),this.gainNode.disconnect(),this.gainNode.connect(this.pannerNode),this.pannerNode.connect(d(this.tag)),this.pannerEnabled=!0):this.pannerEnabled&&!a&&this.gainNode&&(this.pannerNode.disconnect(),this.gainNode.disconnect(),
this.gainNode.connect(d(this.tag)),this.pannerEnabled=!1))};z.prototype.setPan=function(a,b,c,d,f,e){this.pannerEnabled&&M===F&&(this.pannerNode.setPosition(a,b,0),this.pannerNode.setOrientation(Math.cos(cr.to_radians(c)),Math.sin(cr.to_radians(c)),0),this.pannerNode.coneInnerAngle=d,this.pannerNode.coneOuterAngle=f,this.pannerNode.coneOuterGain=e,this.panX=a,this.panY=b,this.panAngle=c,this.panConeInner=d,this.panConeOuter=f,this.panConeOuterGain=e)};z.prototype.setObject=function(a){this.pannerEnabled&&
M===F&&(this.objectTracker||(this.objectTracker=new k),this.objectTracker.setObject(a))};z.prototype.tick=function(a){if(this.pannerEnabled&&M===F&&this.objectTracker&&this.objectTracker.hasObject()&&this.isPlaying()){this.objectTracker.tick(a);a=this.objectTracker.obj;var b=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),Z,aa,!0),c=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),Z,aa,!1);this.pannerNode.setPosition(b,c,0);b=0;"undefined"!==typeof this.objectTracker.obj.angle&&(b=a.angle-a.layer.getAngle(),
this.pannerNode.setOrientation(Math.cos(b),Math.sin(b),0));b=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),-a.layer.getAngle(),0,0,!0);c=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),-a.layer.getAngle(),0,0,!1);this.pannerNode.setVelocity(b,c,0)}};z.prototype.play=function(a,b,c){var d=this.instanceObject;this.looping=a;this.volume=b;c=c||0;switch(this.myapi){case K:1!==d.playbackRate&&(d.playbackRate=1);d.volume!==b*
Y&&(d.volume=b*Y);d.loop!==a&&(d.loop=a);d.muted&&(d.muted=!1);if(d.currentTime!==c)try{d.currentTime=c}catch(f){}this.is_music&&ea&&!I.isInUserInputEvent?fa.push(this):this.instanceObject.play();break;case F:this.muted=!1;this.mutevol=1;if(this.buffer.myapi===F)this.fresh||(this.instanceObject=J.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode)),this.instanceObject.loop=a,this.gainNode.gain.value=b*Y,0===c?h(this.instanceObject):m(this.instanceObject,
c,this.getDuration());else{1!==d.playbackRate&&(d.playbackRate=1);d.loop!==a&&(d.loop=a);this.gainNode.gain.value=b*Y;if(d.currentTime!==c)try{d.currentTime=c}catch(e){}this.is_music&&ea&&!I.isInUserInputEvent?fa.push(this):d.play()}break;case U:(!this.fresh&&this.stopped||0!==c)&&d.seekTo(c);d.play();this.pgended=!1;break;case W:I.isDirectCanvas?AppMobi.context.playSound(this.src,a):AppMobi.player.playSound(this.src,a)}this.playbackRate=1;this.startTime=I.kahanTime.sum-c;this.is_paused=this.stopped=
this.fresh=!1};z.prototype.stop=function(){switch(this.myapi){case K:this.instanceObject.paused||this.instanceObject.pause();break;case F:this.buffer.myapi===F?r(this.instanceObject):this.instanceObject.paused||this.instanceObject.pause();break;case U:this.instanceObject.stop();break;case W:I.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.stopped=!0;this.is_paused=!1};z.prototype.pause=function(){if(!(this.fresh||this.stopped||this.hasEnded()||this.is_paused)){switch(this.myapi){case K:this.instanceObject.paused||
this.instanceObject.pause();break;case F:this.buffer.myapi===F?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),r(this.instanceObject)):this.instanceObject.paused||this.instanceObject.pause();break;case U:this.instanceObject.pause();break;case W:I.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.is_paused=!0}};z.prototype.resume=function(){if(!this.fresh&&!this.stopped&&!this.hasEnded()&&this.is_paused){switch(this.myapi){case K:this.instanceObject.play();
break;case F:this.buffer.myapi===F?(this.instanceObject=J.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=Y*this.volume*this.mutevol,this.startTime=I.kahanTime.sum-this.resume_position,m(this.instanceObject,this.resume_position,this.getDuration())):this.instanceObject.play();break;case U:this.instanceObject.play();break;case W:I.isDirectCanvas&&AppMobi.context.resumeSound(this.src)}this.is_paused=
!1}};z.prototype.seek=function(a){if(!(this.fresh||this.stopped||this.hasEnded()))switch(this.myapi){case K:try{this.instanceObject.currentTime=a}catch(b){}break;case F:if(this.buffer.myapi===F)this.is_paused?this.resume_position=a:(this.pause(),this.resume_position=a,this.resume());else try{this.instanceObject.currentTime=a}catch(c){}break;case W:I.isDirectCanvas&&AppMobi.context.seekSound(this.src,a)}};z.prototype.reconnect=function(a){this.myapi===F&&(this.pannerEnabled?(this.pannerNode.disconnect(),
this.pannerNode.connect(a)):(this.gainNode.disconnect(),this.gainNode.connect(a)))};z.prototype.getDuration=function(){switch(this.myapi){case K:if("undefined"!==typeof this.instanceObject.duration)return this.instanceObject.duration;break;case F:return this.buffer.bufferObject.duration;case U:return this.instanceObject.getDuration();case W:if(I.isDirectCanvas)return AppMobi.context.getDurationSound(this.src)}return 0};z.prototype.getPlaybackTime=function(){var a=this.getDuration(),b=0;switch(this.myapi){case K:"undefined"!==
typeof this.instanceObject.currentTime&&(b=this.instanceObject.currentTime);break;case F:if(this.buffer.myapi===F){if(this.is_paused)return this.resume_position;b=I.kahanTime.sum-this.startTime}else"undefined"!==typeof this.instanceObject.currentTime&&(b=this.instanceObject.currentTime);break;case W:I.isDirectCanvas&&(b=AppMobi.context.getPlaybackTimeSound(this.src))}!this.looping&&b>a&&(b=a);return b};z.prototype.isPlaying=function(){return!this.is_paused&&!this.fresh&&!this.stopped&&!this.hasEnded()};
z.prototype.setVolume=function(a){this.volume=a;this.updateVolume()};z.prototype.updateVolume=function(){var a=this.volume*Y;switch(this.myapi){case K:this.instanceObject.volume&&this.instanceObject.volume!==a&&(this.instanceObject.volume=a);break;case F:this.gainNode.gain.value=a*this.mutevol}};z.prototype.getVolume=function(){return this.volume};z.prototype.doSetMuted=function(a){switch(this.myapi){case K:this.instanceObject.muted!==!!a&&(this.instanceObject.muted=!!a);break;case F:this.mutevol=
a?0:1,this.gainNode.gain.value=Y*this.volume*this.mutevol}};z.prototype.setMuted=function(a){this.is_muted=!!a;this.doSetMuted(this.is_muted||this.is_silent)};z.prototype.setSilent=function(a){this.is_silent=!!a;this.doSetMuted(this.is_muted||this.is_silent)};z.prototype.setLooping=function(a){this.looping=a;switch(this.myapi){case K:this.instanceObject.loop!==!!a&&(this.instanceObject.loop=!!a);break;case F:this.instanceObject.loop!==!!a&&(this.instanceObject.loop=!!a);break;case W:I.isDirectCanvas&&
AppMobi.context.setLoopingSound(this.src,a)}};z.prototype.setPlaybackRate=function(a){this.playbackRate=a;this.updatePlaybackRate()};z.prototype.updatePlaybackRate=function(){var a=this.playbackRate;if(1===ha&&!this.is_music||2===ha)a*=I.timescale;switch(this.myapi){case K:this.instanceObject.playbackRate!==a&&(this.instanceObject.playbackRate=a);break;case F:this.buffer.myapi===F?this.instanceObject.playbackRate.value!==a&&(this.instanceObject.playbackRate.value=a):this.instanceObject.playbackRate!==
a&&(this.instanceObject.playbackRate=a)}};z.prototype.setSuspended=function(a){switch(this.myapi){case K:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&this.instanceObject.play();break;case F:a?this.isPlaying()?(this.buffer.myapi===F?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),r(this.instanceObject)):this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&(this.buffer.myapi===
F?(this.instanceObject=J.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=Y*this.volume*this.mutevol,this.startTime=I.kahanTime.sum-this.resume_position,m(this.instanceObject,this.resume_position,this.getDuration())):this.instanceObject.play());break;case U:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&this.instanceObject.play()}};
D.Instance=function(a){this.type=a;I=this.runtime=a.runtime;T=this;this.listenerTracker=null;this.listenerZ=-600;!(this.runtime.isiOS||this.runtime.isAndroid&&(this.runtime.isChrome||this.runtime.isAndroidStockBrowser))||this.runtime.isCrosswalk||this.runtime.isDomFree||(ea=!0);J=null;"undefined"!==typeof AudioContext?(M=F,J=new AudioContext):"undefined"!==typeof webkitAudioContext&&(M=F,J=new webkitAudioContext);(this.runtime.isiOS&&M===F||ea)&&document.addEventListener("touchstart",function(){var a,
b,c;!pa&&J&&(a=J.createBuffer(1,1,22050),b=J.createBufferSource(),b.buffer=a,b.connect(J.destination),h(b),pa=!0);if(ea){if(!V)for(a=0,b=fa.length;a<b;++a)c=fa[a],c.stopped||c.is_paused||c.instanceObject.play();fa.length=0}},!0);M!==F&&(this.runtime.isPhoneGap?M=U:this.runtime.isAppMobi&&(M=W));M===U&&(P=location.href,a=P.lastIndexOf("/"),-1<a&&(P=P.substr(0,a+1)),P=P.replace("file://",""));if(this.runtime.isSafari&&this.runtime.isWindows&&"undefined"===typeof Audio)alert("It looks like you're using Safari for Windows without Quicktime.  Audio cannot be played until Quicktime is installed."),
this.runtime.DestroyInstance(this);else{if(this.runtime.isDirectCanvas)X=this.runtime.isAndroid;else try{X=!!(new Audio).canPlayType('audio/ogg; codecs="vorbis"')}catch(b){X=!1}this.runtime.tickMe(this)}};var ba=D.Instance.prototype;ba.onCreate=function(){ha=this.properties[0];this.saveload=this.properties[1];ja=this.properties[2];ka=this.properties[3];this.listenerZ=-this.properties[4];ma=this.properties[5];na=this.properties[6];oa=this.properties[7];this.listenerTracker=new k;M===F&&(J.listener.speedOfSound=
this.properties[8],J.listener.dopplerFactor=this.properties[9],J.listener.setPosition(this.runtime.draw_width/2,this.runtime.draw_height/2,this.listenerZ),J.listener.setOrientation(0,0,1,0,-1,0),window.c2OnAudioMicStream=function(a,b){ca&&ca.disconnect();ia=b.toLowerCase();ca=J.createMediaStreamSource(a);ca.connect(d(ia))});this.runtime.addSuspendCallback(function(a){T.onSuspend(a)});var a=this;this.runtime.addDestroyCallback(function(b){a.onInstanceDestroyed(b)})};ba.onInstanceDestroyed=function(a){var b,
c,d;b=0;for(c=O.length;b<c;b++)d=O[b],d.objectTracker&&d.objectTracker.obj===a&&(d.objectTracker.obj=null,d.pannerEnabled&&d.isPlaying()&&d.looping&&d.stop());this.listenerTracker.obj===a&&(this.listenerTracker.obj=null)};ba.saveToJSON=function(){var a={silent:V,masterVolume:Y,listenerZ:this.listenerZ,listenerUid:this.listenerTracker.hasObject()?this.listenerTracker.obj.uid:-1,playing:[],effects:{}},b=a.playing,c,d,f,e,g,k;c=0;for(d=O.length;c<d;c++)f=O[c],!f.isPlaying()||3===this.saveload||f.is_music&&
1===this.saveload||!f.is_music&&2===this.saveload||(e=f.getPlaybackTime(),f.looping&&(e%=f.getDuration()),e={tag:f.tag,buffersrc:f.buffer.src,is_music:f.is_music,playbackTime:e,volume:f.volume,looping:f.looping,muted:f.is_muted,playbackRate:f.playbackRate,paused:f.is_paused,resume_position:f.resume_position},f.pannerEnabled&&(e.pan={},k=e.pan,f.objectTracker&&f.objectTracker.hasObject()?k.objUid=f.objectTracker.obj.uid:(k.x=f.panX,k.y=f.panY,k.a=f.panAngle),k.ia=f.panConeInner,k.oa=f.panConeOuter,
k.og=f.panConeOuterGain),b.push(e));b=a.effects;for(g in Q)if(Q.hasOwnProperty(g)){f=[];c=0;for(d=Q[g].length;c<d;c++)f.push({type:Q[g][c].type,params:Q[g][c].params});b[g]=f}return a};var ga=[];ba.loadFromJSON=function(a){var b=a.silent;Y=a.masterVolume;this.listenerZ=a.listenerZ;this.listenerTracker.setObject(null);var c=a.listenerUid;-1!==c&&(this.listenerTracker.loadUid=c,ga.push(this.listenerTracker));var c=a.playing,d,e,l,h,m,r,E,z,B,x,A;if(3!==this.saveload)for(d=0,e=O.length;d<e;d++)B=O[d],
B.is_music&&1===this.saveload||(B.is_music||2!==this.saveload)&&B.stop();for(m in Q)if(Q.hasOwnProperty(m))for(d=0,e=Q[m].length;d<e;d++)Q[m][d].remove();cr.wipe(Q);for(m in a.effects)if(a.effects.hasOwnProperty(m))for(r=a.effects[m],d=0,e=r.length;d<e;d++)switch(l=r[d].type,x=r[d].params,l){case "filter":G(m,new n(x[0],x[1],x[2],x[3],x[4],x[5]));break;case "delay":G(m,new f(x[0],x[1],x[2]));break;case "convolve":l=x[2];B=this.getAudioBuffer(l,!1);B.bufferObject?l=new p(B.bufferObject,x[0],x[1],l):
(l=new p(null,x[0],x[1],l),B.normalizeWhenReady=x[0],B.convolveWhenReady=l);G(m,l);break;case "flanger":G(m,new s(x[0],x[1],x[2],x[3],x[4]));break;case "phaser":G(m,new q(x[0],x[1],x[2],x[3],x[4],x[5]));break;case "gain":G(m,new v(x[0]));break;case "tremolo":G(m,new w(x[0],x[1]));break;case "ringmod":G(m,new y(x[0],x[1]));break;case "distortion":G(m,new t(x[0],x[1],x[2],x[3],x[4]));break;case "compressor":G(m,new u(x[0],x[1],x[2],x[3],x[4]));break;case "analyser":G(m,new g(x[0],x[1]))}d=0;for(e=c.length;d<
e;d++)3===this.saveload||(a=c[d],l=a.buffersrc,h=a.is_music,m=a.tag,r=a.playbackTime,E=a.looping,z=a.volume,A=(x=a.pan)&&x.hasOwnProperty("objUid")?x.objUid:-1,h&&1===this.saveload)||!h&&2===this.saveload||((B=this.getAudioInstance(l,m,h,E,z))?(B.resume_position=a.resume_position,B.setPannerEnabled(!!x),B.play(E,z,r),B.updatePlaybackRate(),B.updateVolume(),B.doSetMuted(B.is_muted||B.is_silent),a.paused&&B.pause(),a.muted&&B.setMuted(!0),B.doSetMuted(B.is_muted||B.is_silent),x&&(-1!==A?(B.objectTracker=
B.objectTracker||new k,B.objectTracker.loadUid=A,ga.push(B.objectTracker)):B.setPan(x.x,x.y,x.a,x.ia,x.oa,x.og))):(B=this.getAudioBuffer(l,h),B.seekWhenReady=r,B.pauseWhenReady=a.paused,x&&(-1!==A?B.panWhenReady.push({objUid:A,ia:x.ia,oa:x.oa,og:x.og,thistag:m}):B.panWhenReady.push({x:x.x,y:x.y,a:x.a,ia:x.ia,oa:x.oa,og:x.og,thistag:m}))));if(b&&!V){d=0;for(e=O.length;d<e;d++)O[d].setSilent(!0);V=!0}else if(!b&&V){d=0;for(e=O.length;d<e;d++)O[d].setSilent(!1);V=!1}};ba.afterLoad=function(){var a,b,
c,d;a=0;for(b=ga.length;a<b;a++)c=ga[a],d=this.runtime.getObjectByUID(c.loadUid),c.setObject(d),c.loadUid=-1,d&&(Z=d.x,aa=d.y);ga.length=0};ba.onSuspend=function(a){var b,c;b=0;for(c=O.length;b<c;b++)O[b].setSuspended(a)};ba.tick=function(){var a=this.runtime.dt,b,c,d;b=0;for(c=O.length;b<c;b++)d=O[b],d.tick(a),d.myapi===K||d.myapi===W||d.fresh||d.stopped||!d.hasEnded()||(d.stopped=!0,N=d.tag,I.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,T)),0!==ha&&d.updatePlaybackRate();var f,e;for(f in Q)if(Q.hasOwnProperty(f))for(d=
Q[f],b=0,c=d.length;b<c;b++)e=d[b],e.tick&&e.tick();M===F&&this.listenerTracker.hasObject()&&(this.listenerTracker.tick(a),Z=this.listenerTracker.obj.x,aa=this.listenerTracker.obj.y,J.listener.setPosition(this.listenerTracker.obj.x,this.listenerTracker.obj.y,this.listenerZ),J.listener.setVelocity(this.listenerTracker.getVelocityX(),this.listenerTracker.getVelocityY(),0))};ba.getAudioBuffer=function(a,b){var c,d,f,e=null;c=0;for(d=da.length;c<d;c++)if(f=da[c],f.src===a){e=f;break}e||(e=new E(a,b),
da.push(e));return e};ba.getAudioInstance=function(a,b,c,d,f){var e,g,k;e=0;for(g=O.length;e<g;e++)if(k=O[e],k.src===a&&(k.canBeRecycled()||c))return k.tag=b,k;a=this.getAudioBuffer(a,c);if(!a.bufferObject)return"<preload>"!==b&&(a.playTagWhenReady=b,a.loopWhenReady=d,a.volumeWhenReady=f),null;k=new z(a,b);O.push(k);return k};var R=[];H.prototype.OnEnded=function(a){return cr.equals_nocase(N,a)};H.prototype.PreloadsComplete=function(){var a,b;a=0;for(b=da.length;a<b;a++)if(!da[a].isLoaded())return!1;
return!0};H.prototype.AdvancedAudioSupported=function(){return M===F};H.prototype.IsSilent=function(){return V};H.prototype.IsAnyPlaying=function(){var a,b;a=0;for(b=O.length;a<b;a++)if(O[a].isPlaying())return!0;return!1};H.prototype.IsTagPlaying=function(a){B(a);var b;a=0;for(b=R.length;a<b;a++)if(R[a].isPlaying())return!0;return!1};D.cnds=new H;A.prototype.Play=function(b,c,d,f){!V&&(d=a(d),S=this.getAudioInstance(this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a"),f,b[1],0!==c,d))&&(S.setPannerEnabled(!1),
S.play(0!==c,d))};A.prototype.PlayAtPosition=function(b,c,d,f,e,g,k,q,l,h){if(!V){d=a(d);var p=b[1];b=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");(S=this.getAudioInstance(b,h,p,0!==c,d))?(S.setPannerEnabled(!0),S.setPan(f,e,g,k,q,a(l)),S.play(0!==c,d)):this.getAudioBuffer(b,p).panWhenReady.push({x:f,y:e,a:g,ia:k,oa:q,og:a(l),thistag:h})}};A.prototype.PlayAtObject=function(b,c,d,f,e,g,k,q){if(!V&&f&&(f=f.getFirstPicked())){d=a(d);var l=b[1];b=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");
(S=this.getAudioInstance(b,q,l,0!==c,d))?(S.setPannerEnabled(!0),q=cr.rotatePtAround(f.x,f.y,-f.layer.getAngle(),Z,aa,!0),b=cr.rotatePtAround(f.x,f.y,-f.layer.getAngle(),Z,aa,!1),S.setPan(q,b,cr.to_degrees(f.angle-f.layer.getAngle()),e,g,a(k)),S.setObject(f),S.play(0!==c,d)):this.getAudioBuffer(b,l).panWhenReady.push({obj:f,ia:e,oa:g,og:a(k),thistag:q})}};A.prototype.PlayByName=function(b,c,d,f,e){!V&&(f=a(f),b=1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(X?".ogg":".m4a"),S=this.getAudioInstance(c,
e,b,0!==d,f))&&(S.setPannerEnabled(!1),S.play(0!==d,f))};A.prototype.PlayAtPositionByName=function(b,c,d,f,e,g,k,q,l,h,p){V||(f=a(f),b=1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(X?".ogg":".m4a"),(S=this.getAudioInstance(c,p,b,0!==d,f))?(S.setPannerEnabled(!0),S.setPan(e,g,k,q,l,a(h)),S.play(0!==d,f)):this.getAudioBuffer(c,b).panWhenReady.push({x:e,y:g,a:k,ia:q,oa:l,og:a(h),thistag:p}))};A.prototype.PlayAtObjectByName=function(b,c,d,f,e,g,k,q,l){!V&&e&&(e=e.getFirstPicked())&&(f=a(f),b=
1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(X?".ogg":".m4a"),(S=this.getAudioInstance(c,l,b,0!==d,f))?(S.setPannerEnabled(!0),l=cr.rotatePtAround(e.x,e.y,-e.layer.getAngle(),Z,aa,!0),c=cr.rotatePtAround(e.x,e.y,-e.layer.getAngle(),Z,aa,!1),S.setPan(l,c,cr.to_degrees(e.angle-e.layer.getAngle()),g,k,a(q)),S.setObject(e),S.play(0!==d,f)):this.getAudioBuffer(c,b).panWhenReady.push({obj:e,ia:g,oa:k,og:a(q),thistag:l}))};A.prototype.SetLooping=function(a,b){B(a);var c,d;c=0;for(d=R.length;c<d;c++)R[c].setLooping(0===
b)};A.prototype.SetMuted=function(a,b){B(a);var c,d;c=0;for(d=R.length;c<d;c++)R[c].setMuted(0===b)};A.prototype.SetVolume=function(b,c){B(b);var d=a(c),f,e;f=0;for(e=R.length;f<e;f++)R[f].setVolume(d)};A.prototype.Preload=function(a){if(!V){var b=a[1];a=this.runtime.files_subfolder+a[0]+(X?".ogg":".m4a");M===W?this.runtime.isDirectCanvas?AppMobi.context.loadSound(a):AppMobi.player.loadSound(a):M!==U&&this.getAudioInstance(a,"<preload>",b,!1)}};A.prototype.PreloadByName=function(a,b){if(!V){var c=
1===a,d=this.runtime.files_subfolder+b.toLowerCase()+(X?".ogg":".m4a");M===W?this.runtime.isDirectCanvas?AppMobi.context.loadSound(d):AppMobi.player.loadSound(d):M!==U&&this.getAudioInstance(d,"<preload>",c,!1)}};A.prototype.SetPlaybackRate=function(a,b){B(a);0>b&&(b=0);var c,d;c=0;for(d=R.length;c<d;c++)R[c].setPlaybackRate(b)};A.prototype.Stop=function(a){B(a);var b;a=0;for(b=R.length;a<b;a++)R[a].stop()};A.prototype.StopAll=function(){var a,b;a=0;for(b=O.length;a<b;a++)O[a].stop()};A.prototype.SetPaused=
function(a,b){B(a);var c,d;c=0;for(d=R.length;c<d;c++)0===b?R[c].pause():R[c].resume()};A.prototype.Seek=function(a,b){B(a);var c,d;c=0;for(d=R.length;c<d;c++)R[c].seek(b)};A.prototype.SetSilent=function(a){var b;2===a&&(a=V?1:0);if(0===a&&!V){a=0;for(b=O.length;a<b;a++)O[a].setSilent(!0);V=!0}else if(1===a&&V){a=0;for(b=O.length;a<b;a++)O[a].setSilent(!1);V=!1}};A.prototype.SetMasterVolume=function(b){Y=a(b);var c;b=0;for(c=O.length;b<c;b++)O[b].updateVolume()};A.prototype.AddFilterEffect=function(a,
b,c,d,f,e,g){M!==F||0>b||b>=la.length||!J.createBiquadFilter||(a=a.toLowerCase(),g/=100,0>g&&(g=0),1<g&&(g=1),G(a,new n(b,c,d,f,e,g)))};A.prototype.AddDelayEffect=function(b,c,d,e){M===F&&(b=b.toLowerCase(),e/=100,0>e&&(e=0),1<e&&(e=1),G(b,new f(c,a(d),e)))};A.prototype.AddFlangerEffect=function(a,b,c,d,f,e){M===F&&J.createOscillator&&(a=a.toLowerCase(),e/=100,0>e&&(e=0),1<e&&(e=1),G(a,new s(b/1E3,c/1E3,d,f/100,e)))};A.prototype.AddPhaserEffect=function(a,b,c,d,f,e,g){M===F&&J.createOscillator&&(a=
a.toLowerCase(),g/=100,0>g&&(g=0),1<g&&(g=1),G(a,new q(b,c,d,f,e,g)))};A.prototype.AddConvolutionEffect=function(a,b,c,d){if(M===F&&J.createConvolver){c=0===c;var f=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");b=this.getAudioBuffer(f,!1);a=a.toLowerCase();d/=100;0>d&&(d=0);1<d&&(d=1);b.bufferObject?d=new p(b.bufferObject,c,d,f):(d=new p(null,c,d,f),b.normalizeWhenReady=c,b.convolveWhenReady=d);G(a,d)}};A.prototype.AddGainEffect=function(b,c){M===F&&(b=b.toLowerCase(),G(b,new v(a(c))))};A.prototype.AddMuteEffect=
function(a){M===F&&(a=a.toLowerCase(),G(a,new v(0)))};A.prototype.AddTremoloEffect=function(a,b,c){M===F&&J.createOscillator&&(a=a.toLowerCase(),c/=100,0>c&&(c=0),1<c&&(c=1),G(a,new w(b,c)))};A.prototype.AddRingModEffect=function(a,b,c){M===F&&J.createOscillator&&(a=a.toLowerCase(),c/=100,0>c&&(c=0),1<c&&(c=1),G(a,new y(b,c)))};A.prototype.AddDistortionEffect=function(a,b,c,d,f,e){M===F&&J.createWaveShaper&&(a=a.toLowerCase(),e/=100,0>e&&(e=0),1<e&&(e=1),G(a,new t(b,c,d,f,e)))};A.prototype.AddCompressorEffect=
function(a,b,c,d,f,e){M===F&&J.createDynamicsCompressor&&(a=a.toLowerCase(),G(a,new u(b,c,d,f/1E3,e/1E3)))};A.prototype.AddAnalyserEffect=function(a,b,c){M===F&&(a=a.toLowerCase(),G(a,new g(b,c)))};A.prototype.RemoveEffects=function(a){if(M===F){a=a.toLowerCase();var b,c,d;if(Q.hasOwnProperty(a)&&(d=Q[a],d.length)){b=0;for(c=d.length;b<c;b++)d[b].remove();d.length=0;x(a)}}};A.prototype.SetEffectParameter=function(a,b,c,d,f,e){M===F&&(a=a.toLowerCase(),b=Math.floor(b),Q.hasOwnProperty(a)&&(a=Q[a],
0>b||b>=a.length||a[b].setParam(c,d,f,e)))};A.prototype.SetListenerObject=function(a){a&&M===F&&(a=a.getFirstPicked())&&(this.listenerTracker.setObject(a),Z=a.x,aa=a.y)};A.prototype.SetListenerZ=function(a){this.listenerZ=a};D.acts=new A;L.prototype.Duration=function(a,b){B(b);R.length?a.set_float(R[0].getDuration()):a.set_float(0)};L.prototype.PlaybackTime=function(a,b){B(b);R.length?a.set_float(R[0].getPlaybackTime()):a.set_float(0)};L.prototype.Volume=function(a,c){B(c);if(R.length){var d=R[0].getVolume();
a.set_float(b(d))}else a.set_float(0)};L.prototype.MasterVolume=function(a){a.set_float(Y)};L.prototype.EffectCount=function(a,b){b=b.toLowerCase();var c=null;Q.hasOwnProperty(b)&&(c=Q[b]);a.set_int(c?c.length:0)};L.prototype.AnalyserFreqBinCount=function(a,b,c){b=b.toLowerCase();c=Math.floor(c);b=C(b,c);a.set_int(b?b.node.frequencyBinCount:0)};L.prototype.AnalyserFreqBinAt=function(a,b,c,d){b=b.toLowerCase();c=Math.floor(c);d=Math.floor(d);(b=C(b,c))?0>d||d>=b.node.frequencyBinCount?a.set_float(0):
a.set_float(b.freqBins[d]):a.set_float(0)};L.prototype.AnalyserPeakLevel=function(a,b,c){b=b.toLowerCase();c=Math.floor(c);(b=C(b,c))?a.set_float(b.peak):a.set_float(0)};L.prototype.AnalyserRMSLevel=function(a,b,c){b=b.toLowerCase();c=Math.floor(c);(b=C(b,c))?a.set_float(b.rms):a.set_float(0)};D.exps=new L})();cr.plugins_.Browser=function(a){this.runtime=a};
(function(){function a(){}function b(){}function d(){"undefined"!==typeof jQuery&&m.setSize(jQuery(window).width(),jQuery(window).height())}function e(){}var c=cr.plugins_.Browser.prototype;c.Type=function(a){this.plugin=a;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a){this.type=a;this.runtime=a.runtime};c.Instance.prototype.onCreate=function(){var a=this;window.addEventListener("resize",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnResize,
a)});"undefined"!==typeof navigator.onLine&&(window.addEventListener("online",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOnline,a)}),window.addEventListener("offline",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOffline,a)}));"undefined"!==typeof window.applicationCache&&(window.applicationCache.addEventListener("updateready",function(){a.runtime.loadingprogress=1;a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady,a)}),window.applicationCache.addEventListener("progress",
function(b){a.runtime.loadingprogress=b.loaded/b.total}));this.runtime.isDirectCanvas||(document.addEventListener("appMobi.device.update.available",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady,a)}),document.addEventListener("backbutton",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton,a)}),document.addEventListener("menubutton",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton,a)}),document.addEventListener("searchbutton",
function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnSearchButton,a)}),document.addEventListener("tizenhwkey",function(b){var c;switch(b.keyName){case "back":c=a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton,a);!c&&window.tizen&&window.tizen.application.getCurrentApplication().exit();break;case "menu":(c=a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton,a))||b.preventDefault()}}));this.runtime.addSuspendCallback(function(b){b?a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageHidden,
a):a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageVisible,a)});this.is_arcade="undefined"!==typeof window.is_scirra_arcade};a.prototype.CookiesEnabled=function(){return navigator?navigator.cookieEnabled:!1};a.prototype.IsOnline=function(){return navigator?navigator.onLine:!1};a.prototype.HasJava=function(){return navigator?navigator.javaEnabled():!1};a.prototype.OnOnline=function(){return!0};a.prototype.OnOffline=function(){return!0};a.prototype.IsDownloadingUpdate=function(){return"undefined"===
typeof window.applicationCache?!1:window.applicationCache.status===window.applicationCache.DOWNLOADING};a.prototype.OnUpdateReady=function(){return!0};a.prototype.PageVisible=function(){return!this.runtime.isSuspended};a.prototype.OnPageVisible=function(){return!0};a.prototype.OnPageHidden=function(){return!0};a.prototype.OnResize=function(){return!0};a.prototype.IsFullscreen=function(){return!!(document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||this.runtime.isNodeFullscreen)};
a.prototype.OnBackButton=function(){return!0};a.prototype.OnMenuButton=function(){return!0};a.prototype.OnSearchButton=function(){return!0};a.prototype.IsMetered=function(){var a=navigator.connection||navigator.mozConnection||navigator.webkitConnection;return a?a.metered:!1};a.prototype.IsCharging=function(){var a=navigator.battery||navigator.mozBattery||navigator.webkitBattery;return a?a.charging:!0};a.prototype.IsPortraitLandscape=function(a){return(window.innerWidth<=window.innerHeight?0:1)===
a};c.cnds=new a;b.prototype.Alert=function(a){this.runtime.isDomFree||alert(a.toString())};b.prototype.Close=function(){this.runtime.isCocoonJs?CocoonJS.App.forceToFinish():window.tizen?window.tizen.application.getCurrentApplication().exit():navigator.app&&navigator.app.exitApp?navigator.app.exitApp():navigator.device&&navigator.device.exitApp?navigator.device.exitApp():this.is_arcade||this.runtime.isDomFree||window.close()};b.prototype.Focus=function(){this.runtime.isNodeWebkit?window.nwgui.Window.get().focus():
this.is_arcade||this.runtime.isDomFree||window.focus()};b.prototype.Blur=function(){this.runtime.isNodeWebkit?window.nwgui.Window.get().blur():this.is_arcade||this.runtime.isDomFree||window.blur()};b.prototype.GoBack=function(){navigator.app&&navigator.app.backHistory?navigator.app.backHistory():this.is_arcade||this.runtime.isDomFree||!window.back||window.back()};b.prototype.GoForward=function(){this.is_arcade||this.runtime.isDomFree||!window.forward||window.forward()};b.prototype.GoHome=function(){this.is_arcade||
this.runtime.isDomFree||!window.home||window.home()};b.prototype.GoToURL=function(a){this.runtime.isCocoonJs?CocoonJS.App.openURL(a):this.is_arcade||this.runtime.isDomFree||(window.location=a)};b.prototype.GoToURLWindow=function(a,b){this.runtime.isCocoonJs?CocoonJS.App.openURL(a):this.is_arcade||this.runtime.isDomFree||window.open(a,b)};b.prototype.Reload=function(){this.is_arcade||this.runtime.isDomFree||window.location.reload()};var h=!0,m=null;b.prototype.RequestFullScreen=function(a){this.runtime.isDomFree?
cr.logexport("[Construct 2] Requesting fullscreen is not supported on this platform - the request has been ignored"):(2<=a&&(a+=1),6===a&&(a=2),this.runtime.isNodeWebkit?this.runtime.isNodeFullscreen||(window.nwgui.Window.get().enterFullscreen(),this.runtime.isNodeFullscreen=!0):document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||(this.runtime.fullscreen_scaling=2<=a?a:0,a=this.runtime.canvasdiv||this.runtime.canvas,h&&(h=!1,m=this.runtime,a.addEventListener("mozfullscreenerror",
d),a.addEventListener("webkitfullscreenerror",d),a.addEventListener("msfullscreenerror",d),a.addEventListener("fullscreenerror",d)),cr.is_undefined(a.requestFullscreen)?cr.is_undefined(a.webkitRequestFullScreen)?cr.is_undefined(a.mozRequestFullScreen)?cr.is_undefined(a.msRequestFullscreen)||a.msRequestFullscreen():a.mozRequestFullScreen():"undefined"!==typeof Element&&"undefined"!==typeof Element.ALLOW_KEYBOARD_INPUT?a.webkitRequestFullScreen(Element.ALLOW_KEYBOARD_INPUT):a.webkitRequestFullScreen():
a.requestFullscreen()))};b.prototype.CancelFullScreen=function(){this.runtime.isDomFree?cr.logexport("[Construct 2] Exiting fullscreen is not supported on this platform - the request has been ignored"):this.runtime.isNodeWebkit?this.runtime.isNodeFullscreen&&(window.nwgui.Window.get().leaveFullscreen(),this.runtime.isNodeFullscreen=!1):cr.is_undefined(document.exitFullscreen)?cr.is_undefined(document.webkitCancelFullScreen)?cr.is_undefined(document.mozCancelFullScreen)?cr.is_undefined(document.msExitFullscreen)||
document.msExitFullscreen():document.mozCancelFullScreen():document.webkitCancelFullScreen():document.exitFullscreen()};b.prototype.Vibrate=function(a){try{var b=a.split(","),c,d;c=0;for(d=b.length;c<d;c++)b[c]=parseInt(b[c],10);navigator.vibrate?navigator.vibrate(b):navigator.mozVibrate?navigator.mozVibrate(b):navigator.webkitVibrate?navigator.webkitVibrate(b):navigator.msVibrate&&navigator.msVibrate(b)}catch(e){}};b.prototype.InvokeDownload=function(a,b){var c=document.createElement("a");if("undefined"===
typeof c.download)window.open(a);else{var d=document.getElementsByTagName("body")[0];c.textContent=b;c.href=a;c.download=b;d.appendChild(c);var e=document.createEvent("MouseEvent");e.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null);c.dispatchEvent(e);d.removeChild(c)}};b.prototype.InvokeDownloadString=function(a,b,c){var d="data:"+b+","+encodeURIComponent(a);a=document.createElement("a");"undefined"===typeof a.download?window.open(d):(b=document.getElementsByTagName("body")[0],a.textContent=
c,a.href=d,a.download=c,b.appendChild(a),c=document.createEvent("MouseEvent"),c.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null),a.dispatchEvent(c),b.removeChild(a))};b.prototype.ConsoleLog=function(a,b){"undefined"!==typeof console&&(0===a&&console.log&&console.log(b.toString()),1===a&&console.warn&&console.warn(b.toString()),2===a&&console.error&&console.error(b.toString()))};b.prototype.ConsoleGroup=function(a){console&&console.group&&console.group(a)};b.prototype.ConsoleGroupEnd=
function(){console&&console.groupEnd&&console.groupEnd()};b.prototype.ExecJs=function(a){eval&&eval(a)};var r="portrait landscape portrait-primary portrait-secondary landscape-primary landscape-secondary".split(" ");b.prototype.LockOrientation=function(a){a=Math.floor(a);0>a||a>=r.length||(this.runtime.autoLockOrientation=!1,a=r[a],screen.lockOrientation?screen.lockOrientation(a):screen.webkitLockOrientation?screen.webkitLockOrientation(a):screen.mozLockOrientation?screen.mozLockOrientation(a):screen.msLockOrientation&&
screen.msLockOrientation(a))};b.prototype.UnlockOrientation=function(){this.runtime.autoLockOrientation=!1;screen.unlockOrientation?screen.unlockOrientation():screen.webkitUnlockOrientation?screen.webkitUnlockOrientation():screen.mozUnlockOrientation?screen.mozUnlockOrientation():screen.msUnlockOrientation&&screen.msUnlockOrientation()};c.acts=new b;e.prototype.URL=function(a){a.set_string(this.runtime.isDomFree?"":window.location.toString())};e.prototype.Protocol=function(a){a.set_string(this.runtime.isDomFree?
"":window.location.protocol)};e.prototype.Domain=function(a){a.set_string(this.runtime.isDomFree?"":window.location.hostname)};e.prototype.PathName=function(a){a.set_string(this.runtime.isDomFree?"":window.location.pathname)};e.prototype.Hash=function(a){a.set_string(this.runtime.isDomFree?"":window.location.hash)};e.prototype.Referrer=function(a){a.set_string(this.runtime.isDomFree?"":document.referrer)};e.prototype.Title=function(a){a.set_string(this.runtime.isDomFree?"":document.title)};e.prototype.Name=
function(a){a.set_string(this.runtime.isDomFree?"":navigator.appName)};e.prototype.Version=function(a){a.set_string(this.runtime.isDomFree?"":navigator.appVersion)};e.prototype.Language=function(a){navigator&&navigator.language?a.set_string(navigator.language):a.set_string("")};e.prototype.Platform=function(a){a.set_string(this.runtime.isDomFree?"":navigator.platform)};e.prototype.Product=function(a){navigator&&navigator.product?a.set_string(navigator.product):a.set_string("")};e.prototype.Vendor=
function(a){navigator&&navigator.vendor?a.set_string(navigator.vendor):a.set_string("")};e.prototype.UserAgent=function(a){a.set_string(this.runtime.isDomFree?"":navigator.userAgent)};e.prototype.QueryString=function(a){a.set_string(this.runtime.isDomFree?"":window.location.search)};e.prototype.QueryParam=function(a,b){if(this.runtime.isDomFree)a.set_string("");else{var c=RegExp("[?&]"+b+"=([^&]*)").exec(window.location.search);c?a.set_string(decodeURIComponent(c[1].replace(/\+/g," "))):a.set_string("")}};
e.prototype.Bandwidth=function(a){var b=navigator.connection||navigator.mozConnection||navigator.webkitConnection;b?a.set_float(b.bandwidth):a.set_float(Number.POSITIVE_INFINITY)};e.prototype.BatteryLevel=function(a){var b=navigator.battery||navigator.mozBattery||navigator.webkitBattery;b?a.set_float(b.level):a.set_float(1)};e.prototype.BatteryTimeLeft=function(a){var b=navigator.battery||navigator.mozBattery||navigator.webkitBattery;b?a.set_float(b.dischargingTime):a.set_float(Number.POSITIVE_INFINITY)};
e.prototype.ExecJS=function(a,b){if(eval){var c=eval(b);"number"===typeof c?a.set_any(c):"string"===typeof c?a.set_any(c):"boolean"===typeof c?a.set_any(c?1:0):a.set_any(0)}else a.set_any(0)};e.prototype.ScreenWidth=function(a){a.set_int(screen.width)};e.prototype.ScreenHeight=function(a){a.set_int(screen.height)};e.prototype.DevicePixelRatio=function(a){a.set_float(this.runtime.devicePixelRatio)};c.exps=new e})();cr.plugins_.CJSAds=function(a){this.runtime=a};
(function(){function a(){}function b(){}function d(){}var e="",c=[],h=0,m=0,r=!1,l=!1,n=!1,f=cr.plugins_.CJSAds.prototype;f.Type=function(a){this.plugin=a;this.runtime=a.runtime};f.Type.prototype.onCreate=function(){};f.Instance=function(a){this.type=a;this.runtime=a.runtime};f.Instance.prototype.onCreate=function(){this.isShowingFullscreen=this.isShowingBanner=!1;this.triggerProduct="";this.socialService=null;this.socialServiceAvailable=!1;this.storeServiceAvailable=this.runtime.isCocoonJs&&"undefined"!==
typeof CocoonJS.Store.nativeExtensionObjectAvailable;this.storeManaged=1!==this.properties[0];this.storeSandboxed=0!==this.properties[1];this.onConsumePurchaseCompleted=this.onConsumePurchaseFailedTransactionId="";var a=this;this.runtime.isCocoonJs&&(CocoonJS.App.onTextDialogFinished.addEventListener(function(b){e=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardOK,a)}),CocoonJS.App.onTextDialogCancelled.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardCancelled,
a)}),CocoonJS.Ad.onBannerShown.addEventListener(function(){a.isShowingBanner=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnBannerShown,a)}),CocoonJS.Ad.onBannerReady.addEventListener(function(){l=!0;r||(CocoonJS.Ad.setBannerLayout(m),CocoonJS.Ad.showBanner())}),CocoonJS.Ad.onFullScreenShown.addEventListener(function(){a.isShowingFullscreen=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenShown,a)}),CocoonJS.Ad.onFullScreenHidden.addEventListener(function(){a.isShowingFullscreen=
!1;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenHidden,a)}),CocoonJS.Ad.onFullScreenReady.addEventListener(function(){n=!0;preloadFullScreen||CocoonJS.Ad.showFullScreen()}),this.storeServiceAvailable&&(CocoonJS.Store.onProductPurchaseCompleted.addEventListener(function(b){a.triggerProduct=b.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,a);CocoonJS.Store.addPurchase(b);CocoonJS.Store.consumePurchase(b.transactionId,b.productId);CocoonJS.Store.finishPurchase(b.transactionId)}),
CocoonJS.Store.onConsumePurchaseFailed.addEventListener(function(b,c){this.onConsumePurchaseFailedTransactionId=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseFailed,a)}),CocoonJS.Store.onConsumePurchaseCompleted.addEventListener(function(b){this.onConsumePurchaseCompleted=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseCompleted,a)}),CocoonJS.Store.onProductPurchaseFailed.addEventListener(function(b,c){a.triggerProduct=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,
a)}),CocoonJS.Store.onProductPurchaseStarted.addEventListener(function(b){a.triggerProduct=b.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseStart,a)}),CocoonJS.Store.onProductsFetchStarted.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchStarted,a)}),CocoonJS.Store.onProductsFetchFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchFailed,a)}),CocoonJS.Store.onProductsFetchCompleted.addEventListener(function(b){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchCompleted,
a)}),CocoonJS.Store.requestInitialization({managed:this.storeManaged,sandbox:this.storeSandboxed}),CocoonJS.Store.start()),this.socialService=CocoonJS.SocialGaming.GameCenter,this.socialServiceAvailable=!!this.socialService.nativeExtensionObjectAvailable,this.socialService.onRequestLoginSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginSuccess,a)}),this.socialService.onRequestLoginFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginFail,
a)}),this.socialService.onLogout.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLogout,a)}),this.socialService.onRequestUserScoreSucceed.addEventListener(function(b){h=b.score||0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreReceived,a)}),this.socialService.onRequestUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreUnavailable,a)}),this.socialService.onSubmitUserScoreSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitSuccess,
a)}),this.socialService.onSubmitUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitFail,a)}),this.socialService.onLeaderboardViewSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardOpen,a)}),this.socialService.onLeaderboardViewClosed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardClose,a)}))};a.prototype.IsShowingBanner=function(){return this.isShowingBanner};
a.prototype.IsCocoonJS=function(){return this.runtime.isCocoonJs};a.prototype.OnBannerShown=function(){return!0};a.prototype.OnFullscreenShown=function(){return!0};a.prototype.OnFullscreenHidden=function(){return!0};a.prototype.IsShowingFullscreen=function(){return this.isShowingFullscreen};a.prototype.IsStoreAvailable=function(){return this.runtime.isCocoonJs?this.storeServiceAvailable&&CocoonJS.Store.canPurchase():!1};a.prototype.OnPurchaseStart=function(a){return this.triggerProduct===a};a.prototype.OnPurchaseComplete=
function(a){return this.triggerProduct===a};a.prototype.OnPurchaseFail=function(a){return this.triggerProduct===a};a.prototype.onProductsFetchStarted=function(){return!0};a.prototype.onConsumePurchaseFailed=function(){return!0};a.prototype.onProductsFetchCompleted=function(){return!0};a.prototype.onProductsFetchFailed=function(){return!0};a.prototype.IsProductPurchased=function(a){return this.runtime.isCocoonJs?CocoonJS.Store.isProductPurchased(a):!1};a.prototype.OnKeyboardCancelled=function(){return!0};
a.prototype.OnKeyboardOK=function(){return!0};a.prototype.IsGCAvailable=function(){return this.socialServiceAvailable};a.prototype.IsGCLoggedIn=function(){return this.socialServiceAvailable?this.socialService.isLoggedIn():!1};a.prototype.OnGCLoginSuccess=function(){return!0};a.prototype.OnGCLoginFail=function(){return!0};a.prototype.OnGCLogout=function(){return!0};a.prototype.OnGCScoreReceived=function(){return!0};a.prototype.OnGCScoreUnavailable=function(){return!0};a.prototype.OnGCScoreSubmitSuccess=
function(){return!0};a.prototype.OnGCScoreSubmitFail=function(){return!0};a.prototype.OnGCLeaderboardOpen=function(){return!0};a.prototype.OnGCLeaderboardClose=function(){return!0};f.cnds=new a;b.prototype.ShowBanner=function(a){this.runtime.isCocoonJs&&(m=0===a?CocoonJS.Ad.BannerLayout.TOP_CENTER:CocoonJS.Ad.BannerLayout.BOTTOM_CENTER,r=!1,l?(CocoonJS.Ad.setBannerLayout(m),CocoonJS.Ad.showBanner()):CocoonJS.Ad.preloadBanner())};b.prototype.ShowFullscreen=function(){this.runtime.isCocoonJs&&(n?CocoonJS.Ad.showFullScreen():
CocoonJS.Ad.preloadFullScreen())};b.prototype.HideBanner=function(){this.runtime.isCocoonJs&&(CocoonJS.Ad.hideBanner(),this.isShowingBanner=!1)};b.prototype.PreloadBanner=function(){this.runtime.isCocoonJs&&(r=!0,CocoonJS.Ad.preloadBanner())};b.prototype.PreloadFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.preloadFullScreen()};b.prototype.RefreshBanner=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshBanner()};b.prototype.RefreshFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshFullScreen()};
b.prototype.Purchase=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProduct(a)};b.prototype.fetchProductsFromStore=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.fetchProductsFromStore(a.split(","))};b.prototype.restorePurchases=function(){if(this.runtime.isCocoonJs)return CocoonJS.Store.restorePurchases()};b.prototype.PurchasePreview=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProductModalWithPreview(a)};b.prototype.RestorePurchases=function(){this.runtime.isCocoonJs&&
CocoonJS.Store.restorePurchases()};b.prototype.PromptKeyboard=function(a,b,c,d,f,e){this.runtime.isCocoonJs&&CocoonJS.App.showTextDialog(a,b,c,["text","num","phone","email","url"][d],f,e)};b.prototype.UpdateProductsList=function(){this.runtime.isCocoonJs&&CocoonJS.Store.canPurchase()&&(c=CocoonJS.Store.getProducts())};b.prototype.GCLogin=function(){this.socialServiceAvailable&&!this.socialService.isLoggedIn()&&this.socialService.requestLogin()};b.prototype.GCLogout=function(){this.socialServiceAvailable&&
this.socialService.isLoggedIn()&&this.socialService.requestLogout()};b.prototype.GCSubmitScore=function(a,b){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.submitUserScore(a,b)};b.prototype.GCRequestScore=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.requestUserScore(a)};b.prototype.GCOpenLeaderboard=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.showLeaderboardView(a)};f.acts=
new b;d.prototype.InputText=function(a){a.set_string(e)};d.prototype.ProductCount=function(a){a.set_int(c.length)};d.prototype.ProductDescription=function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].description)};d.prototype.ProductLocalizedPrice=function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].localizedPrice)};d.prototype.ProductPrice=function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].price)};d.prototype.ProductAlias=
function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].productAlias)};d.prototype.ProductID=function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].productId)};d.prototype.ProductTitle=function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].title)};d.prototype.GameCenterScore=function(a){a.set_float(h)};f.exps=new d})();cr.plugins_.Function=function(a){this.runtime=a};
(function(){function a(){this.name="";this.retVal=0;this.params=[]}function b(){l++;l===r.length&&r.push(new a);return r[l]}function d(){return 0>l?null:r[l]}function e(){}function c(){}function h(){}var m=cr.plugins_.Function.prototype;m.Type=function(a){this.plugin=a;this.runtime=a.runtime};m.Type.prototype.onCreate=function(){};m.Instance=function(a){this.type=a;this.runtime=a.runtime};var r=[],l=-1;m.Instance.prototype.onCreate=function(){};e.prototype.OnFunction=function(a){var b=d();return b?
cr.equals_nocase(a,b.name):!1};e.prototype.CompareParam=function(a,b,c){var e=d();if(!e)return!1;a=cr.floor(a);return 0>a||a>=e.params.length?!1:cr.do_cmp(e.params[a],b,c)};m.cnds=new e;c.prototype.CallFunction=function(a,c){var d=b();d.name=a.toLowerCase();d.retVal=0;cr.shallowAssignArray(d.params,c);this.runtime.trigger(cr.plugins_.Function.prototype.cnds.OnFunction,this,d.name);l--};c.prototype.SetReturnValue=function(a){var b=d();b&&(b.retVal=a)};m.acts=new c;h.prototype.ReturnValue=function(a){var b;
r.length?(b=l+1,b>=r.length&&(b=r.length-1),b=r[b]):b=null;b?a.set_any(b.retVal):a.set_int(0)};h.prototype.ParamCount=function(a){var b=d();b?a.set_int(b.params.length):a.set_int(0)};h.prototype.Param=function(a,b){b=cr.floor(b);var c=d();c?0<=b&&b<c.params.length?a.set_any(c.params[b]):a.set_int(0):a.set_int(0)};h.prototype.Call=function(a,c){var d=b();d.name=c.toLowerCase();d.retVal=0;d.params.length=0;var e,q;e=2;for(q=arguments.length;e<q;e++)d.params.push(arguments[e]);this.runtime.trigger(cr.plugins_.Function.prototype.cnds.OnFunction,
this,d.name);l--;a.set_any(d.retVal)};m.exps=new h})();cr.plugins_.Sprite=function(a){this.runtime=a};
(function(){function a(){if(0===this.datauri.length){var a=document.createElement("canvas");a.width=this.width;a.height=this.height;var b=a.getContext("2d");this.spritesheeted?b.drawImage(this.texture_img,this.offx,this.offy,this.width,this.height,0,0,this.width,this.height):b.drawImage(this.texture_img,0,0,this.width,this.height);this.datauri=a.toDataURL("image/png")}return this.datauri}function b(){}function d(a){a[0]=0;a[1]=0;a[2]=0;v.push(a)}function e(a,b){return a<b?""+a+","+b:""+b+","+a}function c(a,
b,c,d){b=b.uid;c=c.uid;var f=e(b,c);if(a.hasOwnProperty(f))a[f][2]=d;else{var g;g=v.length?v.pop():[0,0,0];g[0]=b;g[1]=c;g[2]=d;a[f]=g}}function h(a,b,c){b=e(b.uid,c.uid);a.hasOwnProperty(b)&&(d(a[b]),delete a[b])}function m(a,b,c){b=e(b.uid,c.uid);if(a.hasOwnProperty(b))return w=a[b][2],!0;w=-2;return!1}function r(a,b,c){if(!a)return!1;var d=0!==b||0!==c,e,f,q=!1,h,l=this.runtime.getCurrentCondition(),m=l.type,l=l.inverted,n=a.getCurrentSol();h=this.runtime.getCurrentEventStack().current_event.orblock;
n.select_all?(this.update_bbox(),this.runtime.getCollisionCandidates(this.layer,a,this.bbox,y),n=y):n=h?n.else_instances:n.instances;t=a;g=m!==a&&!l;d&&(e=this.x,f=this.y,this.x+=b,this.y+=c,this.set_bbox_changed());b=0;for(c=n.length;b<c;b++)if(h=n[b],this.runtime.testOverlap(this,h)){q=!0;if(l)break;m!==a&&u.add(h)}d&&(this.x=e,this.y=f,this.set_bbox_changed());y.length=0;return q}function l(){}function n(){}var f=cr.plugins_.Sprite.prototype;f.Type=function(a){this.plugin=a;this.runtime=a.runtime};
var p=f.Type.prototype;p.onCreate=function(){if(!this.is_family){var b,c,d,e,f,g,q,h,l;this.all_frames=[];this.has_loaded_textures=!1;b=0;for(c=this.animations.length;b<c;b++){f=this.animations[b];q={};q.name=f[0];q.speed=f[1];q.loop=f[2];q.repeatcount=f[3];q.repeatto=f[4];q.pingpong=f[5];q.sid=f[6];q.frames=[];d=0;for(e=f[7].length;d<e;d++)g=f[7][d],h={},h.texture_file=g[0],h.texture_filesize=g[1],h.offx=g[2],h.offy=g[3],h.width=g[4],h.height=g[5],h.duration=g[6],h.hotspotX=g[7],h.hotspotY=g[8],
h.image_points=g[9],h.poly_pts=g[10],h.pixelformat=g[11],h.spritesheeted=0!==h.width,h.datauri="",h.getDataUri=a,l={left:0,top:0,right:1,bottom:1},h.sheetTex=l,h.webGL_texture=null,(l=this.runtime.findWaitingTexture(g[0]))?h.texture_img=l:(h.texture_img=new Image,h.texture_img.idtkLoadDisposed=!0,h.texture_img.src=g[0],h.texture_img.cr_src=g[0],h.texture_img.cr_filesize=g[1],h.texture_img.c2webGL_texture=null,this.runtime.waitForImageLoad(h.texture_img)),cr.seal(h),q.frames.push(h),this.all_frames.push(h);
cr.seal(q);this.animations[b]=q}}};p.updateAllCurrentTexture=function(){var a,b,c;a=0;for(b=this.instances.length;a<b;a++)c=this.instances[a],c.curWebGLTexture=c.curFrame.webGL_texture};p.onLostWebGLContext=function(){if(!this.is_family){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],c.texture_img.c2webGL_texture=null,c.webGL_texture=null}};p.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],
c.webGL_texture=this.runtime.glwrap.loadTexture(c.texture_img,!1,this.runtime.linearSampling,c.pixelformat);this.updateAllCurrentTexture()}};p.loadTextures=function(){if(!this.is_family&&!this.has_loaded_textures&&this.runtime.glwrap){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],c.webGL_texture=this.runtime.glwrap.loadTexture(c.texture_img,!1,this.runtime.linearSampling,c.pixelformat);this.has_loaded_textures=!0}};p.unloadTextures=function(){if(!this.is_family&&!this.instances.length&&
this.has_loaded_textures){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],this.runtime.glwrap.deleteTexture(c.webGL_texture);this.has_loaded_textures=!1}};var s=[];p.preloadCanvas2D=function(a){var b,c,d;b=s.length=0;for(c=this.all_frames.length;b<c;++b)d=this.all_frames[b].texture_img,-1===s.indexOf(d)&&(a.drawImage(d,0,0),s.push(d))};f.Instance=function(a){this.type=a;this.runtime=a.runtime;a=this.type.animations[0].frames[0].poly_pts;this.recycled?this.collision_poly.set_pts(a):
this.collision_poly=new cr.CollisionPoly(a)};var q=f.Instance.prototype;q.onCreate=function(){this.visible=0===this.properties[0];this.inAnimTrigger=this.isTicking=!1;this.collisionsEnabled=0!==this.properties[3];1===this.type.animations.length&&1===this.type.animations[0].frames.length||0===this.type.animations[0].speed||(this.runtime.tickMe(this),this.isTicking=!0);this.cur_animation=this.getAnimationByName(this.properties[1])||this.type.animations[0];this.cur_frame=this.properties[2];0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);var a=this.cur_animation.frames[this.cur_frame];this.collision_poly.set_pts(a.poly_pts);this.hotspotX=a.hotspotX;this.hotspotY=a.hotspotY;this.cur_anim_speed=this.cur_animation.speed;this.recycled?this.animTimer.reset():this.animTimer=new cr.KahanAdder;this.frameStart=this.getNowTime();this.animPlaying=!0;this.animRepeats=0;this.animForwards=!0;this.changeAnimName=this.animTriggerName=
"";this.changeAnimFrom=0;this.changeAnimFrame=-1;this.type.loadTextures();var b,c,d,e,f,g,q,a=0;for(b=this.type.animations.length;a<b;a++)for(e=this.type.animations[a],c=0,d=e.frames.length;c<d;c++)f=e.frames[c],0===f.width&&(f.width=f.texture_img.width,f.height=f.texture_img.height),f.spritesheeted&&(q=f.texture_img,g=f.sheetTex,g.left=f.offx/q.width,g.top=f.offy/q.height,g.right=(f.offx+f.width)/q.width,g.bottom=(f.offy+f.height)/q.height,0===f.offx&&0===f.offy&&f.width===q.width&&f.height===q.height&&
(f.spritesheeted=!1));this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture};q.saveToJSON=function(){var a={a:this.cur_animation.sid,f:this.cur_frame,cas:this.cur_anim_speed,fs:this.frameStart,ar:this.animRepeats,at:this.animTimer.sum};this.animPlaying||(a.ap=this.animPlaying);this.animForwards||(a.af=this.animForwards);return a};q.loadFromJSON=function(a){var b=this.getAnimationBySid(a.a);b&&(this.cur_animation=b);this.cur_frame=a.f;0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);this.cur_anim_speed=a.cas;this.frameStart=a.fs;this.animRepeats=a.ar;this.animTimer.reset();this.animTimer.sum=a.at;this.animPlaying=a.hasOwnProperty("ap")?a.ap:!0;this.animForwards=a.hasOwnProperty("af")?a.af:!0;this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture;this.collision_poly.set_pts(this.curFrame.poly_pts);this.hotspotX=
this.curFrame.hotspotX;this.hotspotY=this.curFrame.hotspotY};q.animationFinish=function(a){this.cur_frame=a?0:this.cur_animation.frames.length-1;this.animPlaying=!1;this.animTriggerName=this.cur_animation.name;this.inAnimTrigger=!0;this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,this);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,this);this.inAnimTrigger=!1;this.animRepeats=0};q.getNowTime=function(){return this.animTimer.sum};q.tick=function(){this.animTimer.add(this.runtime.getDt(this));
this.changeAnimName.length&&this.doChangeAnim();0<=this.changeAnimFrame&&this.doChangeAnimFrame();var a=this.getNowTime(),b=this.cur_animation,c=b.frames[this.cur_frame],d=c.duration/this.cur_anim_speed;this.animPlaying&&a>=this.frameStart+d&&(this.animForwards?this.cur_frame++:this.cur_frame--,this.frameStart+=d,this.cur_frame>=b.frames.length&&(b.pingpong?(this.animForwards=!1,this.cur_frame=b.frames.length-2):b.loop?this.cur_frame=b.repeatto:(this.animRepeats++,this.animRepeats>=b.repeatcount?
this.animationFinish(!1):this.cur_frame=b.repeatto)),0>this.cur_frame&&(b.pingpong?(this.cur_frame=1,this.animForwards=!0,b.loop||(this.animRepeats++,this.animRepeats>=b.repeatcount&&this.animationFinish(!0))):b.loop?this.cur_frame=b.repeatto:(this.animRepeats++,this.animRepeats>=b.repeatcount?this.animationFinish(!0):this.cur_frame=b.repeatto)),0>this.cur_frame?this.cur_frame=0:this.cur_frame>=b.frames.length&&(this.cur_frame=b.frames.length-1),a>this.frameStart+b.frames[this.cur_frame].duration/
this.cur_anim_speed&&(this.frameStart=a),a=b.frames[this.cur_frame],this.OnFrameChanged(c,a),this.runtime.redraw=!0)};q.getAnimationByName=function(a){var b,c,d;b=0;for(c=this.type.animations.length;b<c;b++)if(d=this.type.animations[b],cr.equals_nocase(d.name,a))return d;return null};q.getAnimationBySid=function(a){var b,c,d;b=0;for(c=this.type.animations.length;b<c;b++)if(d=this.type.animations[b],d.sid===a)return d;return null};q.doChangeAnim=function(){var a=this.cur_animation.frames[this.cur_frame],
b=this.getAnimationByName(this.changeAnimName);this.changeAnimName="";!b||cr.equals_nocase(b.name,this.cur_animation.name)&&this.animPlaying||(this.cur_animation=b,this.cur_anim_speed=b.speed,0>this.cur_frame&&(this.cur_frame=0),this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1),1===this.changeAnimFrom&&(this.cur_frame=0),this.animPlaying=!0,this.frameStart=this.getNowTime(),this.animForwards=!0,this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),
this.runtime.redraw=!0)};q.doChangeAnimFrame=function(){var a=this.cur_animation.frames[this.cur_frame],b=this.cur_frame;this.cur_frame=cr.floor(this.changeAnimFrame);0>this.cur_frame&&(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);b!==this.cur_frame&&(this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),this.frameStart=this.getNowTime(),this.runtime.redraw=!0);this.changeAnimFrame=-1};q.OnFrameChanged=function(a,
b){var c=a.width,d=a.height,f=b.width,e=b.height;c!=f&&(this.width*=f/c);d!=e&&(this.height*=e/d);this.hotspotX=b.hotspotX;this.hotspotY=b.hotspotY;this.collision_poly.set_pts(b.poly_pts);this.set_bbox_changed();this.curFrame=b;this.curWebGLTexture=b.webGL_texture;c=0;for(d=this.behavior_insts.length;c<d;c++)if(f=this.behavior_insts[c],f.onSpriteFrameChanged)f.onSpriteFrameChanged(a,b);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnFrameChanged,this)};q.draw=function(a){a.globalAlpha=this.opacity;
var b=this.curFrame,c=b.spritesheeted,d=b.texture_img,f=this.x,e=this.y,g=this.width,q=this.height;if(0===this.angle&&0<=g&&0<=q)f-=this.hotspotX*g,e-=this.hotspotY*q,this.runtime.pixel_rounding&&(f=f+0.5|0,e=e+0.5|0),c?a.drawImage(d,b.offx,b.offy,b.width,b.height,f,e,g,q):a.drawImage(d,f,e,g,q);else{this.runtime.pixel_rounding&&(f=f+0.5|0,e=e+0.5|0);a.save();var h=0<g?1:-1,l=0<q?1:-1;a.translate(f,e);1===h&&1===l||a.scale(h,l);a.rotate(this.angle*h*l);f=0-this.hotspotX*cr.abs(g);e=0-this.hotspotY*
cr.abs(q);c?a.drawImage(d,b.offx,b.offy,b.width,b.height,f,e,cr.abs(g),cr.abs(q)):a.drawImage(d,f,e,cr.abs(g),cr.abs(q));a.restore()}};q.drawGL=function(a){a.setTexture(this.curWebGLTexture);a.setOpacity(this.opacity);var b=this.curFrame,c=this.bquad;if(this.runtime.pixel_rounding){var d=(this.x+0.5|0)-this.x,f=(this.y+0.5|0)-this.y;b.spritesheeted?a.quadTex(c.tlx+d,c.tly+f,c.trx+d,c.try_+f,c.brx+d,c.bry+f,c.blx+d,c.bly+f,b.sheetTex):a.quad(c.tlx+d,c.tly+f,c.trx+d,c.try_+f,c.brx+d,c.bry+f,c.blx+d,
c.bly+f)}else b.spritesheeted?a.quadTex(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly,b.sheetTex):a.quad(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly)};q.getImagePointIndexByName=function(a){var b=this.curFrame,c,d;c=0;for(d=b.image_points.length;c<d;c++)if(cr.equals_nocase(a,b.image_points[c][0]))return c;return-1};q.getImagePoint=function(a,b){var c=this.curFrame,d=c.image_points,f;f=cr.is_string(a)?this.getImagePointIndexByName(a):a-1;f=cr.floor(f);if(0>f||f>=d.length)return b?this.x:this.y;
var e=(d[f][1]-c.hotspotX)*this.width,d=d[f][2],d=(d-c.hotspotY)*this.height,c=Math.cos(this.angle);f=Math.sin(this.angle);var g=e*c-d*f,d=d*c+e*f,e=g+this.x,d=d+this.y;return b?e:d};var v=[],w=-2,y=[];b.prototype.OnCollision=function(a){if(!a)return!1;var b=this.runtime,f=b.getCurrentCondition(),e=f.type;f.extra.collmemory||(f.extra.collmemory={},b.addDestroyCallback(function(a){return function(b){b=b.uid;var c,f;for(c in a)a.hasOwnProperty(c)&&(f=a[c],f[0]===b||f[1]===b)&&(d(a[c]),delete a[c])}}(f.extra.collmemory)));
var f=f.extra.collmemory,g=e.getCurrentSol(),q=a.getCurrentSol(),g=g.getObjects(),l,n,p,t,r,v,s,u=this.runtime.tickcount,P=u-1,K=b.getCurrentEventStack().current_event;for(n=0;n<g.length;n++){p=g[n];q.select_all?(p.update_bbox(),this.runtime.getCollisionCandidates(p.layer,a,p.bbox,y),l=y):l=q.getObjects();for(t=0;t<l.length;t++)r=l[t],b.testOverlap(p,r)||b.checkRegisteredCollision(p,r)?(v=m(f,p,r),v=!v||w<P,c(f,p,r,u),v&&(b.pushCopySol(K.solModifiers),v=e.getCurrentSol(),s=a.getCurrentSol(),v.select_all=
!1,s.select_all=!1,e===a?(v.instances.length=2,v.instances[0]=p,v.instances[1]=r,e.applySolToContainer()):(v.instances.length=1,s.instances.length=1,v.instances[0]=p,s.instances[0]=r,e.applySolToContainer(),a.applySolToContainer()),K.retrigger(),b.popSol(K.solModifiers))):h(f,p,r);y.length=0}return!1};var t=null,u=new cr.ObjectSet,g=!1;p.finish=function(a){if(g){if(a){var b=this.runtime.getCurrentEventStack().current_event.orblock;a=t.getCurrentSol();var c=u.valuesRef(),d,f;if(a.select_all){a.select_all=
!1;a.instances.length=c.length;d=0;for(f=c.length;d<f;d++)a.instances[d]=c[d];if(b)for(d=a.else_instances.length=0,f=t.instances.length;d<f;d++)c=t.instances[d],u.contains(c)||a.else_instances.push(c)}else if(b)for(b=a.instances.length,a.instances.length=b+c.length,d=0,f=c.length;d<f;d++)a.instances[b+d]=c[d],cr.arrayFindRemove(a.else_instances,c[d]);else cr.shallowAssignArray(a.instances,c);t.applySolToContainer()}u.clear();g=!1}};b.prototype.IsOverlapping=function(a){return r.call(this,a,0,0)};
b.prototype.IsOverlappingOffset=function(a,b,c){return r.call(this,a,b,c)};b.prototype.IsAnimPlaying=function(a){return this.changeAnimName.length?cr.equals_nocase(this.changeAnimName,a):cr.equals_nocase(this.cur_animation.name,a)};b.prototype.CompareFrame=function(a,b){return cr.do_cmp(this.cur_frame,a,b)};b.prototype.CompareAnimSpeed=function(a,b){return cr.do_cmp(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed,a,b)};b.prototype.OnAnimFinished=function(a){return cr.equals_nocase(this.animTriggerName,
a)};b.prototype.OnAnyAnimFinished=function(){return!0};b.prototype.OnFrameChanged=function(){return!0};b.prototype.IsMirrored=function(){return 0>this.width};b.prototype.IsFlipped=function(){return 0>this.height};b.prototype.OnURLLoaded=function(){return!0};b.prototype.IsCollisionEnabled=function(){return this.collisionsEnabled};f.cnds=new b;l.prototype.Spawn=function(a,b,c){if(a&&b&&(b=this.runtime.createInstance(a,b,this.getImagePoint(c,!0),this.getImagePoint(c,!1)))){"undefined"!==typeof b.angle&&
(b.angle=this.angle,b.set_bbox_changed());this.runtime.isInOnDestroy++;var d,f,e;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,b);if(b.is_contained)for(d=0,f=b.siblings.length;d<f;d++)e=b.siblings[d],this.runtime.trigger(Object.getPrototypeOf(e.type.plugin).cnds.OnCreated,e);this.runtime.isInOnDestroy--;d=this.runtime.getCurrentAction();c=!1;if(cr.is_undefined(d.extra.Spawn_LastExec)||d.extra.Spawn_LastExec<this.runtime.execcount)c=!0,d.extra.Spawn_LastExec=this.runtime.execcount;
if(a!=this.type&&(a=a.getCurrentSol(),a.select_all=!1,c?(a.instances.length=1,a.instances[0]=b):a.instances.push(b),b.is_contained))for(d=0,f=b.siblings.length;d<f;d++)e=b.siblings[d],a=e.type.getCurrentSol(),a.select_all=!1,c?(a.instances.length=1,a.instances[0]=e):a.instances.push(e)}};l.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};l.prototype.StopAnim=function(){this.animPlaying=!1};l.prototype.StartAnim=
function(a){this.animPlaying=!0;this.frameStart=this.getNowTime();1===a&&0!==this.cur_frame&&(this.changeAnimFrame=0,this.inAnimTrigger||this.doChangeAnimFrame());this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};l.prototype.SetAnim=function(a,b){this.changeAnimName=a;this.changeAnimFrom=b;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0);this.inAnimTrigger||this.doChangeAnim()};l.prototype.SetAnimFrame=function(a){this.changeAnimFrame=a;this.isTicking||(this.runtime.tickMe(this),
this.isTicking=!0);this.inAnimTrigger||this.doChangeAnimFrame()};l.prototype.SetAnimSpeed=function(a){this.cur_anim_speed=cr.abs(a);this.animForwards=0<=a;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};l.prototype.SetMirrored=function(a){a=cr.abs(this.width)*(0===a?-1:1);this.width!==a&&(this.width=a,this.set_bbox_changed())};l.prototype.SetFlipped=function(a){a=cr.abs(this.height)*(0===a?-1:1);this.height!==a&&(this.height=a,this.set_bbox_changed())};l.prototype.SetScale=function(a){var b=
this.curFrame,c=b.width*a*(0>this.width?-1:1);a=b.height*a*(0>this.height?-1:1);if(this.width!==c||this.height!==a)this.width=c,this.height=a,this.set_bbox_changed()};l.prototype.LoadURL=function(a,b){var c=new Image,d=this,f=this.curFrame;c.onload=function(){f.texture_img.src===c.src?d.runtime.glwrap&&d.curFrame===f&&(d.curWebGLTexture=f.webGL_texture):(f.texture_img=c,f.offx=0,f.offy=0,f.width=c.width,f.height=c.height,f.spritesheeted=!1,f.datauri="",d.runtime.glwrap&&(f.webGL_texture&&d.runtime.glwrap.deleteTexture(f.webGL_texture),
f.webGL_texture=d.runtime.glwrap.loadTexture(c,!1,d.runtime.linearSampling),d.curFrame===f&&(d.curWebGLTexture=f.webGL_texture),d.type.updateAllCurrentTexture()),0===b&&(d.width=c.width,d.height=c.height,d.set_bbox_changed()));d.runtime.redraw=!0;d.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnURLLoaded,d)};"data:"!==a.substr(0,5)&&(c.crossOrigin="anonymous");c.src=a};l.prototype.SetCollisions=function(a){this.collisionsEnabled!==(0!==a)&&((this.collisionsEnabled=0!==a)?this.set_bbox_changed():
(this.collcells.right>=this.collcells.left&&this.type.collision_grid.update(this,this.collcells,null),this.collcells.set(0,0,-1,-1)))};f.acts=new l;n.prototype.AnimationFrame=function(a){a.set_int(this.cur_frame)};n.prototype.AnimationFrameCount=function(a){a.set_int(this.cur_animation.frames.length)};n.prototype.AnimationName=function(a){a.set_string(this.cur_animation.name)};n.prototype.AnimationSpeed=function(a){a.set_float(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed)};n.prototype.ImagePointX=
function(a,b){a.set_float(this.getImagePoint(b,!0))};n.prototype.ImagePointY=function(a,b){a.set_float(this.getImagePoint(b,!1))};n.prototype.ImagePointCount=function(a){a.set_int(this.curFrame.image_points.length)};n.prototype.ImageWidth=function(a){a.set_float(this.curFrame.width)};n.prototype.ImageHeight=function(a){a.set_float(this.curFrame.height)};f.exps=new n})();cr.plugins_.Spritefont2=function(a){this.runtime=a};
(function(){function a(a,b,c){if(c){var d;c=0;for(d=b.length;c<d;c++)a.length<r&&a.push(b[c]);b.length=0}else for(d in b)Object.prototype.hasOwnProperty.call(b,d)&&(a.length<r&&a.push(b[d]),delete b[d])}function b(a,b,c){var d=a.lines;c=c.replace(/\s\s*$/,"");b>=d.length&&d.push(l.length?l.pop():{});b=d[b];b.text=c;b.width=a.measureWidth(c);a.textWidth=cr.max(a.textWidth,b.width)}function d(){}function e(){}function c(){}var h=cr.plugins_.Spritefont2.prototype;h.onCreate=function(){};h.Type=function(a){this.plugin=
a;this.runtime=a.runtime};var m=h.Type.prototype;m.onCreate=function(){this.is_family||(this.texture_img=new Image,this.texture_img.idtkLoadDisposed=!0,this.texture_img.src=this.texture_file,this.runtime.waitForImageLoad(this.texture_img),this.webGL_texture=null)};m.onLostWebGLContext=function(){this.is_family||(this.webGL_texture=null)};m.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){this.webGL_texture||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,
!1,this.runtime.linearSampling,this.texture_pixelformat));var a,b;a=0;for(b=this.instances.length;a<b;a++)this.instances[a].webGL_texture=this.webGL_texture}};m.unloadTextures=function(){this.is_family||this.instances.length||!this.webGL_texture||(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};m.preloadCanvas2D=function(a){a.drawImage(this.texture_img,0,0)};h.Instance=function(a){this.type=a;this.runtime=a.runtime};m=h.Instance.prototype;m.onDestroy=function(){a(l,
this.lines,!0);a(n,this.clipList,!1);a(f,this.clipUV,!1);cr.wipe(this.characterWidthList)};m.onCreate=function(){this.texture_img=this.type.texture_img;this.characterWidth=this.properties[0];this.characterHeight=this.properties[1];this.characterSet=this.properties[2];this.text=this.properties[3];this.characterScale=this.properties[4];this.visible=0===this.properties[5];this.halign=this.properties[6]/2;this.valign=this.properties[7]/2;this.wrapbyword=0===this.properties[9];this.characterSpacing=this.properties[10];
this.lineHeight=this.properties[11];this.textHeight=this.textWidth=0;this.recycled?(this.lines.length=0,cr.wipe(this.clipList),cr.wipe(this.clipUV),cr.wipe(this.characterWidthList)):(this.lines=[],this.clipList={},this.clipUV={},this.characterWidthList={});this.text_changed=!0;this.lastwrapwidth=this.width;this.runtime.glwrap&&(this.type.webGL_texture||(this.type.webGL_texture=this.runtime.glwrap.loadTexture(this.type.texture_img,!1,this.runtime.linearSampling,this.type.texture_pixelformat)),this.webGL_texture=
this.type.webGL_texture);this.SplitSheet()};m.saveToJSON=function(){var a={t:this.text,csc:this.characterScale,csp:this.characterSpacing,lh:this.lineHeight,tw:this.textWidth,th:this.textHeight,lrt:this.last_render_tick,cw:{}},b;for(b in this.characterWidthList)a.cw[b]=this.characterWidthList[b];return a};m.loadFromJSON=function(a){this.text=a.t;this.characterScale=a.csc;this.characterSpacing=a.csp;this.lineHeight=a.lh;this.textWidth=a.tw;this.textHeight=a.th;this.last_render_tick=a.lrt;for(var b in a.cw)this.characterWidthList[b]=
a.cw[b];this.text_changed=!0;this.lastwrapwidth=this.width};var r=1E3,l=[],n=[],f=[];m.SplitSheet=function(){for(var a=this.texture_img,b=a.width,c=a.height,a=this.characterWidth,d=this.characterHeight,e=a/b,h=d/c,g=this.characterSet,b=Math.floor(b/a),c=Math.floor(c/d),k=0;k<g.length&&!(k>=b*c);k++){var l=k%b,m=Math.floor(k/b),p=g.charAt(k);if(this.runtime.glwrap){var r=this.clipUV,s=l*e,H=m*h,l=(l+1)*e,m=(m+1)*h;void 0===r[p]&&(r[p]=f.length?f.pop():new cr.rect);r[p].left=s;r[p].top=H;r[p].right=
l;r[p].bottom=m}else r=this.clipList,l*=a,m*=d,s=a,H=d,void 0===r[p]&&(r[p]=n.length?n.pop():{}),r[p].x=l,r[p].y=m,r[p].w=s,r[p].h=H}};var p=[];h.TokeniseWords=function(a){p.length=0;for(var b="",c,d=0;d<a.length;)if(c=a.charAt(d),"\n"===c)b.length&&(p.push(b),b=""),p.push("\n"),++d;else if(" "===c||"\t"===c||"-"===c){do b+=a.charAt(d),d++;while(d<a.length&&(" "===a.charAt(d)||"\t"===a.charAt(d)));p.push(b);b=""}else d<a.length&&(b+=c,d++);b.length&&p.push(b)};h.WordWrap=function(b){var c=b.text,
d=b.lines;if(c&&c.length){var f=b.width;if(2>=f)a(l,d,!0);else{var e=b.characterScale,h=b.characterSpacing;if(c.length*(b.characterWidth*e+h)-h<=f&&-1===c.indexOf("\n")&&(h=b.measureWidth(c),h<=f)){a(l,d,!0);d.push(l.length?l.pop():{});d[0].text=c;d[0].width=h;b.textWidth=h;b.textHeight=b.characterHeight*e+b.lineHeight;return}this.WrapText(b);b.textHeight=d.length*(b.characterHeight*e+b.lineHeight)}}else a(l,d,!0)};h.WrapText=function(a){var c=a.wrapbyword,d=a.text,f=a.lines,e=a.width;c&&(this.TokeniseWords(d),
d=p);var h="",g,k,m,n=0,s=!1;for(m=0;m<d.length;m++)"\n"===d[m]?(!0===s?s=!1:(b(a,n,h),n++),h=""):(s=!1,g=h,h+=d[m],k=a.measureWidth(h.replace(/\s\s*$/,"")),k>e&&(""===g?(b(a,n,h),h="",s=!0):(b(a,n,g),h=d[m]),n++,c||" "!==h||(h="")));h.replace(/\s\s*$/,"").length&&(b(a,n,h),n++);for(m=n;m<f.length;m++)l.length<r&&l.push(f[m]);f.length=n};m.measureWidth=function(a){for(var b=this.characterSpacing,c=a.length,d=0,f=0;f<c;f++)d+=this.getCharacterWidth(a.charAt(f))*this.characterScale+b;return d-(0<d?
b:0)};m.getCharacterWidth=function(a){var b=this.characterWidthList;return void 0!==b[a]?b[a]:this.characterWidth};m.rebuildText=function(){if(this.text_changed||this.width!==this.lastwrapwidth)this.textHeight=this.textWidth=0,this.type.plugin.WordWrap(this),this.text_changed=!1,this.lastwrapwidth=this.width};m.draw=function(a,b){var c=this.texture_img;if(""!==this.text&&null!=c&&(this.rebuildText(),!(this.height<this.characterHeight*this.characterScale+this.lineHeight))){a.globalAlpha=this.opacity;
var c=this.x,d=this.y;this.runtime.pixel_rounding&&(c=c+0.5|0,d=d+0.5|0);a.save();a.translate(c,d);a.rotate(this.angle);for(var c=this.halign,d=this.characterScale,f=this.characterHeight*d,e=this.lineHeight,g=this.characterSpacing,k=this.lines,h,l=this.valign*cr.max(0,this.height-this.textHeight),m=-(this.hotspotX*this.width),n=-(this.hotspotY*this.height),l=n+l,p,r,n=0;n<k.length;n++){var s=k[n].text;h=c*cr.max(0,this.width-k[n].width);h=m+h;for(var l=l+e,L=0;L<s.length;L++){var C=s.charAt(L),D=
this.clipList[C];if(h+this.getCharacterWidth(C)*d>this.width+1E-5)break;void 0!==D&&(p=h,r=l,0===this.angle&&(p=Math.round(p),r=Math.round(r)),a.drawImage(this.texture_img,D.x,D.y,D.w,D.h,p,r,D.w*d,D.h*d));h+=this.getCharacterWidth(C)*d+g}l+=f;if(l+f+e>this.height)break}a.restore()}};var s=new cr.quad;m.drawGL=function(a){a.setTexture(this.webGL_texture);a.setOpacity(this.opacity);if(""!==this.text&&(this.rebuildText(),!(this.height<this.characterHeight*this.characterScale+this.lineHeight))){this.update_bbox();
var b=this.bquad,c=0,d=0;this.runtime.pixel_rounding&&(c=(this.x+0.5|0)-this.x,d=(this.y+0.5|0)-this.y);var f=this.angle,e=this.halign,g=this.valign,k=this.characterScale,h=this.characterHeight*k,l=this.lineHeight,m=this.characterSpacing,n=this.lines,p=this.textHeight,r,A;0!==f&&(r=Math.cos(f),A=Math.sin(f));for(var L,g=g*cr.max(0,this.height-p),c=b.tlx+c,b=b.tly+d,d=g,C,D,g=0;g<n.length;g++){p=n[g].text;L=e*cr.max(0,this.width-n[g].width);for(var d=d+l,I=0;I<p.length;I++){var T=p.charAt(I),N=this.clipUV[T];
if(L+this.getCharacterWidth(T)*k>this.width+1E-5)break;if(void 0!==N){var P=this.characterWidth*k,K=this.characterHeight*k;C=L;D=d;0===f&&(C=Math.round(C),D=Math.round(D));s.tlx=C;s.tly=D;s.trx=C+P;s.try_=D;s.blx=C;s.bly=D+K;s.brx=C+P;s.bry=D+K;0!==f&&(C=s,D=r,P=A,K=void 0,K=C.tlx*D-C.tly*P,C.tly=C.tly*D+C.tlx*P,C.tlx=K,K=C.trx*D-C.try_*P,C.try_=C.try_*D+C.trx*P,C.trx=K,K=C.blx*D-C.bly*P,C.bly=C.bly*D+C.blx*P,C.blx=K,K=C.brx*D-C.bry*P,C.bry=C.bry*D+C.brx*P,C.brx=K);s.offset(c,b);a.quadTex(s.tlx,s.tly,
s.trx,s.try_,s.brx,s.bry,s.blx,s.bly,N)}L+=this.getCharacterWidth(T)*k+m}d+=h;if(d+h+l>this.height)break}}};d.prototype.CompareText=function(a,b){return b?this.text==a:cr.equals_nocase(this.text,a)};h.cnds=new d;e.prototype.SetText=function(a){cr.is_number(a)&&1E9>a&&(a=Math.round(1E10*a)/1E10);a=a.toString();this.text!==a&&(this.text=a,this.text_changed=!0,this.runtime.redraw=!0)};e.prototype.AppendText=function(a){cr.is_number(a)&&(a=Math.round(1E10*a)/1E10);if(a=a.toString())this.text+=a,this.text_changed=
!0,this.runtime.redraw=!0};e.prototype.SetScale=function(a){a!==this.characterScale&&(this.characterScale=a,this.text_changed=!0,this.runtime.redraw=!0)};e.prototype.SetCharacterSpacing=function(a){a!==this.CharacterSpacing&&(this.characterSpacing=a,this.text_changed=!0,this.runtime.redraw=!0)};e.prototype.SetLineHeight=function(a){a!==this.lineHeight&&(this.lineHeight=a,this.text_changed=!0,this.runtime.redraw=!0)};m.SetCharWidth=function(a,b){var c=parseInt(b,10);this.characterWidthList[a]!==c&&
(this.characterWidthList[a]=c,this.text_changed=!0,this.runtime.redraw=!0)};e.prototype.SetCharacterWidth=function(a,b){if(""!==a)for(var c=0;c<a.length;c++)this.SetCharWidth(a.charAt(c),b)};e.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};e.prototype.SetHAlign=function(a){this.halign=a/2;this.text_changed=!0;this.runtime.redraw=!0};e.prototype.SetVAlign=function(a){this.valign=a/2;this.text_changed=!0;this.runtime.redraw=
!0};h.acts=new e;c.prototype.CharacterWidth=function(a,b){a.set_int(this.getCharacterWidth(b))};c.prototype.CharacterHeight=function(a){a.set_int(this.characterHeight)};c.prototype.CharacterScale=function(a){a.set_float(this.characterScale)};c.prototype.CharacterSpacing=function(a){a.set_int(this.characterSpacing)};c.prototype.LineHeight=function(a){a.set_int(this.lineHeight)};c.prototype.Text=function(a){a.set_string(this.text)};c.prototype.TextWidth=function(a){this.rebuildText();a.set_float(this.textWidth)};
c.prototype.TextHeight=function(a){this.rebuildText();a.set_float(this.textHeight)};h.exps=new c})();cr.plugins_.Text=function(a){this.runtime=a};
(function(){function a(){return n.length?n.pop():{}}function b(a){var b,c;b=0;for(c=a.length;b<c;b++)n.push(a[b]);a.length=0}function d(){}function e(){}function c(){}var h=cr.plugins_.Text.prototype;h.onCreate=function(){h.acts.SetWidth=function(a){this.width!==a&&(this.width=a,this.text_changed=!0,this.set_bbox_changed())}};h.Type=function(a){this.plugin=a;this.runtime=a.runtime};var m=h.Type.prototype;m.onCreate=function(){};m.onLostWebGLContext=function(){if(!this.is_family){var a,b,c;a=0;for(b=
this.instances.length;a<b;a++)c=this.instances[a],c.mycanvas=null,c.myctx=null,c.mytex=null}};h.Instance=function(a){this.type=a;this.runtime=a.runtime;this.recycled?this.lines.length=0:this.lines=[];this.text_changed=!0};var m=h.Instance.prototype,r={};m.onCreate=function(){this.text=this.properties[0];this.visible=0===this.properties[1];this.font=this.properties[2];this.color=this.properties[3];this.halign=this.properties[4];this.valign=this.properties[5];this.wrapbyword=0===this.properties[7];
this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height;this.line_height_offset=this.properties[8];this.fontstyle=this.facename="";this.textHeight=this.textWidth=this.ptSize=0;this.parseFont();this.mytex=this.myctx=this.mycanvas=null;this.need_text_redraw=!1;this.last_render_tick=this.runtime.tickcount;this.recycled?this.rcTex.set(0,0,1,1):this.rcTex=new cr.rect(0,0,1,1);this.runtime.glwrap&&this.runtime.tickMe(this)};m.parseFont=function(){var a=this.font.split(" "),b;for(b=0;b<
a.length;b++)if("pt"===a[b].substr(a[b].length-2,2)){this.ptSize=parseInt(a[b].substr(0,a[b].length-2));this.pxHeight=Math.ceil(96*(this.ptSize/72))+4;0<b&&(this.fontstyle=a[b-1]);this.facename=a[b+1];for(b+=2;b<a.length;b++)this.facename+=" "+a[b];break}};m.saveToJSON=function(){return{t:this.text,f:this.font,c:this.color,ha:this.halign,va:this.valign,wr:this.wrapbyword,lho:this.line_height_offset,fn:this.facename,fs:this.fontstyle,ps:this.ptSize,pxh:this.pxHeight,tw:this.textWidth,th:this.textHeight,
lrt:this.last_render_tick}};m.loadFromJSON=function(a){this.text=a.t;this.font=a.f;this.color=a.c;this.halign=a.ha;this.valign=a.va;this.wrapbyword=a.wr;this.line_height_offset=a.lho;this.facename=a.fn;this.fontstyle=a.fs;this.ptSize=a.ps;this.pxHeight=a.pxh;this.textWidth=a.tw;this.textHeight=a.th;this.last_render_tick=a.lrt;this.text_changed=!0;this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height};m.tick=function(){if(this.runtime.glwrap&&this.mytex&&300<=this.runtime.tickcount-
this.last_render_tick){var a=this.layer;this.update_bbox();var b=this.bbox;if(b.right<a.viewLeft||b.bottom<a.viewTop||b.left>a.viewRight||b.top>a.viewBottom)this.runtime.glwrap.deleteTexture(this.mytex),this.mycanvas=this.myctx=this.mytex=null}};m.onDestroy=function(){this.mycanvas=this.myctx=null;this.runtime.glwrap&&this.mytex&&this.runtime.glwrap.deleteTexture(this.mytex);this.mytex=null};m.updateFont=function(){this.font=this.fontstyle+" "+this.ptSize.toString()+"pt "+this.facename;this.text_changed=
!0;this.runtime.redraw=!0};m.draw=function(a,b){a.font=this.font;a.textBaseline="top";a.fillStyle=this.color;a.globalAlpha=b?1:this.opacity;var c=1;b&&(c=this.layer.getScale(),a.save(),a.scale(c,c));if(this.text_changed||this.width!==this.lastwrapwidth)this.type.plugin.WordWrap(this.text,this.lines,a,this.width,this.wrapbyword),this.text_changed=!1,this.lastwrapwidth=this.width;this.update_bbox();var c=b?0:this.bquad.tlx,d=b?0:this.bquad.tly;this.runtime.pixel_rounding&&(c=c+0.5|0,d=d+0.5|0);0===
this.angle||b||(a.save(),a.translate(c,d),a.rotate(this.angle),d=c=0);var e=d+this.height,h=this.pxHeight,h=h+this.line_height_offset,l,m;1===this.valign?d+=Math.max(this.height/2-this.lines.length*h/2,0):2===this.valign&&(d+=Math.max(this.height-this.lines.length*h-2,0));for(m=0;m<this.lines.length&&!(l=c,1===this.halign?l=c+(this.width-this.lines[m].width)/2:2===this.halign&&(l=c+(this.width-this.lines[m].width)),a.fillText(this.lines[m].text,l,d),d+=h,d>=e-h);m++);(0!==this.angle||b)&&a.restore();
this.last_render_tick=this.runtime.tickcount};m.drawGL=function(a){if(!(1>this.width||1>this.height)){var b=this.text_changed||this.need_text_redraw;this.need_text_redraw=!1;var c=this.layer.getScale(),d=this.layer.getAngle(),e=this.rcTex,h=c*this.width,l=c*this.height,m=Math.ceil(h),n=Math.ceil(l),g=this.runtime.draw_width/2,k=this.runtime.draw_height/2;this.myctx||(this.mycanvas=document.createElement("canvas"),this.mycanvas.width=m,this.mycanvas.height=n,this.lastwidth=m,this.lastheight=n,b=!0,
this.myctx=this.mycanvas.getContext("2d"));if(m!==this.lastwidth||n!==this.lastheight)this.mycanvas.width=m,this.mycanvas.height=n,this.mytex&&(a.deleteTexture(this.mytex),this.mytex=null),b=!0;b&&(this.myctx.clearRect(0,0,m,n),this.draw(this.myctx,!0),this.mytex||(this.mytex=a.createEmptyTexture(m,n,this.runtime.linearSampling,this.runtime.isMobile)),a.videoToTexture(this.mycanvas,this.mytex,this.runtime.isMobile));this.lastwidth=m;this.lastheight=n;a.setTexture(this.mytex);a.setOpacity(this.opacity);
a.resetModelView();a.translate(-g,-k);a.updateModelView();var r=this.bquad,z=this.runtime.devicePixelRatio;this.runtime.devicePixelRatio=1;var b=this.layer.layerToCanvas(r.tlx,r.tly,!0,!0),g=this.layer.layerToCanvas(r.tlx,r.tly,!1,!0),k=this.layer.layerToCanvas(r.trx,r.try_,!0,!0),B=this.layer.layerToCanvas(r.trx,r.try_,!1,!0),x=this.layer.layerToCanvas(r.brx,r.bry,!0,!0),G=this.layer.layerToCanvas(r.brx,r.bry,!1,!0),H=this.layer.layerToCanvas(r.blx,r.bly,!0,!0),r=this.layer.layerToCanvas(r.blx,r.bly,
!1,!0);this.runtime.devicePixelRatio=z;if(this.runtime.pixel_rounding||0===this.angle&&0===d)var z=(b+0.5|0)-b,A=(g+0.5|0)-g,b=b+z,g=g+A,k=k+z,B=B+A,x=x+z,G=G+A,H=H+z,r=r+A;0===this.angle&&0===d?(k=b+m,B=g,x=k,G=g+n,H=b,r=G,e.right=1,e.bottom=1):(e.right=h/m,e.bottom=l/n);a.quadTex(b,g,k,B,x,G,H,r,e);a.resetModelView();a.scale(c,c);a.rotateZ(-this.layer.getAngle());a.translate((this.layer.viewLeft+this.layer.viewRight)/-2,(this.layer.viewTop+this.layer.viewBottom)/-2);a.updateModelView();this.last_render_tick=
this.runtime.tickcount}};var l=[];h.TokeniseWords=function(a){l.length=0;for(var b="",c,d=0;d<a.length;)if(c=a.charAt(d),"\n"===c)b.length&&(l.push(b),b=""),l.push("\n"),++d;else if(" "===c||"\t"===c||"-"===c){do b+=a.charAt(d),d++;while(d<a.length&&(" "===a.charAt(d)||"\t"===a.charAt(d)));l.push(b);b=""}else d<a.length&&(b+=c,d++);b.length&&l.push(b)};var n=[];h.WordWrap=function(c,d,e,h,l){if(c&&c.length)if(2>=h)b(d);else{if(100>=c.length&&-1===c.indexOf("\n")){var m=e.measureText(c).width;if(m<=
h){b(d);d.push(a());d[0].text=c;d[0].width=m;return}}this.WrapText(c,d,e,h,l)}else b(d)};h.WrapText=function(b,c,d,e,h){h&&(this.TokeniseWords(b),b=l);var m="",r,t,u,g=0;for(u=0;u<b.length;u++)"\n"===b[u]?(g>=c.length&&c.push(a()),t=c[g],t.text=m,t.width=d.measureText(m).width,g++,m=""):(r=m,m+=b[u],t=d.measureText(m).width,t>=e&&(g>=c.length&&c.push(a()),t=c[g],t.text=r,t.width=d.measureText(r).width,g++,m=b[u],h||" "!==m||(m="")));m.length&&(g>=c.length&&c.push(a()),t=c[g],t.text=m,t.width=d.measureText(m).width,
g++);for(u=g;u<c.length;u++)n.push(c[u]);c.length=g};d.prototype.CompareText=function(a,b){return b?this.text==a:cr.equals_nocase(this.text,a)};h.cnds=new d;e.prototype.SetText=function(a){cr.is_number(a)&&1E9>a&&(a=Math.round(1E10*a)/1E10);a=a.toString();this.text!==a&&(this.text=a,this.text_changed=!0,this.runtime.redraw=!0)};e.prototype.AppendText=function(a){cr.is_number(a)&&(a=Math.round(1E10*a)/1E10);if(a=a.toString())this.text+=a,this.text_changed=!0,this.runtime.redraw=!0};e.prototype.SetFontFace=
function(a,b){var c="";switch(b){case 1:c="bold";break;case 2:c="italic";break;case 3:c="bold italic"}if(a!==this.facename||c!==this.fontstyle)this.facename=a,this.fontstyle=c,this.updateFont()};e.prototype.SetFontSize=function(a){this.ptSize!==a&&(this.ptSize=a,this.pxHeight=Math.ceil(96*(this.ptSize/72))+4,this.updateFont())};e.prototype.SetFontColor=function(a){a="rgb("+cr.GetRValue(a).toString()+","+cr.GetGValue(a).toString()+","+cr.GetBValue(a).toString()+")";a!==this.color&&(this.color=a,this.need_text_redraw=
!0,this.runtime.redraw=!0)};e.prototype.SetWebFont=function(a,b){if(this.runtime.isDomFree)cr.logexport("[Construct 2] Text plugin: 'Set web font' not supported on this platform - the action has been ignored");else{var c=this,d=function(){c.runtime.redraw=!0;c.text_changed=!0};if(r.hasOwnProperty(b)){var e="'"+a+"'";if(this.facename!==e)for(this.facename=e,this.updateFont(),e=1;10>e;e++)setTimeout(d,100*e),setTimeout(d,1E3*e)}else for(e=document.createElement("link"),e.href=b,e.rel="stylesheet",e.type=
"text/css",e.onload=d,document.getElementsByTagName("head")[0].appendChild(e),r[b]=!0,this.facename="'"+a+"'",this.updateFont(),e=1;10>e;e++)setTimeout(d,100*e),setTimeout(d,1E3*e)}};e.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};h.acts=new e;c.prototype.Text=function(a){a.set_string(this.text)};c.prototype.FaceName=function(a){a.set_string(this.facename)};c.prototype.FaceSize=function(a){a.set_int(this.ptSize)};
c.prototype.TextWidth=function(a){var b=0,c,d,e;c=0;for(d=this.lines.length;c<d;c++)e=this.lines[c].width,b<e&&(b=e);a.set_int(b)};c.prototype.TextHeight=function(a){a.set_int(this.lines.length*(this.pxHeight+this.line_height_offset)-this.line_height_offset)};h.exps=new c})();cr.plugins_.TextBox=function(a){this.runtime=a};
(function(){function a(){}function b(){}function d(){}var e=cr.plugins_.TextBox.prototype;e.Type=function(a){this.plugin=a;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a){this.type=a;this.runtime=a.runtime};var c=e.Instance.prototype,h="text password email number tel url".split(" ");-1<navigator.userAgent.indexOf("MSIE 9")&&(h[2]="text",h[3]="text",h[4]="text",h[5]="text");c.onCreate=function(){if(this.runtime.isDomFree)cr.logexport("[Construct 2] Textbox plugin not supported on this platform - the object will not be created");
else{6===this.properties[7]?(this.elem=document.createElement("textarea"),jQuery(this.elem).css("resize","none")):(this.elem=document.createElement("input"),this.elem.type=h[this.properties[7]]);this.elem.id=this.properties[9];jQuery(this.elem).appendTo(this.runtime.canvasdiv?this.runtime.canvasdiv:"body");this.elem.autocomplete="off";this.elem.value=this.properties[0];this.elem.placeholder=this.properties[1];this.elem.title=this.properties[2];this.elem.disabled=0===this.properties[4];this.elem.readOnly=
1===this.properties[5];this.elem.spellcheck=1===this.properties[6];this.autoFontSize=0!==this.properties[8];this.element_hidden=!1;0===this.properties[3]&&(jQuery(this.elem).hide(),this.visible=!1,this.element_hidden=!0);var a=function(a){return function(){a.runtime.trigger(cr.plugins_.TextBox.prototype.cnds.OnTextChanged,a)}}(this);this.elem.oninput=a;-1!==navigator.userAgent.indexOf("MSIE")&&(this.elem.oncut=a);this.elem.onclick=function(a){return function(b){b.stopPropagation();a.runtime.isInUserInputEvent=
!0;a.runtime.trigger(cr.plugins_.TextBox.prototype.cnds.OnClicked,a);a.runtime.isInUserInputEvent=!1}}(this);this.elem.ondblclick=function(a){return function(b){b.stopPropagation();a.runtime.isInUserInputEvent=!0;a.runtime.trigger(cr.plugins_.TextBox.prototype.cnds.OnDoubleClicked,a);a.runtime.isInUserInputEvent=!1}}(this);this.elem.addEventListener("touchstart",function(a){a.stopPropagation()},!1);this.elem.addEventListener("touchmove",function(a){a.stopPropagation()},!1);this.elem.addEventListener("touchend",
function(a){a.stopPropagation()},!1);jQuery(this.elem).mousedown(function(a){a.stopPropagation()});jQuery(this.elem).mouseup(function(a){a.stopPropagation()});jQuery(this.elem).keydown(function(a){13!==a.which&&27!=a.which&&a.stopPropagation()});jQuery(this.elem).keyup(function(a){13!==a.which&&27!=a.which&&a.stopPropagation()});this.lastWinHeight=this.lastWinWidth=this.lastBottom=this.lastRight=this.lastTop=this.lastLeft=0;this.updatePosition(!0);this.runtime.tickMe(this)}};c.saveToJSON=function(){return{text:this.elem.value,
placeholder:this.elem.placeholder,tooltip:this.elem.title,disabled:!!this.elem.disabled,readonly:!!this.elem.readOnly,spellcheck:!!this.elem.spellcheck}};c.loadFromJSON=function(a){this.elem.value=a.text;this.elem.placeholder=a.placeholder;this.elem.title=a.tooltip;this.elem.disabled=a.disabled;this.elem.readOnly=a.readonly;this.elem.spellcheck=a.spellcheck};c.onDestroy=function(){this.runtime.isDomFree||(jQuery(this.elem).remove(),this.elem=null)};c.tick=function(){this.updatePosition()};c.updatePosition=
function(a){if(!this.runtime.isDomFree){var b=this.layer.layerToCanvas(this.x,this.y,!0),c=this.layer.layerToCanvas(this.x,this.y,!1),d=this.layer.layerToCanvas(this.x+this.width,this.y+this.height,!0),e=this.layer.layerToCanvas(this.x+this.width,this.y+this.height,!1);if(!this.visible||!this.layer.visible||0>=d||0>=e||b>=this.runtime.width||c>=this.runtime.height)this.element_hidden||jQuery(this.elem).hide(),this.element_hidden=!0;else{1>b&&(b=1);1>c&&(c=1);d>=this.runtime.width&&(d=this.runtime.width-
1);e>=this.runtime.height&&(e=this.runtime.height-1);var h=window.innerWidth,s=window.innerHeight;a||this.lastLeft!==b||this.lastTop!==c||this.lastRight!==d||this.lastBottom!==e||this.lastWinWidth!==h||this.lastWinHeight!==s?(this.lastLeft=b,this.lastTop=c,this.lastRight=d,this.lastBottom=e,this.lastWinWidth=h,this.lastWinHeight=s,this.element_hidden&&(jQuery(this.elem).show(),this.element_hidden=!1),a=Math.round(b)+jQuery(this.runtime.canvas).offset().left,h=Math.round(c)+jQuery(this.runtime.canvas).offset().top,
jQuery(this.elem).css("position","absolute"),jQuery(this.elem).offset({left:a,top:h}),jQuery(this.elem).width(Math.round(d-b)),jQuery(this.elem).height(Math.round(e-c)),this.autoFontSize&&jQuery(this.elem).css("font-size",this.layer.getScale(!0)/this.runtime.devicePixelRatio-0.2+"em")):this.element_hidden&&(jQuery(this.elem).show(),this.element_hidden=!1)}}};c.draw=function(a){};c.drawGL=function(a){};a.prototype.CompareText=function(a,b){return this.runtime.isDomFree?!1:0===b?cr.equals_nocase(this.elem.value,
a):this.elem.value===a};a.prototype.OnTextChanged=function(){return!0};a.prototype.OnClicked=function(){return!0};a.prototype.OnDoubleClicked=function(){return!0};e.cnds=new a;b.prototype.SetText=function(a){this.runtime.isDomFree||(this.elem.value=a)};b.prototype.SetPlaceholder=function(a){this.runtime.isDomFree||(this.elem.placeholder=a)};b.prototype.SetTooltip=function(a){this.runtime.isDomFree||(this.elem.title=a)};b.prototype.SetVisible=function(a){this.runtime.isDomFree||(this.visible=0!==a)};
b.prototype.SetEnabled=function(a){this.runtime.isDomFree||(this.elem.disabled=0===a)};b.prototype.SetReadOnly=function(a){this.runtime.isDomFree||(this.elem.readOnly=0===a)};b.prototype.SetFocus=function(){this.runtime.isDomFree||this.elem.focus()};b.prototype.SetBlur=function(){this.runtime.isDomFree||this.elem.blur()};b.prototype.SetCSSStyle=function(a,b){this.runtime.isDomFree||jQuery(this.elem).css(a,b)};e.acts=new b;d.prototype.Text=function(a){this.runtime.isDomFree?a.set_string(""):a.set_string(this.elem.value)};
e.exps=new d})();cr.plugins_.TiledBg=function(a){this.runtime=a};
(function(){function a(){}function b(){}function d(){}var e=cr.plugins_.TiledBg.prototype;e.Type=function(a){this.plugin=a;this.runtime=a.runtime};var c=e.Type.prototype;c.onCreate=function(){this.is_family||(this.texture_img=new Image,this.texture_img.idtkLoadDisposed=!0,this.texture_img.src=this.texture_file,this.texture_img.cr_filesize=this.texture_filesize,this.runtime.waitForImageLoad(this.texture_img),this.webGL_texture=this.pattern=null)};c.onLostWebGLContext=function(){this.is_family||(this.webGL_texture=
null)};c.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){this.webGL_texture||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,this.texture_pixelformat));var a,b;a=0;for(b=this.instances.length;a<b;a++)this.instances[a].webGL_texture=this.webGL_texture}};c.loadTextures=function(){this.is_family||this.webGL_texture||!this.runtime.glwrap||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,
this.texture_pixelformat))};c.unloadTextures=function(){this.is_family||this.instances.length||!this.webGL_texture||(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};c.preloadCanvas2D=function(a){a.drawImage(this.texture_img,0,0)};e.Instance=function(a){this.type=a;this.runtime=a.runtime};c=e.Instance.prototype;c.onCreate=function(){this.visible=0===this.properties[0];this.rcTex=new cr.rect(0,0,0,0);this.has_own_texture=!1;this.texture_img=this.type.texture_img;this.runtime.glwrap?
(this.type.loadTextures(),this.webGL_texture=this.type.webGL_texture):(this.type.pattern||(this.type.pattern=this.runtime.ctx.createPattern(this.type.texture_img,"repeat")),this.pattern=this.type.pattern)};c.afterLoad=function(){this.has_own_texture=!1;this.texture_img=this.type.texture_img};c.onDestroy=function(){this.runtime.glwrap&&this.has_own_texture&&this.webGL_texture&&(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};c.draw=function(a){a.globalAlpha=this.opacity;
a.save();a.fillStyle=this.pattern;var b=this.x,c=this.y;this.runtime.pixel_rounding&&(b=b+0.5|0,c=c+0.5|0);var d=-(this.hotspotX*this.width),e=-(this.hotspotY*this.height),f=d%this.texture_img.width,p=e%this.texture_img.height;0>f&&(f+=this.texture_img.width);0>p&&(p+=this.texture_img.height);a.translate(b,c);a.rotate(this.angle);a.translate(f,p);a.fillRect(d-f,e-p,this.width,this.height);a.restore()};c.drawGL=function(a){a.setTexture(this.webGL_texture);a.setOpacity(this.opacity);var b=this.rcTex;
b.right=this.width/this.texture_img.width;b.bottom=this.height/this.texture_img.height;var c=this.bquad;if(this.runtime.pixel_rounding){var d=(this.x+0.5|0)-this.x,e=(this.y+0.5|0)-this.y;a.quadTex(c.tlx+d,c.tly+e,c.trx+d,c.try_+e,c.brx+d,c.bry+e,c.blx+d,c.bly+e,b)}else a.quadTex(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly,b)};a.prototype.OnURLLoaded=function(){return!0};e.cnds=new a;b.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);
this.runtime.redraw=!0};b.prototype.LoadURL=function(a){var b=new Image,c=this;b.onload=function(){c.texture_img=b;c.runtime.glwrap?(c.has_own_texture&&c.webGL_texture&&c.runtime.glwrap.deleteTexture(c.webGL_texture),c.webGL_texture=c.runtime.glwrap.loadTexture(b,!0,c.runtime.linearSampling)):c.pattern=c.runtime.ctx.createPattern(b,"repeat");c.has_own_texture=!0;c.runtime.redraw=!0;c.runtime.trigger(cr.plugins_.TiledBg.prototype.cnds.OnURLLoaded,c)};"data:"!==a.substr(0,5)&&(b.crossOrigin="anonymous");
b.src=a};e.acts=new b;d.prototype.ImageWidth=function(a){a.set_float(this.texture_img.width)};d.prototype.ImageHeight=function(a){a.set_float(this.texture_img.height)};e.exps=new d})();cr.plugins_.Touch=function(a){this.runtime=a};
(function(){function a(a){r=a.x;l=a.y;n=a.z}function b(a){f=a.x;p=a.y;s=a.z}function d(){}function e(){}var c=cr.plugins_.Touch.prototype;c.Type=function(a){this.plugin=a;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a){this.type=a;this.runtime=a.runtime;this.touches=[];this.mouseDown=!1};var h=c.Instance.prototype,m={left:0,top:0};h.findTouch=function(a){var b,c;b=0;for(c=this.touches.length;b<c;b++)if(this.touches[b].id===a)return b;return-1};var r=0,l=0,n=0,
f=0,p=0,s=0;h.onCreate=function(){this.isWindows8=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.trigger_id=this.trigger_index=this.curTouchY=this.curTouchX=this.acc_z=this.acc_y=this.acc_x=this.acc_g_z=this.acc_g_y=this.acc_g_x=this.orient_gamma=this.orient_beta=this.orient_alpha=0;this.useMouseInput=0!==this.properties[0];var c=0<this.runtime.fullscreen_mode?document:this.runtime.canvas,d=document;this.runtime.isDirectCanvas?d=c=window.Canvas:this.runtime.isCocoonJs&&(d=
c=window);var e=this;window.navigator.pointerEnabled?(c.addEventListener("pointerdown",function(a){e.onPointerStart(a)},!1),c.addEventListener("pointermove",function(a){e.onPointerMove(a)},!1),d.addEventListener("pointerup",function(a){e.onPointerEnd(a)},!1),d.addEventListener("pointercancel",function(a){e.onPointerEnd(a)},!1),this.runtime.canvas&&(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},
!1),this.runtime.canvas.addEventListener("gesturehold",function(a){a.preventDefault()},!1),document.addEventListener("gesturehold",function(a){a.preventDefault()},!1))):window.navigator.msPointerEnabled?(c.addEventListener("MSPointerDown",function(a){e.onPointerStart(a)},!1),c.addEventListener("MSPointerMove",function(a){e.onPointerMove(a)},!1),d.addEventListener("MSPointerUp",function(a){e.onPointerEnd(a)},!1),d.addEventListener("MSPointerCancel",function(a){e.onPointerEnd(a)},!1),this.runtime.canvas&&
(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1))):(c.addEventListener("touchstart",function(a){e.onTouchStart(a)},!1),c.addEventListener("touchmove",function(a){e.onTouchMove(a)},!1),d.addEventListener("touchend",function(a){e.onTouchEnd(a)},!1),d.addEventListener("touchcancel",function(a){e.onTouchEnd(a)},!1));if(this.isWindows8){var f=function(a){a=a.reading;e.acc_x=a.accelerationX;
e.acc_y=a.accelerationY;e.acc_z=a.accelerationZ},h=function(a){a=a.reading;e.orient_alpha=a.yawDegrees;e.orient_beta=a.pitchDegrees;e.orient_gamma=a.rollDegrees},l=Windows.Devices.Sensors.Accelerometer.getDefault();l&&(l.reportInterval=Math.max(l.minimumReportInterval,16),l.addEventListener("readingchanged",f));var g=Windows.Devices.Sensors.Inclinometer.getDefault();g&&(g.reportInterval=Math.max(g.minimumReportInterval,16),g.addEventListener("readingchanged",h));document.addEventListener("visibilitychange",
function(a){document.hidden||document.msHidden?(l&&l.removeEventListener("readingchanged",f),g&&g.removeEventListener("readingchanged",h)):(l&&l.addEventListener("readingchanged",f),g&&g.addEventListener("readingchanged",h))},!1)}else window.addEventListener("deviceorientation",function(a){e.orient_alpha=a.alpha||0;e.orient_beta=a.beta||0;e.orient_gamma=a.gamma||0},!1),window.addEventListener("devicemotion",function(a){a.accelerationIncludingGravity&&(e.acc_g_x=a.accelerationIncludingGravity.x||0,
e.acc_g_y=a.accelerationIncludingGravity.y||0,e.acc_g_z=a.accelerationIncludingGravity.z||0);a.acceleration&&(e.acc_x=a.acceleration.x||0,e.acc_y=a.acceleration.y||0,e.acc_z=a.acceleration.z||0)},!1);this.useMouseInput&&!this.runtime.isDomFree&&(jQuery(document).mousemove(function(a){e.onMouseMove(a)}),jQuery(document).mousedown(function(a){e.onMouseDown(a)}),jQuery(document).mouseup(function(a){e.onMouseUp(a)}));this.runtime.isAppMobi&&!this.runtime.isDirectCanvas&&AppMobi.accelerometer.watchAcceleration(a,
{frequency:40,adjustForRotation:!0});this.runtime.isPhoneGap&&navigator.accelerometer.watchAcceleration(b,null,{frequency:40});this.runtime.tick2Me(this)};h.onPointerMove=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();var b=this.findTouch(a.pointerId),c=cr.performance_now();if(0<=b){var d=this.runtime.isDomFree?m:jQuery(this.runtime.canvas).offset(),b=this.touches[b];2>c-b.time||(b.lasttime=b.time,b.lastx=b.x,b.lasty=b.y,b.time=
c,b.x=a.pageX-d.left,b.y=a.pageY-d.top)}}};h.onPointerStart=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();var b=this.runtime.isDomFree?m:jQuery(this.runtime.canvas).offset(),c=a.pageX-b.left,b=a.pageY-b.top,d=cr.performance_now();this.trigger_index=this.touches.length;this.trigger_id=a.pointerId;this.touches.push({time:d,x:c,y:b,lasttime:d,lastx:c,lasty:b,id:a.pointerId,startindex:this.trigger_index});this.runtime.isInUserInputEvent=
!0;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,this);this.curTouchX=c;this.curTouchY=b;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,this);this.runtime.isInUserInputEvent=!1}};h.onPointerEnd=function(a){a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType&&(a.preventDefault&&a.preventDefault(),a=this.findTouch(a.pointerId),this.trigger_index=0<=a?this.touches[a].startindex:
-1,this.trigger_id=0<=a?this.touches[a].id:-1,this.runtime.isInUserInputEvent=!0,this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,this),this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,this),this.runtime.isInUserInputEvent=!1,0<=a&&this.touches.splice(a,1))};h.onTouchMove=function(a){a.preventDefault&&a.preventDefault();var b=cr.performance_now(),c,d,e,f;c=0;for(d=a.changedTouches.length;c<d;c++)if(e=a.changedTouches[c],f=this.findTouch(e.identifier),0<=f){var g=
this.runtime.isDomFree?m:jQuery(this.runtime.canvas).offset();f=this.touches[f];2>b-f.time||(f.lasttime=f.time,f.lastx=f.x,f.lasty=f.y,f.time=b,f.x=e.pageX-g.left,f.y=e.pageY-g.top)}};h.onTouchStart=function(a){a.preventDefault&&a.preventDefault();var b=this.runtime.isDomFree?m:jQuery(this.runtime.canvas).offset(),c=cr.performance_now();this.runtime.isInUserInputEvent=!0;var d,e,f,g;d=0;for(e=a.changedTouches.length;d<e;d++)if(f=a.changedTouches[d],g=this.findTouch(f.identifier),-1===g){g=f.pageX-
b.left;var h=f.pageY-b.top;this.trigger_index=this.touches.length;this.trigger_id=f.identifier;this.touches.push({time:c,x:g,y:h,lasttime:c,lastx:g,lasty:h,id:f.identifier,startindex:this.trigger_index});this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,this);this.curTouchX=g;this.curTouchY=h;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,this)}this.runtime.isInUserInputEvent=!1};h.onTouchEnd=
function(a){a.preventDefault&&a.preventDefault();this.runtime.isInUserInputEvent=!0;var b,c,d;b=0;for(c=a.changedTouches.length;b<c;b++)d=a.changedTouches[b],d=this.findTouch(d.identifier),0<=d&&(this.trigger_index=this.touches[d].startindex,this.trigger_id=this.touches[d].id,this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,this),this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,this),this.touches.splice(d,1));this.runtime.isInUserInputEvent=!1};h.getAlpha=function(){return this.runtime.isAppMobi&&
0===this.orient_alpha&&0!==n?90*n:this.runtime.isPhoneGap&&0===this.orient_alpha&&0!==s?90*s:this.orient_alpha};h.getBeta=function(){return this.runtime.isAppMobi&&0===this.orient_beta&&0!==l?-90*l:this.runtime.isPhoneGap&&0===this.orient_beta&&0!==p?-90*p:this.orient_beta};h.getGamma=function(){return this.runtime.isAppMobi&&0===this.orient_gamma&&0!==r?90*r:this.runtime.isPhoneGap&&0===this.orient_gamma&&0!==f?90*f:this.orient_gamma};h.onMouseDown=function(a){a.preventDefault&&this.runtime.had_a_click&&
a.preventDefault();this.onTouchStart({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});this.mouseDown=!0};h.onMouseMove=function(a){a.preventDefault&&this.runtime.had_a_click&&a.preventDefault();if(this.mouseDown)this.onTouchMove({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]})};h.onMouseUp=function(a){a.preventDefault&&this.runtime.had_a_click&&a.preventDefault();this.runtime.had_a_click=!0;this.onTouchEnd({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});
this.mouseDown=!1};h.tick2=function(){var a,b,c,d=cr.performance_now();a=0;for(b=this.touches.length;a<b;a++)c=this.touches[a],c.time<=d-50&&(c.lasttime=d)};d.prototype.OnTouchStart=function(){return!0};d.prototype.OnTouchEnd=function(){return!0};d.prototype.IsInTouch=function(){return this.touches.length};d.prototype.OnTouchObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,this.curTouchX,this.curTouchY,!1):!1};d.prototype.IsTouchingObject=function(a){if(!a)return!1;var b=
a.getCurrentSol(),c=b.getObjects(),d,e,f=[],g,h,l,n;g=0;for(h=c.length;g<h;g++){var m=c[g];m.update_bbox();l=0;for(n=this.touches.length;l<n;l++)if(e=this.touches[l],d=m.layer.canvasToLayer(e.x,e.y,!0),e=m.layer.canvasToLayer(e.x,e.y,!1),m.contains_pt(d,e)){f.push(m);break}}return f.length?(b.select_all=!1,b.instances=f,a.applySolToContainer(),!0):!1};d.prototype.CompareTouchSpeed=function(a,b,c){a=Math.floor(a);if(0>a||a>=this.touches.length)return!1;var d=this.touches[a];a=cr.distanceTo(d.x,d.y,
d.lastx,d.lasty);var d=(d.time-d.lasttime)/1E3,e=0;0<d&&(e=a/d);return cr.do_cmp(e,b,c)};d.prototype.OrientationSupported=function(){return"undefined"!==typeof window.DeviceOrientationEvent};d.prototype.MotionSupported=function(){return"undefined"!==typeof window.DeviceMotionEvent};d.prototype.CompareOrientation=function(a,b,c){var d=0,d=0===a?this.getAlpha():1===a?this.getBeta():this.getGamma();return cr.do_cmp(d,b,c)};d.prototype.CompareAcceleration=function(a,b,c){var d=0;0===a?d=this.acc_g_x:
1===a?d=this.acc_g_y:2===a?d=this.acc_g_z:3===a?d=this.acc_x:4===a?d=this.acc_y:5===a&&(d=this.acc_z);return cr.do_cmp(d,b,c)};d.prototype.OnNthTouchStart=function(a){a=Math.floor(a);return a===this.trigger_index};d.prototype.OnNthTouchEnd=function(a){a=Math.floor(a);return a===this.trigger_index};d.prototype.HasNthTouch=function(a){a=Math.floor(a);return this.touches.length>=a+1};c.cnds=new d;e.prototype.TouchCount=function(a){a.set_int(this.touches.length)};e.prototype.X=function(a,b){if(this.touches.length){var c,
d,e,f,g;cr.is_undefined(b)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxX,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=f,c.angle=g):(c=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!0)):a.set_float(0)}else a.set_float(0)};
e.prototype.XAt=function(a,b,c){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxX,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=f,c.angle=g):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?
a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)):a.set_float(0)}};e.prototype.XForID=function(a,b,c){b=this.findTouch(b);if(0>b)a.set_float(0);else{b=this.touches[b];var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxX,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(b.x,b.y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=f,c.angle=g):(c=
cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(b.x,b.y,!0)):a.set_float(0)}};e.prototype.Y=function(a,b){if(this.touches.length){var c,d,e,f,g;cr.is_undefined(b)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxY,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!1)),c.scale=d,c.zoomRate=
e,c.parallaxY=f,c.angle=g):(c=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!1)):a.set_float(0)}else a.set_float(0)};e.prototype.YAt=function(a,b,c){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxY,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=
this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)),c.scale=d,c.zoomRate=e,c.parallaxY=f,c.angle=g):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)):a.set_float(0)}};e.prototype.YForID=function(a,b,c){b=this.findTouch(b);if(0>b)a.set_float(0);else{b=this.touches[b];var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,
f=c.parallaxY,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(b.x,b.y,!1)),c.scale=d,c.zoomRate=e,c.parallaxY=f,c.angle=g):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(b.x,b.y,!1)):a.set_float(0)}};e.prototype.AbsoluteX=function(a){this.touches.length?a.set_float(this.touches[0].x):a.set_float(0)};e.prototype.AbsoluteXAt=function(a,
b){b=Math.floor(b);0>b||b>=this.touches.length?a.set_float(0):a.set_float(this.touches[b].x)};e.prototype.AbsoluteXForID=function(a,b){var c=this.findTouch(b);0>c?a.set_float(0):a.set_float(this.touches[c].x)};e.prototype.AbsoluteY=function(a){this.touches.length?a.set_float(this.touches[0].y):a.set_float(0)};e.prototype.AbsoluteYAt=function(a,b){b=Math.floor(b);0>b||b>=this.touches.length?a.set_float(0):a.set_float(this.touches[b].y)};e.prototype.AbsoluteYForID=function(a,b){var c=this.findTouch(b);
0>c?a.set_float(0):a.set_float(this.touches[c].y)};e.prototype.SpeedAt=function(a,b){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var c=this.touches[b],d=cr.distanceTo(c.x,c.y,c.lastx,c.lasty),c=(c.time-c.lasttime)/1E3;0===c?a.set_float(0):a.set_float(d/c)}};e.prototype.SpeedForID=function(a,b){var c=this.findTouch(b);if(0>c)a.set_float(0);else{var d=this.touches[c],c=cr.distanceTo(d.x,d.y,d.lastx,d.lasty),d=(d.time-d.lasttime)/1E3;0===d?a.set_float(0):a.set_float(c/d)}};e.prototype.AngleAt=
function(a,b){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var c=this.touches[b];a.set_float(cr.to_degrees(cr.angleTo(c.lastx,c.lasty,c.x,c.y)))}};e.prototype.AngleForID=function(a,b){var c=this.findTouch(b);0>c?a.set_float(0):(c=this.touches[c],a.set_float(cr.to_degrees(cr.angleTo(c.lastx,c.lasty,c.x,c.y))))};e.prototype.Alpha=function(a){a.set_float(this.getAlpha())};e.prototype.Beta=function(a){a.set_float(this.getBeta())};e.prototype.Gamma=function(a){a.set_float(this.getGamma())};
e.prototype.AccelerationXWithG=function(a){a.set_float(this.acc_g_x)};e.prototype.AccelerationYWithG=function(a){a.set_float(this.acc_g_y)};e.prototype.AccelerationZWithG=function(a){a.set_float(this.acc_g_z)};e.prototype.AccelerationX=function(a){a.set_float(this.acc_x)};e.prototype.AccelerationY=function(a){a.set_float(this.acc_y)};e.prototype.AccelerationZ=function(a){a.set_float(this.acc_z)};e.prototype.TouchIndex=function(a){a.set_int(this.trigger_index)};e.prototype.TouchID=function(a){a.set_float(this.trigger_id)};
c.exps=new e})();cr.plugins_.UserMedia=function(a){this.runtime=a};
(function(){function a(){!y&&q&&(w=q.getVoices(),y=!0)}function b(){a();return w?w.length:0}function d(b){a();return!w||0>b||b>=w.length?null:w[b]}function e(){}function c(){}function h(){}var m=cr.plugins_.UserMedia.prototype;m.Type=function(a){this.plugin=a;this.runtime=a.runtime};var r=m.Type.prototype;r.onCreate=function(){};r.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){var a,b,c;a=0;for(b=this.instances.length;a<b;a++)c=this.instances[a],c.video_active&&0<=c.v.videoWidth&&
0<=c.v.videoHeight&&(c.webGL_texture=this.runtime.glwrap.createEmptyTexture(c.v.videoWidth,c.v.videoHeight,this.runtime.linearSampling))}};m.Instance=function(a){this.type=a;this.runtime=a.runtime};var r=m.Instance.prototype,l=navigator.getUserMedia||navigator.webkitGetUserMedia||navigator.mozGetUserMedia||navigator.msGetUserMedia,n=window.URL||window.webkitURL||window.mozURL||window.msURL,f=!1,p=!(!window.webkitSpeechRecognition&&!window.speechRecognition),s=-1,q=window.speechSynthesis||window.webkitSpeechSynthesis||
window.mozSpeechSynthesis||window.msSpeechSynthesis,v=window.SpeechSynthesisUtterance||window.webkitSpeechSynthesisUtterance||window.mozSpeechSynthesisUtterance||window.msSpeechSynthesisUtterance,w=null,y=!1;r.onCreate=function(){var a=this;if(this.v=document.createElement("video"))this.v.autoplay=!0,this.v.addEventListener("canplaythrough",function(){a.video_active&&(a.video_ready=!0)});cr.setGLBlend(this,0,this.runtime.gl);this.audio_active=this.video_active=!1;this.media_stream=null;this.runtime.tickMe(this);
this.snapshot_data="";this.webGL_texture=null;this.lastDecodedFrame=-1;this.video_ready=!1;this.speechRecognition=null;this.interimTranscript=this.finalTranscript="";this.isRecognisingSpeech=!1;this.lastSpeechError="";if(this.runtime.isWindows8App){var b=Windows.Devices.Sensors.LightSensor.getDefault();if(b){var c=b.minimumReportInterval;b.reportInterval=16<c?c:16;b.addEventListener("readingchanged",function(b){s=b.reading.illuminanceInLux;a.runtime.trigger(cr.plugins_.UserMedia.prototype.cnds.OnDeviceLight,
a)})}}else window.addEventListener("devicelight",function(b){s=b.value;a.runtime.trigger(cr.plugins_.UserMedia.prototype.cnds.OnDeviceLight,a)})};r.onDestroy=function(){this.media_stream&&(this.media_stream.stop(),this.media_stream=null,this.audio_active=this.video_ready=this.video_active=!1);this.runtime.glwrap&&this.webGL_texture&&(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};r.tick=function(){this.video_active&&this.video_ready&&(this.runtime.redraw=!0)};r.draw=
function(a){a.globalAlpha=this.opacity;a.save();a.fillStyle="#000";a.fillRect(this.x,this.y,this.width,this.height);if(this.video_active&&this.video_ready)try{a.drawImage(this.v,this.x,this.y,this.width,this.height)}catch(b){}a.restore()};r.drawGL=function(a){a.setBlend(this.srcBlend,this.destBlend);a.setOpacity(this.opacity);var b=this.bquad;if(!this.video_active||!this.video_ready||0>=this.v.videoWidth||0>=this.v.videoHeight)a.setTexture(null);else{this.webGL_texture||(this.webGL_texture=a.createEmptyTexture(this.v.videoWidth,
this.v.videoHeight,this.runtime.linearSampling));var c=this.v.webkitDecodedFrameCount||this.v.mozParsedFrames,d=!1;c?c>this.lastDecodedFrame&&(d=!0,this.lastDecodedFrame=c):d=!0;d&&a.videoToTexture(this.v,this.webGL_texture,this.runtime.linearSampling);a.setTexture(this.webGL_texture)}a.quad(b.tlx,b.tly,b.trx,b.try_,b.brx,b.bry,b.blx,b.bly)};e.prototype.OnApproved=function(){return!0};e.prototype.OnDeclined=function(){return!0};e.prototype.SupportsUserMedia=function(){return!!l};e.prototype.SupportsSpeechRecognition=
function(){return p};e.prototype.OnSpeechRecognitionStart=function(){return!0};e.prototype.OnSpeechRecognitionEnd=function(){return!0};e.prototype.OnSpeechRecognitionError=function(){return!0};e.prototype.OnSpeechRecognitionResult=function(){return!0};e.prototype.IsRecognisingSpeech=function(){return this.isRecognisingSpeech};e.prototype.OnDeviceLight=function(){return!0};e.prototype.SupportsSpeechSynthesis=function(){return!!q&&!!v};e.prototype.IsSpeaking=function(){return q&&q.speaking};m.cnds=
new e;c.prototype.RequestCamera=function(){if(!f&&l){f=!0;var a=this;l.call(navigator,{video:!0},function(b){a.media_stream=b;a.video_ready=!1;a.v.src=n.createObjectURL(b);a.video_active=!0;f=!1;a.lastDecodedFrame=-1;a.runtime.glwrap&&a.webGL_texture&&(a.runtime.glwrap.deleteTexture(a.webGL_texture),a.webGL_texture=null);a.runtime.trigger(cr.plugins_.UserMedia.prototype.cnds.OnApproved,a)},function(){f=!1;a.runtime.trigger(cr.plugins_.UserMedia.prototype.cnds.OnDeclined,a)})}};c.prototype.RequestMic=
function(a){if(!f&&l){f=!0;var b=this;l.call(navigator,{audio:!0},function(c){b.media_stream=c;window.c2OnAudioMicStream&&window.c2OnAudioMicStream(c,a);b.audio_active=!0;f=!1;b.runtime.trigger(cr.plugins_.UserMedia.prototype.cnds.OnApproved,b)},function(){f=!1;b.runtime.trigger(cr.plugins_.UserMedia.prototype.cnds.OnDeclined,b)})}};c.prototype.Stop=function(){this.media_stream&&(this.media_stream.stop(),this.media_stream=null,this.audio_active=this.video_ready=this.video_active=!1)};c.prototype.Snapshot=
function(a,b){if(this.video_active&&this.video_ready){var c=document.createElement("canvas");c.width=this.v.videoWidth;c.height=this.v.videoHeight;c.getContext("2d").drawImage(this.v,0,0,this.v.videoWidth,this.v.videoHeight);this.snapshot_data=c.toDataURL(0===a?"image/png":"image/jpeg",b/100)}};c.prototype.RequestSpeechRecognition=function(a,b,c){if(p){window.webkitSpeechRecognition?this.speechRecognition=new window.webkitSpeechRecognition:window.speechRecognition&&(this.speechRecognition=new window.speechRecognition);
this.speechRecognition.lang=a;this.speechRecognition.continuous=0===b;this.speechRecognition.interimResults=0===c;this.isRecognisingSpeech=!1;this.finalTranscript=this.interimTranscript="";var d=this;this.speechRecognition.onstart=function(){d.isRecognisingSpeech=!0;d.runtime.trigger(cr.plugins_.UserMedia.prototype.cnds.OnSpeechRecognitionStart,d)};this.speechRecognition.onend=function(){d.isRecognisingSpeech=!1;d.runtime.trigger(cr.plugins_.UserMedia.prototype.cnds.OnSpeechRecognitionEnd,d)};this.speechRecognition.onerror=
function(a){d.isRecognisingSpeech=!1;d.lastSpeechError=a.error||"unknown";d.runtime.trigger(cr.plugins_.UserMedia.prototype.cnds.OnSpeechRecognitionError,d)};this.speechRecognition.onresult=function(a){var b;d.interimTranscript="";for(b=a.resultIndex;b<a.results.length;++b)a.results[b].isFinal?d.finalTranscript+=a.results[b][0].transcript:d.interimTranscript+=a.results[b][0].transcript;d.runtime.trigger(cr.plugins_.UserMedia.prototype.cnds.OnSpeechRecognitionResult,d)};this.speechRecognition.start()}};
c.prototype.StepSpeechRecognition=function(){this.speechRecognition&&(this.speechRecognition.stop(),this.speechRecognition=null)};c.prototype.SpeakText=function(b,c,d,e,f,h){if(q&&v){b=new v(b);c&&(b.lang=c);if(d){a:{a();if(w){var l,n;c=0;for(l=w.length;c<l;++c)if(n=w[c],n.voiceURI===d){c=n;break a}}c=null}b.voice=c;b.voiceURI=d}d=Math.pow(10,e/20);0>d&&(d=0);1<d&&(d=1);b.volume=d;b.rate=f;b.pitch=h;q.speak(b)}};c.prototype.StopSpeaking=function(){q&&q.cancel()};c.prototype.PauseSpeaking=function(){q&&
q.pause()};c.prototype.ResumeSpeaking=function(){q&&q.resume()};m.acts=new c;h.prototype.VideoWidth=function(a){a.set_int(this.v?this.v.videoWidth:0)};h.prototype.VideoHeight=function(a){a.set_int(this.v?this.v.videoHeight:0)};h.prototype.SnapshotURL=function(a){a.set_string(this.snapshot_data)};h.prototype.FinalTranscript=function(a){a.set_string(this.finalTranscript)};h.prototype.InterimTranscript=function(a){a.set_string(this.interimTranscript)};h.prototype.SpeechError=function(a){a.set_string(this.lastSpeechError)};
h.prototype.AmbientLux=function(a){a.set_float(s)};h.prototype.VoiceCount=function(a){a.set_int(b())};h.prototype.VoiceNameAt=function(a,b){b=Math.floor(b);var c=d(b);a.set_string(c?c.name:"")};h.prototype.VoiceLangAt=function(a,b){b=Math.floor(b);var c=d(b);a.set_string(c?c.lang:"")};h.prototype.VoiceURIAt=function(a,b){b=Math.floor(b);var c=d(b);a.set_string(c?c.voiceURI:"")};m.exps=new h})();cr.plugins_.WebStorage=function(a){this.runtime=a};
(function(){function a(){l||(cr.logexport("[Construct 2] Webstorage plugin: session storage is not supported on this platform. Try using local storage or global variables instead."),l=!0)}function b(){}function d(){}function e(){}var c=cr.plugins_.WebStorage.prototype;c.Type=function(a){this.plugin=a;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a){this.type=a;this.runtime=a.runtime};var h=c.Instance.prototype,m="",r="undefined"!==typeof window.is_scirra_arcade;
r&&(m="arcade"+window.scirra_arcade_id);var l=!1;h.onCreate=function(){};b.prototype.LocalStorageEnabled=function(){return!0};b.prototype.SessionStorageEnabled=function(){return!0};b.prototype.LocalStorageExists=function(a){return null!=localStorage.getItem(m+a)};b.prototype.SessionStorageExists=function(b){return this.runtime.isCocoonJs||!sessionStorage?(a(),!1):null!=sessionStorage.getItem(m+b)};b.prototype.OnQuotaExceeded=function(){return!0};b.prototype.CompareKeyText=function(a,b,c){a=localStorage.getItem(m+
a)||"";return c?a==b:cr.equals_nocase(a,b)};b.prototype.CompareKeyNumber=function(a,b,c){a=localStorage.getItem(m+a)||"";return cr.do_cmp(parseFloat(a),b,c)};c.cnds=new b;d.prototype.StoreLocal=function(a,b){try{localStorage.setItem(m+a,b)}catch(c){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this)}};d.prototype.StoreSession=function(b,c){if(this.runtime.isCocoonJs||!sessionStorage)a();else try{sessionStorage.setItem(m+b,c)}catch(d){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,
this)}};d.prototype.RemoveLocal=function(a){localStorage.removeItem(m+a)};d.prototype.RemoveSession=function(b){this.runtime.isCocoonJs||!sessionStorage?a():sessionStorage.removeItem(m+b)};d.prototype.ClearLocal=function(){r||localStorage.clear()};d.prototype.ClearSession=function(){this.runtime.isCocoonJs||!sessionStorage?a():r||sessionStorage.clear()};d.prototype.JSONLoad=function(a,b){var c;try{c=JSON.parse(a)}catch(d){return}if(c.c2dictionary){c=c.data;0!==b||r||localStorage.clear();for(var e in c)if(c.hasOwnProperty(e))try{localStorage.setItem(m+
e,c[e])}catch(h){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this);break}}};c.acts=new d;e.prototype.LocalValue=function(a,b){a.set_string(localStorage.getItem(m+b)||"")};e.prototype.SessionValue=function(b,c){this.runtime.isCocoonJs||!sessionStorage?(a(),b.set_string("")):b.set_string(sessionStorage.getItem(m+c)||"")};e.prototype.LocalCount=function(a){a.set_int(r?0:localStorage.length)};e.prototype.SessionCount=function(b){this.runtime.isCocoonJs||!sessionStorage?
(a(),b.set_int(0)):b.set_int(r?0:sessionStorage.length)};e.prototype.LocalAt=function(a,b){r?a.set_string(""):a.set_string(localStorage.getItem(localStorage.key(b))||"")};e.prototype.SessionAt=function(b,c){this.runtime.isCocoonJs||!sessionStorage?(a(),b.set_string("")):r?b.set_string(""):b.set_string(sessionStorage.getItem(sessionStorage.key(c))||"")};e.prototype.LocalKeyAt=function(a,b){r?a.set_string(""):a.set_string(localStorage.key(b)||"")};e.prototype.SessionKeyAt=function(b,c){this.runtime.isCocoonJs||
!sessionStorage?(a(),b.set_string("")):r?b.set_string(""):b.set_string(sessionStorage.key(c)||"")};e.prototype.AsJSON=function(a){var b={},c,d,e;c=0;for(d=localStorage.length;c<d;c++)e=localStorage.key(c),r?e.substr(0,m.length)===m&&(b[e.substr(m.length)]=localStorage.getItem(e)):b[e]=localStorage.getItem(e);a.set_string(JSON.stringify({c2dictionary:!0,data:b}))};c.exps=new e})();
cr.plugins_.XML=function(a){this.runtime=a;this.runtime.isIE&&(a={},window.XPathResult=a,a.NUMBER_TYPE=1,a.STRING_TYPE=2,a.UNORDERED_NODE_SNAPSHOT_TYPE=6,a.ORDERED_NODE_SNAPSHOT_TYPE=7)};
(function(){function a(){}function b(){}function d(){}var e=cr.plugins_.XML.prototype;e.Type=function(a){this.plugin=a;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a){this.type=a;this.runtime=a.runtime};var c=e.Instance.prototype;c.onCreate=function(){this.xmlDoc=null;this.nodeStack=[];this.runtime.isDomFree&&cr.logexport("[Construct 2] The XML object is not supported on this platform.")};c.xpath_eval_one=function(a,b){if(this.xmlDoc){var c=this.nodeStack.length?
this.nodeStack[this.nodeStack.length-1]:this.xmlDoc.documentElement;try{return this.runtime.isIE?c.selectSingleNode(a):this.xmlDoc.evaluate(a,c,null,b,null)}catch(d){return null}}};c.xpath_eval_many=function(a,b){if(this.xmlDoc){var c=this.nodeStack.length?this.nodeStack[this.nodeStack.length-1]:this.xmlDoc.documentElement;try{return this.runtime.isIE?c.selectNodes(a):this.xmlDoc.evaluate(a,c,null,b,null)}catch(d){return null}}};c.doForEachIteration=function(a,b){this.nodeStack.push(b);this.runtime.pushCopySol(a.solModifiers);
a.retrigger();this.runtime.popSol(a.solModifiers);this.nodeStack.pop()};a.prototype.ForEach=function(a){if(this.runtime.isDomFree)return!1;var b=this.runtime.getCurrentEventStack().current_event;a=this.xpath_eval_many(a,XPathResult.ORDERED_NODE_SNAPSHOT_TYPE);var c,d;if(a){var e=this.runtime.pushLoopStack();if(this.runtime.isIE)for(c=0,d=a.length;c<d;c++)e.index=c,this.doForEachIteration(b,a[c]);else for(c=0,d=a.snapshotLength;c<d;c++)e.index=c,this.doForEachIteration(b,a.snapshotItem(c));this.runtime.popLoopStack()}return!1};
e.cnds=new a;b.prototype.Load=function(a){if(!this.runtime.isDomFree){var b,c,d=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);try{if(d)b=new Windows.Data.Xml.Dom.XmlDocument,b.loadXml(a);else if(this.runtime.isIE){c=["MSXML2.DOMDocument.6.0","MSXML2.DOMDocument.3.0","MSXML2.DOMDocument"];for(var e=0;3>e;e++)try{if(b=new ActiveXObject(c[e]))break}catch(f){b=null}b&&(b.async="false",b.loadXML(a))}else c=new DOMParser,b=c.parseFromString(a,"text/xml")}catch(p){b=null}b&&(this.xmlDoc=
b,this.runtime.isIE&&!d&&this.xmlDoc.setProperty("SelectionLanguage","XPath"))}};e.acts=new b;d.prototype.NumberValue=function(a,b){if(this.runtime.isDomFree)a.set_int(0);else{var c=this.xpath_eval_one(b,XPathResult.NUMBER_TYPE);c?this.runtime.isIE?a.set_int(parseInt(c.nodeValue,10)):a.set_int(c.numberValue||0):a.set_int(0)}};d.prototype.StringValue=function(a,b){if(this.runtime.isDomFree)a.set_string("");else{var c;if(/firefox/i.test(navigator.userAgent))if(c=this.xpath_eval_one(b,XPathResult.ORDERED_NODE_SNAPSHOT_TYPE)){var d,
e,f="";d=0;for(e=c.snapshotLength;d<e;d++)f+=c.snapshotItem(d).textContent;a.set_string(f)}else a.set_string("");else(c=this.xpath_eval_one(b,XPathResult.STRING_TYPE))?this.runtime.isIE?a.set_string(c.nodeValue||""):a.set_string(c.stringValue||""):a.set_string("")}};d.prototype.NodeCount=function(a,b){if(this.runtime.isDomFree)a.set_int(0);else{var c=this.xpath_eval_many(b,XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE);c?this.runtime.isIE?a.set_int(c.length||0):a.set_int(c.snapshotLength||0):a.set_int(0)}};
e.exps=new d})();cr.behaviors.Fade=function(a){this.runtime=a};
(function(){function a(){}function b(){}var d=cr.behaviors.Fade.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var e=d.Instance.prototype;e.onCreate=function(){var a=1===this.properties[0];this.fadeInTime=this.properties[1];this.waitTime=this.properties[2];this.fadeOutTime=this.properties[3];this.destroy=this.properties[4];
this.stage=a?0:3;this.recycled?this.stageTime.reset():this.stageTime=new cr.KahanAdder;this.maxOpacity=this.inst.opacity?this.inst.opacity:1;a&&(0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0))};e.saveToJSON=function(){return{fit:this.fadeInTime,wt:this.waitTime,fot:this.fadeOutTime,s:this.stage,st:this.stageTime.sum,mo:this.maxOpacity}};e.loadFromJSON=function(a){this.fadeInTime=a.fit;this.waitTime=a.wt;this.fadeOutTime=a.fot;this.stage=
a.s;this.stageTime.reset();this.stageTime.sum=a.st;this.maxOpacity=a.mo};e.tick=function(){this.stageTime.add(this.runtime.getDt(this.inst));0===this.stage&&(this.inst.opacity=this.stageTime.sum/this.fadeInTime*this.maxOpacity,this.runtime.redraw=!0,this.inst.opacity>=this.maxOpacity&&(this.inst.opacity=this.maxOpacity,this.stage=1,this.stageTime.reset()));1===this.stage&&this.stageTime.sum>=this.waitTime&&(this.stage=2,this.stageTime.reset());2===this.stage&&0!==this.fadeOutTime&&(this.inst.opacity=
this.maxOpacity-this.stageTime.sum/this.fadeOutTime*this.maxOpacity,this.runtime.redraw=!0,0>this.inst.opacity&&(this.inst.opacity=0,this.stage=3,this.stageTime.reset(),this.runtime.trigger(cr.behaviors.Fade.prototype.cnds.OnFadeOutEnd,this.inst),1===this.destroy&&this.runtime.DestroyInstance(this.inst)))};e.doStart=function(){this.stage=0;this.stageTime.reset();0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0)};a.prototype.OnFadeOutEnd=
function(){return!0};d.cnds=new a;b.prototype.StartFade=function(){3===this.stage&&this.doStart()};b.prototype.RestartFade=function(){this.doStart()};d.acts=new b})();cr.behaviors.solid=function(a){this.runtime=a};
(function(){function a(){}function b(){}var d=cr.behaviors.solid.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var e=d.Instance.prototype;e.onCreate=function(){this.inst.extra.solidEnabled=0!==this.properties[0]};e.tick=function(){};a.prototype.IsEnabled=function(){return this.inst.extra.solidEnabled};d.cnds=new a;b.prototype.SetEnabled=
function(a){this.inst.extra.solidEnabled=!!a};d.acts=new b})();
cr.getProjectModel=function(){return[null,null,[[cr.plugins_.CJSAds,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.AJAX,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Arr,!1,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Audio,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Function,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Browser,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Sprite,!1,!0,!0,!0,!0,!0,!0,!0,!1],[cr.plugins_.Spritefont2,!1,!0,!0,!0,!0,!0,!0,!0,!0],[cr.plugins_.Text,!1,!0,!0,!0,!0,!0,!0,!0,!1],[cr.plugins_.TextBox,
!1,!0,!0,!0,!1,!1,!1,!1,!1],[cr.plugins_.TiledBg,!1,!0,!0,!0,!0,!0,!0,!0,!0],[cr.plugins_.Touch,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.UserMedia,!1,!0,!0,!0,!1,!0,!0,!0,!1],[cr.plugins_.WebStorage,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.XML,!1,!1,!1,!1,!1,!1,!1,!1,!1]],[["t0",cr.plugins_.WebStorage,!1,[],0,0,null,null,[],!1,!1,8127541686902035,[],null,[]],["t1",cr.plugins_.Touch,!1,[],0,0,null,null,[],!1,!1,0xeaf3f7c23ba6e,[],null,[1]],["t2",cr.plugins_.Browser,!1,[],0,0,null,null,[],!1,!1,0x401af03d86ef5,
[],null,[]],["t3",cr.plugins_.Audio,!1,[],0,0,null,null,[],!1,!1,8172215149408547,[],null,[0,0,1,1,600,600,1E4,1,5E3,1]],["t4",cr.plugins_.CJSAds,!1,[],0,0,null,null,[],!1,!1,0xdef1cd13dd7e,[],null,[0,1]],["t5",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground.png",469,1],null,[],!1,!1,7936267686921009,[],null],["t6",cr.plugins_.TextBox,!1,[],0,0,null,null,[],!1,!1,0xad0ef3e4259fa,[],null],["t7",cr.plugins_.Text,!1,[],2,0,null,null,[["Solid",cr.behaviors.solid,6579448746628226],["Fade",cr.behaviors.Fade,
0x7d1b3d2f63534]],!1,!1,0x8d16696f1aa3,[],null],["t8",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5851109905595348,[["playerstarship-sheet0.png",12836,0,0,136,92,1,0.5,0.5,[],[],0]]]],[["Solid",cr.behaviors.solid,7407502641241485]],!1,!1,9718927069503492,[],null],["t9",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7503101718809303,[["playerstarship2-sheet0.png",12476,0,0,136,92,1,0.5,0.5,[],[0.5,0.5,-0.5,0.5,-0.5,-0.5,0.5,-0.5],0]]]],[["Solid",cr.behaviors.solid,540701284783237]],
!1,!1,5497934416370975,[],null],["t10",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xb148431a3a00f,[["sprite2-sheet0.png",3470,0,0,69,27,1,0.5072463750839233,0.5185185074806213,[],[-0.4347825646400452,-0.3333334922790527,-0.01449236273765564,-0.4074075222015381,0.4347826242446899,-0.3703705072402954,0.4492756128311157,0.3703705072402954,-0.01449236273765564,0.4074074625968933,-0.4347825646400452,0.2962964773178101,-0.4492753744125366,-0.03703752160072327],0]]]],[],!1,!1,6885302994605816,
[],null],["t11",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,0,0,!1,0x9f94b68595099,[["playbutton-sheet0.png",35750,1,117,262,115,1,0.5,0.5043478012084961,[],[-0.4274809062480927,-0.3391308188438416,0,-0.3565217852592468,0.4236639738082886,-0.3304347991943359,0.4503819942474365,-0.008695811033248901,0.4236639738082886,0.3217391967773438,0,0.3478261828422546,-0.4274809062480927,0.3304352164268494,-0.4389312863349915,-0.008695811033248901],0],["playbutton-sheet0.png",35750,1,1,300,115,1,0.5,0.5043478012084961,
[],[-0.4600000083446503,-0.3999997973442078,0,-0.4260869026184082,0.449999988079071,-0.3739128112792969,0.463333010673523,-0.008695811033248901,0.449999988079071,0.3652172088623047,0,0.4173911809921265,-0.4600000083446503,0.3913041949272156,-0.4733332991600037,-0.008695811033248901],0]]]],[],!1,!1,0xd205a105ccc31,[],null],["t12",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,0xa648d4b912f1d,[["title-sheet0.png",7302,0,0,278,96,1,0.5,0.5,[],[-0.4676259160041809,-0.40625,0,-0.03125,0.4496399760246277,
-0.3541669845581055,0.4856110215187073,0,0.3776980042457581,0.1458330154418945,0,0.375,-0.3776980042457581,0.1458330154418945,-0.4352518022060394,0],0]]]],[["Solid",cr.behaviors.solid,0xe9ffa0eed49ab],["Fade",cr.behaviors.Fade,9916084083728108]],!1,!1,5720784747454457,[],null],["t13",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,0,0,!1,7145323480349025,[["playbutton-sheet0.png",35750,1,117,262,115,1,0.5,0.5043478012084961,[],[-0.4274809062480927,-0.3391308188438416,0,-0.3565217852592468,0.4236639738082886,
-0.3304347991943359,0.4503819942474365,-0.008695811033248901,0.4236639738082886,0.3217391967773438,0,0.3478261828422546,-0.4274809062480927,0.3304352164268494,-0.4389312863349915,-0.008695811033248901],0],["playbutton-sheet0.png",35750,1,1,300,115,1,0.5,0.5043478012084961,[],[-0.4600000083446503,-0.3999997973442078,0,-0.4260869026184082,0.449999988079071,-0.3739128112792969,0.463333010673523,-0.008695811033248901,0.449999988079071,0.3652172088623047,0,0.4173911809921265,-0.4600000083446503,0.3913041949272156,
-0.4733332991600037,-0.008695811033248901],0]]]],[],!1,!1,5737328431355522,[],null],["t14",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,70434004905937,[],null],["t15",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5266017145785148,[["questionpanel-sheet0.png",90386,0,0,1126,328,1,0.5,0.5,[],[-0.4955595135688782,-0.4847561120986939,0.4955599904060364,-0.4847561120986939,0.4964479804039002,0.4878050088882446,-0.4964475929737091,0.4878050088882446],0]]]],[["Solid",cr.behaviors.solid,5715413701657993]],
!1,!1,9556279641895904,[],null],["t16",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9349597999197536,[["mediumgameselect-sheet0.png",660,0,0,414,120,1,0.5,0.5,[],[-0.4541063010692596,-0.3416669964790344,0,-0.3583329916000366,0.4516909718513489,-0.3333330154418945,0.4710140228271484,0,0.4565219879150391,0.3500000238418579,0,0.3999999761581421,-0.4613527059555054,0.3666669726371765,-0.4758453965187073,0],0]]]],[],!1,!1,652518588904675,[],null],["t17",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",
5,!1,1,0,!1,6560660643968412,[["mediumgameselect-sheet0.png",660,0,0,414,120,1,0.5,0.5,[],[-0.4541063010692596,-0.3416669964790344,0,-0.3583329916000366,0.4516909718513489,-0.3333330154418945,0.4710140228271484,0,0.4565219879150391,0.3500000238418579,0,0.3999999761581421,-0.4613527059555054,0.3666669726371765,-0.4758453965187073,0],0]]]],[],!1,!1,0xf4e15cf79680,[],null],["t18",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8996397742113952,[["mediumgameselect-sheet0.png",660,0,0,414,120,
1,0.5,0.5,[],[-0.4541063010692596,-0.3416669964790344,0,-0.3583329916000366,0.4516909718513489,-0.3333330154418945,0.4710140228271484,0,0.4565219879150391,0.3500000238418579,0,0.3999999761581421,-0.4613527059555054,0.3666669726371765,-0.4758453965187073,0],0]]]],[],!1,!1,0xb1c3a641ba76c,[],null],["t19",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6147222802630251,[["insanegameselect-sheet0.png",588,0,0,414,120,1,0.5,0.5,[],[-0.4541063010692596,-0.3416669964790344,0,-0.3583329916000366,
0.4516909718513489,-0.3333330154418945,0.4710140228271484,0,0.4565219879150391,0.3500000238418579,0,0.3999999761581421,-0.4613527059555054,0.3666669726371765,-0.4758453965187073,0],0]]]],[],!1,!1,4939130991933983,[],null],["t20",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,4818571923743287,[],null],["t21",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,4689552537113827,[],null],["t22",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,0x4e2a2b2278b0b,[],null],["t23",cr.plugins_.Text,!1,[],0,0,null,null,
[],!1,!1,6808569426708958,[],null],["t24",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,5257440972431536,[],null],["t25",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,0x80d0176ddbe53,[],null],["t26",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,6977456641534441,[],null],["t27",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,0xc3dfcb1a6b1b2,[],null],["t28",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,8739923424257285,[],null],["t29",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,6334221700729583,[],
null],["t30",cr.plugins_.XML,!1,[],0,0,null,null,[],!0,!1,5379849603820125,[],null],["t31",cr.plugins_.Text,!1,[708878670396843],0,0,null,null,[],!1,!1,8564073296330836,[],null],["t32",cr.plugins_.AJAX,!1,[],0,0,null,null,[],!1,!1,9300520940012906,[],null,[]],["t33",cr.plugins_.Function,!1,[],0,0,null,null,[],!1,!1,0x76d68cf2b06f9,[],null,[]],["t34",cr.plugins_.Spritefont2,!1,[],0,0,["spritefont.png",1427,3],null,[],!1,!1,9695401970235278,[],null],["t35",cr.plugins_.TextBox,!1,[],0,0,null,null,[],
!1,!1,8918165502031632,[],null],["t36",cr.plugins_.Arr,!1,[],0,0,null,null,[],!0,!1,0xe2908d69edede,[],null],["t37",cr.plugins_.Arr,!1,[],0,0,null,null,[],!0,!1,9926744442945812,[],null],["t38",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,0x9121dd137ccfe,[],null],["t39",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,7190920353583209,[],null],["t40",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,6091678677383299,[],null],["t41",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6268394946775478,
[["mediumgameselect-sheet0.png",660,0,0,414,120,1,0.5,0.5,[],[-0.4541063010692596,-0.3416669964790344,0,-0.3583329916000366,0.4516909718513489,-0.3333330154418945,0.4710140228271484,0,0.4565219879150391,0.3500000238418579,0,0.3999999761581421,-0.4613527059555054,0.3666669726371765,-0.4758453965187073,0],0]]]],[],!1,!1,0x49215b37d86f2,[],null],["t42",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9570951958727022,[["mediumgameselect-sheet0.png",660,0,0,414,120,1,0.5,0.5,[],[-0.4541063010692596,
-0.3416669964790344,0,-0.3583329916000366,0.4516909718513489,-0.3333330154418945,0.4710140228271484,0,0.4565219879150391,0.3500000238418579,0,0.3999999761581421,-0.4613527059555054,0.3666669726371765,-0.4758453965187073,0],0]]]],[],!1,!1,840515094628776,[],null],["t43",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5047332469416286,[["mediumgameselect-sheet0.png",660,0,0,414,120,1,0.5,0.5,[],[-0.4541063010692596,-0.3416669964790344,0,-0.3583329916000366,0.4516909718513489,-0.3333330154418945,
0.4710140228271484,0,0.4565219879150391,0.3500000238418579,0,0.3999999761581421,-0.4613527059555054,0.3666669726371765,-0.4758453965187073,0],0]]]],[],!1,!1,6788586300890135,[],null],["t44",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xb4bb9811e3c11,[["mediumgameselect-sheet0.png",660,0,0,414,120,1,0.5,0.5,[],[-0.4541063010692596,-0.3416669964790344,0,-0.3583329916000366,0.4516909718513489,-0.3333330154418945,0.4710140228271484,0,0.4565219879150391,0.3500000238418579,0,0.3999999761581421,
-0.4613527059555054,0.3666669726371765,-0.4758453965187073,0],0]]]],[],!1,!1,8068757182548942,[],null],["t45",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,5799035261511489,[],null],["t46",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,4828575740186718,[],null],["t47",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,8383613372858166,[],null],["t48",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,7614859803664565,[],null],["t49",cr.plugins_.Sprite,!1,[5975459338597373],0,0,null,[["Default",10,!0,10,0,!1,
0xba08433ec74,[["correct-sheet0.png",15663,0,0,754,230,1,0.4933687150478363,-0.2130434811115265,[],[-0.4734748005867004,0.2782608866691589,0.006631284952163696,0.2521738708019257,0.4867372810840607,0.2782608866691589,0.4867372810840607,1.147826433181763,0.006631284952163696,1.173913478851318,-0.4734748005867004,1.147826433181763],0]]]],[],!0,!1,6462940495824695,[],null],["t50",cr.plugins_.Sprite,!1,[0x39ce8c1a74c2f],0,0,null,[["Default",5,!1,1,0,!1,6252964870215822,[["wrong-sheet0.png",16112,0,0,
754,230,1,0.5026525259017944,-0.2043478190898895,[],[-0.4721485376358032,0.3043478131294251,-0.002652525901794434,0.2521739304065704,0.4734745025634766,0.2826087176799774,0.4734745025634766,1.126086831092835,-0.002652525901794434,1.156521797180176,-0.4721485376358032,1.104347825050354],0]]]],[],!0,!1,9202946190574714,[],null],["t51",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x4d2a6171a7e42,[["logo-sheet0.png",3943,0,0,339,47,1,-51.1946907043457,-319.1276550292969,[],[],1]]]],[],!1,
!1,0xb5910f2bda347,[],null],["t52",cr.plugins_.Arr,!1,[],0,0,null,null,[],!0,!1,9474812541390568,[],null],["t53",cr.plugins_.Text,!1,[0x7c0f4a20dcef5],0,0,null,null,[],!1,!1,0x796b0179a81d0,[],null],["t54",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,284173758683817,[],null],["t55",cr.plugins_.Text,!1,[8530461189841219],0,0,null,null,[],!1,!1,5220443989837674,[],null],["t56",cr.plugins_.Text,!1,[0xb908d50ee1ed3],0,0,null,null,[],!1,!1,5834740282656421,[],null],["t57",cr.plugins_.Sprite,!1,[],0,0,
null,[["Default",5,!1,1,0,!1,346144278639756,[["sprite3-sheet0.png",81747,0,0,1279,380,1,0.5003909468650818,0.5,[],[-0.4433151483535767,-0.3078950047492981,-7.819533348083496E-4,-0.3552629947662354,0.3377640247344971,0.04473698139190674,-0.3275999426841736,0,0.4691160321235657,0.3973680138587952,-7.819533348083496E-4,-0.07368400692939758,-0.4691165387630463,0.3947370052337647,-0.4433151483535767,0],0]]]],[],!1,!1,660752991926752,[],null],["t58",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,
0,!1,6861107371642781,[["lowestwineasy-sheet0.png",204906,0,0,1586,919,1,0.5006304979324341,0.5016322135925293,[],[-0.5006304979324341,-0.5016322135925293,0.4993695020675659,-0.5016322135925293,-0.3568724989891052,-0.002176225185394287,0.104035496711731,-0.1838952004909515,-6.30497932434082E-4,-0.1838952004909515,-0.5006304979324341,0.4983677864074707],0]]]],[],!1,!1,0x627fc33349631,[],null],["t59",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,6757272461990682,[],null],["t60",cr.plugins_.Text,!1,
[8701153049532382],0,0,null,null,[],!1,!1,5855279347975973,[],null],["t61",cr.plugins_.Text,!1,[407000086397382],0,0,null,null,[],!1,!1,0x584f8a76d2951,[],null],["t62",cr.plugins_.Text,!1,[4546940057399501],0,0,null,null,[],!1,!1,7758985931109483,[],null],["t63",cr.plugins_.Text,!1,[0xad46c28357dcd],0,0,null,null,[],!1,!1,0x8bb78ed726629,[],null],["t64",cr.plugins_.Text,!1,[960564516688628],0,0,null,null,[],!1,!1,316967425187753,[],null],["t65",cr.plugins_.Text,!1,[7820308008949219],0,0,null,null,
[],!1,!1,435820073940605,[],null],["t66",cr.plugins_.UserMedia,!1,[],0,0,null,null,[],!1,!1,534312397217428,[],null],["t67",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7654277950743795,[["back-sheet0.png",4688,0,0,163,96,1,0.5030674934387207,0.5,[],[-0.4171778857707977,-0.3541669845581055,-0.006134480237960815,-0.3854169845581055,0.4233124852180481,-0.375,0.4723924994468689,0,0.4294475317001343,0.3854169845581055,-0.006134480237960815,0.40625,-0.4294478893280029,0.375,-0.4539876878261566,
0],0]]]],[],!1,!1,5337934074482399,[],null],["t68",cr.plugins_.Arr,!1,[],0,0,null,null,[],!0,!1,5361719175858056,[],null],["t69",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,5536221103628778,[],null],["t70",cr.plugins_.Sprite,!1,[808766290835037,5611577374910155],0,1,null,[["Default",5,!1,1,0,!1,9998866246457504,[["correct-sheet0.png",15663,0,0,754,230,1,0.4933687150478363,-0.2130434811115265,[],[-0.4734748005867004,0.2782608866691589,0.006631284952163696,0.2521738708019257,0.4867372810840607,0.2782608866691589,
0.4867372810840607,1.147826433181763,0.006631284952163696,1.173913478851318,-0.4734748005867004,1.147826433181763],0]]]],[],!0,!1,0xa0d4284e64d49,[["pulse","Pulse"]],null],["t71",cr.plugins_.Sprite,!1,[0xa12928ceaefde,5555104893774277],0,1,null,[["Default",5,!1,1,0,!1,6392709129744228,[["correct-sheet0.png",15663,0,0,754,230,1,0.4933687150478363,-0.2130434811115265,[],[-0.4734748005867004,0.2782608866691589,0.006631284952163696,0.2521738708019257,0.4867372810840607,0.2782608866691589,0.4867372810840607,
1.147826433181763,0.006631284952163696,1.173913478851318,-0.4734748005867004,1.147826433181763],0]]]],[],!0,!1,4772593047750811,[["pulse","Pulse"]],null],["t72",cr.plugins_.Sprite,!1,[6260543123443254],0,0,null,[["Default",5,!1,1,0,!1,0xf27f06ce13f7f,[["correct-sheet0.png",15663,0,0,754,230,1,0.4933687150478363,-0.2130434811115265,[],[-0.4734748005867004,0.2782608866691589,0.006631284952163696,0.2521738708019257,0.4867372810840607,0.2782608866691589,0.4867372810840607,1.147826433181763,0.006631284952163696,
1.173913478851318,-0.4734748005867004,1.147826433181763],0]]]],[],!0,!1,5462761264107686,[],null],["t73",cr.plugins_.Sprite,!1,[7544113854595378],0,0,null,[["Default",5,!1,1,0,!1,6225884195842938,[["wrong-sheet0.png",16112,0,0,754,230,1,0.5026525259017944,-0.2043478190898895,[],[-0.4721485376358032,0.3043478131294251,-0.002652525901794434,0.2521739304065704,0.4734745025634766,0.2826087176799774,0.4734745025634766,1.126086831092835,-0.002652525901794434,1.156521797180176,-0.4721485376358032,1.104347825050354],
0]]]],[],!0,!1,4574174994609403,[],null],["t74",cr.plugins_.Text,!1,[9063308622986986],0,0,null,null,[],!1,!1,8612138054905581,[],null],["t75",cr.plugins_.Text,!1,[416502363376181],0,0,null,null,[],!1,!1,7904655798163586,[],null],["t76",cr.plugins_.Text,!1,[6469505464802538],0,0,null,null,[],!1,!1,6553409299940782,[],null],["t77",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4573153923853278,[["lowestwineasy-sheet0.png",204906,0,0,1586,919,1,0.5006304979324341,0.5016322135925293,[],[-0.5006304979324341,
-0.5016322135925293,0.4993695020675659,-0.5016322135925293,-0.3568724989891052,-0.002176225185394287,0.104035496711731,-0.1838952004909515,-6.30497932434082E-4,-0.1838952004909515,-0.5006304979324341,0.4983677864074707],0]]]],[],!1,!1,7688153311131675,[],null],["t78",cr.plugins_.Spritefont2,!1,[],0,0,["spritefont.png",1427,3],null,[],!1,!1,4574481327662555,[],null],["t79",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x756a81ce4e1b4,[["sprite-sheet0.png",168,0,0,250,250,1,0.5,0.5,[],[],
3]]]],[],!1,!1,6936831038811671,[],null],["t80",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5220539326603351,[["lowestwineasy-sheet0.png",204906,0,0,1586,919,1,0.5006304979324341,0.5016322135925293,[],[-0.5006304979324341,-0.5016322135925293,0.4993695020675659,-0.5016322135925293,-0.3568724989891052,-0.002176225185394287,0.104035496711731,-0.1838952004909515,-6.30497932434082E-4,-0.1838952004909515,-0.5006304979324341,0.4983677864074707],0]]]],[],!1,!1,0x6061dadc860d9,[],null],["t81",
cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x75f69bb90b4dd,[["lowestwineasy-sheet0.png",204906,0,0,1586,919,1,0.5006304979324341,0.5016322135925293,[],[-0.5006304979324341,-0.5016322135925293,0.4993695020675659,-0.5016322135925293,-0.3568724989891052,-0.002176225185394287,0.104035496711731,-0.1838952004909515,-6.30497932434082E-4,-0.1838952004909515,-0.5006304979324341,0.4983677864074707],0]]]],[],!1,!1,5846463849805437,[],null],["t82",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",
5,!1,1,0,!1,6394457355993068,[["higherwin-sheet0.png",1512,0,0,1586,919,1,0.5006304979324341,0.5016322135925293,[],[-0.4974779188632965,-0.4961915016174316,0.4962164759635925,-0.4961915016174316,0.4968475103378296,0.4940147995948792,-0.4981084167957306,0.4940147995948792],1]]]],[],!1,!1,8815284614064571,[],null],["t83",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4631866479764532,[["lowestwineasy-sheet0.png",204906,0,0,1586,919,1,0.5006304979324341,0.5016322135925293,[],[-0.5006304979324341,
-0.5016322135925293,0.4993695020675659,-0.5016322135925293,-0.3568724989891052,-0.002176225185394287,0.104035496711731,-0.1838952004909515,-6.30497932434082E-4,-0.1838952004909515,-0.5006304979324341,0.4983677864074707],0]]]],[],!1,!1,5512348065257603,[],null],["t84",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9560427159495856,[["lowestwineasy-sheet0.png",204906,0,0,1586,919,1,0.5006304979324341,0.5016322135925293,[],[-0.5006304979324341,-0.5016322135925293,0.4993695020675659,-0.5016322135925293,
-0.3568724989891052,-0.002176225185394287,0.104035496711731,-0.1838952004909515,-6.30497932434082E-4,-0.1838952004909515,-0.5006304979324341,0.4983677864074707],0]]]],[],!1,!1,0x55211617587b5,[],null],["t85",cr.plugins_.Sprite,!1,[0xb6c90f4629961],0,0,null,[["Default",5,!1,1,0,!1,4740028227627723,[["correct-sheet0.png",15663,0,0,754,230,1,0.4933687150478363,-0.2130434811115265,[],[-0.4734748005867004,0.2782608866691589,0.006631284952163696,0.2521738708019257,0.4867372810840607,0.2782608866691589,
0.4867372810840607,1.147826433181763,0.006631284952163696,1.173913478851318,-0.4734748005867004,1.147826433181763],0]]]],[],!0,!1,9247343362424284,[],null],["t86",cr.plugins_.Sprite,!1,[9577179733702560],0,0,null,[["Default",5,!1,1,0,!1,0x6919a63d2235c,[["correct-sheet0.png",15663,0,0,754,230,1,0.4933687150478363,-0.2130434811115265,[],[-0.4734748005867004,0.2782608866691589,0.006631284952163696,0.2521738708019257,0.4867372810840607,0.2782608866691589,0.4867372810840607,1.147826433181763,0.006631284952163696,
1.173913478851318,-0.4734748005867004,1.147826433181763],0]]]],[],!0,!1,7021813959618463,[],null],["t87",cr.plugins_.Sprite,!1,[6496619120026726],0,0,null,[["Default",5,!1,1,0,!1,0xbbcb3753e562d,[["correct-sheet0.png",15663,0,0,754,230,1,0.4933687150478363,-0.2130434811115265,[],[-0.4734748005867004,0.2782608866691589,0.006631284952163696,0.2521738708019257,0.4867372810840607,0.2782608866691589,0.4867372810840607,1.147826433181763,0.006631284952163696,1.173913478851318,-0.4734748005867004,1.147826433181763],
0]]]],[],!0,!1,8835947088525717,[],null],["t88",cr.plugins_.Sprite,!1,[0xd82c6093b5cb6],0,0,null,[["Default",5,!1,1,0,!1,0x45bd8dd1e0a59,[["wrong-sheet0.png",16112,0,0,754,230,1,0.5026525259017944,-0.2043478190898895,[],[-0.4721485376358032,0.3043478131294251,-0.002652525901794434,0.2521739304065704,0.4734745025634766,0.2826087176799774,0.4734745025634766,1.126086831092835,-0.002652525901794434,1.156521797180176,-0.4721485376358032,1.104347825050354],0]]]],[],!0,!1,6846958876163028,[],null],["t89",
cr.plugins_.Text,!1,[9809638022882712],0,0,null,null,[],!1,!1,9256730009177594,[],null],["t90",cr.plugins_.Text,!1,[9512166066034882],0,0,null,null,[],!1,!1,6071137585161378,[],null],["t91",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,0xc9ff906424231,[],null],["t92",cr.plugins_.Text,!1,[0xa519d943d3171],0,0,null,null,[],!1,!1,6121812148098432,[],null],["t93",cr.plugins_.Arr,!1,[],0,0,null,null,[],!0,!1,6692458455323012,[],null],["t94",cr.plugins_.Arr,!1,[],0,0,null,null,[],!0,!1,7302597234865539,
[],null],["t95",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5822504734574016,[["sprite4-sheet0.png",219627,0,0,1586,919,1,0.5,0.5005440711975098,[],[-0.5,-0.5005440711975098,0.5,-0.5005440711975098,-0.3562420010566711,-0.001088082790374756,0.3688520193099976,0.2731229066848755,0,0.1577799320220947,-0.5,0.4994559288024902],0]]]],[],!1,!1,6093650880833841,[],null]],[],[["Start Game",720,1280,!1,"Code - Start Game",0xd416aea1345de,[["UI",0,0x3c3768438dda9,!0,[255,255,255],!0,1,1,1,!1,1,
0,0,[[[369,640,0,975.748291015625,1864.116088867188,0,0,1,0.5,0.5,0,0,[]],5,97,[],[],[0,1]],[[375,281,0,552,209,0,0,1,0.5,0.5,0,0,[]],12,98,[],[[1],[1,2,1E8,0,1]],[0,"Default",0,1]],[[397,1425,0,200,30,0,0,1,0,0,0,0,[]],14,99,[],[],["",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["SelectLevel",1,0xf304a99139cac,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[369,771,0,656,267,0,0,1,0.5,0.5,0,0,[]],16,111,[],[],[0,"Default",0,1]],[[1408,713,0,656,267,0,0,1,0.5,0.5,0,0,[]],17,112,[],[],[0,"Default",0,1]],[[369,
547,0,656,267,0,0,1,0.5,0.5,0,0,[]],18,113,[],[],[0,"Default",0,1]],[[369,997,0,656,267,0,0,1,0.5,0.5,0,0,[]],19,114,[],[],[0,"Default",0,1]],[[88,479,0,562,115,0,0,1,0,0,0,0,[]],21,115,[],[],["EASY GAME",0,"bold 48pt Arial Narrow","rgb(153,0,0)",1,0,0,0,0]],[[75,697,0,589,124,0,0,1,0,0,0,0,[]],22,116,[],[],["MEDIUM GAME",0,"bold 48pt Arial Narrow","rgb(153,0,0)",1,0,0,0,0]],[[1167,642,0,482,104,0,0,1,0,0,0,0,[]],23,117,[],[],["HARD GAME",0,"bold 48pt Arial Narrow","rgb(153,0,0)",1,0,0,0,0]],[[117,
920,0,504,94,0,0,1,0,0,0,0,[]],24,118,[],[],["MANIC PANIC!",0,"bold 48pt Arial Narrow","rgb(153,0,0)",1,1,0,0,0]],[[369,592,0,649.7625122070312,80.06002044677734,0,0,1,0.5,0.5,0,0,[]],25,119,[],[],["10 easy questions!",0,"bold 40pt Arial Narrow","rgb(0,0,0)",1,1,1,0,0]],[[369,821,0,593,80,0,0,1,0.5,0.5,0,0,[]],27,120,[],[],["25 medium questions!",0,"bold 40pt Arial Narrow","rgb(0,0,0)",1,1,1,0,0]],[[1408,762,0,522,80,0,0,1,0.5,0.5,0,0,[]],28,121,[],[],["50 hard questions!",0,"bold 40pt Arial Narrow",
"rgb(0,0,0)",1,1,1,0,0]],[[369,1044,0,587,91,0,0,1,0.5,0.5,0,0,[]],29,122,[],[],["100 insane questions!!!!!",0,"bold 40pt Arial Narrow","rgb(0,0,0)",1,1,1,0,0]]],[]],["Coming Soon",2,9324280835505112,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[359.9999694824219,640.2449951171875,0,777.1923217773438,450.3403015136719,0,0,1,0.5,0.5005440711975098,0,0,[]],95,110,[],[],[0,"Default",0,1]]],[]]],[[null,94,124,[],[],[1E4,1,1]]],[]],["DS9 Trivia - Easy",720,1280,!1,"Code - Easy",0xf85aa3e9b9ffc,[["Game",0,0xf04afc28046e9,
!0,[255,255,255],!1,1,1,1,!1,1,0,0,[],[]],["UI",1,9060406775065488,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-127.8740234375,-292.0579833984375,0,975.7479858398438,1864.115966796875,0,0,1,0,0,0,0,[]],5,5,[],[],[0,0]],[[360,121,0,425.3363037109375,178.9666290283203,0,0,1,0.5,0.5,0,0,[]],12,11,[],[[1],[1,2,1E8,0,1]],[0,"Default",0,1]],[[376,1425,0,200,30,0,0,1,0,0,0,0,[]],14,6,[],[],["",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["Questions",2,0x6817a770c77eb,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[360,
326,0,717.5679931640625,164.0749969482422,0,0,1,0.5,0.5,0,0,[]],15,12,[],[[1]],[0,"Default",0,1]],[[43,243,0,634,158,0,0,1,0,0,0,0,[]],39,30,[],[],["Question here!!!",0,"bold 30pt Courier New","rgb(255,255,255)",1,1,0,0,0]],[[360,716,0,673,198,0,0,1,0.5,0.5,0,0,[]],41,32,[],[],[0,"Default",0,1]],[[360,542,0,673,198,0,0,1,0.5,0.5,0,0,[]],42,33,[],[],[0,"Default",0,1]],[[360,890,0,673,198,0,0,1,0.5,0.5,0,0,[]],43,34,[],[],[0,"Default",0,1]],[[360,1062,0,673,198,0,0,1,0.5,0.5,0,0,[]],44,35,[],[],[0,
"Default",0,1]],[[360,718,0,633,149,0,0,1,0.5,0.5,0,0,[]],46,37,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[360,895,0,626,150,0,0,1,0.5,0.5,0,0,[]],47,38,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[360,1067,0,621,143,0,0,1,0.5,0.5,0,0,[]],48,39,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[360,545,0,617,132,0,0,1,0.5,0.5,0,0,[]],45,36,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[62.93069839477539,37.61796569824219,
0,104.454833984375,61.51941299438477,0,0,1,0.5030674934387207,0.5,0,0,[]],67,13,[],[],[0,"Default",0,1]]],[]],["SelectLevel",3,0xce701e72d6b24,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Answer",4,0xd5866dd1ff7ac,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["ResultCorrect",5,0x8f5aabbd51e05,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[365,1310,0,352.6064758300781,107.5589981079102,0,0,1,0.4933687150478363,-0.2130434811115265,0,0,[]],49,40,[[10]],[],[0,"Default",0,1]]],[]],["ResultWrong",6,7089661027504074,
!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[343,-176,0,358.8682861328125,109.4691314697266,0,0,1,0.5026525259017944,-0.2043478190898895,0,0,[]],50,41,[[10]],[],[0,"Default",0,1]],[[467,51,0,339,47,0,0,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,42,[],[],[0,"Default",0,1]],[[-151,807,0,339,47,0,-0.04185570031404495,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,43,[],[],[0,"Default",0,1]],[[1624,952,0,339,47,0,0,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,44,[],[],[0,"Default",0,1]],[[1892,
1264,0,339,47,0,0,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,45,[],[],[0,"Default",0,1]]],[]],["Timer and Score",7,8781967199159628,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[598,162,0,111,113,0,0,1,0,0,0,0,[]],53,46,[[0]],[],["0",0,"bold 60pt Arial","rgb(0,255,0)",1,0,0,0,0]],[[298,-548,0,124,130,0,0,1,0,0,0,0,[]],55,20,[[0]],[],["0",1,"bold 48pt Arial","rgb(0,255,0)",0,0,0,0,0]],[[293,-443,0,76,96,0,0,1,0,0,0,0,[]],62,47,[[0]],[],["0",1,"bold 48pt Arial","rgb(255,0,0)",0,0,0,0,0]]],[]],["LowestWin",
8,7673990374051531,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[360.4549865722656,461,0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],58,50,[],[],[0,"Default",0,1]]],[]],["FinalScore",9,6495761696691243,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[167.5,489,0,201,193,0,0,1,0,0,0,0,[]],63,53,[[0]],[],["0",0,"bold 62pt Arial","rgb(0,153,255)",1,0,0,0,0]],[[321.5,489,0,189,204.0000152587891,0,0,1,0,0,0,0,[]],64,9,[[0]],[],["10",0,"bold 62pt Arial","rgb(0,153,255)",1,0,0,0,0]],
[[297.5,492,0,75.8121337890625,137.5747528076172,0,0,1,0,0,0,0,[]],65,54,[[0]],[],["/",0,"bold 62pt Arial","rgb(0,153,255)",1,0,0,0,0]]],[]],["MediumWin",10,633084245752091,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[360.4550170898438,461,0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],77,22,[],[],[0,"Default",0,1]]],[]],["HighWin",11,5643532571299019,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[360.4550170898438,440,0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,
0.5016322135925293,0,0,[]],84,66,[],[],[0,"Default",0,1]]],[]]],[[null,30,26,[],[],[]],[null,36,17,[],[],[1E4,1,1]],[null,37,29,[],[],[1E4,1,1]],[null,52,31,[],[],[1E4,1,1]]],[]],["DS9 Trivia - Med",720,1280,!1,"Code - Med",6979568515020476,[["Game",0,8565868254965402,!0,[255,255,255],!1,1,1,1,!1,1,0,0,[],[]],["UI",1,8859931404653146,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-127.8740234375,-292.0579833984375,0,975.7479858398438,1864.115966796875,0,0,1,0,0,0,0,[]],5,7,[],[],[0,0]],[[359,121,0,425.3359985351563,
178.9669952392578,0,0,1,0.5,0.5,0,0,[]],12,8,[],[[1],[1,2,1E8,0,1]],[0,"Default",0,1]],[[375,1425,0,200,30,0,0,1,0,0,0,0,[]],14,51,[],[],["",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["Questions",2,9761223527877932,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[359,297,0,717.5679931640625,164.0749969482422,0,0,1,0.5,0.5,0,0,[]],15,56,[],[[1]],[0,"Default",0,1]],[[42,214,0,634,158,0,0,1,0,0,0,0,[]],39,57,[],[],["Question here!!!",0,"bold 30pt Courier New","rgb(255,255,255)",1,1,0,0,0]],[[359,709,0,673,198,
0,0,1,0.5,0.5,0,0,[]],41,58,[],[],[0,"Default",0,1]],[[359,535,0,673,198,0,0,1,0.5,0.5,0,0,[]],42,59,[],[],[0,"Default",0,1]],[[359,883,0,673,198,0,0,1,0.5,0.5,0,0,[]],43,60,[],[],[0,"Default",0,1]],[[359,1055,0,673,198,0,0,1,0.5,0.5,0,0,[]],44,61,[],[],[0,"Default",0,1]],[[359,711,0,633,149,0,0,1,0.5,0.5,0,0,[]],46,62,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[359,890,0,633,149,0,0,1,0.5,0.5,0,0,[]],47,63,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[359,
1060,0,633,149,0,0,1,0.5,0.5,0,0,[]],48,64,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[359,538,0,617,132,0,0,1,0.5,0.5,0,0,[]],45,65,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[62.93099975585938,38.61800003051758,0,104.4550018310547,61.51900100708008,0,0,1,0.5030674934387207,0.5,0,0,[]],67,10,[],[],[0,"Default",0,1]],[[973,1438,0,101,121,0,0,1,0,0,0,0,[]],74,19,[[0]],[],["0",0,"bold 48pt Arial","rgb(0,255,0)",0,0,0,0,0]],[[1078,1433,0,106,103,0,0,1,0,
0,0,0,[]],69,15,[],[],["0",0,"bold 48pt Arial","rgb(255,0,0)",0,0,0,0,0]]],[]],["SelectLevel",3,5231923882233259,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Answer",4,0xb4a11d13ba64c,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["ResultCorrect",5,926792638412001,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[364,-193,0,352.6059875488281,107.5589981079102,0,0,1,0.4933687150478363,-0.2130434811115265,0,0,[]],72,16,[[25]],[],[0,"Default",0,1]]],[]],["ResultWrong",6,9290122578224276,!0,[255,255,255],!0,1,1,1,!1,
1,0,0,[[[466,51,0,339,47,0,0,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,80,[],[],[0,"Default",0,1]],[[-152,807,0,339,47,0,-0.04185570031404495,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,81,[],[],[0,"Default",0,1]],[[1623,952,0,339,47,0,0,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,82,[],[],[0,"Default",0,1]],[[1891,1264,0,339,47,0,0,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,83,[],[],[0,"Default",0,1]],[[373,1308,0,358.8680114746094,109.4690017700195,0,0,1,0.5026525259017944,
-0.2043478190898895,0,0,[]],73,18,[[25]],[],[0,"Default",0,1]]],[]],["Timer and Score",7,5671851230649498,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[585,123,0,114.5365676879883,119.5164184570313,0,0,1,0,0,0,0,[]],53,84,[[0]],[],["0",0,"bold 60pt Arial","rgb(0,255,0)",1,0,0,0,0]]],[]],["LowestWin",8,72966180060233,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[359.4550170898438,640.6825561523438,0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],58,89,[],[],[0,"Default",0,1]]],
[]],["FinalScore",9,9957522778210244,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[344.25,629,0,189,207.0000152587891,0,0,1,0,0,0,0,[]],64,91,[[0]],[],["25",0,"bold 62pt Arial","rgb(0,153,255)",1,0,0,0,0]],[[320.25,632,0,75.8121337890625,140.5747528076172,0,0,1,0,0,0,0,[]],65,92,[[0]],[],["/",0,"bold 62pt Arial","rgb(0,153,255)",1,0,0,0,0]],[[169,631,0,182,146,0,0,1,0,0,0,0,[]],76,21,[[0]],[],["0",0,"bold 62pt Arial","rgb(0,153,255)",1,0,0,0,0]]],[]],["MediumWin",10,0x7528d05d6e222,!1,[255,255,255],!0,1,
1,1,!1,1,0,0,[[[359.4549865722656,640.6825561523438,0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],80,23,[],[],[0,"Default",0,1]]],[]],["HighWin",11,7629366022622849,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[359.4549865722656,640.6825561523438,0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],81,24,[],[],[0,"Default",0,1]]],[]],["HigherWin",12,688837115971694,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[359.4550170898438,640.6825561523438,
0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],82,25,[],[],[0,"Default",0,1]]],[]],["HighestWin",13,0xfbcfa298cd046,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[359.4550170898438,640.6825561523438,0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],83,55,[],[],[0,"Default",0,1]]],[]]],[[null,68,14,[],[],[1E3,1,1]]],[]],["DS9 Trivia - Hard",720,1280,!1,"Code - Hard",0x39556462349f2,[["Game",0,0x73833431e4dcb,!0,[255,255,255],!1,
1,1,1,!1,1,0,0,[[[365,-244,0,340.5655212402344,103.8860321044922,0,0,1,0.4933687150478363,-0.2130434811115265,0,0,[]],87,123,[[50]],[],[0,"Default",0,1]],[[346,1300,0,337.5440063476563,102.96435546875,0,0,1,0.5026525259017944,-0.2043478190898895,0,0,[]],88,90,[[50]],[],[0,"Default",0,1]]],[]],["UI",1,0x6df45cba4e320,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-127.8740234375,-292.0579833984375,0,975.7479858398438,1864.115966796875,0,0,1,0,0,0,0,[]],5,67,[],[],[0,0]],[[360,112,0,425.3359985351563,178.9669952392578,
0,0,1,0.5,0.5,0,0,[]],12,68,[],[[1],[1,2,1E8,0,1]],[0,"Default",0,1]],[[376,1425,0,200,30,0,0,1,0,0,0,0,[]],14,69,[],[],["",0,"12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["Questions",2,4542231044957609,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[360,293.9625244140625,0,717.568359375,164.0749664306641,0,0,1,0.5,0.5,0,0,[]],15,70,[],[[1]],[0,"Default",0,1]],[[360,295,0,661,160,0,0,1,0.5,0.5,0,0,[]],39,71,[],[],["Question here!!!",0,"bold 30pt Courier New","rgb(255,255,255)",1,1,1,0,0]],[[360,720,0,673,198,
0,0,1,0.5,0.5,0,0,[]],41,72,[],[],[0,"Default",0,1]],[[360,546,0,673,198,0,0,1,0.5,0.5,0,0,[]],42,73,[],[],[0,"Default",0,1]],[[360,894,0,673,198,0,0,1,0.5,0.5,0,0,[]],43,74,[],[],[0,"Default",0,1]],[[360,1070,0,673,198,0,0,1,0.5,0.5,0,0,[]],44,75,[],[],[0,"Default",0,1]],[[360,722,0,633,149,0,0,1,0.5,0.5,0,0,[]],46,76,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[360,905,0,633,149,0,0,1,0.5,0.5,0,0,[]],47,77,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[360,
1078,0,633,149,0,0,1,0.5,0.5,0,0,[]],48,78,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[360,549,0,624,132,0,0,1,0.5,0.5,0,0,[]],45,79,[],[],["text",0,"bold 30pt Courier New","rgb(0,0,0)",1,1,1,0,0]],[[59.93099975585938,36.61800003051758,0,104.4550018310547,61.51900100708008,0,0,1,0.5030674934387207,0.5,0,0,[]],67,85,[],[],[0,"Default",0,1]],[[1068,1487,0,101,121,0,0,1,0,0,0,0,[]],90,86,[[0]],[],["0",0,"bold 48pt Arial","rgb(0,255,0)",0,0,0,0,0]],[[938,1483,0,106,103,0,0,1,0,
0,0,0,[]],91,87,[],[],["0",0,"bold 48pt Arial","rgb(255,0,0)",0,0,0,0,0]],[[571.53662109375,120.7582092285156,0,138,120,0,0,1,0,0,0,0,[]],53,101,[[0]],[],["0",0,"bold 60pt Arial","rgb(0,255,0)",1,0,0,0,0]]],[]],["SelectLevel",3,6444986941514723,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Answer",4,0xfae29ca71f0a7,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["ResultCorrect",5,5046724931929935,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["ResultWrong",6,0x4d57a3df260bd,!1,[255,255,255],!0,1,1,1,!1,1,0,
0,[[[467,51,0,339,47,0,0,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,93,[],[],[0,"Default",0,1]],[[-151,807,0,339,47,0,-0.04185570031404495,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,94,[],[],[0,"Default",0,1]],[[1624,952,0,339,47,0,0,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,95,[],[],[0,"Default",0,1]],[[1892,1264,0,339,47,0,0,1,-51.1946907043457,-319.1276550292969,0,0,[]],51,96,[],[],[0,"Default",0,1]]],[]],["Timer and Score",7,9619076571663960,!1,[255,255,255],!0,1,1,1,!1,
1,0,0,[],[]],["LowestWin",8,0x8d2953c8b8fef,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[360.4550170898438,640.6825561523438,0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],58,102,[],[],[0,"Default",0,1]]],[]],["FinalScore",9,0xd8ab1459870bf,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[391,724,0,129,126,0,0,1,0,0,0,0,[]],64,103,[[0]],[],["50",0,"bold 62pt Arial","rgb(0,153,255)",1,0,0,0,0]],[[324,723,0,75.8121337890625,140.5747528076172,0,0,1,0,0,0,0,[]],65,104,[[0]],[],
["/",0,"bold 62pt Arial","rgb(0,153,255)",1,0,0,0,0]],[[200,724,0,144,127,0,0,1,0,0,0,0,[]],92,88,[[0]],[],["0",0,"bold 62pt Arial","rgb(0,153,255)",1,0,0,0,0]]],[]],["MediumWin",10,4635782576875623,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[360.4549865722656,640.6825561523438,0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],80,106,[],[],[0,"Default",0,1]]],[]],["HighWin",11,0xb5bfac40a1b44,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[360.4549865722656,640.6825561523438,
0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],81,107,[],[],[0,"Default",0,1]]],[]],["HigherWin",12,929320826413446,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[360.4550476074219,640.6825561523438,0,721.7009887695312,418.18701171875,0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],82,108,[],[],[0,"Default",0,1]]],[]],["HighestWin",13,6915459278496154,!1,[255,255,255],!0,1,1,1,!1,1,0,0,[[[360.4550170898438,640.6825561523438,0,721.7012939453125,418.1868896484375,
0,0,1,0.5006304979324341,0.5016322135925293,0,0,[]],83,109,[],[],[0,"Default",0,1]]],[]]],[[null,93,105,[],[],[1E4,1,1]]],[]]],[["Code - Easy",[[1,"move_on_to_next",0,10,!1,!1,0x9105d2f6b97f3,!1],[1,"questiontimer_easy",0,60,!1,!1,6862911286375214,!1],[0,null,!1,null,7518611857823467,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x7cfd9ff91370f,!1]],[[3,cr.plugins_.Audio.prototype.acts.Play,null,0xfa4d8e261fa47,!1,[[2,["kelly_bgm",!0]],[3,1],[0,[0,0]],[1,[2,""]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,
null,4745824336236207,!1,[[3,1]]],[11,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x40fa863c85c35,!1,[[0,[0,0]]]],[11,cr.plugins_.Sprite.prototype.acts.StopAnim,null,8440657337372191,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4942654083985643,!1,[[5,[0,9]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x5bc3be5b51ca1,!1,[[5,[0,6]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xd751b1ed86197,!1,[[5,[0,5]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,6805884802298911,!1,[[5,[0,7]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6547814136231922,!1,[[5,[0,2]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb24eab958f59b,!1,[[5,[0,4]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x910dd1b85ac56,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6169526300641359,!1,[[5,[0,10]],[3,0]]]]],[0,null,!1,null,4941866132903421,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,6757637645823394,!1,[[5,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6042391726917987,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb708295bfc6c4,!1,[[5,[0,8]],[3,0]]]]],[0,null,!1,null,0x9e78429622405,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,4841635115156434,!1,[[5,[0,8]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4585668513494947,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x42039ab6942af,!1,[[5,[0,10]],[3,0]]]]],[0,null,!1,null,0xf525a2347534f,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,8130354041332323,!1,[[5,[0,11]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6444844936336226,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8202334481654022,!1,[[5,[0,10]],[3,0]]]]],[0,null,!1,null,811892932051899,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xbdf840adf97a3,!1,[[5,[0,2]]]],
[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5607324138289214,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,9860412505209022,!1,[[11,"questiontimer_easy"],[7,[0,1]]]]]],[0,null,!1,null,5073824662466277,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,8152322195370946,!1]],[[53,cr.plugins_.Text.prototype.acts.SetText,null,8279374945674548,!1,[[7,[23,"questiontimer_easy"]]]]]],[0,null,!1,null,0x7a49d013e3481,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7545673773722874,!1,[[11,"questiontimer_easy"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.RestartLayout,null,7050943978553284,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,4896835283200612,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8777303223645247,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6902724475079225,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9305949132193386,!1,
[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9602812337561196,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8d4bbb675f5cb,!1,[[5,[0,7]],[3,0]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5783280944031686,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb0cd6c3d917d7,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa365015349beb,!1,[[11,"move_on_to_next"],[7,
[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6841311264818939,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0xf19fb8033d808,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,6572979374681829,!1,[[0,[0,4]]]]]],[0,null,!1,null,5865472039508952,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,9693206735704800,!1]],[[55,cr.plugins_.Text.prototype.acts.SetText,null,6503133951681154,!1,[[7,[21,49,!1,null,0]]]]]],[0,null,
!1,null,7745822684337119,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,6692069712210282,!1]],[[62,cr.plugins_.Text.prototype.acts.SetText,null,0x3a28a9c02a7e4,!1,[[7,[21,50,!1,null,0]]]]]],[0,null,!1,null,9559659283361824,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,4825233745861682,!1]],[[56,cr.plugins_.Text.prototype.acts.SetText,null,8038863873352233,!1,[[7,[23,"move_on_to_next"]]]]]],[0,null,!1,null,7205841416543307,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!0,!1,0xea70eb6ef12e7,!1,[[5,[0,3]]]]],[[18,cr.plugins_.Sprite.prototype.acts.Destroy,null,6644293414278145,!1]]],[0,null,!1,null,5405062895975675,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5332805355185758,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9018579570518172,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9269255495266582,!1,[[10,0],[7,[0,
1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x9195e6ab80aa3,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x650489d6d8187,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9023709589083028,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,6873708766852441,!1]]],[0,null,!1,null,8542902995116705,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xc1835dd50df33,!1,[[4,
46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x9ce5e53915b53,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9932964934553236,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x41bcf9dd16432,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x56ea84ae661a9,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,
null,0x8f1d7f4a91d2f,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,9938724057577632,!1]]],[0,null,!1,null,866429267433445,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,741169383927951,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6721948984515676,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[49,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x62e64f338aa2a,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0x9fe7e372d0647,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5443824389267561,!1,[[4,49],[5,[0,5]],[0,[0,362]],[0,[0,321]]]],[-1,cr.system_object.prototype.acts.Wait,null,6016204038841908,!1,[[0,[1,0.5]]]],[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,463499681165926,!1]]],[0,null,!1,null,0x50e1aa73e951d,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x5d1bbfed6fe0d,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,903436272561698,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5144494020774522,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7144347720851553,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6486198730144151,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5885540112379436,!1,[[0,[1,
0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc89e3449307bb,!1]]],[0,null,!1,null,0x5cb5c56775329,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x67a9323e16f25,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8653053421214937,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xac3ab3f3362e6,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,5035029789050557,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,456800543499606,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xcc175a5772456,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,5018763162105279,!1]]],[0,null,!1,null,7982103112377054,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7961236903226422,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,6592439411429438,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[49,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x63e981ec7f8d6,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5905840297652177,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6570708510570834,!1,[[4,49],[5,[0,5]],[0,[0,362]],[0,[0,321]]]],[-1,cr.system_object.prototype.acts.Wait,null,7191062870983596,!1,[[0,[1,
0.5]]]],[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,6536250664383869,!1]]],[0,null,!1,null,9569062895496286,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8606880675536573,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4928424228180999,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe02f563c02aac,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,6818077667298695,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa0246e233651f,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5093227282050984,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,8226229824422705,!1]]],[0,null,!1,null,0x96ff01a5451f,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8244363963342442,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,8783138060827129,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xbfc6bd3c6484d,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5811895638008796,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9532696129587888,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4791620028923419,!1,[[0,[1,
0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc56c56b550a4d,!1]]],[0,null,!1,null,735634800403577,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5710458291607833,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x74c251260c6fc,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5980805382438868,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0x4b14a13c1ffc9,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x77cc164411ac2,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x7dc6807b67815,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbc2368ba3376f,!1]]],[0,null,!1,null,0x551c4f53ab386,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9155948105110874,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,9494606846408044,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x77c2b9b7bbdd2,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xe23fb71f11147,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9224897081092944,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6293722312292839,!1,[[0,[1,0.5]]]],
[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,9859629722300556,!1]]],[0,null,!1,null,7515231971192033,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,64922805699302,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4951189089602745,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,67800036160046,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,
0xfc6465fa11764,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb5ca5e11d3bb1,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5985139470987548,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,8947185987034603,!1]]],[0,null,!1,null,6270330649737535,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xd6e40562aac27,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,5893656311923361,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[49,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7853343077427646,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6393208862373481,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8214886537046496,!1,[[4,49],[5,[0,5]],[0,[0,362]],[0,[0,321]]]],[-1,cr.system_object.prototype.acts.Wait,null,9882791686219464,!1,[[0,[1,
0.5]]]],[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf343b2c0ba198,!1]]],[0,null,!1,null,8829946808704041,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8445820494686866,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5674005222447462,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x76913be969b61,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0x54391a1bda3a4,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4985587114069532,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8063803497763727,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,7381995990254368,!1]]],[0,null,!1,null,0xade3335eadd1d,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf9d9b7c95db99,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,8559329212037929,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[49,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x6f884b9a8a0ed,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5865496317553279,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9601405853472668,!1,[[4,49],[5,[0,5]],[0,[0,362]],[0,[0,321]]]],[-1,cr.system_object.prototype.acts.Wait,null,362672880469977,!1,[[0,[1,0.5]]]],
[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x757eb1f536f30,!1]]],[0,null,!1,null,5088750548323867,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8535124264195637,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9763153880978712,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x881ab0910c2a,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,
5653789723128755,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,914361844976959,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x899a18713db6,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,6755244380179948,!1]]],[0,null,!1,null,0x7eff66561768,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xce5812c773dcc,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,6385937147935029,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6737407866495931,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9805415414848172,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6550040173184503,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6227266726449692,!1,[[0,[1,
0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,9666964313396052,!1]]],[0,null,!1,null,0x6d45910e89ed3,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9388915675184468,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,432859591791263,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,383572711638902,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xd1809bc7f2940,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7820963852792192,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8513651954718215,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd10afdbf92b38,!1]]],[0,null,!1,null,7354467162532713,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x67481430fbe33,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,7574752385984442,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7286816166907552,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x72ee5596da13d,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7412132905148391,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8218753784615445,!1,[[0,[1,
0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,6728086929075321,!1]]],[0,null,!1,null,8129545531665599,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6713474425585073,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x67f14ba58767a,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[49,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4658834076383505,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,6270396022690262,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6587734093092018,!1,[[4,49],[5,[0,5]],[0,[0,362]],[0,[0,321]]]],[-1,cr.system_object.prototype.acts.Wait,null,8584429832494094,!1,[[0,[1,0.5]]]],[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdd00e0b07da2a,!1]]],[0,null,!1,null,7841105169342622,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5177515030617673,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x9b2081c662a3,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8209811521164272,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x670ddba226075,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7592435603341266,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,631174512559644,!1,[[0,[1,0.5]]]],
[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,9339781478099724,!1]]],[0,null,!1,null,8786868722589499,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xac5b382b0d041,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6921382772363668,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7580246408002484,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xac6c8739e5dfc,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,372318693819098,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,515321366273361,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,5973480826383338,!1]]],[0,null,!1,null,0xe3c27ced885a,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9601835066931148,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,6633107973384448,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6113022421013121,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8185952681107917,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9709576545389156,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5991295518173292,!1,[[0,[1,
0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,5354538499553054,!1]]],[0,null,!1,null,0xdf0ba96891f86,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9925cda0877d,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9537012143995252,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4697123488371447,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0x4bf1b31b11c50,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xfb967260141e3,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8166112661111772,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,8485194887631101,!1]]],[0,null,!1,null,9570156771740376,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x48d508baada8d,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,7832839574686055,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[49,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9357075751885556,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xd169545fe6f37,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4998216924251726,!1,[[4,49],[5,[0,5]],[0,[0,362]],[0,[0,321]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa7542c70c58d4,!1,[[0,[1,0.5]]]],
[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,9131995586939928,!1]]],[0,null,!1,null,781989512396109,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7341539712158931,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4796051105956706,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9802071714575308,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0x51a92081279c0,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6710081186245099,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x6dac2ca23368b,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe89408418505,!1]]],[0,null,!1,null,9431946309282564,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9568105912744260,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x79b6a596a440b,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6949195362248634,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x8a51a92099ed,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7297691842590561,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8215981248199063,!1,[[0,[1,0.5]]]],
[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,4539895307558294,!1]]],[0,null,!1,null,6287908055275086,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6294569539473765,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,371458620356756,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[49,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5925020918867937,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xb5818854d6ff4,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8095740749992044,!1,[[4,49],[5,[0,5]],[0,[0,362]],[0,[0,321]]]],[-1,cr.system_object.prototype.acts.Wait,null,4655198841844576,!1,[[0,[1,0.5]]]],[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,5817006016893472,!1]]],[0,null,!1,null,5655707836189185,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6532925853559022,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,9673083502098508,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x6e672ea5cc652,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xb038eaab601fc,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6913082669821699,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xc74884f38571a,!1,[[0,[1,0.5]]]],
[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,7250471839148457,!1]]],[0,null,!1,null,0xacbb88f9041c1,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xfc6f2157e4c40,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xb1ef35c4ef179,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8564150063787763,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,
9232469013359276,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9597837344889526,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7879336315446446,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,6924770922348564,!1]]],[0,null,!1,null,0x8ef56b1c0f75e,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8859884077794812,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,7210956084137644,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[49,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5287564345344185,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8524910297888973,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb25c7dd6ccc62,!1,[[4,49],[5,[0,5]],[0,[0,362]],[0,[0,321]]]],[-1,cr.system_object.prototype.acts.Wait,null,9726569838889668,!1,[[0,[1,
0.5]]]],[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,9366845593088988,!1]]],[0,null,!1,null,6871565421872058,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x445ea09a49d60,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xb2221a0310290,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9488329105987400,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,9294548183341316,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x78373cdf045d5,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xab2742166ad4b,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,5198557961448475,!1]]],[0,null,!1,null,7384175405662979,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x6af8bd127b9ae,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,8782610830619394,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x9495a4c22c94b,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xf3716bd806506,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5226268760623875,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x987b1c5669b54,!1,[[0,[1,0.5]]]],
[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,9847598687902272,!1]]],[0,null,!1,null,0xcc9eac7cb8b33,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7915017788859179,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8135811918710384,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[49,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5515374631079532,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,5046644581307514,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbc1065424c099,!1,[[4,49],[5,[0,5]],[0,[0,362]],[0,[0,321]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x687ac30250135,!1,[[0,[1,0.5]]]],[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x4a6f45d87e6a9,!1]]],[0,null,!1,null,0xdbcbeaaf9fd99,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xecc4d6521e84c,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0xebb24e524f29a,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6609215563172931,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7514279281327562,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,812905032580404,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9651941215430602,!1,[[0,[1,0.5]]]],
[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x510396abd4caa,!1]]],[0,null,!1,null,8282203145864009,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8a75330bfce62,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5947199312066723,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8341173683326941,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,
960411141541592,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4531577356205812,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8996951205906877,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,8648280740925966,!1]]],[0,null,!1,null,6977224085259992,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5006114457101067,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x7f5cd4c0473e5,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7006053030476077,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6010175708212666,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,966659789434989,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9798705064105080,!1,[[0,[1,0.5]]]],
[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd4a617bd8aace,!1]]],[0,null,!1,null,0xacb3ba7d7268e,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8994208047094297,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9057227107821994,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x3f03a7cd41edd,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,
7485564366588568,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8035748762765885,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8167305356844034,!1,[[0,[1,0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x73e88262f74a6,!1]]],[0,null,!1,null,0x81ed5eaba3462,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,407505960532388,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,6128432743523641,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,677011855948944,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8543197940287491,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6532567283657199,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8252081899835541,!1,[[0,[1,
0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,7787515570517977,!1]]],[0,null,!1,null,0x74cc2d3a611ba,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x7c07eabe92890,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8000928598308753,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[49,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7949770062234284,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,5655981537460623,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4836640863670715,!1,[[4,49],[5,[0,5]],[0,[0,362]],[0,[0,321]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x4a0642b22442f,!1,[[0,[1,0.5]]]],[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,6324143163565461,!1]]],[0,null,!1,null,5805686787009631,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7363942356761444,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,5821766561064985,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7058458881297387,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x3ee423277274b,!1,[[11,"move_on_to_next"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7592145385732684,!1,[[4,50],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4976347510084049,!1,[[0,[1,
0.5]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,6677648854327046,!1]]],[0,null,!1,null,9167266058478620,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0xa63f045ee316,!1]],[[37,cr.plugins_.Arr.prototype.acts.SetX,null,626705012722452,!1,[[0,[0,0]],[7,[2,"What is the name of Benjamin Sisko's son?"]]]],[37,cr.plugins_.Arr.prototype.acts.SetX,null,9578962327296968,!1,[[0,[0,1]],[7,[2,"Odo is frequently referred to as this title."]]]],[37,cr.plugins_.Arr.prototype.acts.SetX,
null,0xd3c439cf068ec,!1,[[0,[0,2]],[7,[2,"Which actor portayed the character of Quark?"]]]],[37,cr.plugins_.Arr.prototype.acts.SetX,null,0x56ca2bf25f08d,!1,[[0,[0,3]],[7,[2,"Dax is a member of this unique Federation species."]]]],[37,cr.plugins_.Arr.prototype.acts.SetX,null,6880449181691019,!1,[[0,[0,4]],[7,[2,"Garak often refers to himself as just a simple ______."]]]],[37,cr.plugins_.Arr.prototype.acts.SetX,null,7582788726748216,!1,[[0,[0,5]],[7,[2,"Major Kira fought against the _____ during the Resistence."]]]],
[37,cr.plugins_.Arr.prototype.acts.SetX,null,9785912369249744,!1,[[0,[0,6]],[7,[2,"Sisko did not hold one of these titles during the run of DS9."]]]],[37,cr.plugins_.Arr.prototype.acts.SetX,null,680966538819305,!1,[[0,[0,7]],[7,[2,"One of these characters was never a host to the Dax symbiont."]]]],[37,cr.plugins_.Arr.prototype.acts.SetX,null,6068568510115338,!1,[[0,[0,8]],[7,[2,"Who was the wife of Chief Miles O' Brien?"]]]],[37,cr.plugins_.Arr.prototype.acts.SetX,null,0x40e701483c791,!1,[[0,[0,9]],
[7,[2,"Dr. Bashir had a schoolboy-like crush on _____."]]]]]],[0,null,!1,null,8406810129110951,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0xae5d1a60075e9,!1]],[[36,cr.plugins_.Arr.prototype.acts.SetX,null,0x904f2af75133f,!1,[[0,[0,0]],[7,[2,"John"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,7660628349384969,!1,[[0,[0,1]],[7,[2,"Jack"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,8152925888655669,!1,[[0,[0,2]],[7,[2,"Jake"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,
null,9931381464324128,!1,[[0,[0,3]],[7,[2,"Jeff"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,5126005828354501,!1,[[0,[0,4]],[7,[2,"Chief"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,365006886427337,!1,[[0,[0,5]],[7,[2,"Constable"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,8053457180223021,!1,[[0,[0,6]],[7,[2,"Changing Man"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,8380798745020638,!1,[[0,[0,7]],[7,[2,"Officer"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0xfb670819cb737,
!1,[[0,[0,8]],[7,[2,"Avery Brooks"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,7879964782380363,!1,[[0,[0,9]],[7,[2,"Ethan Phillips"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,9864118259579752,!1,[[0,[0,10]],[7,[2,"Terry Farrell"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0xbcf6482367d02,!1,[[0,[0,11]],[7,[2,"Armin Shimerman"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0xf9c833063efd8,!1,[[0,[0,12]],[7,[2,"Bolian"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,9689269234227080,
!1,[[0,[0,13]],[7,[2,"Trill"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,6198782567281262,!1,[[0,[0,14]],[7,[2,"Tellerite"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,6098119240785001,!1,[[0,[0,15]],[7,[2,"Bajoran"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0x3da232db86ab1,!1,[[0,[0,16]],[7,[2,"Cardassian"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0x448a7463cf696,!1,[[0,[0,17]],[7,[2,"Spy"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0xb19c470898004,!1,[[0,[0,18]],[7,[2,
"Tailor"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0x3a50c82312553,!1,[[0,[0,19]],[7,[2,"Liar"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,5009866073983806,!1,[[0,[0,20]],[7,[2,"Bajorans"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0xc58cccb7a7a08,!1,[[0,[0,21]],[7,[2,"Borg"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0xa007508ac504c,!1,[[0,[0,22]],[7,[2,"Klingons"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,8371702265101782,!1,[[0,[0,23]],[7,[2,"Cardassians"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,
null,939908025672015,!1,[[0,[0,24]],[7,[2,"Captain"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0x9a01d7bfc9466,!1,[[0,[0,25]],[7,[2,"Commander"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0xb4ee126187f35,!1,[[0,[0,26]],[7,[2,"Pah Wraith"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,9334284108632622,!1,[[0,[0,27]],[7,[2,"Emissary"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,8609142626513244,!1,[[0,[0,28]],[7,[2,"Audrid"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0xe5e0182f8101b,
!1,[[0,[0,29]],[7,[2,"Leeta"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0xbc8dc4a81d4a2,!1,[[0,[0,30]],[7,[2,"Verad"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,4750578170257352,!1,[[0,[0,31]],[7,[2,"Joran"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0x936d0730a9586,!1,[[0,[0,32]],[7,[2,"Keiko"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,0xfa5b28cddac09,!1,[[0,[0,33]],[7,[2,"Molly"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,9379253017982892,!1,[[0,[0,34]],[7,[2,"Kirayoshi"]]]],
[36,cr.plugins_.Arr.prototype.acts.SetX,null,9756491894139604,!1,[[0,[0,35]],[7,[2,"Julian"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,8562394501676935,!1,[[0,[0,36]],[7,[2,"Major Kira"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,5353854561181459,!1,[[0,[0,37]],[7,[2,"Keiko O' Brien"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,336505363660779,!1,[[0,[0,38]],[7,[2,"Jadzia Dax"]]]],[36,cr.plugins_.Arr.prototype.acts.SetX,null,6559032094051558,!1,[[0,[0,39]],[7,[2,"Tora Ziyal"]]]]]],
[0,null,!1,null,9882709826389620,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,8033770833758254,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7216834545998336,!1,[[11,"move_on_to_next"],[8,0],[7,[0,10]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,636110470994971,!1,[[7,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,8100010460605359,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,0]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,5941954935197696,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,8735427767755986,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x4c080ac56aacb,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]]]]]],[0,null,!1,null,6314606128021091,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,8057072816124238,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5114887449742446,!1,[[11,"move_on_to_next"],[8,0],[7,[0,9]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,8995717560618883,!1,[[7,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x8ddd5cfebfd9c,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,4698638954569472,
!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7492828489761429,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,5967380280524062,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]]]]]],[0,null,!1,null,8199835038185596,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x4249668c6057c,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8273306322223291,!1,[[11,"move_on_to_next"],[8,0],[7,[0,8]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xa94667c0a2a28,!1,[[7,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x5312856b636c6,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x66c72b1195750,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,0x56963b98e72e8,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x9ec6e180a5a8c,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]]]]]],[0,null,!1,null,9813329772525714,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,9203919860768488,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3d4b937078a81,!1,[[11,"move_on_to_next"],[8,0],[7,[0,7]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,9680896665594924,!1,[[7,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,7530507102025772,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,8401105116148205,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,5314668175103206,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,7351816090556919,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]]]]]],[0,null,!1,null,0x84c16e911498e,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xc7d2ee9396e88,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe10c96bf94b07,!1,[[11,"move_on_to_next"],[8,0],[7,[0,6]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xeeddd67c5f212,!1,[[7,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,9968357322139232,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xe53d4f6ce2229,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7607223185620559,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x5d77cf36ca10c,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]]]]]],[0,null,
!1,null,6068809177998499,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xd7f7388c76839,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,850100771470084,!1,[[11,"move_on_to_next"],[8,0],[7,[0,5]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,7350789921164884,!1,[[7,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,5513950775949325,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,
[[0,20]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,9716314517543336,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7985583832650124,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,4573167050820893,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]]]]]],[0,null,!1,null,6715141789941971,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,996773923074686,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6574ff663568c,!1,[[11,"move_on_to_next"],[8,0],[7,[0,4]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,731136288650825,!1,[[7,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,9716443132526460,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x904005a6ec400,
!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,25]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,372723265243523,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,26]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,6697790661562808,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,27]]]]]]]],[0,null,!1,null,4718529274293047,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xb3563010797df,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4658895519969828,!1,[[11,"move_on_to_next"],[8,0],[7,[0,3]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,5542266128701611,!1,[[7,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,5573490137656349,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,28]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,6634983445827262,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,29]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,4799657379132201,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,30]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,4851416673008157,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,31]]]]]]]],[0,null,!1,null,0x7800a7b599f21,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,5005076911084227,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdd6ad40477e34,!1,[[11,"move_on_to_next"],[8,0],[7,[0,2]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,8986119235503495,!1,[[7,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xe16e8279863ff,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,32]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,6519750713100355,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,33]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x7b796bd220d1a,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,34]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,8142082466652895,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,35]]]]]]]],[0,null,!1,null,7390858460430233,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x71db8b491031,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7443365049761376,!1,[[11,"move_on_to_next"],[8,0],[7,[0,1]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0x67f715b23be96,!1,[[7,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,9645836076722228,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,36]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,5577233836066055,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,37]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7029129585784406,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,38]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x5a9b34a35411c,!1,[[7,[20,36,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,39]]]]]]]],[0,null,
!1,null,8176372655615009,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5402316338003442,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7093246468244176,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x50b04759fff3c,!1,[[10,0],[8,3],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8322925309227877,!1,[[5,[0,8]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,8835236689660077,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6693321963791423,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc835a850f228,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7112299877366641,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa0b8ba3695c8e,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8919688359371109,!1,
[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x94892e789505e,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0x8bb804156e574,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,5384800930520463,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,991554925017285,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,6413461419879912,!1],[-1,cr.system_object.prototype.acts.Wait,null,356598648115152,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,7473562726915197,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5184519611665143,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5513499651076293,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xed1cc49db3a8f,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xcdcb89f01a305,!1,[[6,"Start Game"]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6644482493173729,!1,[[10,0],
[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,561635190646779,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x79edbca0dad37,!1,[[11,"move_on_to_next"],[7,[0,10]]]]]],[0,null,!1,null,6826659660873554,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5312711092590002,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7070908711204474,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]],
[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xcfee12afd53cf,!1,[[10,0],[8,3],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5349121276971357,!1,[[5,[0,8]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9432457548739368,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x84b3d85397b19,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xde19a34cb6ecb,!1,[[5,[0,2]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6930688111208181,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x78e5c4e188858,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xd914408d08662,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,802124647114596,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,7788829246621728,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,0xd1a19895ae2be,
!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,4684732195505033,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xdc0ff9e5ae1c6,!1],[-1,cr.system_object.prototype.acts.Wait,null,5291507822102207,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,9255448855416652,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7414526781926897,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7606894961500125,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,
null,9299476510810268,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xb89f6be62abe5,!1,[[6,"Start Game"]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xba89bfd71660e,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5412517847709296,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x604e4914dabd5,!1,[[11,"move_on_to_next"],[7,[0,10]]]]]],[0,null,!1,null,0x965a43fbbbb48,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,0xc5cd51a6b11aa,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6169033049531548,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6253276414571888,!1,[[10,0],[8,3],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x94c6c3f351eb6,!1,[[5,[0,8]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6601750275950012,!1,[[5,[0,9]],
[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9862559220687734,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x7e4f1cc6abbd6,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9296404571456412,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5724813181423631,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5458271964024144,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,9855332785873148,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,32072324477065,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,7352366440336229,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0x5681a92e7a61b,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xfb5a8e43de3d0,!1],[-1,cr.system_object.prototype.acts.Wait,null,0xcb54e73e3eecb,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,7994061243406505,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,7545947234758847,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x96a93dfd30f2d,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x8825be08e17af,!1,[[6,"Start Game"]]],[-1,cr.system_object.prototype.acts.SetVar,null,5413186471677986,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd77ab67285e5d,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,304738744727629,
!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,760695339181561,!1,[[11,"move_on_to_next"],[7,[0,10]]]]]],[0,null,!1,null,606394464257491,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xc65dc4547b176,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6597729139015982,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6089509548341435,
!1,[[10,0],[8,3],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4795914457367899,!1,[[5,[0,8]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6560654409329252,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5091405382030602,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7298786228791289,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xfbbdaab4542f6,!1,[[5,[0,6]],
[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6951028143717239,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6655179556908476,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7951523523887746,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0xdb22ae7673233,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,0x7a4df8a9d8cb,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,6749116243893715,!1],
[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xce95ad27a386c,!1],[-1,cr.system_object.prototype.acts.Wait,null,7707677539955276,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,9203533219650516,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xae15e5c4714dd,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6011503842155971,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7178412834346397,!1,[[6,"Start Game"]]],
[-1,cr.system_object.prototype.acts.SetVar,null,0xe50de80f2c48f,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7504783582550634,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5731830429114538,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,844147782553765,!1,[[11,"move_on_to_next"],[7,[0,10]]]]]],[0,null,!1,null,0xce11957c0ecc,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,
!1,!1,8898595418454327,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xb0a8425f5b986,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xa01d74d07c7c1,!1,[[10,0],[8,3],[7,[0,8]]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xbc99ec8c60740,!1,[[10,0],[8,4],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x4570730c54e7b,
!1,[[5,[0,10]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6602283408487754,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6124111942949132,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9741077426356932,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,347118297588397,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xaa2ecd92913a9,!1,[[5,[0,5]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7847724125765842,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7645799444396389,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,5033059713779978,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,5926676862466039,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,6574940789540848,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xa51e9054bf76b,!1],[-1,cr.system_object.prototype.acts.Wait,
null,0x63b8418ed5d3e,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,7004495991340962,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6819830845313138,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8314489290316402,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9176099667102934,!1,[[6,"Start Game"]]],[-1,cr.system_object.prototype.acts.SetVar,null,9840438162451068,!1,[[11,"questiontimer_easy"],[7,[0,
60]]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8251118550279833,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4946267290277311,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7473527344810935,!1,[[11,"move_on_to_next"],[7,[0,10]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x93141e47a6bd8,!1,[[3,1]]]]],[0,null,!1,null,9506869820562156,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6882554355400133,
!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x93289efca809d,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x3dca46488cf15,!1,[[10,0],[8,3],[7,[0,8]]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7634488889448735,!1,[[10,0],[8,4],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x4cd8ead4d5282,!1,[[5,[0,10]],[3,1]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xbda2100be151,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9825197388326920,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xd16baa0fbdae7,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf6b26439fe989,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x6427ee520a83f,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,9632300054034184,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf565f37264b69,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0x8affd13793aa,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,7323856337024722,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,9804724112635192,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,4845143656930395,!1],[-1,cr.system_object.prototype.acts.Wait,null,9413765156098098,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,0xae8a3ee043a4,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5836334615193046,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x4699e93c25ad2,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xec13d7e59944d,!1,[[6,"Start Game"]]],[-1,cr.system_object.prototype.acts.SetVar,null,9106414058344044,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9729198538994784,!1,[[10,0],
[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x5301938afade9,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8224897233733701,!1,[[11,"move_on_to_next"],[7,[0,10]]]]]],[0,null,!1,null,7233311724646684,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x744bb17650885,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8148144142758025,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]],
[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7156678505649351,!1,[[10,0],[8,3],[7,[0,8]]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5440900574156609,!1,[[10,0],[8,4],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x66bc912295dc6,!1,[[5,[0,10]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4922266483319687,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x999859f627301,
!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x4a13453020d77,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6715925475922176,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7740297273452559,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x80041674573fd,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7893522713609767,!1,[[5,[0,7]],[3,0]]],[45,
cr.plugins_.Text.prototype.acts.Destroy,null,0xc1e4fe3e37ede,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,6422488498741682,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0x82f67c8001e77,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,5533887633379183,!1],[-1,cr.system_object.prototype.acts.Wait,null,0x830e70c94bce,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,6439777452839213,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7084103399058255,
!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,864360884471107,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9863683772969118,!1,[[6,"Start Game"]]],[-1,cr.system_object.prototype.acts.SetVar,null,6960560420181365,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x7973f4b3268ed,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,657212117355832,!1,[[10,0],
[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xad528b3dba811,!1,[[11,"move_on_to_next"],[7,[0,10]]]]]],[0,null,!1,null,0xa23bee19a83a2,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7844591689877684,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8281304489064291,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9771519664587120,!1,[[10,
0],[8,3],[7,[0,8]]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf362136c2fb55,!1,[[10,0],[8,4],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7170556689240225,!1,[[5,[0,10]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8132263787498994,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc645e4a766c09,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc114e72d0d5a4,
!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,903779234419356,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8462cff9bed62,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xadaf1a3b292b9,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9734564295654552,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0xf89e5c3ba12c9,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,
null,0x9931f4fa8144a,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,9266255238455328,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,4653255918611676,!1],[-1,cr.system_object.prototype.acts.Wait,null,407974163769586,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0xf731c78b51561,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6422623300350489,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x4baa1bd6e283a,!1,[[5,[0,11]],
[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9907451581842840,!1,[[6,"Start Game"]]],[-1,cr.system_object.prototype.acts.SetVar,null,8044934598194907,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4899146348010344,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x80ffc3dea09ae,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x5442e236c2d5b,!1,[[11,"move_on_to_next"],[7,[0,
10]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,4895933364687762,!1,[[3,1]]]]],[0,null,!1,null,6087337010153544,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xeaab079d54e83,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xd97c9f8259dc9,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd805a8b224d91,!1,[[11,"move_on_to_next"],[8,2],[7,[0,2]]]],[50,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4736585015379065,!1,[[10,0],[8,5],[7,[0,9]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7756577852830418,!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7652941978153076,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6018046253569818,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9031927309927504,!1,[[5,[0,2]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6468962884512964,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9483774247880932,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9230914059732348,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9319212066863604,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0x5c5dd9324d91,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,
7368642343908735,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,9473249805822514,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,8792482890965534,!1],[-1,cr.system_object.prototype.acts.Wait,null,6786142837889211,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,5929791036176439,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7896810029622103,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.ResetGlobals,null,6520339915889268,!1],[-1,cr.system_object.prototype.acts.GoToLayout,
null,9929007619699952,!1,[[6,"Start Game"]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x537e75ac41cb8,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4509576805538304,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7377384392516302,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x41c8e3832f94f,!1,[[11,"move_on_to_next"],[7,[0,10]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,
null,9181005369605496,!1,[[3,1]]]]],[0,null,!1,null,9538036863477608,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8060150306594625,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x83b32a42dee4d,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x96f8085bfe2af,!1,[[11,"move_on_to_next"],[8,2],[7,[0,2]]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0xc3f3b51b975f7,!1,[[10,0],[8,5],[7,[0,9]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5155958137997389,!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8429784182528942,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7258162547741207,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9583460135936602,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,
7611690832315764,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5401379631960576,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5800411793409407,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x7178d5c68ab6c,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0x6f85c948d04b3,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,8159054646245575,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,
null,9339002844754068,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,5387129717230552,!1],[-1,cr.system_object.prototype.acts.Wait,null,0x3cdf3d7b69914,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x512a0640849ff,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6118345899028929,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0x68e0075df4a13,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xe77e90a9108d,!1,[[11,"questiontimer_easy"],
[7,[0,60]]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,408959243887419,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xa44dd788c8eff,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6244082609237916,!1,[[11,"move_on_to_next"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8373921966943299,!1,[[6,"Start Game"]]]]],[0,null,!1,null,7477358337922125,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,
!1,!1,8410480121434516,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xf3f79470f4278,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5cdb07db10919,!1,[[11,"move_on_to_next"],[8,2],[7,[0,2]]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x72b11117b82bb,!1,[[10,0],[8,5],[7,[0,9]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6352230601488784,
!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8568785386290813,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,572823683903601,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xbaab8f9dbb1b0,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xdd2489fbd1e9e,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,677439933449854,!1,[[5,[0,5]],[3,0]]],[-1,
cr.system_object.prototype.acts.SetLayerVisible,null,5538058129595753,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8e6a8baa29ab5,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0xb8f134554fe04,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,6103752175925167,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,4530691675436561,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,5356405369236608,!1],[-1,cr.system_object.prototype.acts.Wait,
null,87124325265355,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,9838094866568452,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xbbb468e120e39,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.ResetGlobals,null,5593529734368533,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5842422224355887,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6203105238579627,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,7473676549513389,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xd51590a2c72df,!1,[[11,"move_on_to_next"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8297695183266867,!1,[[6,"Start Game"]]]]],[0,null,!1,null,7679270081527265,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9444681711545804,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xac275a396b36a,!1,[[1,[20,37,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,9]]]],[3,0]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6499489593193158,!1,[[11,"move_on_to_next"],[8,2],[7,[0,2]]]],[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xa4469876ba034,!1,[[10,0],[8,5],[7,[0,9]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8780158450116903,!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6417386613045937,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,4822804732252614,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6133529427701904,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9796323557447296,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8c017fb9393ec,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7167363824542228,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc36eab6857ebd,!1,
[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,6336264333254968,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,4892955953992222,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,5345538682724779,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,8998775259383553,!1],[-1,cr.system_object.prototype.acts.Wait,null,0x6a8ab61ed0f66,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0xb1413a29184a8,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xac53a0b0f89aa,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0x9de8d25717e82,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5141566015158073,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb8d7d85d4a4cf,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x895351e910282,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8799423756926836,!1,[[11,"move_on_to_next"],
[7,[0,10]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0xde975bfcde8a6,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,639174363749832,!1,[[6,"Start Game"]]]]],[0,null,!1,null,8499478742704784,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,7601780372832145,!1]],[[63,cr.plugins_.Text.prototype.acts.SetText,null,8258289362955288,!1,[[7,[21,50,!1,null,0]]]]]],[0,null,!1,null,0xf2edfd0c6e16a,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,
!1,6807974266880046,!1,[[4,67]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0x4fd2a8758b67d,!1,[[6,"Start Game"]]],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0xa5d1b5c7f3b08,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x3cda66b17c4a9,!1,[[11,"questiontimer_easy"],[7,[0,60]]]],[49,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x542faf7790974,!1,[[10,0],[7,[0,10]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4663788170052251,!1,[[10,0],[7,[0,10]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,0xf0a048a87d25d,!1,[[11,"move_on_to_next"],[7,[0,10]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x9e8e34cfe094b,!1,[[3,1]]]]],[0,null,!1,null,0x56b36414f520b,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5155724592886172,!1,[[10,0],[8,2],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,5410292360189856,!1,[[6,"Start Game"]]]]]]],["Code - Med",[[1,"move_on_to_next_med",0,25,!1,!1,0x732d729f3805b,
!1],[1,"questiontimer_med",0,90,!1,!1,6537502535083484,!1],[0,null,!1,null,8000006918343141,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,7576277201656504,!1]],[[3,cr.plugins_.Audio.prototype.acts.Play,null,5344758196913723,!1,[[2,["kelly_bgm",!0]],[3,1],[0,[0,0]],[1,[2,""]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x681ac033dddfa,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb437051a1d6d8,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,9083328602797280,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5310057160857704,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8754264112379814,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6682999763513041,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8532618891657823,!1,[[5,[0,9]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x7cc3cb135998e,
!1,[[5,[0,2]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7275333954627069,!1,[[5,[0,7]],[3,1]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8600374499987799,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x780ea0fb4cd8b,!1,[[10,0],[7,[0,25]]]]]],[0,null,!1,null,0xdf1be7a60703d,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0xf5963684d0f6c,!1]],[[75,cr.plugins_.Text.prototype.acts.SetText,null,9236062986287166,!1,
[[7,[23,"move_on_to_next_med"]]]]]],[0,null,!1,null,0x7fb508a97bf11,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,954938568829908,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,303967674514042,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,8147657593580467,!1,[[11,"questiontimer_med"],[7,[0,1]]]]]],[0,null,!1,null,6132528239719375,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,4769114057714559,!1]],[[53,cr.plugins_.Text.prototype.acts.SetText,
null,0xf7477a0820737,!1,[[7,[23,"questiontimer_med"]]]]]],[0,null,!1,null,6161426373995291,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9471026110536838,!1,[[11,"questiontimer_med"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0x52715850b2edb,!1,[[6,"Start Game"]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4764443178314327,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8670955147471922,!1,[[5,[0,4]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,70303476821994,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xaa1f218d33598,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8446153673234874,!1,[[5,[0,7]],[3,0]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6900211454597212,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xae8d90b9cd3a9,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,8729272222395933,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4582103596192978,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.ResetGlobals,null,407016115260504,!1],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0xd9c58952389c5,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,6099448683049867,!1,[[0,[0,4]]]]]],[0,null,!1,null,885921149061392,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,
!1,8964958166319786,!1]],[[74,cr.plugins_.Text.prototype.acts.SetText,null,0xf4ecd5578427f,!1,[[7,[21,72,!1,null,0]]]]]],[0,null,!1,null,490171445684829,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0xc3f8ac59a6c02,!1]],[[69,cr.plugins_.Text.prototype.acts.SetText,null,0xcb53462ae9cfd,!1,[[7,[21,73,!1,null,0]]]]]],[0,null,!1,null,7845046133179917,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9320902566443366,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,7450768083201393,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xc6fe483d7bf4c,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7318171993426543,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6163086495133284,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8488206350102543,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8302010027817476,!1]]],[0,null,!1,null,5281883419180325,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6900563776477013,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9663161917775156,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9957018099011184,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,7764673272089477,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x8fccd173f4e54,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7769750914764162,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x92a1ce090b970,!1]]],[0,null,!1,null,6256048355465075,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,418986626482917,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,9242351472525484,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8738729831043147,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4699497496541031,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5344952898412977,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xfa97ef9c11dd,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9e47c77e90359,!1]]],[0,null,!1,null,9933403708100266,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,930636264911286,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xc23f415ad6b28,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x87d65883911dd,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0x97a3e07bdb11a,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9618431884944366,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xd0d0838e621f6,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8515230984399572,!1]]],[0,null,!1,null,6825681338703549,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x72fc085381ae8,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x98ef64be113e5,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9133109398528164,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9007946395191576,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x5d82d9f664a5d,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,44777691746045,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,6795000068987785,!1]]],[0,null,!1,null,0x4e907cd427faf,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7628890923853634,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9331383492489184,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe5d6d1c2cc71a,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xdf47c899e962a,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd3a5b55f6b23f,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5714280604757374,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xda362379f4f5a,!1]]],[0,null,!1,null,9682120291589184,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9224546708917900,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x78bf20457c735,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7318125413300573,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8236432163489466,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,324361061451266,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x5fd5df786a141,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8120262758417416,!1]]],[0,null,!1,null,0xa0408dfc11bb9,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6306491465368794,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6670923283201346,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4577088236726628,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xa9145c7abe495,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,94529413123937,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb1b8cef7ee55c,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,9536063221867322,!1]]],[0,null,!1,null,9974966324432996,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6162655852766528,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,343342693414638,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xb4f5d81d430b6,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xe6d23a0968aaf,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6433154630396233,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5263468545568072,!1,[[0,[1,
0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,9457356067411236,!1]]],[0,null,!1,null,7526297695038099,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9d63590c9a0cd,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,295564893804385,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x8582e25aff37c,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0x99ab1ea53bda6,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7663120159130064,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6834582304644863,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8126980549118738,!1]]],[0,null,!1,null,0xfdaa8d7f02a8b,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xe6ea9a4ff1f6b,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0xeea2f990b7e4d,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xf9da054c13e1,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x8c45b6298b530,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4578230531395824,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5463705174082832,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,36603454108563,!1]]],[0,null,!1,null,0xbf625cfbc61fb,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7907630925672306,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8308332084050243,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6958378097885831,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,7812633429317898,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x79c771345c5aa,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x6aab82734da01,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x836444142241f,!1]]],[0,null,!1,null,7287605848160939,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x7e2e306f85a7d,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x64a42b236da3a,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8796668717504711,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6737213216713684,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6894416638104832,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5654613974134374,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,9983879279689236,!1]]],[0,null,!1,null,6212202812613892,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,476214188384443,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8195463609172764,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x5a8261ba4bcf2,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xcbe917cd07820,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8407639055374982,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x8bb95789bbd47,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,8512459964178015,!1]]],[0,null,!1,null,0xdaf4da65b3d6f,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x5f3daa47eed67,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0xcf8717c2b4141,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x680b5a735ccd3,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6455656053780097,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7012998178721088,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb8d67fefdf327,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8049009089318322,!1]]],[0,null,!1,null,6408572678642581,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5252412355719195,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x7bb5d377f0ddc,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8088745982967626,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,8905485103913229,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9033330626113138,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x9b79bd03a9022,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8257538325387104,!1]]],[0,null,!1,null,5657211966347556,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,915061814074363,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,6161516700968613,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x930ee86f99d80,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9302782672197954,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9654149808988432,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7413427803035786,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,5712005597078596,!1]]],[0,null,!1,null,4985456779402648,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4693986182487797,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5999067833653001,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5327633603150051,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,5854863001849175,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd1ac04321edfd,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7685969074915318,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x60ac66cf1c742,!1]]],[0,null,!1,null,5351286885261609,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x5a6fc4465b53c,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,6062466852607333,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8324817010861993,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5591765777452572,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8016629373836609,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xaa209297088f5,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,5962556600949719,!1]]],[0,null,!1,null,4693031211514813,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5012137003406195,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8660187639860506,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5106932287589254,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,6417189364854462,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6528716043446456,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7717678144608845,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x75eae2f61f176,!1]]],[0,null,!1,null,8366101026669583,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x569e8ffb6f34d,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,5217681910365365,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6572525588717167,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7400603269762371,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7904637953064287,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8155048379215906,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,9351396619810918,!1]]],[0,null,!1,null,7074191804080366,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8658087097495023,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8954937797896754,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7901266553817351,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,8741501531236559,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5625010508854792,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8671457025982905,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,5542031618006076,!1]]],[0,null,!1,null,7024062331423668,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7780010571610014,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,991978655400118,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8554371840087071,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8607353856153705,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8749785960063061,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9325839333971028,!1,[[0,
[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa3bc9ddf4ed0a,!1]]],[0,null,!1,null,4848051932173596,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9512897605872508,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8903108400314373,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5249896635524991,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,8316433561001718,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x40bab876f2127,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7964013872435269,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8664249254243058,!1]]],[0,null,!1,null,0x8e7f52e2999e8,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9707443276933212,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,965685626767628,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,708802315445542,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x86e39f9a7676e,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x44dc486e8f14a,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7119820194797978,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdacf5b06a5fd8,!1]]],[0,null,!1,null,6957102679887673,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,476719777148037,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6738811612874022,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5304946285873232,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,5910114798340036,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,735852299031305,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf8392876fa1f3,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa95c4ec4bd40,!1]]],[0,null,!1,null,4878653045997757,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,797807949727691,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,6815961700214442,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6513077134637833,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,834404346295989,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7767fd2be7f48,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4504260370093205,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xda612e6b96a45,!1]]],[0,null,!1,null,7177598277349396,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf0c0c6d772474,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,564915626528793,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xfc6fbd6c6d0b5,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,9504226895331692,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8883720294664166,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x606efaa1533f3,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,5671027973549972,!1]]],[0,null,!1,null,465580102820381,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7391384369997267,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x58b951252288c,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4747045794530332,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7853543763592674,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x730757fae36c,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf4731186e156c,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,5482691007136886,!1]]],[0,null,!1,null,5718473999352987,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x407cad6c63222,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,981677979991759,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9231985779956222,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xc86663eaa81df,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9652571823908332,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6993023489106266,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,9676814243862100,!1]]],[0,null,!1,null,0x73bdb22703208,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4947052022781215,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x472cdc968b62c,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6028702714764024,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9290681388638448,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9557224451599788,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7351105714552485,!1,[[0,
[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,9761919647374898,!1]]],[0,null,!1,null,5613216471084265,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x60d2913440f01,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8325864441107148,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4572472659348397,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,5086450860257277,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe22f20f22423e,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6796712614352811,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,6642249997355723,!1]]],[0,null,!1,null,790670010401617,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7434885148202277,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x99306180c0e25,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,526518652340071,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7758646047454548,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xc4d71d05c0a6a,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6832324911651311,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8136640788001643,!1]]],[0,null,!1,null,898611210943264,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7818796446401087,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7091989378303729,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7376349693704362,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0x82f8eafdde4dc,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7183397496063994,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6581613465030309,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,6516096703060366,!1]]],[0,null,!1,null,4935177785482345,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8577495809842015,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,5642504342884083,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8748977472796464,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9731605210295538,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x8da3acee341f7,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,628846715607646,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7cc6fe10043da,!1]]],[0,null,!1,null,8729309800697974,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5447097665975966,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6549473559758076,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9062705362865108,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,7807062482849756,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9fd88e229cbfe,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4792200344395814,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x85c5d6eb19421,!1]]],[0,null,!1,null,0x3e7caed9f6205,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8467824611982767,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,7174213121179601,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8255568775641531,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8553318514960921,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5827003226987805,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x50f540e035ede,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe34b5cc967242,!1]]],[0,null,!1,null,0x6c479bc91048b,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6808086525473205,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6145352746805153,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x73b16444b3e53,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,7235972811223825,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,306490100935332,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9733091689762864,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdb8b2ffc47436,!1]]],[0,null,!1,null,50343592533862,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9249452753881272,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,7318415395458904,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5891357252058656,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4753876179677622,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6247774129677895,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x6e2c8deaaa7a2,!1,[[0,
[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd6289ea0911b7,!1]]],[0,null,!1,null,756301438202804,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5191385340814908,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8048368027284712,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe3f859c0fc0c6,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,7809809105627509,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5662185813110095,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xc0fbf6d172307,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,5261724833747883,!1]]],[0,null,!1,null,0xf37ac17658e82,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,364916815085016,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,9395337373464464,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6458848793153289,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,60491557506153,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,291204746264137,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4907547538733309,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,6189321866177291,!1]]],[0,null,!1,null,0x8d8f0528e8631,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4754014607054516,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5388172859132265,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xf5778e178957e,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xead3d091f5225,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6555075535187375,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5790859142627533,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8672202305298203,!1]]],[0,null,!1,null,4799775028739287,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4754251561600024,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,4757272380955997,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7400669404842443,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xf07bd3f59cb3e,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4576099698476548,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x830790852805f,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,9325374361031380,!1]]],[0,null,!1,null,9289307795021272,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x4938c8877fe83,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5307146822940208,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6876108745358696,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,8305924160098157,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x79bcf2e7ae6f0,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5207096527738237,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,7287447914266741,!1]]],[0,null,!1,null,8747407790995171,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xc4dc660ddf96d,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0xc23d0470092e1,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9236086539391696,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xad8e814f3e7f4,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x4d92c16316183,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,482755922706144,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8353424a452bc,!1]]],[0,null,!1,null,5687054872647377,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4568342272464516,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x66984a48ac24f,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5236199467666704,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0x490679a3706d1,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd9d23c7895a0f,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6551177648411231,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x79241b24abd72,!1]]],[0,null,!1,null,6155240374950746,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xa4305c43b8daf,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,8449109086825814,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x6d0801cc052aa,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5905117310135027,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb829dd2b08173,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6524647028885763,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,9713120034775824,!1]]],[0,null,!1,null,0xc7e2025cec42,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8741349626545417,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x6ea292b5f42ab,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6889995335891391,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,8019594268904123,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7671262927002081,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xc0a489cbfec84,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf64db5b74a51d,!1]]],[0,null,!1,null,9560270609272028,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6345947663278653,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,5623626119631414,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6322018148159395,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x896408c5a6aed,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8335535079969519,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4587281368532449,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,9825032926083104,!1]]],[0,null,!1,null,905108675226687,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7742435641978102,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6818971690025284,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,597263066835146,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,5807656874235368,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xcc5f462acc55b,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7366583124405415,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,7469699070519663,!1]]],[0,null,!1,null,9836041747416952,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9738489293802744,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x94d7d6c65bf78,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,558478368325574,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xa704b5a2cf7d9,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,891918571578671,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x86f6a90957b62,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,6374668689964128,!1]]],[0,null,!1,null,900499848823319,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5403545130070068,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9596856309489378,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x9c92fa1386a6d,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,6635641293938348,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbaa59ce69f5c5,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7559017623665267,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,9668250044406818,!1]]],[0,null,!1,null,0xbcdd0ce07f14,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,42539663363707,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,4764771537329602,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xbd8e70c0ac252,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9229928513331592,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5803915049937663,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,589284165958525,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,4702459416209501,!1]]],[0,null,!1,null,7550063597018634,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6789640110030023,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xbb00522940552,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xc055a701ae0ad,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,7890343542797812,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7909181830722075,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x7d137e7e5dffd,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8971182660442947,!1]]],[0,null,!1,null,0xe61c894f7c5b3,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7759941916809862,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,9079837505512138,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x98d6c330957f,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4901612774450602,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5414901593452534,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7403308933541744,!1,[[0,
[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,5538537114731011,!1]]],[0,null,!1,null,6717251600925645,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8151156814123547,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4661401974887726,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4709374466748615,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,34157353017868,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7307369287963728,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x3d29056e7fa2a,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,7338691172662983,!1]]],[0,null,!1,null,6779901644581385,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8727000817560277,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0xdafd384961883,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x735b24662e094,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5118783747146413,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd7d76e98fcfa8,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x75a1489b28ff2,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,6547425086827191,!1]]],[0,null,!1,null,5249759426696152,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5770616736946666,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9443788372761532,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7946727660924761,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,951001554790861,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x701e1d8d409d0,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7889279042908862,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x964c8d8724ad8,!1]]],[0,null,!1,null,6985617251773699,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xdc391e71a9425,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0xa2dac72436bf2,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6085551049417746,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x3e20c793b79ea,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd52dfc1457557,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,718137743266369,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,538811918615508,!1]]],[0,null,!1,null,0x3c3db3b40fdba,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,409353245257352,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xf13954e8ae311,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa04dac2a84aa4,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xeb8a20554229f,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9288803327007372,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9128154806171698,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x50d6481b12f99,!1]]],[0,null,!1,null,9701810104844084,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6997880548746682,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,8067346264906939,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xd2ac050d0d4c5,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7814338924946577,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x8559665955121,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf09739a8d012e,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8488175481657427,!1]]],[0,null,!1,null,8300979792597315,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xcac6372b5f85a,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x3b2785d25f6f2,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x5ffabda033cf2,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,605916380304135,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7607973523611241,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5409589009543816,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,6396814351725457,!1]]],[0,null,!1,null,0xcc673e7acd1bf,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xefc4a5ef2a05c,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0xf810d04af5f08,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7027492756676201,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x9f3c2f5eabdf1,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xcb979b8c46287,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4811781878527775,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa3c9bd799caac,!1]]],[0,null,!1,null,7670521706338888,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xb82ea11da0cc5,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9489935849206344,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9128804351142582,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xf72a7bc3ca17c,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x994471a3eed6b,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8391619225278372,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x601c044fe407d,!1]]],[0,null,!1,null,7654868840079426,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8717415939091279,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0xbb9caf052e5b4,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xb19ffef03d2ef,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7605259180303964,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5032972633355213,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4865204916412953,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,6362293008725615,!1]]],[0,null,!1,null,0x8ba6287b7ef94,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9186164781127422,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7559482922779884,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x6ac70cd3d6779,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,6625954366724134,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5467665411184176,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,766657627525198,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa5fdbfb1c2503,!1]]],[0,null,!1,null,4899182243331393,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9365977079828544,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0xe96c59b7febd1,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,997344081092476,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5109434648125494,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8061298898506235,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9674115624568406,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8538374974755888,!1]]],[0,null,!1,null,579618712957945,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6291893193433453,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5512510884033362,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6376996858890452,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xe1d5b98967c1f,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x523eaccac5d4b,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x4fcee5ff92a45,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,4538789535638059,!1]]],[0,null,!1,null,0xdd8c1db33a0fd,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6925227746428752,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x5a99322475339,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xdfc2035c1ec22,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,659468168126507,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3b0a9ba845380,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9759040359409496,!1,[[0,[1,
0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa1d93a876ee8,!1]]],[0,null,!1,null,7738942202423049,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xa0b12ebda953a,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x422c211699bd4,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9756104690849676,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,5466355304208367,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8099722843880339,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4689596078897941,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,4914374566258287,!1]]],[0,null,!1,null,0xb0780eac936eb,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf062c3a7b30cc,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0xdeed3d5e93b1e,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7430656711146448,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xac5b52f9cd097,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9388002524490418,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4831866430929086,!1,[[0,
[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,8176616662912052,!1]]],[0,null,!1,null,446318844550049,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,612769573404783,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8958262533604715,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xada81f7b48144,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,9242111729211138,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,896764358981991,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xfe7d6bf95a2c7,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,9195814944690756,!1]]],[0,null,!1,null,9458682962624088,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7201611417343539,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0xeafd459abdcef,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8903158345802117,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9856945909490636,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x8cd2c3ba4e52d,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7323901115818859,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,353651558574016,!1]]],[0,null,!1,null,0x4c51fe2556d82,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9604373560124586,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6089519240930437,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6895365275852308,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0x89be108b9eed9,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x60de9dae2fdfa,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,58479309529833,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,4625185109236646,!1]]],[0,null,!1,null,0xf621a04ff819d,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4573670648399316,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,5278989319895345,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9038785084301232,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xaf15517888b0,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8367197409918956,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9042441750421502,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,5962056620494098,!1]]],[0,null,!1,null,0xe6f20ae53d481,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xe779b2f872f97,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4700323135656176,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7599bfb42aa5d,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,9757822029964258,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbb5d4ab92c883,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5058188339560198,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,6133832751583882,!1]]],[0,null,!1,null,0x691d90d3c800c,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7669637362045224,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,8889069107145748,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4506363135859362,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xa00eedcaac9ed,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd4552a250056b,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6413791191920909,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,6861000154456117,!1]]],[0,null,!1,null,0xecf68b6cc5a31,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4844928151802285,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8590759155992484,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6347409936504335,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,8295890167630794,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4781257532615177,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x823db614259d,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,9188975200268954,!1]]],[0,null,!1,null,0x497c45e1431be,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4648402924358633,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,6867029537855903,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xc93f0223d65f4,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xe44fe7f44616b,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8835219782357997,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7645840422888446,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5ca91ee2e151b,!1]]],[0,null,!1,null,7407944137222699,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8935a4ae5b734,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7644346944296107,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7fa2c8876af8b,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xd8c5a8548ad9,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x730ced067d0da,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,699287576878558,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9013807c982c5,!1]]],[0,null,!1,null,0x502e1821e226d,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9623795096750816,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,9742483027630320,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,20]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xfc29938d345b1,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,858715765952191,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7806927216477211,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x7ab691a8c1319,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,5994081030067313,!1]]],[0,null,!1,null,0x8cec9c7b851f5,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7090023710045526,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x6df7c05be22bf,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,20]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8304522601572109,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,6425291390678425,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3907682b6b683,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5325734590377867,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8248004089126888,!1]]],[0,null,!1,null,8062369282015903,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4640302885733578,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x515bc300f8638,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,20]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6918113127855903,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7222025939007457,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7349237141058057,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x9119b7c9fc954,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8c2ee74d5ee07,!1]]],[0,null,!1,null,0xc1b636774917,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x43df7df5eb2b6,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xaa40860b17581,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,20]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5113238534937714,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xc1736178f14de,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbc89c1c3b1b6c,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8534126726874185,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7c96cfdc35bea,!1]]],[0,null,!1,null,0xac8ef8950c45e,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5927960907782895,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,8781103291731568,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xba0ec294bec89,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6607297410898481,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,993241388454637,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8201994496741508,!1,[[0,
[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,776398042022748,!1]]],[0,null,!1,null,8637607881178311,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,431078863570961,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6850785918674715,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa8bc7ca8ed01a,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,5945660766744752,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6870082387460562,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9616371890727696,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,4786084913855889,!1]]],[0,null,!1,null,8066862078491551,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8754446464543095,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,669087077904069,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8108024063234927,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5637385593827656,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7c3af94bdfe22,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7755950671017474,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,7732299322804287,!1]]],[0,null,!1,null,6664946487677742,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4607238032296153,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6062629235717283,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xaa169d2827c58,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,5332963925024177,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x758f4644955a1,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7698873798010548,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbdfba24e14973,!1]]],[0,null,!1,null,0xa53bcee863407,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9984565493844312,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,8487354358707778,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5809932158103662,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x44f34498d56c4,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5059030594322304,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x3b6fc2388de56,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,7102949364452076,!1]]],[0,null,!1,null,0x529afbc0bfa1b,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8389398730435382,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,741710274888804,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9587842491400900,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,6134033785236169,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7816601471197052,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,302817522248399,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x41f11b0eba140,!1]]],[0,null,!1,null,0x4c67dc6c07058,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x95da7e92fda5d,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,7403287353588529,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7351052896518091,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x6e1dda864383e,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,635070718271733,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9688379909557604,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc7b02ebe84ad7,!1]]],[0,null,!1,null,6528906763967472,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7023430638751298,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8406292509198155,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6307813836001329,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xa679eaf92b15e,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xff6e111a1904a,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xdeeae1d24eb38,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,6946070928616367,!1]]],[0,null,!1,null,8301233060487623,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,968248823645816,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,9819677373477832,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9187095097601114,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x6efb403b4d219,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6585051986063797,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6563402428079148,!1,[[0,
[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd456b2979de18,!1]]],[0,null,!1,null,4843202847882012,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8342513543970915,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5441559317286326,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5129237786077093,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,9891893197924846,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4913986189762791,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x4fbd5fbd76517,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,7500125854820956,!1]]],[0,null,!1,null,5187817560024721,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8467353861961038,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,5425363058793892,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,405767188581885,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5610120142289429,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x5b5fe5a5bce4c,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9866060056661566,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfba6d3202bada,!1]]],[0,null,!1,null,0x878fd92c8302b,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,502642191415087,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5367127856272918,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x9b311012f33dd,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,5824254098978157,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x8d6cf2ffde663,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xd500cf12320c6,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x66b34b126fb52,!1]]],[0,null,!1,null,6280425458801401,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9246595057964162,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,6131434368999277,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x9c45334208238,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,452891648842162,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9987863333181936,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5387254685608999,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,8092065099740111,!1]]],[0,null,!1,null,0x3e55bdef37af6,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8069754737159751,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9326643020834508,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xaa50603d37195,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0xb718c5e97b209,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3fc5524c13045,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6710211219255845,!1,[[0,[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,9249207655089784,!1]]],[0,null,!1,null,0x57f14570376a3,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8280472850848662,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,9125719321046022,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]]],[[73,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6210779043006929,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7784156565507958,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,36176948204337,!1,[[4,73],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6297272092329446,!1,[[0,
[1,0.5]]]],[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,7911744597000742,!1]]],[0,null,!1,null,8121191719304257,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8dd8eb9409307,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8295409867950233,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]]],[[72,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcbf20eec410ee,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,6001542459547885,!1,[[11,"move_on_to_next_med"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7469871349815872,!1,[[4,72],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8493530622289899,!1,[[0,[1,0.5]]]],[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5aceb50d123f2,!1]]],[0,null,!1,null,6263705473689077,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0xfccc4ec0ad545,!1]],[[68,cr.plugins_.Arr.prototype.acts.SetX,null,
6715888538305286,!1,[[0,[0,0]],[7,[2,"What is the name of Deep Space Nine's sister Cardassian station?"]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,5243866209563027,!1,[[0,[0,1]],[7,[2,"Besides the Defiant,  the _____ is another Defiant-class vessel."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,0x8785fcb3594a7,!1,[[0,[0,2]],[7,[2,"This agent working for Section 31 sometimes bothers Dr. Bashir."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,6112224440230175,!1,[[0,[0,3]],[7,[2,"Which DS9 recurring Starfleet Officer joined the Maquis?"]]]],
[68,cr.plugins_.Arr.prototype.acts.SetX,null,0xda61d750606cf,!1,[[0,[0,4]],[7,[2,"The Pah Wraiths once took over the body of this person."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,8049442967980149,!1,[[0,[0,5]],[7,[2,"Which character did not 'play the game' in 'Move Along Home'?"]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,4721708330849367,!1,[[0,[0,6]],[7,[2,"Which Dax host did Kira take on during Jadzia's zhian'tara?"]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,9388579408657896,
!1,[[0,[0,7]],[7,[2,"This man was Vic Fontaine's arch enemy."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,594147593979002,!1,[[0,[0,8]],[7,[2,"Speaking of Vic Fontaine, the so-called varience in his program in known as a ____."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,4593009240986168,!1,[[0,[0,9]],[7,[2,"'A Ferengi without profit is no Ferengi at all.' is Rule of Aquisition #_____."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,0x96ff57284bda8,!1,[[0,[0,10]],[7,[2,"This Cardassian claimed to be a murderer even though he was only a file clerk."]]]],
[68,cr.plugins_.Arr.prototype.acts.SetX,null,0x6760301255872,!1,[[0,[0,11]],[7,[2,"In which season does Nog take his Starfleet entrance exam?"]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,9743177246701412,!1,[[0,[0,12]],[7,[2,"This Ferengi enjoys popping up in Quark's childhood closet."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,0x953f5c9b1a581,!1,[[0,[0,13]],[7,[2,"This episode marks the beginning of the official Kira/Odo relationship."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,
0xee0424c7dd8f6,!1,[[0,[0,14]],[7,[2,"On his first date with Kira, Odo was under the impression she was actually a____"]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,0x5bc09b958da97,!1,[[0,[0,15]],[7,[2,"What was the name of Jake Sisko's deceased mother?"]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,5370123261547603,!1,[[0,[0,16]],[7,[2,"Sisko becomes Captain in this episode."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,0x6e9b493a77a0c,!1,[[0,[0,17]],[7,[2,"In 'Far Beyond the Stars', Sisko portays a man named _____."]]]],
[68,cr.plugins_.Arr.prototype.acts.SetX,null,0x69379fa6284a5,!1,[[0,[0,18]],[7,[2,"Which is these characters was NOT played by Jeffrey Combs?"]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,9628238226945052,!1,[[0,[0,19]],[7,[2,"Nana Visitor and Alexander Siddig had a child in real life. His name is ____."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,0xcbffbe51ebfb5,!1,[[0,[0,20]],[7,[2,"This Bajoran thought he was the real emmisary."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,0x9d4d0b3a38c0d,
!1,[[0,[0,21]],[7,[2,"Kira was brainwashed into thinking was was a Cardassian named _____."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,9097160941494016,!1,[[0,[0,22]],[7,[2,"Ezri Dax finally ends up with this man by the end of the series."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,6224625807312355,!1,[[0,[0,23]],[7,[2,"Quark and Odo help one another in this episode."]]]],[68,cr.plugins_.Arr.prototype.acts.SetX,null,6261642746161678,!1,[[0,[0,24]],[7,[2,"A Jem'Hadar is considered an elder when he hits the age of ____."]]]]]],
[0,null,!1,null,0x7cda4f798ec7d,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5843822347543961,!1]],[[52,cr.plugins_.Arr.prototype.acts.SetX,null,6371159642285106,!1,[[0,[0,0]],[7,[2,"Terok Nor"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xa265121b29867,!1,[[0,[0,1]],[7,[2,"Empok Nor"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,9611882773959164,!1,[[0,[0,2]],[7,[2,"Empok Nine"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,8786131680047269,!1,[[0,[0,3]],[7,[2,"Empok Four"]]]],
[52,cr.plugins_.Arr.prototype.acts.SetX,null,381465211612814,!1,[[0,[0,4]],[7,[2,"USS Dauntless"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,7389962929641458,!1,[[0,[0,5]],[7,[2,"USS Allegiant"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5194472817019145,!1,[[0,[0,6]],[7,[2,"USS Titan"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5591436936941027,!1,[[0,[0,7]],[7,[2,"USS Valiant"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,8698926428663482,!1,[[0,[0,8]],[7,[2,"Luther Sloan"]]]],
[52,cr.plugins_.Arr.prototype.acts.SetX,null,7316210777763941,!1,[[0,[0,9]],[7,[2,"Gunther Sloan"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,495518971738865,!1,[[0,[0,10]],[7,[2,"Harold Sloan"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x9bac5f3d25fba,!1,[[0,[0,11]],[7,[2,"David Sloan"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xc942ed821ce8b,!1,[[0,[0,12]],[7,[2,"Ro Laren"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,6076766288331284,!1,[[0,[0,13]],[7,[2,"Michael Eddington"]]]],
[52,cr.plugins_.Arr.prototype.acts.SetX,null,8566430014126674,!1,[[0,[0,14]],[7,[2,"Kira Meru"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x94e7d84e0da74,!1,[[0,[0,15]],[7,[2,"B'Elanna Torres"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x97d270fcdf000,!1,[[0,[0,16]],[7,[2,"Benejamin Sisko"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,7594834247450954,!1,[[0,[0,17]],[7,[2,"Damar"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x5745bcf4fe3a5,!1,[[0,[0,18]],[7,[2,"Kira Nerys"]]]],
[52,cr.plugins_.Arr.prototype.acts.SetX,null,7026044884844672,!1,[[0,[0,19]],[7,[2,"Jake Sisko"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5098279978801433,!1,[[0,[0,20]],[7,[2,"Benjamin Sisko"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5675669670444304,!1,[[0,[0,21]],[7,[2,"Quark"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xf82e185c0c891,!1,[[0,[0,22]],[7,[2,"Miles O'Brien"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,7827217085881183,!1,[[0,[0,23]],[7,[2,"Jadzia Dax"]]]],
[52,cr.plugins_.Arr.prototype.acts.SetX,null,5674897484306879,!1,[[0,[0,24]],[7,[2,"Audrid Dax"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,9367106367881368,!1,[[0,[0,25]],[7,[2,"Emony Dax"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,6130489147758191,!1,[[0,[0,26]],[7,[2,"Tobin Dax"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5220287223547089,!1,[[0,[0,27]],[7,[2,"Lela Dax"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,7526215368380007,!1,[[0,[0,28]],[7,[2,"Frankie Valli"]]]],[52,
cr.plugins_.Arr.prototype.acts.SetX,null,0xfdd6477850fe3,!1,[[0,[0,29]],[7,[2,"Johnny Sax"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,4767864412924384,!1,[[0,[0,30]],[7,[2,"Frankie Eyes"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,6218105013269769,!1,[[0,[0,31]],[7,[2,"Big Sal"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5541563716457425,!1,[[0,[0,32]],[7,[2,"Needle-in-the-haystack"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xaf90496ab3ee6,!1,[[0,[0,33]],[7,[2,"Shock-to-the-system"]]]],
[52,cr.plugins_.Arr.prototype.acts.SetX,null,6709096736502106,!1,[[0,[0,34]],[7,[2,"Secret subroutine"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,963665962497428,!1,[[0,[0,35]],[7,[2,"Jack-in-the-box"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5159389924192782,!1,[[0,[0,36]],[7,[2,"16"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,8568654814676238,!1,[[0,[0,37]],[7,[2,"17"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,347020686903231,!1,[[0,[0,38]],[7,[2,"18"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,
null,7486114861022322,!1,[[0,[0,39]],[7,[2,"19"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,7560650481377685,!1,[[0,[0,40]],[7,[2,"Anone Marritza"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,7941427206676558,!1,[[0,[0,41]],[7,[2,"Astor Marritza"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5691214023903192,!1,[[0,[0,42]],[7,[2,"Armin Marritza"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xc1d8a2a8a4971,!1,[[0,[0,43]],[7,[2,"Aamin Marritza"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,
null,992921110462493,!1,[[0,[0,44]],[7,[2,"Season 2"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,4735719991858492,!1,[[0,[0,45]],[7,[2,"Season 3"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x665e9de5d7649,!1,[[0,[0,46]],[7,[2,"Season 4"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5158200214072737,!1,[[0,[0,47]],[7,[2,"Season 5"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,9018194320862804,!1,[[0,[0,48]],[7,[2,"Zek"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,8205203874556151,
!1,[[0,[0,49]],[7,[2,"Rom"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,8968612891571221,!1,[[0,[0,50]],[7,[2,"Moogie"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,7177734059436311,!1,[[0,[0,51]],[7,[2,"Brunt"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,9917634711033258,!1,[[0,[0,52]],[7,[2,"The Reckoning"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,4979124420863184,!1,[[0,[0,53]],[7,[2,"In the Pale Moonlight"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x4f3f960271f7f,!1,[[0,
[0,54]],[7,[2,"His Way"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,4663786719307791,!1,[[0,[0,55]],[7,[2,"Change of Heart"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,6844417110473736,!1,[[0,[0,56]],[7,[2,"Prophet"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x5c3c56bc0b1d6,!1,[[0,[0,57]],[7,[2,"Hallucination"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5265705918200353,!1,[[0,[0,58]],[7,[2,"Changeling"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x924c76b111518,!1,[[0,[0,
59]],[7,[2,"Hologram"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,7717970822905281,!1,[[0,[0,60]],[7,[2,"Jolene"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,4605312661047949,!1,[[0,[0,61]],[7,[2,"Jennifer"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,8561320044475884,!1,[[0,[0,62]],[7,[2,"Janice"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,443576291388181,!1,[[0,[0,63]],[7,[2,"Juanita"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x97c28b67f0b39,!1,[[0,[0,64]],[7,[2,"The Reckoning"]]]],
[52,cr.plugins_.Arr.prototype.acts.SetX,null,8244811118905006,!1,[[0,[0,65]],[7,[2,"The Ascent"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x7b403fcb0c94e,!1,[[0,[0,66]],[7,[2,"The Jem'Hadar"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,7095095432252958,!1,[[0,[0,67]],[7,[2,"The Adversary"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xc5f08dcba962a,!1,[[0,[0,68]],[7,[2,"Benny Goodman"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,6318074915990545,!1,[[0,[0,69]],[7,[2,"Benny Sisko"]]]],
[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xc8e3dd680393c,!1,[[0,[0,70]],[7,[2,"Benny Russell"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x78427bb737617,!1,[[0,[0,71]],[7,[2,"Benny Jones"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5276872748668452,!1,[[0,[0,72]],[7,[2,"Weyoun"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,4943521727757543,!1,[[0,[0,73]],[7,[2,"Brunt"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,7767567599392747,!1,[[0,[0,74]],[7,[2,"Tiron"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,
null,403450036820623,!1,[[0,[0,75]],[7,[2,"Zek"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,4600470029417367,!1,[[0,[0,76]],[7,[2,"Alexander"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xa98e18d315e52,!1,[[0,[0,77]],[7,[2,"D'Jango"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xc40ca45ac263b,!1,[[0,[0,78]],[7,[2,"El Fadil"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x8499201181128,!1,[[0,[0,79]],[7,[2,"Sid"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,8212853864346272,!1,
[[0,[0,80]],[7,[2,"Opaka Sulan"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xe8a7dafae1a0a,!1,[[0,[0,81]],[7,[2,"Sito Jaxa"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,9535643660191708,!1,[[0,[0,82]],[7,[2,"Bareil Antos"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5266614250933488,!1,[[0,[0,83]],[7,[2,"Akorem Laan"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xc53ba2a74c858,!1,[[0,[0,84]],[7,[2,"Iliana Ghemor"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,813315004721408,!1,
[[0,[0,85]],[7,[2,"Elana Ghemor"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,8185840490447448,!1,[[0,[0,86]],[7,[2,"Tora Ghemor"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x58ef74e405e40,!1,[[0,[0,87]],[7,[2,"Ziyal Ghemor"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,9769754048705982,!1,[[0,[0,88]],[7,[2,"Worf"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,8633579964488125,!1,[[0,[0,89]],[7,[2,"O'Brien"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,6387780207191928,!1,[[0,[0,
90]],[7,[2,"Morn"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5282370706783471,!1,[[0,[0,91]],[7,[2,"Bashir"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x4b99a06130400,!1,[[0,[0,92]],[7,[2,"The Acsent"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xe33f9f1970d4d,!1,[[0,[0,93]],[7,[2,"Second Skin"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,4735945713977274,!1,[[0,[0,94]],[7,[2,"Profit and Lace"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x60e3bf80e8e5b,!1,[[0,[0,95]],[7,
[2,"What You Leave Behind"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xc800ab1c20f12,!1,[[0,[0,96]],[7,[2,"17"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0x71275d4f608b3,!1,[[0,[0,97]],[7,[2,"18"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,5343142750708641,!1,[[0,[0,98]],[7,[2,"19"]]]],[52,cr.plugins_.Arr.prototype.acts.SetX,null,0xff56ba57de48,!1,[[0,[0,99]],[7,[2,"20"]]]]]],[0,null,!1,null,0x6ce612d157dd0,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,5006377387952281,
!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7445874671320187,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,25]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,9427257402969576,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,519499124590533,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,8572383877415869,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,1]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,8430673856241165,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0xe1f2725bb9bb5,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]]]]]],[0,null,!1,null,6417777701006595,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,9707301024568920,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6d6e4c68b1903,!1,
[[11,"move_on_to_next_med"],[8,0],[7,[0,24]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,8592120410808017,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,6491435151565026,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,8692020136364457,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,868575964965753,
!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,4987616246806931,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]]]]]],[0,null,!1,null,6729906539644741,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,6450364303250232,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x46b1cf0fc5179,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,23]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,0xc95b1570dcd8a,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,7269438448012116,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xd2f56cba47a20,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,9833367821873798,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,0xdcd5f19a58b71,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]]]]]],[0,null,!1,null,9554831689757840,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x7418fefd241b6,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8736230992876982,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,22]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xe278c868a97c6,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,9571158159826680,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,9903007277811424,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7304147524456172,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,8745756979488615,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]]]]]],[0,
null,!1,null,0x668981e3a5896,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,4787509162881905,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5004144194434834,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,21]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xcc1f454a3eee0,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x777d750c3931d,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,16]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,7305196217460704,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x910822d0e567f,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,471486608555867,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]]]]]],[0,null,!1,null,6833435010680198,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,9879804453014176,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8665790116075757,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,20]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0x97b5505a62c79,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,7064123220707253,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,20]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,7272767767658738,
!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7167621224262958,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,8062167172660157,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]]]]]],[0,null,!1,null,7269489091150589,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,323181603950192,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xc0fca41d5bee8,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,19]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,9736540251471946,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,6590138505682119,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xe4cf2230b00b0,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,25]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,8998370806311605,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,26]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,5492039448214313,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,27]]]]]]]],[0,null,!1,null,0xf7a86a17f0d51,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,5709588975824212,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x812c009ae0a8f,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,18]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,4640184459843266,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,5206639101107384,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,28]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xe907c94425fe8,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,29]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,6484193209740854,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,30]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,0xb00c1bfb3a6c5,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,31]]]]]]]],[0,null,!1,null,0x90ab277db806f,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x4ac19cf1c023d,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,530051093814367,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,17]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,4957274161692706,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,6824623738097796,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,32]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,6371407517930007,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,33]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,5956947003046214,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,34]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,421599027640421,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,35]]]]]]]],[0,null,
!1,null,0x3a7da6002c759,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,5958811470080652,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9694147469494024,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,16]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xea8bb35baddda,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,7353319229209563,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,36]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xbd03d96b12f44,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,37]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x80e8af4e8ced2,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,38]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,4873557640332455,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,39]]]]]]]],[0,null,!1,null,0x4811053593951,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,9074295130245362,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x50d7250487e6f,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,15]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0x623a885be5f65,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,5276984306416898,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,40]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,8739455641304545,
!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,41]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7574638081721943,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,42]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,916276226596867,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,43]]]]]]]],[0,null,!1,null,545298764816027,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,7882201357931933,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9123715572811044,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,14]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0x4b8c1dafcfc1d,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,8247895004918581,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,44]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xe626b354f724a,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,45]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,6608658201802684,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,46]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,9518782345156324,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,47]]]]]]]],[0,null,!1,null,6478124028168263,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,4640356599757157,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5692789406264365,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,13]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,9073691679161102,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,9782140782844016,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,48]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,824750730036654,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x9de32cae7c6f4,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,50]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,544762956632539,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,51]]]]]]]],[0,null,!1,null,9958755339217704,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xaff5672c44a30,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x812c7c1b354de,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,12]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xecdb79e3fe5e0,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,6842815082412658,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,52]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xaa69f480ed7b0,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,53]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,5341107340999985,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,54]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0xb82788d49cfa4,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,55]]]]]]]],[0,null,
!1,null,0xf5a62533a1397,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,79340326177715,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe585d54025297,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,11]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xf977f8ca9dcf1,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,8333056403015567,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,
null,[[0,56]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,7184023196083243,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,57]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,6749246457089438,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,58]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x949831f99a43d,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,59]]]]]]]],[0,null,!1,null,4541453833016978,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,56988633729894,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5057858177475669,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,10]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xd876cd25bb1e5,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,8610783991229781,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,60]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,4753783370129528,
!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,61]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x4f93edb96d649,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,62]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,8639153579804549,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,63]]]]]]]],[0,null,!1,null,4869473298977271,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x40b1ca5bef39c,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xd7beb4b6fe4bf,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,9]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0x95f645b8cd74c,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,6415039831280882,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,64]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x90a4cf45c9bb0,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,65]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,6443427633913037,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,66]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,9454934846710880,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,67]]]]]]]],[0,null,!1,null,0xf78fb5fb02102,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xbe1d8fd4e00b,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,288525391395829,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,8]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,0x8ae6251ade432,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x99bf99d1384a6,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,68]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,7388958808138354,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,69]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,583201086584315,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,70]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,419681315923212,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,71]]]]]]]],[0,null,!1,null,4583239177644889,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xa1eb96f83a82a,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6940014827265096,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,7]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,9702165255097236,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,7485201469252059,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,72]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xaba1f26a29ab7,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,73]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,8588897082554551,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,74]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,8030969060616226,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,75]]]]]]]],[0,null,
!1,null,0x6a396c67f14dc,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,9014501155374300,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x735e94d42acce,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,6]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,997539200378271,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xc270ff7f1732a,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,
null,[[0,76]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x45fee169cb1c7,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,77]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,4513958760429605,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,78]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0xa7f513f47b681,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,79]]]]]]]],[0,null,!1,null,0xb9b7fb168559f,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,0xd09d9e8c4f582,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7475773462547159,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,5]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,5695636236003714,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,20]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xb62e1f5fde136,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,80]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,5139458963419968,
!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,81]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x5aa8d6b797eb7,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,82]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0xa20d6584adb74,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,83]]]]]]]],[0,null,!1,null,0xecd918b040605,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xd47d774e1f7f9,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5817379641241755,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,4]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xe253480ff4e41,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xa8ec98ec7a74c,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,84]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xa232efe58c1b9,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,85]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,851251473176396,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,86]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0xe61c0fc76f087,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,87]]]]]]]],[0,null,!1,null,0xcfbed66d80382,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xf978c03d72b11,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x703431968fe67,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,3]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,9954910347134002,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x3f37f1020ded3,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,88]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xedb3d718e14dd,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,89]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x76232c4ed951f,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,90]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,8518374233787328,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,91]]]]]]]],[0,null,!1,null,7722502695095022,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xfc2e54b09045,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x847fbfcb54541,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,2]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xad80a98396ec9,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,0xa82d7d777ff2f,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,92]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,4725456174789164,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,93]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7126454696643309,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,94]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,8578315794618105,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,95]]]]]]]],[0,null,
!1,null,5427758808624097,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,7000221193208526,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6326142129192538,!1,[[11,"move_on_to_next_med"],[8,0],[7,[0,1]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xb83eea8ae50b7,!1,[[7,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,7696569609727421,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,96]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xb639dafdf6267,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,97]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,907621442233259,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,98]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x62a8c9dea1f95,!1,[[7,[20,52,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,99]]]]]]]],[0,null,!1,null,6437098838095783,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,4857938280832062,!1,[[5,[0,8]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6232746742721055,!1,[[10,0],[8,3],[7,[0,5]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7253695959993647,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5260657744636194,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6002754320530567,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,6377685210460782,!1,[[5,[0,13]],[3,0]]]]],[0,null,!1,null,0x9d3308159c00,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,7294466684077582,!1,[[5,[0,10]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb324d19847ac7,!1,[[10,0],[8,4],[7,[0,5]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6987363038935476,!1,[[10,0],[8,3],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x91273c37c8174,!1,[[5,[0,
8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9526955193730012,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9031111278115868,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8450095410599186,!1,[[5,[0,13]],[3,0]]]]],[0,null,!1,null,9052274331147082,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x96a1e2d4ad390,!1,[[5,[0,11]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,
!1,!1,!1,9682633091822716,!1,[[10,0],[8,4],[7,[0,10]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9011429430374192,!1,[[10,0],[8,3],[7,[0,15]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6691432221410648,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x43b803017f7f9,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa39c712635936,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,8569709823735833,!1,[[5,[0,13]],[3,0]]]]],[0,null,!1,null,8037627928712626,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,5713311001991348,!1,[[5,[0,12]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x8e885dd174610,!1,[[10,0],[8,4],[7,[0,15]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9597158226839876,!1,[[10,0],[8,2],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xfb41853762473,!1,[[5,
[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6182246317512832,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x6409c47fc5491,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6098931765000456,!1,[[5,[0,13]],[3,0]]]]],[0,null,!1,null,4728496005757565,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,779340611311007,!1,[[4,45]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,
!1,!1,6315161739201591,!1,[[10,0],[8,3],[7,[0,5]]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8019160152181848,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7992617990393115,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf458a45b17494,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5463380146837457,!1,[[5,[0,12]],[3,0]]],[-1,
cr.system_object.prototype.acts.SetLayerVisible,null,0x3de2170911954,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9821950880725616,!1,[[5,[0,8]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x45ff6c6b40fa4,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5784108161740927,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,94442358479148,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,7189244247263772,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x3cfc8966a92d3,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,505473938839973,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,8003789398160184,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,862893703483215,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xc491c13badc35,!1],[-1,cr.system_object.prototype.acts.Wait,null,6009688876519677,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,0x7fbe4c71071f1,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0xb3674500b2762,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb07a424b5fdae,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb8dd821cb467,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8660672740189288,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9003887692227392,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,4951727930132673,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa46ff2e194c27,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x93bb62f4c158c,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x7db0c36c70403,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7130543708336156,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,0x54478923db41f,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0xec7b25006fc1d,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6462526303552518,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x5f1d65cf0788c,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6941921706964955,!1,[[10,0],[8,3],[7,[0,5]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,6772277296734166,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6985916254785017,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x798c4812b67c2,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4926571931524541,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7857605015846422,!1,[[5,[0,8]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8766392176724393,
!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7636176729442831,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x6fdcc0d152361,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5580989766700498,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4887778845092602,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,4710529824826932,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,
null,0x72ab0125b58b7,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0xdd5a08379008,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,9163406362279832,!1],[-1,cr.system_object.prototype.acts.Wait,null,7379384457028756,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x79d697a3e14b9,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,5156366899211666,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xd46579dd9d905,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,7864009406537295,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x590c3e0aa14c7,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8364863624849565,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9049742760899616,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,4557698254410045,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xeba45134ea689,
!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x8daa3528e1985,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x7dc3431627136,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9529451665762806,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0xdbc7d79410816,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8657192929211525,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,4908832897508743,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,706899785926182,!1,[[10,0],[8,3],[7,[0,5]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x747bd06f7dc66,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc6cae9c1defb3,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x89de4413dbf5e,!1,[[5,[0,
12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7767869445350994,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9669735292008878,!1,[[5,[0,8]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9705484090368256,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6553391093565358,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xbdfe47a7b15c1,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x8cace8567cebe,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7941392702631212,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,8382708492282308,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,512861184252729,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0x7b91c998d650b,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,5606828525411113,!1],[-1,cr.system_object.prototype.acts.Wait,null,9248347688582546,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,7158870431988497,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,6491571751859179,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5046515934125315,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x3e20bae5b1484,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xdb771794b9ba7,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8e2564af624b3,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x471c766f2d95e,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6989756013241498,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9a631669f0d36,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,411595204529208,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x7933967693945,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,7652236413023097,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0xcdbfd42c687b5,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7545094974264363,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,557235727216254,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8161768537721991,!1,[[10,0],[8,3],[7,[0,5]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xb7b08ed0f15,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5573525751663152,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8dcb5a53872ee,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc60a4dc088d9c,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6540803384210674,!1,[[5,[0,8]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7229200460370838,
!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6602012273775744,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6867105081994824,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7596120190772374,!1,[[5,[0,3]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,6049886019741935,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,8418858740722605,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0xd23ae87bab24c,
!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,7399670211570076,!1],[-1,cr.system_object.prototype.acts.Wait,null,9459783785730164,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,335671246280201,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,6463863738755232,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x6a3d937e3ae98,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf7eebfff5105,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x5fdc9e6e01ea,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x709c546d85732,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7293436286427874,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6001447554082062,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6443859867135693,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,6942685979640805,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9213404777778896,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xbe0c8dd09b865,!1,[[6,"Start Game"]]]]],[0,null,!1,null,8005384869879333,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9933b7416f643,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5542955972337446,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,
[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7507995594813025,!1,[[10,0],[8,4],[7,[0,5]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7293345909861507,!1,[[10,0],[8,3],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x86b63613e66df,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xbe4c195a81222,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,9450518945536456,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9169614164145600,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7822497465844714,!1,[[5,[0,10]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8121ad44cc357,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4755736545629244,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x6ecdd5cfe39c9,
!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc39de82618ade,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6550827409740367,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,8491899067666766,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,0x73b8f9aed1ef3,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,7369616376928969,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,6958807903793884,!1],[-1,cr.system_object.prototype.acts.Wait,
null,7069286933595571,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x83d2f08f1cb10,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0x7af3da2d062d1,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9752108676664386,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf6fe7d88f446f,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xe25b17e68718f,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x65eb0bf2ab7e3,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6371854784880578,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb6d143ff4b393,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x770273619ac59,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xfaba13f746103,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,50009495630299,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,931926711296946,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0x4ce5b5c4e2ae0,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5437485378481887,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xf8f721cd6781f,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x7db442d30eb33,
!1,[[10,0],[8,4],[7,[0,5]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xafeca7bd5288e,!1,[[10,0],[8,3],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x9dca9b74a2b4c,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9288036731491736,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4620005395210197,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,819455634670413,
!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6721422623005876,!1,[[5,[0,10]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5316149150576272,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9167413108691598,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7511584498689678,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9404905058125078,!1,[[5,[0,3]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7373007199651165,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,8548153330063709,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,8588797590083099,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0xbd5d596d6a52a,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xd6b46ef13cb4e,!1],[-1,cr.system_object.prototype.acts.Wait,null,0xd85dfb4e5a396,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,9751558756783708,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,6705007074822252,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4616305562912339,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc6d1cdb94b32c,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8666169703725269,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5514656832333245,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,4955422686054101,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,7055031594505895,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8730295099355526,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5243663740027079,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6612532280625618,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,8125605566442326,!1,[[6,"Start Game"]]]]],[0,null,!1,null,4977328663554635,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9779876507849144,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6447677383929734,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xc59bd070b9401,!1,[[10,0],[8,4],[7,[0,5]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,8144543589521369,!1,[[10,0],[8,3],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6458910350697131,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf9a9ad05b5834,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xba8828e15c189,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5072536493331975,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,9505782588489908,!1,[[5,[0,10]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6390261416089321,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6298258977124849,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x50169191ba2a4,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x419cace448bae,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7144094473925559,
!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,7822945083384543,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,0x95a1d3ec4632c,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,617878653280822,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xd7384ec3ce631,!1],[-1,cr.system_object.prototype.acts.Wait,null,4820801295257531,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0xd6a8c3cbb7179,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,
null,9108678697139354,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x7f54e4e9b3561,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x776fde518997c,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5197363623522268,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8884233148915245,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x4340fabe180e5,!1,[[5,[0,13]],[3,
0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7256091991899288,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb7144486feb12,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6294667417357019,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9663365743081928,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5879635186368409,!1,[[10,0],
[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,344174649859031,!1,[[6,"Start Game"]]]]],[0,null,!1,null,5932772114253253,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7487887289418848,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x3d02ba9eee48d,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x5b4539cd6e6ae,!1,[[10,0],[8,4],[7,[0,
5]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5583919351851794,!1,[[10,0],[8,3],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8848773596418488,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7528140658021042,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9128069438477448,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6727287730713117,!1,[[5,[0,
13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4531499592142679,!1,[[5,[0,10]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7250926448623523,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8598176159464753,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6135086537343536,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7645388801211545,!1,[[5,[0,3]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,
null,8452551485002643,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,5888774685183631,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0x852c145e74974,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xe906ac6ce3281,!1],[-1,cr.system_object.prototype.acts.Wait,null,6969900319053438,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,8233855190623972,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,352312608984789,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x84af33e8ddc65,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8008184966877244,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xe8fe8441083b1,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf3d82390b993e,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf9933e91c393f,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,5246455287897735,!1,[[11,
"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6200828193678804,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9611747087162840,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8172035134061137,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6791136321541745,!1,[[6,"Start Game"]]]]],[0,null,!1,null,5392523100132074,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,0x94a6188246219,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xd15435ae06c74,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7124579423642326,!1,[[10,0],[8,4],[7,[0,10]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7578288166549152,!1,[[10,0],[8,3],[7,[0,15]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8b0b4104444d4,
!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5949863010317355,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xbbd269051cf6,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,997204882809085,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7274113182051099,!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb4f36f9949d7b,!1,[[5,[0,9]],[3,1]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6502317448957622,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,712871805310765,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9592962197026324,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8698288261233524,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0x8eba9e3e33320,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,
5881275936831554,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,7976072699366074,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0x8799f6b4a4f22,!1],[-1,cr.system_object.prototype.acts.Wait,null,7427531727392609,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x44132295a710e,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0x57e53ef01eebf,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5224780259400381,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,8337479035796593,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb402a7e28e9bd,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xde58760d4520f,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9277091419551228,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3ca6404f8a7e7,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5010609570320389,
!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6081857691374647,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x493f5053a2c2f,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9814032560041964,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0xe91be15fc58d8,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x6d399d46a5e87,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x4ff0156b866eb,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8005791336186796,!1,[[10,0],[8,4],[7,[0,10]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9685826422590332,!1,[[10,0],[8,3],[7,[0,15]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5553382347939114,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,
7972985534596971,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8333639652474429,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8687510573005955,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x5f9bf6e7b7ffb,!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,622130443562359,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xe99529879469b,!1,
[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7576229017291722,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9204382894330612,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa843f84e7da75,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,7519320226893672,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,8080307790902272,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,8719265800197544,
!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xcc9ea4e080ce5,!1],[-1,cr.system_object.prototype.acts.Wait,null,0xe6056a685bafb,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,8223851369031643,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,9336412531374352,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8017733275716487,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4901328142584115,!1,[[5,[0,10]],[3,0]]],[-1,
cr.system_object.prototype.acts.SetLayerVisible,null,0x848a2aeb291ca,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6325356085082973,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7315024304618212,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,9803039791572976,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8080165124607205,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],
[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,979217340015753,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x6e5cbdf7101c0,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7065386933936127,!1,[[6,"Start Game"]]]]],[0,null,!1,null,811697504504283,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8963722552264068,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xb9c8e040ad8c,!1,
[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x9537e8d06e40,!1,[[10,0],[8,4],[7,[0,10]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,680853885764041,!1,[[10,0],[8,3],[7,[0,15]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x71656bf07a5d7,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6624485377343336,!1,[[5,[0,10]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6163773377593143,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x601d873b7ec7a,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4555807304995287,!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9729429671502244,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5362584785246835,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,7761591948666938,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7881595602082514,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6913201982104074,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0x391a5088761ba,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,8652245586121037,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,5449607989881022,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0x7d2bd703b71ec,
!1],[-1,cr.system_object.prototype.acts.Wait,null,0xeb85deae49b9e,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x71b6b98139502,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0x60c20b15844f8,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4677552797083267,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb4d94aa668de3,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9267285913199778,!1,
[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9786110638921548,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9691231019796924,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,8464204452089869,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4707900571139082,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd3c215ff46db9,
!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x79a449ae7f195,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9578306602484896,!1,[[6,"Start Game"]]]]],[0,null,!1,null,546991030881426,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x501346a81e5d8,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xe7dc9d44ad05,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7212252253227113,!1,[[10,0],[8,4],[7,[0,10]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7251319970643154,!1,[[10,0],[8,3],[7,[0,15]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x438c878043ffc,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,502548564224898,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8574526113675532,
!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8841211204277913,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8169959895680631,!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf5935733b0d72,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6686435152253749,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8671321092711281,!1,[[5,[0,2]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9550069244754444,!1,[[5,[0,3]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0x6b7fe12534fe2,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,8580434932038071,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,9065320887823780,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0x6863212096605,!1],[-1,cr.system_object.prototype.acts.Wait,null,0xf45f62fff02be,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,7630091745363484,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,9628269247459732,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xffc0444ba5727,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x743491fd7dfba,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6999924229957739,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8712244555719766,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xb83f8748c63b0,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,4539077251551755,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7467944291159665,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9651540385423608,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4683323595269073,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,830192517865171,!1,[[6,"Start Game"]]]]],[0,null,!1,null,6200546877823805,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9998156283419126,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4626544459834472,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9333799309900748,!1,[[10,0],[8,4],[7,[0,15]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0xc341a24749df4,!1,[[10,0],[8,3],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5354386703246655,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5752450305839377,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7201624909852326,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x9da643bdc4f0f,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x82daf3dcd69d6,!1,[[5,[0,12]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5677175704689626,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8d10ea111843e,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9763701890298984,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x569a0d3a29180,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4995146649534531,!1,
[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,287036689470642,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,9546927206144748,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0xa2c1fa8e493ef,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xeaf0bd6d5fc50,!1],[-1,cr.system_object.prototype.acts.Wait,null,5260925049524449,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,379512131898687,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,
null,6374979280188087,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6877446099881518,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa33322bacb731,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x55a21650956ac,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xe49d295edf68d,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf4c71a0691632,!1,[[5,[0,13]],[3,
0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6227830383177659,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,343279203756207,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x60ed9a1d25275,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8913056493547937,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xc0ee4e0f31913,!1,[[6,"Start Game"]]]]],
[0,null,!1,null,0x826e24b8a682a,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5367892710237885,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xc82a4fa2ee4ee,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x8190493ff7f8d,!1,[[10,0],[8,4],[7,[0,15]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xfbcf298e5c4c5,!1,[[10,0],
[8,3],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6684912242336068,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9355028956188592,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7550331173256953,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8212053822649878,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9134738235736722,!1,[[5,[0,12]],[3,1]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4939985602856854,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8543543502246684,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6106952267825168,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8a25b0af24a5d,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9115272188828716,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,
null,0xef170ce5a5550,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,7109825235353791,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,7003052519373098,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,5190973079110844,!1],[-1,cr.system_object.prototype.acts.Wait,null,5723185074084737,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x3a80058f4c38a,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0xcd65f41bfcde3,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xd3530b1ff13e5,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x80fa513433db1,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6324490023907335,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5434042921230662,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4826696744435682,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6593956773402457,!1,[[11,
"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xaeb103ad3fe58,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9403596953719808,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4879551465764167,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6217574022749758,!1,[[6,"Start Game"]]]]],[0,null,!1,null,8222106610683894,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,9146514346741260,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5153960679408508,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5806714986043047,!1,[[10,0],[8,4],[7,[0,15]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4850752010325944,!1,[[10,0],[8,3],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,
0x6830dae4304ef,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4620897000318071,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8921185024454103,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xcae59336df844,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9395525610759552,!1,[[5,[0,12]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5467345884354375,!1,
[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb6f9d7cd8f95e,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9199088435319804,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7402729245083775,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4795669573952412,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,6525046028686867,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,
null,8371652786218501,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,5570873918129918,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0x7abe816d0bc71,!1],[-1,cr.system_object.prototype.acts.Wait,null,8435572131762377,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,6201872760167026,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0xa33acbd35b283,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x58c7a7eef41a4,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x457995daac1df,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7338132426941082,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6381287100918072,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7045557839902563,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,5574265322926484,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6924464507119889,
!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8367004381138216,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,393430022711339,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x89edd78c42109,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0x7fa0b417dd33a,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5746116346989014,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,5669769841044884,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x843fb27ca2b7f,!1,[[10,0],[8,4],[7,[0,15]]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x5ed460b59bd5,!1,[[10,0],[8,3],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5003976848390308,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9198204680286408,
!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8757916402890154,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8025395949298446,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x89724d2e2b9bc,!1,[[5,[0,12]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,868619189758654,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8888928066740807,!1,[[5,[0,4]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc28c0e7a47c26,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf4ccdde26972e,!1,[[5,[0,3]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0xb0665ed41b816,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,7078968534888116,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0x78e40a2ba5a42,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,7645567648443373,!1],[-1,cr.system_object.prototype.acts.Wait,
null,9787331240887684,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x98011b315a591,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,9429050645402452,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5849217855978704,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8038177950048069,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8122280188863942,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,8440553546627626,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xe988bdd2041ef,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x8ca0446d03ea5,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8345705295733276,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,841011509205544,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x7350e0cf76c96,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xd0c0c9d356955,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0x445467a271b2d,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xfa1f6f990a188,!1,[[4,48]]],[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4858522302992736,!1,[[10,0],[8,4],[7,[0,20]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,584637810659331,!1,[[11,"move_on_to_next_med"],[8,2],
[7,[0,25]]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x5db4ec317982d,!1,[[1,[20,68,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]]],[[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,6192279698648464,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x6fe451da94236,!1,[[5,[0,13]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xef35a549e369d,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5855877830259547,
!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8200686157315555,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa396b087cddb6,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x4c9dc96a92b3b,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0xf2f27b159b74e,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,7951827881549814,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,9231726050638168,
!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xd366f37110555,!1],[-1,cr.system_object.prototype.acts.Wait,null,5289814845887056,!1,[[0,[1,3]]]],[-1,cr.system_object.prototype.acts.ResetGlobals,null,9200761328513184,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9981551935264442,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9445781977956720,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5797305101582125,!1,[[5,
[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8991285168875852,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,400333681424278,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,4901446478595407,!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8111342560086432,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7446804980908696,!1,
[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9516808732939584,!1,[[10,0],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,561157115443647,!1,[[6,"Start Game"]]]]],[0,null,!1,null,797967682020453,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x4331981b73729,!1,[[4,67]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,6730541093744533,!1,[[6,"Start Game"]]],[-1,cr.system_object.prototype.acts.SetVar,null,5980789243685732,
!1,[[11,"questiontimer_med"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7421642179490182,!1,[[11,"move_on_to_next_med"],[7,[0,25]]]],[72,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6483668709908872,!1,[[10,0],[7,[0,25]]]],[73,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb4fac96df0a62,!1,[[10,0],[7,[0,25]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x54b14bbad4861,!1,[[3,1]]]]],[0,null,!1,null,402131913510698,[[-1,cr.system_object.prototype.cnds.EveryTick,
null,0,!1,!1,!1,0xed699fda2e386,!1]],[[76,cr.plugins_.Text.prototype.acts.SetText,null,594540392488816,!1,[[7,[21,73,!1,null,0]]]]]],[0,null,!1,null,4993624933152982,[[73,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd5e3aad348573,!1,[[10,0],[8,2],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0xf7ea375336e6,!1,[[6,"Start Game"]]]]]]],["Code - Start Game",[[0,null,!1,null,0xc23de22e3c0d2,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,
891064268082843,!1]],[[-1,cr.system_object.prototype.acts.ResetGlobals,null,612816491323228,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xe72f6e99c9d23,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9758357358331352,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7804695421792638,!1,[[5,[0,2]],[3,0]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x5b6b4fce8467a,!1,[[3,1]]],[3,cr.plugins_.Audio.prototype.acts.Play,
null,6577739448607403,!1,[[2,["kelly_bgm",!0]],[3,1],[0,[0,0]],[1,[2,""]]]]]],[0,null,!1,null,0xbecf8eb7c0796,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6369086283807913,!1,[[4,18]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,9035603675023902,!1,[[6,"DS9 Trivia - Easy"]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x581c6da5b247f,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8235885302946098,!1,[[5,[0,6]],[3,0]]],[-1,
cr.system_object.prototype.acts.SetLayerVisible,null,7614958030508368,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.ResetGlobals,null,8899929154649117,!1],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x3b18f07a6aa5d,!1,[[3,1]]]]],[0,null,!1,null,5202937235583138,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5838787374013207,!1,[[4,16]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0xc837b20a5c029,!1,[[6,"DS9 Trivia - Med"]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xb815b18a7bb87,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,283874838681811,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8364258843441753,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.ResetGlobals,null,9722771334625984,!1],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,339659121372641,!1,[[3,1]]]]],[0,null,!1,null,7570334485129077,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x5ce451f404dab,
!1,[[4,17]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,7206437178945783,!1,[[6,"DS9 Trivia - Hard"]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x69daaba2e38f7,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x9cdcbd7a67f80,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xdcc119cd5e6e5,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.ResetGlobals,null,5375676022686632,!1],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,
null,4584925559691076,!1,[[3,1]]]]],[0,null,!1,null,9989690667022288,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6397856509501205,!1,[[4,19]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x742730fdde346,!1,[[5,[0,1]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6595899801673638,!1,[[5,[0,2]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,7306123227365351,!1,[[0,[1,2]]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7875805719184273,
!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x578e559468f92,!1,[[5,[0,1]],[3,1]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0xffa35c47d787b,!1,[[3,1]]]]]]],["Code - Hard",[[1,"move_on_to_next_hard",0,50,!1,!1,4905409455127494,!1],[1,"questiontimer_hard",0,120,!1,!1,0x9379e4cd3b453,!1],[0,null,!1,null,4504147875199918,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5451430499960318,!1]],[[3,cr.plugins_.Audio.prototype.acts.Play,null,
4700799341820097,!1,[[2,["kelly_bgm",!0]],[3,1],[0,[0,0]],[1,[2,""]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0xe1d59b06d26c1,!1,[[3,1]]],[4,cr.plugins_.CJSAds.prototype.acts.PreloadFullscreen,null,8307794024933389,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf95642e1d8fe0,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9475851094962608,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9507678410257078,!1,
[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7408616797847886,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6646741084271086,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5690550761945943,!1,[[5,[0,9]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9350391737388204,!1,[[5,[0,6]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x91c9aab4b67a4,!1,[[5,[0,5]],[3,1]]],[-1,
cr.system_object.prototype.acts.SetLayerVisible,null,0x47929e73bedc6,!1,[[5,[0,2]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x98b9f9d5e7d0a,!1,[[5,[0,7]],[3,1]]]]],[0,null,!1,null,6512379063342436,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,5354434832712039,!1]],[[89,cr.plugins_.Text.prototype.acts.SetText,null,0xc882fcd82027f,!1,[[7,[23,"move_on_to_next_hard"]]]]]],[0,null,!1,null,0xb83057c9760c6,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,
!1,!1,!1,0x4bbb42ee8126a,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9357342429733356,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,5205560862479845,!1,[[11,"questiontimer_hard"],[7,[0,1]]]]]],[0,null,!1,null,0xc236794b6ecd8,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0x811174e31c570,!1]],[[53,cr.plugins_.Text.prototype.acts.SetText,null,0xc94abcf9a7544,!1,[[7,[23,"questiontimer_hard"]]]]]],[0,null,!1,null,0xee2eba056eb38,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x555a5de8f1070,!1,[[11,"questiontimer_hard"],[8,0],[7,[0,0]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.PreloadFullscreen,null,998226857527198,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,6820857791492129,!1],[-1,cr.system_object.prototype.acts.GoToLayout,null,7498890710730798,!1,[[6,"Start Game"]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc882ead5fe546,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8734550925131749,!1,
[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4593857188268344,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6183478516710524,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,458870756909006,!1,[[5,[0,7]],[3,0]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xf314c972e3062,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x894391c39b56f,!1,[[10,0],[7,[0,50]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,0xcfd0344c3c9cc,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.SetVar,null,76602502203659,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x7430f826eb039,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,6690364579476748,!1,[[0,[0,4]]]]]],[0,null,!1,null,9672576791721060,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,5316533266381682,!1]],[[90,
cr.plugins_.Text.prototype.acts.SetText,null,7627223428886849,!1,[[7,[21,87,!1,null,0]]]]]],[0,null,!1,null,4758748610377509,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,767394318726434,!1]],[[91,cr.plugins_.Text.prototype.acts.SetText,null,912672040694057,!1,[[7,[21,88,!1,null,0]]]]]],[0,null,!1,null,0xcac13e6002479,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xbe13aa9eecbb7,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6476125955244131,
!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6112128662582448,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xf40c97cb2dd93,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x52600f04dd6fb,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,898486336864729,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9236835499694636,!1]]],[0,null,!1,null,9295437855682558,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4751442911656357,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xd172e92934313,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5018051390338171,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8900906526782028,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8799395960182717,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7842448628205567,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,411072751716045,!1]]],[0,null,!1,null,0x505eae3bc6e7c,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x48643eb80451a,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7986829160700758,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8565855910012451,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,941833061786147,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xde396a613f2a4,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9272320453359534,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6137735743380243,!1]]],[0,null,!1,null,0x870d18de493c4,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4514386821215932,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7614857692480803,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7d041e91fe48d,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6538760958806474,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7380412814052353,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9124287439120516,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,5071173484203259,!1]]],[0,null,!1,null,0xb97546f82acc,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7543065716776085,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xfd1510a4bed53,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9221844217021462,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xc5c7c31108b4,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5151281849981345,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8316098180025422,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9553256349860838,!1]]],[0,null,!1,null,5505956938830721,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4508653693214932,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9925511714709694,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8485433351995731,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x55edbc9f57957,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe7878002d4f10,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x6b0a7007ac55b,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,7439620743507134,!1]]],[0,null,!1,null,0x4c0968d07b48c,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8907807191002241,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x4910db969095d,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x91c36a2045d5,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7534940598111068,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xdd4d9d9e8d9b3,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5042395285998388,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x634f3107ffbb3,!1]]],[0,null,!1,null,6225951595722319,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5909944736080708,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xa69c4fafd7827,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xf75d1824d8bde,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x979c42a710fab,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8988555337623382,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xbb18e22c006b8,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x70556661451a8,!1]]],[0,null,!1,null,4581750869543132,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5075583347386227,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9835049387387982,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9498759657932488,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xe86148f34833a,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6775665673256328,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8307782135888973,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9974989187172104,!1]]],[0,null,!1,null,0xa7dff0b2b21ed,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xbebae0c3a53a5,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,556495916235801,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7646652467357702,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6885789043264485,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe852b9801f5f4,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6421646306222063,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,740012422532279,!1]]],[0,null,!1,null,9457010639261564,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4809146229125379,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9790761045229476,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x9c723ac2d3ed9,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xa363d215f4172,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7180943243504295,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x44b1143e69991,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7948321624592643,!1]]],[0,null,!1,null,5114457604433583,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6108344367032987,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8712090163788542,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,997042364157523,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5947197128226879,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5341281695962472,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa47639f3c9f06,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x987216af95674,!1]]],[0,null,!1,null,6539974395411531,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x68d5a23877023,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xaf864427d8a17,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9785233767814576,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4781875066708381,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8965697319764674,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x3ea8ebf7964aa,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xaa35a923c475f,!1]]],[0,null,!1,null,0x4c03919f4f528,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x5bc7074e414e0,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6961106164501484,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9093524247370168,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x6bc885351edef,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6642053981654336,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x9211b3709965a,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbe5a4a3fbe8da,!1]]],[0,null,!1,null,7877237167835527,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5288400146190479,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8009897201208998,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x6a48e32c34637,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x853d0bcc497c5,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6572570611261172,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb0bf8ec7c4fca,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9315473495392296,!1]]],[0,null,!1,null,0xfff0176a5f336,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5017121270255774,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xab15bd6e9332,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5467374180388883,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6586678625255311,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x4abc432158a87,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4758972410153331,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb082e827ba724,!1]]],[0,null,!1,null,0xfbe48e8173b94,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5437913727844313,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xc72db315ffa8e,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5319056680257645,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4997711089384142,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7b06b6b47397a,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8917493407642018,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xaffce5582e520,!1]]],[0,null,!1,null,4949048430090091,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5474190411850239,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7303354071118036,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xf5ce5b8c99bda,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7607339981611374,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb010dad5e8dd5,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x96191e3557c15,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,7169741314545531,!1]]],[0,null,!1,null,0xe5bdcbc814f5,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x3e98a7624bcf1,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xe93ff858a82c2,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x49a05df34c163,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x5afe6bb65e75e,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7290958752248295,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb81dc48742798,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xb291d3fc23839,!1]]],[0,null,!1,null,7730760591896261,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6592680835144747,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x9ae8f671bb5cb,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9928283664573320,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xd21b1730be137,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7424912940652651,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xd548661cd3726,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,933133126365889,!1]]],[0,null,!1,null,4846730114657472,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9214778055163496,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9999365711368588,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5032610852104003,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,711824735639971,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x93b591de520c3,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6241817655827367,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5758464423619846,!1]]],[0,null,!1,null,9284795265830260,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4505373386141858,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8229878336474194,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x59a2f1e38c009,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x3d29a8b2fe834,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8636359631179692,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6654226266457422,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,8635377579290904,!1]]],[0,null,!1,null,0x8a477267da8e2,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6826825249607757,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4715885068907729,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5506433627430304,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x78a864a9ebb6d,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9265631306629448,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5150903883279618,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6130579968439116,!1]]],[0,null,!1,null,5387767054481317,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,778274040853431,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8068656448467015,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xaabf1268d7beb,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xcf08b06fc9979,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7758769026484924,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,522394665350048,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,6805151300535295,!1]]],[0,null,!1,null,5871217238197164,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8134415575961025,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9050781490530252,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xaff1180e95182,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xe15c262899f44,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7401989919594757,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x8638efa022bd3,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6350787086689518,!1]]],[0,null,!1,null,0xbd6b4cbed71e1,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7725000770018318,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9300830394250352,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x4f077837b4ba9,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6056899921893418,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9779899916496416,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x3e24c53140f72,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,292724277232257,!1]]],[0,null,!1,null,6490200541840527,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4689370966200065,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x7cc3e57209ae4,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xfbc53641c8626,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x6aea82974943c,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9462973608012808,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9300187503416820,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7873100202648271,!1]]],[0,null,!1,null,9508945813285298,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6039543041041571,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6204322371598992,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x66dfa1f65a73d,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x5db3108b6b9cc,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xab5d3be57cbf7,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5833937524048739,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x928c076f37526,!1]]],[0,null,!1,null,5028156549230392,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x7173a870fc6f2,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xa5c59d728d70b,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9842343790306696,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x6afa602e4454e,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,487406431798205,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xda4286e828e2f,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x6ace4043deca1,!1]]],[0,null,!1,null,0x69c5e9f468f0e,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9708635929165836,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x7139b7462ded1,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8708597677920006,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x658f7cb6f9889,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5798232687197612,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7840971965907203,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,867237982977972,!1]]],[0,null,!1,null,6616143812203526,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5973948529999962,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x5cb3ddec7ed24,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7927763977090698,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,822390237225664,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7a7268e1667ad,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x522970f089630,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5457419954276508,!1]]],[0,null,!1,null,7157508367550395,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6226805994036128,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4548008429375645,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8603053239860309,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6743425927724044,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5039596817965045,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,32764261902998,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbce12ceb65ba,!1]]],[0,null,!1,null,0x69e4a7467d627,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8108547230867164,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,641045057361356,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,538863704560349,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8744216746572041,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd09108e0c609e,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5313021544368764,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6420927465813921,!1]]],[0,null,!1,null,0xc07183f2357f3,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5644659551712306,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7864883854621708,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8825757271736796,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xf1c06a27a3a80,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9051278998365694,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb8ad473d18a4c,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc470fe9309fdf,!1]]],[0,null,!1,null,5176465281511001,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x63aa69b434164,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xc1db49023cd36,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6353844017780477,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4680448630881263,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,646962864202388,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x46c8208e38b85,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5160786282809113,!1]]],[0,null,!1,null,6779659480531089,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xd4f8eac5dddaf,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x3a8bfc4ee507f,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7876497567741633,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6355447117695336,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6054504411700192,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6757273947916812,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6a62a79c5c0fb,!1]]],[0,null,!1,null,5815649860195599,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6018289196604876,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9257949463293128,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8837583432099165,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4665539916810709,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9d099c669227d,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,378583896222275,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xf324f3d6e4cce,!1]]],[0,null,!1,null,0x670cbe30a5d2d,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8654860998104869,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4623931068627309,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xb27372590eb52,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xf7c126c49700e,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7777431143248562,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7220295441881764,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,776214184406509,!1]]],[0,null,!1,null,9078028552144996,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6387486373103127,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x41e099c8e70b5,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4591150656644447,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8101113924049399,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7731896802378517,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xc0986d705182b,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xba176c5171113,!1]]],[0,null,!1,null,0x8eab779f100e7,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9958482188678836,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x89c284a13bce9,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,771527950835425,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x40ac8252e8fe4,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbaae567f4da26,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4954199229793236,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,311077746667344,!1]]],[0,null,!1,null,4837328309421623,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5392202394908768,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5441481416206234,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x903965525ed2d,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5677024994973366,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd90ec9a143a06,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xe72d2da587828,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xcc662ec2a3028,!1]]],[0,null,!1,null,0x9659012446682,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6245870139676631,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xb02910e01a85f,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6940117596180553,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x962cf1d95f73a,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9488524204237832,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x56d753bdd015f,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,7024698812424559,!1]]],[0,null,!1,null,400861625331552,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5351631387077531,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7016631216370512,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xec269fb015800,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9309749459587566,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x504baeeee28b9,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8191003712097796,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9904716090031788,!1]]],[0,null,!1,null,6002590317963202,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7063904284821571,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7210147252040694,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8349508898205342,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7391678490103656,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe2ee6c0ef0b3d,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x558fa2707a652,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,6687488690000443,!1]]],[0,null,!1,null,7416180823847194,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6569933415988921,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7480924173371624,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8806529154278506,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xa4f993c9a33a9,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5713734341435084,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7006129078019767,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x762d1616029df,!1]]],[0,null,!1,null,9787876632616736,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,582968245804373,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x3ee4d5804f9bb,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5277693144011464,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xf0c363623d11c,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd44a6087af5fa,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8108261244694657,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,5147052446590626,!1]]],[0,null,!1,null,32350484968659,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xc3c35780c2765,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4850106855832091,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9327351247949624,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5563201898468392,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x71aeffae60ecf,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9259995424819552,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,87284754945787,!1]]],[0,null,!1,null,6944230746122154,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x5d1b1f468be30,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5021825766584497,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8357504947622639,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6724472153977679,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8194801300919452,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4976661976901384,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,8036465734427179,!1]]],[0,null,!1,null,9388349541858980,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xfd16915740023,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8926232384244046,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8839455500641613,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xf672e6c3b8571,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x466aa48c5b7c1,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xc3108bff705d6,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8348084509053724,!1]]],[0,null,!1,null,6013022533448078,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xcc935804d2e5a,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7139043231802822,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xef51034efe8ff,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8932555800051415,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9099692894627798,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,597039699300468,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb155b22bf0c17,!1]]],[0,null,!1,null,0xfc0d1c64ed6f8,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8c5dc074f283c,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6772443451904343,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x8bdeda44cf201,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5152377398791698,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4864266126675338,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x8532941c67963,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x7d4d712ae3d74,!1]]],[0,null,!1,null,340918055686389,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xc384664330304,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7248238026386503,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6209087116575732,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xf45000afed61,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6571570566622657,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8161306826248659,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,4955302808578822,!1]]],[0,null,!1,null,7195543013761663,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,539597213092779,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xde9ba663c36b1,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7163222398501664,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x8c9d5dcad0592,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xeabfc1d70dd44,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x3f0ba558aeb2a,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xe1eb8aae27dc7,!1]]],[0,null,!1,null,0xcfbdd55c66ca1,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8d190238cbe42,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xb308c9fb14bc9,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xf1daf6ddc5ceb,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x515907045d627,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5351121129047475,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x6ce6cf207870,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,6817620535273632,!1]]],[0,null,!1,null,0x55f091d456a33,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4865323980654228,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xe787b9a881194,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcb28decbec4bc,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7052628272788486,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,998679638202881,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5880928471769215,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9542731967998396,!1]]],[0,null,!1,null,7672268114531936,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,968900506653386,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xcad38793a8ebb,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9725839429843462,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,839953528480395,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7f9242a0bbd7d,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4616721139219807,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,5382173483247167,!1]]],[0,null,!1,null,0x92dceed900812,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7415951705583422,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6779664598839596,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,526921955058145,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xfdef07b83ede0,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4888288978082108,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5356982210763595,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7158704768990886,!1]]],[0,null,!1,null,0xad28087cc4564,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,972150658007418,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x5900c32212116,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,498286788152755,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xbc2d79fbd0be7,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5133535803916282,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7451170498194703,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,6278659825100315,!1]]],[0,null,!1,null,0x53086033d1c7f,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6445016016697867,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5990635125665016,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5077544970117553,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6076995885844993,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9255596985809556,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x7df42b60c7799,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7474617688117197,!1]]],[0,null,!1,null,0x4c2a86701c086,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8604321920142124,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xc90c4e0813149,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7859683123178792,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,604065406906221,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5397441168148408,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xfa1fef81557ce,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,8113784404467773,!1]]],[0,null,!1,null,8951661242399039,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9897931381242612,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6039753956519333,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xbfa9f1dc98867,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7852235095290511,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xecd764c8f7152,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9917708148588896,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x931974d8444fd,!1]]],[0,null,!1,null,8213957616543469,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9bf6b40efae81,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xb6b6849f9a5f,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa0feca1d1bb37,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xa0f8400626337,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa1b5b5571048a,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6066624969667119,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,6701622704071334,!1]]],[0,null,!1,null,0xae487fd034f51,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9176651622791788,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x984b811768e8c,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x49ad8a7188290,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xe0a21275e6791,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9774265992481460,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x84ddc1cda8f1,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x39688d0e4f6fa,!1]]],[0,null,!1,null,0x85380171753cd,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4850842245658941,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7745500880522938,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9597411111208E3,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8381467307436137,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xdc5a6acb705a9,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7065126180485786,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,625607286450638,!1]]],[0,null,!1,null,9639826822460752,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x7f10d6bce3c9d,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,448036648995411,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5250240980583255,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5519876875807314,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8317262105084473,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x64d5de393a21e,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xe02123cac733f,!1]]],[0,null,!1,null,6843940336517514,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7068700303148194,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9913432231300264,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5641536604080818,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xd78c2e83cca96,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6882952761867686,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb411fff542a00,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd2633bc64879d,!1]]],[0,null,!1,null,6726448156329961,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9acd6782c136d,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6103285989591877,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6154367763946918,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5920771714730224,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9219792795997856,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb3386b875dc74,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8533486543763824,!1]]],[0,null,!1,null,5375351683387261,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8639947500771738,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x5b5c08740cee5,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6363919885608473,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7961871428553157,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7942460268775169,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6247457002195864,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,5073226928751138,!1]]],[0,null,!1,null,7965154036738064,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8253501368399377,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6962947014446233,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,848284577247498,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xa7489f3f9cf10,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8359604465881865,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9523064651670260,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,418223049154044,!1]]],[0,null,!1,null,7645439025404021,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xee827a2f464a1,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xce9aa4fdd6d95,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9486168643173348,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x841ba808da776,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8936238538344157,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x41f7a458f6085,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,9793345374332644,!1]]],[0,null,!1,null,5610220746698648,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xe7e1c3263dd80,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6108545202339097,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe68d0ffb140fe,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xdacb0abd3a116,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9553536278247840,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8940478502035136,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x5d775e3bb74cd,!1]]],[0,null,!1,null,6970512719704573,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xa9668346a6367,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x6d63d6f6f0bb3,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,651737955426276,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x3da6d7444fbbc,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8092960307172808,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x7e0c8ec0f6f91,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,9588925424659784,!1]]],[0,null,!1,null,4605957338677228,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7584610169534981,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,629143117102932,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe6a17bd41ea39,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4951319140733592,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,586798640441144,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xda3d1ecf7a0f9,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6932274356480707,!1]]],[0,null,!1,null,7764672839833136,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5713669303389224,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x7eda1801306a5,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8656337171122521,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x50f57d9c969cf,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x4dc3fe875dac3,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,479285195020669,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,6144717691793218,!1]]],[0,null,!1,null,359117132477442,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xa62f1361d228f,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x6aa7c13706e4d,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8694881857875288,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4947158844454779,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5922659958833146,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6255097667400259,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,815252895887484,!1]]],[0,null,!1,null,0xe2604f666dd6d,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x6fe8441cb6df9,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,569175123435458,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4587319467625335,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x5fe4ce60b87e1,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7793712790180937,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,71159995590165,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,4763225273706001,!1]]],[0,null,!1,null,0x9d006cb66a1b4,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf510277e9127,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7597775925380995,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7110973336243676,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6580151892979756,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9652287354775954,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xbaac151ef59a4,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xe4ff9c7846827,!1]]],[0,null,!1,null,8056461492071984,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x6c54f3b9e18ff,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4907253465902484,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcf6585de56fa9,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5203511497941504,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa324dec7701e1,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5697757304438186,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,828252270432109,!1]]],[0,null,!1,null,8494616272430719,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8c55e633f22f7,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,389008810018036,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x52b8a4f7cfd18,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6379848473723269,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6094638291702621,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x971ddcbc499a2,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x622d6fcd7d9ff,!1]]],[0,null,!1,null,9559569283751300,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5410055330434223,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xa420ea985f6dc,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7511445231889926,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,765970871720679,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x39325135dc517,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xd21600ce80e67,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,892949471760877,!1]]],[0,null,!1,null,5539074231654374,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8974461776793859,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5671246935193276,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,20]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xd728adc59d61b,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4577883789615806,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4745025514317461,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8400301399777411,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xa833eec58c1f7,!1]]],[0,null,!1,null,8831813009032963,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xeeabda2d6e0a4,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7253099953376719,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,20]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x43905c1575fa7,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6295019852260188,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7602651985989765,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6198150161607615,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,4682869486541874,!1]]],[0,null,!1,null,4645576872607463,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xdf4758e071234,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9566767544445888,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,20]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x825c34c0e0007,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8834754369897898,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8637359837941423,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x3c3f9e5f87cbd,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xe4301616da9e3,!1]]],[0,null,!1,null,6226572332908032,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9b264d9fb1f2d,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9269164039438536,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,20]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,3664097999359,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x5e615002ababd,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9402802570794564,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5176469569051306,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,291192276461518,!1]]],[0,null,!1,null,6357566085548726,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9490452810709404,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x6aa0153fe2a1b,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6670378043239759,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,916021563405766,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4634632492736136,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9267712662331348,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xe753436a078ae,!1]]],[0,null,!1,null,0xda28f371e91c1,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9102086119060668,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5559564098127998,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe243946401fdd,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x69b0d7a48b1b8,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6410966376219169,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8667678133903965,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,6922287177771325,!1]]],[0,null,!1,null,0xa888f8344485f,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,575462564356117,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,374721005641088,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5002282991967166,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8167099177582411,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9869890709267204,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9175679558349404,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,50312572584276,!1]]],[0,null,!1,null,0x4acd3ffd75066,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,736857582344834,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x757188388f091,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4917568343570949,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xeb22512b3a997,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6630852519493114,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xfbcf3625a2743,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9deabe0be4392,!1]]],[0,null,!1,null,8352835155295099,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9fbd02fd16868,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,500220086905308,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9431624879550940,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9138818654037694,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9c6bffc3679f2,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4839071177227655,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8288909150082486,!1]]],[0,null,!1,null,6071895799824996,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x767233e35d9cd,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5990933442029992,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6983062587538291,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x60f5825a616e8,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7969734297908059,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xaac37eb44b3b5,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x60f4583bb8ef6,!1]]],[0,null,!1,null,9952693368156214,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xb7151861bb4ce,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6042655917930255,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x73904febdce0a,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6971884861065475,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbebf1d5ba9804,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6612136892408231,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8819189875652057,!1]]],[0,null,!1,null,0x85b4f9552dbbc,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8ee8994d23e2b,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x75820fabe1e9c,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9906577789023220,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6886080031983855,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x55ff1188321e9,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7747820237880538,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,9575283942953036,!1]]],[0,null,!1,null,4587589019569961,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6740376517499358,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6572359992919586,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4810728427489668,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x74276da0acf59,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7498133386238953,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6701865473434116,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x67c18e093102,!1]]],[0,null,!1,null,5420004989259535,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,662834435384367,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5285792390371914,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,1530295875515,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5926984189095135,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4857035948425152,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x9e679983f5e02,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x945dd9207b8f2,!1]]],[0,null,!1,null,0x6d3ab10adf9a1,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9250300732380464,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xd79aecb8dc1a3,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9312171336022172,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6510895218232597,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6610466806635438,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x4589a84e80612,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5068449517922994,!1]]],[0,null,!1,null,9364616358673692,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xaa3a548091aee,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7210133051769163,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x95bde31b48ef6,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x8f5a5539d5e03,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5226921194514191,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8762153659161265,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x3bb52c6db5508,!1]]],[0,null,!1,null,8091919047149685,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,504395400767952,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xbee758b198b3c,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7405215526883376,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,484753972730347,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3b80ee919fc05,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4577859812935939,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9392822718725778,!1]]],[0,null,!1,null,773979488070473,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8619918367279919,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8946448045422862,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7117498593061139,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4680707206280136,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xf520fe4b5f56,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8799343431356678,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,5571257746313518,!1]]],[0,null,!1,null,941115361848103,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7129174448937778,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9973252758861788,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x746202a0d4518,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xf778e35f7eb0b,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5514611687153925,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x7469358141017,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8950891309506838,!1]]],[0,null,!1,null,5628750673667661,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x82acf0ebbc1c4,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,395379287570773,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8617909361378866,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7183699096785974,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9aae64930757f,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9951801145870834,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,5551103891795556,!1]]],[0,null,!1,null,7345735769526806,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,549876797342917,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9786867481448846,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,25]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7150476689234137,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xd58e91c9410f5,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xc0c1c088fcdbd,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8074406949796408,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,4919507886459169,!1]]],[0,null,!1,null,0xda14f3d0d19cc,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x94c921301a6c3,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x89e8618af60f3,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,25]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,328055953650008,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5926565546655005,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5472050542675677,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5852177825706223,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,9244997213699318,!1]]],[0,null,!1,null,0xaf1f14189ada9,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4789307977337735,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5356777800517199,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,25]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,46116265866857,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x8703182dae48a,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xc42fa82a6bba8,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,895432388474708,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5710740314770483,!1]]],[0,null,!1,null,6067461333333447,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7006977020317914,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x592d34a83b4d9,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,25]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x485f711fcd648,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7952628402828913,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8967497002558525,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa74deca8feda3,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,5001712553712733,!1]]],[0,null,!1,null,6136589374244531,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x46bd5c13857f8,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4717113064715947,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,26]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcc70bedec074d,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x93712de463b93,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xc40e2f81a8ea5,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9211517576983812,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xb29d57ed0aa78,!1]]],[0,null,!1,null,0xff07c17a15483,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5446822341257525,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4975401551915406,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,26]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x582c5943666ff,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xba382fd08a653,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbddfd1b07d8e1,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8159852353611638,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,7701101652907847,!1]]],[0,null,!1,null,883262993225225,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x765d6520924c3,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xeb331d78ab1cb,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,26]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5227269620055794,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9640001544440904,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,552500290439547,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5380444285164418,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x78c225a14f014,!1]]],[0,null,!1,null,8652951535406394,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8168444210166307,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xa8c4b7b818cca,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,26]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xb7dc17532b979,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,987352085168274,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9196411140650440,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,456050344155141,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbf602c6a87916,!1]]],[0,null,!1,null,0x7ec72ea5dbdb,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9692929806212864,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7295419291776185,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,27]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8249102893315606,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,56744473876197,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xee60f5e0cf65f,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9213348438351520,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,927546986814496,!1]]],[0,null,!1,null,5612223394580235,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xbf3aff4eaec23,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,31722479450417,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,27]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6600814334800541,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xc92c31f17111e,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xfeb519f870d22,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8274084530116188,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,8950124150172022,!1]]],[0,null,!1,null,8201839927418721,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xbf3029cf93c63,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5657051329906896,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,27]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xb7d32701e965d,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x4ca57c6fd567b,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb769185ab223,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8668162233904146,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5247356131537603,!1]]],[0,null,!1,null,0x66b53a1baf486,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9867541663132080,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8151618950601749,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,27]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7904962498202558,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x82c0a123b693d,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x89ea335d8b071,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6243270682163322,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7e7980e2312ad,!1]]],[0,null,!1,null,8662827034210285,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7383547800423481,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7237697867319194,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,28]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8589044983776658,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5604969605247486,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6060170012724583,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9393348916767088,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xb4693d3a22f78,!1]]],[0,null,!1,null,8534350851830635,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf677f4c713419,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6539643941748878,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,28]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5767073562823953,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9949849219187692,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9235432400898940,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x99b940b019cfc,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,8890031897280055,!1]]],[0,null,!1,null,8311626193932661,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6569610704769591,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5241328520096086,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,28]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe03505fa86907,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xddb3383eba796,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3b48670e087d5,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5215448782151352,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9156418337117946,!1]]],[0,null,!1,null,0xf93d41df192dd,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5651199407224846,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x4012bb27caa43,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,28]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,911174396788853,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8755093606173474,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,604662575817714,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4524831462986839,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,7141250813095328,!1]]],[0,null,!1,null,0xab02c194a3180,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,753582714296773,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xd65e1f551caff,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,29]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8111447000773872,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8080576109441046,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x95f1655a639a0,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,480883060243973,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6688153925914289,!1]]],[0,null,!1,null,955373670970645,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xb997607e49358,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7037997053655269,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,29]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9403955074786E3,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7451298619379938,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9438077869975860,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,424799763303462,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x83832922ad386,!1]]],[0,null,!1,null,8013769145482069,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7794192447721989,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5382628862981806,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,29]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9344551293185944,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,641950432540711,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5026297036892894,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8539358759367305,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x644ecb16b41d5,!1]]],[0,null,!1,null,0xc327af78bf32f,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9555881469542982,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x50bf73e216303,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,29]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9253507552024196,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xaf77ffbf6486a,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9378196793730248,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x94ad2aeb857e9,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9292c640c71d6,!1]]],[0,null,!1,null,8383713156235156,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,921262987746015,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xc1be64980c1cd,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,30]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6192503117803866,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9349251673919152,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa4f099bd372ba,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7551212575969303,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7956338858253296,!1]]],[0,null,!1,null,7387820398330041,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7306124541139893,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6903025589750189,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,30]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x8637c0c4e57fe,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8655459719272639,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9f2333ef51d46,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4793050121307648,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x845d51edd8539,!1]]],[0,null,!1,null,9545631702560146,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9533103613413508,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6806825809906904,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,30]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5704925503994888,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5998954566348109,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9062437595462156,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x43cb236efdc18,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x7a62e7535ab9c,!1]]],[0,null,!1,null,7415444319278384,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8265758175233584,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,420328801005403,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,30]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xdadb88a484fb3,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6758591737223275,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9cb0ae65bd398,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xe8242015c74dd,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,5867372422337033,!1]]],[0,null,!1,null,5372928413858073,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4863342058092409,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9620404285080256,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,31]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5711297012245137,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,83688145273509,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5149860829895469,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6797176373880435,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7777740850997244,!1]]],[0,null,!1,null,9469862263650244,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4703038025703786,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9948335038480692,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,31]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4886425754078842,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xdaec49bb78c49,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6322455534558142,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7965089508761942,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,8044239189788497,!1]]],[0,null,!1,null,6525243917225936,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9182130998961536,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6358598866303657,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,31]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,899345274874692,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7336359920033655,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8304009162109018,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xd4e050b51faa4,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8024166754852435,!1]]],[0,null,!1,null,5839709809933788,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x565c2d5db6be7,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,819372548984675,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,31]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xd39280bede48e,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8187278700000656,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7226254389740338,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x83d23a5d7ad5e,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,537200303745124,!1]]],[0,null,!1,null,6371761529157852,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x715e04cf9f182,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xd7e042ae64987,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,32]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa16155b68d4d4,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,963629592246036,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xea05bfc73922d,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xe58129819d073,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7272737905724828,!1]]],[0,null,!1,null,0xc725e142561fa,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8957858382562117,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,734701937503759,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,32]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8461007860878013,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xcdad298366995,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7871930795267566,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6686105517514689,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,7841414287272889,!1]]],[0,null,!1,null,7593066318191195,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6702939520280789,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6961666445449078,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,32]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9581589053400500,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,790191575974391,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9533896285894392,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xbc3b4c50aec25,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xc51e4e8e750d7,!1]]],[0,null,!1,null,684924209085338,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5795771776148764,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7699578862129613,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,32]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5602199292656433,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4738068128787707,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9723317432818832,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,38619007660279,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,4920340822043602,!1]]],[0,null,!1,null,729172223806725,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6356270504438175,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6622841173636936,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,33]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8386132137522133,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,504404956589371,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd027db63cecd1,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6022012550323065,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xd2b610797805c,!1]]],[0,null,!1,null,6160330223478864,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7179045137291213,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4793372925860783,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,33]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4636058344692998,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9096904850659828,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7df2a9d09ff5b,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9612738642838008,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x46a9c8cc6127d,!1]]],[0,null,!1,null,6496141810424052,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xe247fae5ae740,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xa5e2624d1ba50,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,33]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xfe8ecdb61d66d,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xd2604b72332d9,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9276315006453532,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8912353648517158,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5539531733799169,!1]]],[0,null,!1,null,0x7aa92cc83689a,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8125403926344256,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4551452659142277,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,33]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x8dac473cb3d2,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9603160975652428,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9761568161264396,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6334317726997021,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,4921131359278732,!1]]],[0,null,!1,null,799843005598591,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x68fe15d544750,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,645574720274939,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,34]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8744182957363853,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7143315878873383,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7c5eec94d1421,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,889647539314285,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x44e7b0a4fe8a1,!1]]],[0,null,!1,null,9483329457938296,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5709754544123517,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9468916675369762,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,34]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9040777318335772,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x475bab0a86fe1,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7350033624483094,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xe4efd08e71277,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,8298491048810178,!1]]],[0,null,!1,null,0x848fa35447d1b,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9438459885642748,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x8b2f96c72c3b3,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,34]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4837430141528457,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5140928183457647,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,693832416449582,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa6338df04c652,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x84a720dfbdf74,!1]]],[0,null,!1,null,4610513419894198,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9728776378286782,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x52a280b0b8c96,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,34]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6404320759674419,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9393437545161308,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7d282f130722d,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x991da742c283b,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb35fbf49f0c17,!1]]],[0,null,!1,null,5131969794160627,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5510934860484089,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9445501474026400,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,35]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x5fffa3e7e0765,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9656992454067376,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x902b4a7ae5311,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6321255228890714,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7389379601342958,!1]]],[0,null,!1,null,0x49c720b22d96a,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,919258708032515,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,696646615572848,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,35]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5536415308574202,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xc9a63eb44c3e9,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9367889644273888,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4885309423173137,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,7704382778556697,!1]]],[0,null,!1,null,8918168546296379,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4914740424851068,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xfb6d32a38dab5,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,35]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8581144254949443,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x57c4111287350,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9904780368042484,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5669223178052181,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8882664802847125,!1]]],[0,null,!1,null,5633600221300923,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5026911587910025,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6914737850455483,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,35]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xc36a290ecf8b3,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8680998796180932,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7364437897020528,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6501376924727969,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xad2e9ad6a00cf,!1]]],[0,null,!1,null,5527317005307467,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6668427086268963,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9004298435042616,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,36]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7455987310971924,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7012767232209834,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5222303641826732,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,996174283743883,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8741289464580645,!1]]],[0,null,!1,null,4949647285990041,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5506749249672875,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7864357892952686,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,36]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7843902927115304,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8819512585548129,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5834687825799332,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5937009724417123,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x82bac57371a95,!1]]],[0,null,!1,null,4814486272313238,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5776549633057113,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,832423677703131,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,36]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7138440556256253,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6286671696571194,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,589932381982227,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7579122769059446,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8487139909386967,!1]]],[0,null,!1,null,9683241620700132,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x5639cc5fd50e4,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,591040755276275,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,36]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xd0c3a85e6b127,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9941523249858056,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9278264682836172,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x5ee797b0a9468,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf0384342d786e,!1]]],[0,null,!1,null,0xd6a1b6976080,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,764523924563176,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5286344811091899,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,37]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8979072624309344,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xb416d0a11603,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8430505685790561,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x62b6262848297,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xfb437af09f020,!1]]],[0,null,!1,null,5996126791819339,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x6b22f98ee96a3,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xb965482084655,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,37]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x8e1b2c94b93a,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8030199015069214,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x8bb547d52b98,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x792c30cd06b5,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,8547095399878225,!1]]],[0,null,!1,null,575202916349917,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8661539152473869,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6978570881842792,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,37]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xfc50da014ee1e,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9107319209295796,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7cff6a671bb27,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7434725793195759,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8167075713774234,!1]]],[0,null,!1,null,0xb88a11134c824,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9558253705165788,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9355304133944608,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,37]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,588428827344953,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7524131094531942,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xade54a89e7062,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7343015591617245,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,5572234634968191,!1]]],[0,null,!1,null,9036137173320884,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5544898942741328,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xf30d4c1430420,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,38]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4522029082558877,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6337967100603312,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4727447495155147,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9197809109439916,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xa67b8877752a7,!1]]],[0,null,!1,null,0xea0cea9c4fc69,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xc0ba14b66de0,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,789258981131741,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,38]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6099520419897371,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8036516516728772,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7873766024e76,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,617867031660866,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,8143933120775437,!1]]],[0,null,!1,null,0xb3ab82fcf3219,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5978633821820059,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,433986154583157,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,38]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9761539861982380,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9353725669351852,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x516a6745f9c8e,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5504400953988325,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xd98d17072acb,!1]]],[0,null,!1,null,7064265543009601,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7120058185452115,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5973605430542943,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,38]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x3b447c7762358,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9648300732309468,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8321196977334465,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7765043754399233,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9b45c86cd1448,!1]]],[0,null,!1,null,0x6f858c1171616,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x7ce2647868f8a,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6738873590188068,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,39]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7598476632862132,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x8a2062ca5d092,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7282608521870841,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x9656343c488fd,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x93ebe9e46cbe5,!1]]],[0,null,!1,null,4519977715459267,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xed29c1586f76e,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5907595583683637,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,39]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5766642581557422,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7781610927522635,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9653064748500296,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9899263859646122,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,297506547931925,!1]]],[0,null,!1,null,9068327444387708,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,309051913963489,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8605949562508178,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,39]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5428249570989112,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xe5957e5658042,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xc12231fd663f4,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8870983452460129,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6572583798413318,!1]]],[0,null,!1,null,0xf805f7645670b,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8559547224083709,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7438376544199509,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,39]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7992392662285018,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x3d89da91b5265,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7061538608945614,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6431296929026424,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,5386074114429511,!1]]],[0,null,!1,null,0x3bd56a69e9507,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6418769354077426,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6064883005422062,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,40]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,421672703051269,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5785406691601265,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,412895348172053,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8922936690348416,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7299078313901276,!1]]],[0,null,!1,null,5225021535266764,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xb4f5035035c68,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,372095153254592,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,40]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5104575107879768,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x92a97c7d71a0b,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7380042639761046,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x95713eb5b4cb4,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,9139406700155432,!1]]],[0,null,!1,null,0x8a097e27cf118,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7356389092784102,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x721b2a94b9fd4,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,40]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8225473020309547,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8318817670987339,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd25128a80a748,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6847532423513734,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9305054865836012,!1]]],[0,null,!1,null,9163611962663012,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xe459e02e94657,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xf86f1f1b03876,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,40]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8788020357184554,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x8da3a7d81a424,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9702757353707304,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9280645265918784,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,7053287574181094,!1]]],[0,null,!1,null,0x76cc889031bd9,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x4d5481aa39ab0,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x5f78fe39e9be,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,41]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9656406704835036,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x8b5b173765992,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb098a41fd866b,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x63b296d97811a,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x42de8850a341a,!1]]],[0,null,!1,null,5770471464454315,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9791328027663124,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5879908978935721,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,41]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x9be57fb24c4e5,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x4023d712dcf1a,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x79d57d1d3b151,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xe79aa13adc45f,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,8784361914620272,!1]]],[0,null,!1,null,0x92b821cf5a4d9,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4704324837688521,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xad7cf2b8ae771,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,41]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7502868721333293,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4537380394199005,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa9287362f1ba8,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa6cd8aa927e81,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7322825019174116,!1]]],[0,null,!1,null,8013628575026804,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,402253716521529,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6192044013522314,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,41]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5227692406109224,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x73567e056c6d,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8746253672722526,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9803797424297152,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xebbebb6e1ad95,!1]]],[0,null,!1,null,0x9fb695432128b,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xb829d40478997,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5120112835642622,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,42]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7ac4904e675f0,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8239796147069555,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6809806364880319,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5397466087455772,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9576982632975228,!1]]],[0,null,!1,null,5034163935766745,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x666a028e12962,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x8bc39e4bc2c65,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,42]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5729514243582913,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7445370540831394,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe9c9b5c2021fb,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x5af01032fdf4b,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x40964e17a0978,!1]]],[0,null,!1,null,0xad4a60ea5999a,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x881f0f434a30f,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4896599480478466,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,42]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xfc9794d82d6d0,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xfd664f46de96b,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x6af74002f65fc,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6550172282644275,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x830891cf1a965,!1]]],[0,null,!1,null,8145446776477095,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5886919590924902,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7311118276845112,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,42]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9630756035662584,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x8ec66b090706b,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6987633613800335,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x8953200d499a1,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb252aed6c5256,!1]]],[0,null,!1,null,8530328205584209,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6495195397981921,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8585917171948133,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,43]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8935828266286726,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7902829370590263,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6599826378990905,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8298185336832455,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xe0af0b2f0da56,!1]]],[0,null,!1,null,0xfe22b064e44,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9434231108758460,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9707308874714624,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,43]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6525335779040862,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7872728699729992,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x5138d1ad07043,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6105584797012939,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,4925355803171233,!1]]],[0,null,!1,null,6187392597016651,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6633640001622554,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7895928306872222,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,43]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xf67211fab1ecb,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9920897011361268,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7365164567003669,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7770632849379036,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,4797519918406481,!1]]],[0,null,!1,null,5586834221219082,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x7882ad2a5d233,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6998765462760059,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,43]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x622086d1fa09d,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8395257155339113,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbdd501fc46067,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,4949534552523504,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,7698755974934795,!1]]],[0,null,!1,null,5436634303844218,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7431889069699618,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xef4f2866d7325,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,44]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6807047379188527,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8123550082881862,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xc97c4ef3821ad,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xcb61e5fb25888,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x5383c4c36cc93,!1]]],[0,null,!1,null,9236781682035672,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5254008950059228,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,428012016328197,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,44]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xc22ff5a688289,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x707b66edbcae0,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8463030631748975,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8205741143206909,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,4603596090291602,!1]]],[0,null,!1,null,7174432008985141,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7306645914354814,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5345729804448848,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,44]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xbc9d73f25ea96,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6692239078670687,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,399906631668787,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6261450210388204,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xd2b3dab02383d,!1]]],[0,null,!1,null,5967528536500947,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x66af04007195b,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6475661167081882,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,44]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa70eda3b113ba,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5319570040545045,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8636118251147704,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,7675106035776615,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe7bec8e11f5be,!1]]],[0,null,!1,null,6013740878509911,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x4412476e1e9ab,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x3fb7d98887599,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,45]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x48284a617a987,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xff4b7a3423da2,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9107534268457152,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6933205316224847,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6256636668018115,!1]]],[0,null,!1,null,5784241996239112,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9121071290553506,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x3e92ff93fa6c7,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,45]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8781134393227974,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5395926714236799,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa0d68cb5cb4a7,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x433015b260c7e,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,494978875035113,!1]]],[0,null,!1,null,0xbfe684a14e007,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7416580246877804,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xa5511b51c1557,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,45]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xb571828a9ff43,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8886315633278817,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9351121902788016,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x6a8debdc7169c,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x97a488833020e,!1]]],[0,null,!1,null,0x9428722c77eb8,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9334786981607764,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,681815170618902,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,45]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7539713044915287,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6690450362006994,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5769237776518694,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6620181701377412,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x44e5db9c6077d,!1]]],[0,null,!1,null,489551630623974,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xcdb0f98affd13,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x5435cb90c34c9,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,46]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,531635953076734,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,6131125077982015,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5318856526729968,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9240940417667712,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6895099735534654,!1]]],[0,null,!1,null,8617342599616133,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,864082020708516,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,859867811548712,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,46]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6329506049128943,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xc37d2ef02b318,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x83a4e9b752ae4,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x5dc0843b3a89f,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,4982180899480624,!1]]],[0,null,!1,null,6182891748234668,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9596364779715758,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x6ec5e1aa40abd,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,46]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x92a72af1ff811,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xdac862d273cda,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9960637781480784,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb0910d2d5bda,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6963428914909316,!1]]],[0,null,!1,null,9174012673319164,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,908750454356334,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x9432a52d161e7,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,46]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7046179474930659,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5606434987245193,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3a6aaef784bee,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5946400147621468,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,7899180971343406,!1]]],[0,null,!1,null,0xfaaebcf7eef2e,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5652293661205999,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6960042977505582,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,47]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4675289820477875,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xe5e4b936e7f1,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7243023405389235,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5623965354796574,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xd468e32dcc78d,!1]]],[0,null,!1,null,0x87993b4dc5556,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,701168470005327,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6588319528686183,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,47]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7916cacb1c817,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9378681890958632,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6277802400642841,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,5686807410752333,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,4781124382236531,!1]]],[0,null,!1,null,7184930089309934,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9664506530442048,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5107699165634866,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,47]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9623755613415742,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8869391090719035,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9020472989682052,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x47372fb516be2,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xfa4bf2d647586,!1]]],[0,null,!1,null,9240201808590552,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9003517890273279,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9510497889722280,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,47]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x735afad4c732c,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,4728147014617966,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xed77f0a576a30,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf62b0727fc121,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x57dab451089e7,!1]]],[0,null,!1,null,8165768784280675,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9896736342676876,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9128613019332416,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,48]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xea3751e263719,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x9ba6b0138ece4,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7127345467893916,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6916693446022632,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,532439567493665,!1]]],[0,null,!1,null,395678379367307,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7792158868347417,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xe79393f904fb,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,48]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9149949511345720,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7158565643926266,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xf8f5a94b1e8cd,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,9958723052768296,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,null,8752758380526789,!1]]],[0,null,!1,null,7799318721219309,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8fefb0991d01a,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9929238965533766,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,48]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5020536836811933,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xa140fdc1faff2,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe17c75f4df4e2,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa0d6fbac4cdac,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5044979639793838,!1]]],[0,null,!1,null,7334491197848416,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6519433172720245,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x8ef5bda84123c,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,48]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8778428809031198,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8332327882166572,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xf9ae4aaa66f04,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,6947349271868267,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,584555851977055,!1]]],[0,null,!1,null,9332423919438560,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6994573135500312,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,6936606978148917,!1,[[1,
[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xd5f3e1a3581b1,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xa18aa8e2d16a7,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,86629673743806,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,964366792810593,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xde00846f906c5,!1]]],[0,null,!1,null,776858193157269,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf1259595ba91a,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5787306708815183,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,827376908638863,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5251941998596687,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x8a579a8349e2,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8537260801999977,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,5350224044364961,!1]]],[0,null,!1,null,9980453351373180,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9642f99d877f4,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9534027368126396,!1,[[1,[20,
93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]]],[[87,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4765468089698277,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5919729810987154,!1,[[11,"move_on_to_next_hard"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9204658314127322,!1,[[4,87],[5,[0,5]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,8749497017461559,!1,[[0,[1,0.5]]]],[87,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x7363750bb947e,!1]]],[0,null,!1,null,6229830517051047,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4805623947942038,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8419885607890254,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]]],[[88,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xebdac54dd543e,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xd1aafbb7fe43c,!1,[[11,"move_on_to_next_hard"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9919483179116808,!1,[[4,88],[5,[0,6]],[0,[0,366]],[0,[0,334]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb099226d855a5,!1,[[0,[1,0.5]]]],[88,cr.plugins_.Sprite.prototype.acts.Destroy,null,6818243459373474,!1]]],[0,null,!1,null,5023448380134459,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x771c36a0267ee,!1]],[[93,cr.plugins_.Arr.prototype.acts.SetX,null,0x62c1a5e797a85,!1,[[0,[0,0]],[7,[2,"Torres wasn't Janeway's first choice for Chief Engineer. Who was?"]]]],
[93,cr.plugins_.Arr.prototype.acts.SetX,null,0x610b0443715eb,!1,[[0,[0,1]],[7,[2,"In which episode do we see Tom Paris demoted?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0xd4ed51f9fb95a,!1,[[0,[0,2]],[7,[2,"How many decks does Voyager have?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,6752730081006983,!1,[[0,[0,3]],[7,[2,"What was the name of the hostile species in 'Year of Hell'?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,5997552290370135,!1,[[0,[0,4]],[7,[2,"What is Voyager's hull number?"]]]],
[93,cr.plugins_.Arr.prototype.acts.SetX,null,0x866270d7d2105,!1,[[0,[0,5]],[7,[2,"In which episode does Tom Paris get promoted back to Lieutenant?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,8478208281641453,!1,[[0,[0,6]],[7,[2,"What species did Harry think he was in 'Favorite Son'?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,9434586127930184,!1,[[0,[0,7]],[7,[2,"Crell Moset, a hologram in 'Nothing Human', specialized in ____."]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,6142993730114625,
!1,[[0,[0,8]],[7,[2,"What was the 100th episode of Voyager?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0xf417cdb23f5c8,!1,[[0,[0,9]],[7,[2,"What was Max's nickname for B'Elanna in 'Equinox'?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,7143996999964604,!1,[[0,[0,10]],[7,[2,"Which species inhabited the water planet in 'Thirty Days'?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0x7d80fa58be9f,!1,[[0,[0,11]],[7,[2,"What was not one of the three episodes that we see Tuvok's wife in?"]]]],
[93,cr.plugins_.Arr.prototype.acts.SetX,null,0x679735601f8cf,!1,[[0,[0,12]],[7,[2,"The quote on Voyager's registration plaque was written by _____."]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,8800143843035495,!1,[[0,[0,13]],[7,[2,"What ship was taken over by Romulans in 'Message in a Bottle'?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,6048441098893118,!1,[[0,[0,14]],[7,[2,"What was the name of Captain Janeway's impersonator?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,5222936271192456,
!1,[[0,[0,15]],[7,[2,"What was the name of the Romulan Captain in 'Eye of the Needle'?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,7608615553238322,!1,[[0,[0,16]],[7,[2,"Where was the Doctor originally programmed?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,5886893406947212,!1,[[0,[0,17]],[7,[2,"Who once used the alias of Anna Jameson?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0xdc3dac82964d8,!1,[[0,[0,18]],[7,[2,"The Doctor thought Harry's saxophone playing sounded like a _____.'"]]]],
[93,cr.plugins_.Arr.prototype.acts.SetX,null,0x90bc8d817369,!1,[[0,[0,19]],[7,[2,"The Vidiians removed this organ from Neelix's body."]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,331356446468707,!1,[[0,[0,20]],[7,[2,"In which episode does Janeway find her animal guide?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,6499182523441288,!1,[[0,[0,21]],[7,[2,"Seven traveled on which ship as a child?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0xeae8cb8254c81,!1,[[0,[0,22]],[7,[2,"What is Janeway's dog's name?"]]]],
[93,cr.plugins_.Arr.prototype.acts.SetX,null,0xc6f5ef9ceb19b,!1,[[0,[0,23]],[7,[2,"What is the name of Neelix's friend, in the episode 'Fair Trade'?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0x3ec07b82782f1,!1,[[0,[0,24]],[7,[2,"Who was in love with Tuvok in the episode 'Gravity'?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0x5b71e5e65c805,!1,[[0,[0,25]],[7,[2,"What was the name of Captain Braxton's ship?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0x48c8e028582ff,!1,[[0,[0,26]],
[7,[2,"Who of the following was never a love interest for Janeway?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0x6a5498dc46820,!1,[[0,[0,27]],[7,[2,"Which of these TNG characters never appeared on Voyager?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,5517332904072007,!1,[[0,[0,28]],[7,[2,"How much of a boost does Kes give Voyager in the episode 'The Gift'?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,5403222726038872,!1,[[0,[0,29]],[7,[2,"The EMH never said 'I'm a Doctor, not a _____.'"]]]],
[93,cr.plugins_.Arr.prototype.acts.SetX,null,448815496338721,!1,[[0,[0,30]],[7,[2,"In 'Living Witness' which of these is not a flaw in the recreation of Voyager?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0xecd94ccee3433,!1,[[0,[0,31]],[7,[2,"Which of these was not a real species seen in Voyager?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,7314485657522123,!1,[[0,[0,32]],[7,[2,"B'Elanna and Tom first confessed their love during _____."]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,
537854804344211,!1,[[0,[0,33]],[7,[2,"What was Q2's nickname for Icheb?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,697803931632086,!1,[[0,[0,34]],[7,[2,"Tuvok never performed a mind meld with this person."]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,4535198017758905,!1,[[0,[0,35]],[7,[2,"We never see this character as a child in a flashback."]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,5764372423260767,!1,[[0,[0,36]],[7,[2,"Which character was never brought back to life at any point?"]]]],
[93,cr.plugins_.Arr.prototype.acts.SetX,null,6968701531777601,!1,[[0,[0,37]],[7,[2,"Which character doesn't have complications with their father?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,366846024846556,!1,[[0,[0,38]],[7,[2,"What was Janeway's animal guide?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,4830570845251793,!1,[[0,[0,39]],[7,[2,"Voyager entered the Delta Quadrant for the first time on this Stardate."]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0xfc4e104eeb439,!1,[[0,
[0,40]],[7,[2,"Which of these episodes does not show the Doctor falling in love?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0xcb204fbe25fb3,!1,[[0,[0,41]],[7,[2,"How many times do we see the Borg Queen in Voyager?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,8720760312057191,!1,[[0,[0,42]],[7,[2,"How many photon torepedos did Voyager have in the first episode?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,6144231737943196,!1,[[0,[0,43]],[7,[2,"Janeway uses this command  to initiate the self destruct sequence."]]]],
[93,cr.plugins_.Arr.prototype.acts.SetX,null,57644290017671,!1,[[0,[0,44]],[7,[2,"Q never addressed Janeway as _____  in the show."]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,9333098210598388,!1,[[0,[0,45]],[7,[2,"Which of these crewmembers were never in the Maquis?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,5326265286364378,!1,[[0,[0,46]],[7,[2,"Which of these episodes does not contain any scenes in the holodeck?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0xe252356e30ea8,!1,[[0,
[0,47]],[7,[2,"Kes met a fellow Ocompan who has lived to be ___ years of age."]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,5684277190271027,!1,[[0,[0,48]],[7,[2,"Which character was not impersonated by the EMH in 'Renaissance Man'?"]]]],[93,cr.plugins_.Arr.prototype.acts.SetX,null,0x5db2713385956,!1,[[0,[0,49]],[7,[2,"Where was Neelix brought up as a child?"]]]]]],[0,null,!1,null,0x64b51770a3d81,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5508503760505825,!1]],[[94,cr.plugins_.Arr.prototype.acts.SetX,
null,6869044665141997,!1,[[0,[0,0]],[7,[2,"Michael Jonas"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xe6bda0b08c9a2,!1,[[0,[0,1]],[7,[2,"Joe Carey"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x4a156216697e0,!1,[[0,[0,2]],[7,[2,"Vorik"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xb8f8614d11b27,!1,[[0,[0,3]],[7,[2,"Lon Suder"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5646749292287114,!1,[[0,[0,4]],[7,[2,"Drive"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8287648317952592,
!1,[[0,[0,5]],[7,[2,"Ex Post Facto"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,4758020590521794,!1,[[0,[0,6]],[7,[2,"Thirty Days"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9541959474507978,!1,[[0,[0,7]],[7,[2,"Alice"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8961049390746702,!1,[[0,[0,8]],[7,[2,"15"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5357206946863261,!1,[[0,[0,9]],[7,[2,"16"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8679697554277648,!1,[[0,[0,10]],[7,[2,"14"]]]],
[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xe93e8a39ef208,!1,[[0,[0,11]],[7,[2,"17"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x9e0277959989d,!1,[[0,[0,12]],[7,[2,"Kadi"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,335183793706353,!1,[[0,[0,13]],[7,[2,"Kohl"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x4c893bd80120a,!1,[[0,[0,14]],[7,[2,"Bomar"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xe5f96a608b6b7,!1,[[0,[0,15]],[7,[2,"Krenim"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,
null,4580747437179228,!1,[[0,[0,16]],[7,[2,"NCC-75676"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x7af8fea665465,!1,[[0,[0,17]],[7,[2,"NCC-74656"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xb320a0b85b848,!1,[[0,[0,18]],[7,[2,"NCC-74757"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6959869891068577,!1,[[0,[0,19]],[7,[2,"NCC-76797"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8963820084407618,!1,[[0,[0,20]],[7,[2,"Drive"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,441617167808719,
!1,[[0,[0,21]],[7,[2,"Bride of Chaotica"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x7e58b720651a9,!1,[[0,[0,22]],[7,[2,"Dark Frontier"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5244703207647053,!1,[[0,[0,23]],[7,[2,"Unimatrix Zero"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,541561211511396,!1,[[0,[0,24]],[7,[2,"Alsuran"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x6a7a98dff6d3e,!1,[[0,[0,25]],[7,[2,"Taresian"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xb8c6f9588860a,
!1,[[0,[0,26]],[7,[2,"Caatati"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7398210791998587,!1,[[0,[0,27]],[7,[2,"Terrellian"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7406400804717834,!1,[[0,[0,28]],[7,[2,"Astrobiology"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,590600906614638,!1,[[0,[0,29]],[7,[2,"Microbiology"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xfc2d7dd39fe59,!1,[[0,[0,30]],[7,[2,"Exobiology"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,565338828711238,!1,
[[0,[0,31]],[7,[2,"Exoplasmology"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9640882223534048,!1,[[0,[0,32]],[7,[2,"Infinite Regress"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9484603913895852,!1,[[0,[0,33]],[7,[2,"Once Upon a Time"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6600708319707117,!1,[[0,[0,34]],[7,[2,"In the Flesh"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x74eca0d00012a,!1,[[0,[0,35]],[7,[2,"Timeless"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xe435946e325a0,
!1,[[0,[0,36]],[7,[2,"Lana"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5017318523597659,!1,[[0,[0,37]],[7,[2,"BT"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7002730000667955,!1,[[0,[0,38]],[7,[2,"BLT"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6081726858012111,!1,[[0,[0,39]],[7,[2,"Torres"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x9293de7e013a3,!1,[[0,[0,40]],[7,[2,"Mokra"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x5c7342c2d2599,!1,[[0,[0,41]],[7,[2,"Monean"]]]],
[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xd87ab9f9ef771,!1,[[0,[0,42]],[7,[2,"Maldorian"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9983951157041208,!1,[[0,[0,43]],[7,[2,"Mylean"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,793434661918778,!1,[[0,[0,44]],[7,[2,"Body and Soul"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5613176113649044,!1,[[0,[0,45]],[7,[2,"Persistence of Vision"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8987529052204102,!1,[[0,[0,46]],[7,[2,"Bliss"]]]],
[94,cr.plugins_.Arr.prototype.acts.SetX,null,5639184946458998,!1,[[0,[0,47]],[7,[2,"Flashback"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6515300516869625,!1,[[0,[0,48]],[7,[2,"Alfred Lord Tennyson"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9111344572150736,!1,[[0,[0,49]],[7,[2,"Henry David Thoreau"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7177051416859576,!1,[[0,[0,50]],[7,[2,"Henry Wadsworth Longfellow"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5459637275205898,!1,[[0,
[0,51]],[7,[2,"William Butler Yeats"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xaa84119d35fe1,!1,[[0,[0,52]],[7,[2,"USS Pantheon"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6576043741261699,!1,[[0,[0,53]],[7,[2,"USS Prometheus"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xd110ee8a8bb07,!1,[[0,[0,54]],[7,[2,"USS Protector"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7306946327447612,!1,[[0,[0,55]],[7,[2,"USS Pandora"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,4691427930527084,
!1,[[0,[0,56]],[7,[2,"Dala"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,32805333964735,!1,[[0,[0,57]],[7,[2,"Dana"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8597130215736458,!1,[[0,[0,58]],[7,[2,"Dora"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x766977473c545,!1,[[0,[0,59]],[7,[2,"Deela"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7930949634159578,!1,[[0,[0,60]],[7,[2,"Kota S'Ten"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x7f16795c2a64c,!1,[[0,[0,61]],[7,[2,"Rh'vaurek Dar"]]]],
[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x736e92ebeb17f,!1,[[0,[0,62]],[7,[2,"Hanaj Rylov"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7480056978876395,!1,[[0,[0,63]],[7,[2,"Telek R'Mor"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5521278055320622,!1,[[0,[0,64]],[7,[2,"Earth Spacedock"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9474556700195234,!1,[[0,[0,65]],[7,[2,"Starfleet Academy"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x5a855613ccde8,!1,[[0,[0,66]],[7,[2,"Jupiter Station"]]]],
[94,cr.plugins_.Arr.prototype.acts.SetX,null,7170656996823612,!1,[[0,[0,67]],[7,[2,"Daystrom Institute"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8312363112082407,!1,[[0,[0,68]],[7,[2,"Kathryn Janeway"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6702955731621957,!1,[[0,[0,69]],[7,[2,"B'Elanna Torres"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5498111308772863,!1,[[0,[0,70]],[7,[2,"Kes"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7448041137480799,!1,[[0,[0,71]],[7,[2,"Seven of Nine"]]]],
[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xa57be26b04acd,!1,[[0,[0,72]],[7,[2,"Wounded targ"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6948908984004623,!1,[[0,[0,73]],[7,[2,"Dying crow"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7191603940154336,!1,[[0,[0,74]],[7,[2,"Cardassion vole"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x683641a0eb665,!1,[[0,[0,75]],[7,[2,"Ravaged sehlat"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x9fa94907fc0bf,!1,[[0,[0,76]],[7,[2,"Heart"]]]],
[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x83e78fc6cd045,!1,[[0,[0,77]],[7,[2,"Lung"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x7f1514626bd6,!1,[[0,[0,78]],[7,[2,"Kidney"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7827293050485216,!1,[[0,[0,79]],[7,[2,"Liver"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5842112432186717,!1,[[0,[0,80]],[7,[2,"Time and Again"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8340139300723598,!1,[[0,[0,81]],[7,[2,"Parallax"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,
null,0xd460d804eb0eb,!1,[[0,[0,82]],[7,[2,"Emanations"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,363142310929645,!1,[[0,[0,83]],[7,[2,"The Cloud"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8929498092621666,!1,[[0,[0,84]],[7,[2,"Crow"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,4815761094841454,!1,[[0,[0,85]],[7,[2,"Raven"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xb588795307baa,!1,[[0,[0,86]],[7,[2,"Blackbird"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5326348238311494,
!1,[[0,[0,87]],[7,[2,"Hawk"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7364387751599888,!1,[[0,[0,88]],[7,[2,"Molly"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,450830518887676,!1,[[0,[0,89]],[7,[2,"Mary"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,342431119747509,!1,[[0,[0,90]],[7,[2,"Maggie"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x66b750a037338,!1,[[0,[0,91]],[7,[2,"Maple"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5007433008248742,!1,[[0,[0,92]],[7,[2,"Alixia"]]]],
[94,cr.plugins_.Arr.prototype.acts.SetX,null,8788515340244961,!1,[[0,[0,93]],[7,[2,"Prixin"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7150107973375168,!1,[[0,[0,94]],[7,[2,"Brixlby"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5170591067298419,!1,[[0,[0,95]],[7,[2,"Wixiban"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6592124409742481,!1,[[0,[0,96]],[7,[2,"Ness"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xc923b6ceddce6,!1,[[0,[0,97]],[7,[2,"Nass"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,
null,8399716806653854,!1,[[0,[0,98]],[7,[2,"Noss"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8555338701170227,!1,[[0,[0,99]],[7,[2,"Nana"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,305452370204285,!1,[[0,[0,100]],[7,[2,"Timeship Ion"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xf63b6dab7bf54,!1,[[0,[0,101]],[7,[2,"Timeship Aeon"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,761656540054406,!1,[[0,[0,102]],[7,[2,"Timeship Python"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,
0xd2cb5cb22bef2,!1,[[0,[0,103]],[7,[2,"Timeship Eon"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x878f36e787b3b,!1,[[0,[0,104]],[7,[2,"Jaffen"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xf916681f9bd37,!1,[[0,[0,105]],[7,[2,"Kashyk"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x62891bc39513b,!1,[[0,[0,106]],[7,[2,"Caylem"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6351278964019843,!1,[[0,[0,107]],[7,[2,"Michael Sullivan"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5364019186986214,
!1,[[0,[0,108]],[7,[2,"Will Riker"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xfc1888f02ac3,!1,[[0,[0,109]],[7,[2,"Jean Luc Picard"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xb2e567d8360bd,!1,[[0,[0,110]],[7,[2,"Deanna Troi"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x550842e309b26,!1,[[0,[0,111]],[7,[2,"Reginald Barclay"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xacb0d4b795f35,!1,[[0,[0,112]],[7,[2,"30 years"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5104142117024866,
!1,[[0,[0,113]],[7,[2,"20 years"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7302132281377349,!1,[[0,[0,114]],[7,[2,"10 years"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x8e0a366a13ef1,!1,[[0,[0,115]],[7,[2,"5 years"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xb88fd1f56b23d,!1,[[0,[0,116]],[7,[2,"Botanist"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x6c53ba6ffd613,!1,[[0,[0,117]],[7,[2,"Zoo keeper"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x73062e84f6b3f,!1,[[0,[0,
118]],[7,[2,"Dragonslayer"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7008107486273193,!1,[[0,[0,119]],[7,[2,"Battery"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,4916776775190699,!1,[[0,[0,120]],[7,[2,"Janeway's appearance"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8847063828196706,!1,[[0,[0,121]],[7,[2,"Chakotay's tattoo"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7860027425322259,!1,[[0,[0,122]],[7,[2,"Harry Kim's hair"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7952852523471892,
!1,[[0,[0,123]],[7,[2,"Neelix's position"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xf55d247576285,!1,[[0,[0,124]],[7,[2,"Kesat"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6644038675341705,!1,[[0,[0,125]],[7,[2,"Mokra"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6650042188110046,!1,[[0,[0,126]],[7,[2,"Rakosan"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xc2ddb44fe024a,!1,[[0,[0,127]],[7,[2,"Mendari"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9641807267670914,!1,[[0,
[0,128]],[7,[2,"A planetary survey"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5430965120570769,!1,[[0,[0,129]],[7,[2,"A space walk"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x675b3518da7b0,!1,[[0,[0,130]],[7,[2,"Shore leave"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9500610121281044,!1,[[0,[0,131]],[7,[2,"Dinner at Sandrine's"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,4768950867958926,!1,[[0,[0,132]],[7,[2,"Borg Dude"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8872288637625663,
!1,[[0,[0,133]],[7,[2,"Kirk Lover"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6684791110492809,!1,[[0,[0,134]],[7,[2,"Itchy"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x91d77c713430a,!1,[[0,[0,135]],[7,[2,"Drone Kid"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x82f75dfa33a3e,!1,[[0,[0,136]],[7,[2,"Harry Kim"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7550492735533802,!1,[[0,[0,137]],[7,[2,"Kathryn Janeway"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6254323593129733,
!1,[[0,[0,138]],[7,[2,"Seven of Nine"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5832632841053198,!1,[[0,[0,139]],[7,[2,"Lon Suder"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,605988073257436,!1,[[0,[0,140]],[7,[2,"Kathryn Janeway"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8648073388113156,!1,[[0,[0,141]],[7,[2,"Tom Paris"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9638661967281454,!1,[[0,[0,142]],[7,[2,"B'Elanna Torres"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8773342769355232,
!1,[[0,[0,143]],[7,[2,"Tuvok"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6475426289542579,!1,[[0,[0,144]],[7,[2,"Lindsay Ballard"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6952573261705866,!1,[[0,[0,145]],[7,[2,"Harry Kim"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7378075065067091,!1,[[0,[0,146]],[7,[2,"Neelix"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,635832784370832,!1,[[0,[0,147]],[7,[2,"Kes"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,4602880623229674,!1,[[0,[0,
148]],[7,[2,"Tom Paris"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6813360505185559,!1,[[0,[0,149]],[7,[2,"B'Elanna Torres"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xde56cd345683a,!1,[[0,[0,150]],[7,[2,"Kes"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8776571184592639,!1,[[0,[0,151]],[7,[2,"The Doctor"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,336880343201799,!1,[[0,[0,152]],[7,[2,"Gecko"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5269145229724928,!1,[[0,[0,153]],
[7,[2,"Salamander"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9059849386730046,!1,[[0,[0,154]],[7,[2,"Pelican"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5564010349336518,!1,[[0,[0,155]],[7,[2,"Swan"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xd7b5ce878f23e,!1,[[0,[0,156]],[7,[2,"2373"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5388243367056103,!1,[[0,[0,157]],[7,[2,"2474"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8391598253285237,!1,[[0,[0,158]],[7,[2,"2371"]]]],[94,
cr.plugins_.Arr.prototype.acts.SetX,null,0xd21e2b6f5a43f,!1,[[0,[0,159]],[7,[2,"2372"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,7314966295660562,!1,[[0,[0,160]],[7,[2,"Body and Soul"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5198175756374854,!1,[[0,[0,161]],[7,[2,"The Phage"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,498458584579481,!1,[[0,[0,162]],[7,[2,"Renaissance Man"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,4578429174388878,!1,[[0,[0,163]],[7,[2,"Virtuoso"]]]],[94,
cr.plugins_.Arr.prototype.acts.SetX,null,439787882914618,!1,[[0,[0,164]],[7,[2,"4"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5035717282666661,!1,[[0,[0,165]],[7,[2,"3"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xa1e5376e9fd7c,!1,[[0,[0,166]],[7,[2,"2"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6578498420772637,!1,[[0,[0,167]],[7,[2,"1"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xecee47fe2782d,!1,[[0,[0,168]],[7,[2,"41"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x3a9381c74268f,
!1,[[0,[0,169]],[7,[2,"40"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x4e5df39b39c1d,!1,[[0,[0,170]],[7,[2,"39"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9986975868039636,!1,[[0,[0,171]],[7,[2,"38"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xfa5e9fd05da81,!1,[[0,[0,172]],[7,[2,"Janeway Pi 1-1-2"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5885923259958948,!1,[[0,[0,173]],[7,[2,"Janeway Pi 1-1-0"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xfc5a470109b94,!1,[[0,[0,174]],
[7,[2,"Janeway Pi Alpha 1-1-0"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x5d932d13e249a,!1,[[0,[0,175]],[7,[2,"Janeway Pi Gamma 1-1-3"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xb57e52cd0d312,!1,[[0,[0,176]],[7,[2,"Kathyrn"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xd374b3374bbaf,!1,[[0,[0,177]],[7,[2,"Madame Captain"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8444319997817441,!1,[[0,[0,178]],[7,[2,"Kathy"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5631492658495762,
!1,[[0,[0,179]],[7,[2,"Ma'am"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,4553255612221357,!1,[[0,[0,180]],[7,[2,"B'Elanna Torres"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6758699291660242,!1,[[0,[0,181]],[7,[2,"Vorik"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0x4f8ae7b7d7e83,!1,[[0,[0,182]],[7,[2,"Tom Paris"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xb91ac95dd617,!1,[[0,[0,183]],[7,[2,"Lon Suder"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,9506896168329336,!1,[[0,
[0,184]],[7,[2,"Dark Frontier"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8872845315331905,!1,[[0,[0,185]],[7,[2,"Day of Honor"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8026144710053275,!1,[[0,[0,186]],[7,[2,"Time and Again"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8810528314490892,!1,[[0,[0,187]],[7,[2,"Night"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,6239848982740215,!1,[[0,[0,188]],[7,[2,"14"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,784072555718746,!1,[[0,[0,
189]],[7,[2,"13"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xd72ab3e1a5df0,!1,[[0,[0,190]],[7,[2,"12"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,5982333265323046,!1,[[0,[0,191]],[7,[2,"11"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,70132360589824,!1,[[0,[0,192]],[7,[2,"Chakotay"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xe8967db6b3ba3,!1,[[0,[0,193]],[7,[2,"Tuvok"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,8458938325048484,!1,[[0,[0,194]],[7,[2,"B'Elanna Torres"]]]],
[94,cr.plugins_.Arr.prototype.acts.SetX,null,6776282392716257,!1,[[0,[0,195]],[7,[2,"Kathryn Janeway"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xe0a2db37bcc9,!1,[[0,[0,196]],[7,[2,"Talax"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xb61d7d1821215,!1,[[0,[0,197]],[7,[2,"Alixia"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xc5884c76285bb,!1,[[0,[0,198]],[7,[2,"Rinax"]]]],[94,cr.plugins_.Arr.prototype.acts.SetX,null,0xfc165baf2761c,!1,[[0,[0,199]],[7,[2,"Talax V"]]]]]],[0,null,!1,
null,5445996794316335,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,9155779725740752,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7613235417588401,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,50]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,7168862455697582,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,0]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,5003984830619876,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,0]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x8ae4e4f75c7e1,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x3bfb824372b0f,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,9089343367323982,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]]]]]],[0,null,!1,null,8598423215163465,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,7860539013205234,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5158917018174669,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,49]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0x75006a285adc5,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,1]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xf141c8c3bc4e5,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,420239675936001,
!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x77d87628d36db,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x9741e53b07740,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]]]]]],[0,null,!1,null,9984254266278940,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,7610652131626832,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9478089907247116,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,48]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,9284445906908444,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,2]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xe72b1f30b1ca6,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,6690000803961859,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,0xc8ddd1cdc5c3,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x699e5c8efcdc3,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]]]]]],[0,null,!1,null,6334435076712459,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,6200650690943093,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe0de02771b995,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,47]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,9402960511916040,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,3]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x5f75a7e675d49,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x7810933a3bf1,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,6501814596973511,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,0xcf73037d8ec25,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]]]]]],[0,null,!1,null,8158481949417656,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,8851086024499214,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe0e90b2a0a10,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,46]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,7659815008372873,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,4]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,432120522190638,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,5834138241621189,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,8035246188816542,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,5754030794451562,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]]]]]],[0,null,
!1,null,5073201922466467,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,4603173664587877,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa0e42c407982d,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,45]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,5543683066929649,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,5]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x767b5d2249ec7,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,20]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,9702965921077140,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,9231144706310624,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,772178299633835,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]]]]]],[0,null,!1,null,0xf4576f116948c,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,0xdc58cc31b3f71,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4574612504734701,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,44]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,7860291918650899,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,6]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,9313785131589626,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x5036e96a4e280,
!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,25]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,8976265490774214,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,26]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,6548904549657622,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,27]]]]]]]],[0,null,!1,null,8707404977897138,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x4b44a98255dd5,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9024519638897892,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,43]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,7808378128922961,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,7]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,8247340429854464,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,28]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x9ea215b9ed405,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,29]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,60056855587839,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,30]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,4985478018756078,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,31]]]]]]]],[0,null,!1,null,6013552295451247,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,6759320724092393,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5685325315736028,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,42]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,6901414103771623,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,8]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xd50bc8bbe8fda,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,32]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,443883549981355,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,33]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0xd778ca8f9320f,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,34]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,0xb621e871dc8a4,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,35]]]]]]]],[0,null,!1,null,96823554968356,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x909bbdaf855ec,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x52f466ae2839b,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,41]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,929507052061024,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,9]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,8636681130012761,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,36]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x6cc851b9bb9db,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,37]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0xb8db933a0453,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,38]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x40ef5f5d42467,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,39]]]]]]]],[0,null,
!1,null,5184632136964114,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,9207335433679652,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5213547834297951,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,40]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,9428970173141226,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,10]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,6577211778502083,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,40]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,4992140478175386,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,41]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7038778792168245,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,42]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,5457017159022185,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,43]]]]]]]],[0,null,!1,null,314244493647643,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,9610596594196274,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5250723539561034,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,39]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0x8862ea355f56b,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,11]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,7142012124662132,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,44]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x5837177784989,
!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,45]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x7942ef02ec291,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,46]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0xf41e1ccbb5c53,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,47]]]]]]]],[0,null,!1,null,0x48737bc1de7c4,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,6213170948973177,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8584865156508505,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,38]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0x40ad956d7d70f,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,12]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,9638014974832076,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,48]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,867937653860283,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,5048560945947389,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,50]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,5026811203605436,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,51]]]]]]]],[0,null,!1,null,0x3e759e2613617,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,6810838650921935,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4554426398769557,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,37]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,7063139583799847,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,13]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xd2d6eb3fd1253,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,52]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xed06ace4410e3,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,53]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,8422804705515254,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,54]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,0xaa3eaf4e2f1,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,55]]]]]]]],[0,null,!1,null,8212610066410846,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,6437931764839865,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8343593628731066,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,36]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,828229135905743,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,14]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,6454521945099552,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,56]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,8512942999083442,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,57]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0xc98cb9f4908a4,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,58]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0xbd8ab7a472af4,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,59]]]]]]]],[0,null,
!1,null,6273460278707887,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,5800936652326395,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6ee868c576bf7,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,35]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,5992678608434607,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,15]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x816adae57fd88,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,60]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,9656285295864128,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,61]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x64c03f0bb5748,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,62]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x94508034d30bd,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,63]]]]]]]],[0,null,!1,null,5012941509969894,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,0x9df1197fb291d,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8152830274659879,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,34]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,4782144530523804,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,16]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xf65a84ba8fa97,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,64]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,956304591508802,
!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,65]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,9842901095862988,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,66]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,6606893885124299,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,67]]]]]]]],[0,null,!1,null,0xb53f68b7e86cf,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,8629928307765133,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xadb76eb9c610c,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,33]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xb9af0ceb2dae,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,17]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xa72d3cd2c1a7c,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,68]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xb435419fc21e2,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,69]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,9826300315700188,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,70]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x85e9263bddc58,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,71]]]]]]]],[0,null,!1,null,4994112758416227,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xf561d7ddce1c1,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5312610185878059,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,32]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,0x3b3e1ade239d8,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,18]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,5301789992451586,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,72]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,4935271973546551,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,73]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x4eeec98d1b855,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,74]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,0x843dd7fbff0bb,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,75]]]]]]]],[0,null,!1,null,0xf4861f94fef5a,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x504afd519a63f,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8578025529828697,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,31]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,5664057494474553,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,19]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,8359779758694231,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,76]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,7462446765981173,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,77]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,4619835492740309,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,78]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,6704475747908274,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,79]]]]]]]],[0,
null,!1,null,4704418120765762,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x975c16a4d487d,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6715432807656545,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,30]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xe5a4e7d318980,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,20]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,8111616245506017,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,80]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,912146227435992,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,81]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x99c958921a9b2,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,82]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,6330520859053444,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,83]]]]]]]],[0,null,!1,null,0x9c13473afe8eb,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,0x85cb37164762d,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4867326501584113,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,29]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xdca603dc45e8f,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,21]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,9436585068348104,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,84]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,8323588878602938,
!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,85]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x6bf8b258d3588,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,86]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x90c775984c64e,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,87]]]]]]]],[0,null,!1,null,0x566f61fee1b03,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,8112936572290426,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x97f12e7784f68,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,28]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,6312358232991148,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,22]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x991a5b2d52bb5,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,88]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,5243726670048284,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,89]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,0xeefd7667d3571,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,90]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,6521289064842453,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,91]]]]]]]],[0,null,!1,null,0xc6bc3430860f2,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,872587301451696,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x62832401bebb1,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,27]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,0xa562d2f63c601,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,23]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,781331075618803,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,92]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x4055eafcb3dc4,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,93]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,6307960910125598,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,94]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,0x633caee16f00,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,95]]]]]]]],[0,null,!1,null,8572422534254129,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xfce44357cd64f,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7674453442302911,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,26]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xd2394037db301,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,24]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,7640620826770886,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,96]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x853c73702e699,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,97]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0xc4f5eac22b504,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,98]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,4834993719287403,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,99]]]]]]]],[0,null,
!1,null,6401462180810772,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,9265438226982178,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x832e123d35c6a,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,25]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0x9e0c59e1864bf,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,25]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,5914150693973528,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,100]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,8048136348300436,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,101]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,5382123576472007,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,102]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0xc1683ac164429,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,103]]]]]]]],[0,null,!1,null,7356735636383227,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,5343610550159841,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x98ec494d48cd,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,24]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,6206208734743532,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,26]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,5116154158644876,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,104]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,6911958688135886,
!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,105]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7840075465412009,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,106]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x68c07a411fa99,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,107]]]]]]]],[0,null,!1,null,9016155774560164,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xfcafd87f9dd1d,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7557485209502307,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,23]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,960090312182891,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,27]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xa4df4b59c8993,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,108]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,8866998690186452,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,109]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,0x6132035d8d34d,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,110]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,8713770953137633,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,111]]]]]]]],[0,null,!1,null,0x9cacc871c565,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,9457935981371472,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8664975133733163,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,22]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,7552619399070956,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,28]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,6466745740835853,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,112]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,8838973460925674,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,113]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,549933115615912,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,114]]]]]],[48,
cr.plugins_.Text.prototype.acts.SetText,null,8488062273523947,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,115]]]]]]]],[0,null,!1,null,0x90ea4901ec4a,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xc83bcb593da79,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8683102995470766,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,21]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,9255079509185944,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,29]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,4643703250412485,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,116]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,442398972728867,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,117]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,9930914695595816,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,118]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x9e97ba3e25eb3,!1,[[7,[20,
94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,119]]]]]]]],[0,null,!1,null,588386146200536,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,5693870374781053,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8995980732897898,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,20]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,5088708117555237,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,30]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,7729443781385632,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,120]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xb8598196f512c,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,121]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7157187097331762,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,122]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,5047440199091583,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,123]]]]]]]],
[0,null,!1,null,9491705916594966,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,9159568657177976,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8198614166535808,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,19]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,6093298168093116,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,31]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xd3e6c04c29bd8,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,124]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,830395952254801,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,125]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,4585622752048484,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,126]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,8563058985350168,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,127]]]]]]]],[0,null,!1,null,6750748033806251,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,5009999191397371,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8511347397733625,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,18]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,6851766829493621,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,32]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x7fca5f1a1a46f,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,128]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,
0xb0cfb1483ff76,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,129]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x8a579a6d5d010,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,130]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0xa21ff71cb60f,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,131]]]]]]]],[0,null,!1,null,0x71b6a45b47003,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xaa269044be57a,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9187549059315786,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,17]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xa837d6f04b660,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,33]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xc3556ab240b97,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,132]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x3fab8466c74a8,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,133]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,921752545869619,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,134]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,9535678699412280,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,135]]]]]]]],[0,null,!1,null,0x9b51358579029,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x708293a6c7f1d,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7163344191421562,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,16]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,0x774ff04efd839,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,34]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,4735756795266454,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,136]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,6462554883248767,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,137]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,5068647237690456,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,138]]]]]],[48,
cr.plugins_.Text.prototype.acts.SetText,null,0x90935629af1e5,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,139]]]]]]]],[0,null,!1,null,0xefccfe1b49c19,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0xeabad8fe1478b,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9350753069872858,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,15]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,8719331828978062,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,35]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,7466221286463137,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,140]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,5410467217079174,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,141]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0xd0065f42a4ca8,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,142]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,9105001071732108,!1,[[7,
[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,143]]]]]]]],[0,null,!1,null,5779012340544443,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,8278090377446404,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd98984c632b37,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,14]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,6969801007153327,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,36]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,0x3c8d2b5dfd617,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,144]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x72550bd66eb37,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,145]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,5782879719307774,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,146]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,7821869163775118,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,147]]]]]]]],[0,
null,!1,null,0xe0d6c53b8cbb,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,7226008866724226,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5583142983136403,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,13]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,5388853584909439,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,37]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,8241314370051827,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,148]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xad2f54d533826,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,149]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,6715339695134494,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,150]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x4cb567e8fab2c,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,151]]]]]]]],[0,null,!1,null,7362536908831362,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,0xf548d56873788,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8536191820747796,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,12]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xcc5fb88290585,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,38]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,968469387280701,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,152]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xcc8d547b1cd94,
!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,153]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0xdc5491cb26657,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,154]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,9037796565299044,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,155]]]]]]]],[0,null,!1,null,9148853951691414,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x4d2710f60f460,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x440dbc4fa3e85,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,11]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0xc439829f25335,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,39]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,8274036880276227,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,156]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xa501c7aae15e9,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,157]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,7017898623267556,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,158]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,8251915966191722,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,159]]]]]]]],[0,null,!1,null,8239610215614195,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,8773226944658748,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,44960751833172,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,10]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,5135065212356379,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,40]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0xfb625af75483c,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,160]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,7713231033036549,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,161]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,6455722881885835,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,162]]]]]],[48,
cr.plugins_.Text.prototype.acts.SetText,null,621413157140756,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,163]]]]]]]],[0,null,!1,null,6103796559865548,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,7236041442954811,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x903e63ef41438,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,9]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,6225566688155617,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,41]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x87f753c63bd7d,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,164]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,4608564325316679,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,165]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7127057191953687,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,166]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,696106366361928,!1,[[7,[20,
94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,167]]]]]]]],[0,null,!1,null,0xb62a973c0c137,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,776326640193616,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb4476cc6c1df0,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,8]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,7893862983878206,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,42]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,811888522657555,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,168]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,6261751201279495,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,169]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,6171131603215501,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,170]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,8972095519771119,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,171]]]]]]]],
[0,null,!1,null,0xa09ab921c5139,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x53ad0c4e9af12,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6518644855004247,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,7]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,5657475183378463,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,43]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,8920962577317093,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,172]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xaf323356f2b77,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,173]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0x3dd66dd8e9d42,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,174]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,6728712147094939,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,175]]]]]]]],[0,null,!1,null,9968975752111398,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,6510519160221514,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8176043805586122,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,6]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,6000889203451636,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,44]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,0x76f98ea305a3b,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,176]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x815eb6a27a44d,
!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,177]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,7016453867530569,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,178]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,5767568423768311,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,179]]]]]]]],[0,null,!1,null,682909610452598,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,7083444111906876,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,934280000599812,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,5]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0x75f850151943e,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,45]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,7080604551730712,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,180]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0x5b18574768cfd,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,181]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,
null,8172325646879796,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,182]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,5967113131012613,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,183]]]]]]]],[0,null,!1,null,8194514113708628,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x68d6859513b90,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,962297593581834,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,4]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,
null,0x825d749aee381,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,46]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,919188835545885,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,184]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xc156f2095c05b,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,185]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,8451095785940312,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,186]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,
null,0xe42af918de8f6,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,187]]]]]]]],[0,null,!1,null,684880946540744,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,8033214844419028,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,985529825672423,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,3]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,0x6bef33bb24b6c,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,47]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,
null,0x9081b62943f13,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,188]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,0xbd228aed4cee9,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,189]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,720930432429741,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,190]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,7099596449860229,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,191]]]]]]]],[0,
null,!1,null,0x48a2bc305ddbc,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,0x76a86065257aa,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9746234893215916,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,2]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,9623780013541732,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,48]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,6468414834554918,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,
!1,null,[[0,192]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,9826400548413522,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,193]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,6382097930782451,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,194]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,8256596984680906,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,195]]]]]]]],[0,null,!1,null,7082903396363618,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,8078581964704987,!1,[[5,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x70b9bbc09c338,!1,[[11,"move_on_to_next_hard"],[8,0],[7,[0,1]]]]],[[39,cr.plugins_.Text.prototype.acts.SetText,null,9561794310638112,!1,[[7,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]]]],[45,cr.plugins_.Text.prototype.acts.SetText,null,9024720223325382,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,196]]]]]],[46,cr.plugins_.Text.prototype.acts.SetText,null,5567160647863773,
!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,197]]]]]],[47,cr.plugins_.Text.prototype.acts.SetText,null,0xecccbfa96cdf0,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,198]]]]]],[48,cr.plugins_.Text.prototype.acts.SetText,null,0x94ee00c6359b6,!1,[[7,[20,94,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,199]]]]]]]],[0,null,!1,null,74880336437474,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,6289326802575709,!1,[[5,[0,8]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0xcbb0509ed729f,!1,[[10,0],[8,3],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5883858733402266,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xfb0a9faead31c,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa1f637b80f803,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6149492363665986,!1,[[5,[0,13]],[3,0]]]]],[0,null,!1,null,5562896073272406,[[-1,cr.system_object.prototype.cnds.LayerVisible,
null,0,!1,!1,!1,5754921912324463,!1,[[5,[0,10]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6679704744845567,!1,[[10,0],[8,4],[7,[0,10]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x8b454cc749e67,!1,[[10,0],[8,3],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6277256138248527,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc96e1d995d2f6,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,5569134420790954,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x99f62b0bf5254,!1,[[5,[0,13]],[3,0]]]]],[0,null,!1,null,8377302442298305,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,7227047956719897,!1,[[5,[0,11]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4932897413457644,!1,[[10,0],[8,4],[7,[0,20]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6022112616987455,!1,[[10,0],[8,3],
[7,[0,30]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5502172344362352,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf00bcdfaba935,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x796b94c620a4e,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9191285279559524,!1,[[5,[0,13]],[3,0]]]]],[0,null,!1,null,0x77185219e0e10,[[-1,cr.system_object.prototype.cnds.LayerVisible,null,0,!1,!1,!1,8126261398072232,
!1,[[5,[0,12]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xed569cf10c3fb,!1,[[10,0],[8,4],[7,[0,30]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf86d10c9abc05,!1,[[10,0],[8,2],[7,[0,40]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb3c3fb5f94fe6,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9963551773354104,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xc5731b31874e0,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,288627750842358,!1,[[5,[0,13]],[3,0]]]]],[0,null,!1,null,0x79b4c4d795983,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9608648240944036,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,764193861120366,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7209116533178185,
!1,[[10,0],[8,3],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xd293cfece46b3,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x53dfb6adc7560,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9643141331116572,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8b6e65813a52f,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf985c0849c8c2,!1,[[5,[0,8]],
[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xeecc23a8f3758,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6836295066302065,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x4e658c030cae5,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xd7c00d3eef655,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6299734456002618,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xb4a3228cf932b,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x7a8c9dc298c5d,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,7452872978061234,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,8993637921779147,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0x730e039c68b6f,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0x5723eeba4000b,!1],[-1,cr.system_object.prototype.acts.Wait,null,9999808066150244,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,8654705639825222,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,658089628399792,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa31b08e91382e,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x7e8db84e17c07,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5949189136297139,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5688251354043173,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xc7639f2fef527,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,7451310535958998,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4843812446080761,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4861710065930426,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xc1c3d18ab7a75,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,0xb939c5ee9e57b,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0xd51c668bb0449,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xe2cfff91e868a,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,8100215936559015,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x6245f9e23233a,!1,[[10,0],[8,3],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x76c718932db78,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf900f15a1de60,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x92cbb5f431f72,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7834341882016206,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8276cd683565b,!1,[[5,[0,8]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8329809534475633,
!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x4094265ba84a4,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9309306528067312,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xaed90a58ef18e,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,881930281443123,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5600154914813014,!1,[[5,[0,3]],[3,0]]],[-1,
cr.system_object.prototype.acts.SetLayerVisible,null,7759392684631004,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,6814782756875401,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,9751716813797798,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0x99e2f1e4e5700,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,7839809383196779,!1],[-1,cr.system_object.prototype.acts.Wait,null,0x7f40ae3fecd1d,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,648808656577256,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,8365807286101471,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x9727e9ee90150,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7786922851005272,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7720830338068857,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf03c1101db484,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,7381141816823664,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6596386664898,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4687268419309996,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5272380076939577,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8277359272275591,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,7977186789513139,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0xa7d4d225329f3,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xb1636e171f1c0,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xd1f249fd03390,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5700337030918515,!1,[[10,0],[8,3],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xf944f5ba562d0,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa56c68fc8b4e1,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9880517009331686,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5327399188521673,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8400104179466675,!1,[[5,[0,8]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8b9638b938792,
!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xea7e2b4799b9e,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7792904045588217,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5603774806135389,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb76b7b209057a,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6274092510398841,!1,[[5,[0,3]],[3,0]]],[-1,
cr.system_object.prototype.acts.SetLayerVisible,null,0x49201e96bb2de,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,9182794124790536,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,8762070884052319,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0xdd4af90aeca39,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,5938998512657338,!1],[-1,cr.system_object.prototype.acts.Wait,null,6162501519813573,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,8021314802081188,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0xc344fc8089b28,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8375982199485288,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8436477541585158,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5714350857758682,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9034997566700364,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x84db9769c1351,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,9603363602991532,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3ba444b19d693,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x50f89a2d45eec,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xe35bc63567cb4,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,5844739005421315,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0x9748c63b3c14c,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xbe671dc01ee7e,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4998893568406508,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9935284174353756,!1,[[10,0],[8,3],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,9572592032172640,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9214043373905476,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7057940523928589,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7217269547166954,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8941168587834751,!1,[[5,[0,8]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7230028118270117,
!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x806665eae3766,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x70c9706123f0a,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,690834196656164,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x9f4ee718bca2f,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf8fc569bbceab,!1,[[5,[0,3]],[3,0]]],[45,
cr.plugins_.Text.prototype.acts.Destroy,null,0x50ff44fc34854,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,6911986294465314,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,8201512276460897,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,8550092639150154,!1],[-1,cr.system_object.prototype.acts.Wait,null,0x947c0cce5f5eb,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0xe1542f6d1a41a,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,6146141391891257,
!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x6f274b11b25a6,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7866070279369716,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xe430c0b263ab2,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4591957823514532,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6211820327174317,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,
null,546217515511728,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xaf4cdc17ffaf0,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7829797974838271,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x8d24f08c70096,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,35763523528594,!1,[[6,"Start Game"]]]]],[0,null,!1,null,392534815338687,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,4853348502176868,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5156364200907956,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x6a512817b1b30,!1,[[10,0],[8,4],[7,[0,10]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,422783269401779,!1,[[10,0],[8,3],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,397692848013033,
!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,713275914639929,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x46e130bf224df,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xdb62741bc746e,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x903576034fb7d,!1,[[5,[0,10]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6763814648655576,!1,[[5,[0,9]],[3,1]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9008828272318828,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5721510906938273,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5556983259220642,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5175082755289497,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x544a38bec48b3,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,6614565650289029,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,841737990773353,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,7025462618086811,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0x94118f1740b5,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,5617746663614117,!1],[-1,cr.system_object.prototype.acts.Wait,null,0xc78faed524666,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,6664738502271975,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,
null,0x56740ff55da42,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8a78758d2eaae,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9809320170541328,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8883118019883987,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xd60e12ae9b880,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9429996788494408,!1,[[5,[0,13]],[3,
0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x93448fb41ffd3,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa61d31dc45485,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9053938009746596,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8037985888648374,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,90114902697241,!1,[[6,"Start Game"]]]]],
[0,null,!1,null,928631425613792,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9329b2d7df4a8,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,19259636375118,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x54ebebf347cbd,!1,[[10,0],[8,4],[7,[0,10]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x649c3b892fb44,!1,[[10,0],
[8,3],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4849348463974624,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7306338209272568,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xfbc4de5d35f63,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4895282093423502,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6797303425399118,!1,[[5,[0,10]],[3,1]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf15d406cf02be,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7854647471492256,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8080239444578668,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8646675614708583,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8513181101600505,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x9bab1261f1886,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7310600205423934,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,8104171913345037,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,9064535334658368,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,921090311118546,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xb9625b5bcd070,!1],[-1,cr.system_object.prototype.acts.Wait,null,0x4ea0359bbd0f8,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,0xb54fc42f7a3c1,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,5679113927660882,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7582857622349947,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7615561782568628,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7581362503741895,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5849846651570715,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,7977852349192271,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x55d2de5931953,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7710103271691543,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7034498306027508,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8697883191265483,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,7039130204893957,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0x9959d7df21aad,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6722083123039847,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x6df1eedbfc86b,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9905996896281420,!1,[[10,0],[8,4],[7,[0,10]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x72269814cc12,!1,[[10,0],[8,3],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9739074822417194,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb94675aced099,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4867148860976545,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7033683147486609,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,8403621210409361,!1,[[5,[0,10]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5899387387746609,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7078584456407429,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,974056672922557,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xd692ae1575ef5,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9398542615685604,
!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,526542410917363,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5431724771053689,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,8872194698119622,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,0x9accd5f983e52,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,866289360442287,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,6155159207668025,!1],[-1,cr.system_object.prototype.acts.Wait,
null,0x990beb3b01147,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,7851275118822783,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,6447261434952813,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8287589918630525,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,917063680934598,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xea651e2d2b3de,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,7040193488070512,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x81eed355bc58,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc211a2b5c7abd,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7308307670897349,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4814789292484683,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xcc3855fa4062d,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x69d5471c2f661,!1,[[6,"Start Game"]]]]],[0,null,!1,null,7229577977623353,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x7ce37563c92ea,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9695795478513176,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9066502265440976,
!1,[[10,0],[8,4],[7,[0,10]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8632429090978165,!1,[[10,0],[8,3],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6271610652732774,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9983349498497828,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xeec8100367cb8,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8139175010917597,
!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa07035f8108aa,!1,[[5,[0,10]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x72ac87a2e6571,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7595505684421808,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb94cafa60cec7,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x7740f55d62014,!1,[[5,[0,6]],[3,0]]],[-1,
cr.system_object.prototype.acts.SetLayerVisible,null,0x965f3faa99c9d,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,587504641942766,!1,[[5,[0,3]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,4939357758878523,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,0x4cc080bf0bc95,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,6758429822865813,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,8303249370203808,!1],[-1,cr.system_object.prototype.acts.Wait,
null,7443921940593086,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x745264648a40c,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,9112638008266100,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8422068320345601,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x53802697d4c93,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,735653003897439,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,6809216827729967,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xb10811196e98d,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,9932914318011004,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,712472121543187,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x663efb095e276,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x7f68883f5e2de,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7868538881829318,!1,[[6,"Start Game"]]]]],[0,null,!1,null,7029112605299001,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x57a68f5253934,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9641352746843656,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x6bd3b76393f10,
!1,[[10,0],[8,4],[7,[0,20]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7940386198753165,!1,[[10,0],[8,3],[7,[0,30]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x6bc4ac33391eb,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x58fde8d1a80dd,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5999641730745508,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xfd87d4cc55441,
!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8d220e873d2b6,!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x589862a4186cc,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf1413442fff32,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x78bace5514a23,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,986253401221623,!1,[[5,[0,6]],[3,0]]],[-1,
cr.system_object.prototype.acts.SetLayerVisible,null,8508280827499368,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6466237878483695,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7743296395898656,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0x437ab1e061ea9,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,9046224181253288,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0x3b021a0e8dfc1,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,
null,8830908561055139,!1],[-1,cr.system_object.prototype.acts.Wait,null,5336783426376593,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x4cebf306af675,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0x99ccb5d462eb4,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4804315459576135,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9895550727452402,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,5817088040151714,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9676875647640988,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x6f27311db6979,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x843ab67727e00,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5178350963718142,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,4598188918957925,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7899532315041093,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xaac7cd8700487,!1,[[6,"Start Game"]]]]],[0,null,!1,null,4635781183902964,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6921888793896333,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,5650637890810935,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,
[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xeec2853641c07,!1,[[10,0],[8,4],[7,[0,20]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6122991111252502,!1,[[10,0],[8,3],[7,[0,30]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7709662938376119,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5292067447294469,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,7383702189741885,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc1a04f06c75f4,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6755896303450666,!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7831891554944324,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,45246021382154,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xcba125f3b95b8,
!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8175502123765181,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc17f77fc20041,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5697425174187403,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x71e314412235b,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,5320346431630337,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,
null,0xbed618ab58375,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0x72d87d38697f6,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,5214064069901908,!1],[-1,cr.system_object.prototype.acts.Wait,null,6986960935958799,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0xa78c2fc462a64,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,7999834870758119,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x69b050a2e3220,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xb1bdde4c7fbd5,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xebf69c7359444,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8589406421404551,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6491289001512253,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6235470901274179,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xcc08fde42c566,
!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x471b34347eea7,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5966196806344306,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x4601c31d4d96f,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0x77db31c62e5eb,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9086541661978092,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,
null,0,!1,!1,!1,0x487d1c3149244,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5492584896529593,!1,[[10,0],[8,4],[7,[0,20]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x56bb7d0431632,!1,[[10,0],[8,3],[7,[0,30]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc781dc88758eb,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc210a97c1df4f,
!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8211430039768936,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,908253578863894,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7595213408268046,!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x6eca6f7152524,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7659877991176963,!1,[[5,[0,4]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,612381362799164,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,526371547509071,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4645421028359455,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x47188d0606073,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7387080672680504,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,
null,0x589672d48ae76,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,0xdec20c38b2e24,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,6054226887847053,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,6372865757502045,!1],[-1,cr.system_object.prototype.acts.Wait,null,6178639432322785,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x5043bee416bd0,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0xd39c3577fefe5,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,8753592690698283,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x70249f240de94,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5894773725095898,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9483857868198984,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9526747539436068,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,4616959171462303,!1,[[11,
"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9220257a71a90,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xe9de188fef74b,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8917284271998569,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6918563696103627,!1,[[6,"Start Game"]]]]],[0,null,!1,null,5898773009596921,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,6589840234945611,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9965502342039220,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x91d725bf072eb,!1,[[10,0],[8,4],[7,[0,20]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xaba244c5ab95,!1,[[10,0],[8,3],[7,[0,30]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x7320f92593602,
!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7719562339403468,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x9a4a1cb1e66dd,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x71cee6d675326,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,623733972074833,!1,[[5,[0,11]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8552780049249228,!1,[[5,[0,9]],[3,1]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9434505276549596,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5688171683566375,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7741739521172655,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,588510745224598,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9293721575730744,!1,[[5,[0,3]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,
null,467427295134814,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,401148718147794,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,6336008579500529,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0x8bab870933676,!1],[-1,cr.system_object.prototype.acts.Wait,null,6112804929422233,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,5450088211124996,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,4660774870950703,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x52184e931d08e,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7710820525251598,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8898430526088428,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xbefd7e112e5af,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7143372060412551,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x48f499ed22056,!1,[[11,
"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x93d512a81b78b,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7725522089267842,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd842d6d7edfa1,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xf1d002eac71f2,!1,[[6,"Start Game"]]]]],[0,null,!1,null,8481581989540319,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,0x4d680931a7e4f,!1,[[4,45]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x47dfbcfbb33c6,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,984236880482636,!1,[[10,0],[8,4],[7,[0,30]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xceef22037dab0,!1,[[10,0],[8,3],[7,[0,40]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa55935ea7cf10,
!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,580270826699428,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5748777146806169,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,641776329904823,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5796544158294735,!1,[[5,[0,12]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8091484069149285,!1,[[5,[0,9]],[3,1]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6982070550692733,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4549167426428354,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6519978142110345,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa9df2d887a314,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xeac57ecf36f60,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,6765661779931675,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,5131063342066242,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,8300511886186314,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,8917518761036593,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0xa250e7a8fb339,!1],[-1,cr.system_object.prototype.acts.Wait,null,5041683771854328,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,781146229928785,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,
null,0xc5cc52394b89a,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8958113824859397,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xd84fa764b12e4,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9666529051488938,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9665243400342220,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8184765098775764,!1,[[5,[0,13]],[3,
0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3a89e54fdb01e,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9281622112739904,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xc3185f5d19969,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7068686211099001,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8910994922241974,!1,[[6,"Start Game"]]]]],
[0,null,!1,null,0xbed5690629bbd,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7818795190399858,!1,[[4,46]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7783734101466271,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x5ccd0ce871ce3,!1,[[10,0],[8,4],[7,[0,30]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7036050252471508,!1,[[10,
0],[8,3],[7,[0,40]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6551953739213892,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4964798090923691,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8865881858206915,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8160851911831872,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xe3c4547f5fc5c,!1,[[5,[0,12]],[3,
1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8752016027612188,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5218028661166777,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8c7587b50ba37,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8682236832711879,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x4f281991d1e50,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x5998601fe0fe3,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xbaeeeb078f0c,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0xdf2dc1dcc2631,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,7905020965456933,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0xff69167e98098,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,4755211199301278,!1],[-1,cr.system_object.prototype.acts.Wait,null,9086167903639188,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,8135431625860644,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,850697803199484,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa97b3935dc563,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x8c274c2d1246a,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x3fb21385ee039,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7491665767508625,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,7679743342852088,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc855e16e1159c,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6987639087010917,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8981129892674842,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4507262713092813,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,7146671860241671,!1,[[6,"Start Game"]]]]],[0,null,!1,null,8748922070595499,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xce30715623ebd,!1,[[4,47]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,9357503576348716,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb7663f6ffed03,!1,[[10,0],[8,4],[7,[0,30]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,9675364162683072,!1,[[10,0],[8,3],[7,[0,40]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7902035169064352,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6231503629486578,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xd2340e23cf68,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9486598609885604,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,4717664463218459,!1,[[5,[0,12]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6411491461605958,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x3e787c927b5d5,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,971666477074349,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xeb4fd7f5edf98,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x864522333ead1,!1,
[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa00f543dcb637,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xd0e38efcde7d2,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,573537536131484,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,5533675447239784,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0xc3316e2e279d,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,579939373602986,!1],[-1,cr.system_object.prototype.acts.Wait,
null,6718585210472889,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,506864791912102,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0xb9ca1158f5c64,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,859852601796316,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x43027c5b2c60d,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x4bbc3ac168cf2,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,7472028351204318,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6858634458262602,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc38163b661cbc,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9837417732592532,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xeb85ff9855916,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x80bceb98f946b,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7276997201318068,!1,[[6,"Start Game"]]]]],[0,null,!1,null,967935179886403,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6181980352352146,!1,[[4,48]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xfb33c078f80c3,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5584758318968094,
!1,[[10,0],[8,4],[7,[0,30]]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6750888788961863,!1,[[10,0],[8,3],[7,[0,40]]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc89689962afc3,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xe190b8d7b683d,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4532673744743911,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6626485198394538,
!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xeedbed6c30ad7,!1,[[5,[0,12]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xae5164a00d015,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xfb53ad3480acd,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5429495063294281,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf85b2df0ff51f,!1,[[5,[0,6]],[3,0]]],[-1,
cr.system_object.prototype.acts.SetLayerVisible,null,8704791867765585,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9482669964808680,!1,[[5,[0,3]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,365022803257392,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,8001485080813203,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,8028436521552797,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0x4e9ec86e498f3,!1],[-1,cr.system_object.prototype.acts.Wait,
null,5905135038403587,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0xeedf203f80b98,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,7241320326681848,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4722228287239063,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8529069557936519,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xbf945b942b2e9,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x80da587d7348f,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xc4a5766cee1df,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6277289797167317,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x85a311af6cf2b,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,434805924264925,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x4287cc8c1f21c,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,5095610860680827,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0x5b1910cbf796e,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5003673583766921,!1,[[4,45]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5671363766299547,!1,[[10,0],[8,4],[7,[0,40]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4951187783579076,!1,[[11,"move_on_to_next_hard"],[8,
2],[7,[0,2]]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,7202576693446461,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x6822f7b052a54,!1,[[5,[0,13]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4685162356198646,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5154745017356827,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xe72a85bf0e51b,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7778662499482955,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8795753017836216,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x981633f51cb7c,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x5a407dc5df80a,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,455837188437236,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,
null,7322717248818059,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,5006754887098803,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0x63dfcf9b5388d,!1],[-1,cr.system_object.prototype.acts.Wait,null,9857466373937862,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,6161741078762988,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,5199439564310432,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4592807986907082,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0x95102898ae8f9,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5553363155795934,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xbe6064e2e42e,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xa1fb4e573c491,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,7243041800357146,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x97ca3a4cbebf7,
!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7705326044399878,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7270185605797093,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8767053166382731,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0xa760d05072aa9,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xa8e4b560c5e86,!1,[[4,46]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,9694487879223882,!1,[[10,0],[8,4],[7,[0,40]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,73241326289215,!1,[[11,"move_on_to_next_hard"],[8,2],[7,[0,2]]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0x9db147d8fe0a8,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6480425430506363,!1,[[5,[0,13]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,
9120288627388816,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x73623b8ebb76d,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7097030446243975,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6117864440221569,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7403807295296449,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xef2daad3f4df7,!1,[[5,
[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7016447929471158,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0xacca981f0370c,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,883308375142511,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,7195223179392709,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,383444853231058,!1],[-1,cr.system_object.prototype.acts.Wait,null,9259081044000404,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,9373052908198852,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,454625576277495,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6277787807656743,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6696338433825844,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xca9f4527e488,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xf642b620acd75,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xd17f17567ca89,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,5566443425521723,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xcdbb296bb7e79,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9888146199733132,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6856492734180414,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,0xe1c41ddf22cd4,!1,[[6,"Start Game"]]]]],[0,null,!1,null,9422171839675064,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4840854389087457,!1,[[4,47]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xe8f77fd113976,!1,[[10,0],[8,4],[7,[0,40]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8689823423005088,!1,[[11,"move_on_to_next_hard"],[8,2],[7,[0,2]]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,0xa37af4df456c8,
!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8366590198443323,!1,[[5,[0,13]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7476705426913966,!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,830840786569251,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6759355878534891,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,0xc7fec1bd45d97,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5419720865468125,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x71c08162506a8,!1,[[5,[0,3]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x3cf9783f30dcf,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,8535599872776979,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,0x5614bcee9a775,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,
null,8422596409120067,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,8933497968642193,!1],[-1,cr.system_object.prototype.acts.Wait,null,0x3f935f83c7f2b,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,7820652181163104,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,5551689552540878,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xbbf3b7eac2621,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,9179302728252688,!1,[[5,
[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5900657720366054,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,522060723195463,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xaf09478ef2fac,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,4868073988298218,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4566174293804642,!1,[[11,"move_on_to_next_hard"],
[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x76f64c1179810,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5119005430541367,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9787325913501536,!1,[[6,"Start Game"]]]]],[0,null,!1,null,0x62de82ac9a97c,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xfad3acb9dd635,!1,[[4,48]]],[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,
!1,5946570101069811,!1,[[10,0],[8,4],[7,[0,40]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8102034940819861,!1,[[11,"move_on_to_next_hard"],[8,2],[7,[0,2]]]],[39,cr.plugins_.Text.prototype.cnds.CompareText,null,0,!1,!1,!1,4941744695663271,!1,[[1,[20,93,cr.plugins_.Arr.prototype.exps.At,!1,null,[[0,49]]]],[3,0]]]],[[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0xfbdd31aacc304,!1,[[5,[0,13]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7206262361634789,
!1,[[5,[0,9]],[3,1]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4808971542619562,!1,[[5,[0,4]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8418780216797014,!1,[[5,[0,2]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,6878290428879868,!1,[[5,[0,6]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7700145007879136,!1,[[5,[0,5]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7155544510161057,!1,[[5,[0,3]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetLayerVisible,null,7348358357667546,!1,[[5,[0,7]],[3,0]]],[45,cr.plugins_.Text.prototype.acts.Destroy,null,0xfaa19d7a44c9e,!1],[46,cr.plugins_.Text.prototype.acts.Destroy,null,0x7c5c0c6f19a34,!1],[47,cr.plugins_.Text.prototype.acts.Destroy,null,0x5ce65296746d8,!1],[48,cr.plugins_.Text.prototype.acts.Destroy,null,0x625e575909ba4,!1],[-1,cr.system_object.prototype.acts.Wait,null,8785488441735418,!1,[[0,[1,3]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,
null,8827697965514175,!1],[-1,cr.system_object.prototype.acts.ResetGlobals,null,0xe68ff1a9d657b,!1],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,4771277936694165,!1,[[5,[0,8]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,5417832768679691,!1,[[5,[0,10]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,0x72af742da19cd,!1,[[5,[0,11]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,null,8776523084111482,!1,[[5,[0,12]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayerVisible,
null,8144147676514459,!1,[[5,[0,13]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc592e3ee159f0,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9444083406064720,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd8074aab5406b,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6288150031550135,!1,[[10,0],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,6720715830068385,!1,[[6,"Start Game"]]]]],[0,null,!1,null,8043394033590744,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9942046122469072,!1,[[4,67]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0xfa196d39f210e,!1,[[6,"Start Game"]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x7ebebcd2780a5,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3e030bbd3d199,!1,[[11,"questiontimer_hard"],[7,[0,120]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,6872012862785221,!1,[[11,"move_on_to_next_hard"],[7,[0,50]]]],[87,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4626231204415791,!1,[[10,0],[7,[0,50]]]],[88,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x71add1ccddbac,!1,[[10,0],[7,[0,50]]]]]],[0,null,!1,null,7690358074629334,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0x5237d344d5349,!1]],[[92,cr.plugins_.Text.prototype.acts.SetText,null,0xdafb5deb859bb,!1,[[7,[21,88,!1,null,0]]]]]],[0,null,!1,null,5789440639947756,
[[88,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd6a669cc4d2fe,!1,[[10,0],[8,2],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,8710517512469323,!1,[[6,"Start Game"]]]]]]]],"",!1,720,1280,4,!0,!0,!1,"1.0",!0,!1,0,0,125,!1,!0,[]]};

createCocoonJSRuntime();

})();
